<?php
namespace App\Exports;
use App\user;
use Maatwebsite\Excel\Concerns\FromCollection;
use Maatwebsite\Excel\Concerns\WithHeadings;
use Maatwebsite\Excel\Concerns\WithDrawings;
use PhpOffice\PhpSpreadsheet\Worksheet\Drawing;
use Maatwebsite\Excel\Concerns\WithEvents;
use Maatwebsite\Excel\Events\AfterSheet;
use Illuminate\Support\Facades\DB;
use DB;
class ClientExport implements FromCollection,WithHeadings,WithDrawings
  {
    
		public function registerEvents(): array
    {
        return [
            AfterSheet::class    => function(AfterSheet $event) {
                $cellRange = 'A1:E1'; // All headers
                $event->sheet->getDelegate()->getStyle($cellRange)->getFont()->setSize(11)->setBold(true);
            },
        ];
    }
		
		public function headings():array
		{
				   
		return
		[
			
			'Client',
			'Country',
			'Status',
			
						
		]; 
	}
	
	
	/*	public function drawings()
		  {
        $drawing = new Drawing();
        $drawing->setName('Logo');
        $drawing->setDescription('This is my logo');
        $drawing->setPath(public_path('abc.jpg'));
        $drawing->setHeight(150);
        $drawing->setCoordinates('F1');

        return $drawing;
    }
    /**
    * @return \Illuminate\Support\Collection
    */
    public function collection()
    {
		$records=DB::table('tbl_client')
		
		 ->leftjoin('tbl_country', 'tbl_client.country_id', '=', 'tbl_country.id')
		 		 
		->select('tbl_client.client_name','tbl_country.country_name','tbl_client.status')
		->get();
		//return $records;
		
        //return AppModelsTicketReportsModel::all();
		return $records;
    }
	
}
