<?php

namespace App\Exports;
use App\user;
use Maatwebsite\Excel\Concerns\FromCollection;
use Maatwebsite\Excel\Concerns\WithHeadings;
use Illuminate\Support\Facades\DB;
class OutletReportExport implements FromCollection,WithHeadings
  {
	
	protected $id;

    function __construct($id){
        $this->id = $id;
	}
	public function headings():array{
		
	return[
		'Material Name',
		'Outlet Warehouse Stock',
	];
		
	}
    /**
    * @return \Illuminate\Support\Collection
    */
    public function collection()
	{
		$material=array();
		$material_master1 = DB::table('tbl_outlet_warehouse')
        ->leftJoin('tbl_material_master', 'tbl_outlet_warehouse.material_id', '=', 'tbl_material_master.id')
		->select('tbl_material_master.alt_uom','tbl_material_master.material_name','tbl_material_master.id as material_id')
	    ->where('tbl_outlet_warehouse.outlet_warehouse_id', '=', $this->id)
	    ->groupBy('material_name','material_id') 
        ->get()->all();
		//dd($material_master1);
	foreach($material_master1 as $key1=> $data) {
		$material_master = DB::table('tbl_outlet_warehouse')
        ->leftJoin('tbl_material_master', 'tbl_outlet_warehouse.material_id', '=', 'tbl_material_master.id')
		->leftJoin('tbl_unit_of_measurement', 'tbl_outlet_warehouse.uom_id', '=', 'tbl_unit_of_measurement.id')
        ->select('tbl_material_master.material_name','tbl_unit_of_measurement.uom_name', 'tbl_outlet_warehouse.new_stock'
		)
	    ->where('tbl_outlet_warehouse.outlet_warehouse_id', '=', $this->id)
	    ->where('tbl_outlet_warehouse.material_id', '=', $material_master1[$key1]->material_id)
        ->get()->all();
		
		$material[$key1]=$material_master;
		}
    return collect($material[0]);
		 
   }
}
