<?php

namespace App\Http\Controllers;

use Illuminate\Http\Request;

use App\Models\CommissionRangeModel;
use App\Models\ManageCodeModel;
use Session;

class CommissionRangeController extends Controller
  {
	public function list()
	 {
		//$get_data=CountryTypeModel::get()->all();
		
		$get_data = CommissionRangeModel::all()->sortByDesc('id');
		
		//dd($get_data);
		
		return view('Parameters_Configuration.commission_range_list',compact('get_data'));
	 }
		
    public function add()
	 { 
		 $result =CommissionRangeModel::get()->sortByDesc('id')->first();
		 if($result=='')
		   {
			 $getcode = ManageCodeModel::where('id', 1)->first();
			 $last_code = $getcode->commission_range;
		   }
		 else
		   {
			 $getcode = $result->range_code; 
			 $last_code = ++$getcode;
		   } 
			return view('Parameters_Configuration.commission_range',compact('last_code'));
	 }
	
	public function edit($id)
	 {
		$get_data=CommissionRangeModel::find($id);
		$last_code = $get_data->range_code;
		
		return view('Parameters_Configuration.commission_range',compact('get_data','last_code'));
	 }

	public function save(Request $request)
	 {
		$data=new CommissionRangeModel;			
		if($request->updated_id) 
		  {
			$data = CommissionRangeModel::find($request->updated_id);
			$data->range_code=$request->range_code;
			$data->range=$request->range;
			$data->updated_user= Session::get('user_id');
			$data->status=$request->status;
			$data->save();
			return redirect(route('commission_range_list'))->with('successMessage','Commission Range Updated Successfully');
		  } 
	    else 
		  {
			$data->range_code=$request->range_code;
			$data->range=$request->range;
			$data->created_user= Session::get('user_id');
			$data->status=$request->status;
			$data->save();
			return redirect(route('commission_range_list'))->with('successMessage','Commission Range Added Successfully');
		  }	
	
	}
    
	 public function exportexcel()
	 
	{
		return Excel::download(new CompanyTypeExport,'companytypeexcel.xlsx');
		
	}
 }
