<?php

namespace App\Http\Controllers;
use Illuminate\Http\Request;
use App\Models\WarehouseModel;
use App\Models\SalesmanModel;
use App\Models\OutstandingModel;
use App\Models\RouteModel;
use App\Models\CustomerModel;
use Carbon\Carbon;
use App\Models\UserModel;
use Response; 
use Session;
use Illuminate\Support\Facades\DB;

class CompanyOutstandingController extends Controller
 {
   public function list(Request $request)
	{
		      
	   $where="";

	   if($request->customer!='')
		 {
		   $where .= "AND customer.id = '".$request->customer."'";
   		 }
					
	   if($request->warehouse!='')
		 {
			$where .= "AND warehouse.id = '".$request->warehouse."'";
		 }
		$distibutor=CustomerModel::all()->sortByDesc('id')->where('customer_type', '=', 2)->where('status', '=', 'active');

		$result = DB::select("SELECT riheader.*,
		customer.customer_code,customer.customer_name,
		warehouse.warehouse_code,warehouse.warehouse_name
		
		FROM tbl_company_outstanding as riheader
		
		LEFT JOIN tbl_customer as customer on riheader.customer=customer.id
		LEFT JOIN tbl_warehouse as warehouse on riheader.warehouse=warehouse.id
		
		WHERE riheader.id IS NOT NULL ".$where." ORDER BY id DESC ");

		

		return view('Company_Transaction.company_outstanding_list',compact('result','distibutor'));
     }
 
    public function get_warehousename_filter_outstaning($id,$warehouse_url)
     {
				
		$material =WarehouseModel::all()->sortByDesc('id')->where('status', '=', 'active')->where('distributor', '=', $id)->where('warehouse_type','=',1);
		
			?>
			<option  value="">     </option>
			<?php
			  foreach($material as $material_name)
				{
					?>
					<option <?php if($material_name->id==$warehouse_url) { echo "selected";} ?> value="<?php echo $material_name->id ?>"  ><?php echo $material_name->warehouse_code.' - '.$material_name->warehouse_name ?></option>	
					<?php		
				}		//return response()->json($get_data);
	
     }		
 }
