<?php

namespace App\Http\Controllers;

use Illuminate\Http\Request;

use App\Models\RegionTypeModel;
use App\Models\SubRegionTypeModel;
use App\Models\WarehouseModel;
use App\Models\RouteModel;
use App\Models\SalesmanModel;
use App\Models\MaterialMasterModel;
use Illuminate\Support\Facades\DB;
use Maatwebsite\Excel\Facades\Excel;
use App\Exports\CompanyOutstandingReportExport;

class CompanyOutstandingReportController extends Controller
 {
	
    public function list()
	 {		
	    //$get_data = SupplierTypeModel::all()->sortByDesc('id');
		$region =RegionTypeModel::all()->sortByDesc('id')->where('status', '=', 'active');
		 
		return view('Report.company_outstanding_report',compact('region'));  
	 }
		
	public function get_company_outstanding_subregion($id)
	 {
		if($id!=0)
		  {
		    $sub_region =SubRegionTypeModel::all()->sortByDesc('id')->where('region', '=', $id)->where('status', '=', 'active');
		  }
		else 	
		  {
		    $sub_region =SubRegionTypeModel::all()->sortByDesc('id')->where('status', '=', 'active');
		  }	

		?>
		<option  value="">     </option>
		<option  value="0">Select All</option>
		<?php
			foreach($sub_region as $sub_region_name)
		      {
				?>
				  <option value="<?php echo $sub_region_name->id ?>"  ><?php echo $sub_region_name->sub_region_code.' - '.$sub_region_name->sub_region_name  ?></option>	
			    <?php  	   	
			  }
	}
	
   public function get_company_outstanding_warehouse($id)
    {
				 if($id!=0)
				{		
					$warehouse =WarehouseModel::all()->sortByDesc('id')->where('sub_region', '=', $id)->where('status', '=', 'active');
				}
				else{
				   $warehouse =WarehouseModel::all()->sortByDesc('id')->where('status', '=', 'active');
			   }
   
				?>
		<option  value="">     </option>
		<option  value="0">Select All</option>
		<?php
	      foreach($warehouse as $warehouse_name)
			{
				?>
				  <option value="<?php echo $warehouse_name->id ?>"  ><?php echo $warehouse_name->warehouse_code.' - '.$warehouse_name->warehouse_name  ?></option>	
			   <?php  	   	
			}
	 }
			
	public function get_company_outstanding_report($region,$subregion,$warehouse,$fromdate,$todate)
	 {
				
       /* echo $region.' sb-'.$subregion.' w-'.$warehouse.'/'.$fromdate.'/'.$todate;
		 exit;  */
		if($warehouse!='s')
		  {
			  $final_data  = array();
				 //if single subregion
				  if($warehouse!=0)
					 {
						
						  $agent_name     = array(); 
						  $agent_id     = array(); 
						  $get_data1 = DB::table('tbl_warehouse')
						  ->select('tbl_warehouse.warehouse_code','tbl_warehouse.warehouse_name','tbl_warehouse.id')
						  ->where('tbl_warehouse.id','=',$warehouse)->get();
						   foreach($get_data1 as $key=> $warehous)
							 {
								 $agent_name[$warehous->id] = $warehous->warehouse_name;
								 $agent_id[]=$warehous->id;
							 }							
					  }
										//multiple sub region
				    else  
				      {
							  
						$agent_name     = array(); 
						$agent_id     = array(); 
						$get_data1 = DB::table('tbl_warehouse')
											 
						->select('tbl_warehouse.warehouse_code','tbl_warehouse.warehouse_name','tbl_warehouse.id')
						->get();
											
							foreach($get_data1 as $key=> $warehous)
							  {
							    $agent_name[$warehous->id] = $warehous->warehouse_name;
							    $agent_id[]=$warehous->id;
													 
						       }
							
												
						  }
					 $get_data = DB::select("SELECT riheader.*,
							customer.customer_code,customer.customer_name,
							warehouse.warehouse_code,warehouse.warehouse_name
							
							FROM tbl_company_outstanding as riheader
							
							LEFT JOIN tbl_customer as customer on riheader.customer=customer.id
							LEFT JOIN tbl_warehouse as warehouse on riheader.warehouse=warehouse.id
						    WHERE date(riheader.created_at) >= '".$fromdate."' AND  date(riheader.created_at) <= '".$todate."' AND riheader.warehouse  in (".implode(',',$agent_id).") ");
						
					 ?>
					 <table style="width: 100%;" id="example" class="table table-hover table-striped table-bordered">
					  <thead>
						  <tr>
								 <th class="text-justify text-left">Customer Name </th>
								 <th class="text-justify text-left">Warehouse Name </th>
							   
								 <th class="text-justify text-left">Invoice Amount</th>
								 <th class="text-justify text-left">Invoice Paid Amount</th>
								 <th class="text-justify text-left">Due Amount</th>
								 <th class="text-justify text-left">Due Date</th>
								 
								 <th class="text-justify text-left">Invoice No.</th>
							 
						  </tr>
					  </thead>
  
						  <tbody>
						   <?php
						     foreach($get_data as $data)
						       {
									  $due_amount=$data->invoice_total - $data->invoice_paid;
								?>
								  
								 <tr>
									<td class="font-weight-bold text-justify text-left"><?php echo $data->customer_code.' - '.ucfirst($data->customer_name); ?></td>
										  <td class="font-weight-bold text-justify text-left"><?php echo $data->warehouse_code.' - '.ucfirst($data->warehouse_name); ?></td>
										 <td class="font-weight-bold text-justify text-left"><?php echo number_format($data->invoice_total,2); ?></td>
										 
										 <td class="font-weight-bold text-justify text-left"><?php echo number_format($data->invoice_paid,2); ?></td>
										 
										 <td class="font-weight-bold text-justify text-left"><?php echo number_format($due_amount,2); ?></td>
										
										 <td class="font-weight-bold text-justify text-left"><?php echo $data->due_date; ?></td>
										  <td class="font-weight-bold text-justify text-left"><?php echo $data->invoice_number; ?></td>
										
										
								      </tr>
							       <?php 
						        }
						         ?>
													
						  </tbody>
      
							<tfoot>
							<!--<tr>
							  <th>Currency code </th>
							  <th>Currency Name</th>
							  <th>Currency Notation</th>
							  <th>Status</th>
							  <th>Action</th>
							</tr>-->
							</tfoot>
                       </table>
						 
						<?php
		 
							
							
						
			  }	
			else
			  {
			    if($subregion!='s')
			      {
						   
				    if($subregion!=0)
					  {
						 $agent_name     = array(); 
						 $agent_id     = array(); 
						 $get_data1 = DB::table('tbl_sub_region')
										 
						 ->select('tbl_sub_region.sub_region_code','tbl_sub_region.sub_region_name','tbl_sub_region.id')
						 ->where('tbl_sub_region.id','=',$subregion)					
						 ->get();
						 foreach($get_data1 as $key=> $sub_region)
						   {
							 $agent_name[$sub_region->id] = $sub_region->sub_region_name;
							 $agent_id[]=$sub_region->id;
						   }
											
					   }
										//multiple sub region
					 else  
					   {
						  $agent_name     = array(); 
						  $agent_id     = array(); 
						  $get_data1 = DB::table('tbl_sub_region')
						  ->select('tbl_sub_region.sub_region_code','tbl_sub_region.sub_region_name','tbl_sub_region.id')
						  ->get();
						   foreach($get_data1 as $key=> $sub_region)
							{
							 $agent_name[$sub_region->id] = $sub_region->sub_region_name;
							 $agent_id[]=$sub_region->id;
												 
							}
										
					    }
						 $get_data = DB::select("SELECT riheader.*,
							customer.customer_code,customer.customer_name,
							warehouse.warehouse_code,warehouse.warehouse_name
							
								FROM tbl_company_outstanding as riheader
								
							LEFT JOIN tbl_customer as customer on riheader.customer=customer.id
							LEFT JOIN tbl_warehouse as warehouse on riheader.warehouse=warehouse.id
						   WHERE date(riheader.created_at) >= '".$fromdate."' AND  date(riheader.created_at) <= '".$todate."' AND riheader.subregion  in (".  implode(',',$agent_id).") ");						  
						?>	

                          <table style="width: 100%;" id="example" class="table table-hover table-striped table-bordered">
						  <thead>
							  <tr>
								     <th class="text-justify text-left">Customer Name </th>
                                     <th class="text-justify text-left">Warehouse Name </th>
                                   
                                     <th class="text-justify text-left">Invoice Amount</th>
                                     <th class="text-justify text-left">Invoice Paid Amount</th>
                                     <th class="text-justify text-left">Due Amount</th>
                                     <th class="text-justify text-left">Due Date</th>
                                     
									 <th class="text-justify text-left">Invoice No.</th>
								 
							  </tr>
						  </thead>
      
						  <tbody>
						  <?php
						  foreach($get_data as $data)
						    {
							  $due_amount=$data->invoice_total - $data->invoice_paid;
						  ?>
						      
                              <tr>
								 <td class="font-weight-bold text-justify text-left"><?php echo $data->customer_code.' - '.ucfirst($data->customer_name); ?></td>
									  <td class="font-weight-bold text-justify text-left"><?php echo $data->warehouse_code.' - '.ucfirst($data->warehouse_name); ?></td>
									 <td class="font-weight-bold text-justify text-left"><?php echo number_format($data->invoice_total,2); ?></td>
									 
									 <td class="font-weight-bold text-justify text-left"><?php echo number_format($data->invoice_paid,2); ?></td>
									 
									 <td class="font-weight-bold text-justify text-left"><?php echo number_format($due_amount,2); ?></td>
									
									 <td class="font-weight-bold text-justify text-left"><?php echo $data->due_date; ?></td>
									  <td class="font-weight-bold text-justify text-left"><?php echo $data->invoice_number; ?></td>
									
									
								  </tr>
						<?php 
						       }
						  ?>
													
						  </tbody>
      
							<tfoot>
							<!--<tr>
							  <th>Currency code </th>
							  <th>Currency Name</th>
							  <th>Currency Notation</th>
							  <th>Status</th>
							  <th>Action</th>
							</tr>-->
							</tfoot>
                       </table>					
						<?php
		 
							
				   }
				 else
				   {
					 if($region!='s')
					   {
							 
					     if($region!=0)
						   {
							   $agent_name     = array(); 
								$agent_id     = array(); 
								$get_data1 = DB::table('tbl_region')
								->select('tbl_region.region_code','tbl_region.region_name','tbl_region.id')
								->where('tbl_region.id','=',$region)					
								->get()->all();
								foreach($get_data1 as $key=> $region)
								  {
										$agent_name[$region->id] = $region->region_name;
										$agent_id[]=$region->id;
								  }		
											
							 }
						   else  
							 {
								
								$agent_name     = array(); 
								$agent_id     = array(); 
								$get_data1 = DB::table('tbl_region')
								->select('tbl_region.region_code','tbl_region.region_name','tbl_region.id')
								 ->get()->all();
								foreach($get_data1 as $key=> $region)
								  {
									 $agent_name[$region->id] = $region->region_name;
									 $agent_id[]=$region->id;
											 
								  }
							  }
                               $get_data = DB::select("SELECT riheader.*,
								customer.customer_code,customer.customer_name,
								warehouse.warehouse_code,warehouse.warehouse_name
								
								FROM tbl_company_outstanding as riheader
								
								LEFT JOIN tbl_customer as customer on riheader.customer=customer.id
								LEFT JOIN tbl_warehouse as warehouse on riheader.warehouse=warehouse.id
							    WHERE date(riheader.created_at) >= '".$fromdate."' AND   date(riheader.created_at) <= '".$todate."' AND riheader.region  in (".implode(',',$agent_id).") ");									
								
								?>
					 <table style="width: 100%;" id="example" class="table table-hover table-striped table-bordered">
						  <thead>
							  <tr>
								     <th class="text-justify text-left">Customer Name </th>
                                     <th class="text-justify text-left">Warehouse Name </th>
                                   
                                     <th class="text-justify text-left">Invoice Amount</th>
                                     <th class="text-justify text-left">Invoice Paid Amount</th>
                                     <th class="text-justify text-left">Due Amount</th>
                                     <th class="text-justify text-left">Due Date</th>
                                     
									 <th class="text-justify text-left">Invoice No.</th>
								 
							  </tr>
						  </thead>
      
						  <tbody>
						  <?php
						  foreach($get_data as $data)
						    {
							  $due_amount=$data->invoice_total - $data->invoice_paid;
						      ?>
						      
                              <tr>
								<td class="font-weight-bold text-justify text-left"><?php echo $data->customer_code.' - '.ucfirst($data->customer_name); ?></td>
									  <td class="font-weight-bold text-justify text-left"><?php echo $data->warehouse_code.' - '.ucfirst($data->warehouse_name); ?></td>
									 <td class="font-weight-bold text-justify text-left"><?php echo number_format($data->invoice_total,2); ?></td>
									 
									 <td class="font-weight-bold text-justify text-left"><?php echo number_format($data->invoice_paid,2); ?></td>
									 
									 <td class="font-weight-bold text-justify text-left"><?php echo number_format($due_amount,2); ?></td>
									
									 <td class="font-weight-bold text-justify text-left"><?php echo $data->due_date; ?></td>
									  <td class="font-weight-bold text-justify text-left"><?php echo $data->invoice_number; ?></td>
									
									
								  </tr>
						<?php 
						       } 
						  ?>
													
						      </tbody>
      
							<tfoot>
							<!--<tr>
							  <th>Currency code </th>
							  <th>Currency Name</th>
							  <th>Currency Notation</th>
							  <th>Status</th>
							  <th>Action</th>
							</tr>-->
							</tfoot>
                       </table>		<!--start table-->
											

								 <?php
		 
							
					  } 
				   }
			  }
		  
			
	 }
			
	public function get_company_outstanding_reportxls(Request $request)
	 {

		$region=$request->region1;
		$subregion=$request->subregion1;
		$warehouse=$request->warehouse1;
		$fromdate=$request->fromdate1;
		$todate=$request->todate1;
		 return Excel::download(new CompanyOutstandingReportExport($region,$subregion,$warehouse,$fromdate,$todate), 'customer_outstanding_report.xlsx');

	  }
 }
