<?php

namespace App\Http\Controllers;
use Illuminate\Http\Request;
use App\Models\CustomerTypeModel;
use Session;
use App\Models\ManageCodeModel;

class CustomerTypeController extends Controller
 {
   public function list()
	{
	  $get_data = CustomerTypeModel::all()->sortByDesc('id');

	  return view('Parameters_Configuration.distributor_list',compact('get_data'));
	}
		
   public function add()
    {   
		 $result =CustomerTypeModel::get()->sortByDesc('id')->first();
		if($result=='')
		  {
			$getcode = ManageCodeModel::where('id', 1)->first();
			$last_code = $getcode->customer_type_code;
		  }
		else
		  {
			 $getcode = $result->customer_type_code; 
			 $last_code = ++$getcode; 
		  } 
		return view('Parameters_Configuration.distributor',compact('last_code'));
	 }
	
	public function edit($id)
	 {
		$get_data=CustomerTypeModel::find($id);
		$last_code = $get_data->customer_type_code;
	
		return view('Parameters_Configuration.distributor',compact('get_data','last_code'));
	 }
	
	public function save(Request $request)
	 {

		$data=new CustomerTypeModel;			
		if($request->updated_id)
		  {
		
			$data = CustomerTypeModel::find($request->updated_id);
			$data->customer_type_code=$request->customer_type_code;
			$data->customer_type_name=$request->customer_type_name;
			$data->updated_user= Session::get('user_id');
			$data->status=$request->status;
			$data->save();
			return redirect(route('distributor_list'))->with('successMessage','Customer Type Updated Successfully');
	
		  }
		else 
		  {
		
			$data->customer_type_code=$request->customer_type_code;
			$data->customer_type_name=$request->customer_type_name;
			$data->created_user= Session::get('user_id');
			$data->status=$request->status;
			$data->save();
			return redirect(route('distributor_list'))->with('successMessage','Customer Type Added Successfully');
		 
		  }	
		
	 }
 }
