<?php

namespace App\Http\Controllers;

use Illuminate\Http\Request;
use App\Models\DeviceEnrollmentModel;
use App\Models\ManageCodeModel;
use Session;
use DB;

class DeviceEnrollmentController extends Controller
{
   public function list()
   {
	   
	    $get_data = DeviceEnrollmentModel::all()->sortByDesc('id');
		//dd($get_data);
	  return view('Device_Management.device_enrollment_list',compact('get_data'));
   }
   
   public function save(Request $request)
   {
	 //dd($request);
	 $data=new DeviceEnrollmentModel;

			if($request->updated_id) 
			{
			$data = DeviceEnrollmentModel::find($request->updated_id);		
	        $data->device_code=            $request->device_code;
			$data->device_name=            $request->device_name;
			$data->device_discription=     $request->device_discription;
			$data->brand=                  $request->brand;
			$data->operating_sys=          $request->operating_sys;
			$data->imei_1=                 $request->imei_1;
			$data->imei_2=                 $request->imei_2;
			$data->serial_num=             $request->serial_num;
			$data->status=                 $request->status;
			$data->save(); 
			return redirect(route('device_enrollment_list'))->with('successMessage','Device Updated Successfully');
			
			}
	 else
	 {
	 
	    $data=new DeviceEnrollmentModel;
	   
	        $data->device_code=            $request->device_code;
			$data->device_name=            $request->device_name;
			$data->device_discription=     $request->device_discription;
			$data->brand=                  $request->brand;
			$data->operating_sys=          $request->operating_sys;
			$data->imei_1=                 $request->imei_1;
			$data->imei_2=                 $request->imei_2;
			$data->serial_num=             $request->serial_num;
			$data->status=                 $request->status;
			$data->save(); 
			  return redirect(route('device_enrollment_list'))->with('successMessage','Device Added Successfully');
   }
   }
   public function add()
   {
	   
	   $user_id=Session::get('user_id');	  
		$result = DB::table('tbl_device_enrollment')
		 ->select('tbl_device_enrollment.device_code')->get()->last();
 
		if($result=='')
		  {
			  
			$getcode = ManageCodeModel::where('id', 1)->first();
			$last_code = $getcode->device_enrollment_code;
		  }
		else
		  {
			$getcode = $result->device_code;
			
			 $last_code = ++$getcode;
			 
		  }//DD($last_code);
       
			
	
			$login_user = DB::table('tbl_user')
			->leftJoin('tbl_company', 'tbl_user.company_id', '=', 'tbl_company.id')
			->leftJoin('tbl_currency_type', 'tbl_company.currency_id', '=', 'tbl_currency_type.id')
			->select('tbl_user.id', 'tbl_company.currency_id','tbl_currency_type.currency_notation')
			->where('tbl_user.id', '=', $user_id)
			->get()->first();
			
			return view('Device_Management.device_enrollment',compact('last_code','login_user'));
 
	 }
	   
	   
	public function view($id)
	{
		
		$get_data=DB::table('tbl_device_enrollment')
		->select('tbl_device_enrollment.*')
		->where('tbl_device_enrollment.id','=',$id)
		->get()
		->all();
		//dd($get_data);
		return view('Device_Management.device_enrollment_view',compact('get_data'));
	}
	
   public function edit($id)
	{
		
		$get_data=DeviceEnrollmentModel::find($id);
		$last_code = $get_data->device_code;
		return view('Device_Management.device_enrollment',compact('get_data','last_code'));
	} 
}
