<?php

namespace App\Http\Controllers;
use Illuminate\Http\Request;
use App\Models\ExpenseTypeCategorymModel;
use App\Models\ManageCodeModel;
use Session;

class ExpenseCategoryController extends Controller
 {
   public function list()
	{
		$get_data =ExpenseTypeCategorymModel::all()->sortByDesc('id');
	 
		return view('Parameters_Configuration.expense_category_list', compact('get_data'));
	}
		
   public function add()
	{
	 
		$result =ExpenseTypeCategorymModel::get()->sortByDesc('id')->first();
		if($result=='')
		  {
			$getcode = ManageCodeModel::where('id', 1)->first();
			$last_code = $getcode->expense_category_code;
		  }
		else
		  {
			 $getcode = $result->expense_category_code; 
			 $last_code = ++$getcode;
		  }
			return view('Parameters_Configuration.expense_category',compact('last_code'));
	 }
		
    public function edit($id)
	 {
		
		$get_data=ExpenseTypeCategorymModel::find($id);
		$last_code = $get_data->expense_category_code;

		return view('Parameters_Configuration.expense_category', compact('get_data','last_code'));
	 }

    public function save(Request $request)
	 {

	    $data=new ExpenseTypeCategorymModel;
	
	    if($request->updated_id)
		  {
				
			$data = ExpenseTypeCategorymModel::find($request->updated_id);
			$data->expense_category_code=$request->expense_category_code;
			$data->expense_category=$request->expense_category;
			$data->updated_user= Session::get('user_id');
			$data->status=$request->status;
			$data->save();
			 return redirect(route('expense_category_list'))->with('successMessage','ExpenseCategory Updated Successfully');
		
		  }
		else
		  {
			
			$data->expense_category_code=$request->expense_category_code;
			$data->expense_category=$request->expense_category;
			$data->created_user= Session::get('user_id');
			$data->status=$request->status;
			$data->save();
			 return redirect(route('expense_category_list'))->with('successMessage','ExpenseCategory Added Successfully');
					
		 }   
        
        
     }
 }
