<?php

namespace App\Http\Controllers;

use Illuminate\Http\Request;
use App\Models\WarehouseModel;
use App\Models\SalesmanModel;
use App\Models\OutstandingModel;
use App\Models\RouteModel;
use Carbon\Carbon;
use App\Models\UserModel;
use Response; 
use Session;
use Illuminate\Support\Facades\DB;

class OutstandingController extends Controller
 {
   public function outstanding_view(Request $request)
	{ 
       $where="";
		
		if($request->warehouse!='')
		  {
			$where .= "AND warehouse.id = '".$request->warehouse."'";
		  }
		if($request->salesman!='')
	      {
		    $where .= "AND salesman.id = '".$request->salesman."'";
	      }
	 
	    if($request->route!='')
		  {
			 $where .= "AND route.id = '".$request->route."'";
		  }

			  $warehouse=WarehouseModel::all()->sortByDesc('id')->where('warehouse_type','=','1')->where('status', '=', 'active');
			  $salesman =SalesmanModel::all()->sortByDesc('id')->where('status', '=', 'active');
			  $route =RouteModel::all()->sortByDesc('id')->where('status', '=', 'active');

			   $result = DB::select("SELECT riheader.*, route.route_name,route.route_code,
			   customer.customer_code,customer.customer_name,
			   warehouse.warehouse_code,warehouse.warehouse_name,
			    salesman.salesman_name,salesman.salesman_code,header.invoice_number,header.total_invoice_value
				
				FROM tbl_outstanding_details as riheader
				LEFT JOIN tbl_route as route on riheader.route_id=route.id
				LEFT JOIN tbl_customer as customer on riheader.customer_id=customer.id
				LEFT JOIN tbl_warehouse as warehouse on riheader.warehouse_id=warehouse.id
				LEFT JOIN tbl_salesman as salesman on riheader.salesman_id=salesman.id 
				LEFT JOIN tbl_route_invoice_header as header on riheader.invoice_id=header.id 
				WHERE riheader.id IS NOT NULL ".$where."ORDER BY ID DESC ");

				/*  $result = DB::table('tbl_outstanding_details')->select(
				
														'tbl_salesman.salesman_code',
														'tbl_outstanding_details.*',
														'tbl_salesman.salesman_name',
														'tbl_route.route_code',
														'tbl_route.route_name',
														'tbl_warehouse.warehouse_name',
														'tbl_warehouse.warehouse_code', 
														'tbl_route_invoice_header.invoice_number',
														'tbl_route_invoice_header.total_invoice_value',
														'tbl_customer.customer_code',
														'tbl_customer.customer_name',
				
						                                )
				 //->leftJoin('tbl_material_master', 'tbl_material_master.id', '=', ' tbl_outstanding_details.material_id')
				 //->leftJoin('tbl_route_unload_header', 'tbl_route_unload_header.id', '=', '  tbl_outstanding_details.header_id')	
				 ->leftJoin('tbl_salesman', 'tbl_salesman.id', '=', 'tbl_outstanding_details.salesman_id')		
				 ->leftJoin('tbl_route', 'tbl_route.id', '=', 'tbl_outstanding_details.route_id')
				 ->leftJoin('tbl_warehouse', 'tbl_warehouse.id', '=', 'tbl_outstanding_details.warehouse_id')
				 ->leftJoin('tbl_route_invoice_header', 'tbl_route_invoice_header.id', '=', 'tbl_outstanding_details.invoice_id')
				 ->leftJoin('tbl_customer', 'tbl_customer.id', '=', 'tbl_outstanding_details.customer_id')

				 //->leftJoin('tbl_unit_of_measurement', 'tbl_unit_of_measurement.id', '=', ' tbl_outstanding_details.uom')
				
				
				 ->where(' tbl_outstanding_details.header_id', '=', $id)

				 ->get();*/

				//dd($result);
		return view('Route_Transaction.outstanding_list',compact('warehouse','salesman','result'));
	 }
    public function get_routename_filter($id,$url_route)
     {		
		$route =RouteModel::all()->sortByDesc('id')->where('warehouse_name', '=', $id)->where('status', '=', 'active');	
		?>
		<option  value="">     </option>
		<?php
	    foreach($route as $route_name)
		  {
			?>
			<option <?php if($route_name->id==$url_route) { echo "selected";} ?> value="<?php echo $route_name->id ?>"  ><?php echo $route_name->route_code.' - '.$route_name->route_name ?></option>	
			<?php		
		  }		
			  	 //return response()->json($get_data);		
      }	   
     public function get_salesman_filter($id,$url_salesman)
      {	

		$salesman =SalesmanModel::all()->sortByDesc('id')->where('route_id', '=', $id)->where('status', '=', 'active');
			
		?>
		<option  value="">     </option>
		<?php
	 
	    foreach($salesman as $salesmanname)
		  {
			?>
			 <option <?php if($salesmanname->id==$url_salesman) { echo "selected";} ?> value="<?php echo $salesmanname->id ?>"  ><?php echo $salesmanname->salesman_code.' - '.$salesmanname->salesman_name ?></option>
			<?php		
		 }		
		 //return response()->json($get_data);		
      }	   
			
 }
