<?php

namespace App\Http\Controllers;
use Illuminate\Http\Request;
use App\Models\ManageCodeModel;
use App\Models\PaymentTermModel;
use Session;

class PaymentTermController extends Controller
 {
   public function add()
    {
	  $result =PaymentTermModel::get()->sortByDesc('id')->first();
	  if($result=='')
        {
			$getcode = ManageCodeModel::where('id', 1)->first();
			$last_code = $getcode->payment_code;
		}
	  else
	    {
		    $getcode = $result->payment_code; 
		    $last_code = ++$getcode;
	    }
		    return view('Parameters_Configuration.payment_term',compact('last_code'));
	 }
	public function edit($id)
	 {
		$get_data=PaymentTermModel::find($id);
		$last_code = $get_data->payment_code;

		return view('Parameters_Configuration.payment_term',compact('get_data','last_code'));
	 }
	
	public function list()
	 {
		$get_data =PaymentTermModel::all()->sortByDesc('id');

		return view('Parameters_Configuration.payment_term_list',compact('get_data'));
	 }
    public function save(Request $request)
	 {
    
		$data=new PaymentTermModel;
			
		if($request->updated_id)
		  {
					
			$data = PaymentTermModel::find($request->updated_id);
			$data->payment_code=$request->payment_code;
			$data->payment_term=$request->payment_term;
			$data->condition=$request->condition;

			$data->updated_user= Session::get('user_id');
			$data->status=$request->status;
			$data->save();
			return redirect(route('payment_term_list'))->with('successMessage','Payment Term Updated Successfully');
				
		  } 
		else
		  {
            
				$data->payment_code=$request->payment_code;
				$data->payment_term=$request->payment_term;
				$data->condition=$request->condition;
				$data->created_user= Session::get('user_id');
				$data->status=$request->status;
				$data->save();
				return redirect(route('payment_term_list'))->with('successMessage','Payment Term Added Successfully');
		
			}                  
      }
 }
