<?php

namespace App\Http\Controllers;

use Illuminate\Http\Request;
use App\Models\RegionTypeModel;
use App\Models\SubRegionTypeModel;
use App\Models\WarehouseModel;
use App\Models\PendingCustomer;
use Illuminate\Support\Facades\DB;
use Session;

class PendingCutomerController extends Controller
{
    public function list(Request $request)
     {
	   $current_date=date("Y-m-d");
	
       $where="";		
	   
	   if(count($request->all()) < 1)
	     {
		   $where .= " AND DATE_FORMAT(riheader.created_at, '%Y-%m-%d') between '".$current_date."' and '".$current_date."'"; 
	     }
	   
	   if($request->fromdate!='')
	     {
		    $where .= " AND DATE_FORMAT(riheader.created_at, '%Y-%m-%d') between '".$request->fromdate."' and '".$request->todate."'"; 
	     }
		 
		 if($request->approval_status!='')
		  {
		    $where .= " AND DATE_FORMAT(riheader.created_at, '%Y-%m-%d') between '".$request->fromdate."' and '".$request->todate."'"; 
			 
	     }
		 
		  
		    if($request->approval_status ==  1 ) {
			 $status_q = " and riheader.approval_status = 'pending'";
				//dd($status_q);
		   }else if($request->approval_status ==  2 ) {
				$status_q = " and riheader.approval_status = 'Approved'";
		   }else if($request->approval_status ==  3 ) {
				$status_q = " and riheader.approval_status = 'Reject'";
		   }else{
				 $status_q = " ";
				}
		  
		 $get_data = DB::select("SELECT 
			riheader.id,riheader.customer_code,riheader.customer_name,
			customer_type.customer_type_code,customer_type.customer_type_name,
			route.route_code,route.route_name,
			city.city_name,city.city_code,riheader.approval_status
			FROM tbl_pending_customer as riheader
			 
			LEFT JOIN tbl_route as route on riheader.route_id=route.id
			LEFT JOIN tbl_region as region on riheader.region=region.id
			LEFT JOIN tbl_sub_region as sub_region  on riheader.sub_region =sub_region.id
			LEFT JOIN tbl_customer_type as customer_type on riheader.customer_type=customer_type.id
			LEFT JOIN tbl_city as city on riheader.city=city.id
						
			WHERE riheader.id IS NOT NULL".$where." ".$status_q."ORDER BY ID DESC");
	  
	  return view('Route_Transaction.pending_customer_list',compact('get_data'));  
	 } 
	 
/*   public function pending_customer_list(Request $request)
    {
	  $current_date=date("Y-m-d");
	
       $where="";		
	   
	   if(count($request->all()) < 1)
	     {
		   $where .= " AND DATE_FORMAT(riheader.created_at, '%Y-%m-%d') between '".$current_date."' and '".$current_date."'"; 
	     }
	   
	   if($request->fromdate!='')
	     {
		    $where .= " AND DATE_FORMAT(riheader.created_at, '%Y-%m-%d') between '".$request->fromdate."' and '".$request->todate."'"; 
	     }
		   $list =PendingCustomer::all()->sortByDesc('id')->where('approval_status', '=', $request) ;
		    if($request) {
			 $status_q = " and riheader.approval_status = 'pending'";
				//dd($status_q);
		   }else if($request) {
				$status_q = " and riheader.approval_status = 'Approved'";
		   }else if($request) {
				$status_q = " and riheader.approval_status = 'Reject'";
		   }else{
				 $status_q = " ";
				}
		 
		 $get_data = DB::select("SELECT 
			riheader.id,riheader.customer_code,riheader.customer_name,
			customer_type.customer_type_code,customer_type.customer_type_name,
			route.route_code,route.route_name,
			city.city_name,city.city_code,riheader.approval_status
			FROM tbl_pending_customer as riheader
			 
			LEFT JOIN tbl_route as route on riheader.route_id=route.id
			LEFT JOIN tbl_region as region on riheader.region=region.id
			LEFT JOIN tbl_sub_region as sub_region  on riheader.sub_region =sub_region.id
			LEFT JOIN tbl_customer_type as customer_type on riheader.customer_type=customer_type.id
			LEFT JOIN tbl_city as city on riheader.city=city.id
						
			WHERE riheader.id IS NOT NULL".$where." ".$status_q."ORDER BY ID DESC");
		    return view('Route_Transaction.pending_customer_list',compact('get_data','list'));
  } */
  public function view($id)
	 {   
     //dd($id); 
		//$get_data=CustomerModel::find($id);
		$get_data = DB::table('tbl_pending_customer')
		->leftJoin('tbl_country', 'tbl_pending_customer.country', '=', 'tbl_country.id')
		->leftJoin('tbl_region', 'tbl_pending_customer.region', '=', 'tbl_region.id')
		->leftJoin('tbl_sub_region', 'tbl_pending_customer.sub_region', '=', 'tbl_sub_region.id')
		->leftJoin('tbl_warehouse', 'tbl_pending_customer.warehouse', '=', 'tbl_warehouse.id')
		->leftJoin('tbl_city', 'tbl_pending_customer.city', '=', 'tbl_city.id')
		
		->leftJoin('tbl_payment_term', 'tbl_pending_customer.payment_term', '=', 'tbl_payment_term.id')
		->leftJoin('tbl_customer_category', 'tbl_pending_customer.customer_category', '=', 'tbl_customer_category.id')
		->leftJoin('tbl_customer_type', 'tbl_pending_customer.customer_type', '=', 'tbl_customer_type.id')
		
		->leftJoin('tbl_route', 'tbl_pending_customer.route_id', '=', 'tbl_route.id')
		->leftJoin('tbl_trading_center', 'tbl_pending_customer.trading_center_id', '=', 'tbl_trading_center.id')
		
	    ->select('tbl_pending_customer.*', 'tbl_country.country_code','tbl_country.country_name',
		'tbl_region.region_code','tbl_region.region_name','tbl_sub_region.sub_region_code',
		'tbl_sub_region.sub_region_name','tbl_warehouse.warehouse_code','tbl_warehouse.warehouse_name',
		'tbl_payment_term.payment_code','tbl_payment_term.payment_term',
		'tbl_customer_category.customer_category_code',
		'tbl_customer_category.customer_category_name','tbl_customer_type.customer_type_name'
		,'tbl_customer_type.customer_type_code','tbl_city.city_name','tbl_city.city_code',
		'tbl_route.route_name','tbl_route.route_code','tbl_trading_center.trading_name',
		'tbl_trading_center.trading_center_code')
	    ->where('tbl_pending_customer.id', '=', $id)
		->first();
		//dd($get_data);
	return view('Route_Transaction.pending_customer_view',compact('get_data'));
     }	 
	
   public function get_subregion_data($id)
	{
	  if($id!=0)
		{
		  $sub_region =SubRegionTypeModel::all()->sortByDesc('id')->where('region', '=', $id)->where('status', '=', 'active');
		}
	  else 	
		{
		 $sub_region =SubRegionTypeModel::all()->sortByDesc('id')->where('status', '=', 'active');
		}	
   
		?>
		<option  value="">     </option>
		<option  value="0">Select All</option>
		<?php
		foreach($sub_region as $sub_region_name)
		  {
			?>
			  <option value="<?php echo $sub_region_name->id ?>"  ><?php echo $sub_region_name->sub_region_code.' - '.$sub_region_name->sub_region_name  ?></option>	
		   <?php  	   	
		  }
	 }
			
	public function get_warehouse_data($id)
	 {
		if($id!=0)
		  {		
			 $warehouse =WarehouseModel::all()->sortByDesc('id')->where('sub_region', '=', $id)->where('status', '=', 'active')->where('warehouse_type', '=',1);
		  }
		else{
		     $warehouse =WarehouseModel::all()->sortByDesc('id')->where('status', '=', 'active')->where('warehouse_type', '=',1);
	        }
   
		?>
		<option  value="">     </option>
		<option  value="0">Select All</option>
		<?php
	    foreach($warehouse as $warehouse_name)
		  {
			?>
			  <option value="<?php echo $warehouse_name->id ?>"  ><?php echo $warehouse_name->warehouse_code.' - '.$warehouse_name->warehouse_name  ?></option>	
		   <?php  	   	
		  }
	 }
}
