<?php

namespace App\Http\Controllers;

use Illuminate\Http\Request;
use App\Models\PlanogramModel;
use App\Models\RegionTypeModel;
use App\Models\SubRegionTypeModel;
use App\Models\CustomerModel;  
use App\Models\ShelfDisplayModel;
use App\Models\ManageCodeModel;


use Illuminate\Support\Facades\DB;
use Illuminate\Support\Facades\Storage;
use Session;

class PlanogramController extends Controller
 {
  public function add()
   {
		$result =PlanogramModel::get()->sortByDesc('id')->first();
		if($result=='')
		{
			$getcode = ManageCodeModel::where('id', 1)->first();
			$last_code = $getcode->planogram_code;
		}
		else
		{
			$getcode = $result->planogram_code; 
			$last_code = ++$getcode; 
		}

	   $get_data=PlanogramModel::all()->sortByDesc('id')->where('status', '=', 'active');
	   $region =RegionTypeModel::all()->sortByDesc('id')->where('status', '=', 'active');
	   $sub_region =SubRegionTypeModel::all()->sortByDesc('id')->where('status', '=', 'active');
	   $shelf_display=ShelfDisplayModel::all()->sortByDesc('id')->where('status', '=', 'active'); 
	     
	   return view('Merchandising.planogram',compact('region','get_data','sub_region','shelf_display','last_code'));  
   } 
	
  public function get_subregion($id, $subregion_id)
   { 
	  $get_data=SubRegionTypeModel::all()->sortByDesc('id')->where('region_id', '=', $id)->where('status', '=', 'active'); 
	  ?>
		
	  <option value=""></option>
	     <?php foreach($get_data as $subregion_name) { ?>
			
		   <option value="<?php echo $subregion_name->id ?>" <?php if($subregion_name->id == $subregion_id) { echo "selected"; } ?> ><?php echo $subregion_name->sub_region_code." - ".$subregion_name->sub_region_name ?></option>	
	  
	    <?php }
     }
	
     public function get_customer($id)
	 { 
	    $get_data=DB::table('tbl_shelf_display')
		->select('tbl_shelf_display.customer')
		
		->where('status', '=', 'active')
		->where('id', '=',$id )
		->get();
	   
		echo $get_data[0]->customer;
     }
	
	
	 public function get_shelf_display($id, $shelf_display)
   { 
	  $get_data=ShelfDisplayModel::all()->sortByDesc('id')->where('region_id', '=', $id)->where('status', '=', 'active'); 
	  ?>
		
	  <option value=""></option>
	     <?php foreach($get_data as $shelf_display1) { ?>
			
		   <option value="<?php echo $shelf_display1->id ?>" <?php if($shelf_display1->id == $shelf_display) { echo "selected"; } ?> ><?php echo $shelf_display1->name ?></option>	
	  
	    <?php }
     }
	public function save(Request $request)
	 {   
   
		   $data=new PlanogramModel;
		   $planogram_image=$request->file('planogram_image1');
		   $planogram_image_1=$request->file('planogram_image2');
		   
		   
		   if($planogram_image)
		     {  
	  
			   $filenameWithExt = $request->file('planogram_image1')->getClientOriginalName();
				// Get just filename
				$filename = pathinfo($filenameWithExt, PATHINFO_FILENAME);            
			   // Get just ext
				$extension = $request->file('planogram_image1')->getClientOriginalExtension();
				//Filename to store
				$fileNameToStore = $filename.'_'.time().'.'.$extension;                       
			  // Upload Image
				$path = $request->file('planogram_image1')->storeAs('public/planogram', $fileNameToStore);
			 }
		   elseif($request->updated_id !='' && $planogram_image == '')
			 {
			   $old_path = PlanogramModel::find($request->updated_id);
			   $path= $old_path->planogram_image1;
		 
			}   
		  else 
			{
				$path = '';
			}

		if($planogram_image_1)
		  {  
	  
		   $filenameWithExt = $request->file('planogram_image2')->getClientOriginalName();
			// Get just filename
			$filename = pathinfo($filenameWithExt, PATHINFO_FILENAME);            
		   // Get just ext
			$extension = $request->file('planogram_image2')->getClientOriginalExtension();
			//Filename to store
			$fileNameToStore = $filename.'_'.time().'.'.$extension;                       
		  // Upload Image
			$path1 = $request->file('planogram_image2')->storeAs('public/planogram', $fileNameToStore);
		  }
		elseif($request->updated_id !='' && $planogram_image_1 == '')
		  {
			   $old_path1 = PlanogramModel::find($request->updated_id);
			   $path1= $old_path1->planogram_image2;
		 
		  }   
		else 
		  {
			   $path1 = '';
		  }	

		  //$data=new PlanogramModel;
		  $shelf_display = array();
		if($request->updated_id)
		  { 	
				

			 $data = PlanogramModel::find($request->updated_id);
			 $data->planogram_code=$request->planogram_code;         
			 $data->planogram_name=$request->planogram_name;
			 $data->valid_from=$request->valid_from;
			 $data->valid_to=$request->valid_to;
			 $data->customer=$request->customer_add;
			 $data->shelf_display_name=$request->shelf_display;
			 $data->planogram_image1=$path;
			 $data->planogram_image2=$path1;
			 $data->status=$request->status;
			 $data->save();

			 return redirect(route('planogram_list'))->with('successMessage','Planogram Updated Successfully');
		
		  } else{
		          
			 		 $data->planogram_code=$request->planogram_code;         
					 $data->planogram_name=$request->planogram_name;
					 $data->valid_from=$request->valid_from;
					 $data->valid_to=$request->valid_to;
					 $data->customer=$request->customer_add;
					 $data->shelf_display_name=$request->shelf_display;
					 $data->planogram_image1=$path;
					 $data->planogram_image2=$path1;
					 $data->status=$request->status; 
					 $data->save();
						  
				     return redirect(route('planogram_list'))->with('successMessage','Planogram Added Successfully');
		        } 
	 }
	
	public function imagestore(Request $request)
	 {
		 $image= $request->file('image2'); 
		 $imageName =time().'.'.$image->extension();
		 $image->move(public_path('images'),$imageName);

		 $data=new PlanogramModel();

	 }
	
	public function list()
	 {
		$get_data = DB::table('tbl_planogram')
		->leftJoin('tbl_customer', 'tbl_planogram.customer', '=', 'tbl_customer.id')
		->leftJoin('tbl_shelf_display','tbl_planogram.shelf_display_name','=','tbl_shelf_display.id')
		->select('tbl_planogram.*','tbl_customer.customer_name','tbl_customer.customer_code','tbl_shelf_display.name')->orderBy('id', 'DESC')->get();
		//dd($get_data);      

		return view('Merchandising.planogram_list',compact('get_data'));
     }
	 
	public function edit($id)
     {
		
		$region =RegionTypeModel::all()->sortByDesc('id')->where('status', '=', 'active');
		$sub_region=SubRegionTypeModel::all()->sortByDesc('id')->where('region', '=', $id)->where('status', '=', 'active');
		$shelf_display=ShelfDisplayModel::all()->sortByDesc('id')->where('status', '=', 'active'); 
		//$customer=CustomerCategoryModel::all()->sortByDesc('id')->where('status', '=', 'active')->where('customer_type', '=', '3');
		$get_data = DB::table('tbl_planogram')
				->leftJoin('tbl_shelf_display', 'tbl_planogram.shelf_display_name', '=', 'tbl_shelf_display.id')
				->select('tbl_planogram.*', 'tbl_shelf_display.name as shelf_display')
				->where('tbl_planogram.id', '=', $id)
				->first();
		//dd($get_data);
		return view('Merchandising.planogram',compact('get_data','region','sub_region','shelf_display'));
     }
	
	public function view($id)
	 {    
		
		$get_data = DB::table('tbl_planogram')
		->leftJoin('tbl_region', 'tbl_planogram.region', '=', 'tbl_region.id')
		->leftJoin('tbl_sub_region', 'tbl_planogram.sub_region', '=', 'tbl_sub_region.id')
		
		->select('tbl_planogram.*', 'tbl_region.region_name','tbl_sub_region.sub_region_name')
		->where('tbl_planogram.id', '=', $id)
        ->first();
		//dd($get_data);
	

		$customers = DB::select('SELECT t2.customer_name, t2.customer_code, t2.contact_no, t2.email FROM tbl_planogram as t1 
		LEFT JOIN  tbl_customer as t2 ON find_in_set(t2.id, t1.customer) WHERE t1.id='.$id.'');	
		
		$data1 = DB::select('SELECT t2.name FROM tbl_planogram as t1 
		LEFT JOIN  tbl_shelf_display as t2 ON find_in_set(t2.id, t1.shelf_display_name) WHERE t1.id='.$id.'');
		$i1 = 0;
        $code1 = array();
        foreach($data1 as $key1[$i1] => $datas1){
            
            $code1[$i1] = $datas1->name;
            $i1++;
        }

		$shelf_display= implode(",",$code1);
		
		
		
		// $i = 0;
        // $code = array();
		// $name = array();
		// $contact = array();
		// $email = array();

        // foreach($data as $key[$i] => $datas1){
            
        //     $code[$i] = $datas1->customer_code;
        //     $i++;
        // }
		// $customer_code= implode(",",$code);


		// foreach($data as $key[$i] => $datas2){
            
        //     $name[$i] = $datas2->customer_name;
        //     $i++;
        // }
		// $customer_name= implode(",",$name);


		// foreach($data as $key[$i] => $datas3){
            
        //     $email[$i] = $datas3->email;
        //     $i++;
        // }
		// $customer_email= implode(",",$email);


		// foreach($data as $key[$i] => $datas4){
            
        //     $contact[$i] = $datas4->contact_no;
        //     $i++;
        // }
		// $customer_contact= implode(",",$contact);
		
		
		return view('Merchandising.planogram_view',compact('get_data','customers','shelf_display'));
	 }
 }  
