<?php

namespace App\Http\Controllers;
use App\Models\ReasonModel;
use App\Models\ManageCodeModel;
use Session;
use Illuminate\Http\Request;

class ReasonController extends Controller
{
    public function list()
	{
		//$get_data=CountryTypeModel::get()->all();
		
		$get_data = ReasonModel::all()->sortByDesc('id');
		
		//dd($get_data);
		
		return view('Parameters_Configuration.reason_list',compact('get_data'));
	}
	
	 public function add()
	{ 
		 $result =ReasonModel::get()->sortByDesc('id')->first();
		if($result=='')
	      {
			$getcode = ManageCodeModel::where('id', 1)->first();
			$last_code = $getcode->reason_code;
		  }
		else
		  {
			 $getcode = $result->reason_code; 
			 $last_code = ++$getcode;
		  } 
			return view('Parameters_Configuration.reason',compact('last_code'));
	}
	
	public function edit($id)
	{
		$get_data=ReasonModel::find($id);
		$last_code = $get_data->reason_code;
		
		return view('Parameters_Configuration.reason',compact('get_data','last_code'));
	}
	
	public function save(Request $request)
	{
		$data=new ReasonModel;			
		if($request->updated_id) 
		  {
			$data = ReasonModel::find($request->updated_id);
			$data->reason_code=$request->reason_code;
			$data->reason_name=$request->reason_name;
			$data->updated_user= Session::get('user_id');
			$data->status=$request->status;
			$data->reason_type=$request->reason_type;
			$data->save();
			return redirect(route('reason_list'))->with('successMessage','Reason Updated Successfully');
		  } 
	    else 
	      {
			$data->reason_code=$request->reason_code;
			$data->reason_name=$request->reason_name;
			$data->created_user= Session::get('user_id');
			$data->status=$request->status;
			
			$data->reason_type=$request->reason_type;
			$data->save();
			return redirect(route('reason_list'))->with('successMessage','Reason Added Successfully');
		  }	
		
	 }
	
	
	

}
