<?php

namespace App\Http\Controllers;
use Illuminate\Http\Request;
use App\Models\RegionTypeModel;
use App\Models\ManageCodeModel;
use Session;

class RegionController extends Controller
 {   
   public function list()
    {		
		$get_data = RegionTypeModel::all()->sortByDesc('id');		
		//dd($get_data);		
		return view('Parameters_Configuration.region_list',compact('get_data'));
    }
   public function add()
    { 
		$result =RegionTypeModel::get()->sortByDesc('id')->first();
		if($result=='')
		  {
			$getcode = ManageCodeModel::where('id', 1)->first();
			$last_code = $getcode->region_code;
		  }
	    else
		  {
		    $getcode = $result->region_code; 
		    $last_code = ++$getcode;
		  } 
			return view('Parameters_Configuration.region',compact('last_code'));
	 }
	 
	
    public function edit($id)
	 {
		$get_data=RegionTypeModel::find($id);
		 $last_code = $get_data->region_code;		
		return view('Parameters_Configuration.region',compact('get_data','last_code'));
	 }
	
	public function save(Request $request)
	 {		
		 $data=new RegionTypeModel;			
		 if($request->updated_id) 
		   {			
				$data = RegionTypeModel::find($request->updated_id);			
				$data->region_code=$request->region_code;
				$data->region_name=$request->region_name;
				$data->updated_user= Session::get('user_id');
				$data->company_id= Session::get('company_id');
				$data->status=$request->status;
				$data->save();
				return redirect(route('region_list'))->with('successMessage','Region Updated Successfully');
		    } 
		
		  else 
		    {
				$data->region_code=$request->region_code;
				$data->region_name=$request->region_name;
				$data->created_user= Session::get('user_id');
				$data->company_id= Session::get('company_id');
				$data->status=$request->status;
				$data->save();
				return redirect(route('region_list'))->with('successMessage','Region Added Successfully');
			}	
		
      }
	
 }
