<?php

namespace App\Http\Controllers;
use Illuminate\Http\Request;
use App\Models\SalesTargetTypeModel;
use App\Models\ManageCodeModel;
use Session;

class SalesTargetTypeController extends Controller
{
    public function list()
		{
			$get_data = SalesTargetTypeModel::all()->sortByDesc('id');
		
			return view('Parameters_Configuration.sales_target_type_list',compact('get_data'));
		}
	public function add()
		{ 	
				$result =SalesTargetTypeModel::get()->sortByDesc('id')->first();
				if($result=='')
			{
				$getcode = ManageCodeModel::where('id', 1)->first();
				$last_code = $getcode->target_code;
			
			}
			else
			{
				 $getcode = $result->target_code; 
				 $last_code = ++$getcode;
			}
				return view('Parameters_Configuration.sales_target_type',compact('last_code'));
		}
    public function edit($id)
		{
			$get_data=SalesTargetTypeModel::find($id);
			$last_code = $get_data->target_code;
			
			return view('Parameters_Configuration.sales_target_type',compact('get_data','last_code'));
		}
	public function save(Request $request)
		{
	
				$data=new SalesTargetTypeModel;			
				if($request->updated_id) 
			{			
				$data = SalesTargetTypeModel::find($request->updated_id);
				$data->target_code=$request->target_code;
				$data->target_name=$request->target_name;
				$data->updated_user= Session::get('user_id');
				$data->status=$request->status;
				$data->save();
				return redirect(route('sales_target_type_list'))->with('successMessage','Sales Target Type Updated Successfully');
		
			} else
   			 {			
				$data->target_code=$request->target_code;
				$data->target_name=$request->target_name;
				$data->created_user= Session::get('user_id');
				$data->status=$request->status;
				$data->save();
				return redirect(route('sales_target_type_list'))->with('successMessage','Sales Target Type Added Successfully');
			
			 }	    		
		}
}
