<?php

namespace App\Http\Controllers;
use App\Models\SurveysModel;
use Illuminate\Support\Facades\DB;
use Session;
use Carbon\Carbon;
use Illuminate\Http\Request;

class SurveysController extends Controller
 {
   public function list()
	{		
		$get_data = DB::table('tbl_surveys')
		->select('tbl_surveys.*')
		->orderBy('id', 'DESC')
		->get();
		
		return view('Merchandising.surveys_list',compact('get_data'));
	}
	
   public function add()
	{ 	
		return view('Merchandising.surveys');
	}
	
   public function save(Request $request)
	{

		$data=new SurveysModel;			
		if($request->updated_id) 
		  {			
			$data = SurveysModel::find($request->updated_id);				
			$data->survey_name=$request->survey_name;
			$data->from_date=$request->fromdate;
			$data->to_date=$request->todate;
			$data->save();
		
			return redirect(route('surveys_list'))->with('successMessage','Surveys Updated Successfully');
		  } 
		else 
		  {			
			$data->survey_name=$request->survey_name;
			$data->from_date=$request->fromdate;
			$data->to_date=$request->todate;
			$data->save();
					
			$save=$data->id;
			//dd($data);
			return redirect('/questions/'.$save)->with('successMessage','Surveys Added Successfully');
	
		  }	
     }
	
	public function edit($id)
		{
		   $get_data=SurveysModel::find($id);
		
		   return view('Merchandising.surveys',compact('get_data'));
	    }
 }
