<?php

namespace App\Http\Controllers;
use Illuminate\Http\Request;
use App\Models\UnitOfMeasurementModel;
use App\Models\ManageCodeModel;
use Session;

class UnitOfMeasurementController extends Controller
 {
   public function list()
	{
	
		$get_data = UnitOfMeasurementModel::all()->sortByDesc('id');
	
		return view('Parameters_Configuration.unit_of_measurement_list',compact('get_data'));
	}
	
 public function add()
	{ 
		$result =UnitOfMeasurementModel::get()->sortByDesc('id')->first();
		if($result=='')
		  {
			$getcode = ManageCodeModel::where('id', 1)->first();
			$last_code = $getcode->uom_code;			
		  }
		else
		  {
		 	$getcode = $result->uom_code; 
			$last_code = ++$getcode;
		  }
		return view('Parameters_Configuration.unit_of_measurement',compact('last_code'));
	 }

	public function edit($id)
	 {
		 $get_data=UnitOfMeasurementModel::find($id);
		 $last_code = $get_data->uom_code;
		 return view('Parameters_Configuration.unit_of_measurement',compact('get_data','last_code'));
	 }
	
	public function save(Request $request)
	 {	
	   $data=new UnitOfMeasurementModel;
				
	   if($request->updated_id) 
		 {
			$data = UnitOfMeasurementModel::find($request->updated_id);
			$data->uom_code=$request->uom_code;
			$data->uom_name=$request->uom_name;
			$data->uom_type=$request->uom_type;
			$data->unit_notation=$request->unit_notation;
			$data->updated_user= Session::get('user_id');
			$data->status=$request->status;
			$data->save();
			return redirect(route('unit_of_measurement_list'))->with('successMessage','UOM  Updated Successfully');
		
		 } else 
			 {
				
				$data->uom_code=$request->uom_code;
				$data->uom_name=$request->uom_name;
				$data->unit_notation=$request->unit_notation;
				$data->uom_type=$request->uom_type;
				$data->created_user= Session::get('user_id');
				$data->status=$request->status;
				$data->save();
				return redirect(route('unit_of_measurement_list'))->with('successMessage','UOM  Added Successfully');
				
			 }	
    	
     }
 }
