<?php

namespace App\Http\Controllers;

use Illuminate\Http\Request;

use App\Models\WarehouseModel;
use App\Models\TypeModel;
use App\Models\MaterialMasterModel;
use App\Models\RouteWarehouseModel;
use App\Models\MaterialCategoryModel;
use Illuminate\Support\Facades\DB;

class WarehoueStockController extends Controller
 {
   public function warehousestock_view()
    {  
			
	   $get_data=WarehouseModel::all()->sortByDesc('id')->whereIn('warehouse_type', [0,1])->where('status','=','active');
		
		$material_type = TypeModel::get()->all();
		$material_category = MaterialCategoryModel::get()->all();
		$material = MaterialMasterModel::get()->all();

		return view('Stock_Management.warehouse_stock_view',compact('get_data','material_type','material_category','material'));

    }
	   
   public function stock_view_get_mat_cat($id)
    {
	  $material_cat =MaterialCategoryModel::all()->sortByDesc('id')->where('status', '=', 'active')->where('material_type_id', '=', $id);
			
	  ?>
	  <option  value="">     </option>
	  <?php
	  foreach($material_cat as $material_cat)
		{
			?>
			<option value="<?php echo $material_cat->id ?>"  ><?php echo $material_cat->category_code.' - '.$material_cat->category_name ?></option>	
			<?php		
		}
	
		//return response()->json($get_data);
		
	}
		 
   public function stock_view_get_material($id)
    {
	  $material_cat =MaterialMasterModel::all()->sortByDesc('id')->where('status', '=', 'active')->where('material_category_id', '=', $id);
			
	  ?>
	  <option  value="">     </option>
	  <?php
	  foreach($material_cat as $material)
		{
			?>
			<option value="<?php echo $material->id ?>"  ><?php echo $material->material_code.' - '.$material->material_name ?></option>	
			<?php		
		}
				
	  //return response()->json($get_data);
		
    }
 
   public function get_warehouse_stock_warehouse_details($warehouse_id,$material_type,$material_cat,$material)
    {
		  /* echo $warehouse_id.' ,'.$material_type.' , '. $material_cat.' , '.$material;
		 exit; */ 
		if($material!='s')
		  {
	        $warehouse_stock =DB::table('tbl_warehouse_stock')
		 
			->leftJoin('tbl_warehouse', 'tbl_warehouse_stock.warehouse_id', '=', 'tbl_warehouse.id')
			->leftJoin('tbl_type', 'tbl_warehouse_stock.material_type', '=', 'tbl_type.id')
			->leftJoin('tbl_material_category', 'tbl_warehouse_stock.material_category_id', '=', 'tbl_material_category.id')
			
			->leftJoin('tbl_material_master', 'tbl_warehouse_stock.material_id', '=', 'tbl_material_master.id')
			 
			->leftJoin('tbl_unit_of_measurement', 'tbl_warehouse_stock.uom_id', '=', 'tbl_unit_of_measurement.id')
				 
			->select(DB::raw('sum(tbl_warehouse_stock.qty) as total_qty'),DB::raw('sum(tbl_warehouse_stock.return_stock) as return_stock'),'tbl_warehouse.warehouse_code','tbl_warehouse.warehouse_name','tbl_type.type_code','tbl_type.type','tbl_material_category.category_code','tbl_material_category.category_code','tbl_material_master.material_code','tbl_material_master.material_name','tbl_unit_of_measurement.uom_code','tbl_unit_of_measurement.uom_name')
			 
			->groupBy('tbl_warehouse_stock.warehouse_id','tbl_warehouse_stock.material_type','tbl_warehouse_stock.material_category_id','tbl_warehouse_stock.material_id','tbl_warehouse_stock.uom_id')
			
			->where('tbl_warehouse_stock.warehouse_id','=',$warehouse_id)
			->where('tbl_warehouse_stock.material_type','=',$material_type)
			->where('tbl_warehouse_stock.material_category_id','=',$material_cat)
			->where('tbl_warehouse_stock.material_id','=',$material)
			->get()->all();	
			
			
			$count=count($warehouse_stock);	
			if($count>0)
			  {	
			
				 foreach($warehouse_stock as $warehouse_stock)
				   {
				      ?>
					  <tr>
						<td class="font-weight-bold text-justify text-left"> <?php echo ucfirst($warehouse_stock->material_code).' - '.ucfirst($warehouse_stock->material_name); ?></td>  
						<td class="font-weight-bold text-justify text-left"><?php echo ucfirst($warehouse_stock->uom_code); ?></td>
						<td class="font-weight-bold text-justify text-left"><?php echo $warehouse_stock->total_qty; ?></td>
						<td class="font-weight-bold text-justify text-left"><?php echo $warehouse_stock->return_stock; ?></td>
						
					  </tr>
				    <?php	
				   }
			  }
			else
			  {
				?>
				  <tr><td colspan="4" class="font-weight-bold text-justify text-left text-danger text-center"> No Record Found </td> </tr>
				<?php
			  }
				  
		  }
		else
		  {
				 
		   if($material_cat!='s')
			 {
			    $warehouse_stock =DB::table('tbl_warehouse_stock')
		 
				->leftJoin('tbl_warehouse', 'tbl_warehouse_stock.warehouse_id', '=', 'tbl_warehouse.id')
		        ->leftJoin('tbl_type', 'tbl_warehouse_stock.material_type', '=', 'tbl_type.id')
				->leftJoin('tbl_material_category', 'tbl_warehouse_stock.material_category_id', '=', 'tbl_material_category.id')
				
				 ->leftJoin('tbl_material_master', 'tbl_warehouse_stock.material_id', '=', 'tbl_material_master.id')
				 
				 ->leftJoin('tbl_unit_of_measurement', 'tbl_warehouse_stock.uom_id', '=', 'tbl_unit_of_measurement.id')
				 
				 ->select(DB::raw('sum(tbl_warehouse_stock.qty) as total_qty'),DB::raw('sum(tbl_warehouse_stock.return_stock) as return_stock'),'tbl_warehouse.warehouse_code','tbl_warehouse.warehouse_name','tbl_type.type_code','tbl_type.type','tbl_material_category.category_code','tbl_material_category.category_code','tbl_material_master.material_code','tbl_material_master.material_name','tbl_unit_of_measurement.uom_code','tbl_unit_of_measurement.uom_name')
				 
				 ->groupBy('tbl_warehouse_stock.warehouse_id','tbl_warehouse_stock.material_type','tbl_warehouse_stock.material_category_id','tbl_warehouse_stock.material_id','tbl_warehouse_stock.uom_id')
				
				 ->where('tbl_warehouse_stock.warehouse_id','=',$warehouse_id)
				 ->where('tbl_warehouse_stock.material_type','=',$material_type)
				 ->where('tbl_warehouse_stock.material_category_id','=',$material_cat)
				
				 ->get()->all();	
				 $count=count($warehouse_stock);	
				 if($count>0)
				   {
				     foreach($warehouse_stock as $warehouse_stock)
				       {
				         ?>
					       <tr>
								<td class="font-weight-bold text-justify text-left"> <?php echo ucfirst($warehouse_stock->material_code).' - '.ucfirst($warehouse_stock->material_name); ?></td>  
								<td class="font-weight-bold text-justify text-left"><?php echo ucfirst($warehouse_stock->uom_code); ?></td>
								<td class="font-weight-bold text-justify text-left"><?php echo $warehouse_stock->total_qty; ?></td>
								<td class="font-weight-bold text-justify text-left"><?php echo $warehouse_stock->return_stock; ?></td>
								
					       </tr>
				         <?php	
		               }
				    }
				  else
				    {
					  ?>
					    <tr><td colspan="4" class="font-weight-bold text-justify text-left text-danger text-center"> No Record Found </td> </tr>
					  <?php
				    }
					 
			 }
		   else
			 {
			    $warehouse_stock =DB::table('tbl_warehouse_stock')
		 
				->leftJoin('tbl_warehouse', 'tbl_warehouse_stock.warehouse_id', '=', 'tbl_warehouse.id')
		        ->leftJoin('tbl_type', 'tbl_warehouse_stock.material_type', '=', 'tbl_type.id')
				->leftJoin('tbl_material_category', 'tbl_warehouse_stock.material_category_id', '=', 'tbl_material_category.id')
				
				 ->leftJoin('tbl_material_master', 'tbl_warehouse_stock.material_id', '=', 'tbl_material_master.id')
				 
				 ->leftJoin('tbl_unit_of_measurement', 'tbl_warehouse_stock.uom_id', '=', 'tbl_unit_of_measurement.id')
				 
				->select(DB::raw('sum(tbl_warehouse_stock.qty) as total_qty'),
				  DB::raw('sum(tbl_warehouse_stock.return_stock) as return_stock'),'tbl_warehouse.warehouse_code','tbl_warehouse.warehouse_name','tbl_type.type_code','tbl_type.type','tbl_material_category.category_code','tbl_material_category.category_code','tbl_material_master.material_code','tbl_material_master.material_name','tbl_unit_of_measurement.uom_code','tbl_unit_of_measurement.uom_name')
				 
				->groupBy('tbl_warehouse_stock.warehouse_id','tbl_warehouse_stock.material_type','tbl_warehouse_stock.material_category_id','tbl_warehouse_stock.material_id','tbl_warehouse_stock.uom_id')
				
				->where('tbl_warehouse_stock.warehouse_id','=',$warehouse_id)
				->where('tbl_warehouse_stock.material_type','=',$material_type)
				->get()->all();	
				 $count=count($warehouse_stock);	
				if($count>0)
				  {
				    foreach($warehouse_stock as $warehouse_stock)
				      {
				         ?>
					    <tr>
								<td class="font-weight-bold text-justify text-left"> <?php echo ucfirst($warehouse_stock->material_code).' - '.ucfirst($warehouse_stock->material_name); ?></td>  
								<td class="font-weight-bold text-justify text-left"><?php echo ucfirst($warehouse_stock->uom_code); ?></td>
								<td class="font-weight-bold text-justify text-left"><?php echo $warehouse_stock->total_qty; ?></td>
								<td class="font-weight-bold text-justify text-left"><?php echo $warehouse_stock->return_stock; ?></td>
								
					    </tr>
				        <?php	
				      }
				   }
				 else
				   {
					 ?>
					   <tr><td colspan="4" class="font-weight-bold text-justify text-left text-danger text-center"> No Record Found.. </td> </tr>
					 <?php
				   }
				  
					 
			 }
				
		  }
				
		exit;			
		
    }
		 
    //getting route warehouse
   public function get_route_warehouse_details($warehouse_id)
    {
		 $route_warehouse =WarehouseModel::all()->sortByDesc('id')->where('status', '=', 'active')->where('route_warehouse', '=',$warehouse_id);
		
		?>
		<div class="col-md-12">
		   <?php 
			foreach($route_warehouse as $key => $route_warehouse)
			  { 
			     ?>
			     <div id="accordion" class="accordion-wrapper mb-3">
				   <div class="card">
				     <div id="headingOne" class="card-header">
							     <button value="<?php echo $key; ?>" id="<?php echo $route_warehouse->id; ?>" type="button" data-toggle="collapse" data-target="#route_warehouse_details<?php echo $key; ?>" aria-expanded="true" aria-controls="collapseOne" class="route_warehouse12 text-left m-0 p-0 btn btn-link btn-block ">
                                 <h5 class="m-0 p-0"> <?php echo ucfirst($route_warehouse->warehouse_name).' - '.$route_warehouse->warehouse_code.'     (Route Warehouse)'; ?> </h5>
								 <span ><i id="icon<?php echo $key; ?>" class="fa fa-plus float-right" aria-hidden="true"></i></span>
                                 </button>
                      </div>
                      <div data-parent="#accordion" id="route_warehouse_details<?php echo $key; ?>"  aria-labelledby="headingOne" class=  "collapse">
                         <div class="card-body">
								   		   
                         </div>
                      </div>
                   </div>
			     </div>
			  <?php
			   }
			  ?>
		 </div>
		 <?php 		
		
    }
		 
   public function get_outlet_warehouse_details($warehouse_id)
    {
      $outlet_warehouse =WarehouseModel::all()->sortByDesc('id')->where('status', '=', 'active')->where('outlet_warehouse', '=',$warehouse_id);
			
	  ?>
	  <div class="col-md-12">
	   <?php 
	  foreach($outlet_warehouse as $key => $outlet_warehouse)
		{ 
		 ?>
		  <div id="accordion" class="accordion-wrapper mb-3">
			<div class="card">
			   <div id="headingOne" class="card-header">
				  
				 <button value="<?php echo $key; ?>" id="<?php echo $outlet_warehouse->id; ?>" type="button" data-toggle="collapse" data-target="#outlet_warehouse_details<?php echo $key; ?>" aria-expanded="true" aria-controls="collapseOne" class="outlet_warehouse12 text-left m-0 p-0 btn btn-link btn-block ">
				 <h5 class="m-0 p-0"> <?php echo ucfirst($outlet_warehouse->warehouse_name).' - '.$outlet_warehouse->warehouse_code.'     (Outlet Warehouse)'; ?> </h5>  
				   
				 <span ><i id="icon<?php echo $key; ?>" class="fa fa-plus float-right" aria-hidden="true"></i></span>
				 </button> 
			   </div>
			   <div data-parent="#accordion" id="outlet_warehouse_details<?php echo $key; ?>"  aria-labelledby="headingOne" class="collapse">
			     <div class="card-body">
						   
			     </div>
			  </div>
		    </div>
	      </div>
	       <?php
	     }
	     ?>
        </div>
        <?php 		

    }
		
   public function get_route_warehouse_stock_data($warehouse_id,$routwarehouse)
    {
	    $route_warehouse_stock =DB::table('tbl_route_warehouse_stock')
 
		 ->leftJoin('tbl_warehouse', 'tbl_route_warehouse_stock.warehouse_id', '=', 'tbl_warehouse.id')
		
		 ->leftJoin('tbl_material_master', 'tbl_route_warehouse_stock.item_id', '=', 'tbl_material_master.id')
		 
		 ->leftJoin('tbl_unit_of_measurement', 'tbl_route_warehouse_stock.uom', '=', 'tbl_unit_of_measurement.id')
		 
		 ->select(DB::raw('sum(tbl_route_warehouse_stock.qty) as total_qty'),DB::raw('sum(tbl_route_warehouse_stock.bad_qty) as bad_qty'),'tbl_warehouse.warehouse_code','tbl_warehouse.warehouse_name','tbl_material_master.material_code','tbl_material_master.material_name','tbl_unit_of_measurement.uom_code','tbl_unit_of_measurement.uom_name')
		 
		 ->groupBy('tbl_route_warehouse_stock.warehouse_id','tbl_route_warehouse_stock.item_id','tbl_route_warehouse_stock.uom')
		
		 ->where('tbl_route_warehouse_stock.warehouse_id','=',$warehouse_id)
		 ->where('tbl_route_warehouse_stock.route_warehouse_id','=',$routwarehouse)
		 ->get()->all();	
		 /* dd($route_warehouse_stock); */
	
	    $count=count($route_warehouse_stock);
			
		
		?>
		 <table style="width: 100%;" id="example" class="table table-hover table-striped table-bordered"> 
		
            <thead>
		      <tr>
				<th class="text-justify text-center">Parent Warehouse</th>
				<th class="text-justify text-center">Material</th>
				<th class="text-justify text-center">Uom </th>
				<th class="text-justify text-center">Qty</th>
				<th class="text-justify text-center">Bad Qty</th>

             </tr>
            </thead>
           <?php
		   if($count>0)
		     {	
               ?>		   
			   <tbody>
			   <?php
			   foreach($route_warehouse_stock as $key=>  $route_warehouse_stock)
				 {
					?>
					  
					<tr>
			           <td class="font-weight-bold  text-dark text-justify text-center"><?php echo $route_warehouse_stock->warehouse_code; ?></td>
			           <td class="font-weight-bold  text-dark text-justify text-center"><?php echo $route_warehouse_stock->material_code.' - '.ucfirst($route_warehouse_stock->material_name);; ?></td>
			           <td class="font-weight-bold  text-dark text-justify text-center"><?php echo $route_warehouse_stock->uom_code ?></td>
			           <td class="font-weight-bold  text-dark text-justify text-center"><?php echo $route_warehouse_stock->total_qty; ?></td>
			           <td class="font-weight-bold  text-dark text-justify text-center"><?php echo $route_warehouse_stock->bad_qty; ?></td>
			        </tr>
				   <?php
					
				 }
				  ?>
			   </tbody>
			   <?php
		      } 
		    else
			  {
				  ?>
				  <tbody>
					 <tr><td colspan="5" class="font-weight-bold  text-dark text-justify text-center">No Record Found</td></tr>
				  </tbody>
				  <?php
			   }
  		
			   ?>
			
		</table>
		<?php	
		    
    }
		
   public function get_outlet_warehouse_stock_data($warehouse_id,$routwarehouse)
    {
	    $outlet_warehouse_stock =DB::table('tbl_outlet_stock_warehouse')
 
		 ->leftJoin('tbl_warehouse', 'tbl_outlet_stock_warehouse.warehouse_id', '=', 'tbl_warehouse.id')
		
		 ->leftJoin('tbl_material_master', 'tbl_outlet_stock_warehouse.material_id', '=', 'tbl_material_master.id')
		 
		 ->leftJoin('tbl_unit_of_measurement', 'tbl_outlet_stock_warehouse.uom', '=', 'tbl_unit_of_measurement.id')
		 
		 ->select(DB::raw('sum(tbl_outlet_stock_warehouse.qty) as total_qty'),DB::raw('sum(tbl_outlet_stock_warehouse.bad_qty) as bad_qty'),'tbl_warehouse.warehouse_code','tbl_warehouse.warehouse_name','tbl_material_master.material_code','tbl_material_master.material_name','tbl_unit_of_measurement.uom_code','tbl_unit_of_measurement.uom_name')
		 
		 ->groupBy('tbl_outlet_stock_warehouse.warehouse_id','tbl_outlet_stock_warehouse.material_id','tbl_outlet_stock_warehouse.uom')
		
		 ->where('tbl_outlet_stock_warehouse.warehouse_id','=',$warehouse_id)
		 ->where('tbl_outlet_stock_warehouse.outlet_warehouse_id','=',$routwarehouse)
		 ->get()->all();	
		
		 $count=count($outlet_warehouse_stock);
			
		 ?>
		 <table style="width: 100%;" id="example" class="table table-hover table-striped table-bordered"> 
		
         <thead>
	     <tr>
            <th class="text-justify text-center">Parent Warehouse</th>
			<th class="text-justify text-center">Material</th>
            <th class="text-justify text-center">Uom </th>
            <th class="text-justify text-center">Qty</th>
            <th class="text-justify text-center">Bad Qty</th>

       
         </tr>
         </thead>
         <?php
		   if($count>0)
			 {	
				?>		   
				<tbody>
				<?php
				foreach($outlet_warehouse_stock as $key=>  $outlet_warehouse_stock)
				  {
					 ?>
					  
					 <tr>
			            <td class="font-weight-bold  text-dark text-justify text-center"><?php echo $outlet_warehouse_stock->warehouse_code; ?></td>
			            <td class="font-weight-bold  text-dark text-justify text-center"><?php echo $outlet_warehouse_stock->material_code.' - '.ucfirst($outlet_warehouse_stock->material_name);; ?></td>
			            <td class="font-weight-bold  text-dark text-justify text-center"><?php echo $outlet_warehouse_stock->uom_code ?></td>
			            <td class="font-weight-bold  text-dark text-justify text-center"><?php echo $outlet_warehouse_stock->total_qty; ?></td>
			            <td class="font-weight-bold  text-dark text-justify text-center"><?php echo $outlet_warehouse_stock->bad_qty; ?></td>
			         </tr>
				      <?php
					
				  }
				  ?>
			  </tbody>
			  <?php
		   }
		 else{
			   ?>
			   <tbody>
			     <tr><td colspan="5" class="font-weight-bold  text-dark text-justify text-center">No Record Found</td></tr>
			   </tbody>
			   <?php
			 }
  		
			 ?>
			
			</table>
		    <?php	
		    
    }
		
   public function get_distibutor_warehouse_stock_view($id)
    {
	    $get_data1 =  DB::table('tbl_warehouse')
			  ->leftJoin('tbl_customer', 'tbl_warehouse.distributor', '=', 'tbl_customer.id')
			  ->select('tbl_customer.customer_code','tbl_customer.customer_name')
			  ->where('tbl_warehouse.id', '=', $id)
			  ->get()->all();
	
	    echo $get_data1[0]->customer_code.' - '.$get_data1[0]->customer_name;
		
	 }
		 
 }
