<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class CreateVehicleModelsTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('tbl_vehicle', function (Blueprint $table) {
            $table->integer('id');
			$table->integer('company_id');
			$table->string('vehicle_code',10);
			$table->string('vehicle_number',120);
			$table->string('brand',120);
			$table->integer('type');
			$table->string('capacity',120);
			$table->string('vehicle_owner',120);
			$table->string('vehicle_chechis_number',100);
			$table->string('tank_capacity',100);
			$table->string('vehicle_mileage',100);
			$table->integer('warehouse_id');
			$table->string('erp_asset_code')->nullable();
			$table->integer('created_user')->length(11)->nullable();
			$table->integer('updated_user')->length(11)->nullable();
	        $table->enum('status', ['active', 'inactive']); 
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('tbl_vehicle');
    }
}
