<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class CreateOutstandingModelsTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('tbl_outstanding_details', function (Blueprint $table) {
            $table->integer('id');
            $table->integer('region')->length(11)->nullable();
            $table->integer('subregion')->length(11)->nullable();
            $table->string('salesman_id',20);
            $table->string('customer_id',20);
            $table->string('warehouse_id',20);
            $table->string('route_id',20);
            $table->decimal('amount-paid',10,2);
            $table->decimal('amount_outsatnding',10,2);
            $table->string('invoice_id',20);
            $table->decimal('total_invoice_amount',10,2);
            $table->string('due_date',20);
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('tbl_outstanding_details');
    }
}
