<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class CreateRouteExpensesModelsTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('tbl_route_expenses', function (Blueprint $table) {
            $table->id();
			$table->string('expense_no',20);
			$table->string('salesman_name',20);
			$table->string('expense_type',20);
			$table->decimal('expense_amount',10,2);
			$table->string('route_id',20);
			$table->string('warehouse_id',20);
			$table->string('comment',20);
			$table->string('currency',10);
			$table->date('expense_date');
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('tbl_route_expenses');
    }
}
