<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class CreateSurveysDataModelsTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('tbl_survey_answer_header', function (Blueprint $table) {
            $table->id();
			$table->integer('survey_id')->length(11);
			$table->string('customer_name',50);
			$table->integer('phone_no')->length(15);
            $table->timestamps();
        });
		
		Schema::create('tbl_survey_answer_details', function (Blueprint $table) {
            $table->id();
			$table->integer('header_id')->length(11);
			$table->integer('question_id')->length(11);
			$table->string('answer',2500);
			$table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('tbl_survey_answer_header','tbl_survey_answer_details');
    }
}
