<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class CreateCompanyInvoiceModelsTable extends Migration
{
   public function up()
    {
       Schema::create('tbl_company_invoice_header', function (Blueprint $table) {
            $table->integer('id');
			$table->string('company_invoice_number',20);
			$table->string('warehouse',20);
			$table->string('delevary_date',20);
			$table->string('customer',20);
			$table->string('order_type',20);
			$table->string('currency',20);
			$table->decimal('total_gross',10,2);
			$table->decimal('total_Excise',10,2);
			$table->decimal('total_vat',10,2);
			$table->decimal('net_total_amount',10,2);
			$table->decimal('total_discount',10,2)->nullable();
			//$table->string('total_unite_price',20);
			$table->decimal('total_delivery_value',10,2);			          
			$table->string('delivery_number',20);
			$table->integer('distribution_type');
			$table->integer('created_user');
			$table->string('tin_no',15);
			$table->timestamps();
        });
		
		Schema::create('tbl_company_invoice_details', function (Blueprint $table) {
            $table->integer('id');
			$table->string('material_code',20);
			$table->string('uom',20);
			$table->string('quantity',20);
			$table->string('header_id',20);
			$table->decimal('unite_price',10,2);
			$table->decimal('gross_total',10,2);
			$table->decimal('vat',10,2);
			$table->decimal('excise',10,2);
			$table->decimal('net_amount',10,2);
			$table->decimal('discount',10,2)->nullable();
			$table->string('discount_id',20)->nullable();
			$table->decimal('total',10,2);
			$table->integer('base_qty');
			//$table->string('resion',20);
			$table->timestamps();
        });
    }


    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('tbl_company_invoice_header','tbl_company_invoice_details');
    }
}
