<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class CreateCompanyColletionModelsTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('tbl_company_collection_header', function (Blueprint $table) {
            $table->integer('id');
			$table->string('collection_number',50);
			$table->string('collection_type',20);
			$table->string('cheque_no',20);
			$table->string('cheque_date',20);
			$table->string('bank_name',70);
			$table->string('account_no',30);
			$table->string('branch_no',20);
			$table->string('distributor_type',20);
			$table->string('customer_id',20);
			$table->string('warehouse_id',20);
			$table->integer('created_user');
			$table->string('currency',20);
            $table->timestamps(); 
        });
		
		Schema::create('tbl_company_collection_details', function (Blueprint $table) {
            $table->integer('id');
			$table->integer('header_id');
			$table->integer('invoice_id');
			$table->string('invoice_no',20);
			$table->string('outstanding_dr',20);
			$table->string('outstanding_cr',20);
			$table->string('paid_amt',30);
			$table->string('credit_amt',20);
			$table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('tbl_company_collection_header','tbl_company_collection_details');
    }

}

