<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class CreateCustomerVisitPlanModelsTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('tbl_customer_visit_plan', function (Blueprint $table) {
            $table->id();
			$table->integer('route_id');
			$table->integer('cust_id');
			$table->integer('sales_id');
			$table->enum('mon', ['1', '0'])->default(0); 
			$table->enum('tue', ['1', '0'])->default(0);
			$table->enum('wed', ['1', '0'])->default(0);
			$table->enum('thu', ['1', '0'])->default(0);
			$table->enum('fri', ['1', '0'])->default(0);
			$table->enum('sat', ['1', '0'])->default(0);
			$table->enum('sun', ['1', '0'])->default(0);
	
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('tbl_customer_visit_plan');
    }
}
