<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class CreatePromotionalPostModelsTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('tbl_promotional_post', function (Blueprint $table) {
           $table->integer('id');
		   $table->date('date');
		   $table->string('free_material',50);  
		   $table->integer('invoice');
		   $table->string('salesman',120);
		   $table->string('customer',120);
		   $table->integer('phone');
		   $table->integer('amount_spend');
		   $table->string('images',1000)->nullable();
		   $table->string('remark',500)->nullable();  
			
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('tbl_promotional_post');
    }
}
