<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class CreateTrackAssetReportModelsTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('tbl_track_asset_report', function (Blueprint $table) {
            $table->id();
            $table->string('route_id',11);
            $table->string('salesman_id',11);
            $table->string('customer_id',11);
            $table->string('seriol_no',30);
            $table->string('asset_scan_image',500);
            $table->string('image',500);
            $table->string('latitude',20);
            $table->string('longitude',20);
            $table->string('complaint_type',50);
            $table->string('comment',100);
			$table->enum('have_asset', ['yes', 'no']); 
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('tbl_track_asset_report');
    }
}
