<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class CreateMaterialDiscountModelsTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void  
     */
    public function up()
    {
        Schema::create('tbl_material_discount_details', function (Blueprint $table) {
            $table->id();
            $table->string('header_id');
            $table->string('material_id');
            $table->string('discount_type');
            $table->string('lower_range');
            $table->string('upper_range');
            $table->string('discount_value');
            $table->timestamps();
        });  
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('tbl_material_discount_details');
    }
}
