@include('theme_layout/header')
@include('theme_layout/nav')
     
<div class="app-main__outer">
 <div class="app-main__inner">
  <div class="app-page-title">
    <div class="page-title-wrapper"> 
      <div class="page-title-heading"> 
        <div class="page-title-icon">
		<i class="pe-7s-graph text-success"></i>
		</div> 
          <div>View Advance Payment </div> 
      </div> 
	  
        <div class="page-title-actions"> 
          <div class="d-inline-block dropdown">
            <a href="{{route('advance_payment_list')}}" class="mt-3 btn btn-primary btn-lg text-white"> 
              <i class="fa fa-arrow-left fa-w-20"></i> Back</a>
			  
          </div> <!--d-inline-block dropdown-->
        </div>  <!--page-title-actions-->
    </div>  <!--page-title-wrapper-->
  </div>  <!--app-page-title-->          
           
  <div class="tab-content">
    <div class="tab-pane tabs-animation fade show active" id="tab-content-0" role="tabpanel">
     <div class="main-card mb-3 card">
      <div class="card-body">
       <form class="" id="cheque_id" action="" method="" enctype="multipart/form-data" > 
	    <div class="form-row"> 
		  <div class="col-md-4">
            <div class="position-relative form-group">
			 <label for="payment_type" class="ml-2 font-weight-bold">Payment Type</label>
			   <input class="form-control" title="Select Payment Type" name="payment_type" id="" onchange="getcheque()" value="{{$get_data->payment_type}}" readonly>
			</div>
		   </div> 
			
     		<div class="col-md-4"> 
			  <div id="distributor1" style="" class="position-relative form-group">
			    <label  class="font-weight-bold ml-2" for="distributor" class="">Distributor</label>
				  <input class="mb-2 form-control" name="distributor" placeholder=" " value="{{$get_data->customer_code}} - {{$get_data->customer_name}} "  id="distributor" readonly > 
			  </div>
			</div>  
			 <div class="col-md-4"> 
			<div id="company_bank1" style="" class="position-relative form-group">
			  <label  class="font-weight-bold ml-2" for="company_bank" class="">Company Bank</label>
			    <input class="mb-2 form-control" name="company_bank" placeholder="Enter Company Bank" value="{{$get_data->bank_code}} - {{$get_data->bank_name}}" id="company_bank" readonly>     
			</div>
		  </div> 
		 
		   <div class="col-md-4"> 
			 <div class="position-relative form-group">
			   <label  class="font-weight-bold ml-2" for="company_bank_name" class="">Company Bank Name</label>
				<input class="mb-2 form-control" name="company_bank_name" id="company_bank_name_add" value="{{$get_data->company_bank_name}}" placeholder="Enter Company Bank Name" readonly required> 
			 </div> 
		   </div> 	
				
		   <div class="col-md-4"> 
		    <div class="position-relative form-group">
			  <label  class="font-weight-bold ml-2" for="company_branch_name" class="">Company Branch Name</label>
			    <input maxlength="250" name="company_branch_name" id="company_branch_name_add" placeholder="Enter Company Branch Name" value="{{$get_data->company_branch_name}}"  type="text" class="form-control" autocomplete="off" readonly  required>
			</div> 
		   </div>
		    <div class="col-md-4"> 
		     <div class="position-relative form-group">
			   <label  class="font-weight-bold ml-2" for="company_account_no" class="">Company Account Number</label>
				<input maxlength="250" name="company_account_no" id="company_account_no_add" placeholder="Enter Company Account Number" value="{{$get_data->company_account_no}}"  type="text" class="form-control" autocomplete="off" readonly required>
			 </div> 
		   </div>	
		  
		   <div class="col-md-4"> 
			<div class="position-relative form-group">
			  <label  class="font-weight-bold ml-2" for="total_amt" class="">Total Amount</label>
				<input maxlength="250" name="total_amt" id="total_amt" value="{{number_format($get_data->total_amt,2)}}" placeholder="Enter Total Amount" type="text" class="form-control" autocomplete="off" readonly>
			</div> 
		   </div>
		  					 
		 @if($get_data->payment_type =='Cheque')
		   
			<div class="col-md-4"> 
			  <div class="position-relative form-group">
				<label  class="font-weight-bold ml-2" for="cheque_no" class="">Cheque Number</label>
				  <input maxlength="250" name="cheque_no" id="cheque_no" value="{{$get_data->cheque_no}}" placeholder="Enter Cheque Number"  type="text" class="form-control" autocomplete="off" readonly>
			  </div> 
		    </div> 
					  
			<div class="col-md-4">
			  <div class="position-relative form-group">
				<label id="cheque_id1" class="font-weight-bold ml-2" for="cheque_date" class="">Cheque Date</label>
				  <input  maxlength="120" name="cheque_date" id="cheque_date" placeholder="" type="date" class="form-control" value="{{ request()->route('id') ? $get_data->cheque_date : '' }}" autocomplete="off" readonly >
			  </div>
			</div>
		   
		  @endif
					
		  
			<div class="col-md-4"> 
			  <div class="position-relative form-group">
				<label  class="font-weight-bold ml-2" for="distributor_bank_name" class="">Distributor Bank Name</label>
				  <input maxlength="250" name="distributor_bank_name" id="distributor_bank_name_add" value="{{$get_data->distributor_bank_name}}"  placeholder="Enter Distributor Bank Name" type="text" class="form-control" autocomplete="off" readonly > 
			  </div> 
			</div>
			
			<div class="col-md-4"> 
			  <div class="position-relative form-group">
				<label  class="font-weight-bold ml-2" for="distributor_account_no" class="">Distributor Account Number</label>
				  <input maxlength="250" name="distributor_account_no" id="distributor_account_no_add" value="{{$get_data->distributor_account_no}}" placeholder="Enter Distributor Account Name" type="text" class="form-control" autocomplete="off" readonly>
			  </div>
			</div> 
		 
			<div class="col-md-4"> 
			  <div class="position-relative form-group">
				<label  class="font-weight-bold ml-2" for="receipt_no" class="">Receipt Number</label>
				   <input maxlength="250" name="receipt_no" id="receipt_no" value="{{ request()->route('id') ? $get_data->receipt_no : ''}}" placeholder="Enter Receipt Number" type="text" class="form-control" autocomplete="off" readonly>
			  </div> 
			</div> 
			
			<div class="col-md-4">
			  <div class="position-relative form-group">
				<label class="font-weight-bold ml-2" for="receipt_date" class="">Receipt Date</label>
				  <input  maxlength="120" name="receipt_date" id="receipt_date" placeholder="" type="date" class="form-control" value="{{ request()->route('id') ? $get_data->receipt_date : '' }}" autocomplete="off" readonly>
			  </div>
			</div>
		   
					  
		  @php
			$img= request()->route('id');
		  @endphp
		  
		  @if($img!='')
			@if($get_data->receipt_image!='')
				
			  
				<div class="col-md-4">
				  <div class="position-relative form-group">
					<label class="font-weight-bold ml-2" for="receipt_image" class="">Receipt Image</label>   
					<!-- <img src="{{asset('storage/app/'.$get_data->receipt_image)}}" alt="" height="80px" width="70px" class="ml-4">-->
															  
					<a class="image-link" href="{{asset('storage/app/'.$get_data->receipt_image)}}" data-lightbox="mygallery">View image <br></a>
					  &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<img src="{{asset('storage/app/'.$get_data->receipt_image)}}" height="50px;" width="50px;" />  
															
				  </div>
				</div>
							 
			@else
			  <div class="col-md-4">
                <div class="position-relative form-group"><br><br>
			      <label class="font-weight-bold ml-2" for="receipt_image" class="">Receipt Image is not uploaded</label>
              	</div>  
              </div>
			@endif
			
			@else
			<div class="col-md-4">
			  <div class="position-relative form-group">
				<label class="font-weight-bold ml-2" for="receipt_image" class="">Receipt Image</label> 
			  </div>
			</div>
		  @endif 
	   </form>
	  </div>
	 </div>
	</div> 
   </div>
  </div>
 </div>
</div> </div>
			     
@include('theme_layout/footer')
 
  