@include('theme_layout/header')
@include('theme_layout/nav')

<div class="app-main__outer">
 <div class="app-main__inner">
  <div class="app-page-title">
   <div class="page-title-wrapper">
    <div class="page-title-heading">
	 <div class="page-title-icon">
	  <i class="pe-7s-graph text-success"></i>
	 </div>  <!--page-title-icon-->
	 
	 <div>View Invoice Collection</div>
	 
	</div>  <!--page-title-heading-->
	 <div class="page-title-actions">
	  <div class="d-inline-block dropdown">
	   <a id="back" class="mt-3 btn btn-primary btn-lg text-white">
	   <i class="fa fa-arrow-left fa-w-20 text-white"></i> Back</a>
	  </div>
	 </div>   <!--page-title-actions-->
   </div> <!--page-title-wrapper -->
  </div>  <!--app-page-title -->  
  <div class="tab-content">
   <div class="tab-pane tabs-animation fade show active" id="tab-content-0" role="tabpanel">
    <div class="main-card mb-3 card">
     <div class="card-body">
      <div class="container">
	   <div class="form-group row">
        <div class="col-md-4">
		 <div class="position-relative form-group">
		    <label class="font-weight-bold ml-2" for="distributor_type" class="">Distribution Type:</label>
			<input  value="{{$get_data->customer_type_code}} - {{$get_data->customer_type_name}}"  type="text" class="form-control" readonly  >
			</div>
		   </div>
		 
		<div class="col-md-4">
		 <div class="position-relative form-group">
		   <label class="font-weight-bold ml-2" for="customer_type">Customer:</label>
			<input  value="{{$get_data->customer_type_code}} - {{$get_data->customer_name}}"  type="text" class="form-control" readonly>
			</div>
		   </div>
		  
		<div class="col-md-4">
		 <div class="position-relative form-group">
		 <label  class="font-weight-bold ml-2" for="collection_type" class="">Collection Type</label>
		   <input  value="{{$get_data->collection_type == 1 ? "Cash" :($get_data->collection_type == 2 ? "Cheque" :($get_data->collection_type == 3 ? "Transfer" : "Credit Note"))}}"  type="text" class="form-control" readonly  >
		   </div>
		  </div>
		
       </div>    <!--end form group row-->
	   
	   <div class="form-group row">
		   
		
		@if($get_data->collection_type=='2')		 
								
		<div class="col-md-4">
		 <div  class="position-relative form-group">
		  <label  class="font-weight-bold ml-2" for="cheque_number" class="">Cheque Number </label>
		   <input readonly class="mb-2 form-control" name="cheque_number" value="{{$get_data->cheque_no}}" id="cheque_number"> 
		 </div>
		</div>
	   
		<div class="col-md-4">
		 <div  class="position-relative form-group">
		  <label  class="font-weight-bold ml-2" for="cheque_date" class="">Cheque Date</label>
		   <input readonly class="mb-2 form-control" type="date" name="cheque_date" value="{{$get_data->cheque_date}}" id="cheque_date"> 
		 </div>
		</div>
	   
								     
	   @endif 
		@if($get_data->collection_type=='3')	
		
		<div class="col-md-4">
		 <div  class="position-relative form-group">
		  <label  class="font-weight-bold ml-2" for="bank_name" class="">Bank Name </label>
		   <input readonly class="mb-2 form-control" name="bank_name" value="{{$get_data->bank_name}}" id="bank_name"> 
		 </div>
		</div>
		 					
	   
		<div class="col-md-4">
		 <div class="position-relative form-group">
		  <label  class="font-weight-bold ml-2" for="account_number" class="">Account Number</label>
		  <input readonly class="mb-2 form-control" name="account_number" value="{{$get_data->account_no}}" id="account_number"> 
		 </div>      <!--position ralative form group-->
		</div>
		
		<div class="col-md-4">
		 <div class="position-relative form-group">
		  <label  class="font-weight-bold ml-2" for="branch_name" class="">Branch Name</label>
		   <input readonly class="mb-2 form-control" name="branch_name" value="{{$get_data->branch_no}}" id="branch_name">
		 </div>        <!--position ralative form group-->
		</div>
	  
	    @endif 
	   </div>   <!--end form group row-->
	  <div class="mb-5" >
      <h5>
	   <p class="font-weight-bold float-right mr-5">
		<bold>Collection Code:  #{{$get_data->collection_number}}</bold>
	   </p>
	  </h5>
     </div>   
<!--  add row -->				
<!--for distributor-->
    
      <table class="table table-bordered" id="myTable">
	   <thead>
		<tr>
		 <th style="width:15%; text-align: center;">Invoice Code</th>
		 <th style="width:10%; text-align: center;">Outstanding (Dr)</th>
		 <th style="width:10%; text-align: center;">Outstanding Balance (Cr)</th>
		 <th style="width:10%; text-align: center;">Paid Amount</th>
		 <th style="width:10%; text-align: center;">From Credit Amount</th>
	 	</tr>
	   </thead>

	   <tbody>  
		@foreach($get_data_details as $key=> $details )
		 <tr id="row_0">
		  <td id="ditem_{{$key}}">
		   <label   class="lnurration font-weight-bold ml-2 " id="lnurration_{{$key}}" for="comment"> {{$details->invoice_no}} </label>
		  </td>
		  <td id="vitem_{{$key}}">
		   <label  class="loutstanding font-weight-bold ml-2" id="loutstanding_{{$key}}" for="comment">{{number_format($details->outstanding_dr,2)}} </label>
		  </td>	
		  
		  <td id="eitem_{{$key}}">
		   <label   class="loutstanding_balance font-weight-bold ml-2 " id="loutstanding_balance" for="comment">   {{number_format($details->outstanding_cr,2)}} 
		   </label>
		  </td>

          <td id="naitem_{{$key}}">
		   <label class="loutstanding_balance font-weight-bold ml-2 " id="loutstanding_balance" for="comment">   {{number_format($details->paid_amt,2)}} 
		   </label>
		  </td>
       
		  <td id="naitem_{{$key}}">
		   <label class="loutstanding_balance font-weight-bold ml-2 " id="loutstanding_balance" for="comment">   {{number_format($details->credit_amt,2)}} 
		   </label>
		  </td>
          </tr>
         @endforeach
	    </tbody>
	   </table>
	   </div>     <!--container-->
              <br><br>
     </div>     <!--card body-->
    </div>       <!--main-card mb-3 card"-->                    
   </div>     <!--tab-pane tabs-animation fade show active-->
  </div>    <!--tab-content-->
 </div>    <!--app-main__inner-->
@include('theme_layout/footer')
 
<script>
   var jq = $.noConflict();
   jq(document).ready(function(){
	   
	   jq("#back").click(function(){
		   window.history.back();
	   })

   })
</script> 				    