@include('theme_layout/header')
@include('theme_layout/nav')
	
<div class="app-main__outer">               
 <div class="app-main__inner">
  <div class="app-page-title">
   <div class="page-title-wrapper">
    <div class="page-title-heading">
     <div class="page-title-icon">
      <i class="pe-7s-graph text-success"></i>
	 </div> <!--page-title-icon-->
	
	    <div>View Bank  
		</div>
    </div> <!--page-title-heading-->
	
        <div class="page-title-actions">                                
         <div class="d-inline-block dropdown">
	      <a href="{{route('bank_list')}}" class="mt-3 btn btn-primary btn-lg"> <i class="fa fa-arrow-left fa-w-20"></i> Back</a>                                  
         </div>
        </div>
   </div> <!--page-title-wrapper-->
 </div>  <!--app-page-title-->  
 
        <div class="tab-content">
         <div class="tab-pane tabs-animation fade show active" id="tab-content-0" role="tabpanel">
          <div class="main-card mb-3 card">
           <div class="card-body">
            <form class="">
             <div class="form-row">
              <div class="col-md-4">
	           <div class="position-relative form-group"><label for="client_code" class="font-weight-bold ml-2">Bank Code </label><input readonly="readonly" name="client_code" id="client_code" placeholder="Bank Code" value="{{$get_data->bank_code}} - {{$get_data->bank_name}} " type="text" class="form-control"></div>
              </div>
		   
						
        <div class="col-md-4">
         <div class="position-relative form-group">
		  <label for="bank_account_number" class="font-weight-bold ml-2">Bank Account Number</label><input readonly="readonly" name="bank_account_number" id="bank_account_number" placeholder="Bank Account Number" value="{{$get_data->bank_account_number}}" type="text" class="form-control">
		 </div>
        </div>
        <div class="col-md-4">
          <div class="position-relative form-group">
           <label for="branch" class="font-weight-bold ml-2">Branch</label><input readonly="readonly" name="branch" id="branch" placeholder="" value="{{$get_data->branch}}" type="text" class="form-control"></div>
         </div>		
      </div> <!--form-row-->		
 					
        <div class="form-row">
        <div class="col-md-4">
         <div class="position-relative form-group"><label for="country" class="ml-2 font-weight-bold">Country</label><input class="mb-2 form-control" name="country"value="{{$get_data->country_code}} - {{$get_data->country_name}}" id="country" readonly> 
         </div>
        </div>
	
	    <div class="col-md-4">
		 <div class="position-relative form-group">
		  <label for="city" class="font-weight-bold ml-2">City</label><input readonly="readonly" class="mb-2 form-control" name="city" id="city" value="{{$get_data->city_code}} - {{$get_data->city_name}}" > 
		 </div>
	   </div>
       <div class="col-md-4">
		  <div class="position-relative form-group">
		   <label for="address" class="font-weight-bold ml-2">Address</label><input readonly="readonly" class="mb-2 form-control" name="address" id="address" value="{{$get_data->address}}"> 
	     </div>
       </div>	   
    </div> <!--form-row-->
	
	    <div class="form-row">
	     <div class="col-md-4">
	     <div class="position-relative form-group">
	      <label for="status" class="font-weight-bold ml-2">Status</label><input readonly="readonly" class="mb-2 form-control" name="status" id="status" value="{{$get_data->status}}">
	      </div>
	     </div>
        </div> <!--form-row-->
       </form>
      </div> <!--card-body-->
     </div> <!--main-card mb-3 card-->                            
    </div> <!--tab-pane tabs-animation fade show active-->                         
   </div> <!--tab-content-->
  </div>  <!--app-main__inner-->
 @include('theme_layout/footer') 
</div>  <!--app-main__outer-->