@include('theme_layout/header')
@include('theme_layout/nav')
<div class="app-main__outer">
 <div class="app-main__inner">
  <div class="app-page-title">
   <div class="page-title-wrapper">
    <div class="page-title-heading">
	 <div class="page-title-icon">
	  <i class="pe-7s-graph text-success"></i>
	  </div>
	  
        <div>View Company </div>
    </div>
	
		<div class="page-title-actions">
		 <div class="d-inline-block dropdown">
		 <a href="{{route('company_list')}}" class="mt-3 btn btn-primary btn-lg"> <i class="fa fa-arrow-left fa-w-20"></i> Back</a>
		 </div>
		</div>   
	</div><!--page-title-wrapper-->
  </div> <!--app-page-title-->
		
        <div class="tab-content">
         <div class="tab-pane tabs-animation fade show active" id="tab-content-0" role="tabpanel">
          <div class="main-card mb-3 card">
           <div class="card-body">
            <form class="">
             <div class="form-row">
              <div class="col-md-4">
               <div class="position-relative form-group">
		        <label for="company_code" class="font-weight-bold ml-2">Company</label>
                 <input readonly="readonly" name="company_code" id="company_code" placeholder=" " value="{{$get_data->company_code}} - {{$get_data->company_name}}" type="text" class="form-control">
	           </div><!--position-relative form-group-->
              </div><!--col-md-4-->
							  
	    <div class="col-md-4">
         <div class="position-relative form-group">
		  <label for="company_type" class="font-weight-bold ml-2">Company Type</label><input readonly="readonly"  name="company_type" id="company_type" placeholder=" " value=  "{{$get_data->company_type_code}} - {{$get_data->company_type_name}}" type="text" class="form-control">
	     </div>
        </div><!--col-md-4-->	
		<div class="col-md-4">
          <div class="position-relative form-group">
		   <label for="currency" class="font-weight-bold ml-2">Currency</label><input readonly="readonly" name="currency" id="currency" placeholder=" " value="{{$get_data->currency_code}} - {{$get_data->currency_name}}" type="text" class="form-control">
		  </div>
        </div>
       </div><!--form-row-->
	   
	    <div class="form-row">
	    <div class="col-md-4">
         <div class="position-relative form-group">
		  <label for="country" class="font-weight-bold ml-2">Country</label>
		  <input readonly="readonly" name="country" id="country" placeholder="   " value="{{$get_data->country_code}} - {{$get_data->country_name}}" type="text" class="form-control">
	    </div>
	   </div>	 	
        <div class="col-md-4">	
		 <div class="position-relative form-group">
		  <label for="city" class="font-weight-bold ml-2">City</label><input readonly="readonly" name="city" id="city" placeholder=" " value="{{$get_data->city_code}} - {{$get_data->city_name}}" type="text" class="form-control">
	     </div>
        </div>
		<div class="col-md-4">
          <div class="position-relative form-group">
		   <label for="address" class="font-weight-bold ml-2">Address</label><input readonly="readonly" name="address" id="address" placeholder="."  type="text" value="{{$get_data->address}}" class="form-control">
		  </div>
         </div>
       </div> <!--card-body-->
   
	    <div class="form-row">
	    <div class="col-md-4">
	     <div class="position-relative form-group">
		  <label  class="font-weight-bold ml-2" for="pincode" class="font-weight-bold ml-2">P.O Box Number</label><input maxlength="100" name="pincode" id="pincode" value="{{$get_data->pincode}}"  type="text" class="form-control" readonly="readonly">
	     </div>
        </div>
				 
        <div class="col-md-4">
         <div class="position-relative form-group">
		  <label for="email_id" class="font-weight-bold ml-2">Email Id</label><input readonly="readonly" name="email_id" id="email_id" placeholder=" " value="{{$get_data->email_id}}" type="text" class="form-control">
	    </div>
       </div>
	   <div class="col-md-4">
          <div class="position-relative form-group">
		   <label for="contact_no" class="font-weight-bold ml-2"> Contact No.</label><input readonly="readonly"  name="contact_no" id=   "contact_no" placeholder="Contact no." value="{{$get_data->contact_no}}"    type="text" class="form-control">
		 </div>
        </div>
      </div> <!--form-row-->
	
        <div class="form-row">
		 <div class="col-md-4">
         <div class="position-relative form-group">
		  <label for="user_profile_pic" class =" font-weight-bold">Company Logo</label>
		  <a href="{{asset('storage/app/'.$get_data->company_logo)}}"  data-lightbox="mygallery">
           <img src="{{asset('storage/app/'.$get_data->company_logo)}}" alt="" height="100px" width="100px" class="ml-4"></a>
          </div>
        </div> 
		
		<div class="col-md-4">
          <div class="position-relative form-group">
		   <label for="contact_no" class="font-weight-bold ml-2"> Vat</label><input readonly="readonly"  name="contact_no" id=   "contact_no" placeholder="Contact no." value="{{$get_data->vat}}"    type="text" class="form-control">
		 </div>
        </div>
			
        
        <div class="col-md-4">
          <div class="position-relative form-group">
			<label for="status" class="font-weight-bold ml-2">Status</label><input readonly="readonly"  name="status" id="status" placeholder="   ." value="{{$get_data->status}}" type="text" class="form-control">
		  </div>
        </div>	 
       </div><!--form row-->
	  </form><!--tab-content--> 
     </div><!--card body-->
    </div><!--main-card mb-3 card-->
   </div><!--tab-content-->
  </div>
 </div>
@include('theme_layout/footer')
</div><!--app-main__outer--> 