@include('theme_layout/header')
@include('theme_layout/nav') 
<div class="app-main__outer"> 
<div class="app-main__inner">
 <div class="app-page-title">
  <div class="page-title-wrapper">
	<div class="page-title-heading">
	 <div class="page-title-icon">
	  <i class="pe-7s-graph text-success">
	  </i>
	 </div>
	 
		<div>  
		 {{ request()->route('id') ? 'Edit ' : 'Add ' }} 
		 Route
	    </div> 
	</div>
		
	<div class="page-title-actions"> 
	 <div class="d-inline-block dropdown">
	  <a href="{{route('route_list')}}" class="mt-3 btn btn-primary btn-lg"> <i class="fa fa-arrow-left fa-w-20"></i> Back</a> 
	 </div>
	</div> 
  </div>
 </div> <!--app-page-title-->            

    <div class="tab-content">
     <div class="tab-pane tabs-animation fade show active" id="tab-content-0" role="tabpanel">
	  <div class="main-card mb-3 card">
		<div class="card-body">
		 <form id="" class="" onsubmit="return checkForm(this);" action="{{ route('route_store') }}" method="post">
		  {{ csrf_field() }}
	       <div class="form-row">
	       <div class="col-md-4">
	       <div class="position-relative form-group">
	       <label class="font-weight-bold ml-2" for="route_code" class="">Route Code</label><input  maxlength="20" class="mb-2 form-control" name="route_code" id="route_code"  value="{{$last_code}}" autocomplete="off"readonly required > 
	     </div>
	  </div> 

	<div class="col-md-4">
	  <div class="position-relative form-group">
	   <label class="font-weight-bold ml-2" for="route_name" class="">Route Name</label><input  maxlength="120" name="route_name" id="route_name" value="{{ request()->route('id') ? $get_data->route_name : '' }}"  type="text" class="form-control" autocomplete="off" required > 
	   <input name="updated_id" id="updated_id" value="{{ request()->route('id') }}" autocomplete="off" type="hidden"> 
	  </div>
	</div>
	
	<div class="col-md-4">
	  <div class="position-relative form-group">
	  <label class="font-weight-bold ml-2" for="route_description" class="">Route Description.</label><input  maxlength="120" name="route_description" id="route_description" type="text" class="form-control" value="{{ request()->route('id') ? $get_data->route_description : '' }}" autocomplete="off" required></div>
	  </div>
    </div> <!--form-row-->

	<div class="form-row"> 
	
	
	<div class="col-md-4">
	  <div class="position-relative form-group">
       <label class="font-weight-bold ml-2" for="sales_area_name" class="">Distributor</label><select name="distibutor" id="distibutor" type="text" class="form-control" required >
	   <option> </option>
	   @if(request()->route('id'))  
		 @foreach($distibutor as $distibutor)
		  <option {{$get_data->distibutor_id == $distibutor->id ? 'selected' : '' }} value ="{{$distibutor->id}}">{{$distibutor->customer_code}} - {{$distibutor->customer_name}}</option>
		 @endforeach 
		@else 
		 @foreach($distibutor as $distibutor)
            <option value="{{$distibutor->id}}">
             {{$distibutor->customer_code}} - {{$distibutor->customer_name}}
            </option>
             @endforeach     
          @endif 
	   </select>
	  </div>
	</div>
	
	@if(request()->route('id')) 
	
	 <input name="" id="distibutor_id" value="{{ request()->route('id') ? $get_data-> distibutor_id:'' }}" type="hidden" autocomplete="off">									 
	 <input name=" " id="warehouse_id" value="{{ request()->route('id') ?   $get_data->warehouse_id : '' }}" type="hidden" autocomplete="off">
	  @endif
	 <div class="col-md-4">
	  <div class="position-relative form-group"><label class="font-weight-bold ml-2" for="warehouse_name" class="">Warehouse </label>		
	   <select name="warehouse_name" id="warehouse_name"  type="text" class="form-control" > 
	   </select>		
	  </div>
	  
	</div>
	@if(request()->route('id'))
      <input name=" " id="warehouse_id" value="{{ request()->route('id') ?   $get_data->warehouse_id : '' }}" type="hidden" autocomplete="off">
	 		
	  <input name=" " id="sales_area_id" value="{{ request()->route('id') ?   $get_data->sales_area_id : '' }}" type="hidden" autocomplete="off">
	 @endif
	 <div class="col-md-4">
	  <div class="position-relative form-group">
       <label class="font-weight-bold ml-2" for="sales_area_name" class="">Sales Area </label><select name="sales_area_name" id="sales_area_name" type="text" class="form-control"> </select>
	  </div>
	 </div> <!--col-md-4-->
 </div> <!--form-row-->
  
    <div class="form-row"> 
	@if(request()->route('id'))
      <input name=" " id="warehouse_id" value="{{ request()->route('id') ?   $get_data->warehouse_id : '' }}" type="hidden" autocomplete="off">
  
	  <input name=" " id="vehicle_id" value="{{ request()->route('id') ?   $get_data->vehicle_id : '' }}" type="hidden" autocomplete="off">
	 @endif
	<div class="col-md-4">
	  <div class="position-relative form-group">
      <label class="font-weight-bold ml-2" for="vehicle_number" class="">Vehicle </label><select  name="vehicle_number" id="vehicle_number"  type="text" class="form-control">
	   </select>
	 </div>
    </div> <!--col-md-4-->
	
     <div class="col-md-4">
	  <div class="position-relative form-group"><label for="status" class="ml-2 font-weight-bold">Status</label>
	   <select class="mb-2 form-control" name="status" id="status" required >  
	    @if(request()->route('id'))  
	     <option> </option>
	     <option {{ $get_data->status == 'active' ? 'selected' : '' }} value ="active">Active</option>
	     <option {{ $get_data->status == 'inactive' ? 'selected' : '' }} value="inactive">Inactive</option> 
	    @else 
	     <option> </option>
	     <option value ="active">Active</option>
	     <option value="inactive">Inactive</option>
	    @endif	 
	   </select> 
      </div>
	</div> 
   </div>  <!--form-row-->
										
	<div class="form-row">
	 <div class="col-md-5"></div>
	  @if(request()->route('id'))
	   <button name="btnsubmit" class="mt-3 btn btn-primary btn-lg">Update</button>
	  @else 
	   <button name="btnsubmit" class="mt-3 btn btn-primary btn-lg submit">Save</button>
	  @endif
	   <div class="col-md-0.5"></div>
	   <a href="{{route('route_list')}}" class="mt-3 btn btn-danger  btn-lg">Cancel</a>
      </div>
     </form>
    </div> <!--card-body-->
   </div> <!--main-card mb-3 card-->
  </div> <!--tab-pane tabs-animation fade show active-->
 </div> <!--tab-content-->
@include('theme_layout/footer') 
<script>
   var jq = $.noConflict();
   function checkForm(form)
  {
     
    form.btnsubmit.disabled = true;
    return true;
  }
   jq(document).ready(function(){
	   
	    $('#sales_area_name').SumoSelect({ selectAll:true,search: true,triggerChangeCombined : true});
	    $('#distibutor').SumoSelect({ selectAll:true,search: true,triggerChangeCombined : true});
		$('#currency').SumoSelect({ selectAll:true,search: true,triggerChangeCombined : true});
	    $('#vehicle_number').SumoSelect({ selectAll:true,search: true,triggerChangeCombined : true});
	    
	  
	   @if(request()->route('id'))
			  var distibutor =  jq('#distibutor_id').val();
			  var edit_id =  jq('#warehouse_id').val();
			  get_warehouse_1(distibutor,edit_id);
			  
			  var warehouse_name =  jq('#warehouse_id').val();
			  var edit_id =  jq('#sales_area_id').val();
			  get_salesarea_1(warehouse_name,edit_id);
			  
			  var edit_id = jq('#vehicle_id').val();
			 get_vehicle_1(warehouse_name,edit_id);
			 
	   @endif
	  
	   
	   $("#distibutor").change(function(){
		   
		  var distibutor =  jq('#distibutor').val();
		  //alert(sales_area_name);  
		  
			var edit_id=0;
           get_warehouse_1(distibutor,edit_id);
	   });
	   $("#warehouse_name").change(function(){
		   //alert('hello');
	    var warehouse_name =  jq('#warehouse_name').val();
		
		var edit_id=0;
	  get_salesarea_1(warehouse_name,edit_id);
	   });
	   
	   $("#warehouse_name").change(function(){
		   //alert('hello');
	    var warehouse_name =  jq('#warehouse_name').val();
		
		var edit_id=0;
	  get_vehicle_1(warehouse_name,edit_id);
	   });
	   
	   function get_warehouse_1(distibutor,edit_id)
		{ 
		 //alert(city);
		 jq.ajax({
		      url: "{{ URL('get_warehouse_1') }}" +"/" + distibutor+"/"+edit_id,
              type:"GET",
              
          success:function(respons)
          {
            
				jq('#warehouse_name').html(respons);
				 $('#warehouse_name').SumoSelect({ selectAll:true,search: true,triggerChangeCombined : true});
	            $('#warehouse_name')[0].sumo.reload();
		  }
       });
     }
	 function get_salesarea_1(warehouse_name,edit_id)
		{ 
		 //alert(warehouse_name);
		 jq.ajax({
		      url: "{{ URL('get_salesarea_1') }}" +"/" + warehouse_name+"/"+edit_id,
              type:"GET",
              
          success:function(respons)
          {
            
				jq('#sales_area_name').html(respons);
				 $('#sales_area_name').SumoSelect({ selectAll:true,search: true,triggerChangeCombined : true});
	            $('#sales_area_name')[0].sumo.reload();
		  }
       });
     }
    function get_vehicle_1(warehouse_name,edit_id)
		{ 
		 //alert('hello');
		 jq.ajax({
		      url: "{{ URL('get_vehicle_1') }}" +"/" + warehouse_name+"/"+edit_id,
              type:"GET",
              
          success:function(respons)
          {
            
				jq('#vehicle_number').html(respons);
				 $('#vehicle_number').SumoSelect({ selectAll:true,search: true,triggerChangeCombined : true});
	            $('#vehicle_number')[0].sumo.reload();
		  }
       });
     }
		 
 
     });   
   </script>
                

