@include('theme_layout/header')
@include('theme_layout/nav')
 
<div class="app-main__outer">
 <div class="app-main__inner">
  <div class="app-page-title">
   <div class="page-title-wrapper">
    <div class="page-title-heading">
	 <div class="page-title-icon">
	  <i class="pe-7s-medal icon-gradient bg-tempting-azure">
	  </i>
	 </div>
	 
	    <div>Assign Back Inventory List
		   @if(Session::has('successMessage')) 
		  <input id="toster_id" type="hidden" value="{{ Session::get('successMessage') }}">		  
	      @endif
	    </div>
    </div>
							
        <div class="page-title-actions"> 
         <div class="d-inline-block dropdown">
	      <div class="page-title-actions"> 
		   <div class="d-inline-block dropdown">
			<a href="{{route('assign_inventory')}}" class="mt-3 btn btn-primary btn-lg"> <i class="fa fa-plus fa-w-20"></i> Add Assign Back Inventory</a> 
		  </div>
	 </div> 
									
	    <div tabindex="-1" role="menu" aria-hidden="true" class="dropdown-menu dropdown-menu-right">
	     <ul class="nav flex-column">
		  <li class="nav-item">
		   <a class="nav-link">
		    <i class="nav-link-icon lnr-inbox"></i>
		     <span>
			  Inbox
		     </span>
		     <div class="ml-auto badge badge-pill badge-secondary">86</div>
		   </a>
		 </li>

		<li class="nav-item">
		 <a class="nav-link">
		  <i class="nav-link-icon lnr-book"></i>
		   <span>
			Book
		   </span>
		    <div class="ml-auto badge badge-pill badge-danger">5</div>
		 </a>
		</li>
		
		<li class="nav-item">
		 <a class="nav-link">
		  <i class="nav-link-icon lnr-picture"></i>
		   <span>
			Picture
		   </span>
		 </a>
		</li>
		
	    <li class="nav-item">
		 <a disabled class="nav-link disabled">
		  <i class="nav-link-icon lnr-file-empty"></i>
		   <span>
			File Disabled
		   </span>
		 </a>
	    </li>
       </ul>
      </div>
     </div>
    </div>
   </div>
  </div>          

	   <div class="main-card mb-3 card">
	    <div class="card-body">
		 <form method="get" action="{{ route('assign_inventory_list') }}" >
	       <div class="form-row">
	        <div class="col-md-4  date position-relative form-group" id="myDatepicker4">
		     <label for="date" class="font-weight-bold ml-2">From Date :</label> 
		      <input type="date" class="form-control" name="fromdate" id="date" value="<?php echo date("Y-m-d"); ?>"autocomplete="off">
	       </div>
		   
	    <div class="col-md-4  date position-relative form-group" id="myDatepicker5">
		 <label for="date" class="font-weight-bold ml-2">To Date :</label>  
		  <input type="date" class="form-control" name="todate"  id="todate"  value="<?php echo date("Y-m-d"); ?>" autocomplete="off">
	     </div>
		 <div class="col-md-4" >
	      <div class="position-relative form-group"><label for="select_customer" class="font-weight-bold ml-2">Customer</label> <select class="mb-2 form-control" name="customer" id="customer" >
	       <option value=""> </option>
			@foreach($customer as $customer_name)
		     <option value="{{$customer_name->id}}">{{$customer_name->customer_code}} - {{$customer_name->customer_name}}</option>
			@endforeach
		    </select>
	       </div>
		  </div>
		 
	  </div>  
				
	    <div class="form-row">
	     
	     </div> <!--form-row-->
			 
		<div class="form-row">
		 <div class="col-md-12 text-center"> 
		  <button id="submit" class="mt-3 btn btn-primary btn-lg">Search</button>
		   <!-- <input type="hidden" name="type" value="date" id="search_type">
		    <input type="button" value="Filter" class="btn btn-sm btn-primary listSearchBtn  filter">
		     <button  class="btn btn-sm btn-danger listSearchAllBtn reset">All</button>-->
		   </div>	
		  </div>									 
         </form>

		<br><br>			
	      <table style="width: 100%;" id="example" class="table table-hover table-striped table-bordered"> 
		   <thead>
		    <tr>			 
			 <th class="text-justify text-left">Date</th>
			 <th class="text-justify text-left">Customer</th>
			 <th style="width: 13%;">Action</th>  
		    </tr>
		   </thead>		
	        <tbody>
		     @foreach($get_data as $data)
		      @php
		       $row1 = date("d F Y g:i a", strtotime($data->created_at));
		       $space=" ";
		      @endphp
	        <tr>
		     <td class="font-weight-bold text-justify text-left">{{$row1}}</td>		   
			 <td class="font-weight-bold text-justify text-left">{{$data->customer_code}} - {{ucfirst($data->customer_name)}}</td>
		     <td>
			 
			 <div class="dropdown">
					<button type="button" aria-haspopup="true" aria-expanded="false" data-toggle="dropdown" class="mb-2 mr-2 btn btn-outline-primary "><i class="fas fa-ellipsis-v"></i></button>
					<ul class="dropdown-menu " style="min-width: 0px;" aria-labelledby="dropdownMenuButton1">
					<a class="dropdown-item"  class= "mb-2  btn-hover-shine btn btn-shadow btn-success btn-lg " href="{{ URL::to('assign_inventory_edit/'.$data->id)}}"><i class="fas fa-edit" aria-hidden="true"> Edit</i></a>  
					<a class="dropdown-item"  class= "mb-2  btn-hover-shine btn btn-shadow btn-success btn-lg " href="{{ URL::to('assign_inventory_view/'.$data->id)}}"><i class="fas fa-eye" aria-hidden="true"> View</i></a>  
					</ul>
				  </div>			
	         </td> 
	         </tr>
		     @endforeach
            </tbody>
           </table>
          </div> <!--card-body-->
         </div>  <!--main-card mb-3 card-->
        </div> <!--app-main__inner-->
      @include('theme_layout/footer')	 
<script>

   var jq = $.noConflict();

   jq(document).ready(function(){
	   
	   @if(Session::has('successMessage'))
var toster=jq('#toster_id').val();
if(toster!=''){
	Swal.fire({
	  
	  icon: 'success',
	  title: ''+toster,
	  showConfirmButton: false,
	  timer: 2000
		})
	}
	
	{{ Session::forget('successMessage') }}
	
@endif
	  $('#customer').SumoSelect({ selectAll:true,search: true,triggerChangeCombined : true});
	   
        jq('#myDatepicker4').datetimepicker({
            format: 'YYYY-MM-DD',
            allowInputToggle: true 
        }); 
        jq('#myDatepicker5').datetimepicker({
            format: 'YYYY-MM-DD',
            allowInputToggle: true 
        }); 
	   
   }
   );
</script>	