@include('theme_layout/header')
@include('theme_layout/nav')
<div class="app-main__outer">
 <div class="app-main__inner">
  <div class="app-page-title">
   <div class="page-title-wrapper">
    <div class="page-title-heading">
     <div class="page-title-icon">
	  <i class="pe-7s-medal icon-gradient bg-tempting-azure">
	  </i>
     </div> <!--page-title-icon-->

        <div> Promotion Post List
	     @if(Session::has('successMessage'))
          <div class="alert anish alert-success mt-3" >
		   {{ Session::get('successMessage') }}
		  </div>
	     @endif
        </div>
    </div> <!--page-title-heading-->
	
	    <div class="page-title-actions">	   
		 <div class="d-inline-block dropdown">
		  <div class="page-title-actions">
	       <div class="d-inline-block dropdown">
		  </div>
		</div> 
		
		<div tabindex="-1" role="menu" aria-hidden="true" class="dropdown-menu dropdown-menu-right">
		 <ul class="nav flex-column">
		  <li class="nav-item">
		   <a class="nav-link">
		    <i class="nav-link-icon lnr-inbox"></i>
		     <span>
			  Inbox
		     </span>
		      <div class="ml-auto badge badge-pill badge-secondary">86</div>
		   </a>
		</li>
		
		<li class="nav-item">
		 <a class="nav-link">
		  <i class="nav-link-icon lnr-book"></i>
		   <span>
			Book
		   </span>
		    <div class="ml-auto badge badge-pill badge-danger">5</div>
		 </a>
		</li>
		
		<li class="nav-item">
		 <a class="nav-link">
		   <i class="nav-link-icon lnr-picture"></i>
		    <span>
			 Picture
		    </span>
		 </a>
		</li>
		
		<li class="nav-item">
		 <a disabled class="nav-link disabled">
		   <i class="nav-link-icon lnr-file-empty"></i>
		    <span>
			 File Disabled
		    </span>
		 </a>
		</li>
	   </ul>
      </div> <!--dropdown-menu dropdown-menu-right-->
     </div> <!--d-inline-block dropdown-->
    </div> <!--page-title-actions-->   </div> <!--page-title-wrapper-->
   </div> <!--app-page-title-->
   
        <div class="main-card mb-3 card ">
		 <div class="card-body">
	      <form action="{{route('promotional_post_list')}}" method="get">
		   <div class="form-row">
	        <div class="col-md-4  date position-relative form-group" id="myDatepicker4">
		     <label for="select_warehouse" class="font-weight-bold ml-2"> From Date</label>
		      <input type="date" class="form-control" name="fromdate" id="fromdate" value="<?php if(isset($_GET['fromdate'])) echo $_GET['fromdate']; else echo date("Y-m-d"); ?>" autocomplete="off">
	       </div>
		   
	    <div class="col-md-4  date position-relative form-group" id="myDatepicker5">
	     <label for="select_warehouse" class="font-weight-bold ml-2"> To Date</label>
		  <input type="date" class="form-control" name="todate"  id="todate"  value="<?php if(isset($_GET['todate'])) echo $_GET['todate']; else echo date("Y-m-d"); ?>" autocomplete="off">
	     </div>
		 <div class="col-md-4">
		  <div class="position-relative form-group"><label for="select_salesman" class="font-weight-bold ml-2">Salesman</label> <select class="mb-2 form-control" name="salesman" id="salesman_route" >
	        @if(isset($_GET['salesman']))
	         <option value=""> </option>
	          @foreach($salesman as $salesman_name)
	           <option {{$_GET['salesman'] == $salesman_name->id ? 'selected' : '' }}  value="{{$salesman_name->id}}">{{$salesman_name->salesman_code}} - {{$salesman_name->salesman_name}}</option>
	          @endforeach
	        @else
	           <option value=""> </option>
	          @foreach($salesman as $salesman_name)
		       <option value="{{$salesman_name->id}}">{{$salesman_name->salesman_code}} - {{$salesman_name->salesman_name}}</option>
	          @endforeach
	        @endif
		   </select>
		  </div>
		</div> <!--col-md-6-->
	   </div> <!--form-row-->
	   
        <div class="form-row mb-2">
		 

		<div class="col-md-4">
		 <div class="position-relative form-group">
		  <label for="customer" class="font-weight-bold ml-2">Customer</label> 
		   <select class="mb-2 form-control" name="customer" id="customer_id" >			  
		  </select>
		 </div>
	    </div>
	   </div>

	   <div class="form-row">
	    <div class="col-md-12 text-center">   
	     <button id="submit" class="mt-3 btn btn-primary btn-lg">Filter</button>
	      <!-- <input type="hidden" name="type" value="date" id="search_type">
	       <input type="button" value="Filter" class="btn btn-sm btn-primary listSearchBtn  filter">
	        <button  class="btn btn-sm btn-danger listSearchAllBtn reset">All</button>-->
		   </div>	
		  </div>
		</form>

	    <input maxlength="125" name="url_warehouse" id="url_warehouse"  type="hidden" value="<?php if(isset($_GET['salesman']) && isset($_GET['customer']) && $_GET['customer']!=''){echo $_GET['customer']; } else{echo "0";} ?>" class="form-control" autocomplete="off" required>
	    <br>
	    <br>
		
        <table style="width: 100%;" id="example" class="table table-hover table-striped table-bordered">
		<thead>
         <tr>
		  <th class="text-justify text-left">Date</th>
		  <th class="text-justify text-left">Free Material</th>
		  <th class="text-justify text-left">Invoice</th>
		  <th class="text-justify text-left">Salesman</th>
		  <th class="text-justify text-left">Customer</th>
		  <th class="text-justify text-left">Phone</th>
		  <th class="text-justify text-left">Amount Spend</th>
		  <th class="text-justify text-left">Action</th>
	     </tr>
	    </thead>
	     <tbody>                                    
          @foreach($for_list as $key=> $data)
		   @php
		    $row1 = date("d M Y",strtotime($data->date));
		   @endphp  
	         <tr>
			  <td class="font-weight-bold text-justify text-left">{{$row1}}</td>
			  <td class="font-weight-bold text-justify text-left">{{$data->material_code}} - {{$data->material_name}} </td>
			  <td class="font-weight-bold text-justify text-left">{{$data->invoice}}</td> 			  
			  <td class="font-weight-bold text-justify text-left">{{$data->salesman_code}}-{{$data->salesman_name}}</td>	
			  <td class="font-weight-bold text-justify text-left">{{$data->customer_code}}-{{$data->customer_name}}</td>   			  
			  <td class="font-weight-bold text-justify text-left">{{$data->phone}}</td>
			  <td class="font-weight-bold text-justify text-left">{{$data->amount_spend}}</td>			
			  <td class="text-justify text-left">
			  
			  <div class="dropdown">
					<button type="button" aria-haspopup="true" aria-expanded="false" data-toggle="dropdown" class="mb-2 mr-2 btn btn-outline-primary "><i class="fas fa-ellipsis-v"></i></button>
					<ul class="dropdown-menu " style="min-width: 0px;" aria-labelledby="dropdownMenuButton1">
					<a class="dropdown-item"  class= "mb-2  btn-hover-shine btn btn-shadow btn-success btn-lg "href="" data-toggle="modal" data-target="#view{{$key}}" ><i class="fas fa-eye" aria-hidden="true"> View</i></a>  
					</ul>
				  </div>
			  </td>
		     </tr>									
          @endforeach				
			</tbody>			   
		   </table>
		  </div> <!--card-body-->
	     </div> <!--main-card mb-3 card-->	
        </div> <!--app-main__inner-->
		 @foreach($for_list as $key=>$data)
		  <form action="{{ route('promotional_post_store') }}" method="post">
		   {{ csrf_field() }}
		    <div class="modal fade mt-5"  id="view{{$key}}" tabindex="-1" role="dialog" aria-labelledby="exampleModalLabel" aria-hidden="true" >
		     <div class="modal-dialog mt-5 "  role="document">
		     <div class="modal-content " >	
		      <div class="modal-header">		
			   <h5 class="modal-title" id="exampleModalLabel">Remark</h5>
			    <button type="button" class="close" data-dismiss="modal" aria-label="Close">
				 <span aria-hidden="true">&times;</span>
			    </button>			
		      </div>
			  
	    <div class="modal-body">
	     <h6 class=" text-justify font-weight-bold " >
	      <span>{{$data->remark}}</span><hr></h6>
		   <ul class="gallarys">	   
	        @foreach(explode(',', $data->images) as $path)	   
	         <a href="{{asset('storage/app/'.($path))}}" data-lightbox="mygallery">
			 <img style="z-index: 1;" class="modal-body" src="{{asset('storage/app/'.($path))}}" width="100px" height="100px"  /></a> 		
			@endforeach
			</ul>
			 <br><br>
			  <div class="flag_div">
			   <div class="position-relative form-group" id="showcomment">
				<input type="hidden" value="{{$data->id}}" class="form-control mt-1" name="feedback_id">   
			   </div>
		      <!--<div class="text-center">
		     <button class="btn btn-primary text-center mt-2">Submit</button>  
		     </div> --> 		
			</div> <!--flag_div-->
		   </div> <!--modal-body-->
	      </div> <!--modal-content-->
         </div> <!--modal-dialog mt-5-->
        </div> <!--modal fade mt-5-->
       </form>     
	 @endforeach	 
    <!--for feedback-->	 	 
   </div> <!--app-main__outer-->
  </div>
 @include('theme_layout/footer')	
<script>
var jq = $.noConflict();

 jq(document).ready(function(){

 <?php if(isset($_GET['salesman'])){?> 
		var customer_id = jq('#salesman_route').val(); 
		var url_warehouse = jq('#url_warehouse').val(); 
		get_customer(customer_id,url_warehouse); <?php } ?>
		
   $('#salesman_route').SumoSelect({ selectAll:true,search: true,triggerChangeCombined : true});
   $("#salesman_route").change(function(){
	   
   var salesman = jq('#salesman_route').val();
     
       $('#salesman_route').SumoSelect({ selectAll:true,search: true,triggerChangeCombined : true});
	   $('#salesman_route')[0].sumo.reload();  
  
        var url_warehouse=0;
		
        get_customer(salesman,url_warehouse);
		
      });
	  
	  function get_customer(salesman,url_warehouse)
          {
	  		jq.ajax({
			url: "{{ URL('get_customername_promotional_filter') }}"+"/" +salesman+"/"+url_warehouse,       
			type:"GET",
			success:function(respons)
			{
				   jq('#customer_id').html(respons);
				   $('#customer_id').SumoSelect({ selectAll:true,search: true,triggerChangeCombined : true});
				   $('#customer_id')[0].sumo.reload();  
				
			}
		   });
        }

 

 });


</script>