@include('theme_layout/header')
@include('theme_layout/nav')
 
<div class="app-main__outer">
 <div class="app-main__inner">
  <div class="app-page-title">
   <div class="page-title-wrapper">
	<div class="page-title-heading">
	 <div class="page-title-icon">
	  <i class="pe-7s-medal icon-gradient bg-tempting-azure">
	  </i>
	 </div>
	 
	 <div> List Of Question
	    @if(Session::has('successMessage')) 
		<input id="toster_id" type="hidden" value="{{ Session::get('successMessage') }}"> 
		    @endif
	 </div>
	</div>   <!--page-title-heading-->

	<div class="page-title-actions"> 
	 <div class="d-inline-block dropdown">
	  <div class="page-title-actions"> 
	   <div class="d-inline-block dropdown">
	   
	    <a href="{{route('questions',request()->route('id'))}}"  class="mt-3 btn btn-primary btn-lg text-white"> 
		<i class="fa fa-plus fa-w-20"></i> Question</a>
		
	   </div> 
	   
	   <div class="d-inline-block dropdown">
	   
		<a href="{{route('surveys_list')}}" class="mt-3 btn btn-primary btn-lg text-white"> <i class="fa fa-arrow-left fa-w-20"></i> Back</a>
	   </div> 
	  </div>     <!--page-title-actions-->

	  <div tabindex="-1" role="menu" aria-hidden="true" class="dropdown-menu dropdown-menu-right">
		<ul class="nav flex-column">
		<li class="nav-item">
		<a class="nav-link">
		<i class="nav-link-icon lnr-inbox"></i>
			<span>
				Inbox
			</span>
	   <div class="ml-auto badge badge-pill badge-secondary">86</div>
		</a>
		</li>
		<li class="nav-item">
		<a class="nav-link">
		<i class="nav-link-icon lnr-book"></i>
		  <span>
			Book
		  </span>
	   <div class="ml-auto badge badge-pill badge-danger">5</div>
		</a>
		</li>
		<li class="nav-item">
		<a class="nav-link">
		<i class="nav-link-icon lnr-picture"></i>
		  <span>
			Picture
		  </span>
		</a>
		</li>
		<li class="nav-item">
		<a disabled class="nav-link disabled">
		<i class="nav-link-icon lnr-file-empty"></i>
		  <span>
			File Disabled
		  </span>
		</a>
		</li>
		</ul>
	  </div>     <!--dropdown-menu dropdown-menu-right-->
	 </div>     <!--d-inline-block dropdown-->
	</div>    <!--page-title-actions-->
   </div>     <!--page-title-wrapper-->
  </div>       <!--app-page-title-->

  <div class="main-card mb-3 card">
   <div class="card-body">
	<table style="width: 100%;" id="example" class="table table-hover table-striped table-bordered">
	 <thead>
	  <tr>
	   <th class="text-justify text-left">Question</th>
	   <th class="text-justify text-left">Question Type</th>
	   <th class="text-justify text-left">Question type Select Based</th>								    
	   <th style="width: 13%;">Action</th>  
	  </tr>
	 </thead>

	 <tbody>
		@foreach($get_data as $data)
	  <tr>
		@php

		$row1 = date("d M Y g:i a", strtotime($data->created_at)); 
		@endphp 
		<td class="font-weight-bold text-justify text-left">{{$data->question}}</td>
		<td class="font-weight-bold text-justify text-left">{{$data->question_type}}</td>
		<td class="font-weight-bold text-justify text-left">{{$data->question_type_select_based}}</td> 
	    <td>		
		<a class= "mb-2 mr-2 btn-hover-shine btn btn-shadow btn-danger btn-sm" href=" {{ URL::to('questions_edit/'.$data->id. '/' .$data->survey_id)}}" rel="tooltip">
		<i class="pe-7s-trash" aria-hidden="true" title="Edit"></i>
		</a> 
	    </td> 
	  </tr> 
	    @endforeach 
	 </tbody>
	<tfoot>
	
	</tfoot>
   </table>
  </div>    <!--card-body-->
 </div>    <!--main-card mb-3 card-->
</div>    <!--app-main__inner-->

@include('theme_layout/footer')

<script>
   var jq = $.noConflict();
   jq(document).ready(function(){
    
	@if(Session::has('successMessage'))
	   var toster=jq('#toster_id').val();
	    if(toster!=''){
			Swal.fire({
				   
				  icon: 'success',
				  title: ''+toster,
				  showConfirmButton: false,
				  timer: 2000
				})
	      }
		  
		  {{ Session::forget('successMessage') }}
		  
	 @endif
	  });
 </script> 	

