@include('theme_layout/header')
@include('theme_layout/nav')

<div class="app-main__outer">
 <div class="app-main__inner">
  <div class="app-page-title">
   <div class="page-title-wrapper">
    <div class="page-title-heading">
	 <div class="page-title-icon">
	  <i class="pe-7s-medal icon-gradient bg-tempting-azure">
	  </i>
	 </div>       <!--page-title-icon-->
	 
	 <div>  Surveys Data List
		@if(Session::has('successMessage')) 
		  <input id="toster_id" type="hidden" value="{{ Session::get('successMessage') }}">		  
		 @endif
	 </div>       
	</div>       <!--page-title-heading-->

	<div class="page-title-actions"> 
	 <div class="d-inline-block dropdown">
      <div tabindex="-1" role="menu" aria-hidden="true" class="dropdown-menu dropdown-menu-right">
	   <ul class="nav flex-column">
	   <li class="nav-item">
		<a class="nav-link">
		<i class="nav-link-icon lnr-inbox"></i>
		<span>
		Inbox
		</span>
	   <div class="ml-auto badge badge-pill badge-secondary">86</div>
	    </a>
	    </li>
	    <li class="nav-item">
	    <a class="nav-link">
	    <i class="nav-link-icon lnr-book"></i>
		<span>
			Book
		</span>
	   <div class="ml-auto badge badge-pill badge-danger">5</div>
	    </a>
	    </li>
	    <li class="nav-item">
		<a class="nav-link">
		<i class="nav-link-icon lnr-picture"></i>
		 <span>
			Picture
		 </span>
		</a>
		</li>
		<li class="nav-item">
		<a disabled class="nav-link disabled">
		<i class="nav-link-icon lnr-file-empty"></i>
		 <span>
			File Disabled
		 </span>
		</a>
		</li>
		</ul>
	  </div>       <!--dropdown-menu dropdown-menu-right-->
	 </div>       <!--d-inline-block dropdown-->
	</div>        <!--page-title-actions-->
   </div>       <!--page-title-wrapper-->
  </div>         <!--app-page-title-->  

  <div class="main-card mb-3 card">
   <div class="card-body">
   
   <form method="get" action="{{ route('surveys_data_list') }}" >
	 
	 <div class="form-row"> 
	  <div class="col-md-4  date position-relative form-group" id="myDatepicker4">
	 
	   <label for="select_warehouse" class="font-weight-bold ml-2"> From Date</label>
	   <input type="date" class="form-control" name="fromdate" id="fromdate" value="<?php if(isset($_GET['fromdate'])) echo $_GET['fromdate']; else echo date("Y-m-d"); ?>" autocomplete="off">
	  
	  </div>
	  <div class="col-md-4  date position-relative form-group" id="myDatepicker5">
	 
	   <label for="select_warehouse" class="font-weight-bold ml-2"> To Date</label>
	   <input type="date" class="form-control" name="todate"  id="todate"  value="<?php if(isset($_GET['todate'])) echo $_GET['todate']; else echo date("Y-m-d"); ?>" autocomplete="off">
	  
	  </div>
	  
	  <div class="col-md-4">
	      <div class="position-relative form-group"><label for="select_salesman" class="font-weight-bold ml-2">Salesman</label> <select class="mb-2 form-control" name="salesman" id="salesman1">
		   @if(isset($_GET['salesman']))
			 <option value=""> </option>
			@foreach($salesman as $salesman_name)
			 <option {{$_GET['salesman'] == $salesman_name->id ? 'selected' : '' }}  value="{{$salesman_name->id}}">{{$salesman_name->salesman_code}} - {{$salesman_name->salesman_name}}</option>
		    @endforeach
		   @else
		     <option value=""> </option>
		    @foreach($salesman as $salesman_name)
			 <option value="{{$salesman_name->id}}">{{$salesman_name->salesman_code}} - {{$salesman_name->salesman_name}}</option>
		    @endforeach
		   @endif
		  </select>
	     </div>
        </div> <!--col-md-6-->
		 
        </div> 
	
	 
	 
	 <div class="form-row">
	  <div class="col-md-12 text-center"> 
	   <button id="submit" class="mt-3 btn btn-primary btn-lg">Filter</button>
	  </div>	
	 </div>									 
	 </form>
   
	<table style="width: 100%;" id="example" class="table table-hover table-striped table-bordered">
     <thead>
	  <tr>
	   <th class="text-justify text-left">Surveys Name</th>      
	   <th class="text-justify text-left">salesman</th>      
	   <th class="text-justify text-left">Customer</th>
	   <th class="text-justify text-left">Phone</th>
	   <th class="text-justify text-left">Date</th>
	   <th style="width: 13%;">Action</th>
	  </tr>
	 </thead>

	 <tbody>
		@foreach($get_data as $data)
	  <tr>
		@php
		$row1 = date("d M Y ", strtotime($data->created_at));
		@endphp
       <td class="font-weight-bold text-justify text-left">{{ucfirst($data->survey_name)}}</td>
       <td class="font-weight-bold text-justify text-left">{{ucfirst($data->salesman_name)}}  - {{ucfirst($data->salesman_code)}}</td>
	   <td class="font-weight-bold text-justify text-left">{{ucfirst($data->customer_code)}} - {{ucfirst($data->customer_name)}}</td>
	   <td class="font-weight-bold text-justify text-left">{{$data->phone_no}}</td>
	   <td class="font-weight-bold text-justify text-left">{{$row1}}</td>
	   <td>
	   
	   <div class="dropdown">
					<button type="button" aria-haspopup="true" aria-expanded="false" data-toggle="dropdown" class="mb-2 mr-2 btn btn-outline-primary "><i class="fas fa-ellipsis-v"></i></button>
					<ul class="dropdown-menu " style="min-width: 0px;" aria-labelledby="dropdownMenuButton1">
					<a class="dropdown-item"  class= "mb-2  btn-hover-shine btn btn-shadow btn-success btn-lg " href="{{ URL::to('surveys_data_view/'.$data->id)}}"><i class="fas fa-eye" aria-hidden="true"> View</i></a>  
					</ul>
				  </div>
	   </td> 
	  </tr>
		@endforeach
	 </tbody>
	</table>
   </div>        <!--card-body-->
  </div>       <!--main-card mb-3 card-->
 </div>       <!--app-main__inner-->
	@include('theme_layout/footer')	

<script>

   var jq = $.noConflict();
   jq(document).ready(function(){
	   
	   @if(Session::has('successMessage'))
			var toster=jq('#toster_id').val();
			if(toster!=''){
			Swal.fire({
			 
			icon: 'success',
			title: ''+toster,
			showConfirmButton: false,
			timer: 2000
			})
			}
			
			{{ Session::forget('successMessage') }}
			
		@endif
   )};
  </script> 