@include('theme_layout/header')
@include('theme_layout/nav')
    
<div class="app-main__outer">
 <div class="app-main__inner">
  <div class="app-page-title">
   <div class="page-title-wrapper">
    <div class="page-title-heading">
     <div class="page-title-icon">
       <i class="pe-7s-graph text-success"></i>
     </div>  
            
     <div>
       {{ request()->route('id') ? 'Edit ' : 'Add ' }} Material Brand
     </div>  
    </div>  <!-- end page title heading -->   
                            
    <div class="page-title-actions">
     <div class="d-inline-block dropdown">
      <a href="{{route('brand_type_list')}}" class="mt-3 btn btn-primary btn-lg text-white"> 
       <i class="fa fa-arrow-left fa-w-20"></i> Back</a>
     </div> <!-- end page d inline block -->
    </div>  <!-- end page title action -->  
   </div> <!-- end page title wrapper -->
  </div>   <!-- end app page title -->         
                     
   <div class="tab-content">
	<div class="tab-pane tabs-animation fade show active" id="tab-content-0" role="tabpanel">
	 <div class="main-card mb-3 card">
	  <div class="card-body"><h5 class="card-title"></h5>
	   <form id="" class="" onsubmit="return checkForm(this);"
         action="{{ route('brand_type_store') }}" method="post">
		{{ csrf_field() }}
       <div class="form-row">	  
        <div class="col-md-4">
         <div class="position-relative form-group">
          <label for="brand_code" class="ml-2 font-weight-bold">Brand Code</label>
           <input autocomplete="off" maxlength="20" name="brand_code" id="brand_code" placeholder="" type="text" class="form-control" value="{{$last_code}}" readonly="readonly" required>
         </div>
        </div>
                            
       <div class="col-md-4">
        <div class="position-relative form-group">
		  <label for="brand_name" class="ml-2 font-weight-bold">Brand Name</label>
		   <input autocomplete="off" maxlength="120"name="brand_name" id="brand_name" placeholder=" " type="text" class="form-control" value="{{ request()->route('id') ? $get_data->brand_name : '' }}" required>
		   <input  autocomplete="off" name="updated_id" id="updated_id" value="{{ request()->route('id') }}" type="hidden">
	    </div>
       </div>
					  
			<div class="col-md-4">
             <div class="position-relative form-group"><label class="font-weight-bold ml-2" for="material_type" class="">Material Type</label>
			  <select class="mb-2 form-control" name="material_type" id="material_type" required> 
			   @if(request()->route('id'))                         
			    @foreach($material_type as $material_type)
				 <option {{$get_data->material_type == $material_type->id ? 'selected' : '' }} value ="{{$material_type->id}}">{{$material_type->type}}
				 </option>
			    @endforeach												
                   @else 
                 <option value=""> </option>
				  @foreach($material_type as $material_type)
                 <option value ="{{$material_type->id}}">{{$material_type->type}}</option>
				  @endforeach
               @endif 
			  </select>
			 </div>
            </div>
                      
			<div class="col-md-4">
			 <div class="position-relative form-group">
			  <label for="status" class="ml-2 font-weight-bold">Status</label>
			   <select class="mb-2 form-control" name="status" id="status" required> 
				@if(request()->route('id')) 								
				 <option value=""> </option>
				  <option {{ $get_data->status == 'active' ? 'selected' : '' }} value ="active">Active</option>
				   <option {{ $get_data->status == 'inactive' ? 'selected' : '' }} value="inactive">Inactive</option>				   
					@else 
					 <option value=""> </option>
					  <option value ="active">Active</option>
					   <option value="inactive">Inactive</option>						
				@endif  
			   </select>
			 </div>                      
			</div> <!-- end page col md 4 -->
      </div>    <!-- end page form row -->
                        
			<div class="form-row">
			 <div class="col-md-5"></div>	   
			  @if(request()->route('id'))
			   <button name="btnsubmit" class="mt-3 btn btn-primary btn-lg">Update</button>
				<div class="col-md-0.5"></div>
				 @else
			   <button name="btnsubmit" class="mt-3 btn btn-primary btn-lg">Save</button>
				@endif
			     <div class="col-md-0.5"></div>
				  <a href="{{route('brand_type_list')}}" class="mt-3 btn btn-danger  btn-lg">Cancel</a>			
			</div>
       </form>
      </div> <!-- card-body-->
	 </div> <!--main-card mb-3 card-->
    </div> <!--tab-pane tabs-animation fade show active-->
   </div> <!--tab-content-->
  </div>  <!--app-main__inner-->

@include('theme_layout/footer')
 
<script> 
var jq = $.noConflict();
   function checkForm(form)
  {
     
    form.btnsubmit.disabled = true;
    return true;
  }
   jq(document).ready(function(){
	$('#material_type').SumoSelect({ selectAll:true,search: true,triggerChangeCombined : true});
   })
</script>
                

