@include('theme_layout/header')
@include('theme_layout/nav')
<div class="app-main__outer">
 <div class="app-main__inner">
  <div class="app-page-title">
   <div class="page-title-wrapper">
    <div class="page-title-heading">
     <div class="page-title-icon">
	  <i class="pe-7s-medal icon-gradient bg-tempting-azure">
	  </i>
     </div> <!--page-title-icon-->
	 
		<div> Salesman Type List
		    @if(Session::has('successMessage')) 
			  <input id="toster_id" type="hidden" value="{{ Session::get('successMessage') }}">		  
		    @endif	 
		</div>
	</div> <!--page-title-heading-->
	
		<div class="page-title-actions">
		 <div class="d-inline-block dropdown">
		  <div class="page-title-actions">
		   <div class="d-inline-block dropdown">
		    <a href="{{route('salesman_type')}}" class="mt-3 btn btn-primary btn-lg"> <i class="fa fa-plus fa-w-20"></i> Add Salesman Type</a>		 
		   </div>
		  </div>
		  
		<div tabindex="-1" role="menu" aria-hidden="true" class="dropdown-menu dropdown-menu-right">
		 <ul class="nav flex-column">
		  <li class="nav-item">
		   <a class="nav-link">
		    <i class="nav-link-icon lnr-inbox"></i>
			 <span>
			 Inbox
			 </span>
			  <div class="ml-auto badge badge-pill badge-secondary">86</div>
		   </a>
		  </li>
		  
			<li class="nav-item">
			 <a class="nav-link">
			  <i class="nav-link-icon lnr-book"></i>
			   <span>
				Book
			   </span>
			    <div class="ml-auto badge badge-pill badge-danger">5</div>
			 </a>
			</li>
			
			<li class="nav-item">
			 <a class="nav-link">
			  <i class="nav-link-icon lnr-picture"></i>
			  <span>
			  Picture
			  </span>
			 </a>
			</li>
			
			<li class="nav-item">
			 <a disabled class="nav-link disabled">
			  <i class="nav-link-icon lnr-file-empty"></i>
			  <span>
			 File Disabled
			  </span>
			 </a>
			</li>
		  </ul>
	     </div> <!--dropdown-menu dropdown-menu-right-->
	    </div> <!--d-inline-block dropdown-->
	   </div>   <!--page-title-actions-->
	  </div> <!--page-title-wrapper-->
	 </div> <!--app-page-title-->
	 
        <div class="main-card mb-3 card">
	     <div class="card-body">
		  <table style="width: 100%;" id="example" class="table table-hover table-striped table-bordered">
		   <thead>
			<tr>
			 <th class="text-left">Salesman Type Code</th>
			 <th class="text-left">Salesman Type Name</th>
			 <th>Status</th>
			 <th>Action</th>
			</tr>
			</thead>
			<tbody>
		   @foreach($get_data as $data)
			<tr>
			 @php
			  $class='';
			   $class='';
				  $data->status == 'active' ? $class="mb-2 mr-2 btn btn-primary":$class=" mb-2 mr-2 btn btn-danger";			 
			 @endphp
			  <td class="font-weight-bold  text-dark text-left">{{$data->salesman_type_code}}</td>
			  <td class="font-weight-bold  text-dark text-left">{{ucfirst($data->salesman_type_name)}}</td>
			  <td> <button id="btn_status" class="{{$class}}"  ><span class="ladda-label">{{ $data->status == 'active' ? 'Active' : 'Inactive' }}</span></button></td>			 
			  <td>
				<div class="dropdown">
					<button type="button" aria-haspopup="true" aria-expanded="false" data-toggle="dropdown" class="mb-2 mr-2 btn btn-outline-primary "><i class="fas fa-ellipsis-v"></i></button>
					<ul class="dropdown-menu " style="min-width: 0px;" aria-labelledby="dropdownMenuButton1">
					<a class="dropdown-item"  class= "mb-2  btn-hover-shine btn btn-shadow btn-success btn-lg " href="{{'javascript::/'}}"><i class="fas fa-edit" aria-hidden="true"> Edit</i></a>  
					</ul>
				  </div>
			  </td>				
			</tr>			
		   @endforeach
			</tbody>			 
		  </table>
	     </div> <!--card-body-->
       </div> <!--main-card mb-3 card-->
     </div> <!--app-main__inner-->
   @include('theme_layout/footer')	
  </div> <!--app-main__outer-->
 <script>
   var jq = $.noConflict();
   jq(document).ready(function(){
    
	@if(Session::has('successMessage'))
	   var toster=jq('#toster_id').val();
	    if(toster!=''){
			Swal.fire({
				   
				  icon: 'success',
				  title: ''+toster,
				  showConfirmButton: false,
				  timer: 2000
				})
	      }
		  
		   {{ Session::forget('successMessage') }}
		  
	 @endif
	  });
 </script>