@include('theme_layout/header')
@include('theme_layout/nav')
<div class="app-main__outer">
 <div class="app-main__inner">
  <div class="app-page-title">
   <div class="page-title-wrapper">
	<div class="page-title-heading">
	 <div class="page-title-icon">
	  <i class="pe-7s-graph text-success">
	  </i>
	 </div>
	 
		<div>
		 {{ request()->route('id') ? 'Edit ' : 'Add ' }} Unit Of Measurement
		</div>
	</div> <!--page-title-heading-->
	
	    <div class="page-title-actions">		 
		 <div class="d-inline-block dropdown">
		  <a href="{{route('unit_of_measurement_list')}}" class="mt-3 btn btn-primary btn-lg text-white">
		   <i class="fa fa-arrow-left fa-w-20"></i> Back</a> 	 
		 </div>
	    </div>  <!--page-title-actions--> </div> <!--page-title-wrapper-->
      </div> <!--app-page-title-->           
					 
		<div class="tab-content">
		 <div class="tab-pane tabs-animation fade show active" id="tab-content-0" role="tabpanel">
		  <div class="main-card mb-3 card">
		   <div class="card-body"><!--<h5 class="card-title">Vehicle Brand Management</h5>-->
		   <form class="" onsubmit="return checkForm(this);"
           action="{{ route('unit_of_measurement_store') }}" method="post">
	       {{ csrf_field() }}
	        <div class="form-row">
		     <div class="col-md-4">
			  <div class="position-relative form-group">
			   <label for="uom_code" class="ml-2 font-weight-bold">UOM Code</label>
			    <input autocomplete="off" maxlength="20" name="uom_code" id="uom_code" placeholder="" value="{{$last_code}}" readonly="readonly" type="text" class="form-control" required></div>
		     </div>
			 
		<div class="col-md-4">
		 <div class="position-relative form-group">
		  <label for="uom_name" class="ml-2 font-weight-bold">UOM Name</label>
		   <input autocomplete="off" maxlength="120" name="uom_name" id="uom_name" placeholder=" " value="{{ request()->route('id') ? $get_data->uom_name : '' }}" type="text" class="form-control" required>		
		    <input autocomplete="off" name="updated_id" id="updated_id" value="{{ request()->route('id') }}"type="hidden">
		 </div>
		</div>
		
		<div class="col-md-4">
		 <div class="position-relative form-group">
		  <label for="unit_notation" class="ml-2 font-weight-bold">Unit Notation</label>
		   <input autocomplete="off" maxlength="20" name="unit_notation" id="unit_notation" placeholder="" value="{{request()->route('id') ? $get_data->unit_notation : ''}}" type="text" class="form-control" required></div>
		</div>
	    </div> <!--form-row-->
		
		<div class="form-row">		
		 <div class="col-md-4">
		  <div class="position-relative form-group">
		   <label for="status" class="ml-2 font-weight-bold">Is Base UOM</label>
		    <select class="mb-2 form-control" name="uom_type" id="uom_type" required> 			
		     @if(request()->route('id')) 			
			  <option value="">   </option>
			  <option {{ $get_data->uom_type == '1' ? 'selected' : '' }} value ="1">Base UOM</option>
			  <option {{ $get_data->uom_type == '2' ? 'selected' : '' }} value="2">Alt UOM</option>		   
			 @else 
			 <option value="">   </option>
			 <option value ="1">Base UOM</option>
			 <option value="2">Alt UOM</option>
		     @endif  			
			</select></div>
		 </div> <!--col-md-4-->
		 
		<div class="col-md-4">
		 <div class="position-relative form-group">
		  <label for="status" class="ml-2 font-weight-bold">Status</label>
		   <select class="mb-2 form-control" name="status" id="status" required> 			
		    @if(request()->route('id')) 			
			 <option value="">   </option>
			 <option {{ $get_data->status == 'active' ? 'selected' : '' }} value ="active">Active</option>
			 <option {{ $get_data->status == 'inactive' ? 'selected' : '' }} value="inactive">Inactive</option>		   
			@else 
			 <option value="">   </option>
			 <option value ="active">Active</option>
			 <option value="inactive">Inactive</option>
		    @endif  			
		   </select>
		 </div> <!--position-relative form-group-->
		</div> <!--col-md-4-->
	   </div> <!--form-row-->
                                        
	    <div class="form-row">
		 <div class="col-md-5"></div>
		  @if(request()->route('id'))
		   <button name="btnsubmit" class="mt-3 btn btn-primary btn-lg">Update</button>
		    <div class="col-md-0.5"></div>	   
		  @else
		   <button name="btnsubmit" class="mt-3 btn btn-primary btn-lg">Save</button>
	      @endif
		    <div class="col-md-0.5"></div>
	         <a href="{{route('unit_of_measurement_list')}}" class="mt-3 btn btn-danger  btn-lg">Cancel</a>	   
           </form>
          </div> <!--form-row-->
         </div>   <!--card-body-->                         
		</div>	 <!--main-card mb-3 card-->	 
	  </div> <!--tab-pane tabs-animation fade show active-->
     </div> <!--tab-content-->
    </div> <!--app-main__inner-->
  @include('theme_layout/footer') 
<script>
var jq = $.noConflict();
function checkForm(form)
  {
     
    form.btnsubmit.disabled = true;
    return true;
  }
jq(document).ready(function(){
$('#uom_type').SumoSelect({ selectAll:true,search: true,triggerChangeCombined : true});
})
</script>