@include('theme_layout/header')
@include('theme_layout/nav')

<div class="app-main__outer"> 
 <div class="app-main__inner">
  <div class="app-page-title">
   <div class="page-title-wrapper">
    <div class="page-title-heading">
     <div class="page-title-icon">
      <i class="pe-7s-graph text-success">
      </i>
     </div>     <!--page-title-icon-->

     <div>  
		Add Invoice Verification
	 </div>      
	</div>     <!--page-title-heading-->

	<div class="page-title-actions"> 
	 <div class="d-inline-block dropdown">
	 
	  <a href="{{route('invoice_verification_list')}}" class="mt-3 btn btn-primary btn-lg text-white"> 
	  <i class="fa fa-arrow-left fa-w-20"></i> Back</a>
	  
	 </div>     <!--d-inline-block dropdown-->
	</div>     <!--page-title-actions-->
   </div>     <!--page-title-wrapper-->
  </div>     <!--app-page-title-->            

  <div class="tab-content">
   <div class="tab-pane tabs-animation fade show active" id="tab-content-0" role="tabpanel">
	<div class="main-card mb-3 card">
	<div class="card-body">
    <form action="invoice_verification" onsubmit="return checkForm(this);" method="get">
        <div class="form-row">

            <div class="col-md-4" >
                    <div class="position-relative form-group">
                    <label for="supplier_id" class="font-weight-bold ml-2">Supplier</label>
                    <select class="mb-2 form-control" name="supplier_id" id="supplier_id" required>
                    
                        @if(isset($_GET['supplier_id']))
                        <option value=""> </option>
                            @foreach($suppliers as $supplier)
                            <option {{$_GET['supplier_id'] == $supplier->id ? 'selected' : '' }} value="{{$supplier->id}}">{{$supplier->supplier_code}} - {{$supplier->supplier_name}}</option>
                            @endforeach
                        @else
                        <option value=""> </option>
                            @foreach($suppliers as $supplier)
                            <option value="{{$supplier->id}}">{{$supplier->supplier_code}} - {{$supplier->supplier_name}}</option>
                            @endforeach
                        @endif	  

                
                    </select>
                     
                   
                    </div>   <!--position-relative form-group-->
            </div>
        
            <div class="col-md-4" >
                    <div class="position-relative form-group">
                    <label for="purchase_order_id" class="font-weight-bold ml-2">Purchase Order</label>
                    <select class="mb-2 form-control" name="purchase_order_id" id="purchase_order_id" required></select>
                    </div>   <!--position-relative form-group-->
            </div>


            <div class="col-md-4" >
                    <div class="position-relative form-group">
                    <label for="grn_id" class="font-weight-bold ml-2">Good Receipt Note</label>
                    <select class="mb-2 form-control" name="grn_id[]" id="grn_id" multiple required></select>
                    </div>   <!--position-relative form-group-->
                    

            </div>
            @if(isset($_GET['supplier_id']))
           <input type="hidden" value="{{$multipl_grn}}" id="grn_multiple" name="grn_id1[]">
            @endif
        </div>

        <div class="form-row">
        <div class="col-md-12 text-center">
            <button id="submit" class="mt-3 btn btn-primary btn-lg">Search</button>	
        </div>
        </div>
    <br><br>
    </form>     <!--end form -->	

    <div class="mb-5" >
	   <h5>
		<p id="code" class="font-weight-bold float-right mr-5">
		 Invoice Verification Code:  #{{$last_code}} 
         
		</p>
	   </h5>
	  </div> 

    <form id="verification_form" action="{{ route('invoice_verification_store') }}" method="post">
            {{ csrf_field() }}
            <input name="supplier_id" type="hidden" value="{{ isset($_GET['supplier_id']) ? $_GET['supplier_id']:'' }}" id="supplier_id">
                    
            <input name="purchase_order_id" type="hidden" value="{{ isset($_GET['purchase_order_id']) ? $_GET['purchase_order_id']:'' }}" id="purchase_id">
                    
            <input type="hidden" value="{{$multipl_grn}}" id="multipl_grn" name="multipl_grn">
                    
        <div id="return_table"  class="panel panel-footer" >
                <table class="table table-bordered" id="myTable1">
                <thead>
                <tr>
                    <th style="width:25%; text-align: center;">Material </th>
                    <th style="width:10%; text-align: center;">UOM</th>
                    <th style="width:10%; text-align: center;">Qty</th>
                    <th style="width:10%; text-align: center;">Unit Price</th>
                    <th style="width:10%; text-align: center;">Discount</th>
                    <th style="width:10%; text-align: center;">Vat</th>
                    <th style="width:10%; text-align: center;">Net Amount</th>
                    <th style="width:15%; text-align: center;">Total</th>     
                    
                </tr>
                </thead>

                    <tbody id="dynmic_row1">
                    
                    @foreach($detail as $key=> $details)
                    @php
                    $altpacksize1=$details->base_qty/$details->quantity;
                    @endphp

                    <tr id="row_{{$key}}">
                        <td style="width: 15%;" id="mitem_0" >

                        <label type="text" id="get_material_0" name="material_name[]" class="lget_material font-weight-bold ml-2" value ="" required="" readonly>{{$details->material_code}} - {{$details->material_name}} 
			            </label>

                        <input value="{{$details->material_id}}"  type="hidden" name="material_name1[]" class="form-control">
                        <input type="hidden" id="invoice_code" name="invoice_code" class="form-control" value="{{$last_code}}" autocomplete="off"> 
                        </td>            

                        <td id="uitem_{{$key}}" style="width: 10%;">

                        <label  id="uom_0" name="uom" class=" font-weight-bold ml-2" readonly>{{$details->unit_notation}}</label>
				        <input  value="{{$details->uom}}" id="uom_{{$key}}" type="hidden" name="uom[]" class= "form-control " autocomplete="off">

                        </td>

                        <td id="qitem_{{$key}}">

                        <label  id="uom_0" name="uom[]" class=" font-weight-bold ml-2" readonly>{{$details->quantity}}</label>
				        <input  value="{{$details->quantity}}" id="hqty_{{$key}}" type="hidden" name="hquantity1[]" class= "form-control hquantity horder_get_qty" autocomplete="off">
                        
                        </td>

                        <td id="pitem_{{$key}}">
                                
                        <label style="text-align:center;" class="lprice font-weight-bold ml-2" id="orderlprice_{{$key}}" for="comment">  {{number_format($details->unite_price,2)}}  
                        </label>
                                    
                        <input  value="{{$details->unite_price}}"  id="orderprice_{{$key}}" type="hidden" name="price1[]" class="form-control price" autocomplete="off">
                        
                        
                        <input autocomplete="off" value="{{$details->base_qty}}" id="opacking_size_{{$key}}" type="hidden" name="opacking_size[]" class="form-control opacking_size">
                        <input autocomplete="off" value="{{$altpacksize1}}"  id="obegpacking_size_{{$key}}" type="hidden" name="obegpacking_size[]" class="form-control obegpacking_size">
                        </td>	

                        <td id="ditem_{{$key}}">
                        <label   class="ldiscount font-weight-bold ml-2 " id="ldiscount_{{$key}}" for="comment"></label>
                        <input value=""  id="discount_{{$key}}" type="hidden" name="discount[]" class="form-control discount" autocomplete="off">
                        </td>

                            
                        <td id="vitem_{{$key}}">
                        <label  class="lvat font-weight-bold ml-2" id="lvat_{{$key}}" for="comment">{{number_format($details->vat,2)}}</label>
                        <input value="{{$details->vat}}"  id="vat_{{$key}}" type="hidden" name="vat[]" class="form-control vat" autocomplete="off">
                        
                        
                        </td>


                        <td id="naitem_0">
                        <label   class="lnet_amount font-weight-bold ml-4 " id="lnet_amount_0" for="comment">{{number_format($details->net_amount,2)}}</label>
                        <input autocomplete="off" value="{{$details->net_amount}}"  id="net_amount_{{$key}}" type="hidden" name="net_amount[]" class="form-control net_amount">
                                                
                        </td>

                        <td id="titem_{{$key}}">
                            <label   class="ltotal font-weight-bold ml-2 " id="orderltotal_{{$key}}" for="comment"> 
                            {{number_format($details->total,2)}}  
                            </label>
                            <input value="{{$details->total}}"  id="ordertotal_{{$key}}" type="hidden" name="total1[]" class="form-control total" autocomplete="off">
                            
                            <input value="{{$details->gross_total}}" id="gross_{{$key}}" type="hidden" name="gross1[]" class="form-control gross" autocomplete="off">
                        </td>

                    </tr>
                    @endforeach
                    </tbody>

                </table>

        @if(isset($_GET['supplier_id']))
            <table class="table  table-bordered float-right" style="width: 30%;">
			   
				@php
				$space=" ";
				@endphp
			       
			 <tr>
			  <td  class="bg-faded" style="width: 50%; background-color: #dfe2e8;"><strong>Gross Amount:</strong></td>
			  <td id="" class="font-weight-bold" style="width: 40%;">{{$login_user->currency_notation}} {{$space}}  
			   <span class="font-weight-bold" id="gross_amount_total">{{number_format($footerdetail[0]->total_gross,2)}}</span>
                <input type="hidden" value="{{$footerdetail[0]->total_gross}}" id="gross_amount_total" name="gross_amount_total">

			  </td>
			 </tr>
			        
			 <tr id="tr_vat">
			  <td  class="bg-faded" style="width: 50%; background-color: #dfe2e8;">
			   	<strong>VAT Amount:</strong>
			  </td>
			  <td id="" class="bg-white font-weight-bold" style="width: 40%;">{{$login_user->currency_notation}} {{$space}}  
			    <span class="font-weight-bold"  id="vat_amount_total">{{number_format($footerdetail[0]->total_vat,2)}} </span>
                <input type="hidden" value="{{$footerdetail[0]->total_vat}}" id="vat_amount_total" name="vat_amount_total">
			   </td>
			  </tr>
						
			  <tr id="tr_discount">
			         
			   <td class="bg-faded" style="width: 50%; background-color: #dfe2e8;">
			    <strong>Discount:</strong>
			   </td>
			            
			    <td class="bg-white font-weight-bold" style="width: 40%;">{{$login_user->currency_notation}} {{$space}}
			      <span class="font-weight-bold" id="discount_amount_total">0.00</span>
			    </td>
			        
			   </tr>

               <tr id="tr_discount">
			         
                     <td class="bg-faded" style="width: 50%; background-color: #dfe2e8;">
                      <strong>Net Amount:</strong>
                     </td>
                              
                      <td class="bg-white font-weight-bold" style="width: 40%;">{{$login_user->currency_notation}} {{$space}}
                        <span class="font-weight-bold" id="net_amount_total">{{number_format($footerdetail[0]->net_total_amount,2)}}</span>
                        <input type="hidden" value="{{$footerdetail[0]->net_total_amount}}" id="net_amount_total" name="net_amount_total">
                      </td>
                          
                     </tr>
			   
			   <tr>
			    <td class="bg-faded" style="width: 50%; background-color: #dfe2e8;">
			       	<strong>Invoice Total:</strong>
			    </td>
			            
			    <td id="" class="bg-white font-weight-bold" style="width: 40%;">{{$login_user->currency_notation}} {{$space}} 
			      <span class="font-weight-bold" id="total_grn_value">{{number_format($footerdetail[0]->total_grn_value,2)}}</span>
                  <input type="hidden" value="{{$footerdetail[0]->total_grn_value}}" id="total_grn_value" name="total_invoice_value">
			    </td>
			   </tr>
			   
		    </table>
           @endif 
            <br><br><br><br>
		<br><br><br><br>
		<br><br><br><br>
        
    </div>  <!--return_table-->
        @if(isset($details))
        <div class="container " style="width: 100%;">
             <div class="row">
	          <div class="col-md-5 ml-0"></div>
		       <button id="submit" name="btnsubmit" class="mt-3 btn btn-primary btn-lg">Save</button>
				<a href="{{route('invoice_verification_list')}}" class="mt-3 btn btn-danger ml-2  btn-lg">Cancel</a>   
			 </div>
		</div>    <!--container-->
        @endif
    </form>
	</div>     <!--card-body-->
	</div>      <!--main-card mb-3 card-->
   </div>      <!--tab-pane tabs-animation fade show active-->
  </div>     <!--tab-content-->
 </div>     <!--app-main__inner-->
@include('theme_layout/footer')

<script>

    var jq = $.noConflict();
		function checkForm(form)
			{ 
		form.btnsubmit.disabled = true;
		return true;
			}
    jq(document).ready(function(){
        $('#grn_id').SumoSelect({ selectAll:true,search: true,triggerChangeCombined : true});
        $("#supplier_id").change(function(){
		   
           var supplier_id =  jq('#supplier_id').val();
            var purchase_order_id=0;
           get_purchase_order(supplier_id,purchase_order_id);
           
        });


        @if(isset($_GET['supplier_id']))

            var supplier_id =  jq('#supplier_id').val();
            var purchase_order_id =  jq('#purchase_id').val();
            var grn_id =  jq('#grn_multiple').val();
            

           get_purchase_order(supplier_id,purchase_order_id);

           get_grn(purchase_order_id,grn_id);

         @endif


        $("#purchase_order_id").change(function(){

            var purchase_order_id = jq('#purchase_order_id').val();
            var grn_id = 0;
            get_grn(purchase_order_id,grn_id);

        })

        function get_purchase_order(supplier_id,purchase_order_id){
        
        jq.ajax({
        url: "{{ URL('get_purchase_order') }}"+"/" +supplier_id+"/" +purchase_order_id,       
        type:"GET",
        success:function(respons)
        {
            jq('#purchase_order_id').html(respons);
            $('#purchase_order_id').SumoSelect({ selectAll:true,search: true,triggerChangeCombined : true});
            $('#purchase_order_id')[0].sumo.reload();  
            
        }
        });
        }

        function get_grn(purchase_order_id,grn_id){
            
            jq.ajax({
            url: "{{ URL('get_purchase_grn') }}"+"/" +purchase_order_id+"/" +grn_id,    
            type:"GET",
            success:function(respons)
            {   
                jq('#grn_id').html(respons);
                $('#grn_id').SumoSelect({ selectAll:true,search: true,triggerChangeCombined : true});
                $('#grn_id')[0].sumo.reload();  
                
            }
            });

        }


    });
    
</script>
