@include('theme_layout/header')
@include('theme_layout/nav')

@php
	$row1 = date("d M Y g:i a", strtotime($get_data->delivery_date));
	@endphp
 
<div class="app-main__outer">
 <div class="app-main__inner">
  <div class="app-page-title">
   <div class="page-title-wrapper">
	<div class="page-title-heading"> 
	 <div class="page-title-icon">
	  <i class="pe-7s-graph text-success"></i>
	 </div>    <!--page-title-icon-->
	 <div>Invoice Verification</div>    
	</div>     <!--page-title-heading-->
	
	<div class="page-title-actions"> 
	 <div class="d-inline-block dropdown">
	  <a  href="{{route('invoice_verification_list')}}" class="mt-3 btn btn-primary btn-lg text-white">
	  <i class="fa fa-arrow-left fa-w-20 text-white"></i> Back</a>
	 </div>
	</div>  <!-- end page title actions --> 
   </div> <!-- end page title heading -->
  </div>  <!-- end page title wrapper -->            
	 
	  <div class="tab-content">
   <div class="tab-pane tabs-animation fade show active" id="tab-content-0" role="tabpanel">
	<div class="main-card mb-3 card">
	<div class="card-body">
    <div class="container">
	   <div class="form-group row"> 
            <div class="col-md-4" >
			<div class="position-relative form-group">
			<label for="supplier_id" class="font-weight-bold ml-2">Supplier</label>
			
			<input maxlength="20" name="supplier_id" id="supplier_id" value="{{ $get_data->supplier_code}} - {{$get_data->supplier_name}}"  type="text" class="form-control" readonly>   

			</div>   <!--position-relative form-group-->
	</div>

	<div class="col-md-4" >
		<div class="position-relative form-group">
		<label for="purchase_order_id" class="font-weight-bold ml-2">Purchase Order</label>
		<input maxlength="20" name="purchase_order_id" id="purchase_order_id" value="{{$get_data->purchase_order_number}}"  type="text" class="form-control" readonly>
		
		</div>   <!--position-relative form-group-->
            </div> 
      <div class="col-md-4" >
       <div class="position-relative form-group">
        <label for="grn_id" class="font-weight-bold ml-2">Good Receipt Note</label>
                      
		<input maxlength="20" name="grn_id[]" id="grn_id" value="{{$grn_code}}"  type="text" class="form-control" readonly>
        
                     
                    </div>   <!--position-relative form-group--> 
            </div> 
        </div> 
    <br><br> 
    <div class="mb-5" >
	   <h5>
		<p id="code" class="font-weight-bold float-right mr-5">
		 Invoice Verification Code:  #{{$get_data->invoice_code}}
         
		</p>
	   </h5>
	  </div> 
	   <table class="table table-bordered" id="myTable1">
                <thead>
                <tr>
                    <th style="width:25%; text-align: center;">Material </th>
                    <th style="width:10%; text-align: center;">UOM</th>
                    <th style="width:10%; text-align: center;">Qty</th>
                    <th style="width:10%; text-align: center;">Unit Price</th>
                    <th style="width:10%; text-align: center;">Discount</th>
                    <th style="width:10%; text-align: center;">Vat</th>
                    <th style="width:10%; text-align: center;">Net Amount</th>
                    <th style="width:15%; text-align: center;">Total</th>     
                     
                </tr>
                </thead>

                    	 <tbody id="dynmic_row">
		  
		        @foreach($get_data_details as $details)

                   <tr id="row_0">
				   
			<td style="width: 15%;" id="mitem_0">
			 
			 <label type="text" id="get_material_0" name="material_name[]" class="lget_material font-weight-bold ml-2" value ="" required="" readonly>{{$details->material_code}} - {{$details->material_name}} 
			 </label>
			</td>
			
			<td id="uitem_0"   style="width: 13%;">
			 <label  id="uom_0" name="uom[]" class=" font-weight-bold ml-2" readonly>{{$details->uom_name}}</label>
			</td>
									
		    <td id="qitem_0">
		     <label readonly value=""  id="qty_0" type="text" name="quantity[]" class=" font-weight-bold ml-2" required="">{{$details->quantity}}
		     </label>
		    </td>
		
		    <td id="pitem_0">
		     <label value="" readonly id="price_0" type="text" name="price[]" class=" font-weight-bold ml-2">{{number_format($details->unit_price,2)}}
		      </label>
		    </td>
		
			<td id="ditem_0">
			 <label value="" readonly id="discount_0" type="text" name="discount[]" class=" font-weight-bold ml-2">{{number_format($details->discount,2)}}
			 </label>
			</td>
			
			<td id="vitem_0">
			 <label value="" readonly id="vat_0" type="text" name="vat[]" class=" font-weight-bold ml-2" required="">{{number_format($details->vat,2)}}
			 </label>
			</td>
			 
			<td id="naitem_0">
			 <label value="" readonly id="net_amount_0" type="text" name="net_amount[]" class=" font-weight-bold ml-2 net_amount">{{number_format($details->net_amount,2)}}
			 </label>
			</td>
			
			<td id="titem_0">
			 <label value="" readonly id="total_0" type="text" name="total[]" class=" font-weight-bold ml-2 total">{{number_format($details->total,2)}}
			 </label>
			</td>
			
	        </tr>
                    @endforeach
                    </tbody>

                </table>
     <table class="table  table-bordered float-right" style="width: 30%;">
				@php
				$space=" ";
				@endphp 
          <tr>
            <td  class="bg-faded" style="width: 50%; background-color: #dfe2e8;"><strong>Gross Amount:</strong></td>
            <td id="gross_amount_total" class="bg-white font-weight-bold ml-1" style="width: 35%;">{{$get_data->currency_notation}} {{$space}} {{number_format($get_data->total_gross,2)}}</td>
          </tr>
          <tr>
            <td class="bg-faded" style="width: 50%; background-color: #dfe2e8;"><strong>VAT Amount:</strong></td>
            <td id="vat_amount_total" class="bg-white font-weight-bold ml-1" style="width: 35%;">{{$get_data->currency_notation}} {{$space}} {{number_format($get_data->total_vat,2)}}</td>
          </tr> 
		  <tr>
            <td class="bg-faded" style="width: 50%; background-color: #dfe2e8;"><strong>Discount:</strong></td>
            <td class="bg-white font-weight-bold" style="width: 35%;">{{$get_data->currency_notation}} {{$space}} {{number_format($get_data->total_discount,2)}}  <span class="font-weight-bold ml-1" id="discount_amount_total"></span></td>
          </tr> 
          <tr>
            <td class="bg-faded" style="width: 50%; background-color: #dfe2e8;"><strong>Net Amount:</strong></td>
            <td class="bg-white font-weight-bold" style="width: 35%;">{{$get_data->currency_notation}} {{$space}} {{number_format($get_data->total_discount,2)}}  <span class="font-weight-bold ml-1" id="net_amount_total"></span></td>
          </tr> 
          
		
          <tr>
            <td class="bg-faded" style="width: 50%; background-color: #dfe2e8;"><strong>Invoice Total:</strong></td>
            <td id="invoice_amount_total" class="bg-white font-weight-bold ml-1 " style="width: 35%;">{{$get_data->currency_notation}} {{$space}} {{number_format($get_data->total_invoice_value,2)}}</td>
          </tr> 
          </table> 
            <br><br><br><br>
		<br><br><br><br>
		<br><br><br><br>
        
    </div>  <!--return_table-->
        
         
    </form>
	</div>     <!--card-body-->
	</div>      <!--main-card mb-3 card-->
   </div>      <!--tab-pane tabs-animation fade show active-->
  </div>     <!--tab-content-->
	
	
	
	
	
	
	
	
	
	
	
	
 </div>      <!--app-main__inner-->

@include('theme_layout/footer')

</div>      <!--app-main__outer-->

<script>

   var jq = $.noConflict();
   jq(document).ready(function(){
	   
	   jq("#back").click(function(){
		   window.history.back();
	   })
   })
</script> 			   