@include('theme_layout/header')
@include('theme_layout/nav')
	
<div class="app-main__outer"> 
 <div class="app-main__inner">
  <div class="app-page-title">
   <div class="page-title-wrapper">
    <div class="page-title-heading">
     <div class="page-title-icon">
       <i class="pe-7s-graph text-success">
       </i>
     </div>     <!--page-title-icon-->
     
	 <div> 
 
      {{ request()->route('id') ? 'Edit ' : 'Add ' }} 
	   	Purchase Order
		
		
	 </div>
    </div>     <!--page-title-heading-->
                            
	<div class="page-title-actions"> 
     <div class="d-inline-block dropdown">
	  <a id="back" class="mt-3 btn btn-primary btn-lg text-white"> 
	   <i class="fa fa-arrow-left fa-w-20 text-white">
	   </i> Back</a>
     </div>
    </div>      <!--page-title-actions-->
   </div>        <!--page-title-wrapper-->
  </div>       <!--app-page-title-->            
					 
  <div class="tab-content">
   <div class="tab-pane tabs-animation fade show active" id="tab-content-0" role="tabpanel">
	<div class="main-card mb-3 card">
	 <div class="card-body"><h5 class="card-title"></h5> 
	  <form class="" onsubmit="return checkForm(this);" data-toggle="validator" id="invoiceForm" action="{{ route('purchase_store_order') }}" method="post">
	  {{ csrf_field() }}
	  <div class="form-group row"> 
	  <div class="col-md-4">
		<div class="position-relative form-group"  id="distribution_type1">
		  <label  class="font-weight-bold ml-2" for="distribution_type" class="">Supplier</label>
			<select class="mb-2 form-control" name="supplier_name" id="supplier_add" > 
			<option value=""></option>  
			@foreach($supplier_name as $supplier)
			<option value="{{$supplier->id}}" >{{ $supplier->supplier_code}} - {{$supplier->supplier_name}}</option>	
			@endforeach
            </select>
	    </div>     <!--position-relative form-group-->
	   </div>
	  <div class="col-md-4">
		<div class="position-relative form-group">
		 <label class="font-weight-bold ml-2"  for="" class="">Tin No</label>
		 
			<input  maxlength="120" readonly name="tin_no" id="tin_no"  type="text" class="form-control" value="" autocomplete="off" required>
			
			<input  maxlength="120" name="session_vat" id="session_vat"  type="hidden" class="form-control" value="{{Session::get('company_vat')}}" autocomplete="off" required>
			
			<input name="tin_no" id="tin_no1"  type="hidden" class="form-control" value=""  required onkeypress="return this.value.length < 15;" oninput="if(this.value.length>=15) { this.value = this.value.slice(0,15); }" autocomplete="off"/>
		 
		</div>    <!--position-relative form-group-->
	   </div>
	  <div class="col-md-4">
		<div class="position-relative form-group">
		 <label class="font-weight-bold ml-2"  for="" class=""> Payment Term</label>
		   <input  maxlength="120" readonly name="payment_term" id="payment_term"  type="text" class="form-control" value="" autocomplete="off" required>
		   
		   <input name="payment_term1" id="payment_term1"  type="hidden" class="form-control" value=""  required onkeypress="return this.value.length < 15;" oninput="if(this.value.length>=15) { this.value = this.value.slice(0,15); }" autocomplete="off"/>
		</div>    <!--position-relative form-group-->
	   </div>
     </div>      <!--form-group row--> 	   
	 <div class="form-group row"> 
      <div class="col-md-4">
	   <div class="position-relative form-group">
		<label  class="font-weight-bold" for="customer_type" class=""> Delivery Date:</label>
		  <input  type="date" id="delivery_date" name="delivery_date" class="form-control" autocomplete="off"  >
	    </div>     <!--position-relative form-group-->
	  </div>	
	  
	   <div class="col-md-8">
		<div class="position-relative form-group">
		   <label class="font-weight-bold ml-2"  for="comment" class="">Remark*</label>
		 
		   <input  autocomplete="off" maxlength="200" name="comment" id="comment"  type="text" class="form-control" value=""  >
		  
		</div>     <!--position-relative form-group--> 
	   </div>  
    	   
	 </div>     <!--form-group row--> 			   
	  <div class="mb-5" > 
	   <h5>
	    <p class="font-weight-bold float-right mr-5"><bold>Purchase Order Code:  #{{$last_code1}}</bold></p>
	   </h5>
	  </div>   

<!--  add row -->
         <section> 
      
	  <div class="panel panel-footer" >
       <table class="table table-bordered" id="myTable">
        <thead>
         <tr>
		   <th style="width:25%; text-align: center;">Material</th>
		   <th style="width:10%; text-align: center;">UOM</th>
		   <th style="width:10%; text-align: center;">Qty</th>
		   <th style="width:10%; text-align: center;">Unit Price</th>
		   <th style="width:10%; text-align: center;">Discount</th>
		   <th style="width:10%; text-align: center;">Vat</th>
		   <th style="width:10%; text-align: center;">Net Amount</th>
		   <th style="width:15%; text-align: center;">Total</th>     
		   <th>Action</th> 
		 </tr>
	    </thead>
							 
		<tbody id="dynmic_row">
		 <tr id="row_0">
		  <td style="width: 15%;" id="mitem_0" > 
		   <select type="text" id="get_material_0" name="material_name[]" class="form-control get_material" required="">
		   <option value=""></option>
			@foreach($material as $material_name)
		   <option value ="{{$material_name->id}}">{{$material_name->material_code}} - {{$material_name->material_name}}</option>
			@endforeach
		   </select> 
		  </td>
		  <td id="uitem_0" style="width: 10%;">
		   <select  id="uom_0" name="uom[]" class="form-control get_uom"> 
		    <option value=""></option> </select> 
		  </td> 
		  <td id="qitem_0"> 
		   <input autocomplete="off" value=""  id="qty_0" type="text" name="quantity[]" class="form-control quantity" required="">
		   <input autocomplete="off" id="rowm_0" type="hidden" name="rowm[]" value="0" class="form-control rowm" required>
		   <input autocomplete="off" id="is_greatter_qty_0" type="hidden" name="is_greatter_qty[]" value="0" class="form-control is_greatter_qty">
		  </td>
		  <td id="pitem_0">
		   <label   class="lprice font-weight-bold ml-4 " id="lprice_0" for="comment">     </label>
		   <input autocomplete="off" value=""  id="price_0" type="hidden" name="price[]" class="form-control price" required=""> 
		   <input autocomplete="off" value=""  id="packing_size_0" type="hidden" name="packing_size[]" class="form-control packing_size">
		   <input autocomplete="off" value=""  id="begpacking_size_0" type="hidden" name="begpacking_size[]" class="form-control begpacking_size">
		  </td>
		  <td id="ditem_0">
		   <label   class="ldiscount font-weight-bold ml-4 " id="ldiscount_0" for="comment">     </label>
		   <input autocomplete="off" value=""  id="discount_0" type="hidden" name="discount[]" class="form-control discount"> 
		  </td> 
		  <td id="vitem_0" >
		   <label  class="lvat font-weight-bold ml-4" id="lvat_0" for="comment">     </label>
		   <input autocomplete="off" value=""  id="vat_0" type="hidden" name="vat[]" class="form-control vat" required=""> 
		   <input autocomplete="off" value="0"  id="isvat_0" type="hidden" name="isvat[]" class="form-control isvat" required=""> 
		  </td>
		  <td id="naitem_0">
		   <label   class="lnet_amount font-weight-bold ml-4 " id="lnet_amount_0" for="comment">     </label>
		   <input autocomplete="off" value=""  id="net_amount_0" type="hidden" name="net_amount[]" class="form-control net_amount"> 
		  </td>
		  <td id="titem_0">
		   <label   class="ltotal font-weight-bold ml-4 " id="ltotal_0" for="comment">     </label>
		   <input autocomplete="off" value=""  id="total_0" type="hidden" name="total[]" class="form-control total">
		   <input value="" id="gross_0" type="hidden" name="gross[]" class="form-control gross">
		   <input autocomplete="off" value="" id="gross_amount_totali" type="hidden" name="gross_amount_totali" class="form-control ">
		   <input autocomplete="off" value="" id="price_amount_totali" type="hidden" name="price_amount_totali" class="form-control ">
		   <input autocomplete="off" value="" id="vat_amount_totali" type="hidden" name="vat_amount_totali" class="form-control ">
		   <input autocomplete="off" value="" id="net_amount_totali" type="hidden" name="net_amount_totali" class="form-control ">
		   <input autocomplete="off" value="" id="invoice_amount_totali" type="hidden" name="invoice_amount_totali" class="form-control ">
		  </td>
									
		  <td>
		   <button type="button" class="btn btn-danger font-weight-bold "  onclick="deleteRow(this,0)">
		    <i class="fa fa-trash" aria-hidden="true" ></i>
		   </button>
		  </td>
		 </tr> 
		</tbody> 
       </table>
		<td>
			<button type="button" class="btn btn-primary font-weight-bold text-white addRow">
			<i class="fa fa-plus  text-white " aria-hidden="true" ></i> ADD</button>
		</td>
      </div>
        </section>
		<!--<input autocomplete="off" value="0" id="check_stock_availbility" type="hidden" name="check_stock_availbility" class="form-control ">-->
<!--  End add row -->	

	  <div class="container " style="width: 100%;">
    
	   <table class="table  table-bordered float-right" style="width: 30%;">
   
		@php
		$space=" ";
		@endphp
        <tr>
            <td  class="bg-faded" style="width: 50%; background-color: #dfe2e8;">
			 <strong>Gross Amount:</strong>
			</td>
            <td id="" class="font-weight-bold" style="width: 40%;">{{$login_user->currency_notation}} {{$space}} 
			 <span  class="font-weight-bold ml-1" id="gross_amount_total">0.00</span>
			</td> 
        </tr>
        <tr>
            <td class="bg-faded" style="width: 50%; background-color: #dfe2e8;">
			 <strong>VAT Amount:</strong>
			</td>
            <td id="" class="bg-white font-weight-bold" style="width: 40%;">{{$login_user->currency_notation}} {{$space}}    
 			 <span class="font-weight-bold ml-1"  id="vat_amount_total">0.00 </span>
			</td>
        </tr>
		
        <tr>
            <td class="bg-faded" style="width: 50%; background-color: #dfe2e8;">
			 <strong>Discount:</strong>
			</td>
            <td class="bg-white font-weight-bold" style="width: 40%;">{{$login_user->currency_notation}} {{$space}} 
			 <span class="font-weight-bold ml-1" id="discount_amount_total">0.00</span>
			</td>
        </tr>
		
        <tr>
            <td class="bg-faded" style="width: 50%; background-color: #dfe2e8;">
			 <strong>Net Amount:</strong>
			</td>
            <td id="" class="bg-white font-weight-bold" style="width: 40%;">{{$login_user->currency_notation}} {{$space}}
			 <span class="font-weight-bold ml-1" id="net_amount_total">0.00</span>
			</td>
        </tr>
		
        <tr>
            <td class="bg-faded" style="width: 50%; background-color: #dfe2e8;">
			 <strong>Invoice Total:</strong>
			</td>
            <td id="" class="bg-white font-weight-bold" style="width: 40%;">{{$login_user->currency_notation}} {{$space}}
			 <span class="font-weight-bold ml-1" id="invoice_amount_total">0.00 </span>
			</td>
        </tr>
       </table>
					<br><br><br><br><br><br>
					<br><br><br><br><br><br>
	
	  
	  <div class="row ">
       <div class="col-md-5 ml-5">
	   </div>
		<button id="submit" name="btnsubmit" class="mt-3 btn btn-primary btn-lg">Save</button>
		<a href="{{route('purchase_order_list')}}" class="mt-3 btn btn-danger ml-2  btn-lg">Cancel</a> 
		
	   </div>     <!--row--> 
	  </div>         <!--container--> 
	 </form>
	 </div>     <!--card-body--> 
	</div>      <!--main-card mb-3 card--> 
   </div>      <!--tab-pane tabs-animation fade show active--> 
  </div>     <!--tab-content--> 
 </div>     <!--app-main__inner--> 

@include('theme_layout/footer')
       

<script>

   var jq = $.noConflict();
		function checkForm(form)
			{ 
		form.btnsubmit.disabled = true;
		return true;
			}
   jq(document).ready(function(){
      
	   jq("#back").click(function(){
		   window.history.back();
	   });

    $('#get_material_0').SumoSelect({ selectAll:true,search: true,triggerChangeCombined : true});
    $('#supplier_add').SumoSelect({ selectAll:true,search: true,triggerChangeCombined : true});
	
  
  $("#supplier_add").change(function(){
		//alert('hello');
	var supplier_add = jq('#supplier_add').val();
	$('#supplier_add').SumoSelect({ selectAll:true,search: true,triggerChangeCombined : true});
	$('#supplier_add')[0].sumo.reload();
	
	get_supplier_tin(supplier_add);
	});
  function get_supplier_tin(supplier_add){

	jq.ajax({
    url: "{{ URL('purchaseorder_get_tin_no/') }}"+"/" +supplier_add,       
    type:"GET",
    success:function(respons){
           
            if(respons){
				jq('#payment_term').val(" ");
			   var result=respons.split("-");
				jq('#tin_no').val(result[0]);
				jq('#tin_no1').val(result[0]);
				jq('#payment_term').val(result[3]+' - '+result[2]);
				jq('#payment_term1').val(result[1]);
				
			}
         
          }
       });
     }
	
	 
 });
<!--row calculation-->
	jq('tbody').delegate('.quantity,.price','keyup',function(){
		var gst=0;
		var per=100;
        var tr=jq(this).parent().parent();
        var quantity=tr.find('.quantity').val();
		var begpacking_size1=tr.find('.begpacking_size').val();
		
		if(quantity=='')
		{
			reset_value();
			function reset_value(){
		
		      tr.find('.total').val('');
              tr.find('.gross').val('');
		      tr.find('.vat').val('');
		      tr.find('.net_amount').val('');
			  tr.find('.ltotal').text('');
              tr.find('.lvat').text('');
			  tr.find('.lnet_amount').text('');
			  tr.find('.lprice').text('');
		      //tr.find('.price').val('');
		     }
	    }
		
		else{
			
        var price=tr.find('.price').val();
		var unit_price = price.toLocaleString(
                      undefined, 
                      { minimumFractionDigits: 2 }
                      );
		      tr.find('.lprice').text(unit_price);
		 var isvat=tr.find('.isvat').val();
		if(isvat==1)
		{
			gst = jq('#session_vat').val();
			
		}
		var actual_alt_packing_size=(quantity*begpacking_size1);
		
	<!--calculate vat for setting in input-->
		var vat=(price*gst/per)*quantity;
		var total=(quantity*price);
		var gross=(quantity*price);
		<!--for input hidden-->
        tr.find('.total').val(total);
        tr.find('.gross').val(total);
		tr.find('.vat').val(vat);
		tr.find('.packing_size').val(actual_alt_packing_size); 
		
		   var gross_value1 = gross.toLocaleString(
			  undefined, 
			  { minimumFractionDigits: 2 }
			  );
			  var vat_value1 = vat.toLocaleString(
			  undefined, 
			  { minimumFractionDigits: 2 }
			  );
			  var total_value1 = total.toLocaleString(
			  undefined, 
			  { minimumFractionDigits: 2 }
			  );
		
		<!--for lebel -->
        tr.find('.ltotal').text(total_value1);
        tr.find('.lvat').text(vat_value1);
         
		
		<!--getting stored vat-->
		var get_vat=tr.find('.vat').val();
		var net_amount=(total-get_vat);
		tr.find('.net_amount').val(net_amount);
		<!--for lebel -->
		          var net_amount_value1 = net_amount.toLocaleString(
                      undefined, 
                      { minimumFractionDigits: 2 }
                      );
		 tr.find('.lnet_amount').text(net_amount_value1);
		
		}
		
       calculate();  
    });
	
<!-- reset value-->
<!--total calculation-->

   function calculate(){
	 var ftotal=0;
	 var fnet_total=0;
	 var fvat=0;
	 var fgross=0;
	 
	 //var fprice=0;
<!-- total calculation-->

	setTimeout(function(){
				
		  jq('.total').each(function() {
		  var total=jq(this).val()-0;
		  ftotal+=total;
	 
			 });
		   var total_value = ftotal.toLocaleString(

			 undefined, 
			 { minimumFractionDigits: 2 }
			);
		   document.getElementById("invoice_amount_total").innerHTML  = total_value;
		   document.getElementById("invoice_amount_totali").value = ftotal;
		   
	   }, 200);
			   
<!-- net total-->
    setTimeout(function(){
				
		   jq('.net_amount').each(function() {
		   var net_total=jq(this).val()-0;
		  fnet_total+=net_total;
	 
			 });
		   var net_total_value = fnet_total.toLocaleString(

			 undefined, 
			 { minimumFractionDigits: 2 }
			  );
		  document.getElementById("net_amount_total").innerHTML  = net_total_value;
		  document.getElementById("net_amount_totali").value = fnet_total;
   
		}, 200);
				
<!-- vat total-->
		setTimeout(function(){
                        
		   jq('.vat').each(function() {
		   var vat_total=jq(this).val()-0;
		   fvat+=vat_total;
	 
			 });
		var vat_value = fvat.toLocaleString(

			 undefined, 
			 { minimumFractionDigits: 2 }
			  );
		   document.getElementById("vat_amount_total").innerHTML  = vat_value;
		   document.getElementById("vat_amount_totali").value = fvat;
   
		}, 200);
				
<!-- gross total-->
   setTimeout(function(){
				
		   jq('.gross').each(function() {
		   var gross_total=jq(this).val()-0;
		   fgross+=gross_total;
	 
			 });
	  var gross_value = fgross.toLocaleString(

			 undefined, 
			 { minimumFractionDigits: 2 }
			  );
		   document.getElementById("gross_amount_total").innerHTML  = gross_value;
		   document.getElementById("gross_amount_totali").value = fgross;
   
		}, 200);    
    } 
<!--end calculation	-->	
<!--add row	-->	
	var i=0;
    jq('.addRow').on('click',function(){
		i++;
        addRow(i);
    });
	
<!--getting material of first row-->		
	jq('#get_material_0').click(function(){
	 var material_id1 =  jq('#get_material_0').val();
	  
	   var row=0;
	   
	   reset_value1(row);
			 calculate(); 
	   get_material_details(material_id1,row);
	   is_vat(material_id1,row);
	   
	   setTimeout(function(){
			   var uom_id =  jq('#uom_0').val();     
			   get_material_price(uom_id,material_id1,row);
			   get_material_alt_packing_size(uom_id,material_id1,row);
	   
			}, 1000);
     });
<!--getting material of first row-->
		 
	 jq('#uom_0').change(function(){
		 var row=0;
		   var uom_id =  jq('#uom_0').val();
		  
		   var material_id =  jq('#get_material_0').val();
			 reset_value1(row);
			 calculate(); 
		   get_material_price(uom_id,material_id,row);
		   get_material_alt_packing_size(uom_id,material_id,row);
		   
		 });
	
    function addRow(value)
    {
        var tr='<tr id="row_'+value+'">'+
        '<td style="width: 15%;" id="mitem_"><select type="text" id="get_material_'+value+'"  name="material_name[]" class="form-control get_material" required=""></td>'+
		
        '<td id="uitem_'+value+'" style="width: 10%;"><select type="text" id="uom_'+value+'" name="uom[]" class="form-control"><option value=""></option></select> </td>'+
		
        '<td id="qitem_'+value+'"><input autocomplete="off" type="text" value="" id="qty_'+value+'" name="quantity[]" class="form-control quantity" required=""></td>'+
		
		
        '<td id="pitem_'+value+'"><label   class="lprice font-weight-bold ml-4 " id="lprice_'+value+'" for="comment">     </label><input readonly type="hidden" value="" id="price_'+value+'" name="price[]" class="form-control price"> <input autocomplete="off" readonly type="hidden" value="" id="packing_size_'+value+'" name="packing_size[]" class="form-control packing_size"> <input autocomplete="off" readonly type="hidden" value="" id="begpacking_size_'+value+'" name="begpacking_size[]" class="form-control begpacking_size"> </td>'+
		
        ' <td id="ditem_'+value+'"><label   class="ldiscount font-weight-bold ml-4 " id="ldiscount_'+value+'" for="comment">     </label><input readonly type="hidden" value="" id="discount_'+value+'" name="discount[]" class="form-control discount"></td>'+
		
		
		'<td id="vitem_'+value+'"><label   class="lvat font-weight-bold ml-4" id="lvat_'+value+'" for="comment">     </label><input readonly type="hidden" value="" id="vat_'+value+'" name="vat[]" class="form-control vat" required=""> <input autocomplete="off" readonly type="hidden" value="0" id="isvat_'+value+'" name="isvat[]" class="form-control isvat" required=""></td>'+
		
        '<td id="naitem_'+value+'"><label   class="lnet_amount font-weight-bold ml-4 " id="lnet_amount_'+value+'" for="comment">  </label><input readonly type="hidden" value="" id="net_amount_'+value+'" name="net_amount[]" class="form-control net_amount"></td>'+
		
        ' <td id="titem_'+value+'"><label   class="ltotal font-weight-bold ml-4 " id="ltotal_'+value+'" for="comment">     </label><input readonly type="hidden" value="" id="total_'+value+'" name="total[]" class="form-control total"><input value="" id="gross_'+value+'" type="hidden" name="gross[]" class="form-control gross"></td>'+
		
        ' <td><button type="button" class="btn btn-danger font-weight-bold "  onclick="deleteRow(this,'+value+')"><i class="fa fa-trash" aria-hidden="true" ></i></button></td>'+
        '</tr>';
        jq('#dynmic_row').append(tr);
		
		<!--getting material name-->
		    get_material(value);
			
		<!--getting material uom-->	
		     jq('#get_material_'+value+'').click(function(){
		       var material_id =  jq('#get_material_'+value+'').val();
			   reset_value1(value);
			   calculate();
			   
			   get_material_details(material_id,value);
			   is_vat(material_id,value);
			   
			    setTimeout(function(){
                   var uom_id =  jq('#uom_'+value+'').val();  
                 				   
				   get_material_price(uom_id,material_id,value);
				   get_material_alt_packing_size(uom_id,material_id,value);
           
                }, 1000);
             });
			 
			 <!--getting material price-->	
			 jq('#uom_'+value+'').change(function(){
		       var uom_id =  jq('#uom_'+value+'').val();
			   var material_id =  jq('#get_material_'+value+'').val();
			     reset_value1(value);
				 calculate(); 
			   
			   get_material_price(uom_id,material_id,value);
			   get_material_alt_packing_size(uom_id,material_id,value);
			   
             });
		
    };	
<!--end add row	-->
  <!--get_material_uom-->
	function get_material_details(material_id1,row){
		//alert(material_id1);
		 jq.ajax({
		      url: "{{ URL('purchase_material_detailsUom/') }}"+"/" +material_id1+'/'+row,
              type:"GET",
              
          success:function(respons)
          {
            if(respons)
			{
				jq('#uom_'+row+'').html(respons);
			}
         
          }
       });
     }
	 
	  function is_vat(material_id1,row){
				 
		 jq.ajax({
		      url: "{{ URL('purchase_material_vat/') }}"+"/" +material_id1,
              type:"GET",
              
          success:function(respons)
          {
				 document.getElementById('isvat_'+row+'').value =respons;
          }
       });
     }
	    <!--get_material_price-->
	 function get_material_price(uom_id1,material_id1,row){
			
		 jq.ajax({
		      url: "{{ URL('purchase_material_price/') }}"+"/" +uom_id1+'/'+material_id1,       
              type:"GET",
              
          success:function(respons)
          {
            if(respons)
			{
				
				 document.getElementById('price_'+row+'').value =respons;
                  
				    
			}
         
          }
       });
     }
	 
	 function get_material_alt_packing_size(uom_id1,material_id1,row){
			
		 jq.ajax({
		      url: "{{ URL('purchase_material_alt_packing_size/') }}"+"/" +uom_id1+'/'+material_id1,       
              type:"GET",
              
          success:function(respons)
          {
            if(respons)
			{
				
				 document.getElementById('packing_size_'+row+'').value =respons;
				 document.getElementById('begpacking_size_'+row+'').value =respons;
			}
         
          }
       });
     }
	
	<!--get_material_name-->
	function get_material(value){
				 
		 jq.ajax({
		      url: "{{ URL('get_material/') }}",
              type:"GET",
              
          success:function(respons)
          {
            if(respons)
			{
				jq('#get_material_'+value+'').html(respons);
				$('#get_material_'+value+'').SumoSelect({ selectAll:true,search: true,   triggerChangeCombined : true});
	            $('#get_material_'+value+'')[0].sumo.reload();   
			}
          }
       });
     }
	 
	 <!-- reseting Value-->
    	 function reset_value1(row){
		        document.getElementById('price_'+row+'').value ='';
		        document.getElementById('vat_'+row+'').value ='';
		        document.getElementById('total_'+row+'').value ='';
		        document.getElementById('net_amount_'+row+'').value ='';
		        document.getElementById('qty_'+row+'').value ='';
		        document.getElementById('discount_'+row+'').value ='';
		        document.getElementById('gross_'+row+'').value ='';
		        <!--for lebel-->
				document.getElementById('lprice_'+row+'').innerHTML='';
		        document.getElementById('ldiscount_'+row+'').innerHTML=''
		        document.getElementById('ltotal_'+row+'').innerHTML='';
				document.getElementById('lnet_amount_'+row+'').innerHTML='';
		        document.getElementById('lvat_'+row+'').innerHTML='';
		     }
	 
<!-- Deleting row-->
  function deleteRow(r,row) {
	 
        if(row==0){
            			Swal.fire({
				  icon: 'error',
				  title: 'You Can Not Remove First Row!',
				})
        }
		else{
       calculate();
/*	  
<!-- updating amount-->
	   var total=jq('#total_'+row+'').val();
	   var invoice_total= document.getElementById("invoice_amount_total").innerText;
	   var ftotal=invoice_total-total;
	   document.getElementById("invoice_amount_total").innerHTML  = ftotal;
	   document.getElementById("invoice_amount_totali").value = ftotal;
	   
 <!-- updating net Total-->
	   var net_amount=jq('#net_amount_'+row+'').val();
	   var net_amount_total= document.getElementById("net_amount_total").innerText;
	   var fnet_amount=net_amount_total-net_amount;
	   document.getElementById("net_amount_total").innerHTML  = fnet_amount;
	   document.getElementById("net_amount_totali").value = fnet_amount;
	   
 <!-- updating vat-->
	   var vat=jq('#vat_'+row+'').val();
	   var vat1= Math.trunc(vat);  
	   var vat_amount_total= document.getElementById("vat_amount_total").innerText;
	   var vat_amount_total1=Math.trunc(vat_amount_total);
	   var fvat=vat_amount_total1-vat1;
	   document.getElementById("vat_amount_total").innerHTML  = fvat;  
	   document.getElementById("vat_amount_totali").value = fvat;
	   
 <!-- updating net Total-->
	   var gross=jq('#gross_'+row+'').val();
	   var gross_amount_total= document.getElementById("gross_amount_total").innerText;
	   var fgross=gross_amount_total-gross;
	   document.getElementById("gross_amount_total").innerHTML  = fgross;
	   document.getElementById("gross_amount_totali").value = fgross;
	   
 <!-- updating unit price-->
	   var unit_price=jq('#price_'+row+'').val();
	   var price_amount_total= document.getElementById("price_amount_total").innerText;
	   var fprice=price_amount_total-unit_price;
	   document.getElementById("price_amount_total").innerHTML  = fprice;
	   document.getElementById("price_amount_totali").value = fprice;	
*/	   
      var i = r.parentNode.parentNode.rowIndex;
     document.getElementById("myTable").deleteRow(i);
		}
}
		
</script>	


    

	

