@include('theme_layout/header')
@include('theme_layout/nav')


<div class="app-main__outer ">
  <div class="app-main__inner">
   <div class="app-page-title">
     <div class="page-title-wrapper">
       <div class="page-title-heading">
          <div class="page-title-icon">
           <i class="pe-7s-medal icon-gradient bg-tempting-azure">
            </i>
           </div>
		    
          <div>Material Performance Report List
		  @php 
		    $year='';
		    $month='';
		    $performance_chart='';
			
		  @endphp
		  @if(Session::has('year'))
				@php 
			      $year  = Session::get('year');
			      $month = Session::get('month');
			      $performance_chart = Session::get('get_data_chart');
				@endphp
		  @endif	   
         </div>
       </div>

   <div class="page-title-actions"> 
     <div class="d-inline-block dropdown">
      <div class="page-title-actions"> 
       </div> 
        <div tabindex="-1" role="menu" aria-hidden="true" class="dropdown-menu dropdown-menu-right">
         <ul class="nav flex-column">
          <li class="nav-item">
           <a class="nav-link">
            <i class="nav-link-icon lnr-inbox"></i>
            <span>
	        Inbox
            </span>
           <div class="ml-auto badge badge-pill badge-secondary">86</div>
           </a>
          </li>
        <li class="nav-item">
       <a class="nav-link">
      <i class="nav-link-icon lnr-book"></i>
       <span>
	     Book
       </span>
      <div class="ml-auto badge badge-pill badge-danger">5</div>
      </a>
    </li>
	
    <li class="nav-item">
     <a class="nav-link">
      <i class="nav-link-icon lnr-picture"></i>
       <span>
	    Picture
       </span>
      </a>
    </li>
    <li class="nav-item">
     <a disabled class="nav-link disabled">
       <i class="nav-link-icon lnr-file-empty"></i>
        <span>
	     File Disabled
         </span>
     </a>
     </li>
    </ul>
    </div>
    </div>
    </div>       <!--page-title-actions-->
   </div>        <!--page-title-wrapper-->
  </div>  
  <!--app-page-title-->   
  <div class="main-card mb-3 card">
   <div class="card-body">	
    <div class="form-row">
     <div class="col-md-6" >
       <div class="position-relative form-group"><label for="select_warehouse" class="font-weight-bold ml-2">Year</label> <select class="mb-2 form-control" name="year" id="year" >
	    <option value=""></option>
	     <option @if($year!='') {{$year=='2021' ? 'selected':''}} @endif  value="2021">2021</option>
		 <option  @if($year!='') {{$year=='2020' ? 'selected':''}} @endif    value="2020">2020</option>
	     <option @if($year!='') {{$year=='2019' ? 'selected':''}} @endif   value="2019">2019</option>
	     <option @if($year!='') {{$year=='2018' ? 'selected':''}} @endif  value="2018">2018</option>
	     <option @if($year!='') {{$year=='2017' ? 'selected':''}} @endif  value="2017">2017</option>
	    </select> 
	   </div>
     </div>
											
    <div class="col-md-6" >
      <div class="position-relative form-group">
         <label for="select_warehouse" class="font-weight-bold ml-2">Month </label> <select class="mb-2 form-control" name="month" id="month" >
		  <option value=""></option>
		  <option  @if($month!='') {{$month=='all' ? 'selected':''}} @endif value="all">ALL</option>
			   <option @if($month!='') {{$month=='1' ? 'selected':''}} @endif value ="1">January</option>
				<option @if($month!='') {{$month=='2' ? 'selected':''}} @endif value ="2">February</option>
				<option  @if($month!='') {{$month=='3' ? 'selected':''}} @endif value="3">March</option>
				<option @if($month!='') {{$month=='4' ? 'selected':''}} @endif value="4">April</option>
				<option @if($month!='') {{$month=='5' ? 'selected':''}} @endif value="5">May</option>
				<option @if($month!='') {{$month=='6' ? 'selected':''}} @endif value="6">June</option>
				<option @if($month!='') {{$month=='7' ? 'selected':''}} @endif value="7">July</option>
				<option @if($month!='') {{$month=='8' ? 'selected':''}} @endif value="8">August</option>
				<option @if($month!='') {{$month=='9' ? 'selected':''}} @endif value="9">September</option>
				<option @if($month!='') {{$month=='10' ? 'selected':''}} @endif value="10">October</option>
				<option @if($month!='') {{$month=='11' ? 'selected':''}} @endif value="11">November</option>
				<option @if($month!='') {{$month=='12' ? 'selected':''}} @endif value="12">December</option>
	          </select> 
	      </div>
        </div>
    </div>

    <div class="form-row">
      <div class="col-md-12 text-center"> 
      <button id="submit" class="mt-3 btn btn-primary btn-lg">Search</button>
      </div>	
    </div>	
   
     <div id="row"  class="form-row ">
      <div class="col-md-6 float-left"> 
       <button id="" data-toggle="modal" data-target="#myModal" class="mt-3 btn btn-primary btn-lg" >Performance Chart</button>
         </div>
        <div class="col-md-6 form-row">
         <a href="{{ URL::to('material_performance_report_export/'.$year.'/'.$month)}}" id="export" style="margin-left:156px;" class="mt-3 btn btn-primary btn-lg">Export XLS</a>
	     <a href="{{ URL::to('material_performance_report_exportpdf/'.$year.'/'.$month)}}" id="export" style="margin-left:36px;" class="mt-3 btn btn-primary btn-lg" >Export PDF</a>
      </div>			  
    </div>

  <br><br> <br>
  
    <table style="width: 100%;"  id="example" class="table table-hover table-striped table-bordered">
     <thead> 	
      <tr>
       <th class="text-justify text-left">Material</th>
        <th class="text-justify text-left">Sales Amt</th>
         <th class="text-justify text-left">Sales Qty</th>
      </tr>
    </thead>
	
     <tbody>
			@if(Session::has('get_data1'))
				@php $get_data = Session::get('get_data1');
			
			   @endphp
              @foreach($get_data as $details)							
	              <tr>
	               <td class="font-weight-bold text-justify text-left">{{ $details->material_code}} - {{ $details->material_name}}</td>
	               <td class="font-weight-bold text-justify text-left">{{ $details->total_invoice}}</td>
	                <td class="font-weight-bold text-justify text-left">{{$details->qty}}</td>
                 </tr>
			@endforeach 
			@endif
     
      </tbody>
	  
      <tfoot>
     </tfoot>
    </table>
    


   <div class="modal fade mt-5"  id="myModal" tabindex="-1" role="dialog" aria-labelledby="exampleModalLabel" aria-hidden="true" >
	 <div class="modal-dialog mt-5 "  role="document">
      <div class="modal-content " style="width: 149%;" >
       <div class="modal-header">
        <h5 class="modal-title" id="exampleModalLabel">Performance Chart</h5>
         <button type="button" class="close" data-dismiss="modal" aria-label="Close">
         <span aria-hidden="true">&times;</span>
         </button>
       </div>

    <div class="modal-body" id=""  style="height:930px;"> 
     <div class="container" id="region_body_id" style="height:442px; !important">
	   <div class="form-row">
		 <div class="col-xl-6">
			 <div class="main-card mb-3 card" style="width:681px;">
				 <div class="card-body" style="height: px;">
				   <!-- <h5 class="card-title">Total Customer Category</h5>-->
					<div id="salesman_performance_wise" style="height: 390px; width: 100%;">
					</div>
				 </div>
			</div> 
	    </div>
	   <br>
</div>

	<div class="form-row">
	   <div class="col-xl-6">
	      <div class="main-card mb-3 card" style="width:681px;">
			<div class="card-body" style="height: px;">
			<div id="salesman_performance_wise_pie_chart" style="height: 390px; width: 100%;"></div>
			</div>
		  </div> 
	    </div>
	    </div>
	   </div>	 							 
      </div>
     </div>
     </div>
    </div >
   </div>       <!--card-body-->
  </div>        <!--main-card mb-3 card-->
</div>         <!--app-main__inner-->
			   
		@include('theme_layout/footer')	

<script>
     var jq = $.noConflict();
     jq(document).ready(function(){
	    $('#year').SumoSelect({ selectAll:true,search: true,triggerChangeCombined : true});
		$('#month').SumoSelect({ selectAll:true,search: true,triggerChangeCombined : true});
     //for sub region
	 
	jq("#submit").click(function(){
		 var year = jq('#year').val();
	     var month = jq('#month').val();
         get_report(year,month);
	    
     }); 

      function get_report(year,month)
	  {
	     jq.ajax({
          url: "{{ URL('get_route_material_performance_report/') }}",      
          type:"get",
          data:{
			   year:year, 
			   month:month
			  },
           success:function(respons)
           {
			   location.replace("{{ URL('get_route_material_performance/') }}");
			   @php
                 Session::forget('get_data1');
              @endphp
			 
	       }
		  });
	    }
   
	});
	
   </script>
   
     <?php if($performance_chart!='')
     {   
   ?>	salesman_performance_wise_pie_chart 
    <script type="text/javascript" src="{{ url('../public/js/canvasjs.min.js')}}"></script> 
    <script>     
	var chart = new CanvasJS.Chart("salesman_performance_wise", {
	animationEnabled: true,
	theme: "light2", // "light1", "light2", "dark1", "dark2"
	title:{
		text: "Top 10 Material Performance"  
	},
	axisY: {
		title: ""
	},
	
	data: [{        
		type: "column",  
		showInLegend: true, 
		legendMarkerColor: "grey",
		
		dataPoints: <?php echo json_encode($performance_chart, JSON_NUMERIC_CHECK); ?>
	}]
});
chart.render();

//pie chart

var chart = new CanvasJS.Chart("salesman_performance_wise_pie_chart", {
	animationEnabled: true,
	exportEnabled: true,
	title:{
		text: ""
	},
	subtitles: [{
		text: "Top 10 Material Performance"
	}],
	data:[{
		type: "pie",
		showInLegend: "true",
		legendText: "{label}",
		indexLabelFontSize: 16,
		indexLabel: "{label} - #percent%",
		yValueFormatString: "#,##0",
		dataPoints: <?php echo json_encode($performance_chart, JSON_NUMERIC_CHECK); ?> 
	}]
});
chart.render();
<?php
 }
?>
  
  
</script>	
   		
    			