 @include('theme_layout/header')
 @include('theme_layout/nav')
    <style>
    .text-center {
     text-align: center;
     }
    .modal-body{
     max-width: 900px;
     overflow-x: auto !important;
     }
    </style>

   <div class="app-main__outer">
    <div class="app-main__inner">
      <div class="app-page-title">
       <div class="page-title-wrapper">
        <div class="page-title-heading">
        <div class="page-title-icon">
	      <i class="pe-7s-medal icon-gradient bg-tempting-azure">
	      </i>
        </div>
		
	<div>Sales Report List
	  @if(Session::has('successMessage'))
	   <div class="alert  alert-success mt-3" >
	    {{ Session::get('successMessage') }}
		</div>
		@endif
	   </div>
     </div>
							
    <div class="page-title-actions"> 
     <div class="d-inline-block dropdown">
      <div class="page-title-actions"> 
        </div> 
         <div tabindex="-1" role="menu" aria-hidden="true" class="dropdown-menu dropdown-menu-right">
           <ul class="nav flex-column">
            <li class="nav-item">
              <a class="nav-link">
               <i class="nav-link-icon lnr-inbox"></i>
               <span>
	           Inbox
               </span>
              <div class="ml-auto badge badge-pill badge-secondary">86</div>
              </a>
            </li>
			
    <li class="nav-item">
     <a class="nav-link">
      <i class="nav-link-icon lnr-book"></i>
        <span>
	       Book
        </span>
       <div class="ml-auto badge badge-pill badge-danger">5</div>
      </a>
    </li>
	
   <li class="nav-item">
    <a class="nav-link">
      <i class="nav-link-icon lnr-picture"></i>
        <span>
	     Picture
        </span>
      </a>
    </li>
	
    <li class="nav-item">
     <a disabled class="nav-link disabled">
      <i class="nav-link-icon lnr-file-empty"></i>
         <span>
	      File Disabled
         </span>
        </a>
       </li>
      </ul>
     </div>
    </div>
   </div>
  </div>        <!--page-title-wrapper-->
</div>          <!--app-page-title-->  

  <div class="main-card mb-3 card">
   <div class="card-body">
    <!-- date filte-->
     <div class="form-row">
      <div class="col-md-4">
       <label  class="font-weight-bold " for="region" class="">Report Selection</label>
        <select class="form-control" name="report_with" id="report_with" > 
        <option value=""></option>
        <option value="1">By Volume</option>
        <option value="2">By Amount</option>
       </select> 
      </div> 

	<div class="col-md-4" id="myDatepicker4">
	 <label for="" class="font-weight-bold ml-2"> From Date</label>
		 <input type="date" class="form-control" name="fromdate" id="fromdate" value="<?php echo date("Y-m-d"); ?>" autocomplete="off">
	</div>
 
    <div class="col-md-4" id="myDatepicker5">
     <label for="" class="font-weight-bold ml-2"> To Date</label>
	  <input type="date" class="form-control" name="todate"  id="todate"  value="<?php echo date("Y-m-d"); ?>" autocomplete="off">
     </div>							   
	</div>
	</br>

   <div class="form-row">
    <div class="col-md-4">
            <label  class="font-weight-bold ml-2" for="region" class="">Region</label>
            <select class="mb-2 form-control" name="region" id="region" > 
            <option value=""></option>
            <option value="0" data-value="{{$regId}}">Select All</option>
            @foreach($region as $region_name)
            <option value="{{$region_name->id}}" >{{ $region_name->region_code}}- {{$region_name->region_name}}</option>	
            @endforeach
            </select> 
    </div>
											
	<div class="col-md-4">
	  <label  class="font-weight-bold " for="region" class=""> Sub Region</label> 
		<select class="mb-2 form-control" name="sub_region" id="sub_region_add" > 
		 </select>
	</div>
	
	<div class="col-md-4">
	  <label  class="font-weight-bold " for="region" class="">Warehouse</label>
		<select class="mb-2 form-control" name="warehouse" id="warehouse_add" > 
		</select>
    </div>
    </div>
	<br>
	
	<div class="form-row">
	<div class="col-md-4">
	  <label  class="font-weight-bold ml-2" for="region" class="">Route</label>
		<select class="mb-2 form-control" name="route" id="route_add" > 
		</select>
    </div>
	</div> 
	<div class="form-row">
	  <div class="col-md-12 text-center"> 
		<button id="submit1" class="mt-3 btn btn-primary btn-lg">Search</button>
		  <a href="{{route('sales_report_list')}}" class="mt-3 btn btn-danger  btn-lg">Reset</a>
		</div>	
     </div>	
  <br><br>

				   			  

   <form id="" class="" action="{{ route('sales_report_exportpdf1') }}" method="post">
    {{ csrf_field() }}
     <input autocomplete="off" name="fromdate1" id="fromdate1" value="s" type="hidden">
      <input autocomplete="off" name="todate1" id="todate1" value="s" type="hidden">
       <input autocomplete="off" name="report_with1" id="report_with1" value="s" type="hidden">
       <input autocomplete="off" name="region1" id="region1" value="s" type="hidden">
        <input autocomplete="off" name="subregion1" id="subregion1" value="s" type="hidden">
         <input autocomplete="off" name="warehouse1" id="warehouse1" value="s" type="hidden">
		 <input autocomplete="off" name="route1" id="route1" value="s" type="hidden">
        <button  id="export" style="display:none;  float:right; margin: 8px 54px 14px 65px;" class="mt-3 btn btn-primary btn-lg" >Export XLS</button>
        </form>
       <div class="container" id="report_data">	
      </div>
    </div> 
   </div>
 </div>

   <div  class="modal fade mt-5"  id="myModal_sales" tabindex="-1" role="dialog" aria-labelledby="exampleModalLabel" aria-hidden="true" >
     <div class="modal-dialog mt-5 "  role="document">
       <div class="modal-content " style="width: 892px; margin-left: -57px; margin-bottom:100px;">
        <div class="modal-header">
          <h5 class="modal-title" id="exampleModalLabel">Total Sales</h5>
          <button type="button" class="close" data-dismiss="modal" aria-label="Close">
            <span aria-hidden="true">&times;</span>
             </button>
           </div>
          <div  class="modal-body" id="sales_body_id"> 
         </div>
        </div>
     </div>
    </div >
			   
	@include('theme_layout/footer')	
    <script>
     var jq = $.noConflict();
       jq(document).ready(function(){
		$('#report_with').SumoSelect({ selectAll:true,search: true,   triggerChangeCombined : true});
		 $('#region').SumoSelect({ selectAll:true,search: true,triggerChangeCombined : true});
		 $('#sub_region_add').SumoSelect({ selectAll:true,search: true,triggerChangeCombined : true});
		 $('#warehouse_add').SumoSelect({ selectAll:true,search: true,triggerChangeCombined : true});
		 $('#route_add').SumoSelect({ selectAll:true,search: true,triggerChangeCombined : true});
        //for sub region
		var all_region=0;
		var all_sub_region=0;
		var all_warehouse=0;
		var all_route=0;
		
      $("#region").change(function(){
        var region_value = jq('#region').val();
        
        if(region_value == 0){

        var element = $(this).find('option:selected'); 
        var region = element.attr("data-value");
            all_region= region; 
        }else{

            var region = jq('#region').val();
        }
        get_subregion(region);
        });
	 
	
    // for warehouse 
	
	 $("#sub_region_add").change(function(){
        var sub_region_value = jq('#sub_region_add').val();
        
        if(sub_region_value == 0){

        var element = $(this).find('option:selected'); 
        var sub_region = element.attr("data-value");
            all_sub_region=sub_region;
        }else{

            var sub_region = jq('#sub_region_add').val();
        }
          get_warehouse(sub_region);
        });
    
   // for route
    $("#warehouse_add").change(function(){
        var warehouse_value = jq('#warehouse_add').val();
        
        if(warehouse_value == 0){

        var element = $(this).find('option:selected'); 
        var warehouse = element.attr("data-value");
            all_warehouse=warehouse;
        }else{

            var warehouse = jq('#warehouse_add').val();
        }
          get_route(warehouse);
        });
	
   $("#warehouse_add").change(function(){	
	 var route_value = jq('#route_add').val();
	 
	  if(route_value == 0){

         var element = $(this).find('option:selected'); 
         var route = element.attr("data-value");
		 
            all_route=route;
        }
	 });
   
      $("#submit1").click(function(){
	    
       var report_with = jq('#report_with').val();
        var fromdate = jq('#fromdate').val();
         var todate = jq('#todate').val();
  
          var report_with = jq('#report_with').val();
   
	      if(report_with=='' ||  report_with==null)
	   {
		    report_with='s';
	   }
	     /*  var region = jq('#region').val();
	       if(region=='' || region==null )
	   {
		   region='s';
	   }
	      var sub_region_add = jq('#sub_region_add').val();
	
	      if(sub_region_add=='' || sub_region_add==null)
	   {
		   sub_region_add='s';
	   }
	   var warehouse_add = jq('#warehouse_add').val();
	    if(warehouse_add=='' || warehouse_add==null)
	  {
		  warehouse_add='s';
	  }
	  var route_add = jq('#route_add').val();
	    if(route_add=='' || route_add==null)
	  {
		  route_add='s';
	  } */
	    if(all_region==0)
	       {
		     all_region='s';
	       }
	      
	     if(all_sub_region==0)
	       {
		     all_sub_region='s';
	       }
	     if(all_warehouse==0)
	       {
		     all_warehouse='s';
	       }
		   if(all_route==0)
	       {
		     all_route='s';
	       }
	  
	jq('#fromdate1').val(fromdate);
      jq('#todate1').val(todate);
       jq('#region1').val(region);
        jq('#subregion1').val(sub_region_add);
         jq('#warehouse1').val(warehouse_add);
		  jq('#route1').val(route_add);
    jq('#report_with1').val(report_with);
	
	//alert(report_with+'/'+region+'/'+sub_region_add+'/'+warehouse_add+'/'+route_add);
	get_report(report_with,all_region,all_sub_region,all_warehouse,all_route,fromdate,todate);
   });
  
   
   function get_subregion(sub_region)
	{
	  jq.ajax({
      url: "{{ URL('get_sales_subregion/') }}"+"/" +sub_region,       
      type:"GET",
      success:function(respons)
      {
			if(respons)
			{
			  jq('#sub_region_add').html(respons);
			  $('#sub_region_add').SumoSelect({ selectAll:true,search: true,triggerChangeCombined : true});
	          $('#sub_region_add')[0].sumo.reload(); 
			
			 }
	      }
		});
	}
	
	function get_warehouse(warehouse)
	{
	  jq.ajax({
      url: "{{ URL('get_sales_warehouse/') }}"+"/" +warehouse,       
      type:"GET",
      success:function(respons)
      {
			if(respons)
			{
			  jq('#warehouse_add').html(respons);
			  $('#warehouse_add').SumoSelect({ selectAll:true,search: true,triggerChangeCombined : true});
	          $('#warehouse_add')[0].sumo.reload(); 
			}
	       }
		});
	} 
	
	function get_route(route)
	{
	  jq.ajax({
      url: "{{ URL('get_route_sales/') }}"+"/" +route,       
      type:"GET",
      success:function(respons)
      {
			if(respons)
			{
			jq('#route_add').html(respons);
			$('#route_add').SumoSelect({ selectAll:true,search: true,triggerChangeCombined : true});
	        $('#route_add')[0].sumo.reload(); 
			}
	      }
		});
	}
	
	function get_salesman(salesman)
	{
	  jq.ajax({
      url: "{{ URL('get_salesman/') }}"+"/" +salesman,       
      type:"GET",
      success:function(respons)
      {
			if(respons)
			{
			jq('#salesman_add').html(respons);
			}
	     }
		}); 
	}
	
	function get_report(report_with,region,subregion,warehouse,route,fromdate,todate)
	{
	  jq.ajax({
      url: "{{ URL('get_return_sales_report/') }}"+"/" +report_with+"/"+region+"/"+subregion+"/"+warehouse+"/"+route+"/"+fromdate+"/"+todate,      
      type:"GET",
      success:function(respons)
         {
			 if(respons){ 
				var data = jQuery.parseJSON(respons);
				$('#report_data').html(data.html);
				var  no_data= jq('#no_data').text();
				 if(no_data)
				   jq('#export').hide();
				 else
                   jq('#export').show();						
			  }  
			
	      }
		});
	}
	
	function get_report_pdf(report_with,region,subregion,warehouse,route,fromdate,todate)
	{
	  jq.ajax({
      url: "{{ URL('sales_report_exportpdf/') }}"+"/" +report_with+"/"+region+"/"+subregion+"/"+warehouse+"/"+route+"/"+fromdate+"/"+todate,      
      type:"GET",
      success:function(respons)
          {
			
	       }
		});
	}
	$(document).on('click', '.region_modal', function(e) {
            e.preventDefault();
           /* $('#sales_report_modal').modal('show'); */
		   
            var region  = $(this).attr('data-agent-id');
			
            var fromdate = jq('#fromdate').val();
            var todate = jq('#todate').val();
              
			  
            if (fromdate != '' && todate != '' && region !='') {
                $.ajax({
                        url: "{{ URL('get_return_sales_report_pop/') }}"+"/" +fromdate+"/"+todate+"/"+region,      
                       type:"GET",
                       success: function (responce) {
                        var data = jQuery.parseJSON(responce);
				        $('#sales_body_id').html(data.html);
                        
                    }
                });
            }
            
        });
		
		$(document).on('click', '.sub_region_modal', function(e) {
            e.preventDefault();
            
           /* $('#sales_report_modal').modal('show'); */
		   
            var subregion  = $(this).attr('data-agent-id');
			
            var fromdate = jq('#fromdate').val();
            var todate = jq('#todate').val();
			  
            if (fromdate != '' && todate != '' && subregion !='') {
                $.ajax({
                        url: "{{ URL('get_subregionreturn_sales_report_pop/') }}"+"/" +fromdate+"/"+todate+"/"+subregion,      
                       type:"GET",
                    success: function (responce) {
                        var data = jQuery.parseJSON(responce);
                        $('#sales_body_id').html(data.html);
                    }
                });
            }
            
        });
	
	
	$(document).on('click', '.warehouse_modal', function(e) {
            e.preventDefault();
            
           /* $('#sales_report_modal').modal('show'); */
		   
            var warehouse  = $(this).attr('data-agent-id');
			
            var fromdate = jq('#fromdate').val();
            var todate = jq('#todate').val();
              
			  
            if (fromdate != '' && todate != '' && warehouse !='') {
                $.ajax({
                        url: "{{ URL('get_warehousereturn_sales_report_pop/') }}"+"/" +fromdate+"/"+todate+"/"+warehouse,      
                       type:"GET",
                    success: function (responce) {
                        var data = jQuery.parseJSON(responce);
                         $('#sales_body_id').html(data.html);
                    }
                });
            }
            
        });
		$(document).on('click', '.route_amount_modal', function(e) {
            e.preventDefault();
            
           /* $('#sales_report_modal').modal('show'); */
		   
            var route  = $(this).attr('data-agent-id');
			
            var fromdate = jq('#fromdate').val();
            var todate = jq('#todate').val();
              
			  
            if (fromdate != '' && todate != '' && route !='') {
                $.ajax({
                        url: "{{ URL('get_routereturn_sales_report_pop/') }}"+"/" +fromdate+"/"+todate+"/"+route,      
                       type:"GET",
                    success: function (responce) {
                        var data = jQuery.parseJSON(responce);
                         $('#sales_body_id').html(data.html);
                    }
                });
            }
            
        });
		
		
		$(document).on('click', '.route_quantity_modal', function(e) {
            e.preventDefault();
            
           /* $('#sales_report_modal').modal('show'); */
		   
            var route  = $(this).attr('data-agent-id');
			
            var fromdate = jq('#fromdate').val();
            var todate = jq('#todate').val();
			  
            if (fromdate != '' && todate != '' && route !='') {
                $.ajax({
                        url: "{{ URL('get_route_routereturn_quantity_sales_report_pop/') }}"+"/" +fromdate+"/"+todate+"/"+route,      
                       type:"GET",
                    success: function (responce) {
                         var data = jQuery.parseJSON(responce);
                         $('#sales_body_id').html(data.html);
                    }
                });
            }
            
        });
		
		
		$(document).on('click', '.warehouse_quantity_modal', function(e) {
            e.preventDefault();
            
           /* $('#sales_report_modal').modal('show'); */
		   
            var warehouse  = $(this).attr('data-agent-id');
			
            var fromdate = jq('#fromdate').val();
            var todate = jq('#todate').val();
			  
            if (fromdate != '' && todate != '' && warehouse !='') {
                $.ajax({
                        url: "{{ URL('get_route_warehousereturn_quantity_sales_report_pop/') }}"+"/" +fromdate+"/"+todate+"/"+warehouse,      
                       type:"GET",
                    success: function (responce) {
                         var data = jQuery.parseJSON(responce);
                         $('#sales_body_id').html(data.html);
                    }
                });
            }
            
        });
		
		$(document).on('click', '.sub_region_quantity_modal', function(e) {
            e.preventDefault();
            
          var subregion  = $(this).attr('data-agent-id');
			
           var fromdate = jq('#fromdate').val();
            var todate = jq('#todate').val();
              
			  
            if (fromdate != '' && todate != '' && subregion !='') {
                $.ajax({
                        url: "{{ URL('get_route_subregionreturn_quantity_sales_report_pop/') }}"+"/" +fromdate+"/"+todate+"/"+subregion,      
                       type:"GET",
                    success: function (responce) {
                        var data = jQuery.parseJSON(responce);
                         $('#sales_body_id').html(data.html);
                    }
                });
            }
            
        });
		
		
		$(document).on('click', '.region_quantity_modal', function(e) {
            e.preventDefault();
            
           /* $('#sales_report_modal').modal('show'); */
		   
            var region  = $(this).attr('data-agent-id');
			
            var fromdate = jq('#fromdate').val();
            var todate = jq('#todate').val();
              
			  
            if (fromdate != '' && todate != '' && region !='') {
                $.ajax({
                        url: "{{ URL('get_route_regionreturn_quntity_sales_report_pop/') }}"+"/" +fromdate+"/"+todate+"/"+region,      
                       type:"GET",
                    success: function (responce) {
                        var data = jQuery.parseJSON(responce);
                        $('#sales_body_id').html(data.html);
                    }
                });
            }
            
        });
		$(document).on('click', '.material_wise_route_sales_modal', function(e) {
            e.preventDefault();
            
           /* $('#sales_report_modal').modal('show'); */
		    var report_selection=jq('#report_with').val();
		    var slug='route';
			var warehouse  = $(this).attr('data-agent-id');
            var material  = $(this).attr('data-material-id');
			var fromdate = jq('#fromdate').val();
            var todate = jq('#todate').val();
            if (fromdate != '' && todate != '' && warehouse !='' && material !='') {
                $.ajax({
                        url: "{{ URL('get_route_materialwise_quntity_sales_report_pop/') }}"+"/" +fromdate+"/"+todate+"/"+warehouse+"/"+material+"/"+report_selection+"/"+slug,      
                       type:"GET",
                       success: function (responce) {
                        var data = jQuery.parseJSON(responce);
                        $('#sales_body_id').html(data.html);
                    }
                });
            }
            
        });
		
		$(document).on('click', '.material_wise_warehouse_sales_modal', function(e) {
            e.preventDefault();
            
           /* $('#sales_report_modal').modal('show'); */
		    var report_selection=jq('#report_with').val();
		    var slug='warehouse';
			var warehouse  = $(this).attr('data-agent-id');
            var material  = $(this).attr('data-material-id');
			
            var fromdate = jq('#fromdate').val();
            var todate = jq('#todate').val();
            if (fromdate != '' && todate != '' && warehouse !='' && material !='') {
                $.ajax({
                        url: "{{ URL('get_route_materialwise_quntity_sales_report_pop/') }}"+"/" +fromdate+"/"+todate+"/"+warehouse+"/"+material+"/"+report_selection+"/"+slug,      
                       type:"GET",
                       success: function (responce) {
                        var data = jQuery.parseJSON(responce);
                        $('#sales_body_id').html(data.html);
                    }
                });
            }
            
        });
		
		$(document).on('click', '.material_wise_subregion_sales_modal', function(e) {
            e.preventDefault();
            
           /* $('#sales_report_modal').modal('show'); */
		    var report_selection=jq('#report_with').val();
		    var slug='sub_region';
			var warehouse  = $(this).attr('data-agent-id');
            var material  = $(this).attr('data-material-id');
			
            var fromdate = jq('#fromdate').val();
            var todate = jq('#todate').val();
            if (fromdate != '' && todate != '' && warehouse !='' && material !='') {
                $.ajax({
                        url: "{{ URL('get_route_materialwise_quntity_sales_report_pop/') }}"+"/" +fromdate+"/"+todate+"/"+warehouse+"/"+material+"/"+report_selection+"/"+slug,      
                       type:"GET",
                       success: function (responce) {
                        var data = jQuery.parseJSON(responce);
                        $('#sales_body_id').html(data.html);
                    }
                });
            }
            
        });
		
		$(document).on('click', '.material_wise_region_sales_modal', function(e) {
            e.preventDefault();
           /* $('#sales_report_modal').modal('show'); */
		    var report_selection=jq('#report_with').val();
		    var slug='region';
			var warehouse  = $(this).attr('data-agent-id');
            var material  = $(this).attr('data-material-id');
			
            var fromdate = jq('#fromdate').val();
            var todate = jq('#todate').val();
            if (fromdate != '' && todate != '' && warehouse !='' && material !='') {
                $.ajax({
                        url: "{{ URL('get_route_materialwise_quntity_sales_report_pop/') }}"+"/" +fromdate+"/"+todate+"/"+warehouse+"/"+material+"/"+report_selection+"/"+slug,      
                       type:"GET",
                       success: function (responce) {
                        var data = jQuery.parseJSON(responce);
                        $('#sales_body_id').html(data.html);
                    }
                });
            }
            
        });
   
	   });
   
	   
   </script>			
    			