@include('theme_layout/header')
@include('theme_layout/nav')
<div class="app-main__outer"> 
   <div class="app-main__inner">
    <div class="app-page-title">
     <div class="page-title-wrapper">
      <div class="page-title-heading">
	   <div class="page-title-icon">
	    <i class="pe-7s-graph text-success">
	    </i>
	   </div> <!--page-title-icon--> 
	    <div>  
	     Edit Route Visit Plan
		  @if(Session::has('successMessage')) 
		  <input id="toster_id" type="hidden" value="{{ Session::get('successMessage') }}">		  
		 @endif 
	    </div>
      </div>
	  
	    <div class="page-title-actions">
			<div class="d-inline-block dropdown">
				<a href="{{route('customer_visit_plan_list')}}" class="mt-3 btn btn-primary btn-lg text-white"> <i class="fa fa-arrow-left fa-w-20"></i> Back</a>                                  
			</div>
	    </div>
      </div> <!--page-title-wrapper-->
    </div> <!--app-page-title-->           
					 
        <div class="tab-content">
         <div class="tab-pane tabs-animation fade show active" id="tab-content-0" role="tabpanel">
          <div class="main-card mb-3 card">
           <div class="card-body"><h5 class="card-title"></h5> 
            <form method="get" id="example1" action="{{ route('customer_visit_plan') }}" >
             {{ csrf_field() }}
			  <div class="form-row">
			<div class="col-md-4">
		   <div class="position-relative form-group">
			<label for="valid_from" class="ml-2 font-weight-bold">Valid From</label>
			 
			  <input type="date" class="form-control" name="valid_from" id="valid_from" value="{{$get_data_header->valid_from}}" autocomplete="off" disabled>
		  </div>
		</div>
		
		<div class="col-md-4">
		   <div class="position-relative form-group">
			<label for="valid_to" class="ml-2 font-weight-bold">Valid To</label>
			 <input type="date" class="form-control" name="valid_to" id="valid_to" value="{{$get_data_header->valid_to }}" autocomplete="off" disabled>
		   </div>
		</div>
		
		<div class="col-md-4">
		   <div class="position-relative form-group">
			<label for="for_visit_plan" class="ml-2 font-weight-bold">For Visit Plan</label>
			<select maxlength="25" name="for_visit_plan" id="for_visit_plan" class="form-control" autocomplete="off" required disabled>
			<option value=""></option>
			<option {{$get_data_header->for_visit_plan== '1'? 'selected':''}} value="1">Salesman</option>
			<option {{$get_data_header->for_visit_plan== '2' ? 'selected':''}} value="2">Merchandiser</option>
			</select> 
		  </div>
		</div>
		
       </div>
		
              <div class="form-row">
               <div class="col-md-4">
	            <div class="position-relative form-group ">
	             <label class="font-weight-bold ml-2" for="salesarea" class="">Sales Area</label><select class="mb-2 form-control country1" name="salesarea" id="salesarea" required disabled>  
	              <option value=""> </option>
	               @foreach($salesarea as $salesareaname)
	                <option {{$get_data_header->sales_area_id==$salesareaname->id ? 'selected':''}} value ="{{$salesareaname->id}}">{{$salesareaname->sales_area_code}} - {{$salesareaname->sales_area_name}}</option>
	               @endforeach
	             </select>	
	            </div>
	           </div> 
			   
	
	     <div class="col-md-4">
	      <div class="position-relative form-group ">
	       <label class="font-weight-bold ml-2" for="route" class="">Route</label>
		    <select class="mb-2 form-control" name="route" id="route_add" required disabled>
			<option value=""> </option>
	               @foreach($route as $route)
	                <option {{$get_data_header->route_id==$route->id ? 'selected':''}} value ="{{$route->id}}">{{$route->route_code}} - {{$route->route_name}}</option>
	               @endforeach
		   </select>	
	      </div>
         </div>
		 
	
        
       </div>
      </form>
 
	    <form method="post" action="{{ route('customer_visit_plan_store') }}" class="form-horizontal" enctype= "multipart/form-data" >
	     {{ csrf_field() }}
		 
		 <input type="hidden" class="form-control" name="valid_from" id="valid_from" value="{{$get_data_header->valid_from}}" autocomplete="off">
		 
		 <input type="hidden" class="form-control" name="updated_id" id="valid_from" value="{{$get_data_header->id}}" autocomplete="off">
		 
		 <input type="hidden" class="form-control" name="valid_to" id="valid_to" value="{{$get_data_header->valid_to}}" autocomplete="off">
		 
		 <input type="hidden" class="form-control" name="for_visit_plan" id="for_visit_plan" value="{{$get_data_header->for_visit_plan}}" autocomplete="off">
		 
		 <input type="hidden" class="form-control" name="sales_area" id="sales_area" value="{{$get_data_header->sales_area_id}}" autocomplete="off">
		 
		 <input type="hidden" class="form-control" name="route_id" id="route_id" value="{{$get_data_header->route_id}}" autocomplete="off">
		 
		 
	      <table style="width: 100%; "  class="table table-hover table-striped table-bordered for-checkbox" id="assign_customer"> 
	       <thead>
            <tr>
	         <th>Customer</th>
	         <th>Customer Contact</th> 
	         <th><input type="checkbox" class="selectallboxmon" id="mon">
	          <label class="label ml-2" for="mon">Mon</label></th>
		     <th><input type="checkbox" class="selectallboxtue" id="tue">
		      <label class="label ml-2" for="tue">Tue</label></th>
			 <th><input type="checkbox" class="selectallboxwed" id="wed">
			  <label class="label ml-2" for="wed">Wed</label></th>
			 <th><input type="checkbox" class="selectallboxthu" id="thu">
			  <label class="label ml-2" for="thu">Thu</label></th>
			 <th><input type="checkbox" class="selectallboxfri" id="fri">
			  <label class="label ml-2" for="fri">Fri</label></th>
			 <th><input type="checkbox" class="selectallboxsat" id="sat">
		      <label class="label ml-2" for="sat">Sat</label></th>
		     <th><input type="checkbox" class="selectallboxsun" id="sun">
	          <label class="label ml-2" for="sun">Sun</label></th>				
            </tr>
           </thead>
	
	    
		 
	       <tbody>
	        @php
	         $count=0;
	        @endphp
	         @foreach($get_data as $data)
		    @php 
	         $count=1;
	        @endphp
		     <tr>
		      <td class="font-weight-bold text-justify text-left">{{$data->customer_code}} - {{$data->customer_name}}</td>
		       <input type="hidden" value="{{$data->customer_name}}" name="customer_name[]" id="cust_name" autocomplete="off">
		       <input type="hidden" value="{{$data->customer_id}}" name="cust_id[]" id="cust_name" autocomplete="off">
		       <input type="hidden" value="{{$data->contact_no}}" name="customer_contact_no[]" id="cust_contact_no" autocomplete="off">
		      <td class="font-weight-bold text-justify text-left">{{$data->contact_no}}</td>
		      <td>
			   <input class="selectallmon" value="1" {{$data->mon==1? 'checked':''}} type="checkbox" name="monseq[{{$data->customer_id}}]" id="mon" autocomplete="off">
		      </td>
		       <td>
			    <input class="selectalltue" {{$data->tue==1? 'checked':''}} value="1" type="checkbox" name="tueseq[{{$data->customer_id}}]" id="tue" autocomplete="off">
		       </td>
		       <td>
			    <input class="selectallwed" {{$data->wed==1? 'checked':''}} value="1"  type="checkbox" name="wedseq[{{$data->customer_id}}]" id="wed" autocomplete="off">
		        </td>
		        <td>
			     <input class="selectallthu" {{$data->thu==1? 'checked':''}} value="1" type="checkbox" name="thuseq[{{$data->customer_id}}]" id="thu" autocomplete="off">
		        </td>
		        <td>
			     <input class="selectallfri" {{$data->fri==1? 'checked':''}} value="1" type="checkbox" name="friseq[{{$data->customer_id}}]" id="fri" autocomplete="off">
		        </td>
		        <td>
			     <input class="selectallsat" {{$data->sat==1? 'checked':''}} value="1" type="checkbox" name="satseq[{{$data->customer_id}}]" id="sat" autocomplete="off">
		        </td>
		        <td>
			     <input class="selectallsun" {{$data->sun==1? 'checked':''}} value="1" type="checkbox" name="sunseq[{{$data->customer_id}}]" id="sun" autocomplete="off">
		        </td>
		       </tr>
	          @endforeach
	         </tbody>
	        
           </table>
            
             <center> <button @if($count==0) @php echo 'disabled'; @endphp @endif type="submit"  class="mt-3 btn btn-primary btn-lg" id="assign_customer">Update Visiting Plan</button> </center>
            
           </form>  
		  </div>      <!--card-body-->
	     </div>       <!--main-card mb-3 card-->
        </div>       <!--tab-pane tabs-animation fade show active-->
       </div>         <!--tab-content-->
      </div>            <!--app-main__inner-->	 
    @include('theme_layout/footer')
 <script>
     var jq = $.noConflict(); 

      jq(document).ready(function(){
		  function get_datefilter(valid_from,valid_to){
    jq.ajax({
    url: "{{ URL('customer_visit_plan/') }}",       
    type:"GET",
    data:{valid_from:valid_from,
    valid_to:valid_to,
	},
    success:function(respons){
    
            if(respons){
            
              jq('#example1').html(respons);
            }
         }
       });
     } 
	  
/* $(function() {
    var visitPlan = localStorage.getItem("visitPlan");
    if(visitPlan != null) {
        $("select[name=for_visit_plan]").val(visitPlan);
    }

    $("select[name=for_visit_plan]").on("change", function() {
        localStorage.setItem("visitPlan", $(this).val());
    });
}) */
 
    var n = document.getElementById("for_visit_plan");
    /* save */
    var s = function(){localStorage.setItem("for_visit_plan", n.value);}
    /* retrieve (only on page load) */
    if(window.localStorage){ n.value = localStorage.getItem("for_visit_plan");}
    /* autosave onchange and every 500ms and when you close the window */
    n.onchange = s();
    setInterval( s, 50);
    window.onunload = s();
 




	    @if(Session::has('successMessage'))
			var toster=jq('#toster_id').val();
			if(toster!=''){
			Swal.fire({
			position: 'top',
			icon: 'success',
			title: ''+toster,
			showConfirmButton: false,
			timer: 2000
			})
			}
			
		@endif
	
	
	
       $('#salesarea').SumoSelect({ selectAll:true,search: true,triggerChangeCombined : true});

        <!--Sales Area-->


         var salesarea = '';
          var salesarea = jq('#salesarea').val();
           var route_name = jq('#route_name').val();   
         
        

      jq(".selectallboxmon").change(function () {

             jq(".selectallmon").prop('checked', jq(this).prop("checked"));

          });

          jq(".selectallboxtue").change(function () {

              jq(".selectalltue").prop('checked', jq(this).prop("checked"));

          });

           jq(".selectallboxwed").change(function () {

             jq(".selectallwed").prop('checked', jq(this).prop("checked"));

          });

          jq(".selectallboxthu").change(function () {

            jq(".selectallthu").prop('checked', jq(this).prop("checked"));

          });

          jq(".selectallboxfri").change(function () {

              jq(".selectallfri").prop('checked', jq(this).prop("checked"));

          });

          jq(".selectallboxsat").change(function () {

              $(".selectallsat").prop('checked', jq(this).prop("checked"));

          });

          jq(".selectallboxsun").change(function () {

             jq(".selectallsun").prop('checked', jq(this).prop("checked"));

          });

       });
	   
	    

 </script> 
 
  