@include('theme_layout/header')
@include('theme_layout/nav')
 
 <div class="app-main__outer">
  <div class="app-main__inner">
   <div class="app-page-title">
    <div class="page-title-wrapper">
     <div class="page-title-heading">
      <div class="page-title-icon">
        <i class="pe-7s-medal icon-gradient bg-tempting-azure">
        </i>
      </div>     <!--page-title-icon-->
      
	  <div>Route Collection List 
	  @if(Session::has('successMessage'))
			<input id="toster_id" type="hidden" value="{{Session::get('successMessage')}}">		  
		@endif
       </div>
      </div>
		         					
      <div class="page-title-actions"> 
       <div class="d-inline-block dropdown">
	    <div class="page-title-actions">
       <div class="d-inline-block dropdown">
        <a href="{{route('route_collection')}}" class="mt-3 btn btn-primary btn-lg"> <i class="fa fa-plus fa-w-20"></i> Add Route Collection</a>
       </div>
      </div> <!--page-title-actions-->
        <div class="page-title-actions">
		 <div class="d-inline-block dropdown">
		 </div>
	    </div> 
									
        <div tabindex="-1" role="menu" aria-hidden="true" class="dropdown-menu dropdown-menu-right">
         <ul class="nav flex-column">
         <li class="nav-item">
         <a class="nav-link">
         <i class="nav-link-icon lnr-inbox"></i>
           <span>
               Inbox
           </span>
         <div class="ml-auto badge badge-pill badge-secondary">86</div>
         
		 </a>
         </li>
         <li class="nav-item">
         <a class="nav-link">
         <i class="nav-link-icon lnr-book"></i>
            <span>
              Book
            </span>
         
		 <div class="ml-auto badge badge-pill badge-danger">5</div>
         
		 </a>
         </li>
         <li class="nav-item">
         <a class="nav-link">
         <i class="nav-link-icon lnr-picture"></i>
            <span>
                Picture
            </span>
         </a>
         </li>
         <li class="nav-item">
         <a disabled class="nav-link disabled">
         <i class="nav-link-icon lnr-file-empty"></i>
            <span>
                 File Disabled
            </span>
         </a>
         </li>
         </ul>
        </div>     <!--dropdown-menu dropdown-menu-right-->
       </div>      <!--d-inline-block dropdown-->
      </div>      <!--page-title-actions-->
	</div>      <!--page-title-wrapper-->
   </div>     <!--app-page-title-->

   <div class="main-card mb-3 card">
	<div class="card-body">
	
	 <form method="get" action="{{ route('credit_collection_list') }}" >
	 
	 <div class="form-row"> 
	  <div class="col-md-4  date position-relative form-group" id="myDatepicker4">
	 
	   <label for="select_warehouse" class="font-weight-bold ml-2"> From Date</label>
	   <input type="date" class="form-control" name="fromdate" id="fromdate" value="<?php if(isset($_GET['fromdate'])) echo $_GET['fromdate']; else echo date("Y-m-d"); ?>" autocomplete="off">
	  
	  </div>
	  <div class="col-md-4  date position-relative form-group" id="myDatepicker5">
	 
	   <label for="select_warehouse" class="font-weight-bold ml-2"> To Date</label>
	   <input type="date" class="form-control" name="todate"  id="todate"  value="<?php if(isset($_GET['todate'])) echo $_GET['todate']; else echo date("Y-m-d"); ?>" autocomplete="off">
	  
	  </div>
	  
	   <div class="col-md-4" >
	   <div class="position-relative form-group">
	    <label for="select_warehouse" class="font-weight-bold ml-2"> Warehouse</label> 
		<select class="mb-2 form-control" name="warehouse" id="warehouse_id" >
					  
		@if(isset($_GET['warehouse']))
		<option value=""> </option>
	
		@foreach($warehouse as $warehouse_name)
		<option {{$_GET['warehouse'] == $warehouse_name->id ? 'selected' : ''}} value="{{$warehouse_name->id}}">{{$warehouse_name->warehouse_code}} - {{$warehouse_name->warehouse_name}}</option>
		
		@endforeach
		@else
			
		<option value=""> </option>
		
		@foreach($warehouse as $warehouse_name)
		<option value="{{$warehouse_name->id}}">{{$warehouse_name->warehouse_code}} - {{$warehouse_name->warehouse_name}}  </option>
		
		@endforeach
		@endif	  
		</select>
	   </div>  
	  </div>
	  
	 </div>  
	 
	 <div class="form-row">
	  
	  
	  <div class="col-md-4">
	   <div class="position-relative form-group ">
	    <label class="font-weight-bold ml-2" for="route" class="">Route</label>
		<select class="mb-2 form-control country1" name="route" id="route1"  >  
		</select>
	   </div>
	  </div>
	 </div>       <!--form-row-->
	 
	 <div class="form-row">
	  <div class="col-md-12 text-center"> 
	   <button id="submit" class="mt-3 btn btn-primary btn-lg">Search</button>
	  </div>	
	 </div>									 
	 </form>
		
	    <input maxlength="125" name="url_route" id="url_route"  type="hidden" value="<?php if(isset($_GET['warehouse']) && isset($_GET['route']) && $_GET['route']!=''){echo $_GET['route']; } else{echo "0";} ?>" class="form-control" autocomplete="off" required>
			  <br><br>
					
	 <table style="width: 100%;" id="example" class="table table-hover table-striped table-bordered">
	  <thead>
	   <tr>
		<th class="text-justify text-left">Date</th>
		<th class="text-justify text-left">Collection Code</th>
		<th class="text-justify text-left">Customer</th>
		<th class="text-justify text-left">Warehouse</th>
		<th class="text-justify text-left">Route</th>
		<th style="width: 13%;">Action</th> 
	   </tr>
	  </thead>
					
	  <tbody >
		@foreach($result as $data)
		@php
		$row1 = date("d F Y ", strtotime($data->created_at));
		@endphp
	   
	   <tr> 
        <td class="font-weight-bold text-justify text-left">{{$row1}}</td> 
		<td class="font-weight-bold text-justify text-left">{{$data->collection_number}}</td> 
		<td class="font-weight-bold text-justify text-left">{{$data->customer_code}} - {{ucfirst($data->customer_name)}}</td> 
		<td class="font-weight-bold text-justify text-left">{{$data->warehouse_code}} - {{ucfirst($data->warehouse_name)}}</td> 
		<td class="font-weight-bold text-justify text-left">{{$data->route_code}} - {{ucfirst($data->route_name)}}</td> 
						
		<td>
		<div class="dropdown">
    	<button type="button" aria-haspopup="true" aria-expanded="false" data-toggle="dropdown" class="mb-2 mr-2 btn btn-outline-primary "><i class="fas fa-ellipsis-v"></i></button>
    	<ul class="dropdown-menu " style="min-width: 0px;" aria-labelledby="dropdownMenuButton1">
    	<a class="dropdown-item" class= "mb-2 mr-2 btn-hover-shine btn btn-shadow btn-success btn-lg" href=" {{ URL::to('credit_collection_view/'.$data->id)}}"><i class="fas fa-eye" aria-hidden="true"> View</i> </a>
		<a class="dropdown-item" class= "mb-2 mr-2 btn-hover-shine btn btn-shadow btn-success btn-lg" href=" {{ URL::to('route_collection_export/'.$data->id)}}"><i class="fas fa-download" aria-hidden="true"> Export</i> </a>
		<a class="dropdown-item" class= "mb-2 mr-2 btn-hover-shine btn btn-shadow btn-success btn-lg" href=" {{ URL::to('route_collection_pdf/'.$data->id)}}"><i class="fas fa-download" aria-hidden="true"> Pdf</i> </a>
		</ul>
		</div>	
		</td> 
	   	</tr> 
	   @endforeach 
	  </tbody> 
	 </table>
	</div>    <!--card-body-->
   </div>     <!--main-card mb-3 card-->
  </div>     <!--app-main__inner-->
  
@include('theme_layout/footer')	
				
<script src="https://cdn.jsdelivr.net/npm/select2@4.1.0-rc.0/dist/js/select2.min.js"></script>
 <script>

   var jq = $.noConflict();
   
   jq(document).ready(function(){
	   
	   	   @if(Session::has('successMessage'))
			var toster=jq('#toster_id').val();
			if(toster!=''){
			Swal.fire({
			 
			icon: 'success',
			title: ''+toster,
			showConfirmButton: false,
			timer: 2000
			})
			}
		@endif
	   
	    <?php if(isset($_GET['warehouse'])){?> 
		var warehouse_id = jq('#warehouse_id').val(); 
		var url_route = jq('#url_route').val(); 
		
		get_route(warehouse_id,url_route); <?php } ?>
	   
	$('#warehouse_id').SumoSelect({ selectAll:true,search: true,triggerChangeCombined : true});
	
   var fromdate = jq('#fromdate').val();
   var todate = jq('#todate').val();
   
   $("#warehouse_id").change(function(){
   var warehouse_id = jq('#warehouse_id').val();
   
    $('#warehouse_id').SumoSelect({ selectAll:true,search: true,triggerChangeCombined : true});
	$('#warehouse_id')[0].sumo.reload();  

    var url_route=0;
     get_route(warehouse_id,url_route);
 });
    
 <!--get_material_price-->
function get_route(route,url_route) {
    jq.ajax({
    url: "{{ URL('get_route_filter') }}"+"/" +route+"/"+url_route,       
    type:"GET",
    success:function(respons) {
           jq('#route1').html(respons); 
		   $('#route1').SumoSelect({ selectAll:true,search: true,triggerChangeCombined : true});
		   $('#route1')[0].sumo.reload();  
    }
   });
 }


</script> 	
    				

   
                


