@include('theme_layout/header')
@include('theme_layout/nav')
<div class="app-main__outer">
 <div class="app-main__inner">
  <div class="app-page-title"> 
   <div class="page-title-wrapper">
    <div class="page-title-heading">
     <div class="page-title-icon">
      <i class="pe-7s-medal icon-gradient bg-tempting-azure">
      </i>
     </div>    <!--page-title-icon-->
	 
     <div>Route Outstanding List</div>
    </div>    <!--page-title-heading-->
	
	<div class="page-title-actions">
     <div class="d-inline-block dropdown">
      <div class="page-title-actions">
      </div> 
      
	  <div tabindex="-1" role="menu" aria-hidden="true" class="dropdown-menu dropdown-menu-right">
       <ul class="nav flex-column">
       <li class="nav-item">
       <a class="nav-link">
       <i class="nav-link-icon lnr-inbox"></i>
        <span>
            Inbox
        </span>
       
	   <div class="ml-auto badge badge-pill badge-secondary">86</div>
       
	   </a>
       </li>
       <li class="nav-item">
       <a class="nav-link">
       <i class="nav-link-icon lnr-book"></i>
        <span>
            Book
        </span>
       
	   <div class="ml-auto badge badge-pill badge-danger">5</div>
       </a>
       </li>
       <li class="nav-item">
       <a class="nav-link">
       <i class="nav-link-icon lnr-picture"></i>
        <span>
            Picture
        </span>
       </a>
       </li>
       <li class="nav-item">
       <a disabled class="nav-link disabled">
       <i class="nav-link-icon lnr-file-empty"></i>
        <span>
            File Disabled
        </span>
       </a>
       </li>
       </ul>
      </div>      <!--dropdown-menu dropdown-menu-right-->
     </div>     <!--d-inline-block dropdown-->
    </div>    <!--page-title-actions-->
   </div>     <!--page-title-wrapper-->
  </div>      <!--app-page-title-->
  
  <div class="main-card mb-3 card">
   <div class="card-body">
    <form action="{{route('outstanding_list')}}" method="get">
    
	<div class="form-row mb-2">
     <div class="col-md-4" >
	  <div class="position-relative form-group">
	  
	   <label for="select_warehouse" class="font-weight-bold ml-2"> Warehouse</label> 
	   <select class="mb-2 form-control" name="warehouse" id="warehouse_id" >
								  
	    @if(isset($_GET['warehouse']))
	   <option value=""> </option>
		@foreach($warehouse as $warehouse_name)
	   <option {{$_GET['warehouse'] == $warehouse_name->id ? 'selected' : ''}} value="{{$warehouse_name->id}}">{{$warehouse_name->warehouse_code}} - {{$warehouse_name->warehouse_name}}</option>
		@endforeach
	    @else
	   <option value=""> </option>
		@foreach($warehouse as $warehouse_name)
	   <option value="{{$warehouse_name->id}}">{{$warehouse_name->warehouse_code}} - {{$warehouse_name->warehouse_name}}  </option>
		@endforeach
		@endif	  
	   </select>
	  </div>    <!--position-relative form-group-->
     </div> 
     
	 <div class="col-md-4">
	  <div class="position-relative form-group ">
	   <label class="font-weight-bold ml-2" for="route" class="">Route</label>
	   <select class="mb-2 form-control country1" name="route" id="route1"  > 
       <option value=""> </option>
	   </select>
	  </div>    <!--position-relative form-group-->
     </div>
	 
	 <div class="col-md-4">
	  <div class="position-relative form-group">
	   <label for="salesman" class="font-weight-bold ml-2"> Salesman</label> 
	   <select class="mb-2 form-control" name="salesman" id="salesman1" >
	   <option value=""> </option>
	   </select>
	  </div>      <!--position-relative form-group-->
	 </div>
	</div>     <!--form-row mb-2-->
    
	<div class="form-row mb-4">
     <div class="col-md-12 text-center">
	  <button class="btn btn-success ">Search</button>
	 </div>
	</div>
	
	</form>
	 <input maxlength="125" name="url_route" id="url_route"  type="hidden" value="<?php if(isset($_GET['warehouse']) && isset($_GET['route']) && $_GET['route']!=''){echo $_GET['route']; } else{echo "0";} ?>" class="form-control" autocomplete="off" required>
	
	 <input maxlength="125" name="url_salesman" id="url_salesman"  type="hidden" value="<?php if(isset($_GET['route']) && isset($_GET['salesman']) && $_GET['salesman']!=''){echo $_GET['salesman']; } else{echo "0";} ?>" class="form-control" autocomplete="off" required> 
	 <br><br> 
	
	<table style="width: 100%;" id="example" class="table table-hover table-striped table-bordered">
	 <thead>
	  <tr>
		<th>Customer  </th>
		<th>Warehouse  </th>
		<th>Salesman </th>
		<th>Route </th>
		<th>Invoice Code</th>
		<th>Invoice Amount</th>
		<th>Invoice Paid Amount</th>
		<th>Amount Outstanding</th>
		<th>Due Date</th>
	  </tr>
	 </thead>
     
	 <tbody>
		@foreach($result as $data)
		@php
		$row1 = date("d F Y ", strtotime($data->due_date));
		@endphp
	  <tr>
		<td class="font-weight-bold text-justify text-dark">{{$data->customer_code}}-{{$data->customer_name}}</td>
		<td class="font-weight-bold text-justify text-dark">{{$data->warehouse_code}}-{{$data->warehouse_name}}</td>
		<td class="font-weight-bold text-justify text-dark">{{$data->salesman_code}}-{{$data->salesman_name}}</td>
		<td class="font-weight-bold text-justify text-dark">{{$data->route_code}}-{{$data->route_name}}</td>
		<td class="font-weight-bold text-justify text-dark">{{$data->invoice_number}}</td>
		<td class="font-weight-bold text-justify text-dark">{{number_format($data->total_invoice_value,2)}}</td>
		<td class="font-weight-bold text-justify text-dark">{{number_format($data->amount_paid,2)}}</td>
		<td class="font-weight-bold text-justify text-dark">{{number_format($data->amount_outsatnding,2)}}</td>
		<td class="font-weight-bold text-justify text-dark">{{$row1}}</td>
                                    
	  </tr>
		@endforeach            
     </tbody>
	</table>
   </div>    <!--card-body-->
  </div>     <!--main-card mb-3 card-->
 </div>     <!--app-main__inner-->
 
@include('theme_layout/footer')

<script src="https://cdn.jsdelivr.net/npm/select2@4.1.0-rc.0/dist/js/select2.min.js"></script>
 <script>

   var jq = $.noConflict();
   jq(document).ready(function(){
	    <?php if(isset($_GET['warehouse'])){?> 
		var warehouse_id = jq('#warehouse_id').val(); 
		var url_route = jq('#url_route').val(); 
		var url_salesman = jq('#url_salesman').val(); 
		   
		get_route(warehouse_id,url_route);  
		get_salesman(url_route,url_salesman); <?php } ?>
	 

	$('#warehouse_id').SumoSelect({ selectAll:true,search: true,triggerChangeCombined : true});
	$('#route1').SumoSelect({ selectAll:true,search: true,triggerChangeCombined : true});
	
   var fromdate = jq('#fromdate').val();
   var todate = jq('#todate').val();
   //alert(fromdate);
  //  get_datefilter(fromdate,todate);
  
   $("#warehouse_id").change(function(){
   var warehouse_id = jq('#warehouse_id').val();
   
    $('#warehouse_id').SumoSelect({ selectAll:true,search: true,triggerChangeCombined : true});
	$('#warehouse_id')[0].sumo.reload(); 
	   
    var url_route=0;
     get_route(warehouse_id,url_route);
	 
 });
 
	$("#route1").change(function(){
   var route1 = jq('#route1').val();
   
    
	$('#route1').SumoSelect({ selectAll:true,search: true,triggerChangeCombined : true});
	$('#route1')[0].sumo.reload();  
 
	 var url_salesman=0;
     get_salesman(route1,url_salesman);
 });
    
 <!--get_material_price-->
	function get_route(route,url_route){
    jq.ajax({
    url: "{{ URL('get_route_filter') }}"+"/" +route+"/"+url_route,       
    type:"GET",
	
    success:function(respons){
           jq('#route1').html(respons); 
		   $('#route1').SumoSelect({ selectAll:true,search: true,triggerChangeCombined : true});
		   $('#route1')[0].sumo.reload();  
    }
   });
 }
   
   <!--get_material_price-->
	function get_salesman(salesman,url_salesman){
		
		jq.ajax({
		url: "{{ URL('get_salesman_filter_for_route_outstanding') }}"+"/" +salesman+"/"+url_salesman,       
		type:"GET",
		success:function(respons){
    
           jq('#salesman1').html(respons); 
		   $('#salesman1').SumoSelect({ selectAll:true,search: true,triggerChangeCombined : true});
		   $('#salesman1')[0].sumo.reload();  
    }
   });
 }
	function get_datefilter(fromdate,todate){

    jq.ajax({
    url: "{{ URL('salesman_invoice_list/') }}",       
    type:"GET",
    data:{fromdate:fromdate,
    todate:todate },
    success:function(respons){
    
            if(respons){
            
              jq('#example').html(respons);
            }
         }
       });
     } 
});

</script> 	
    		