@include('theme_layout/header')
@include('theme_layout/nav')
	
<div class="app-main__outer">
 <div class="app-main__inner">
  <div class="app-page-title">
   <div class="page-title-wrapper">
    <div class="page-title-heading">
     <div class="page-title-icon">
      <i class="pe-7s-graph text-success"></i>
     </div> <!--page-title-icon-->
                
     <div> Add Route Delivery </div>
            
    </div>  <!-- end page title heading -->
                            
	<div class="page-title-actions">
     <div class="d-inline-block dropdown">
      <a  id="back" class="mt-3 btn btn-primary btn-lg text-white"> 
	  <i class="fa fa-arrow-left fa-w-20 text-white"></i> Back</a>
	 </div>  
    </div> <!-- end page title action -->
   </div> <!-- end page title wrapper -->
  </div>  <!-- end app page title -->            
 					 
  <div class="tab-content">
   <div class="tab-pane tabs-animation fade show active" id="tab-content-0" role="tabpanel">
    <div class="main-card mb-3 card">
     <div class="card-body"><h5 class="card-title"></h5>
	  <form id="material_form" class="" action="{{ route('route_sales_delivery_store') }}" method="post" onsubmit="return checkForm(this);">
	  {{ csrf_field() }}
                       
      <div class="form-group row">
       <div class="col-md-4">
		<div class="position-relative form-group">
		   <label  class="font-weight-bold ml-2" for="customer_type" class="">Route Order Type:</label>
		  							
		   <select  class="mb-2 form-control" name="order_type"  id="order_type" required > 
            <option  value=""></option>
		    <option {{request()->route('return')=='1' ? 'selected' : ''}} value="1" >Route - Order - Delivery</option>	
		    <option {{request()->route('return')=='2' ? 'selected' : ''}} value="2" >Route - Return - Delivery </option>	
		   </select>
		    <input maxlength="120" name="order_typehidden" id="order_typehidden" type="hidden" class="form-control" value="" autocomplete="off" required>
		    <input type="hidden" id="route_delivery_number" name="route_delivery_number" class="form-control" value="{{$last_code}}" autocomplete="off">
			<input  maxlength="120" name="session_vat" id="session_vat"  type="hidden" class="form-control" value="{{Session::get('company_vat')}}" autocomplete="off" required>

		
		</div>     <!--position-relative form-group-->
	   </div>
											
	   <div class="col-md-4">
		 <div class="position-relative form-group">
		   <label  class="font-weight-bold ml-2" for="customer_type" class="">Route Order:   </label>
		   @if(request()->route('return')=='1')
		     <select class="mb-2 form-control" name="order_number" id="order_number" > 
              @if(request()->route('return'))
			 @foreach($order_name as  $details1)
			 <option {{request()->route('id')==$details1->id ? 'selected':''}} value="{{$details1->id}}">
			{{$details1->order_number}}  ({{$details1->customer_code}} - {{$details1->customer_name}})
			</option>
			@endforeach
			@endif
          </select>
		  @else
			  <select class="mb-2 form-control" name="return_number" id="order_number" > 
              @if(request()->route('return'))
			 @foreach($order_name1 as  $details1)
			 <option {{request()->route('id')==$details1->id ? 'selected':''}} value="{{$details1->id}}">
			{{$details1->return_number}}  ({{$details1->customer_code}} - {{$details1->customer_name}})
			</option>
			@endforeach
			@endif
          </select>
		  @endif
          </div>    <!--position-relative form-group-->
		 
	   </div>
	  </div>      <!--form-group row-->

	  <div class="mb-5" >
	   <h5>
		<p id="code" class="font-weight-bold float-right mr-5">
		 {{request()->route('return') ? 'Order Delivery Code:  #'.$last_code:''}}
		</p>
	   </h5>
	  </div> 
      <!--  add row -->
        
       <section>
	  <!--for distributor-->
		@php
				
		$j='';
					
		@endphp
					
		 @if(request()->route('id'))
		 @if(request()->route('return')=='1')
         <div id="distributor_table" class="panel panel-footer">
          <table class="table table-bordered" id="myTable">
		   <thead>
            <tr>
			<th style="width:25%; text-align: center;">Material </th>
			<th style="width:10%; text-align: center;">UOM</th>
			<th style="width:10%; text-align: center;">Qty</th>
			<th style="width:10%; text-align: center;">Unit Price</th>
			<th style="width:10%; text-align: center;">Discount</th>
			<th style="width:10%; text-align: center;">Vat</th>
			<th style="width:15%; text-align: center;">Total</th>     
			<th>Action</th>
			</tr>
		   </thead>
							
		   <tbody id="dynmic_row">
			@foreach($get_data_details as $key=> $details)
			@php
			 $altpacksize1=$details->base_qty/$details->quantity;
			@endphp	
			<tr id="row_{{$key}}">
								
			<td style="width: 15%;" id="mitem_0" >
							  
			 <select required disabled placeholder="{{$key}}" type="text" id="get_material_{{$key}}"  class="form-control mat material_sumo mat_sumo">
			 <option value=""></option>
								       
			@foreach($material as $material_name)
								       
			 <option {{$details->material_id==$material_name->id ? 'selected' : ''}} value ="{{$material_name->id}}">{{$material_name->material_code}} - {{$material_name->material_name}}
			 </option>
						         
			@endforeach
								
			 </select>
			  <input value="{{$key}}" id="increment" type="hidden" name="" class="form-control">
			  <input value="{{$details->material_id}}"  type="hidden" name="material_name[]" class="form-control">
								
			</td>
			 						
			 <?php 
             
			 $material_master2 = DB::select('SELECT t2.id, t2.uom_name,t2.unit_notation  FROM tbl_material_master as t1 LEFT JOIN     tbl_unit_of_measurement as t2 ON find_in_set(t2.id, t1.alt_uom) WHERE t1.`id`='.$details->material_id.'');
			 
			 ?>
								
			<td id="uitem_{{$key}}" style="width: 10%;">

			 <select placeholder="{{$key}}" id="uom_{{$key}}" name="uom[]" class="form-control uoms">
              @foreach($material_master2 as $uom_name)
									
			   <option {{$details->uom_id==$uom_name->id ? 'selected' : ''}}  value="{{$uom_name->id}}">
				{{$uom_name->unit_notation}}
			   </option> 			
			  @endforeach
			  				
			 </select>
			</td>
									
			<td id="qitem_{{$key}}">
			 <input required value="{{$details->quantity}}" id="orderqty_{{$key}}" type="text" name="quantity[]" class="form-control quantity get_qty" autocomplete="off">
			</td>
				
			<td id="pitem_{{$key}}">
			 <label  style="text-align:center;"  class="lprice font-weight-bold ml-2 " id="lprice_{{$key}}" for="comment">   {{number_format($details->unite_price,2)}} 
			 </label>
				
			 <input  value="{{$details->unite_price}}"  id="price_{{$key}}" type="hidden" name="price[]" class="form-control price" autocomplete="off">
				
			 <input autocomplete="off" value="{{$details->base_qty}}"  id="packing_size_{{$key}}" type="hidden" name="packing_size[]" class="form-control packing_size">
			 <input autocomplete="off" value="{{$altpacksize1}}"  id="begpacking_size_{{$key}}" type="hidden" name="begpacking_size[]" class="form-control begpacking_size">
				
			</td>
				
			<td id="ditem_{{$key}}">
			 <label   class="ldiscount font-weight-bold ml-2 " id="ldiscount_{{$key}}" for="comment"></label>
			 <input value=""  id="discount_{{$key}}" type="hidden" name="discount[]" class="form-control discount" autocomplete="off">
			</td>
				
			<td id="vitem_{{$key}}">
			 <label  class="lvat font-weight-bold ml-2" id="lvat_{{$key}}" for="comment">{{number_format($details->vat,2)}}</label>
			 <input value="{{$details->vat}}"  id="vat_{{$key}}" type="hidden" name="vat[]" class="form-control vat" autocomplete="off">
			 <input autocomplete="off" value="{{$details->material_vat}}"  id="isvat_{{$key}}" type="hidden" name="isvat[]" class="form-control isvat" required="">
			</td>
				
			<td id="titem_{{$key}}">
			 <label   class="ltotal font-weight-bold ml-2 " id="ltotal_{{$key}}" for="comment">  {{number_format($details->total,2)}}   </label>
			 <input value="{{$details->total}}"  id="total_{{$key}}" type="hidden" name="total[]" class="form-control total" autocomplete="off">
			 <input value="{{$details->gross_total}}" id="gross_{{$key}}" type="hidden" name="gross[]" class="form-control gross" autocomplete="off">
			</td>
				
			<td>
			 <button type="button" class="btn btn-danger font-weight-bold" onclick="deleteRow(this,{{$key}})">
			  <i class="fa fa-trash" aria-hidden="true" ></i>
			 </button>
			</td>
		    </tr>
		    </tr>
								
			@php
			$j=$key;
			@endphp
								
			@endforeach		
			 <input value="{{$j}}" id="inc" type="hidden" name="" class="form-control">				 
		   		
		   </tbody>
				   
		  </table>
			<td>
			 <button type="button" class="btn btn-primary font-weight-bold text-white addRow">
			  <i class="fa fa-plus  text-white " aria-hidden="true"></i> 
				ADD
			 </button>
			</td>
             
         </div>     <!--distributor_table-->
		 
		      @else
	         
	         <!--for return order-->		
             
              @php
			  $k='';
			 @endphp	
			 
			<div id="return_table"  class="panel panel-footer" >
             <table class="table table-bordered" id="myTable1">
			  <thead>
               <tr>
				<th style="width:25%; text-align: center;">Material</th>
				<th style="width:10%; text-align: center;">UOM</th>
				<th style="width:10%; text-align: center;">Qty</th>
				<th style="width:10%; text-align: center;">Unit Price</th>
				<th style="width:15%; text-align: center;">Total</th>     
				<th style="width:10%; text-align: center;">Action</th>
			   </tr>
			  </thead>
			  				
			  <tbody id="dynmic_row1">
				 
				@foreach($get_data_details1 as $key=> $details)
				@php
				  $altpacksize1=$details->base_qty/$details->quantity;
				@endphp
			   <tr id="row_{{$key}}">
				<td style="width: 15%;" id="mitem_0" >
				 <select disabled placeholder="{{$key}}" type="text" required id="orderget_material_{{$key}}" name="material_name1[]" class="form-control mat1 material_sumo mat_sumo order_material">
				 			    
				 <option value=""></option>
							     
				@foreach($material as $material_name)
							     
				 <option {{$details->material_id==$material_name->id ? 'selected' : ''}} value ="{{$material_name->id}}">{{$material_name->material_code}} - {{$material_name->material_name}}
				 </option>
						
				@endforeach
				 </select>
				 
				 <input value="{{$details->material_id}}"  type="hidden" name="material_name1[]" class="form-control">
				</td>
							 
				<?php 
	                        
	             $material_master2 = DB::select('SELECT t2.id, t2.uom_name,t2.unit_notation FROM tbl_material_master as t1 LEFT JOIN tbl_unit_of_measurement as t2 ON find_in_set(t2.id,t1.alt_uom) WHERE t1.`id`='.$details->material_id.'');
							
				?>
							
				<td id="uitem_{{$key}}" style="width: 10%;">
								
				 <select  placeholder="{{$key}}" id="orderuom_{{$key}}" name="uom1[]" class="form-control oums1">
				  			      
				  @foreach($material_master2 as $uom_name)
				  <option {{$details->uom==$uom_name->id ? 'selected':''}} value="{{$uom_name->id}}">
					{{$uom_name->unit_notation}}
				  </option>  
				  @endforeach
				 </select>
				</td>
				<td id="qitem_{{$key}}">
				 <input required value="{{$details->quantity}}" id="qty_{{$key}}" type="text" name="quantity1[]" class= "form-control quantity order_get_qty" autocomplete="off">
				</td>		
				<td id="pitem_{{$key}}">
							
				 <label style="text-align:center;" class="lprice font-weight-bold ml-2" id="orderlprice_{{$key}}" for="comment">  {{number_format($details->unite_price,2)}}  
				 </label>
							
				 <input  value="{{$details->unite_price}}"  id="orderprice_{{$key}}" type="hidden" name="price1[]" class="form-control price" autocomplete="off">
				 <input autocomplete="off" value="{{$details->base_qty}}" id="opacking_size_{{$key}}" type="hidden" name="opacking_size[]" class="form-control opacking_size">
				 <input autocomplete="off" value="{{$altpacksize1}}"  id="obegpacking_size_{{$key}}" type="hidden" name="obegpacking_size[]" class="form-control obegpacking_size">
				</td>
							
			
							
				<td id="titem_{{$key}}">
				 <label   class="ltotal font-weight-bold ml-2 " id="orderltotal_{{$key}}" for="comment"> 
				  {{number_format($details->total,2)}}  
				 </label>
				 <input value="{{$details->total}}"  id="ordertotal_{{$key}}" type="hidden" name="total1[]" class="form-control total" autocomplete="off">
				 <input value="{{$details->gross_total}}" id="gross_{{$key}}" type="hidden" name="gross1[]" class="form-control gross" autocomplete="off">
				</td>
				<td>
				 <button type="button" class="btn btn-danger font-weight-bold" onclick="deleteRow(this,{{$key}})">
				  <i class="fa fa-trash" aria-hidden="true"></i>
				 </button>
				</td>
				</tr>
				 
						
				@php
				$k=$key;
				@endphp
					    
				@endforeach
					   
				 <input value="{{$k}}" id="inc1" type="hidden" name="" class="form-control" autocomplete="off">
				    
			   </tbody>
			  </table>
				 
				<td>
				 <button type="button" class="btn btn-primary font-weight-bold text-white addRow">
				  <i class="fa fa-plus  text-white " aria-hidden="true" ></i> 
				   ADD
				 </button>
				</td>
            </div>      <!---return_table-->
			
			 <!-- hidden fielde-->
		   </section>
        
            @endif
		   
            <input value="{{$details->gross_total}}" id="gross_amount_totali" type="hidden" name="gross_amount_totali" class="form-control" autocomplete="off">
			
			<input value="{{$get_data->total_invoice_value}}" id="price_amount_totali" type="hidden" name="price_amount_totali" class="form-control" autocomplete="off">
			
			
			
			 
			<input value="{{$get_data->total_invoice_value}}" id="invoice_amount_totali" type="hidden" name="invoice_amount_totali" class="form-control" autocomplete="off">
			
			
									
									


			<!--  End add row -->	
			<table class="table  table-bordered float-right" style="width: 30%;">
			   
				@php
				$space=" ";
				@endphp
			       
			 <tr>
			  <td  class="bg-faded" style="width: 50%; background-color: #dfe2e8;"><strong>Gross Amount:</strong></td>
			  <td id="" class="font-weight-bold" style="width: 40%;">{{$login_user->currency_notation}} {{$space}}  
			   <span class="font-weight-bold" id="gross_amount_total">{{number_format($get_data->total_gross,2)}}</span>
			  </td>
			 </tr>
			        
			 
						
			  <tr id="tr_discount">
			         
			   <td class="bg-faded" style="width: 50%; background-color: #dfe2e8;">
			    <strong>Discount:</strong>
			   </td>
			            
			    <td class="bg-white font-weight-bold" style="width: 40%;">{{$login_user->currency_notation}} {{$space}}
			      <span class="font-weight-bold" id="discount_amount_total">0.00</span>
			    </td>
			        
			   </tr>
			   
			   <tr>
			    <td class="bg-faded" style="width: 50%; background-color: #dfe2e8;">
			       	<strong>Invoice Total:</strong>
			    </td>
			            
			    <td id="" class="bg-white font-weight-bold" style="width: 40%;">{{$login_user->currency_notation}} {{$space}} 
			      <span class="font-weight-bold" id="invoice_amount_total">{{number_format($get_data->total_invoice_value,2)}}</span>
			    </td>
			   </tr>
			   
		     </table>
					 
		<br><br><br><br>
		<br><br><br><br>
		<br><br><br><br>
                      
            @endif	

            <div class="container " style="width: 100%;">
             <div class="row">
	          <div class="col-md-5 ml-0"></div>
		       <button id="submit" class="mt-3 btn btn-primary btn-lg" name="btnsubmit">Save</button>
				<a href="{{route('route_delivery_list')}}" class="mt-3 btn btn-danger ml-2  btn-lg">Cancel</a>   
			 </div>
			</div>    <!--container-->
           </form>
          </div>   <!--card-body-->
         </div>    <!--main-card mb-3 card-->
       </div>   <!--tab-pane tabs-animation fade show active-->
    </div>   <!--tab-content-->
</div>     <!--app-main__inner-->

                @include('theme_layout/footer')
       

<script>

function checkForm(form)
			{ 
		form.btnsubmit.disabled = true;
		return true;
			}

   var jq = $.noConflict();
   jq(document).ready(function(){
	    jq("#back").click(function(){
		   window.history.back();
	   })
	$('#order_type').SumoSelect({ selectAll:true,search: true,triggerChangeCombined : true});
	$('#order_number').SumoSelect({ selectAll:true,search: true,triggerChangeCombined : true});
	$('.mat_sumo').SumoSelect({ selectAll:true,search: true,triggerChangeCombined : true});
   var order_type = jq('#order_type').val();
   
   
   if(order_type=='1')
   {
		 document.getElementById("order_typehidden").value = order_type;
	     document.getElementById("order_type").disabled = true;
    }
	if(order_type=='2')
	{
		 document.getElementById("order_typehidden").value = order_type;
	     document.getElementById("order_type").disabled = true;
	}
    $("#order_number").change(function(){
    var order_number = jq('#order_number').val();
    var order_type = jq('#order_type').val();  
	location.replace("{{ URL('route_delivery_order/') }}"+"/"+order_number+'/'+order_type);
    });
	 
    $("#order_type").change(function(){
     var order_type = jq('#order_type').val();
	 $('#order_type').SumoSelect({ selectAll:true,search: true,triggerChangeCombined : true});
	 $('#order_type')[0].sumo.reload();   
	   
	 document.getElementById("order_typehidden").value = order_type;
	 document.getElementById("order_type").disabled = true;
	 
	 get_order_number(order_type) 
	  
	 get_return_code(order_type) 
	  
	 
    //get_customer_tin(customer_add);
		
		
	if(order_type=='2')
	{
		jq('#distributor_table').hide();
		jq('#return_table').show();
		jq('#tr_vat').hide();
		jq('#tr_discount').hide();
		jq('#tr_net').hide();
		jq('#tr_excise').hide();
		
		jq('.order_material').attr("required","required");
		jq('.order_get_qty').attr("required","required");
		
		jq('.mat').removeAttr('required'); 
		jq('.get_qty').removeAttr('required');
		
	}
    
    if(order_type=='1')
	{
		jq('#distributor_table').show();
		jq('#return_table').hide();
		jq('#tr_vat').show();
		jq('#tr_discount').show();
		jq('#tr_net').show();
		jq('#tr_excise').show();
		
		jq('.mat').attr("required","required");
		jq('.get_qty').attr("required","required");
		
		jq('.order_material').removeAttr('required'); 
		jq('.order_get_qty').removeAttr('required'); 
	}

    });
		 
	function get_order_number(order_type)
	{
		jq.ajax({
		url: "{{ URL('get_route_order_number/') }}"+"/" +order_type,       
        type:"GET",
        
        success:function(respons)
        {
            if(respons)
			{
				
				
				jq('#order_number').html(respons);
				$('#order_number').SumoSelect({ selectAll:true,search: true,triggerChangeCombined : true});
				$('#order_number')[0].sumo.reload();  
				 
			}
         } 
       });
     }
	 
	  
  });
	
	function get_return_code(order_type)
   {
	
	  jq.ajax({
      url: "{{ URL('get_route_return_code_delevery/') }}"+"/" +order_type,       
      type:"GET",
      success:function(respons)
      {
	    if(respons)
		{
         		
		   jq('#code').text("Delivery No:  #"+respons);
		   jq('#route_delivery_number').val(respons);
		}
     }
  });
}
	
	
         <!--row calculation-->
         jq('tbody').delegate('.quantity,.price','keyup',function(){
	     var gst=0;
	     var exc=0;
	     var per=100;
         var tr=jq(this).parent().parent();
         var quantity=tr.find('.quantity').val();
		 
		 var order_type = jq('#order_type').val();
	
			 if(order_type=='1')
			{
				
				var begpacking_size1=tr.find('.begpacking_size').val();
				
			}
			 if(order_type=='2'){
				 
				 var begpacking_size1=tr.find('.obegpacking_size').val();
			 }
		
		if(quantity=='')
		{
			reset_value();
			function reset_value(){
		
		      tr.find('.total').val('');
              tr.find('.gross').val('');
              tr.find('.excise').val('');
		      tr.find('.vat').val('');
		      tr.find('.net_amount').val('');
			  tr.find('.ltotal').text('');
              tr.find('.lvat').text('');
			  tr.find('.lexcise').text('');
			 
			  tr.find('.quantity').val('');
			  
		      //tr.find('.price').val('');
		     }
		
	    }
		else
		{
        var price=tr.find('.price').val();
		var isvat=tr.find('.isvat').val();
		var isexcise=tr.find('.isexcise').val();
		
		if(isvat==1)
		{
			gst=jq('#session_vat').val();
		}
		
		if(isexcise!=0)
		{
			exc=isexcise;
		}
		var actual_alt_packing_size=(quantity*begpacking_size1);
	
		var vat=(price*gst/per)*quantity;
		var total=(quantity*price);
		var gross=(quantity*price);
		var order_type = jq('#order_type').val();
			 if(order_type=='1')
			{
				
				tr.find('.packing_size').val(actual_alt_packing_size);
				
			}
			 else{
				 tr.find('.opacking_size').val(actual_alt_packing_size);
			 }
		
		var gross_value1 = gross.toLocaleString(
	    undefined, 
	      { minimumFractionDigits: 2 }
	      );
		  var vat_value1 = vat.toLocaleString(
	      undefined, 
	      { minimumFractionDigits: 2 }
	      );
		  var total_value1 = total.toLocaleString(
	      undefined, 
	      { minimumFractionDigits: 2 }
	      );

        tr.find('.total').val(total);
        tr.find('.gross').val(gross);
		tr.find('.vat').val(vat);
		<!--for lebel -->
        tr.find('.ltotal').text(total_value1);
        tr.find('.lvat').text(vat_value1);
	
 	   <!--getting stored vat-->
		var get_vat=tr.find('.vat').val();
		var total1=tr.find('.total').val();
		
		<!--for getting excise-->
		var excise=(total1*exc/per);
		var net_amount=(price-get_vat);
	    var excise_value1 = excise.toLocaleString(
	      undefined, 
	      { minimumFractionDigits: 2}
	      );
		 
		tr.find('.net_amount').val(net_amount);
		tr.find('.excise').val(excise);
		tr.find('.lexcise').text(excise_value1);
		
		}
		
       calculate();  
    });
	
       <!-- reset value-->
	  <!--total calculation-->
		function calculate(){
		 var ftotal=0;
		 var fnet_total=0;
		 var fvat=0;
		 var fgross=0;
		 var fexcise=0;
		 var fprice=0;
		<!-- total calculation-->
        setTimeout(function(){
        jq('.total').each(function() {
	    var total=jq(this).val()-0;
	    ftotal+=total;
	});
					
     var total_value = ftotal.toLocaleString(
     undefined, 
     { minimumFractionDigits: 2 }
    );
   document.getElementById("invoice_amount_total").innerHTML  = total_value;
   document.getElementById("invoice_amount_totali").value = ftotal;
   
    }, 200);
			   
    <!-- total Excise-->
    setTimeout(function(){
    jq('.excise').each(function() {
    var excise1=jq(this).val()-0;
    fexcise+=excise1;
	});
	var excise_value =fexcise.toLocaleString(
    undefined, 
     { minimumFractionDigits: 2 }
      );
    document.getElementById("excise_amount_total").innerHTML  = excise_value;
    document.getElementById("excise_amount_totali").value = fexcise;
   }, 200);
			   
  <!-- net total-->
    setTimeout(function(){
    jq('.net_amount').each(function() {
    var net_total=jq(this).val()-0;
    fnet_total+=net_total;
	});
	
	var net_total_value = fnet_total.toLocaleString(
    undefined, 
    { minimumFractionDigits: 2 }
    );
    
	
    document.getElementById("net_amount_totali").value = fnet_total;
    }, 200);

    <!-- vat total-->
    setTimeout(function(){
    jq('.vat').each(function() {
    var vat_total=jq(this).val()-0;
	fvat+=vat_total;
	});
    var vat_value = fvat.toLocaleString(
    undefined, 
    { minimumFractionDigits: 2 });
	   document.getElementById("vat_amount_total").innerHTML  = vat_value;
	   document.getElementById("vat_amount_totali").value = fvat;
    }, 200);
				
    <!-- gross total-->
    setTimeout(function(){
    jq('.gross').each(function() {
    var gross_total=jq(this).val()-0;
    fgross+=gross_total;
	});
	var gross_value = fgross.toLocaleString(
    undefined, 
    { minimumFractionDigits: 2 });
	   document.getElementById("gross_amount_total").innerHTML  = gross_value;
	   document.getElementById("gross_amount_totali").value = fgross;
   
    }, 200);     

   <!-- price total-->
    setTimeout(function(){
    jq('.price').each(function() {
    var price_total=jq(this).val()-0;
    fprice+=price_total;
	});
	var _value = fgross.toLocaleString(
    undefined, 
    { minimumFractionDigits: 2 });
	 /* document.getElementById("price_amount_total").innerHTML  = fprice; */
     document.getElementById("price_amount_totali").value = fprice;
     }, 200);  				
    } 

		   <!--end calculation	-->	
		   <!--add row	-->	
		      var inc1='';
		     var order_type = jq('#order_type').val();
			  if(order_type=='')
				 { }
			 if(order_type=='1')	 
			    inc1 =  jq('#inc').val();
			 if(order_type=='2')
		       inc1 =  jq('#inc1').val();	
              		   
			 if(inc1>0)
			 {
		     $('.mat').change(function(){
				var inc11= jq(this).attr('placeholder');
				
			 var material_id =  jq('#get_material_'+inc11+'').val();
			 get_material_details(material_id,inc11);
			  is_vat(material_id,inc11);
	          is_excise(material_id,inc11);
			 setTimeout(function(){
             var uom_id =  jq('#uom_'+inc11+'').val();  
             get_material_price(uom_id,material_id,inc11);
			 get_material_alt_packing_size(uom_id,material_id,inc11);
		     //alert(uom_id+' '+inc1+' '+material_id);
             }, 1000);
			 reset_value1(inc11);
			calculate();
		   });
			 
		     jq('.uoms').change(function(){
				var inc11= jq(this).attr('placeholder');
	         var uom_id =  jq('#uom_'+inc11+'').val();
		     var material_id =  jq('#get_material_'+inc11+'').val();
		     get_material_price(uom_id,material_id,inc11);
			 get_material_alt_packing_size(uom_id,material_id,inc11);
			 reset_value1(inc11);
			 calculate(); 
			});
			<!--getting order material of first row-->	
			$('.mat1').change(function(){
				var inc11= jq(this).attr('placeholder');
			var material_id1 =  jq('#orderget_material_'+inc11+'').val();
	        var row=0;
		    get_material_details(material_id1,inc11);
		    setTimeout(function(){
            var uom_id =jq('#orderuom_'+inc11+'').val();  
            get_material_price(uom_id,material_id1,inc11);
			get_material_alt_packing_size(uom_id,material_id1,inc11);
            }, 1000);
		    reset_value1(inc11);
		    calculate(); 
          });
	 
	      <!--getting order uom of first row-->		 
	      jq('#orderuom_'+inc1+'').change(function(){
		  var row=0;
		  var uom_id =  jq('#orderuom_'+inc1+'').val();
		  var material_id =  jq('#orderget_material_'+inc1+'').val();
		  get_material_price(uom_id,material_id,inc1);
		  get_material_alt_packing_size(uom_id,material_id,inc1);
		  reset_value1(inc1);
		  calculate(); 
		   });
		  }
		  var i=inc1;
		  jq('.addRow').on('click',function(){
		  i++;
		  addRow(i);
		 });
	
		<!--getting material of first row-->		
			$('#get_material_0').change(function(){
		    var material_id1 =  jq('#get_material_0').val();
	        var row=0;
		    get_material_details(material_id1,row);
			is_vat(material_id1,inc1);
	          is_excise(material_id1,inc1);
		    setTimeout(function(){
            var uom_id =  jq('#uom_0').val();     
			get_material_price(uom_id,material_id1,row);
			get_material_alt_packing_size(uom_id,material_id1,row);
            }, 1000);
		    
		    reset_value1(row);
		    calculate(); 
         });
	 
	 
         <!--getting for order material of first row-->		
	     $('#orderget_material_0').change(function(){
		 var material_id1 =  jq('#orderget_material_0').val();
	     var row=0;
		 get_material_details(material_id1,row);
		 setTimeout(function(){
         var uom_id =  jq('#orderuom_0').val();  
         get_material_price(uom_id,material_id1,row);
		 get_material_alt_packing_size(uom_id,material_id1,row);
         }, 1000);
		 reset_value1(row);
		 calculate(); 
        });
	 
	 
       <!--getting material of first row-->		 
	     jq('#uom_0').change(function(){
		 var row=0;
		 var uom_id = jq('#uom_0').val();
	     var material_id =  jq('#get_material_0').val();
	     get_material_price(uom_id,material_id,row);
		 get_material_alt_packing_size(uom_id,material_id,row);
		 reset_value1(row);
		 calculate(); 
		 });
			 
         <!--getting order material of first row-->		 
	     jq('#orderuom_0').change(function(){
		 var row=0;
         var uom_id = jq('#orderuom_0').val();
	     var material_id =  jq('#orderget_material_0').val();
	     get_material_price(uom_id,material_id,row);
		 get_material_alt_packing_size(uom_id,material_id,row);
	     reset_value1(row);
		 calculate(); 
		 });
	
	    <!--getting return type-->
        jq('#return_type_0').change(function(){
		var return_type =  jq('#return_type_0').val();
	    var row=0;
		// alert(return_type);
		get_resion(return_type,row);
	    });		 
	
	    function addRow(value)
	    {
		var order_type = jq('#order_type').val();
		 if(order_type=='')
		 {
			 Swal.fire({
				  icon: 'error',
				  title: 'Select Order Type First!',
				})
			  }
		 
		if(order_type=='1'){
			
	        var trm='<tr id="row_'+value+'">'+
	        '<td style="width: 15%;" id="mitem_"><select type="text" id="get_material_'+value+'"  name="material_name[]" class="form-control get_material" required=""></td>'+
			
	        '<td id="uitem_'+value+'" style="width: 10%;"><select type="text" id="uom_'+value+'" name="uom[]" class="form-control"><option value=""></option></select> </td>'+
			
	        '<td id="qitem_'+value+'"><input type="text" value="" id="orderqty_'+value+'" name="quantity[]" class="form-control quantity" required="" autocomplete="off"></td>'+
			
	        '<td id="pitem_'+value+'"><label   class="lprice font-weight-bold ml-2 " id="lprice_'+value+'" for="comment">     </label><input readonly type="hidden" value="" id="price_'+value+'" name="price[]" class="form-control price" autocomplete="off"> <input autocomplete="off" readonly type="hidden" value="" id="packing_size_'+value+'" name="packing_size[]" class="form-control packing_size"> <input autocomplete="off" readonly type="hidden" value="" id="begpacking_size_'+value+'" name="begpacking_size[]" class="form-control begpacking_size"></td>'+
			
	         ' <td id="ditem_'+value+'"><label   class="ldiscount font-weight-bold ml-2 " id="ldiscount_'+value+'" for="comment">     </label><input readonly type="hidden" value="" id="discount_'+value+'" name="discount[]" class="form-control discount" autocomplete="off"></td>'+
			
			
			'<td id="vitem_'+value+'"><label   class="lvat font-weight-bold ml-2" id="lvat_'+value+'" for="comment">     </label><input readonly type="hidden" value="" id="vat_'+value+'" name="vat[]" class="form-control vat" required="" autocomplete="off"><input autocomplete="off" readonly type="hidden" value="0" id="isvat_'+value+'" name="isvat[]" class="form-control isvat" required=""></td>'+
			
			
			
			
	        ' <td id="titem_'+value+'"><label   class="ltotal font-weight-bold ml-2 " id="ltotal_'+value+'" for="comment">     </label><input readonly type="hidden" value="" id="total_'+value+'" name="total[]" class="form-control total" autocomplete="off"><input value="" id="gross_'+value+'" type="hidden" name="gross[]" class="form-control gross" autocomplete="off"></td>'+
			
	        ' <td><button type="button" class="btn btn-danger font-weight-bold "  onclick="deleteRow(this,'+value+')"><i class="fa fa-trash" aria-hidden="true" ></i></button></td>'+
	        '</tr>';
	        jq('#dynmic_row').append(trm);
		 }
		
		if(order_type=='2'){
			var trm='<tr id="row_'+value+'">'+
	        '<td style="width: 15%;" id="mitem_"><select type="text" id="orderget_material_'+value+'"  name="material_name1[]" class="form-control get_material" required=""></td>'+
			
	        '<td id="uitem_'+value+'" style="width: 10%;"><select type="text" id="orderuom_'+value+'" name="uom1[]" class="form-control"><option value=""></option></select> </td>'+
			
	        '<td id="qitem_'+value+'"><input type="text" value="" id="qty_'+value+'" name="quantity1[]" class="form-control quantity" required="" autocomplete="off"></td>'+
			
	        '<td id="pitem_'+value+'"><label   class="lprice font-weight-bold ml-2 " id="orderlprice_'+value+'" for="comment">     </label><input readonly type="hidden" value="" id="orderprice_'+value+'" name="price1[]" class="form-control price" autocomplete="off"> <input autocomplete="off" readonly type="hidden" value="" id="opacking_size_'+value+'" name="opacking_size[]" class="form-control opacking_size"> <input autocomplete="off" readonly type="hidden" value="" id="obegpacking_size_'+value+'" name="obegpacking_size[]" class="form-control obegpacking_size"></td>'+
			
	        ' <td id="titem_'+value+'"><label   class="ltotal font-weight-bold ml-2 " id="orderltotal_'+value+'" for="comment">     </label><input readonly type="hidden" value="" id="ordertotal_'+value+'" name="total1[]" class="form-control total" autocomplete="off"><input value="" id="gross_'+value+'" type="hidden" name="gross1[]" class="form-control gross" autocomplete="off"></td>'+
			
	        ' <td><button type="button" class="btn btn-danger font-weight-bold "  onclick="deleteRow(this,'+value+')"><i class="fa fa-trash" aria-hidden="true" ></i></button></td>'+
	        '</tr>';
	        jq('#dynmic_row1').append(trm);
		} 	  
			
		<!--getting material name-->
		    get_material(value);
			
		<!--getting material uom-->	
		     $('#get_material_'+value+'').change(function(){
				
		     var material_id =  jq('#get_material_'+value+'').val();
			 //alert(material_id+' '+value);
			 get_material_details(material_id,value);
			 is_vat(material_id,value);
			 is_excise(material_id,value);
			
			 setTimeout(function(){
             var uom_id =  jq('#uom_'+value+'').val();  
             get_material_price(uom_id,material_id,value);
			 
			 get_material_alt_packing_size(uom_id,material_id,value);
             }, 1000);
			 reset_value1(value);
			 calculate();
		   });
			 
			 <!--getting for order material uom-->	
		     $('#orderget_material_'+value+'').change(function(){
			 var material_id =  jq('#orderget_material_'+value+'').val();
			 //alert(material_id+' '+value);
			 get_material_details(material_id,value);
			 setTimeout(function(){
             var uom_id =  jq('#orderuom_'+value+'').val();  
             get_material_price(uom_id,material_id,value);
			 get_material_alt_packing_size(uom_id,material_id,value);
             }, 1000);
			 reset_value1(value);
			 calculate();
		    });
			 
			 <!--getting material price-->	
			 jq('#uom_'+value+'').change(function(){
		     var uom_id =  jq('#uom_'+value+'').val();
			 var material_id =  jq('#get_material_'+value+'').val();
			 get_material_price(uom_id,material_id,value);
			 get_material_alt_packing_size(uom_id,material_id,value);
			 reset_value1(value);
			 calculate(); 
			 });
			 
			 <!--getting material price for order-->	
			 jq('#orderuom_'+value+'').change(function(){
		     var uom_id =  jq('#orderuom_'+value+'').val();
			 var material_id =  jq('#orderget_material_'+value+'').val();
			 get_material_price(uom_id,material_id,value);
			 get_material_alt_packing_size(uom_id,material_id,value);
			 reset_value1(value);
		     calculate(); 
			  });
			 
			 <!--getting return type-->
			 jq('#return_type_'+value+'').change(function(){
		     var return_type =  jq('#return_type_'+value+'').val();
	         get_resion(return_type,value);
	          });
	        };	
        
        <!--end add row	-->
       <!--get_material_uom-->
	   function get_material_details(material_id1,row){
		  jq.ajax({
	      url: "{{ URL('route_deliver_get_material_detailsUom/') }}"+"/" +material_id1+'/'+row,
	      type:"GET",
          success:function(respons)
          {
            if(respons){
				var order_type = jq('#order_type').val();
				if(order_type==''){
					}
	                if(order_type=='1')	
				    jq('#uom_'+row+'').html(respons);
					if(order_type=='2')	
				    jq('#orderuom_'+row+'').html(respons);
			}
         
          }
       });
     }      <!--end of get_material_details function-->
	 
	  function is_vat(material_id1,row){
				 
		 jq.ajax({
		      url: "{{ URL('route_delevery_get_material_vat/') }}"+"/" +material_id1,
              type:"GET",
              
          success:function(respons){
				 document.getElementById('isvat_'+row+'').value =respons;
			
          }
       });
     }
	 
	function is_excise(material_id1,row){
				 
		 jq.ajax({
		      url: "{{ URL('route_delevery_get_material_excise/') }}"+"/" +material_id1,
              type:"GET",
              
          success:function(respons)
          {
				 document.getElementById('isexcise_'+row+'').value =respons;
          }
       });
     }
	 <!--get_material_price-->
	 function get_material_price(uom_id1,material_id1,row){
		jq.ajax({
		url: "{{ URL('route_delivery_get_material_price/') }}"+"/" +uom_id1+'/'+material_id1,       
              type:"GET",
              
          success:function(respons){
            if(respons){
				    var order_type = jq('#order_type').val();
					
				     if(order_type=='')
		            { }
	                if(order_type=='1')	{
						
				        document.getElementById('price_'+row+'').value =respons;
				  
				        document.getElementById('lprice_'+row+'').innerHTML  =new Intl.NumberFormat('en-IN', { minimumFractionDigits: 2 }).format(respons);
					}
					if(order_type=='2')	{
				      document.getElementById('orderprice_'+row+'').value =respons;
				  
				      document.getElementById('orderlprice_'+row+'').innerHTML  =new Intl.NumberFormat('en-IN', { minimumFractionDigits: 2 }).format(respons);
					}
			    }
         
             }
         });
       }      <!--end of get_material_price function-->
	   
	   function get_material_alt_packing_size(uom_id1,material_id1,row){
			
		 jq.ajax({
		      url: "{{ URL('get_route_delevery_material_alt_packing_size/') }}"+"/" +uom_id1+'/'+material_id1,       
              type:"GET",
    success:function(respons)
    {
    if(respons)
	{
		
		    var order_type = jq('#order_type').val();
		     if(order_type=='')
            { }
            if(order_type=='1')	{
		      document.getElementById('begpacking_size_'+row+'').value =respons;
			  document.getElementById('packing_size_'+row+'').value =respons;
		  
			}
			if(order_type=='2')	{
		      
		       document.getElementById('obegpacking_size_'+row+'').value =respons;
			   document.getElementById('opacking_size_'+row+'').value =respons;
		      
			}
	    }
         
       }
    });
 }
		<!--get_material_name-->
		function get_material(value){
			jq.ajax({
			url: "{{ URL('route_delivery_get_material/') }}",
	        type:"GET",
	          success:function(respons)
	          {
	            if(respons)
				{
					      var order_type = jq('#order_type').val();
					      if(order_type=='')
			               { }
		            if(order_type=='1'){	
					  
						  jq('#get_material_'+value+'').html(respons);
						  
						  $('#get_material_'+value+'').SumoSelect({ selectAll:true,search: true,triggerChangeCombined : true});
						  $('#get_material_'+value+'')[0].sumo.reload();
				       }
				    if(order_type=='2')
				    {					  
				             jq('#orderget_material_'+value+'').html(respons);
				              $('#orderget_material_'+value+'').SumoSelect({ selectAll:true,search: true,triggerChangeCombined : true});
						      $('#orderget_material_'+value+'')[0].sumo.reload();
				    }
				}
	         
	          }
	       });
	     }
	 
	 <!-- reseting Value-->
    	 function reset_value1(row){
		        
		        document.getElementById('gross_'+row+'').value ='';
		        <!--for lebel-->
				var order_type = jq('#order_type').val();
				if(order_type=='')
		        { }
	            if(order_type=='1')
			    {
				   document.getElementById('vat_'+row+'').value ='';
				   document.getElementById('lvat_'+row+'').innerHTML='';	
				   document.getElementById('orderqty_'+row+'').value ='';
				   document.getElementById('price_'+row+'').value ='';
				   document.getElementById('lprice_'+row+'').innerHTML='';
				   document.getElementById('total_'+row+'').value ='';
				   document.getElementById('ltotal_'+row+'').innerHTML='';
				//    document.getElementById('net_amount_'+row+'').value ='';
				   document.getElementById('ldiscount_'+row+'').innerHTML='';
				   document.getElementById('discount_'+row+'').value ='';
				//    document.getElementById('excise_'+row+'').value ='';
				//    document.getElementById('lexcise_'+row+'').innerHTML='';
	            }
				if(order_type=='2')
				 {
					   document.getElementById('qty_'+row+'').value ='';
					   document.getElementById('orderprice_'+row+'').value ='';
					   document.getElementById('orderlprice_'+row+'').innerHTML='';
					   document.getElementById('ordertotal_'+row+'').value ='';
					   document.getElementById('orderltotal_'+row+'').innerHTML='';
				  }
		       }
			 
				<!--get_resion-->
			    function get_resion(get_resion,row)
				{		 
					 jq.ajax({
					 url: "{{ URL('route_order_get_resion/') }}"+"/" +get_resion,
			         type:"GET",
			         success:function(respons)
			         {
			            if(respons)
						{
							jq('#resion_type_'+row+'').html(respons);
						}
			         
			          }
			       });
			     }		 
	 
			<!-- Deleting row-->
			  function deleteRow(r,row) {
				 
			        if(row==0){
						Swal.fire({
				  icon: 'error',
				  title: 'You Can Not Remove First Row!',
				})
			             
			        }
					else{
		 
	   
         var i = r.parentNode.parentNode.rowIndex;
	     var order_type = jq('#order_type').val();
	     
		 if(order_type=='')
		 { }
	      if(order_type=='1')
	      {	 
           document.getElementById("myTable").deleteRow(i);
	       calculate();
	      }
	      if(order_type=='2')
		  {
	      document.getElementById("myTable1").deleteRow(i);
		  calculate();
		  }
	}
}
		
</script>	  
