@php
$material_category_id1='';
$max_len='';
$max_len1='';
$set_category1='';
 
@endphp
@include('theme_layout/header')
@include('theme_layout/nav')

<div class="app-main__outer">
 <div class="app-main__inner">
  <div class="app-page-title">
   <div class="page-title-wrapper">
    <div class="page-title-heading">
     <div class="page-title-icon">
      <i class="pe-7s-graph text-success">
      </i>
     </div>       <!--page-title-icon-->
     
	 <div>View Salesman Target</div>
	
	</div>       <!--page-title-heading-->
	
	<div class="page-title-actions">
     <div class="d-inline-block dropdown">
	 
	  <a id="back" class="mt-3 btn btn-primary btn-lg text-white"> 
	   <i class="fa fa-arrow-left fa-w-20 text-white"></i> Back</a>
	   
	 </div>       <!--d-inline-block dropdown-->
	</div>        <!--page-title-actions-->
   </div>       <!--page-title-wrapper-->
  </div>        <!--app-page-title-->

  <div class="tab-content"> 
	@if(request()->route('id'))
	@php
	$material_category_id1=explode(",",$result->material_category_id);
	$max_len =count($material_category_id1);
	$set_category1=explode(",",$result->set_category);
	$max_len1=count($set_category1);

	@endphp	
	@endif
					
   <div class="tab-pane tabs-animation fade show active" id="tab-content-0" role="tabpanel">
	<div class="main-card mb-3 card">
	 <div class="card-body">
	  <div class="container">
	   <div class="form-row">
		<div class="col-md-4"> 
		 <div class="position-relative form-group">
		 
		  <label class="font-weight-bold ml-2" for="month_year" class="">Month-Year</label>
		  <input maxlength="20" name="month_year" id="month_year" value="{{ucfirst($result->month)}} - {{$result->year}}"  type="text" class="form-control" readonly required >
		  </div>       <!--position-relative form-group-->
		</div>       <!--col-md-4"-->
		
		<div class="col-md-4"> 
		 <div class="position-relative form-group">
		 
		  <label class="font-weight-bold ml-2" for="warehouse" class="">Warehouse</label>
		  <input maxlength="20" name="warehouse_id" id="warehouse_id" value="{{ $result->warehouse_code}} - {{ $result->warehouse_name}}"  type="text" class="form-control" readonly required >
		  
		 </div>       <!--position-relative form-group-->
		</div>       <!--col-md-4-->
		
		<div class="col-md-4"> 
		 <div class="position-relative form-group">
		 
		  <label class="font-weight-bold ml-2" for="salesman" class="">Salesman </label>
		  <input maxlength="20" name="salesman_id" id="salesman_id" value="{{ $result->salesman_code}} - {{ $result->salesman_name}}"  type="text" class="form-control" required readonly>
		  
		 </div>       <!--position-relative form-group-->
		</div>       <!--col-md-4-->
	   </div>       <!--form-row"-->
									 
	   <div class="form-row">
		<div class="col-md-4">
		 <div class="position-relative form-group">
		 
		  <label class="font-weight-bold ml-2" for="target_based_on" class="">Target Based On</label>
		  <input maxlength="20" name="target_based_on" id="target_based_on" value="{{$result->target_based_on}}"  type="text" class="form-control" readonly required >
		  
		 </div>       <!--position-relative form-group-->
		</div>        <!--col-md-4-->
		
		<div class="col-md-4">
		 <div class="position-relative form-group">
		 
		  <label class="font-weight-bold ml-2" for="salesman_target" class="">Salesman Target</label>
		  <input maxlength="20" name="salesman_target" id="salesman_target" value="{{$result->salesman_target}}"  type="text" class="form-control" readonly required >
		  
		 </div>       <!--position-relative form-group-->
		</div>       <!--col-md-4-->
	   </div>       <!--form-row-->
        
	   <div class="mb-5" > </div>
          
        
			   
		@if($result->target_based_on =="Amount Based" && $result->salesman_target =="Category Based Target" || $result->target_based_on =="Quantity Based" && $result->salesman_target =="Category Based Target")
  
		<table class="table   table-hover  table-bordered">
		 <thead>
		  <tr>
			<th>Category</th>
			<th>{{ $result->target_based_on =='Amount Based' ? 'Total Amount' : 'Total Quantity' }}</th>
			<th>Achieved Target</th>
			<th>Achieved by %</th> 
		  </tr>
 		 </thead>
		 
		 <tbody >
			@for ($i=0; $i<$max_len; $i++)
		  <tr> 
			   @foreach($material_category as $material_category_name)
		   
			   @if($material_category_id1[$i] == $material_category_name->id)
			<td>
				<label>{{$material_category_name->category_code}} - {{$material_category_name->category_name}}</label></td>
				  @endif
				  @endforeach 
			<td>
			   <label>{{ $result->target_based_on =='Amount Based' ? $result->total_sales : $set_category1[$i] }}</label></td>
			
			<td> 
				@if($result->target_based_on =='Amount Based')
				@if(is_null($result->sales_amt))
					{{ $r= 0 }}
				@else
				{{$result->sales_amt}}
				@endif
				@endif
			
				@if($result->target_based_on =='Quantity Based')
				@if(is_null($result->sales_qty))
					{{ $r= 0 }}
				@else
				{{$result->sales_qty}}
				@endif
				@endif 
			</td>
		
			<td>
				@if($result->target_based_on =='Amount Based')	
				@if(is_null($result->sales_amt) )
				{{ $r= 0 }}
				@else 
				{{ $result->sales_amt / $result->total_sales * 100 }} 
				@endif
				@endif
			
				@if($result->target_based_on =='Quantity Based')	
				@if(is_null($result->sales_qty) )
				{{ $r= 0 }}
				@else 
				{{ $result->sales_qty / $result->total_sales * 100 }}
				@endif
				@endif 
			</td>
		  </tr>
				@endfor 
		 </tbody>
		</table>

			@elseif($result->target_based_on =="Amount Based" && $result->salesman_target =="Total Sales Based" || 
			$result->target_based_on =="Quantity Based" && $result->salesman_target =="Total Sales Based")
		<table class="table  table-hover  table-bordered">
			<thead>
			  <tr>
				<th>{{$result->target_based_on =='Amount Based' ? 'Total Sales' : 'Total Quantity'}}</th>
				<th>Achieved Target</th>
				<th>Achieved by %</th>
			  </tr>
			</thead>
		   <tbody>
				 @for ($i=0; $i<$max_len1; $i++)
			<tr>
				<td>
				 <label>{{ $result->target_based_on =='Amount Based' ? $result->total_sales : $set_category1[$i] }}</label></td>
				
			    <td> 
					 @if($result->target_based_on =='Amount Based')
					 @if(is_null($result->sales_amt))
						{{ $r= 0 }}
					 @else
					 {{$result->sales_amt}}
					 @endif
					 @endif
				
					 @if($result->target_based_on =='Quantity Based')
					 @if(is_null($result->sales_qty))
						{{ $r= 0 }}
					 @else
					 {{$result->sales_qty}}
					 @endif
					 @endif 
				</td>
				
			    <td>
					@if($result->target_based_on =='Amount Based')	
					@if(is_null($result->sales_amt) )
					{{ $r= 0 }}
					@else 
					{{ $result->sales_amt / $result->total_sales * 100 }} 
					@endif
					@endif
				
					@if($result->target_based_on =='Quantity Based')	
					@if(is_null($result->sales_qty) )
					{{ $r= 0 }}
					@else 
					{{ $result->sales_qty / $result->total_sales * 100 }}
					@endif
					@endif
			    </td>
			   
			  </tr>
					@endfor
		   </tbody>
		</table>
					@endif 
					
	  </div>       <!--container-->
			<br><br> 
     </div>       <!--card-body-->
	</div>       <!--main-card mb-3 card-->
   </div>       <!--tab-pane tabs-animation fade show active-->
  </div>       <!--tab-content-->
 </div>       <!--app-main__inner-->
   @include('theme_layout/footer')
</div>       <!--app-main__outer-->

<script>
   var jq = $.noConflict();
   jq(document).ready(function(){
	   
	   jq("#back").click(function(){
		   window.history.back();
	   })
   })
</script> 