@include('theme_layout/header')
@include('theme_layout/nav')

<div class="app-main__outer">
 <div class="app-main__inner">
  <div class="app-page-title"> 
   <div class="page-title-wrapper">
	<div class="page-title-heading">
	 <div class="page-title-icon">
	  <i class="pe-7s-medal icon-gradient bg-tempting-azure"></i>
	 </div>    <!--page-title-icon-->
		
	 <div>Stock Transfer List
	   @if(Session::has('successMessage')) 
		   <input id="toster_id" type="hidden" value="{{ Session::get('successMessage') }}">		  
  @endif 

	 
	 </div>   <!--Stock Transfer-->
    </div> <!-- end page title heading -->
		
	<div class="page-title-actions">
	 <div class="d-inline-block dropdown">
	  <div class="page-title-actions">
	   <div class="d-inline-block dropdown">
		<a href="{{route('company_stock_transfer')}}" class="mt-3 btn btn-primary btn-lg text-white"> 
		<i class="fa fa-plus fa-w-20">
		</i> Add Transfer Stock</a>
	   </div>    <!--d-inline-block dropdown-->
      </div> <!-- end page title actions --> 
                                    
      <div tabindex="-1" role="menu" aria-hidden="true" class="dropdown-menu dropdown-menu-right">
       <ul class="nav flex-column">
       <li class="nav-item">
       <a class="nav-link">
       <i class="nav-link-icon lnr-inbox"></i>
        <span>Inbox</span>
        <div class="ml-auto badge badge-pill badge-secondary">86</div>
       </a>
       </li>
                                       
       <li class="nav-item">
       <a class="nav-link">
       <i class="nav-link-icon lnr-book"></i>
        <span>
         Book
        </span>
      <div class="ml-auto badge badge-pill badge-danger">5</div>
       </a>
       </li>
                                        
       <li class="nav-item">
       <a class="nav-link">
       <i class="nav-link-icon lnr-picture"></i>
        <span>Picture</span>
       </a>
       </li>
                                       
       <li class="nav-item">
       <a disabled class="nav-link disabled">
       <i class="nav-link-icon lnr-file-empty"></i>
        <span> File Disabled </span>
       </a>
       </li>
       </ul>
      </div>                     
     </div>     <!--d-inline-block dropdown-->
    </div>     <!--page-title-actions-->
   </div>   <!--page-title-wrapper-->
  </div>    <!--app-page-title-->  

  <div class="main-card mb-3 card">
   <div class="card-body">
   <!-- date filte-->
    <form method="get" action="{{ route('company_stock_transfer_list') }}">
     <div class="form-row">
      <div class="col-md-4  date position-relative form-group" id="myDatepicker4">
	   <label for="select_warehouse" class="font-weight-bold ml-2"> From Date</label>
	   <input type="date" class="form-control" name="fromdate" id="fromdate" value="<?php if(isset($_GET['fromdate'])) echo $_GET['fromdate']; else echo date("Y-m-d"); ?>" autocomplete="off">
	  </div>
								  
	  <div class="col-md-4  date position-relative form-group" id="myDatepicker5">
	   <label for="select_warehouse" class="font-weight-bold ml-2"> To Date</label>
	   <input type="date" class="form-control" name="todate"  id="todate"  value="<?php if(isset($_GET['todate'])) echo $_GET['todate']; else echo date("Y-m-d"); ?>" autocomplete="off">
	  </div>
								 
	  <div class="col-md-4" >
	   <div class="position-relative form-group">
		<label for="select_warehouse" class="font-weight-bold ml-2">From Warehouse</label> 
		<select class="mb-2 form-control" name="warehouse" id="warehouse_id">
	   <option value=""> </option>
		@if(isset($_GET['warehouse']))
		@foreach($warehouse as $warehouse_name)
	   <option {{$_GET['warehouse'] == $warehouse_name->id ? 'selected' : '' }} value="{{$warehouse_name->id}}">{{$warehouse_name->warehouse_code}} - {{$warehouse_name->warehouse_name}}</option>
		@endforeach
		@else
		@foreach($warehouse as $warehouse_name)
	   <option value="{{$warehouse_name->id}}">{{$warehouse_name->warehouse_code}} - {{$warehouse_name->warehouse_name}}</option>
		@endforeach
		@endif	
					
		</select>
	   </div>    <!--position-relative form-group-->
      </div>
	 </div>    <!--form-row-->

     <div class="form-row">
     </div> 
                            
     <div class="form-row">
                            
      <div class="col-md-12 text-center">
        <button id="submit" class="mt-3 btn btn-primary btn-lg">Search</button>
          <!-- <input type="hidden" name="type" value="date" id="search_type">
          <input type="button" value="Filter" class="btn btn-sm btn-primary listSearchBtn  filter">
          <button  class="btn btn-sm btn-danger listSearchAllBtn reset">All</button>-->
      </div>  
     </div>    <!--form-row-->                  
    </form>     <br><br>
	
    <table style="width: 100%;" id="example" class="table table-hover table-striped table-bordered">
     <thead>
      <tr>
       <th class="text-justify text-left">From Warehouse</th>
       <th class="text-justify text-left">To Warehouse</th>
       <th class="text-justify text-left">Reason Type</th>
       <th class="text-justify text-left">Transfer Reason</th>
       <th class="text-justify text-left">Transfer Date</th>
       <th class="text-justify text-left">Status</th>
       <th style="width: 13%;">Action</th> 
      </tr>
     </thead>         
     
	 <tbody>
        @foreach($get_data as $data)
                         
       <tr>
		@php
		$row1 = date("d M Y g:i a", strtotime($data->created_at));
		$space=" ";
		@endphp
       <td class="font-weight-bold text-justify text-left">{{$data->warehouse_code}} - {{ucfirst($data->warehouse_name)}}</td>
       <td class="font-weight-bold text-justify text-left">{{$data->transfer_w_code}} - {{ucfirst($data->transfer_w_name)}}</td>
	    <td class="font-weight-bold  text-dark text-left"> {{ $data->reason_type == '1' ? 'Good Reason'  : 'Bad Reason' }}
			 </td>
			 <td class="font-weight-bold text-justify text-left">{{$data->reason_code}} -  {{ucfirst($data->reason_name)}} </td> 
       <td class="font-weight-bold text-justify text-left"> {{$row1}}</td>
						 
       <td class="font-weight-bold text-justify text-left">{{$data->status}}</td>
       <td>
       <div class="dropdown">
    				<button type="button" aria-haspopup="true" aria-expanded="false" data-toggle="dropdown" class="mb-2 mr-2 btn btn-outline-primary "><i class="fas fa-ellipsis-v"></i></button>
    				<ul class="dropdown-menu " style="min-width: 0px;" aria-labelledby="dropdownMenuButton1">
    				<a class="dropdown-item" class= "mb-2 mr-2 btn-hover-shine btn btn-shadow btn-success btn-lg" href=" {{ URL::to('company_transfer_stock_view/'.$data->id)}}">
		         <i class="fas fa-eye" aria-hidden="true"> View</i></a> 
				 <a class="dropdown-item" class= "mb-2 mr-2 btn-hover-shine btn btn-shadow btn-success btn-lg" href=" {{ URL::to('company_stock_transfer_export/'.$data->id)}}">
		         <i class="fas fa-download" aria-hidden="true"> Export</i></a>
				 <a class="dropdown-item" class= "mb-2 mr-2 btn-hover-shine btn btn-shadow btn-success btn-lg" href=" {{ URL::to('company_stock_transfer_pdf/'.$data->id)}}">
		         <i class="fas fa-download" aria-hidden="true"> Pdf</i></a>  
               </ul>  
      </div>
       </td>
       </tr>
                      
        @endforeach
       </tbody>
                    
       <tfoot>
	  <!--<tr>
		  <th>Currency code </th>
		  <th>Currency Name</th>
		  <th>Currency Notation</th>
		  <th>Status</th>
		  <th>Action</th>
		 </tr>-->
	   </tfoot>
                
    </table>
   </div>    <!--card-body-->
  </div>    <!--main-card mb-3 card-->
 </div>    <!--app-main__inner-->
        

@include('theme_layout/footer') 
<script>

   var jq = $.noConflict();
     jq(document).ready(function(){
		 
		 
		  @if(Session::has('successMessage'))
   var toster=jq('#toster_id').val();
	if(toster!=''){
		Swal.fire({
		   
		  icon: 'success',
		  title: ''+toster,
		  showConfirmButton: false,
		  timer: 2000
			})
		}
     
	 {{ Session::forget('successMessage') }}
		
 @endif
 
	
	$('#warehouse_id').SumoSelect({ selectAll:true,search: true,triggerChangeCombined : true }); 

     var fromdate = jq('#fromdate').val();
     var todate = jq('#todate').val();
     //alert(fromdate);
    //  get_datefilter(fromdate,todate);
     
	 jq("#warehouse_stock1").change(function(){
      var warehouse = jq('#warehouse_stock1').val();
      get_route(warehouse);
     });
      
     <!--get_material_price-->
   function get_route(warehouse){
        jq.ajax({
        url: "{{ URL('get_routename_filter/') }}"+"/" +warehouse,       
        type:"GET",
        success:function(respons)
        {
              if(respons){
               jq('#routename').html(respons);
              }
             }
           });
      }
     function get_datefilter(fromdate,todate){
        jq.ajax({
        url: "{{ URL('salesman_invoice_list/') }}",       
        type:"GET",
        data:{fromdate:fromdate,
        todate:todate
     },
     success:function(respons){
              if(respons)
              {
              jq('#example').html(respons);
              }
            }
         });
        }      <!--function get_datefilter-->
      });
    
 </script>     
  