@include('theme_layout/header')
@include('theme_layout/nav')

@php

$row1 = date("d M Y g:i a", strtotime($get_data->created_at));

@endphp

<div class="app-main__outer">
 <div class="app-main__inner">
  <div class="app-page-title">
   <div class="page-title-wrapper">
    <div class="page-title-heading">
     <div class="page-title-icon">
	 
	  <i class="pe-7s-graph text-success">
	  </i>
	  
     </div>      <!--page-title-icon-->

	 <div>Stock Adjustment
	 </div>
	 
    </div>      <!--page-title-heading-->
							
	<div class="page-title-actions"> 
	 <div class="d-inline-block dropdown">
	 
	    <a  id="back" class="mt-3 btn btn-primary btn-lg text-white">
		<i class="fa fa-arrow-left fa-w-20 text-white"></i>  Back</a>
		
	 </div>      <!--d-inline-block dropdown-->
	</div>       <!--page-title-actions-->
   </div>      <!--page-title-wrapper-->
  </div>        <!--app-page-title-->
	
  <div class="tab-content">
   <div class="tab-pane tabs-animation fade show active" id="tab-content-0" role="tabpanel">
	<div class="main-card mb-3 card">
	 <div class="card-body">
	  <div class="container">
	   <div class="form-row">
		<div class="col-md-4"> 
		 <div class="position-relative form-group">
		 
		  <label class="font-weight-bold ml-2" for="route_id" class="">Warehouse</label>
		  <input maxlength="20" name="route_id" id="route_code" value="{{$get_data->warehouse_code}}-{{$get_data->warehouse_name}}"  type="text" class="form-control" readonly  >
		 
		 </div>      <!--position-relative form-group-->
		</div>       <!--col-md-4-->
		
		<div class="col-md-4"> 
		 <div class="position-relative form-group">
		 
		  <label class="font-weight-bold ml-2" for="route_id" class="">Stock Adjustment Type</label>
		  <input maxlength="20" name="route_id" id="route_code" value="{{ $get_data->reason_code}}-{{ $get_data->reason_name}}"  type="text" class="form-control" readonly  >
		  
		 </div>      <!--position-relative form-group-->
		</div>      <!--col-md-4--> 
										
		<div class="col-md-4"> 
		 <div class="position-relative form-group">
		 
		  <label class="font-weight-bold ml-2" for="trading_name" class="">Adjustment Date</label>
		  <input maxlength="20" name="trading_name" id="trading_name" value="{{$get_data->invoice_date}} "  type="text" class="form-control"  readonly>
		  
		 </div>      <!--position-relative form-group-->
		</div>      <!--col-md-4-->
	    
	   
	    <div class="col-md-4"> 
		 <div class="position-relative form-group">
		 
		  <label class="font-weight-bold ml-2" for="trading_name" class="">Adjustment Type</label>
		  <input maxlength="20" name="trading_name" id="trading_name" value="{{ $get_data->adjustment_type == '1' ? 'Good Reason'  : 'Bad Reason' }}"  type="text" class="form-control"  readonly>
		  
		 </div>      <!--position-relative form-group-->
		</div>      <!--col-md-4-->
		
		
		@if($get_data->remark!='no remark')	
		<div class="col-md-8">										
         <div class="position-relative form-group">
		 
		  <label class="font-weight-bold ml-2" for="comment" class="">Comment*</label>
		  <input required maxlength="20" name="comment" id="comment" value="{{ $get_data->remark}}"  type="text" class="form-control"  readonly>
		  
		 </div>      <!--position-relative form-group-->
		</div>      <!--col-md-4-->
		@endif	
				
	   </div>      <!--form-row-->
	   
	    <table class="table   table-hover  table-bordered">
		 <thead>
		  <tr>
			<th style="width:20%; text-align: center;">Material</th>
			<th style="width:13%; text-align: center;">UOM</th>
			<th style="width:13%; text-align: center;">Adjustment Type</th>
			<th style="width:10%; text-align: center;">Available Qty</th>
			<th style="width:13%; text-align: center;">Adjust Quantity</th>
			<th style="width:10%; text-align: center;">Balance Quantity</th>
		  </tr> 
	     
		 <tbody id="dynmic_row">
	  
	        @foreach($get_data_details as $details)
		  
		  <tr id="row_0">
			<td style="width: 15%;" id="mitem_0" > 
			 <label type="text" id="get_material_0" name="material_name[]" class=" font-weight-bold ml-2 ">{{$details->material_code}} - {{$details->material_name}} 
			 </label> 
			</td>
			<td id="uitem_0"   style="width: 13%;">
			 <label  id="uom_0" name="uom[]" class=" font-weight-bold ml-2 " >{{$details->unit_notation}} </label> 
			</td> 
			<td id="ditem_0">
			 <label  style="text-align: center;" value=""   id="discount_0" type="text" name="discount[]"class=" font-weight-bold ml-2 ">{{ucfirst($details->adjustment_type)}}</label>
			</td> 
			<td id="vitem_0">
			 <label  style="text-align: center;" value="" readonly id="vat_0" type="text" name="vat[]"class=" font-weight-bold ml-2 ">{{$details->available_qty}}</label>
			</td>
			<td id="naitem_0">
			 <label  style="text-align: center;" value="" readonly id="net_amount_0" type="text" name="net_amount[]" class=" font-weight-bold ml-2 ">{{$details->adjust_qty}}</label>
			</td>
			<td id="titem_0">
			 <label  style="text-align: center;" value="" readonly id="total_0" type="text" name="total[]" class=" font-weight-bold ml-2 ">{{$details->balance_qty}}</label>
			</td> 
	      </tr>
								@endforeach 
	 	 </tbody> 
         </thead>
	     <tbody >
		  <tr>
		  </tr>
		 </tbody>
        </table>
      
      </div>      <!--container-->
				<br><br>
     </div>      <!--card-body-->
	</div>      <!--main-card mb-3 card-->
   </div>      <!--tab-pane tabs-animation fade show active-->
  </div>      <!--tab-content-->
 </div>      <!--app-main__inner-->
  
@include('theme_layout/footer')

</div>      <!--app-main__outer-->  

<script>

   var jq = $.noConflict();
   jq(document).ready(function(){
	   
	   jq("#back").click(function(){
		   window.history.back();
	   })

   })
</script>   
 