<?php echo $__env->make('theme_layout/header', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>
<?php echo $__env->make('theme_layout/nav', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>
	     
<div class="app-main__outer"> 
 <div class="app-main__inner">
  <div class="app-page-title">
   <div class="page-title-wrapper">
    <div class="page-title-heading">
     <div class="page-title-icon">
      <i class="pe-7s-graph text-success">
      </i>
     </div> <!--page-title-icon-->
	 
        <div>  
		 <?php echo e(request()->route('id') ? 'Edit ' : 'Add '); ?>

		 Vehicle
        </div>
    </div> <!--page-title-heading-->

	    <div class="page-title-actions">
	     <div class="d-inline-block dropdown">
	      <a href="<?php echo e(route('vehicle_list')); ?>" class="mt-3 btn btn-primary btn-lg"> <i class="fa fa-arrow-left fa-w-20"></i> Back</a> 
	     </div>
	    </div> 
   </div> <!--page-title-wrapper-->
  </div>  <!--app-page-title-->           
					 
        <div class="tab-content">
         <div class="tab-pane tabs-animation fade show active" id="tab-content-0" role="tabpanel">
          <div class="main-card mb-3 card">
	       <div class="card-body">
		    <form id="" class="" onsubmit="return checkForm(this);" action="<?php echo e(route('vehicle_store')); ?>" method="post">
		     <?php echo e(csrf_field()); ?>

		      <div class="form-row">
		       <div class="col-md-4">
		        <div class="position-relative form-group">
	             <label class="font-weight-bold ml-2" for="vehicle" class="">Vehicle Code</label><input  maxlength="10" class="mb-2 form-control" name="vehicle" id="vehicle" value="<?php echo e($last_code); ?>" autocomplete="off" readonly required > 
	            </div>
	           </div>
				
	    <div class="col-md-4">
	     <div class="position-relative form-group">
	      <label class="font-weight-bold ml-2" for="vehicle_number" class="">Vehicle Number</label><input  maxlength="120"  name="vehicle_number" id="vehicle_number"  type="text" class="form-control" value="<?php echo e(request()->route('id') ? $get_data->vehicle_number : ''); ?>" autocomplete="off" required >
	     </div>
	    </div>
											
	    <div class="col-md-4">
	     <div class="position-relative form-group">
		  <label class="font-weight-bold ml-2" for="brand" class="">Brand</label><input  maxlength="120" name="brand" id="brand"  type="text" class="form-control" value="<?php echo e(request()->route('id') ? $get_data->brand : ''); ?>" required autocomplete="off">
		 </div>
	    </div>
       </div> <!--form-row-->
										
        <div class="form-row">
         <div class="col-md-4">
	      <div class="position-relative form-group">
	       <label class="font-weight-bold ml-2" for="type" class="">Vehicle Type</label><select class="mb-2 form-control" name="type" id="type" required> 
		    <?php if(request()->route('id')): ?> 
		      <?php $__currentLoopData = $vehicletype; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $vehicletypename): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
		       <option <?php echo e($get_data->type == $vehicletypename->id ? 'selected' : ''); ?> value ="<?php echo e($vehicletypename->id); ?>"><?php echo e($vehicletypename->vehicle_type_code); ?> - <?php echo e($vehicletypename->vehicle_type_name); ?></option>
			  <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?> 
			<?php else: ?> 
				<option value=""> </option>
			  <?php $__currentLoopData = $vehicletype; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $vehicletypename): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
				<option value ="<?php echo e($vehicletypename->id); ?>"><?php echo e($vehicletypename->vehicle_type_code); ?> - <?php echo e($vehicletypename->vehicle_type_name); ?></option>
			  <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
			<?php endif; ?> 
		   </select>
		  </div> <!--position-relative form-group-->
		 </div> <!--col-md-4-->
	
	    <div class="col-md-4">
	     <div class="position-relative form-group">
	      <label class="font-weight-bold ml-2" for="capacity" class="">Capacity</label><input  maxlength="120" name="capacity" id="capacity"  type="text" class="form-control" value="<?php echo e(request()->route('id') ? $get_data->capacity : ''); ?>" autocomplete="off" required onkeypress="return isNumber(event);">
		 </div>
	   </div>
	   
        <div class="col-md-4">
	     <div class="position-relative form-group"><label class="font-weight-bold ml-2" for="vehicle_owner" class="">Vehicle Owner</label>
		  <select class="mb-2 form-control" name="vehicle_owner" id="vehicle_owner" required > 
		   <?php if(request()->route('id')): ?> 
			<option> </option>
			<option <?php echo e($get_data->vehicle_owner == 'company' ? 'selected' : ''); ?> value ="company">Company</option>
			<option <?php echo e($get_data->vehicle_owner == 'distributor' ? 'selected' : ''); ?> value="distributor">Distributor</option>
			<option <?php echo e($get_data->vehicle_owner == 'customer ' ? 'selected' : ''); ?> value="customer ">Customer </option>
			<option <?php echo e($get_data->vehicle_owner == 'agent' ? 'selected' : ''); ?> value="agent">Agent</option>
		   <?php else: ?> 
			<option> </option>
			<option value ="company">Company</option>
			<option value="distributor">Distributor</option>
			<option value="customer agent">Customer Agent</option>
			<option value="customer agent">Agent</option>
		   <?php endif; ?>	
		  </select> 
		 <input name="updated_id" id="updated_id" value="<?php echo e(request()->route('id')); ?>" type="hidden" autocomplete="off"> 
	    </div>
       </div> <!--col-md-4-->
      </div> <!--form-row-->
	  
	  <div class="form-row">
	   <div class="col-md-4">
	    <div class="position-relative form-group">
	     <label class="font-weight-bold ml-2" for="vehicle_chechis_number" class="">Vehicle Chechis Number</label><input  maxlength="120" name="vehicle_chechis_number" id="vehicle_chechis_number"  type="text" class="form-control" value="<?php echo e(request()->route('id') ? $get_data->vehicle_chechis_number : ''); ?>" autocomplete="off" required >
		</div>
	   </div>
	   
	   <div class="col-md-4">
	    <div class="position-relative form-group">
	     <label class="font-weight-bold ml-2" for="tank_capacity" class="">Tank Capacity</label><input  maxlength="120" name="tank_capacity" id="tank_capacity"  type="text" class="form-control" value="<?php echo e(request()->route('id') ? $get_data->tank_capacity : ''); ?>" autocomplete="off" required >
		</div>
	  </div>
	   
	   <div class="col-md-4">
	    <div class="position-relative form-group">
	     <label class="font-weight-bold ml-2" for="vehicle_mileage" class="">Vehicle Mileage</label><input  maxlength="120" name="vehicle_mileage" id="vehicle_mileage"  type="text" class="form-control" value="<?php echo e(request()->route('id') ? $get_data->vehicle_mileage : ''); ?>" autocomplete="off" required >
		</div>
	  </div>
	  </div> <!--form-row-->

        <div class="form-row">
         <div class="col-md-4">
	      <div class="position-relative form-group"><label class="font-weight-bold ml-2" for="warehouse_name" class="">Warehouse </label><select class="mb-2 form-control" name="warehouse_id" id="warehouse_name" required > 
		  <option value=""> </option>
	       <?php if(request()->route('id')): ?> 
		    <?php $__currentLoopData = $warehouse; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $warehousename): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
		     <option <?php echo e($get_data->warehouse_id == $warehousename->id ? 'selected' : ''); ?> value ="<?php echo e($warehousename->id); ?>"><?php echo e($warehousename->warehouse_code); ?> - <?php echo e($warehousename->warehouse_name); ?></option>
		    <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
		   <?php else: ?> 
		    
			<?php $__currentLoopData = $warehouse; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $warehousename): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
			<option value ="<?php echo e($warehousename->id); ?>"><?php echo e($warehousename->warehouse_code); ?> - <?php echo e($warehousename->warehouse_name); ?></option>
			<?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
		   <?php endif; ?>  
		 </select>
	    </div> <!--position-relative form-group-->
       </div> <!--col-md-4-->
											
	    <div class="col-md-4">
		 <div class="position-relative form-group"><label class="font-weight-bold ml-2" for="erp_asset_code" class="">Erp Asset Code</label><input  maxlength="20" class="mb-2 form-control" autocomplete="off" name="erp_asset_code" id="erp_asset_code" value="<?php echo e(request()->route('id') ? $get_data->erp_asset_code : ''); ?>"  readonly  > 
		 </div>
	    </div>
		
        <div class="col-md-4">
		 <div class="position-relative form-group"><label for="status" class="ml-2 font-weight-bold">Status</label>
		  <select class="mb-2 form-control" name="status" id="status" required > 
		   <?php if(request()->route('id')): ?> 
		    <option> </option>
		    <option <?php echo e($get_data->status == 'active' ? 'selected' : ''); ?> value ="active">Active</option>
		    <option <?php echo e($get_data->status == 'inactive' ? 'selected' : ''); ?> value="inactive">Inactive</option>
	       <?php else: ?> 
		    <option> </option>
		    <option value ="active">Active</option>
		    <option value="inactive">Inactive</option>
		   <?php endif; ?>	 
		  </select>
	     </div> <!--position-relative form-group-->
        </div> <!--col-md-4-->
       </div> <!--form-row-->
									
	    <div class="form-row">
	     <div class="col-md-5"></div>
	      <?php if(request()->route('id')): ?>
	       <button name="btnsubmit" class="mt-3 btn btn-primary btn-lg"> Update</button>
	      <?php else: ?> 
	       <button name="btnsubmit" class="mt-3 btn btn-primary btn-lg">Save</button>
	      <?php endif; ?>
	       <div class="col-md-0.5"></div>
	        <a href="<?php echo e(route('vehicle_list')); ?>" class="mt-3 btn btn-danger  btn-lg">Cancel</a>
	       </div> <!--form-row-->
          </form>
         </div> <!--card-body-->
        </div> <!--main-card mb-3 card-->
       </div> <!--tab-pane tabs-animation fade show active-->
      </div> <!--tab-content-->
     </div> <!--app-main__inner-->
   <?php echo $__env->make('theme_layout/footer', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?> 
 </div> <!--app-main__outer-->
<script>
 var jq = $.noConflict();
 function checkForm(form)
  {
     
    form.btnsubmit.disabled = true;
    return true;
  }
$(document).ready(function(){
	 $('#type').SumoSelect({ selectAll:true,search: true,triggerChangeCombined : true});
		$('#vehicle_owner').SumoSelect({ selectAll:true,search: true,triggerChangeCombined : true});
	    $('#warehouse_name').SumoSelect({ selectAll:true,search: true,triggerChangeCombined : true});
$("#vehicle_owner").change(function(){
			var vehicle_owner= $('#vehicle_owner').val();
			
	});
});
</script>  <?php /**PATH /var/www/html/van_sales_system/resources/views/Master_Configuration/vehicle.blade.php ENDPATH**/ ?>