<?php echo $__env->make('theme_layout/header', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>
<?php echo $__env->make('theme_layout/nav', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>
<div class="app-main__outer">
 <div class="app-main__inner">
  <div class="app-page-title">
   <div class="page-title-wrapper">
	<div class="page-title-heading">
	 <div class="page-title-icon">
	  <i class="pe-7s-graph text-success">
	  </i>
	 </div>
	 
	  <div>  
		<?php echo e(request()->route('id') ? 'Edit ' : 'Add '); ?>

		 Customer Category
	  </div>
	</div> <!--page-title-heading-->
		
		<div class="page-title-actions">			 
		 <div class="d-inline-block dropdown">
		  <a href="<?php echo e(route('customer_category_list')); ?>" class="mt-3 btn btn-primary btn-lg text-white"> <i class="fa fa-arrow-left fa-w-20"></i> Back</a>								 
		 </div>
		</div>
   </div> <!--page-title-wrapper-->
  </div>   <!--app-page-title-->        
					 
    <div class="tab-content">
     <div class="tab-pane tabs-animation fade show active" id="tab-content-0" role="tabpanel">
      <div class="main-card mb-3 card">
	   <div class="card-body"><h5 class="card-title"></h5>
		<form id="" class="" onsubmit="return checkForm(this);"
         action="<?php echo e(route('customer_category_store')); ?>" method="post">
		 <?php echo e(csrf_field()); ?>

		  <div class="form-row">
		   <div class="col-md-4">
			<div class="position-relative form-group"><label for="customer_category_code" class="ml-2 font-weight-bold">Customer Category Code</label><input autocomplete="off" maxlength="20" name="customer_category_code" id="customer_category_code" placeholder=" " type="text" class="form-control" value="<?php echo e($last_code); ?>" readonly="readonly" required>
			</div>
		   </div>
		   
		<div class="col-md-4">
		 <label for="customer_category_name" class="ml-2 font-weight-bold">Customer Category Name</label><input autocomplete="off" maxlength="120" name="customer_category_name" id="customer_category_name" placeholder="  " type="text" class="form-control" value="<?php echo e(request()->route('id') ? $get_data->customer_category_name : ''); ?>" required>
		 <input autocomplete="off" name="updated_id" id="updated_id" value="<?php echo e(request()->route('id')); ?>" type="hidden">
		</div>
				
		<div class="col-md-4">
		 <div class="position-relative form-group"><label for="customertype" class="ml-2 font-weight-bold">Customer Type</label><select class="mb-2 form-control" name="customer_type" id="customer_type" required>    
		   <?php if(request()->route('id')): ?> 					
			<?php $__currentLoopData = $customer_type; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $customertypename): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
			 <option <?php echo e($get_data->customer_type_id == $customertypename->id ? 'selected' : ''); ?> value ="<?php echo e($customertypename->id); ?>"><?php echo e($customertypename->customer_type_code); ?> - <?php echo e($customertypename->customer_type_name); ?></option>
			<?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
			<?php else: ?> 
			<option></option>
			<?php $__currentLoopData = $customer_type; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $customertypename): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
			 <option value ="<?php echo e($customertypename->id); ?>"><?php echo e($customertypename->customer_type_code); ?> - <?php echo e($customertypename->customer_type_name); ?></option>
			<?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
		   <?php endif; ?>				  
			</select>
		 </div>
		</div> <!--col-md-4-->
		  </div> <!--form-row-->
		  
		<div class="form-row">
		 <div class="col-md-4">
		  <div class="position-relative form-group"><label for="status" class="ml-2 font-weight-bold">Status</label>
		   <select class="mb-2 form-control" name="status" id="status" required > 
			<?php if(request()->route('id')): ?> 
			 <option value=""> </option>
			 <option <?php echo e($get_data->status == 'active' ? 'selected' : ''); ?> value ="active">Active</option>
			 <option <?php echo e($get_data->status == 'inactive' ? 'selected' : ''); ?> value="inactive">Inactive</option>
			<?php else: ?> 
			 <option value=""> </option>
			 <option value ="active">Active</option>
			 <option value="inactive">Inactive</option>
			<?php endif; ?>		
		   </select>
		  </div>
		 </div> <!--col-md-4-->
		</div> <!--form-row-->
		
		   
	   <div class="form-row">
		<div class="col-md-5"></div>
		 <?php if(request()->route('id')): ?>
		  <button name="btnsubmit"  class="mt-3 btn btn-primary btn-lg">Update</button>
		  <div class="col-md-0.5"></div>
		 <?php else: ?>
		  <button name="btnsubmit" class="mt-3 btn btn-primary btn-lg">Save</button>
	 	 <?php endif; ?>
		  <div class="col-md-0.5"></div>
		   <a href="<?php echo e(route('customer_category_list')); ?>" class="mt-3 btn btn-danger  btn-lg">Cancel</a>			
	   </div> <!--form-row-->
		</form>
	   </div> <!--card-body-->
     </div> <!--main-card mb-3 card-->
    </div>  <!--tab-pane tabs-animation fade show active"-->
   </div> <!--tab-content-->
  </div> <!--app-main__inner-->
   <?php echo $__env->make('theme_layout/footer', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>
<script>
var jq = $.noConflict();
function checkForm(form)
  {
     
    form.btnsubmit.disabled = true;
    return true;
  }
jq(document).ready(function(){
 $('#customer_type').SumoSelect({ selectAll:true,search: true,triggerChangeCombined : true});
})
</script><?php /**PATH /var/www/html/van_sales_system/resources/views/Parameters_Configuration/customer_category.blade.php ENDPATH**/ ?>