<?php echo $__env->make('theme_layout/header', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>
<?php echo $__env->make('theme_layout/nav', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>

<div class="app-main__outer">
 <div class="app-main__inner">
  <div class="app-page-title">
   <div class="page-title-wrapper">
    <div class="page-title-heading">
                   
     <div class="page-title-icon">
       <i class="pe-7s-graph text-success"></i>
     </div>
      <div>Add Invoice Collection</div>
    </div>  <!--page-title-heading-->
            
    <div class="page-title-actions">
                
     <div class="d-inline-block dropdown">
	   <a id="back" class="mt-3 btn btn-primary btn-lg text-white"> 
		<i class="fa fa-arrow-left fa-w-20 text-white"></i> 
        Back
	   </a>
     </div>  <!--page-title-actions-->
    </div>   <!--page-title-actions-->
   </div>   <!--page-title-wrapper-->
  </div>    <!--page-title-title-->        
	
  <div class="tab-content">
   <div class="tab-pane tabs-animation fade show active" id="tab-content-0" role="tabpanel">
    <div class="main-card mb-3 card">
     <div class="card-body"><h5 class="card-title"></h5>
	   <form id="material_form" onsubmit="return checkForm(this);" class="" action="<?php echo e(route('company_colletion_store')); ?>" method="post">
	    <?php echo e(csrf_field()); ?>

		
         <div class="form-group row">
		  <div class="col-md-4">	
		   <div class="position-relative form-group">
			  <label  class="font-weight-bold ml-2" for="distribution_type" class="">Distribution Type</label>
			  <select class="mb-2 form-control" name="distribution_type" id="distribution_type" required > 
				<option  value=""></option>
				
				<?php if(request()->route('dis_id')): ?>
				 <?php $__currentLoopData = $distribution_type; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $distribution_type_name): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
				   <option <?php echo e(request()->route('dis_id')==$distribution_type_name->id ? 'selected' : ''); ?> value="<?php echo e($distribution_type_name->id); ?>" > <?php echo e($distribution_type_name->customer_type_name); ?>

				   </option>
				 <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
				<?php else: ?>
					
				 <?php $__currentLoopData = $distribution_type; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $distribution_type_name): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
				   <option value="<?php echo e($distribution_type_name->id); ?>" ><?php echo e($distribution_type_name->customer_type_code); ?> - <?php echo e($distribution_type_name->customer_type_name); ?>

				   </option>	
				 <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                <?php endif; ?>       
			  </select>
		   </div>   <!--position-relative form-group-->
		  </div>   
							
		  <div class="col-md-4">
		   <div class="position-relative form-group">
			  <label  class="font-weight-bold ml-2" for="customer_type" class="">Customer </label>
			 <select class="mb-2 form-control" name="customer_type" id="customer_add" required > 
			  
			 <?php if(request()->route('dis_id')): ?>
			  <?php $__currentLoopData = $customer_type; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $customer_type_name): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
				<option <?php echo e(request()->route('cust_id')==$customer_type_name->id ? 'selected' : ''); ?> value="<?php echo e($customer_type_name->id); ?>" > <?php echo e($customer_type_name->customer_code); ?> - <?php echo e($customer_type_name->customer_name); ?>

				</option>
			  <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?> 
			 <?php endif; ?> 
			 
			   </select>
			
			
		   </div>  <!--position-relative form-group-->
		  </div>
		  <div class="col-md-4">	
		   <div class="position-relative form-group">
		    <label  class="font-weight-bold ml-2" for="outstanding" class="">Total Outstanding </label>
			 <input  class="mb-2 form-control" name="total_outstanding" value="<?php echo e(request()->route('dis_id')?  $total_outstanding: ''); ?>" id="total_outstanding" autocomplete="off"> 
		   </div>    <!--position-relative form-group-->
		  </div>
		  
		 </div>   <!--end form group row-->
						
		 <div class="form-group row">
		  		 
					         
		  <div class="col-md-4">
		   <div class="position-relative form-group">
			  <label  class="font-weight-bold ml-2" for="collection_type" class="">Collection Type</label>
			 <select class="mb-2 form-control" name="collection_type" id="collection_type" required> 
			   <option  value=""></option>
			   <option  value="1">Cash</option>
			   <option  value="2">Cheque</option>
			   <option  value="3">Transfer</option>
			   <option  value="4">Creadit Note</option>
			  </select>
		   </div>   <!--position-relative form-group-->
		  </div>
		 </div>   <!--form-group row-->
							
		 <div style="display:none;" class="form-group row" id="cheque">					
		  <div class="col-md-4">
		   <div class="position-relative form-group">
			  <label  class="font-weight-bold ml-2" for="cheque_number" class="">Cheque Number:</label>
			 <input maxlength="20" class="mb-2 form-control" name="cheque_number" value="" id="cheque_number" autocomplete="off">
		   </div>   <!--position-relative form-group-->
		  </div>
								
		  <div class="col-md-4">
		   <div class="position-relative form-group">
			  <label  class="font-weight-bold ml-2" for="cheque_date" class="">Cheque Date:</label>
			  <input maxlength="20" class="mb-2 form-control" type="date" name="cheque_date" value="" id="cheque_date" autocomplete="off"> 
		   </div>   <!--position-relative form-group-->
		  </div>
		 </div>			
		 
		 <div style="display:none;" class="form-group row" id="transfer">
		  <div class="col-md-4">	
		   <div class="position-relative form-group">
			  <label  class="font-weight-bold ml-2" for="bank_name" class="">Bank Name: </label>
			 <input maxlength="70" class="mb-2 form-control" name="bank_name" value="" id="bank_name" autocomplete="off"> 
		   </div>  <!--position-relative form-group-->
		  </div>	
		  
      	  <div class="col-md-4">
		   <div class="position-relative form-group">
			  <label class="font-weight-bold ml-2" for="account_number" class="">Account Number:</label>
			 
			  <input maxlength="30" class="mb-2 form-control" name="account_number" value="" id="account_number" autocomplete="off"> 
			
		   </div>  <!--position-relative form-group-->
	      </div>				
		  
		  <div class="col-md-4">
		   <div class="position-relative form-group">
			  <label  class="font-weight-bold ml-2" for="branch_name" class="">Branch Name:
			  </label>
			  <input maxlength="20" class="mb-2 form-control" name="branch_name" value="" id="branch_name" autocomplete="off"> 
			  <input class="mb-2 form-control" value="<?php echo e($last_code); ?>" type="hidden" name="collection_number" value="" id="collection_number" autocomplete="off"> 
		   </div>  <!--position-relative form-group-->
		  </div>
		 </div>
							
		 <div class="mb-5" >
		  <h5>
		   <p class="font-weight-bold float-right mr-5">
			<bold>Collection Code:  #<?php echo e($last_code); ?></bold>
		   </p>
		  </h5>
         </div>   
		 
		 <!--  add row -->
	     <!--for distributor-->
		 
         <div id="distributor_table" class="panel panel-footer" >
          <table class="table table-bordered" id="myTable">
           <thead>
            <tr>
			<th style="width:15%; text-align: center;">Invoice Code</th>
			<th style="width:13%; text-align: center;">Narration</th>
			<th style="width:10%; text-align: center;">Outstanding (Dr)</th>
			<th style="width:10%; text-align: center;">Outstanding Balance (Cr)</th>
			<th style="width:10%; text-align: center;">Paid Now</th>
			</tr>
		   </thead>
		   
		   <tbody id="dynmic_row">
		   <?php
			$check_credit='';
		   ?>
		    <?php if(request()->route('dis_id')): ?>	
			 <?php $__currentLoopData = $total_outstanding_details; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $key=> $details): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
							
			  <?php if($details->delivery_type=='is_credit_note'): ?>
			   <?php
				$check_credit=$key;
			   ?>
				<input value="<?php echo e($check_credit); ?>"  id="is_credit" type="hidden" name="check_credit[]"  class="form-control" autocomplete="off">
			  <?php endif; ?>		
			   <tr id="row_0">
				
			   <td id="pitem_<?php echo e($key); ?>">
				<label  style="text-align:center;"  class="linvoice_number font-weight-bold ml-2 " id="linvoice_number_<?php echo e($key); ?>" for="comment"> <?php echo e($details->invoice_number); ?>  
				</label>
				 
				<input  value="<?php echo e($details->invoice_number); ?>"  id="invoice_number_<?php echo e($key); ?>" type="hidden" name="invoice_number[]" class="form-control invoice_number" autocomplete="off">
				<input  value="<?php echo e($details->id); ?>"  id="out_id<?php echo e($key); ?>" type="hidden" name="out_id[]" class="form-control out_id" autocomplete="off">
			   </td>
									
			   <td id="ditem_<?php echo e($key); ?>">
				<label   class="lnurration font-weight-bold ml-2 " id="lnurration_<?php echo e($key); ?>" for="comment">     <?php echo e($details->delivery_type=='is_invoice'? 'Invoice':'Credit Note'); ?> 
				</label>
				 
				<input value="<?php echo e($details->delivery_type=='is_invoice'? 'Invoice':'Credit'); ?>"  id="nurration_<?php echo e($key); ?>" type="hidden" name="lnurration[]" class="form-control nurration" autocomplete="off">
			   </td>
									
			   <td id="vitem_<?php echo e($key); ?>">
				<label  class="loutstanding font-weight-bold ml-2" id="loutstanding_<?php echo e($key); ?>" for="comment"><?php echo e(number_format($details->invoce_outstandig,2)); ?>

				</label>
					 
				<input value="<?php echo e($details->invoce_outstandig); ?>"  id="outstanding_<?php echo e($key); ?>" type="hidden" name="outstanding[]" class="form-control outstanding" autocomplete="off">
				<input value="<?php echo e($details->invoice_id); ?>"  id="invoice_id_<?php echo e($key); ?>" type="hidden" name="invoice_id[]" class="form-control invoice_id" autocomplete="off">
			   </td>
									
			   <td id="eitem_<?php echo e($key); ?>">
				<label   class="loutstanding_balance font-weight-bold ml-2 " id="loutstanding_balance" for="comment">   <?php echo e($details->delivery_type=='is_invoice'? '':'-'); ?>    <?php echo e(number_format($details->delivery_type=='is_credit_note'? $details->credit_amount : $details->invoice_paid,2)); ?> 
				</label>
					  
				<input value="<?php echo e($details->delivery_type=='is_credit_note'? $details->credit_amount : $details->invoice_paid); ?>"  id="outstanding_balance_<?php echo e($key); ?>" type="hidden" name="outstanding_balance[]" class="form-control outstanding_balance" autocomplete="off">
			   </td>		
			   <td id="naitem_<?php echo e($key); ?>">
				<input value="<?php echo e($details->delivery_type=='is_credit_note'? 0:0); ?>"  id="paid_now_<?php echo e($key); ?>" type="<?php echo e($details->delivery_type=='is_credit_note'? 'hidden':'text'); ?>" name="paid_now[]" onblur="amount(<?php echo e($key); ?>)" class="form-control paid_now" autocomplete="off">
			   </td>
			   </tr>
				<?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
				 <?php if(count($total_outstanding_details)>0): ?>
					 
				  <input value="<?php echo e(number_format($total_outstanding_details[0]->warehouse,2)); ?>" id="warehouse" type="hidden" name="warehouse"  class="form-control" autocomplete="off">
				 <?php endif; ?>
				<?php endif; ?>	
		   </tbody>
		  </table>
		 </div>  
                  <!--  End add row -->	

	     <div class="container " style="width: 100%;">
	      <div class="row ">
	       <div class="col-md-5 ml-5"></div>
		   
		   <?php if(request()->route('id')): ?>
			<!--<button class="mt-3 btn btn-primary btn-lg">Update</button>
						-->
			<?php else: ?>
			 <button id="submit" name="btnsubmit" class="mt-3 btn btn-primary btn-lg">Save</button>
			<?php endif; ?>
			 <a href="<?php echo e(route('company_colletion_list')); ?>" class="mt-3 btn btn-danger ml-2  btn-lg">Cancel</a>   
		  </div>
				  
		 </div>
	    </form>
	   </div>
	  </div>
	 </div>
	</div>
   </div>
 
<?php echo $__env->make('theme_layout/footer', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>
        
<script> 
  var jq = $.noConflict();
  
  function checkForm(form)
			{ 
		form.btnsubmit.disabled = true;
		return true;
			}
			
   jq(document).ready(function(){
	   
	   jq("#back").click(function(){
		   window.history.back();
	   })
  })			              
  var jq = $.noConflict();
	function amount(key) {
      var outstanding1=jq('#outstanding_'+key+'').val();
      var paid_now1=jq('#paid_now_'+key+'').val();
				// alert("i");
	   if(Number(paid_now1)>Number(outstanding1))
		 {
			 Swal.fire({
				  icon: 'error',
				  title: 'You Can Not Enter Amount Greater Than Outstanding!',
				})
		    
	       document.getElementById("submit").disabled = true;
		 }
		 else
		 {
		  document.getElementById("submit").disabled = false;
	     }
        }
		
		jq(document).ready(function(){
	      var outstanding=jq('#total_outstanding').val();
		   if(outstanding<1)
		   {
			 document.getElementById("submit").disabled = true;
		   }
		
$("#distribution_type").change(function(){
  var distribution_type = jq('#distribution_type').val();
   get_customer(distribution_type);
        });
		 
$("#collection_type").change(function(){
    var collection_type = jq('#collection_type').val();
	  if(collection_type=='2'){
	   jq('#cheque').show();
	   jq('#transfer').hide();
       jq(".paid_now"). prop('readonly', false);			  
		}
		 if(collection_type=='3') {
			jq('#transfer').show();
			jq('#cheque').hide();
			jq(".paid_now"). prop('readonly', false);
		      }
		  
		 if(collection_type=='1')
		  {
			  jq('#transfer').hide();  
			  jq('#cheque').hide();
			  jq(".paid_now"). prop('readonly', false);
		  }
		  
		 if(collection_type=='4')
		  {
			  jq('#transfer').hide();  
			  jq('#cheque').hide();
		      jq(".paid_now"). prop('readonly', true);
		  }
		  
        }); 
		
$("#customer_add").change(function(){
   var customer_add = jq('#customer_add').val();
   var distribution_type = jq('#distribution_type').val();
   location.replace("<?php echo e(URL('outstanding_details/')); ?>"+"/"+distribution_type+'/'+customer_add);
        //get_outstanding(customer_add);
    });
	
$('#distribution_type').SumoSelect({ selectAll:true,search: true,triggerChangeCombined : true});
$('#collection_type').SumoSelect({ selectAll:true,search: true,triggerChangeCombined : true}); 
	function get_customer(distribution_type){
		jq.ajax({
		url: "<?php echo e(URL('order_get_customer/')); ?>"+"/" +distribution_type,       
        type:"GET",
        success:function(respons)
        {
              if(respons){
				jq('#customer_add').html(respons);
				$('#customer_add').SumoSelect({ selectAll:true,search: true,triggerChangeCombined : true});
				
                $('#customer_add')[0].sumo.reload();
				 }
        }
          });
        } // end of get customer function
		
function get_outstanding(customer_add){
	jq.ajax({
	url: "<?php echo e(URL('get_outstanding/')); ?>"+"/" +customer_add,       
    type:"GET",
    success:function(respons){

	if(respons){
		jq('#outstanding').val(respons);
		$('#outstanding').SumoSelect({ selectAll:true,search: true,triggerChangeCombined : true});
	 
	 $('#outstanding')[0].sumo.reload();
				}
              }
           });
         }   // end of get outstanding function
	 });
	
</script>	<?php /**PATH /var/www/html/van_sales_system/resources/views/Company_Transaction/company_colletion.blade.php ENDPATH**/ ?>