<?php echo $__env->make('theme_layout/header', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>
<?php echo $__env->make('theme_layout/nav', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>	
<div class="app-main__outer">                
 <div class="app-main__inner">
  <div class="app-page-title">
   <div class="page-title-wrapper">
	<div class="page-title-heading">
	<div class="page-title-icon">
	 <i class="pe-7s-graph text-success">
	 </i>
    </div> <!--page-title-icon-->
	
        <div>  
         <?php echo e(request()->route('id') ? 'Edit ' : 'Add '); ?> 
	      Salesman
        </div> 
    </div> <!--page-title-heading-->
	
		<div class="page-title-actions"> 
		 <div class="d-inline-block dropdown">
		  <a href="<?php echo e(route('salesman_list')); ?>" class="mt-3 btn btn-primary btn-lg">
			<i class="fa fa-arrow-left fa-w-20"></i> Back</a> 
		 </div>
		</div>
	</div> <!--page-title-wrapper-->
  </div>  <!--app-page-title-->           
					 
		<div class="tab-content"> 
		 <div class="tab-pane tabs-animation fade show active" id="tab-content-0" role="tabpanel">
		  <div class="main-card mb-3 card">
		   <div class="card-body">
		    <form id="form1" class="" onsubmit="return checkForm(this);"
            action="<?php echo e(route('salesman_store')); ?>" method="post" enctype="multipart/form-data"> 
		     <?php echo e(csrf_field()); ?> 
		      <div class="mb-3 card">
		       <div class="card-header card-header-tab-animation">
			    <ul class="nav nav-justified">
			     <li class="nav-item">
				 <a data-toggle="tab" href="#tab-eg115-0" class="active nav-link">Salesman Details</a></li>
			     <li class="nav-item">
				 <a data-toggle="tab" href="#tab-eg115-1" class="nav-link">Transaction Details</a></li>
			     <li class="nav-item">
				 <a data-toggle="tab" href="#tab-eg115-2" class="nav-link">Block Salesman</a></li>
		        </ul>
		      </div> <!--card-header card-header-tab-animation-->
		
		<div class="card-body">
		 <div class="tab-content">
		  <div class="tab-pane active" id="tab-eg115-0" role="tabpanel"> 
		   <div class="form-row">
		    <div class="col-md-4">
		     <div class="position-relative form-group">
		      <label class="font-weight-bold ml-2" for="salesman_type" class="">Salesman Type</label>
		       <select class="mb-2 form-control" name="salesman_type_id" id="salesman_type" required >   
			    <?php if(request()->route('id')): ?>  
			     <?php $__currentLoopData = $salesman_type; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $salesman_type_name): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
				  <option <?php echo e($get_data->salesman_type == $salesman_type_name->id ? 'selected' : ''); ?> value ="<?php echo e($salesman_type_name->id); ?>"> <?php echo e($salesman_type_name->salesman_type_code); ?> - <?php echo e($salesman_type_name->salesman_type_name); ?></option>
				 <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?> 
				<?php else: ?> 
				  <option value=""> </option>
				 <?php $__currentLoopData = $salesman_type; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $salesman_type_name): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
				  <option value ="<?php echo e($salesman_type_name->id); ?>"><?php echo e($salesman_type_name->salesman_type_code); ?> -
				   <?php echo e($salesman_type_name->salesman_type_name); ?></option>
				 <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
			    <?php endif; ?>   
			   </select>
		     </div>    <!--position-relative form-group-->
		    </div> <!--col-md-4-->

		<div class="col-md-4">
		  <div class="position-relative form-group">
		   <label class="font-weight-bold ml-2" for="salesman_code" class="">Salesman Code</label><input maxlength="20" name="salesman_code" id="salesman_code" placeholder="" type="text" class="form-control" value="<?php echo e($last_code); ?>" readonly="readonly" autocomplete="off" required>
		  </div>
		</div>
														 
		<div class="col-md-4">
		 <div class="position-relative form-group">
		  <label class="font-weight-bold ml-2" for="salesman_name" class="">Salesman Name</label><input  maxlength="120"  name="salesman_name" id="salesman_name" placeholder="" type="text" class="form-control" value="<?php echo e(request()->route('id') ? $get_data->salesman_name : ''); ?>" required autocomplete="off"> 
		   <input name="updated_id" id="updated_id" value="<?php echo e(request()->route('id')); ?>" type="hidden" autocomplete="off">
		  </div>
		 </div>
		</div>     <!--form-row-->
		
	
		<div class="form-row">
		 <div class="col-md-4">
		  <div class="position-relative form-group">
		   <label class="font-weight-bold ml-2" for="salesman_password" class="">Salesman Password</label>
		    <input  maxlength="20" name="salesman_password" id="salesman_password" type="password" class="form-control" value="<?php echo e(request()->route('id') ? $get_data->salesman_password : ''); ?>" autocomplete="off" required>
		  </div>
		</div>
				
		<div class="col-md-4">
		 <div class="position-relative form-group">
		   <label class="font-weight-bold ml-2" for="contact_number" class="">Contact Number</label>
			<input required type="text" name="contact_number" maxlength="15" id="myinput" value="<?php echo e(request()->route('id') ? $get_data->contact_number : ''); ?>" class="form-control"  onkeypress="return isNumberKey(event)" autocomplete="off" />
		  </div>
		</div>

		<div class="col-md-4">
		 <div class="position-relative form-group">
		   <label class="font-weight-bold ml-2" for="erp_employee_code" class="">ERP Employee Code</label><input  maxlength="120" name="erp_employee_code" id="erp_employee_code" placeholder="" type="text" class="form-control" value="<?php echo e(request()->route('id') ? $get_data->erp_employee_code : ''); ?>" autocomplete="off" readonly >
		  </div>
		 </div> 
		</div>     <!--form-row-->
	
		<div class="form-row">
		<?php
		 $img= request()->route('id');
		?>
		 <?php if($img!=''): ?>
		 <?php if($get_data->salesman_picture!=''): ?>		
	      <div class="col-md-4">
	       <div class="position-relative form-group">
		    <label class="font-weight-bold ml-2" for="salesman_picture" class="">Salesman Picture</label>
	         <a class="image-link" href="<?php echo e(asset('storage/app/'.$get_data->salesman_picture)); ?>">View image</a>
	          <input  maxlength="250"  name="salesman_picture" id="salesman_picture" placeholder="" type="file" class="form-control" autocomplete="off">
	       </div>
          </div>
	    <?php else: ?>		
         <div class="col-md-4">
	      <div class="position-relative form-group">
	       <br>
	       <br>
		    <label class="font-weight-bold ml-2" for="salesman_picture" class="">Salesman Picture is not uploaded</label>
	        <input  maxlength="250"  name="salesman_picture" id="salesman_picture" placeholder="" type="file" class="form-control" autocomplete="off">
	       </div>  
	      </div>
	     <?php endif; ?>
        <?php else: ?>
	     <div class="col-md-4">
	      <div class="position-relative form-group">
		   <label class="font-weight-bold ml-2" for="salesman_picture" class="">Salesman Picture</label> 
		    <input  maxlength="250"  name="salesman_picture" id="salesman_picture" placeholder="" type="file" class="form-control" autocomplete="off">
	       </div>
	      </div>	
	     <?php endif; ?> 
	      <div class="col-md-4">
	       <div class="position-relative form-group ">
	        <label class="font-weight-bold ml-2" for="route" class="">Route</label><select class="mb-2 form-control country1" name="routename" id="routename" required > 
	     <?php if(request()->route('id')): ?> 
	      <?php $__currentLoopData = $route; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $routename): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
		   <option <?php echo e($get_data->route_id == $routename->id ? 'selected' : ''); ?> value  ="<?php echo e($routename->id); ?>"><?php echo e($routename->route_code); ?> - <?php echo e($routename->route_name); ?></option>
		  <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?> 
		 <?php else: ?>  
		   <option value=""> </option>
		  <?php $__currentLoopData = $route; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $routename): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
		   <option value ="<?php echo e($routename->id); ?>"><?php echo e($routename->route_code); ?> - <?php echo e($routename->route_name); ?></option>
		  <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
		 <?php endif; ?>
		</select> 
	  </div>
	</div> <!--col-md-4-->
	  
	   <div class="col-md-4">
		<div class="position-relative form-group "><label class="font-weight-bold ml-2" for="route" class="">Warehouse</label>
		</select> 
		<input  maxlength="250"  name="warehouse_id" id="warehouse" placeholder="" type="hidden" class="form-control" autocomplete="off">
		<input  maxlength="250"  name="vwarehouse" id="vwarehouse" placeholder="" type="text" class="form-control" autocomplete="off" readonly>
	   </div> 
	  </div>
	</div> <!--form-row-->
	
	    <div class="form-row">
	     <div class="col-md-4">
		  <div class="position-relative form-group">
		   <label for="status" class="ml-2 font-weight-bold">Status</label>
			<select class="mb-2 form-control" name="status" id="status" required > 
			 <?php if(request()->route('id')): ?> 
			  <option> </option>
			  <option <?php echo e($get_data->status == 'active' ? 'selected' : ''); ?> value ="active">Active</option>
			  <option <?php echo e($get_data->status == 'inactive' ? 'selected' : ''); ?>   value="inactive">Inactive</option>
			 <?php else: ?> 
			  <option> </option>
			  <option value ="active">Active</option>
			  <option value="inactive">Inactive</option>
			 <?php endif; ?> 
			</select>
		  </div>
		 </div> <!--col-md-4-->
	   </div> <!--form-row-->	
	  </div>      <!--tab-pane active-->
                                                
		<div class="tab-pane" id="tab-eg115-1" role="tabpanel">
		 <div class="form-row">
		  <div class="col-md-4">
		   <div class="position-relative form-group">
		    <label class="font-weight-bold ml-2" for="customer_from" class="">Customer From</label>
			<input  maxlength="20" name="customer_from" id="customer_from" placeholder="" type="text" class="form-control" value="<?php echo e(request()->route('id') ? $get_data->customer_from : ''); ?>" autocomplete="off" required>
		   </div> 
		 </div>
														  
		<div class="col-md-4">
		 <div class="position-relative form-group">
		   <label class="font-weight-bold ml-2" for="invoice_from" class="">Invoice From</label>
		    <input  maxlength="20" name="invoice_from" id="invoice_from" placeholder="" type="text" class="form-control" value="<?php echo e(request()->route('id') ? $get_data->invoice_from : ''); ?>" autocomplete="off" required>
		  </div>
		</div>
																
		<div class="col-md-4">
		 <div class="position-relative form-group">
		  <label class="font-weight-bold ml-2" for="order_from" class="">Order From</label>
		  <input  maxlength="20" name="order_from" id="order_from" placeholder="" type="text" class="form-control" value="<?php echo e(request()->route('id') ? $get_data->order_from : ''); ?>" autocomplete="off" required>
		 </div>
		</div>
	   </div>      <!--form-row-->

		<div class="form-row"> 
		 </div>
		  <div class="form-row">
		   <div class="col-md-4">
			<div class="position-relative form-group">
			 <label class="font-weight-bold ml-2" for="delivery_from" class="">Delivery From</label>
			 <input  maxlength="20" name="delivery_from" id="delivery_from" placeholder="" type="text" class="form-control" value="<?php echo e(request()->route('id') ? $get_data->delivery_from : ''); ?>" autocomplete="off" required>
		  </div>
		</div>
   
		<div class="col-md-4">
		 <div class="position-relative form-group">
		   <label class="font-weight-bold ml-2" for="collection_from" class="">Collection From 
			</label>
		   <input  maxlength="20" name="collection_from" id="collection_from" placeholder="" type="text" class="form-control" value="<?php echo e(request()->route('id') ? $get_data->collection_from : ''); ?>" autocomplete="off" required>
		  </div>
		</div>
	
		<div class="col-md-4">
		  <div class="position-relative form-group">
		   <label class="font-weight-bold ml-2" for="return_order_from" class=""> Return Order From</label>
		   <input  maxlength="20" name="return_order_from" id="return_order_from" placeholder="" type="text" class="form-control" value="<?php echo e(request()->route('id') ? $get_data->return_order_from : ''); ?>" autocomplete="off" required>
		  </div>
		 </div>
		</div>      <!--form-row-->
	
		<div class="form-row">
		 </div>
		  <div class="form-row">
		   <div class="col-md-4">
		    <div class="position-relative form-group">
		     <label class="font-weight-bold ml-2" for="exchange_from" class="">Exchange From</label>
			 <input  maxlength="20" name="exchange_from" id="exchange_from" placeholder="" type="text" class="form-control" value="<?php echo e(request()->route('id') ? $get_data->exchange_from : ''); ?>" autocomplete="off" required>
		  </div>
		</div>
			 
		<div class="col-md-4">
		 <div class="position-relative form-group">
		  <label class="font-weight-bold ml-2" for="load_from" class="">Load From</label>
		   <input  maxlength="20" name="load_from" id="load_from" placeholder="" type="text" class="form-control" value="<?php echo e(request()->route('id') ? $get_data->load_from : ''); ?>" autocomplete="off" required></div>
		  </div>
		 </div>
		</div>      <!--tab-pane-->

		<div class="tab-pane" id="tab-eg115-2" role="tabpanel">
		 <div class="form-row">
		  <div class="col-md-4">
			<div class="position-relative form-group">
			 <label class="font-weight-bold ml-2" for="block_from_date" class="">Block From Date  </label>
			  <input  maxlength="120" name="block_from_date" id="block_from_date" placeholder="" type="date" class="form-control" value="<?php echo e(request()->route('id') ? $get_data->block_from_date : ''); ?>" autocomplete="off">
		   </div>
		 </div>
		 
	    <div class="col-md-4">
		 <div class="position-relative form-group">
		  <label class="font-weight-bold ml-2" for="block_to_date" class="">Block To Date</label>
		   <input  maxlength="120" name="block_to_date" id="block_to_date" placeholder="" type="date" class="form-control" value="<?php echo e(request()->route('id') ? $get_data->block_to_date : ''); ?>" autocomplete="off"></div>
	      </div>
         </div> <!--form-row-->
        </div> <!--tab-pane-->
       </div> <!--tab-content-->
      </div> <!--card-body-->
     </div> <!--mb-3 card-->
								
        <div class="form-row">
		 <div class="col-md-5"></div>
		  <?php if(request()->route('id')): ?>
		   <button name="btnsubmit" class="mt-3 btn btn-primary btn-lg">Update</button>
		  <?php else: ?> 
		   <button name="btnsubmit" class="mt-3 btn btn-primary btn-lg">Save</button>
		  <?php endif; ?>
		   <div class="col-md-0.5"></div>
		   <a href="<?php echo e(route('salesman_list')); ?>" class="mt-3 btn btn-danger  btn-lg">Cancel</a>
	      </div>
         </form>
        </div> <!--card-body-->
       </div> <!--main-card mb-3 card-->
      </div> <!--tab-pane tabs-animation fade show active-->
     </div> <!--tab-content-->
    <?php echo $__env->make('theme_layout/footer', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>
<script>
 var jq = $.noConflict();
 function checkForm(form)
  {
     
    form.btnsubmit.disabled = true;
    return true;
  }
	function isNumberKey(evt)
			{
				var charCode = (evt.which) ? evt.which : evt.keyCode;
				if (charCode != 46 && charCode > 31 
				&& (charCode < 48 || charCode > 57))
				return false;
				return true;
			}  
   jq(document).ready(function(){
	   
	   <?php if(request()->route('id')!='') 
	  {
		  ?>
	   route='';
	   var route =  jq('#routename').val();
	   //alert(salesman_id);
	     get_warehouse(route);
	  
	  <?php
	   }
	   ?>
	   $('#salesman_type').SumoSelect({ selectAll:true,search: true,triggerChangeCombined : true});
	   $('#routename').SumoSelect({ selectAll:true,search: true,triggerChangeCombined : true});
	   var route = '';
	   $("#routename").change(function(){
		 var route =  jq('#routename').val();
		 
           get_warehouse(route);  
		
		});
		
		function get_warehouse(route)
     {
		 //alert(city);
		 jq.ajax({
		      url: "<?php echo e(URL('get_warehouse_2')); ?>" +"/" + route,
              type:"GET",
              
          success:function(respons)
          {
			  var data=respons.split("-");
            
				jq('#warehouse').val(data[0]);
				jq('#vwarehouse').val(data[2]+' - '+data[1]);
			
         
          }
       });
     }
	 

	});
</script><?php /**PATH /var/www/html/van_sales_system/resources/views/Master_Configuration/salesman.blade.php ENDPATH**/ ?>