<?php
namespace App\Http\Controllers;
use Illuminate\Http\Request;
use App\Models\BrandTypeModel;
use App\Models\ManageCodeModel;
use App\Models\TypeModel;
use Session;

class BrandTypeController extends Controller
 {
  public function list()
   {
	  $get_data = BrandTypeModel::all()->sortByDesc('id');
				
	  return view('Parameters_Configuration.brand_type_list',compact('get_data'));
   }
		
  public function add()
   { 
	  $result =BrandTypeModel::get()->sortByDesc('id')->first();
	  if($result=='') 
	    {		  
		  $getcode = ManageCodeModel::where('id', 1)->first();
		  $last_code = $getcode->brand_code;
		}	
	  else
	    {
		   $getcode = $result->brand_code; 
		   $last_code = ++$getcode;
		}
	   $material_type =TypeModel::all()->sortByDesc('id')->where('status', '=', 'active');
		
	   return view('Parameters_Configuration.brand_type',compact('last_code','material_type'));
		
	}
		
   public function edit($id)
    {
		$get_data=BrandTypeModel::find($id);
		$last_code = $get_data->brand_code;
		$material_type =TypeModel::all()->sortByDesc('id')->where('status', '=', 'active');	
		return view('Parameters_Configuration.brand_type',compact('get_data','last_code','material_type'));
	 }
	   
   public function save(Request $request)
	{
	   $data=new BrandTypeModel;
		 if($request->updated_id) 
		   {			
		     $data = BrandTypeModel::find($request->updated_id);
			 $data->brand_code=$request->brand_code;
			 $data->brand_name=$request->brand_name;
			 $data->material_type=$request->material_type;
			 $data->updated_user= Session::get('user_id');
			 $data->status=$request->status;
			 $data->save();
		     return redirect(route('brand_type_list'))->with('successMessage','Brand Type Updated Successfully');
		   }
		 else
		   {
			 $data->brand_code=$request->brand_code;
			 $data->brand_name=$request->brand_name;
			 $data->material_type=$request->material_type;
			 $data->created_user= Session::get('user_id');
			 $data->status=$request->status;
			 $data->save();
		     return redirect(route('brand_type_list'))->with('successMessage','Brand Type Added Successfully');
		   } 
    }

 }
