<?php

namespace App\Http\Controllers;
use App\Models\SalesmanModel;
use App\Models\RouteModel;
use App\Models\CompetitorModel;
use App\Models\WarehouseModel;
use Illuminate\Support\Facades\DB;
use Session;
use Carbon\Carbon;
use Illuminate\Http\Request;

class CompetitorController extends Controller
{
    public function list(Request $request)
    { 
	//dd($request);
	
	$current_date=date("Y-m-d");
	
      $where="";		
	  if(count($request->all()) < 1)
	  {
		 $where .= " AND DATE_FORMAT(riheader.created_at, '%Y-%m-%d') between '".$current_date."' and '".$current_date."'"; 
	  }
	  
	  if($request->fromdate!='')
	     {
		    $where .= " AND DATE_FORMAT(riheader.created_at, '%Y-%m-%d') between '".$request->fromdate."' and '".$request->todate."'"; 
	     }
		  
		 if($request->salesman!='')
	     {
		   $where .= "AND salesman.id = '".$request->salesman."'";
	     }
		  
		$route =RouteModel::all()->sortByDesc('id')->where('status', '=', 'active');
		//$warehouse=WarehouseModel::all()->sortByDesc('id')->where('status', '=', 'active');
		$salesman=SalesmanModel::all()->sortByDesc('id')->where('salesman_type_id', '=', '3')->where('status', '=', 'active');
		 
        $get_data = DB::select("SELECT riheader.*, salesman.salesman_name,salesman.salesman_code
		
		FROM tbl_competitor as riheader
		 
		LEFT JOIN tbl_salesman as salesman on riheader.salesman_id=salesman.id 
		
		WHERE riheader.id IS NOT NULL ".$where." ORDER BY id DESC ");
	
//dd($get_data);
	 
	return view('Merchandising.competitor_list',compact('get_data','route','salesman'));
		
	}
	
	public function view($id)
		{   
 
		$get_data = DB::table('tbl_competitor')
				
				->leftJoin('tbl_salesman', 'tbl_competitor.salesman_id', '=', 'tbl_salesman.id')
				->leftJoin('tbl_route', 'tbl_competitor.route_id', '=', 'tbl_route.id')
			       ->select('tbl_competitor.*', 'tbl_salesman.salesman_code', 'tbl_salesman.salesman_name', 'tbl_route.route_code', 'tbl_route.route_name')
			       ->where('tbl_competitor.id',$id)
                   ->get()->first();
			   
	   //dd($get_data);
		
       return view('Merchandising.competitor_view',compact('get_data'));  
		//dd($get_data);   
    }
	
}
