<?php

namespace App\Http\Controllers;
use Illuminate\Http\Request;
use App\Models\CountryTypeModel;
use App\Models\ManageCodeModel;
use Session;

class CountryController extends Controller
 {
   
   public function list()
	{
		//$get_data=CountryTypeModel::get()->all();
		
		$get_data = CountryTypeModel::all()->sortByDesc('id');
		
		//dd($get_data);
		
		return view('Parameters_Configuration.country_list',compact('get_data'));
	}
	
   public function add()
	{ 
		 $result =CountryTypeModel::get()->sortByDesc('id')->first();
		if($result=='')
	      {
			$getcode = ManageCodeModel::where('id', 1)->first();
			$last_code = $getcode->country_code;
		  }
		else
		  {
			 $getcode = $result->country_code; 
			 $last_code = ++$getcode;
		  } 
			return view('Parameters_Configuration.country',compact('last_code'));
	}

   public function edit($id)
	{
		$get_data=CountryTypeModel::find($id);
		$last_code = $get_data->country_code;
		
		return view('Parameters_Configuration.country',compact('get_data','last_code'));
	}

   public function save(Request $request)
	{
		$data=new CountryTypeModel;			
		if($request->updated_id) 
		  {
			$data = CountryTypeModel::find($request->updated_id);
			$data->country_code=$request->country_code;
			$data->country_name=$request->country_name;
			$data->updated_user= Session::get('user_id');
			$data->status=$request->status;
			$data->save();
			return redirect(route('country_type_list'))->with('successMessage','Country Updated Successfully');
		  } 
	    else 
	      {
			$data->country_code=$request->country_code;
			$data->country_name=$request->country_name;
			$data->created_user= Session::get('user_id');
			$data->status=$request->status;
			$data->save();
			return redirect(route('country_type_list'))->with('successMessage','Country Added Successfully');
		  }	
		
	 }
	
 }

