<?php

namespace App\Http\Controllers;
use App\Models\RouteModel;
use App\Models\SalesAreaModel;
use App\Models\CustomerVisitPlanModel;
use Carbon\Carbon;
use Session;
use Illuminate\Support\Facades\DB;

use Illuminate\Http\Request;

class CustomerVisitPlanController extends Controller
 {
   public function add(Request $request)
	{	
	  $where="";
		 
	  if($request->route!='')
		{
			$where .= "AND riheader.route_id = '".$request->route."'";
		}
		
		
			$route =RouteModel::all()->sortByDesc('id')->where('status', '=', 'active');
			$salesarea=SalesAreaModel::all()->sortByDesc('id')->where('status', '=', 'active');
			$get_data = DB::select("SELECT riheader.id,riheader.customer_code,riheader.customer_name,riheader.contact_no
		
			FROM  tbl_customer as riheader
			
			WHERE riheader.status='active' ".$where."  ");
			
		   return view('Route_Configuration.customer_visit_plan',compact('route','salesarea','get_data'));
     }
	 
	public function addfilter(Request $request)
	{	
	
	  $where="";
		 
	  if($request->route!='')
		{
			$where .= "AND riheader.route_id = '".$request->route."'";
		}
		
			$route =RouteModel::all()->sortByDesc('id')->where('status', '=', 'active');
			$salesarea=SalesAreaModel::all()->sortByDesc('id')->where('status', '=', 'active');
			$get_data = DB::select("SELECT riheader.id,riheader.customer_code,riheader.customer_name,riheader.contact_no
		
			FROM  tbl_customer as riheader
			
			WHERE riheader.status='active' ".$where."  ");
			
		   return view('Route_Configuration.customer_visit_plan',compact('route','salesarea','get_data'));
     }
	 
	public function edit($header_id)
	 {
		 
            $route =RouteModel::all()->sortByDesc('id')->where('status', '=', 'active');
			$salesarea=SalesAreaModel::all()->sortByDesc('id')->where('status', '=', 'active');
			
			$get_data_header =DB::table('tbl_route_visit_plan_header')
			->select('tbl_route_visit_plan_header.*')
			->where('tbl_route_visit_plan_header.id', '=', $header_id)->get()->first();

			$get_data =DB::table('tbl_route_visit_plan_details')
	 
			->leftJoin('tbl_customer', 'tbl_route_visit_plan_details.customer_id', '=', 'tbl_customer.id')
			->select('tbl_route_visit_plan_details.*','tbl_customer.customer_code','tbl_customer.customer_name','tbl_customer.contact_no')->where('tbl_route_visit_plan_details.header_id', '=', $header_id)->get()->all();
			
		
			return view('Route_Configuration.customer_visit_plan_edit',compact('route','salesarea','get_data','get_data_header'));
	 
	 }
		
	public function get_route($id1)
	 {
		
		$get_data=RouteModel::all()->sortByDesc('id')->where('sales_area_id', '=', $id1)->where('status', '=', 'active');		
		?>
		<option  value="">     </option>
		<?php
		foreach($get_data as $routename)
		  {
			 ?>
			 <option value="<?php echo $routename->id ?>" ><?php echo $routename->route_code." - ".$routename->route_name ?></option>					
			 <?php		
		  }
	 }
			
	public function get_route_selected($id1,$route)
	 {
	    
		$get_data=RouteModel::all()->sortByDesc('id')->where('sales_area_id', '=', $id1)->where('status', '=', 'active');		
		?>
		
		<?php
		foreach($get_data as $routename)
			{
				?>
				<option <?php if($routename->id==$route){ echo "selected";} ?> value="<?php echo $routename->id ?>" ><?php echo $routename->route_code." - ".$routename->route_name ?></option>					
				<?php		
			}
	 }
	 
	 public function list()
     {
			//$get_data = CustomerModel::all()->sortByDesc('id');
			$get_data = DB::table('tbl_route_visit_plan_header')
			->leftJoin('tbl_route', 'tbl_route_visit_plan_header.route_id', '=', 'tbl_route.id')
			->leftJoin('tbl_sales_area', 'tbl_route_visit_plan_header.sales_area_id', '=', 'tbl_sales_area.id')
			
		    ->select('tbl_route_visit_plan_header.*','tbl_sales_area.sales_area_name','tbl_sales_area.sales_area_code','tbl_route.route_code','tbl_route.route_name')
		    ->orderBy('id', 'DESC')
			->get();
			
			return view('Route_Configuration.route_visite_plan_list',compact('get_data'));
	 }
	
	public function save(Request $request)
	 {
		if($request->updated_id!='')
		 {
			
			DB::table('tbl_route_visit_plan_details')
			->where('tbl_route_visit_plan_details.header_id','=',$request->updated_id)
			 ->delete();
			
			 foreach($request->customer_name as $key => $n)
		         {
			  
					 $insert_data=array();
					  
					 
					 $insert_data['customer_id'] = $request->cust_id[$key ];
					 $insert_data['header_id'] = $request->updated_id;
			
				 if(isset($request->monseq))
				   { 
					 if(array_key_exists($request->cust_id[$key], $request->monseq)) 
					   {
						   $insert_data['mon'] =1; 
					
						}
					}
					
				 
					  if(isset($request->tueseq))
						{ 
							 
						   if(array_key_exists($request->cust_id[$key], $request->tueseq)) 
							 {
								  
							   $insert_data['tue'] =1;
						
							 }
						 }
				 
				 
					   if(isset($request->thuseq))
						 { 
						   if(array_key_exists($request->cust_id[$key], $request->thuseq)) 
							 {
							   $insert_data['thu'] =1;
						
							 }
						 }
				 
					   if(isset($request->wedseq))
						 { 
						   if(array_key_exists($request->cust_id[$key], $request->wedseq)) 
							 {
							  $insert_data['wed'] =1;
						
							 }
						 }
				 
					   if(isset($request->friseq))
						 { 
						   if(array_key_exists($request->cust_id[$key], $request->friseq)) 
							 {
							  $insert_data['fri'] =1;
						
							 }
						 }
				 
					   if(isset($request->satseq))
						 { 
						   if(array_key_exists($request->cust_id[$key], $request->satseq)) 
							 {
							 $insert_data['sat'] =1;
						
							 }
						 }
						 
				 
					   if(isset($request->sunseq))
						 { 
						   if(array_key_exists($request->cust_id[$key], $request->sunseq)) 
							 {
							  $insert_data['sun'] =1;
						
							 }
						 }
				 
				      DB::table('tbl_route_visit_plan_details')->insert($insert_data);
			    
				
                 }
		
		   return redirect(route('customer_visit_plan_list'))->with('successMessage','Route Visit Plan Updated Successfully');
		 }
		 
         else
         {			 
		   $check_plan = DB::table('tbl_route_visit_plan_header')
			->select('tbl_route_visit_plan_header.route_id', 'tbl_route_visit_plan_header.valid_from','tbl_route_visit_plan_header.valid_to','tbl_route_visit_plan_header.for_visit_plan')
			->where('tbl_route_visit_plan_header.route_id','=',$request->route_id)
			->where('tbl_route_visit_plan_header.for_visit_plan','=', $request->for_visit_plan)
			->where('tbl_route_visit_plan_header.valid_to','>=',$request->valid_from)
			->get();
             			  
			 if($request->valid_from >= $request->valid_to)
			 {
				    echo '2'; 
			 }
           else if(count($check_plan)>0)
			{
					 echo '1';
			}			 
            else
		       {
				    $data3=array
					   (
						 'route_id'        =>  $request->route_id,
						 'sales_area_id'        =>  $request->sales_area,
						 'valid_from'      =>  $request->valid_from,
						 'valid_to'        =>  $request->valid_to,
						 'for_visit_plan'  =>  $request->for_visit_plan,
					   );
				 
		            $header_id =DB::table('tbl_route_visit_plan_header')->insertGetId($data3);
		  
		        foreach($request->customer_name as $key => $n)
		         {
			  
					 $insert_data=array();
					  
					 
					 $insert_data['customer_id'] = $request->cust_id[$key ];
					 $insert_data['header_id'] = $header_id;
			
				 if(isset($request->monseq))
				   { 
					 if(array_key_exists($request->cust_id[$key], $request->monseq)) 
					   {
						   $insert_data['mon'] =1; 
					
						}
					}
				 
					  if(isset($request->tueseq))
						{ 
							 
						   if(array_key_exists($request->cust_id[$key], $request->tueseq)) 
							 {
								  
							   $insert_data['tue'] =1;
						
							 }
						 }
				 
				 
					   if(isset($request->thuseq))
						 { 
						   if(array_key_exists($request->cust_id[$key], $request->thuseq)) 
							 {
							   $insert_data['thu'] =1;
						
							 }
						 }
				 
					   if(isset($request->wedseq))
						 { 
						   if(array_key_exists($request->cust_id[$key], $request->wedseq)) 
							 {
							  $insert_data['wed'] =1;
						
							 }
						 }
				 
					   if(isset($request->friseq))
						 { 
						   if(array_key_exists($request->cust_id[$key], $request->friseq)) 
							 {
							  $insert_data['fri'] =1;
						
							 }
						 }
				 
					   if(isset($request->satseq))
						 { 
						   if(array_key_exists($request->cust_id[$key], $request->satseq)) 
							 {
							 $insert_data['sat'] =1;
						
							 }
						 }
				 
					   if(isset($request->sunseq))
						 { 
						   if(array_key_exists($request->cust_id[$key], $request->sunseq)) 
							 {
							  $insert_data['sun'] =1;
						
							 }
						 }
				 
				      DB::table('tbl_route_visit_plan_details')->insert($insert_data);
			    
				
                 }
				                   
				Session::put('successMessage', 'Route Visit Plan Added Successfully' );
								   
		       }
				 
		 }
			   
		 
	}
	 
 }
