<?php

namespace App\Http\Controllers;
use Illuminate\Http\Request;
use App\Models\DiscountTypeModel;
use App\Models\ManageCodeModel;
use Session;

class DiscountTypeController extends Controller
 {
   public function list()
	{
		$get_data = DiscountTypeModel::all()->sortByDesc('id');
	
		return view('Parameters_Configuration.discount_type_list',compact('get_data'));
	}
	 
   public function add()
	{ 
		$result =DiscountTypeModel::get()->sortByDesc('id')->first();
		if($result=='')
		  {
		    $getcode = ManageCodeModel::where('id', 1)->first();
		    $last_code = $getcode->discount_code;
		
		  }
	    else
	      {
			 $getcode = $result->discount_code; 
			 $last_code = ++$getcode;
		  }
		     return view('Parameters_Configuration.discount_type',compact('last_code'));
	 }
	
    public function edit($id)
	 {
		$get_data=DiscountTypeModel::find($id);
		$last_code = $get_data->discount_code;
		
		return view('Parameters_Configuration.discount_type',compact('get_data','last_code'));
	 }
		
	public function save(Request $request)
	 {	
		$data=new DiscountTypeModel;
			
		if($request->updated_id)
		  {
			
			$data = DiscountTypeModel::find($request->updated_id);
			$data->discount_code=$request->discount_code;
			$data->discount_plan_name=$request->discount_plan_name;
			$data->updated_user= Session::get('user_id');
			$data->status=$request->status;
			$data->save();
			return redirect(route('discount_type_list'))->with('successMessage','Discount Type Updated Successfully');
	
		  }
		else
		  {
			
			$data->discount_code=$request->discount_code;
			$data->discount_plan_name=$request->discount_plan_name;
			$data->created_user= Session::get('user_id');
			$data->status=$request->status;
			$data->save();
			return redirect(route('discount_type_list'))->with('successMessage','Discount Type Added Successfully');			
		  }	
    		
	 }
 }
