<?php

namespace App\Http\Controllers;
use Illuminate\Http\Request;
use App\Models\ExpenseTypeModel;
use App\Models\ManageCodeModel;
use App\Models\ExpenseTypeCategorymModel;
use Illuminate\Support\Facades\DB;
use Session;

class ExpenseTypeController extends Controller
 {
   public function list()
    {
			  
		//$get_data = ExpenseTypeModel::all()->sortByDesc('id');
		
		$get_data = DB::table('tbl_expense_type')
			
			->leftJoin('tbl_expense_category', 'tbl_expense_type.expense_category', '=', 'tbl_expense_category.id')
		   
		   ->select('tbl_expense_type.*','tbl_expense_category.expense_category_code','tbl_expense_category.expense_category')
			->get()->all();

		 return view('Parameters_Configuration.expense_type_list',compact('get_data'));
	 }
		  
	public function add()
	 { 	
		 $result =ExpenseTypeModel::get()->sortByDesc('id')->first();
		 $expense_cat=ExpenseTypeCategorymModel::all()->sortByDesc('id');
		 
		 if($result=='')
		   {
			 $getcode = ManageCodeModel::where('id', 1)->first();
			 $last_code = $getcode->expense_code;
			
		   }
		 else
		   {
			 $getcode = $result->expense_code; 
			 $last_code = ++$getcode;
		   }
			return view('Parameters_Configuration.expense_type',compact('last_code','expense_cat'));
	  }
		
     public function edit($id)
	  {
		$expense_cat=ExpenseTypeCategorymModel::all()->sortByDesc('id');
		$get_data=ExpenseTypeModel::find($id);
		$last_code = $get_data->expense_code;
		
		return view('Parameters_Configuration.expense_type',compact('get_data','last_code','expense_cat'));
	  }
		
	 public function save(Request $request)
	  {
	
		 $data=new ExpenseTypeModel;
		
		 if($request->updated_id)
		   {
				
			 $data = ExpenseTypeModel::find($request->updated_id);
			 $data->expense_code=$request->expense_code;
			 $data->expense_name=$request->expense_name;
			 $data->expense_category=$request->expense_category;
			 $data->updated_user= Session::get('user_id');
			 $data->status=$request->status;
			 $data->save();
			 return redirect(route('expense_type_list'))->with('successMessage','Expense Type Updated Successfully');
	
		   }
		 else
			
		   {
			
				$data->expense_code=$request->expense_code;
				$data->expense_name=$request->expense_name;
				$data->expense_category=$request->expense_category;
				$data->created_user= Session::get('user_id');
				$data->status=$request->status;
				$data->save();
				return redirect(route('expense_type_list'))->with('successMessage','Expense Type Added Successfully');
			
			}	
    	
      }
 }
