<?php

namespace App\Http\Controllers;
use Illuminate\Support\Collection;
use App\Models\MenuModel;
use App\Models\SubMenuModel;
use App\Exports\MenuSubmenuExport;
use Maatwebsite\Excel\Facades\Excel;
use PDF;
use DB; 
use Illuminate\Http\Request;

class ImportExportController extends Controller
{
   public function export_data()
   
   {
	   $menu_data =MenuModel::whereIn('id', [  5, 13, 7, 15, 6, 10])->get(); 
	  
	   
	   
	   return view('Import_Export.export_data',compact('menu_data')); 
	   
	    
	   
   }
   public function get_submenu($menu_id)
   {
	   if($menu_id == '10'){
		   
		   $data =SubMenuModel::whereIn('id', [180])->get(); 
		   
	    }
	    
		elseif($menu_id == '6'){
		   
		   $data =SubMenuModel::whereIn('id', [95,97])->get(); 
		   
	    }
	
	
		elseif($menu_id == '13'){
			$data =SubMenuModel::whereIn('id', [106,109,112,115,118,121,124,127,130,133,136,139,142,145,148,151,154,157,160,163,169,172,186,200,201,202,203,279,291,296,348])->get();  
			
		}
		else{
			$data =SubMenuModel::select('sub_menu_name','id')->where('menu_id','=',$menu_id)->where('visible_menu','=',1)->take(100)->get();
			
		}
		$html = '';
      if(count($data) > 0) {
        foreach($data as $submenu_name) {
			$html .='<option value=""></option>';
            $html .= '<option class="opt_v1" value="' . $submenu_name->id . '">'. $submenu_name->sub_menu_name;
            $html .= "</option>";
        }
		
      return response()->json($html);//then sent this data to ajax success 
	}
   }
         
   public function export(Request $request)
	{	
	  /*  dd($request); */  
     if($request->download_type=='1')	
     {
	 	    $menu_id=$request->tbl_menu_data;
		    $submenu_id=$request->tbl_submenu_data;
		 
	 	  return Excel::download(new MenuSubmenuExport($menu_id,$submenu_id),'invoices.xlsx'); 
	 }
	   else 
	 {	
            $menu_id=$request->tbl_menu_data;
		    $submenu_id=$request->tbl_submenu_data;
			   
		  return  Excel::download(new MenuSubmenuExport($menu_id,$submenu_id),'invoices.pdf'); 
	  }      
    }
     
}