<?php

namespace App\Http\Controllers;
use Illuminate\Http\Request;
use App\Models\MaterialCategoryModel;
use App\Models\ManageCodeModel;
use App\Models\TypeModel;
use Illuminate\Support\Facades\DB;
use Session;

class MaterialCategoryController extends Controller
 {
    public function list()
     {
		//$get_data = MaterialCategoryModel::all()->sortByDesc('id');
		$get_data = DB::table('tbl_material_category')
		->leftJoin('tbl_type', 'tbl_material_category.material_type_id', '=','tbl_type.id') 
		
		->select('tbl_material_category.*', 'tbl_type.type')
		->orderBy('id', 'DESC')->get();
		return view('Parameters_Configuration.material_category_list',compact('get_data'));
	 }
		
	public function add()
	 { 
		 $result = DB::table('tbl_material_category')
			 ->select('tbl_material_category.*')->get()->sortByDesc('id')->first();			 
		
		//	$result =MaterialCategoryModel::get()->sortByDesc('id')->first();
			if($result=='')
		      {
				$getcode = ManageCodeModel::where('id', 1)->first();
				$last_code = $getcode->category_code;
			
			  }
			else
			
			  {
				 $getcode = $result->category_code; 
				 $last_code = ++$getcode;
			  }
			$material_type =TypeModel::all()->sortByDesc('id')->where('status', '=', 'active');
			return view('Parameters_Configuration.material_category',compact('last_code','material_type'));
	  }
	
     public function edit($id)
	  {
		$get_data=MaterialCategoryModel::find($id);
		$last_code = $get_data->category_code;
		$material_type =TypeModel::all()->sortByDesc('id')->where('status', '=', 'active');
		return view('Parameters_Configuration.material_category',compact('get_data','last_code','material_type'));
	  }
	
	 public function save(Request $request)
	  {

		$data=new MaterialCategoryModel;
				
		if($request->updated_id) 
		  {
		
			$data = MaterialCategoryModel::find($request->updated_id);
			$data->category_code=$request->category_code;
			$data->material_type_id=$request->material_type;
			$data->category_name=$request->category_name;
			$data->updated_user= Session::get('user_id');
			$data->status=$request->status;
			$data->save();
			return redirect(route('material_category_list'))->with('successMessage','Material Category Updated Successfully');	
		   }
		 else 
		   {			
			$data->category_code=$request->category_code;
			$data->material_type_id=$request->material_type;
			$data->category_name=$request->category_name;
			$data->created_user= Session::get('user_id');
			$data->status=$request->status;
			$data->save();
		    return redirect(route('material_category_list'))->with('successMessage','Material Category  Added Updated Successfully');
			
		   }	    	
      }

 }
