<?php

namespace App\Http\Controllers; 
use Illuminate\Http\Request;
use App\Models\RegionTypeModel;
use App\Models\SubRegionTypeModel;
use App\Models\WarehouseModel;
use App\Models\PendingCustomerReportModel;
use Session;
use Illuminate\Support\Facades\DB;

class PendingCustomerReportController extends Controller
{
  public function report()
   {
	  $region =RegionTypeModel::all()->sortByDesc('id')->where('status', '=', 'active');
	  foreach($region as $key=> $reg){

            $all_region[$key] = $reg->id; 
		 
	   }
     
      $regId=implode(",",$all_region);
	  
	  return view('Report.pending_customer_report_list',compact('region','regId'));  
   
	  }
	  
  public function pending_customer_report($region,$subregion,$warehouse,$fromdate,$todate,$approval_status)
    {  
	   if($approval_status == 1) {
			 $status_q = " and riheader.approval_status = 'Pending'";
				//dd($status_q);
		   }else if($approval_status == 2) {
				$status_q = " and riheader.approval_status = 'Approved'";
		   }else if($approval_status == 3) {
				$status_q = " and riheader.approval_status = 'Reject'";
		   }else{
				 $status_q = " ";
				}
		 	 if($warehouse!='s')
			   {
				  
				  $final_data  = array();
				 
					 //if single subregion
						   if($warehouse!=0)
							 {
							   $agent_name     = array(); 
							   $agent_id     = array(); 
							   $get_data1 = DB::table('tbl_warehouse')
							   ->select('tbl_warehouse.warehouse_code','tbl_warehouse.warehouse_name','tbl_warehouse.id')
							   ->where('tbl_warehouse.id','=',$warehouse)->get();
							   foreach($get_data1 as $key=> $warehous)
								 {
								  $agent_name[$warehous->id] = $warehous->warehouse_name;
								  $agent_id[]=$warehous->id;
								 }							
							  }
											//multiple sub region
							else  
							  {
								  
								$agent_name     = array(); 
								$agent_id     = array(); 
								$get_data1 = DB::table('tbl_warehouse')
													 
								->select('tbl_warehouse.warehouse_code','tbl_warehouse.warehouse_name','tbl_warehouse.id')
								->get();
													
								foreach($get_data1 as $key=> $warehous)
								  {
									$agent_name[$warehous->id] = $warehous->warehouse_name;
									$agent_id[]=$warehous->id;
														 
								  } 
													
							   }
					   $get_data = DB::select("SELECT 
						riheader.id,riheader.customer_code,riheader.customer_name,
						customer_type.customer_type_code,customer_type.customer_type_name,
						route.route_code,route.route_name,
						city.city_name,city.city_code,riheader.approval_status
						
						FROM tbl_pending_customer as riheader 
						LEFT JOIN tbl_route as route on riheader.route_id=route.id
						LEFT JOIN tbl_region as region on riheader.region=region.id
						LEFT JOIN tbl_sub_region as sub_region  on riheader.sub_region =sub_region.id
						LEFT JOIN tbl_customer_type as customer_type on riheader.customer_type=customer_type.id
						LEFT JOIN tbl_city as city on riheader.city=city.id
						
						WHERE date(riheader.created_at) >= '".$fromdate."' AND  date(riheader.created_at) <= '".$todate."' $status_q AND riheader.warehouse  in (".implode(',',$agent_id).") GROUP BY riheader.id ") ;
						//dd($get_data);
						 ?>
						 <table style="width: 100%;" id="example" class="table table-hover table-striped table-bordered">
						  <thead>
							  <tr>
								   <th class="text-center">Customer</th>
								   <th class="text-center">Customer Type</th>
								   <th class="text-center">Route</th>
								   <th class="text-center">City</th>
								   <th class="text-center">Approved Status</th>
								 </tr>
						  </thead>
	  
						  <tbody>
						  <?php
						  //dd($get_data);
						  foreach($get_data as $data)
						  {
							 //dd($data->id); 
						  ?>
							 <tr>
								<td class="font-weight-bold text-justify text-left"><?php echo $data->customer_code.' - '.ucfirst($data->customer_name); ?></td>
								 
								<td class="font-weight-bold text-justify text-left"><?php echo $data->customer_type_code.' - '.ucfirst($data->customer_type_name); ?></td>
								 
								<td class="font-weight-bold text-justify text-left"><?php echo $data->route_code.' - '.ucfirst($data->route_name); ?></td>
								 
								<td class="font-weight-bold text-justify text-left"><?php echo $data->city_code.' - '.ucfirst($data->city_name); ?></td>
								 
								<td class="font-weight-bold text-justify text-center"> <?php echo ucfirst($data->approval_status); ?></td>	 
								
							 </tr>
						<?php 
						  }
						  ?>
													
						</tbody>
	  
						<tfoot>
						<!--<tr>
						  <th>Currency code </th>
						  <th>Currency Name</th>
						  <th>Currency Notation</th>
						  <th>Status</th>
						  <th>Action</th>
						</tr>-->
						</tfoot>
				   </table>
					 
					<?php
			 }
			 else
				{
				  if($subregion!='s')
					{
					   
					   if($subregion!=0)
						 {
							 $agent_name     = array(); 
							$agent_id     = array(); 
							$get_data1 = DB::table('tbl_sub_region')
											 
							->select('tbl_sub_region.sub_region_code','tbl_sub_region.sub_region_name','tbl_sub_region.id')
							->where('tbl_sub_region.id','=',$subregion)					
							->get();
							  foreach($get_data1 as $key=> $sub_region)
								{
								  $agent_name[$sub_region->id] = $sub_region->sub_region_name;
								  $agent_id[]=$sub_region->id;
								} 
												
						  }
											//multiple sub region
						else  
						  {
							  $agent_name     = array(); 
							  $agent_id     = array(); 
							  $get_data1 = DB::table('tbl_sub_region')
							  ->select('tbl_sub_region.sub_region_code','tbl_sub_region.sub_region_name','tbl_sub_region.id')
							  ->get();
							   foreach($get_data1 as $key=> $sub_region)
								{
								  $agent_name[$sub_region->id] = $sub_region->sub_region_name;
								  $agent_id[]=$sub_region->id; 
								} 		
						   }
							$get_data = DB::select("SELECT 
								riheader.id,riheader.customer_code,riheader.customer_name,
								customer_type.customer_type_code,customer_type.customer_type_name,
								route.route_code,route.route_name,
								city.city_name,city.city_code,riheader.approval_status
								
								FROM tbl_pending_customer as riheader 
								LEFT JOIN tbl_route as route on riheader.route_id=route.id
								LEFT JOIN tbl_region as region on riheader.region=region.id
								LEFT JOIN tbl_sub_region as sub_region  on riheader.sub_region =sub_region.id
								LEFT JOIN tbl_customer_type as customer_type on riheader.customer_type=customer_type.id
								LEFT JOIN tbl_city as city on riheader.city=city.id
						
								WHERE date(riheader.created_at) >= '".$fromdate."' AND  date(riheader.created_at) <= '".$todate."' $status_q AND riheader.sub_region  in (".implode(',',$agent_id).") GROUP BY riheader.id ");						  
								?>	

							  <table style="width: 100%;" id="example" class="table table-hover table-striped table-bordered">
							  <thead>
								  <tr>
									   <th class="text-center">Customer</th>
									   <th class="text-center">Customer Type</th>
									   <th class="text-center">Route</th>
									   <th class="text-center">City</th>
									   <th class="text-center">Approved Status</th>
								
								  </tr>
							  </thead>
		  
							  <tbody>
							  <?php
							  
							  foreach($get_data as $data)
								{
									
								?>
								 <tr>
									<td class="font-weight-bold text-justify text-left"><?php echo $data->customer_code.' - '.ucfirst($data->customer_name); ?></td>
								 
									<td class="font-weight-bold text-justify text-left"><?php echo $data->customer_type_code.' - '.ucfirst($data->customer_type_name); ?></td>
									 
									<td class="font-weight-bold text-justify text-left"><?php echo $data->route_code.' - '.ucfirst($data->route_name); ?></td>
									 
									<td class="font-weight-bold text-justify text-left"><?php echo $data->city_code.' - '.ucfirst($data->city_name); ?></td>
									 
									<td class="font-weight-bold text-justify text-center"> <?php echo ucfirst($data->approval_status); ?></td>	 
									
								   </tr>
								 <?php 
								}
								 ?>
														
							  </tbody>
		  
								<tfoot>
								<!--<tr>
								  <th>Currency code </th>
								  <th>Currency Name</th>
								  <th>Currency Notation</th>
								  <th>Status</th>
								  <th>Action</th>
								</tr>-->
								</tfoot>
						   </table>							
							<?php
			 
								
					 }
				   else
					 {
					   if($region!='s')
						 {
						 
						  if($region!=0)
							{
								$agent_name     = array(); 
								$agent_id     = array(); 
								$get_data1 = DB::table('tbl_region')
								->select('tbl_region.region_code','tbl_region.region_name','tbl_region.id')
								->where('tbl_region.id','=',$region)					
								->get()->all();
								foreach($get_data1 as $key=> $region)
								  {
										$agent_name[$region->id] = $region->region_name;
										$agent_id[]=$region->id;
								  }	 				
							 }
						   else  
							 {
										
								$agent_name     = array(); 
								$agent_id     = array(); 
								$get_data1 = DB::table('tbl_region')
								->select('tbl_region.region_code','tbl_region.region_name','tbl_region.id')
								 ->get()->all();
								foreach($get_data1 as $key=> $region)
									{
										$agent_name[$region->id] = $region->region_name;
										$agent_id[]=$region->id;
												 
									 }
							 }
							   $get_data = DB::select("SELECT 
								riheader.id,riheader.customer_code,riheader.customer_name,
								customer_type.customer_type_code,customer_type.customer_type_name,
								route.route_code,route.route_name,
								city.city_name,city.city_code,riheader.approval_status
								FROM tbl_pending_customer as riheader
								
								
								LEFT JOIN tbl_route as route on riheader.route_id=route.id
								LEFT JOIN tbl_region as region on riheader.region=region.id
								LEFT JOIN tbl_sub_region as sub_region  on riheader.sub_region =sub_region.id
								LEFT JOIN tbl_customer_type as customer_type on riheader.customer_type=customer_type.id
								LEFT JOIN tbl_city as city on riheader.city=city.id
								
								WHERE date(riheader.created_at) >= '".$fromdate."' AND  date(riheader.created_at) <= '".$todate."' $status_q AND riheader.region  in (".implode(',',$agent_id).") GROUP BY riheader.id ");									
									
									?>
							  <table style="width: 100%;" id="example" class="table table-hover table-striped table-bordered">
								<thead>
								  <tr>
									   <th class="text-center">Customer</th>
									   <th class="text-center">Customer Type</th>
									   <th class="text-center">Route</th>
									   <th class="text-center">City</th>
									   <th class="text-center">Approved Status</th>
									   
								  </tr>
								</thead>
		  
							  <tbody>
							  <?php
							  foreach($get_data as $data)
								{
								 ?>
								 <tr>
									<td class="font-weight-bold text-justify text-left"><?php echo $data->customer_code.' - '.ucfirst($data->customer_name); ?></td>
								 
									<td class="font-weight-bold text-justify text-left"><?php echo $data->customer_type_code.' - '.ucfirst($data->customer_type_name); ?></td>
									 
									<td class="font-weight-bold text-justify text-left"><?php echo $data->route_code.' - '.ucfirst($data->route_name); ?></td>
									 
									<td class="font-weight-bold text-justify text-left"><?php echo $data->city_code.' - '.ucfirst($data->city_name); ?></td>
									 
									<td class="font-weight-bold text-justify text-left"> <?php echo ucfirst($data->approval_status); ?></td> 
									
								  </tr>
								<?php 
								}
								?>
														
								</tbody>
		  
								<tfoot>
								<!--<tr>
								  <th>Currency code </th>
								  <th>Currency Name</th>
								  <th>Currency Notation</th>
								  <th>Status</th>
								  <th>Action</th>
								</tr>-->
								</tfoot>
						   </table>			<!--start table-->
						<?php
					 }    
				  }
			}
  }
	
   public function get_subregion_data($region)
	{
	  	$data = explode(',',$region);
		

		$sub_region =SubRegionTypeModel::all()->sortByDesc('id')->whereIn('region_id',$data)->where('status', '=', 'active');
		
		if(count($sub_region)>0){
			foreach($sub_region as $subreg){
				
				$all_subregion[] = $subreg->id;
			}
			$subregId=implode(",",$all_subregion);
		}else{

			$subregId = 0;
		}

		
		?>
		<option  value="">     </option>
		<?php if(count($sub_region) > 0){ ?>
			<option  value="0" data-value="<?php echo $subregId ?>">Select All</option>
		<?php } 
		foreach($sub_region as $sub_region_name)
		  {
			?>
			  <option value="<?php echo $sub_region_name->id ?>"  ><?php echo $sub_region_name->sub_region_code.' - '.$sub_region_name->sub_region_name  ?></option>	
		    <?php  	   	
		  }
	 }
			
	public function get_warehouse_data($id)
	 {
		if($id!=0)
		  {		
			 $warehouse =WarehouseModel::all()->sortByDesc('id')->where('sub_region', '=', $id)->where('status', '=', 'active')->where('warehouse_type', '=',1);
		  }
		else{
		     $warehouse =WarehouseModel::all()->sortByDesc('id')->where('status', '=', 'active')->where('warehouse_type', '=',1);
	        }
   
		?>
		<option  value="">     </option>
		<option  value="0">Select All</option>
		<?php
	    foreach($warehouse as $warehouse_name)
		  {
			?>
			  <option value="<?php echo $warehouse_name->id ?>"  ><?php echo $warehouse_name->warehouse_code.' - '.$warehouse_name->warehouse_name  ?></option>	
		   <?php  	   	
		  }
	 }  
}
