<?php

namespace App\Http\Controllers;

use Illuminate\Http\Request;
use App\Models\RegionTypeModel;
use App\Models\SubRegionTypeModel;
use App\Models\WarehouseModel;
use Illuminate\Support\Facades\DB;

class ReturnReportController extends Controller
 {
   public function list()
    {		
	
		//$get_data = SupplierTypeModel::all()->sortByDesc('id');
		 $region =RegionTypeModel::all()->sortByDesc('id')->where('status', '=', 'active');
		 
	
		return view('Report.return_report_list',compact('region'));  
	}
		
   public function get_return_subregion($id)
	{
		if($id!=0)
		  {
			$sub_region =SubRegionTypeModel::all()->sortByDesc('id')->where('region', '=', $id)->where('status', '=', 'active');
		  }
	    else 	
		  {
			 $sub_region =SubRegionTypeModel::all()->sortByDesc('id')->where('status', '=', 'active');
		  }				 
				
	   
			?>
			<option  value="">     </option>
			<option  value="0"> All</option>
			<?php
			foreach($sub_region as $sub_region_name)
			  {
				?>
				  <option value="<?php echo $sub_region_name->id ?>"  ><?php echo $sub_region_name->sub_region_code.' - '.$sub_region_name->sub_region_name  ?></option>	
			   <?php  	   	
			  }
	 }
			
    public function get_return_warehouse($id)
	 {
	   if($id!=0)
	     {				   
		   $warehouse =WarehouseModel::all()->sortByDesc('id')->where('sub_region', '=', $id)->where('status', '=', 'active');
	     }
	   else{
		    $warehouse =WarehouseModel::all()->sortByDesc('id')->where('status', '=', 'active');
	       }
		?>
		<option  value="">     </option>
		<option  value="0"> All</option>
		<?php
	   foreach($warehouse as $warehouse_name)
		 {
			?>
			  <option value="<?php echo $warehouse_name->id ?>"  ><?php echo $warehouse_name->warehouse_code.' - '.$warehouse_name->warehouse_name  ?></option>	
		   <?php  	   	
		 }
	 }

    public function get_return_report($report_with,$region,$subregion,$warehouse,$fromdate,$todate)
	 {
				
	   /* echo $report_with.' rg-'.$region.' sb-'.$subregion.' w-'.$warehouse;
	   exit; */
       if($warehouse!='s')
	     {
		   //
		   if($report_with==1)
			 {
							  $baseuom_id     = array(); 
									$get_data1 = DB::table('tbl_unit_of_measurement')
									 
									->select('tbl_unit_of_measurement.id',)
									->where('tbl_unit_of_measurement.uom_type','=',1)->get();
									
									foreach($get_data1 as $key=> $warehous)
									 {
										 //$agent_name[$warehous->id] = $warehous->warehouse_name;
										 $baseuom_id[]=$warehous->id;
									 }
									 
									  $altuom_id     = array(); 
									$get_data1 = DB::table('tbl_unit_of_measurement')
									 
									->select('tbl_unit_of_measurement.id',)
									->where('tbl_unit_of_measurement.uom_type','=',2)->get();
									
									foreach($get_data1 as $key=> $warehous)
									 {
										 //$agent_name[$warehous->id] = $warehous->warehouse_name;
										 $altuom_id[]=$warehous->id;
									 }
									 
						$final_data  = array();
								 //if single subregion
								if($warehouse!=0)
								 {
									 $agent_name     = array(); 
									 $agent_id     = array(); 
									$get_data1 = DB::table('tbl_warehouse')
									 
									->select('tbl_warehouse.warehouse_code','tbl_warehouse.warehouse_name','tbl_warehouse.id')
									->where('tbl_warehouse.id','=',$warehouse)->get();
									foreach($get_data1 as $key=> $warehous)
									 {
										 $agent_name[$warehous->id] = $warehous->warehouse_name;
										 $agent_id[]=$warehous->id;
									 }
									
								  }
							//multiple sub region
								  else  
									 {
										$agent_name     = array(); 
										$agent_id     = array(); 
										$get_data1 = DB::table('tbl_warehouse')
										 
										->select('tbl_warehouse.warehouse_code','tbl_warehouse.warehouse_name','tbl_warehouse.id')
										->get();
										
										 foreach($get_data1 as $key=> $warehous)
										 {
											 $agent_name[$warehous->id] = $warehous->warehouse_name;
											 $agent_id[]=$warehous->id;
											 
										 }
										//dd($agent_id);
									 } 			 
								$get_sales_material_wise = DB::select("SELECT  item.material_name,item.id,warehouse1.id as warehous_id ,
						  SUM(IF(d.uom in (".implode(',',$baseuom_id)."), d.quantity, 0)) as base_quantity,
						  SUM(IF(d.uom in (".implode(',',$altuom_id)."), d.quantity, 0)) as alt_quantity
						  
						  FROM `tbl_return_sales_details` as d
											left join tbl_return_sales_header as h on d.header_id=h.id 
											LEFT JOIN tbl_material_master as item on d.material_id=item.id
											LEFT JOIN tbl_warehouse as warehouse1 on h.warehouse=warehouse1.id
											WHERE date(h.created_at) >= '".$fromdate."' AND  date(h.created_at) <= '".$todate."' AND warehouse1.id in (".implode(',',$agent_id).") group by item.id,warehous_id");
										$count=count($get_sales_material_wise);	
											
								foreach($get_sales_material_wise as $row) 
								{
									$final_data['item'][$row->id]  = $row->material_name;
									
									if(isset($final_data['alter'][$row->warehous_id][$row->id]))
									{
										 $final_data['alter'][$row->warehous_id][$row->id]  += $row->alt_quantity;
										 $final_data['base'][$row->warehous_id][$row->id]   += $row->base_quantity;
										
									}
									else
									{
									  $final_data['alter'][$row->warehous_id][$row->id]  = $row->alt_quantity;
									   $final_data['base'][$row->warehous_id][$row->id]   = $row->base_quantity;	
									}
								}
							// dd($final_data);
								?>
									<!--start table-->
							   <table style="width: 100%;" id="example" class="table table-hover table-striped table-bordered">
									   <thead class="bg-secondary text-white"> 	
										 <tr style="height: 56px;
										background: #6a737b;
										color: white;">
										   <th class="text-justify text-center">Material Name</th>
											<?php foreach($agent_name as $warehouse)
										   {?>
												  
													 <th class="text-justify text-center"><?php echo $warehouse; ?></th>
												  
											 <?php
											}
											?>
											
											 <th class="text-justify text-center">Total Material Sales</th>
											  
										 </tr>
									   </thead>
										<tbody>
											<?php 
										
										if($count<1)
										 {
										  echo "data not found";	
										  exit;
										 }	//
													
									    $total_alter_sales = array();
										$total_base_sales  = array();
										foreach($final_data['item'] as $item_id => $item_name) 
										{
											?>
												<tr>
													<td><?php echo $item_name; ?></td>
													<?php
														$alter_item_sales = 0;
														$base_item_sales  = 0;
														foreach($agent_id as $name) 
														{
															
															if (!isset($total_alter_sales[$name]))  
															{
																$total_alter_sales[$name] = 0;
															}
															if (!isset($total_base_sales[$name]))
															{
																$total_base_sales[$name] = 0;
															}
															$alter_item_count               = isset($final_data['alter'][$name][$item_id]) ? $final_data['alter'][$name][$item_id] : 0;
															$base_item_count                = isset($final_data['base'][$name][$item_id]) ? $final_data['base'][$name][$item_id] : 0;
															$total_alter_sales[$name]   += $alter_item_count;
															$total_base_sales[$name]    += $base_item_count;
															$alter_item_sales               +=$alter_item_count;
															$base_item_sales                +=$base_item_count;

													      ?>		
														    <td class='text-center'><?php echo $alter_item_count.'/'.$base_item_count; ?></td>
                                                            <?php											}			
											         
												?> 
												<th class='text-center'><?php echo $alter_item_sales.'/'.$base_item_sales; ?></th>
												</tr>
												<?php
										  }
										   //
										  ?> <tfoot>                               
                            
							 <tr style="height: 56px;
												background: #f5f2ec;
											    ">
												    <th>Total Sales </th>
													<?php
													$total_item_alter_sales = 0;
													$total_item_base_sales  = 0;
													foreach($agent_id as $name) 
													{
														$item_total_alter_sales = isset($total_alter_sales[$name]) ? $total_alter_sales[$name] : 0;
														$item_total_base_sales  = isset($total_base_sales[$name]) ? $total_base_sales[$name] : 0;
														$total_item_alter_sales += $item_total_alter_sales;
														$total_item_base_sales  += $item_total_base_sales;
													    ?>
													    <th data-toggle="<?php 
														if($item_total_alter_sales || $item_total_base_sales) echo "modal"; ?>" data-target="<?php 
														if($item_total_alter_sales || $item_total_base_sales) echo "#myModal_sales"; ?>" class="text-center table-striped <?php 
														if($item_total_alter_sales || $item_total_base_sales) echo "warehouse_quantity_modal"; ?>" data-agent-id="<?php echo $name; ?>"><?php echo $item_total_alter_sales.'/'.$item_total_base_sales; ?></th>
											          <?php
											        }
											?>
										   <th class="text-center"><?php echo $total_item_alter_sales.'/'.$total_item_base_sales; ?> </th>
                                       </tr> 
										 
									   
									   </tfoot> 
										   </tbody>
												<tfoot>
												 
												</tfoot>
											</table>
								 
								 <!--End table-->
								 <?php										
												
						  }
						 
							//
							else{
								 
								  $final_data  = array();
											 //if single subregion
                                            if($warehouse!=0)
							                 {
												 $agent_name     = array(); 
												 $agent_id     = array(); 
												$get_data1 = DB::table('tbl_warehouse')
												 
												->select('tbl_warehouse.warehouse_code','tbl_warehouse.warehouse_name','tbl_warehouse.id')
												->where('tbl_warehouse.id','=',$warehouse)->get();
												foreach($get_data1 as $key=> $warehous)
												 {
													 $agent_name[$warehous->id] = $warehous->warehouse_name;
													 $agent_id[]=$warehous->id;
												 }
												
							                  }
										//multiple sub region
							              else  
											 {
												$agent_name     = array(); 
												$agent_id     = array(); 
												$get_data1 = DB::table('tbl_warehouse')
												 
												->select('tbl_warehouse.warehouse_code','tbl_warehouse.warehouse_name','tbl_warehouse.id')
												->get();
												
											     foreach($get_data1 as $key=> $warehous)
												 {
													 $agent_name[$warehous->id] = $warehous->warehouse_name;
													 $agent_id[]=$warehous->id;
													 
												 }
												//dd($agent_id);
											 } 
											 
											 $get_sales_material_wise = DB::select("SELECT sum(d.total) as total, item.material_name,item.id,warehouse1.id as warehous_id FROM `tbl_return_sales_details` as d
													left join tbl_return_sales_header as h on d.header_id=h.id 
													LEFT JOIN tbl_material_master as item on d.material_id=item.id
													LEFT JOIN tbl_warehouse as warehouse1 on h.warehouse=warehouse1.id
													WHERE date(h.created_at) >= '".$fromdate."' AND  date(h.created_at) <= '".$todate."' AND warehouse1.id in (".implode(',',$agent_id).") group by item.id,warehous_id");
													//dd($get_sales_material_wise);
											$count=count($get_sales_material_wise);
											
											
											foreach($get_sales_material_wise as $row) 
											{
											$final_data['item'][$row->id]  = $row->material_name;
											$final_data['sales'][$row->warehous_id][$row->id]  = $row->total;
											}		
															
				                        // dd($final_data);
										?>
											<!--start table-->
									   <table style="width: 100%;" id="example" class="table table-hover table-striped table-bordered">
											   <thead class="bg-secondary text-white"> 	
												 <tr style="height: 56px;
												background: #6a737b;
											    color: white;">
												   <th class="text-justify text-center">Material Name</th>
													<?php foreach($agent_name as $warehouse)
												   {?>
														  
															 <th class="text-justify text-center"><?php echo $warehouse; ?></th>
															 
														  
													 <?php
													}
													?>
													
													 <th class="text-justify text-center">Total Material Sales</th>
													  
												 </tr>
											   </thead>
												<tbody>
													<?php 
												
												if($count<1)
											     {
												  echo "data not found";	
												  exit;
											     }	//
													
									    $total_alter_sales = array();
										$total_base_sales  = array();
										foreach($final_data['item'] as $item_id => $item_name) {
											?>
												<tr>
													<td><?php echo $item_name; ?></td>
													<?php
														$alter_item_sales = 0;
														$base_item_sales  = 0;
														foreach($agent_id as $name) {
															
															if (!isset($total_alter_sales[$name])) {
                                                                     $total_alter_sales[$name] = 0;
                                                              }
															$alter_item_count = isset($final_data['sales'][$name][$item_id]) ? $final_data['sales'][$name][$item_id] : 0;
															
															 $alter_item_sales               +=$alter_item_count;
															 $total_alter_sales[$name]+= $alter_item_count;

													?>		
														<td class='text-center'><?php echo $alter_item_count; ?></td>
                                                    <?php														
														}
												?> 
												<th class='text-center'><?php echo $alter_item_sales; ?></th>
												</tr>
												<?php
										   }
										   //
										  ?> <tfoot>                               
                            
							
										   <tr style="height: 56px;
												background: #f5f2ec;
											    ">
												    <th>Total Sales </th>
													<?php
													$total_item_alter_sales = 0;
													$total_item_base_sales  = 0;
											       foreach($agent_id as $name)
												   {
														$item_total_alter_sales = isset($total_alter_sales[$name]) ? $total_alter_sales[$name] : 0;
													    $total_item_alter_sales += $item_total_alter_sales;
													    ?>
													    <th data-toggle="<?php 
														if($item_total_alter_sales) echo "modal"; ?>" data-target="<?php 
														if($item_total_alter_sales) echo "#myModal_sales"; ?>" class="text-center table-striped <?php 
														if($item_total_alter_sales) echo "warehouse_modal"; ?>" data-agent-id="<?php echo $name; ?>"><?php echo $item_total_alter_sales; ?></th>
											         <?php
											       }
											?>
										   <th class="text-center"><?php echo $total_item_alter_sales; ?> </th>
                                       </tr>
									   
									   </tfoot> 
										   </tbody>
												<tfoot>
												 
												</tfoot>
											</table>
								 
								  <!--End table-->
								 <?php
		 
							}
							
			 }	
			  else
			  {
				if($subregion!='s')
					  {
						        //
								if($report_with==1)
										 {
											 $baseuom_id     = array(); 
												$get_data1 = DB::table('tbl_unit_of_measurement')
												 
												->select('tbl_unit_of_measurement.id',)
												->where('tbl_unit_of_measurement.uom_type','=',1)->get();
												
												foreach($get_data1 as $key=> $warehous)
												 {
													 //$agent_name[$warehous->id] = $warehous->warehouse_name;
													 $baseuom_id[]=$warehous->id;
												 }
												 
												  $altuom_id     = array(); 
												$get_data1 = DB::table('tbl_unit_of_measurement')
												 
												->select('tbl_unit_of_measurement.id',)
												->where('tbl_unit_of_measurement.uom_type','=',2)->get();
												
												foreach($get_data1 as $key=> $warehous)
												 {
													 //$agent_name[$warehous->id] = $warehous->warehouse_name;
													 $altuom_id[]=$warehous->id;
												 }
												 
									$final_data  = array();
											 //if single subregion
                                            if($subregion!=0)
							                 {
												 $agent_name     = array(); 
												 $agent_id     = array(); 
												$get_data1 = DB::table('tbl_sub_region')
												 
												->select('tbl_sub_region.sub_region_code','tbl_sub_region.sub_region_name','tbl_sub_region.id')
												->where('tbl_sub_region.id','=',$subregion)					
												->get();
												foreach($get_data1 as $key=> $sub_region)
												 {
													 $agent_name[$sub_region->id] = $sub_region->sub_region_name;
													 $agent_id[]=$sub_region->id;
												 }
												
							                  }
										//multiple sub region
							              else  
											 {
												$agent_name     = array(); 
												$agent_id     = array(); 
												$get_data1 = DB::table('tbl_sub_region')
												 
												->select('tbl_sub_region.sub_region_code','tbl_sub_region.sub_region_name','tbl_sub_region.id')
												->get();
												
											     foreach($get_data1 as $key=> $sub_region)
												 {
													 $agent_name[$sub_region->id] = $sub_region->sub_region_name;
													 $agent_id[]=$sub_region->id;
													 
												 }
												//dd($agent_id);
											 }		 
										$get_sales_material_wise = DB::select("SELECT  item.material_name,item.id,sub_region_name.id as sub_region_id,
                                        SUM(IF(d.uom in (".implode(',',$baseuom_id)."), d.quantity, 0)) as base_quantity,
                                        SUM(IF(d.uom in (".implode(',',$altuom_id)."), d.quantity, 0)) as alt_quantity
										FROM `tbl_return_sales_details` as d
													left join tbl_return_sales_header as h on d.header_id=h.id 
													LEFT JOIN tbl_material_master as item on d.material_id=item.id
													LEFT JOIN tbl_sub_region as sub_region_name on h.subregion=sub_region_name.id
													WHERE date(h.created_at) >= '".$fromdate."' AND  date(h.created_at) <= '".$todate."' AND sub_region_name.id in (".implode(',',$agent_id).") group by item.id,sub_region_id");
												$count=count($get_sales_material_wise);	
													
									 foreach($get_sales_material_wise as $row) 
								      {
											$final_data['item'][$row->id]  = $row->material_name;
											
										if(isset($final_data['alter'][$row->sub_region_id][$row->id]))
											{
												 $final_data['alter'][$row->sub_region_id][$row->id]  += $row->alt_quantity;
                                                 $final_data['base'][$row->sub_region_id][$row->id]   += $row->base_quantity;
												
												
											 }
											else
											 {
											  $final_data['alter'][$row->sub_region_id][$row->id]  = $row->alt_quantity;
                                               $final_data['base'][$row->sub_region_id][$row->id]   = $row->base_quantity;	
											 }
										}
                                    // dd($final_data);
										?>
											<!--start table-->
									   <table style="width: 100%;" id="example" class="table table-hover table-striped table-bordered">
											   <thead class="bg-secondary text-white"> 	
												 <tr style="height: 56px;
												background: #6a737b;
											    color: white;">
												   <th class="text-justify text-center">Material Name</th>
													<?php foreach($agent_name as $warehouse)
												   {?>
														  
															 <th class="text-justify text-center"><?php echo $warehouse; ?></th>
															 
														  
													 <?php
													}
													?>
													
													 <th class="text-justify text-center">Total Material Sales</th>
													  
												 </tr>
											   </thead>
												<tbody>
													<?php 
												
												if($count<1)
											     {
												  echo "data not found";	
												  exit;
											     }	//
													
									    $total_alter_sales = array();
										$total_base_sales  = array();
										foreach($final_data['item'] as $item_id => $item_name)
										{
											?>
												<tr>
													<td><?php echo $item_name; ?></td>
													<?php
														$alter_item_sales = 0;
														$base_item_sales  = 0;
														foreach($agent_id as $name) 
														{
															
															if (!isset($total_alter_sales[$name]))  
															{
																$total_alter_sales[$name] = 0;
															}
															if (!isset($total_base_sales[$name])) 
															{
																$total_base_sales[$name] = 0;
															}
															$alter_item_count               = isset($final_data['alter'][$name][$item_id]) ? $final_data['alter'][$name][$item_id] : 0;
															$base_item_count                = isset($final_data['base'][$name][$item_id]) ? $final_data['base'][$name][$item_id] : 0;
															$total_alter_sales[$name]   += $alter_item_count;
															$total_base_sales[$name]    += $base_item_count;
															$alter_item_sales               +=$alter_item_count;
															$base_item_sales                +=$base_item_count;

													      ?>		
														<td class='text-center'><?php echo $alter_item_count.'/'.$base_item_count; ?></td>
                                                         <?php														
											           }
												?> 
												<th class='text-center'><?php echo $alter_item_sales.'/'.$base_item_sales; ?></th>
												</tr>
												<?php
										   }
										   //
										  ?> <tfoot>                               
                            
							 <tr style="height: 56px;
												background: #f5f2ec;
											    ">
												    <th>Total Sales </th>
													<?php
													$total_item_alter_sales = 0;
													$total_item_base_sales  = 0;
													foreach($agent_id as $name) 
													{
														$item_total_alter_sales = isset($total_alter_sales[$name]) ? $total_alter_sales[$name] : 0;
														$item_total_base_sales  = isset($total_base_sales[$name]) ? $total_base_sales[$name] : 0;
														$total_item_alter_sales += $item_total_alter_sales;
														$total_item_base_sales  += $item_total_base_sales;
													    ?>
													    <th data-toggle="<?php 
														if($item_total_alter_sales || $item_total_base_sales) echo "modal"; ?>" data-target="<?php 
														if($item_total_alter_sales || $item_total_base_sales) echo "#myModal_sales"; ?>" class="text-center table-striped <?php 
														if($item_total_alter_sales || $item_total_base_sales) echo "sub_region_quantity_modal"; ?>" data-agent-id="<?php echo $name; ?>"><?php echo $item_total_alter_sales.'/'.$item_total_base_sales; ?></th>
											         <?php
											       }
											?>
										   <th class="text-center"><?php echo $total_item_alter_sales.'/'.$total_item_base_sales; ?> </th>
                                       </tr> 
										 
									   
									   </tfoot> 
										   </tbody>
												<tfoot>
												 
												</tfoot>
											</table>
								 
								 
								 <!--End table-->
								 <?php
											
								 }
								//
										 // for subregion ammount
									 else{
										 
										  $final_data         = array();
											 //if single subregion
                                            if($subregion!=0)
							                 {
												 $agent_name     = array(); 
												 $agent_id     = array(); 
												$get_data1 = DB::table('tbl_sub_region')
												 
												->select('tbl_sub_region.sub_region_code','tbl_sub_region.sub_region_name','tbl_sub_region.id')
												->where('tbl_sub_region.id','=',$subregion)					
												->get();
												foreach($get_data1 as $key=> $sub_region)
												 {
													 $agent_name[$sub_region->id] = $sub_region->sub_region_name;
													 $agent_id[]=$sub_region->id;
												 }
												
							                   }
										//multiple sub region
							              else  
											 {
												$agent_name     = array(); 
												$agent_id     = array(); 
												$get_data1 = DB::table('tbl_sub_region')
												 
												->select('tbl_sub_region.sub_region_code','tbl_sub_region.sub_region_name','tbl_sub_region.id')
												->get();
												
											     foreach($get_data1 as $key=> $sub_region)
												 {
													 $agent_name[$sub_region->id] = $sub_region->sub_region_name;
													 $agent_id[]=$sub_region->id;
													 
												 }
												//dd($agent_id);
											 } 
											 
											 $get_sales_material_wise = DB::select("SELECT sum(d.total) as total, item.material_name,item.id,sub_region_name.id as sub_region_id FROM `tbl_return_sales_details` as d
													left join tbl_return_sales_header as h on d.header_id=h.id 
													LEFT JOIN tbl_material_master as item on d.material_id=item.id
													LEFT JOIN tbl_sub_region as sub_region_name on h.subregion=sub_region_name.id
													WHERE date(h.created_at) >= '".$fromdate."' AND  date(h.created_at) <= '".$todate."' AND sub_region_name.id in (".implode(',',$agent_id).") group by item.id,sub_region_id");
											$count=count($get_sales_material_wise);
											
											
											foreach($get_sales_material_wise as $row) 
											{
											$final_data['item'][$row->id]  = $row->material_name;
											$final_data['sales'][$row->sub_region_id][$row->id]  = $row->total;
											}		
															
				                        // dd($final_data);
										?>
											<!--start table-->
									   <table style="width: 100%;" id="example" class="table table-hover table-striped table-bordered">
											   <thead class="bg-secondary text-white"> 	
												 <tr style="height: 56px;
												background: #6a737b;
											    color: white;">
												   <th class="text-justify text-center">Material Name</th>
													<?php foreach($agent_name as $subregion)
												   {
													   ?>
														  
															 <th class="text-justify text-center"><?php echo $subregion; ?></th>
															 
														  
													 <?php
													}
													?>
													
													 <th class="text-justify text-center">Total Material Sales</th>
													  
												 </tr>
											   </thead>
												<tbody>
													<?php 
												
											   if($count<1)
											     {
												  echo "data not found";	
												  exit;
											     }	//
													
									    $total_alter_sales = array();
										$total_base_sales  = array();
										foreach($final_data['item'] as $item_id => $item_name)  
										{
											?>
												<tr>
													<td><?php echo $item_name; ?></td>
													<?php
														$alter_item_sales = 0;
														$base_item_sales  = 0;
														foreach($agent_id as $name)
														{
															
															if (!isset($total_alter_sales[$name])) 
															  {
                                                                     $total_alter_sales[$name] = 0;
                                                              }
															$alter_item_count = isset($final_data['sales'][$name][$item_id]) ? $final_data['sales'][$name][$item_id] : 0;
															
															 $alter_item_sales               +=$alter_item_count;
															 $total_alter_sales[$name]+= $alter_item_count;

													         ?>		
														     <td class='text-center'><?php echo $alter_item_count; ?></td>
                                                             <?php														
											               }
												?> 
												<th class='text-center'><?php echo $alter_item_sales; ?></th>
												</tr>
												<?php
										    }
										   //
										  ?> <tfoot>                               
                            
										   <tr style="height: 56px;
												background: #f5f2ec;
											    ">
												    <th>Total Sales </th>
													<?php
													$total_item_alter_sales = 0;
													$total_item_base_sales  = 0;
											       foreach($agent_id as $name)
												   {
														$item_total_alter_sales = isset($total_alter_sales[$name]) ? $total_alter_sales[$name] : 0;
													    $total_item_alter_sales += $item_total_alter_sales;
													    ?>
													    <th data-toggle="<?php 
														if($item_total_alter_sales) echo "modal"; ?>" data-target="<?php 
														if($item_total_alter_sales) echo "#myModal_sales"; ?>" class="text-center table-striped <?php 
														if($item_total_alter_sales) echo "sub_region_modal"; ?>" data-agent-id="<?php echo $name; ?>"><?php echo $item_total_alter_sales; ?></th>
											         <?php
											       }
											?>
										   <th class="text-center"><?php echo $total_item_alter_sales; ?> </th>
                                       </tr>
									   
									   </tfoot> 
										   </tbody>
												<tfoot>
												 
												</tfoot>
											</table>
								 
								 
								 <!--End table-->
								 <?php
		          			 //
							}
						//
					    }
					  else
					    {
						 if($region!='s')
						   {
							 
			
						             //if region quantity
								if($report_with==1)
								  {
											 
									 $baseuom_id     = array(); 
										$get_data1 = DB::table('tbl_unit_of_measurement')
										 
										->select('tbl_unit_of_measurement.id',)
										->where('tbl_unit_of_measurement.uom_type','=',1)->get();
										
										foreach($get_data1 as $key=> $warehous)
										  {
											 //$agent_name[$warehous->id] = $warehous->warehouse_name;
											 $baseuom_id[]=$warehous->id;
										  }
												 
											  $altuom_id     = array(); 
											$get_data1 = DB::table('tbl_unit_of_measurement')
											 
											->select('tbl_unit_of_measurement.id',)
											->where('tbl_unit_of_measurement.uom_type','=',2)->get();
											
											foreach($get_data1 as $key=> $warehous)
											 {
												 //$agent_name[$warehous->id] = $warehous->warehouse_name;
												 $altuom_id[]=$warehous->id;
											 }
												 
									$final_data  = array();
											 //if single subregion
                                            $final_data         = array();
											 //if single region
                                            if($region!=0)
							                 {
												 $agent_name     = array(); 
												 $agent_id     = array(); 
												$get_data1 = DB::table('tbl_region')
												 
												->select('tbl_region.region_code','tbl_region.region_name','tbl_region.id')
												->where('tbl_region.id','=',$region)					
												->get()->all();
												foreach($get_data1 as $key=> $region)
												 {
													 $agent_name[$region->id] = $region->region_name;
													 $agent_id[]=$region->id;
												 }
												
							                  }
										//multiple region
							              else  
											 {
												$agent_name     = array(); 
												$agent_id     = array(); 
												$get_data1 = DB::table('tbl_region')
												 
												->select('tbl_region.region_code','tbl_region.region_name','tbl_region.id')
											    ->get()->all();
											
													
												 foreach($get_data1 as $key=> $region)
												 {
													 $agent_name[$region->id] = $region->region_name;
													 $agent_id[]=$region->id;
													 
												 }
												//dd($agent_id);
											 } 
										$get_sales_material_wise = DB::select("SELECT
											SUM(IF(d.uom in (".implode(',',$baseuom_id)."), d.quantity, 0)) as base_quantity,
											 SUM(IF(d.uom in (".implode(',',$altuom_id)."), d.quantity, 0)) as alt_quantity,
										item.material_name,item.id,region_name.id as region_id FROM `tbl_return_sales_details` as d
													left join tbl_return_sales_header as h on d.header_id=h.id 
													LEFT JOIN tbl_material_master as item on d.material_id=item.id
													LEFT JOIN tbl_region as region_name on h.region=region_name.id
													WHERE date(h.created_at) >= '".$fromdate."' AND  date(h.created_at) <= '".$todate."' AND region_name.id in (".implode(',',$agent_id).") group by item.id,region_id");
												$count=count($get_sales_material_wise);	
												
										foreach($get_sales_material_wise as $row) 
										{
											$final_data['item'][$row->id]  = $row->material_name;
											
											if(isset($final_data['alter'][$row->region_id][$row->id]))
											{
												 $final_data['alter'][$row->region_id][$row->id]  += $row->alt_quantity;
                                                 $final_data['base'][$row->region_id][$row->id]   += $row->base_quantity;
												
												
											}
											else
											{
											  $final_data['alter'][$row->region_id][$row->id]  = $row->alt_quantity;
                                               $final_data['base'][$row->region_id][$row->id]   = $row->base_quantity;	
											}
										}
                                    // dd($final_data);
										?>
											<!--start table-->
									   <table style="width: 100%;" id="example" class="table table-hover table-striped table-bordered">
											   <thead class="bg-secondary text-white"> 	
												 <tr style="height: 56px;
												background: #6a737b;
											    color: white;">
												   <th class="text-justify text-center">Material Name</th>
													<?php foreach($agent_name as $warehouse)
												   {?>
														  
															 <th class="text-justify text-center"><?php echo $warehouse; ?></th>
															 
														  
													 <?php
													}
													?>
													
													 <th class="text-justify text-center">Total Material Sales</th>
													  
												 </tr>
											   </thead>
												<tbody>
													<?php 
												
												if($count<1)
											     {
												  echo "data not found";	
												  exit;
											     }	//
													
									    $total_alter_sales = array();
										$total_base_sales  = array();
										foreach($final_data['item'] as $item_id => $item_name)
										{
											?>
												<tr>
													<td><?php echo $item_name; ?></td>
													<?php
														$alter_item_sales = 0;
														$base_item_sales  = 0;
														foreach($agent_id as $name) 
														{
															
															if (!isset($total_alter_sales[$name]))
																{
																 $total_alter_sales[$name] = 0;
															    }
															if (!isset($total_base_sales[$name])) 
																{
																 $total_base_sales[$name] = 0;
															    }
															$alter_item_count               = isset($final_data['alter'][$name][$item_id]) ? $final_data['alter'][$name][$item_id] : 0;
															$base_item_count                = isset($final_data['base'][$name][$item_id]) ? $final_data['base'][$name][$item_id] : 0;
															$total_alter_sales[$name]   += $alter_item_count;
															$total_base_sales[$name]    += $base_item_count;
															$alter_item_sales               +=$alter_item_count;
															$base_item_sales                +=$base_item_count;

													?>	
													
														<td class='text-center'><?php echo $alter_item_count.'/'.$base_item_count; ?></td>
                                                    <?php														
														}
												?> 
												<th class='text-center'><?php echo $alter_item_sales.'/'.$base_item_sales; ?></th>
												</tr>
												<?php
										   }
										   //
										  ?> <tfoot>                               
                            
							 <tr style="height: 56px;
												background: #f5f2ec;
											    ">
												    <th>Total Sales </th>
													<?php
													$total_item_alter_sales = 0;
													$total_item_base_sales  = 0;
													foreach($agent_id as $name) {
														$item_total_alter_sales = isset($total_alter_sales[$name]) ? $total_alter_sales[$name] : 0;
														$item_total_base_sales  = isset($total_base_sales[$name]) ? $total_base_sales[$name] : 0;
														$total_item_alter_sales += $item_total_alter_sales;
														$total_item_base_sales  += $item_total_base_sales;
													    ?>
													    <th data-toggle="<?php 
														if($item_total_alter_sales || $item_total_base_sales) echo "modal"; ?>" data-target="<?php 
														if($item_total_alter_sales || $item_total_base_sales) echo "#myModal_sales"; ?>" class="text-center table-striped <?php 
														if($item_total_alter_sales || $item_total_base_sales) echo "region_quantity_modal"; ?>" data-agent-id="<?php echo $name; ?>"><?php echo $item_total_alter_sales.'/'.$item_total_base_sales; ?></th>
											         <?php
											       }
											?>
										   <th class="text-center"><?php echo $total_item_alter_sales.'/'.$total_item_base_sales; ?> </th>
                                       </tr> 
										 
									   
									   </tfoot> 
										   </tbody>
												<tfoot>
												 
												</tfoot>
											</table>
								 
								 
								 <!--End table-->
								 <?php
											
								}
									 
									 //getting region amount
									 else{
										  $final_data         = array();
											 //if single region
                                            if($region!=0)
							                 {
												 $agent_name     = array(); 
												 $agent_id     = array(); 
												$get_data1 = DB::table('tbl_region')
												 
												->select('tbl_region.region_code','tbl_region.region_name','tbl_region.id')
												->where('tbl_region.id','=',$region)					
												->get()->all();
												foreach($get_data1 as $key=> $region)
												 {
													 $agent_name[$region->id] = $region->region_name;
													 $agent_id[]=$region->id;
												 }
												
							                  }
										//multiple region
							              else  
											 {
												$agent_name     = array(); 
												$agent_id     = array(); 
												$get_data1 = DB::table('tbl_region')
												 
												->select('tbl_region.region_code','tbl_region.region_name','tbl_region.id')
											    ->get()->all();
											
													
												 foreach($get_data1 as $key=> $region)
												 {
													 $agent_name[$region->id] = $region->region_name;
													 $agent_id[]=$region->id;
													 
												 }
												//dd($agent_id);
											 } 
											 
											 $get_sales_material_wise = DB::select("SELECT sum(d.total) as total, item.material_name,item.id,region_name.id as region_id FROM `tbl_return_sales_details` as d
													left join tbl_return_sales_header as h on d.header_id=h.id 
													LEFT JOIN tbl_material_master as item on d.material_id=item.id
													LEFT JOIN tbl_region as region_name on h.region=region_name.id
													WHERE date(h.created_at) >= '".$fromdate."' AND  date(h.created_at) <= '".$todate."' AND region_name.id in (".implode(',',$agent_id).") group by item.id,region_id");
													
											$count=count($get_sales_material_wise);	
											foreach($get_sales_material_wise as $row) 
											{
											$final_data['item'][$row->id]  = $row->material_name;
											$final_data['sales'][$row->region_id][$row->id]  = $row->total;
											}		
															
				                        // dd($final_data);
										?>
										<!--start table-->
											

									   <table  id="example" class="table table-hover table-striped table-bordered">
											   <thead class="bg-secondary text-white"> 	
												 <tr style="height: 56px;
												background: #6a737b;
											    color: white;">
												   <th class="text-justify text-center">Material Name</th>
													<?php foreach($agent_name as $region)
												   {?>
														  
															 <th class="text-justify text-center"><?php echo $region; ?></th>
															 
														  
													 <?php
													}
													?>
													
													 <th class="text-justify text-center">Total Material Sales</th>
													  
												 </tr>
											   </thead>
												<tbody>
													<?php 
												
													//
													if($count<1)
											     {
												  echo "data not found";	
												  exit;
											     }
									    $total_alter_sales = array();
										$total_base_sales  = array();
										foreach($final_data['item'] as $item_id => $item_name) {
											?>
												<tr>
													<td><?php echo $item_name; ?></td>
													<?php
														$alter_item_sales = 0;
														$base_item_sales  = 0;
														foreach($agent_id as $name) {
															
															if (!isset($total_alter_sales[$name])) {
                                                                     $total_alter_sales[$name] = 0;
                                                              }
															$alter_item_count = isset($final_data['sales'][$name][$item_id]) ? $final_data['sales'][$name][$item_id] : 0;
															
															 $alter_item_sales               +=$alter_item_count;
															 $total_alter_sales[$name]+= $alter_item_count;

													?>		
														<td class='text-center'><?php echo $alter_item_count; ?></td>
                                                    <?php														
														}
												?> 
												<th class='text-center'><?php echo $alter_item_sales; ?></th>
												</tr>
												<?php
										   }
										   //
										  ?> <tfoot>                               
                            
										   <tr style="height: 56px;
												background: #f5f2ec;
											    ">
												    <th>Total Sales </th>
													<?php
													$total_item_alter_sales = 0;
													$total_item_base_sales  = 0;
											       foreach($agent_id as $name)
												   {
														$item_total_alter_sales = isset($total_alter_sales[$name]) ? $total_alter_sales[$name] : 0;
													    $total_item_alter_sales += $item_total_alter_sales;
													    ?>
														<th data-toggle="<?php 
														if($item_total_alter_sales) echo "modal"; ?>" data-target="<?php 
														if($item_total_alter_sales) echo "#myModal_sales"; ?>" class="text-center table-striped <?php 
														if($item_total_alter_sales) echo "region_modal"; ?>" data-agent-id="<?php echo $name; ?>"><?php echo $item_total_alter_sales; ?></th>
											         <?php
											       }
											    ?>
										   <th class="text-center"><?php echo $total_item_alter_sales; ?> </th>
                                       </tr>
									   
									   </tfoot> 
										   </tbody>
												<tfoot>
												 
												</tfoot>
											</table>
								 
								 
										 <!--End table-->
										 <?php
				 
									}
						    } 
					  }
			  }
		  
			
	 }
			
	public function get_region_return_report_pop($fromdate, $todate, $region)
	 {
		   /* echo $fromdate.' , '. $todate.' , '. $region;
			exit;		*/
          

	         $agent_name     = array(); 
			 $agent_id     = array();
             $final_data = array();			 
			  $get_data1 = DB::table('tbl_region')
			->select('tbl_region.region_code','tbl_region.region_name','tbl_region.id')
			->where('tbl_region.id','=',$region)					
			->get()->all();
				/* foreach($get_data1 as $key=> $region)
					{
					 $agent_name[] = $region->region_name;
					 $agent_id[]=$region->id;
				    } */
			$titlename =$get_data1[0]->region_name;
			
			 $get_sales_material_wise = DB::select("SELECT sum(d.total) as total, item.material_name,item.id,region_name.id as region_id,DATE(h.created_at) as created_date FROM `tbl_return_sales_details` as d
			 left join tbl_return_sales_header as h on d.header_id=h.id 
			 LEFT JOIN tbl_material_master as item on d.material_id=item.id
			 LEFT JOIN tbl_region as region_name on h.region=region_name.id
													WHERE date(h.created_at) >= '".$fromdate."' AND  date(h.created_at) <= '".$todate."' AND region_name.id=".$region." 
													group by item.id,region_id,DATE(h.created_at)
                                                    ORDER BY DATE(h.created_at) DESC");
											/* $count=count($get_sales_material_wise); */
			                                //dd($get_sales_material_wise);
			
		   foreach($get_sales_material_wise as $row) 
			 {
				$final_data['item'][$row->id]  = $row->material_name;
				$final_data['sales'][$row->created_date][$row->id]  = $row->total;
			 } 
			 //dd($final_data);
			$first_date     = date($fromdate);
			$last_date      = date($todate);
			$colspan        = date('d', strtotime($todate)) + 2; 
		    ?>
		
			<table style="width: 100%;" id="example" class="table table-hover table-striped table-bordered">
					  <thead class="bg-secondary text-white"> 
                       <tr>
                        <th style="height: 56px;
								background: #6a737b;
								color: white;" colspan="<?php echo $colspan; ?> " class='text-center'><?php echo $titlename; ?></th>
                      </tr>					  
						 <tr style="height: 56px;
								background: #6a737b;
								color: white;">
								<th class="text-justify text-center">Material Name</th>
								<?php 
									while($first_date <= $last_date) 
									{
      

									   ?> <th><?php echo date('F d, Y', strtotime($first_date)); ?></th>
									  <?php
									  
									  
									  
									   $first_date = date('Y-m-d', strtotime($first_date . ' +1 day'));   
                                    }
									?>
								<th class="text-justify text-center">Total Material Sales</th>
													  
						 </tr>
					</thead>
				    <tbody>
					
					<?php 
					    
						$total_alter_sales = array();
						$total_base_sales  = array();
						foreach($final_data['item'] as $item_id => $item_name)
						{
							$total_item_alter   = 0;
								?>
								<tr>
								<td><?php echo $item_name; ?></td>
									<?php
									$first_date = date($fromdate);
									$alter_item_sales = 0;
									$base_item_sales  = 0;
									while($first_date <= $last_date)
									 {
										
										 if (!isset($total_alter_sales[$first_date])) 
										 {
                                           $total_alter_sales[$first_date] = 0;
                                         }
										$alter_date_sale = isset($final_data['sales'][$first_date][$item_id]) ? $final_data['sales'][$first_date][$item_id] : 0;
										
										$total_item_alter   += $alter_date_sale; 
										$total_alter_sales[$first_date] += $alter_date_sale;
      
									    ?> <td><?php echo $alter_date_sale; ?></td>
									    <?php
									  
									    $first_date = date('Y-m-d', strtotime($first_date . ' +1 day'));
									     
                                      }
										?> 
									<th class='text-center'><?php echo $total_item_alter; ?></th>
							           </tr>
												<?php
								}
					
					?>
					
				    <tbody>
					<tfoot>
					<tr>
                        <th class='text-center'>Total Sales</th>
						<?php 
							$first_date     = date($fromdate);
							$total_sales_alter    = 0;
							$total_sales_base     = 0;
							while($first_date <= $last_date) 
							{
								$total_sales_alter += $total_alter_sales[$first_date];
								
						 		?>
						         <th class='text-center'><?php echo $total_alter_sales[$first_date]; ?></th>
						         <?php 
								$first_date = date('Y-m-d', strtotime($first_date . ' +1 day'));
							 }
                           ?>
                         <th class='text-center'><?php echo $total_sales_alter; ?></th>
                    </tr>
					
					
					<tfoot>
			  </table>		
		<?php

	}

       //for subregion popup
   public function get_subregion_return_report_pop($fromdate, $todate, $subregion)
	{
		/* echo $fromdate.' , '. $todate.' , '. $region;
		exit;		*/
	  

		 $agent_name     = array(); 
		 $agent_id     = array();
		 $final_data = array();			 
		  $get_data1 = DB::table('tbl_sub_region')
		->select('tbl_sub_region.sub_region_code','tbl_sub_region.sub_region_name','tbl_sub_region.id')
		->where('tbl_sub_region.id','=',$subregion)					
		->get()->all();
			/* foreach($get_data1 as $key=> $region)
				{
				 $agent_name[] = $region->region_name;
				 $agent_id[]=$region->id;
				} */
		$titlename =$get_data1[0]->sub_region_name;
			
		 $get_sales_material_wise = DB::select("SELECT sum(d.total) as total, item.material_name,item.id,subregion_name.id as region_id,DATE(h.created_at) as created_date FROM `tbl_return_sales_details` as d
		 left join tbl_return_sales_header as h on d.header_id=h.id 
		 LEFT JOIN tbl_material_master as item on d.material_id=item.id
		 LEFT JOIN tbl_sub_region as subregion_name on h.subregion=subregion_name.id
												WHERE date(h.created_at) >= '".$fromdate."' AND  date(h.created_at) <= '".$todate."' AND subregion_name.id=".$subregion." 
												group by item.id,region_id,DATE(h.created_at)
												ORDER BY DATE(h.created_at) DESC");
										/* $count=count($get_sales_material_wise); */
										//dd($get_sales_material_wise);
			
		 foreach($get_sales_material_wise as $row) 
		 {
			$final_data['item'][$row->id]  = $row->material_name;
			$final_data['sales'][$row->created_date][$row->id]  = $row->total;
		 } 
		 //dd($final_data);
		$first_date     = date($fromdate);
		$last_date      = date($todate);
		$colspan        = date('d', strtotime($todate)) + 2; 
	    ?>	 
			 <table style="width: 100%;" id="example" class="table table-hover table-striped table-bordered">
					  <thead class="bg-secondary text-white"> 
                       <tr>
                        <th style="height: 56px;
								background: #6a737b;
								color: white;" colspan="<?php echo $colspan; ?> " class='text-center'><?php echo $titlename; ?></th>
                      </tr>					  
						 <tr style="height: 56px;
								background: #6a737b;
								color: white;">
								<th class="text-justify text-center">Material Name</th>
								<?php 
									while($first_date <= $last_date) 
									{
      

									   ?> <th><?php echo date('F d, Y', strtotime($first_date)); ?></th>
									  <?php
									  
									  
									  
									   $first_date = date('Y-m-d', strtotime($first_date . ' +1 day'));   
                                    }
									?>
								<th class="text-justify text-center">Total Material Sales</th>
													  
						 </tr>
					</thead>
				    <tbody>
					
					<?php 
					    
						$total_alter_sales = array();
						$total_base_sales  = array();
						foreach($final_data['item'] as $item_id => $item_name)
						{
							$total_item_alter   = 0;
								?>
								<tr>
								<td><?php echo $item_name; ?></td>
									<?php
									$first_date = date($fromdate);
									$alter_item_sales = 0;
									$base_item_sales  = 0;
									while($first_date <= $last_date) {
										
										if (!isset($total_alter_sales[$first_date])) 
										{
                                          $total_alter_sales[$first_date] = 0;
                                        }
										$alter_date_sale = isset($final_data['sales'][$first_date][$item_id]) ? $final_data['sales'][$first_date][$item_id] : 0;
										
										$total_item_alter   += $alter_date_sale; 
										$total_alter_sales[$first_date] += $alter_date_sale;
      
									   ?> <td><?php echo $alter_date_sale; ?></td>
									  <?php
									  
									   $first_date = date('Y-m-d', strtotime($first_date . ' +1 day'));
									     
                                    }
										?> 
									<th class='text-center'><?php echo $total_item_alter; ?></th>
							           </tr>
												<?php
							}
					
				?>
				
				<tbody>
				<tfoot>
				<tr>
					<th class='text-center'>Total Sales</th>
					<?php 
						$first_date     = date($fromdate);
						$total_sales_alter    = 0;
						$total_sales_base     = 0;
						while($first_date <= $last_date) {
							$total_sales_alter += $total_alter_sales[$first_date];
							
							?>
							 <th class='text-center'><?php echo $total_alter_sales[$first_date]; ?></th>
							 <?php 
							$first_date = date('Y-m-d', strtotime($first_date . ' +1 day'));
						}
					   ?>
					 <th class='text-center'><?php echo $total_sales_alter; ?></th>
				</tr>
				
				
				<tfoot>
		  </table>		
		<?php

	}

     //modal for warehouse
   public function get_warehouse_return_report_pop($fromdate, $todate, $warehous)
	{
		/* echo $fromdate.' , '. $todate.' , '. $region;
		exit;		*/
	  

		 $agent_name     = array(); 
		 $agent_id     = array();
		 $final_data = array();			 
		  $get_data1 = DB::table('tbl_warehouse')
		->select('tbl_warehouse.warehouse_code','tbl_warehouse.warehouse_name','tbl_warehouse.id')
		->where('tbl_warehouse.id','=',$warehous)					
		->get()->all();
		/* foreach($get_data1 as $key=> $region)
			{
			 $agent_name[] = $region->region_name;
			 $agent_id[]=$region->id;
			} */
			$titlename =$get_data1[0]->warehouse_name;
			
			
			 $get_sales_material_wise = DB::select("SELECT sum(d.total) as total, item.material_name,item.id,warehouse_name.id as region_id,DATE(h.created_at) as created_date FROM `tbl_return_sales_details` as d
			 left join tbl_return_sales_header as h on d.header_id=h.id 
			 LEFT JOIN tbl_material_master as item on d.material_id=item.id
			 LEFT JOIN tbl_warehouse as warehouse_name on h.warehouse=warehouse_name.id
													WHERE date(h.created_at) >= '".$fromdate."' AND  date(h.created_at) <= '".$todate."' AND warehouse_name.id=".$warehous." 
													group by item.id,region_id,DATE(h.created_at)
                                                    ORDER BY DATE(h.created_at) DESC");
											/* $count=count($get_sales_material_wise); */
			                                //dd($get_sales_material_wise);
			
			 foreach($get_sales_material_wise as $row) 
			 {
				$final_data['item'][$row->id]  = $row->material_name;
				$final_data['sales'][$row->created_date][$row->id]  = $row->total;
			 } 
			 //dd($final_data);
			$first_date     = date($fromdate);
			$last_date      = date($todate);
			$colspan        = date('d', strtotime($todate)) + 2; 
		   ?>	 
			 <table style="width: 100%;" id="example" class="table table-hover table-striped table-bordered">
					  <thead class="bg-secondary text-white"> 
                       <tr>
                          <th style="height: 56px;
								background: #6a737b;
								color: white;" colspan="<?php echo $colspan; ?> " class='text-center'><?php echo $titlename; ?></th>
                      </tr>					  
						 <tr style="height: 56px;
								background: #6a737b;
								color: white;">
								<th class="text-justify text-center">Material Name</th>
								<?php 
									while($first_date <= $last_date) {
      

									   ?> <th><?php echo date('F d, Y', strtotime($first_date)); ?></th>
									  <?php
									  
									  
									  
									   $first_date = date('Y-m-d', strtotime($first_date . ' +1 day'));   
                                    }
									?>
								<th class="text-justify text-center">Total Material Sales</th>
													  
						 </tr>
					</thead>
				    <tbody>
					
					<?php 
					    
						$total_alter_sales = array();
						$total_base_sales  = array();
						foreach($final_data['item'] as $item_id => $item_name) 
						{
							$total_item_alter   = 0;
								?>
								<tr>
								<td><?php echo $item_name; ?></td>
									<?php
									$first_date = date($fromdate);
									$alter_item_sales = 0;
									$base_item_sales  = 0;
									while($first_date <= $last_date) 
									{
										
										if (!isset($total_alter_sales[$first_date])) 
										{
                                          $total_alter_sales[$first_date] = 0;
                                        }
										$alter_date_sale = isset($final_data['sales'][$first_date][$item_id]) ? $final_data['sales'][$first_date][$item_id] : 0;
										
										$total_item_alter   += $alter_date_sale; 
										$total_alter_sales[$first_date] += $alter_date_sale;
      
									   ?> <td><?php echo $alter_date_sale; ?></td>
									  <?php
									  
									   $first_date = date('Y-m-d', strtotime($first_date . ' +1 day'));
									     
                                    }
										?> 
									<th class='text-center'><?php echo $total_item_alter; ?></th>
							           </tr>
												<?php
							}
					
					?>
					
				    <tbody>
					<tfoot>
					<tr>
                        <th class='text-center'>Total Sales</th>
						<?php 
							$first_date     = date($fromdate);
							$total_sales_alter    = 0;
							$total_sales_base     = 0;
							while($first_date <= $last_date) 
							{
								$total_sales_alter += $total_alter_sales[$first_date];
								
						 		?>
						         <th class='text-center'><?php echo $total_alter_sales[$first_date]; ?></th>
						         <?php 
								$first_date = date('Y-m-d', strtotime($first_date . ' +1 day'));
							}
                           ?>
                         <th class='text-center'><?php echo $total_sales_alter; ?></th>
                    </tr>
					
					
					<tfoot>
			  </table>		
		<?php

	 }


    public function get_region_quntityy_sales_report_pop($fromdate, $todate, $region)
	 {
		/* echo $fromdate.' , '. $todate.' , '. $region;
		exit; */		
	    $baseuom_id     = array(); 
	    $altuom_id     = array(); 
		$get_data1 = DB::table('tbl_unit_of_measurement')
		->select('tbl_unit_of_measurement.id',)
		->where('tbl_unit_of_measurement.uom_type','=',1)->get();
								
			foreach($get_data1 as $key=> $warehous)
			 {
					 //$agent_name[$warehous->id] = $warehous->warehouse_name;
				 $baseuom_id[]=$warehous->id;
			 }
			$get_data1 = DB::table('tbl_unit_of_measurement')
			->select('tbl_unit_of_measurement.id',)
		   ->where('tbl_unit_of_measurement.uom_type','=',2)->get();
			foreach($get_data1 as $key=> $warehous)
				{
				  //$agent_name[$warehous->id] = $warehous->warehouse_name;
				  $altuom_id[]=$warehous->id;
			    }    
            
	         $agent_name     = array(); 
			 $agent_id     = array();
             $final_data = array();			 
			  $get_data1 = DB::table('tbl_region')
			 ->select('tbl_region.region_code','tbl_region.region_name','tbl_region.id')
			 ->where('tbl_region.id','=',$region)					
			 ->get()->all();
				/* foreach($get_data1 as $key=> $region)
					{
					 $agent_name[] = $region->region_name;
					 $agent_id[]=$region->id;
				    } */
			 $titlename =$get_data1[0]->region_name;
			
			 $get_sales_material_wise = DB::select("SELECT sum(d.total) as total, item.material_name,item.id,region_name.id as region_id,DATE(h.created_at) as created_date,
             SUM(IF(d.uom in (".implode(',',$baseuom_id)."), d.quantity, 0)) as base_quantity,
			 SUM(IF(d.uom in (".implode(',',$altuom_id)."), d.quantity, 0)) as alt_quantity
			 FROM `tbl_return_sales_details` as d
			 left join tbl_return_sales_header as h on d.header_id=h.id 
			 LEFT JOIN tbl_material_master as item on d.material_id=item.id
			 LEFT JOIN tbl_region as region_name on h.region=region_name.id
													WHERE date(h.created_at) >= '".$fromdate."' AND  date(h.created_at) <= '".$todate."' AND region_name.id=".$region." 
													group by item.id,region_id,DATE(h.created_at)
                                                    ORDER BY DATE(h.created_at) DESC");
											/* $count=count($get_sales_material_wise); */
			                                //dd($get_sales_material_wise);
			
			 foreach($get_sales_material_wise as $row) 
			  {
				$final_data['item'][$row->id]  = $row->material_name;
				 if(isset($final_data['alter'][$row->region_id][$row->id]))
					{
					 $final_data['alter'][$row->created_date][$row->id]  += $row->alt_quantity;
                     $final_data['base'][$row->created_date][$row->id]   += $row->base_quantity;
					}
					else
					{
					$final_data['alter'][$row->created_date][$row->id]  = $row->alt_quantity;
                     $final_data['base'][$row->created_date][$row->id]   = $row->base_quantity;	
				    }
			 } 
			 //dd($final_data);
			$first_date     = date($fromdate);
			$last_date      = date($todate);
			$colspan        = date('d', strtotime($todate)) + 2; 
		   ?>
		
			 <table style="width: 100%;" id="example" class="table table-hover table-striped table-bordered">
					  <thead class="bg-secondary text-white"> 
                       <tr>
                        <th style="height: 56px;
								background: #6a737b;
								color: white;" colspan="<?php echo $colspan; ?> " class='text-center'><?php echo $titlename; ?></th>
                      </tr>					  
						 <tr style="height: 56px;
								background: #6a737b;
								color: white;">
								<th class="text-justify text-center">Material Name</th>
								<?php 
									while($first_date <= $last_date) {
      

									   ?> <th><?php echo date('F d, Y', strtotime($first_date)); ?></th>
									  <?php
									  
									  
									  
									   $first_date = date('Y-m-d', strtotime($first_date . ' +1 day'));   
                                    }
									?>
								<th class="text-justify text-center">Total Material Sales</th>
													  
						 </tr>
					</thead>
				    <tbody>
					
					<?php 
					    
						$total_alter_sales = array();
						$total_base_sales  = array();
						foreach($final_data['item'] as $item_id => $item_name) 
						{
							$total_item_alter   = 0;
								?>
								<tr>
								<td><?php echo $item_name; ?></td>
									<?php
									$first_date = date($fromdate);
									$alter_item_sales = 0;
									$base_item_sales  = 0;
									while($first_date <= $last_date)
									{
										
										if (!isset($total_alter_sales[$first_date])) 
										   {
											$total_alter_sales[$first_date] = 0;
											}
										if (!isset($total_base_sales[$first_date]))
											{
											 $total_base_sales[$first_date] = 0;
										    }
										$alter_item_count = isset($final_data['alter'][$first_date][$item_id]) ? $final_data['alter'][$first_date][$item_id] : 0;
										$base_item_count = isset($final_data['base'][$first_date][$item_id]) ? $final_data['base'][$first_date][$item_id] : 0;
										$total_alter_sales[$first_date]   += $alter_item_count;
										$total_base_sales[$first_date]    += $base_item_count;
										$alter_item_sales  +=$alter_item_count;
										$base_item_sales +=$base_item_count;

													?>	
													
														<td class='text-center'><?php echo $alter_item_count.'/'.$base_item_count; ?></td>
									  <?php
									  
									   $first_date = date('Y-m-d', strtotime($first_date . ' +1 day'));
									     
                                    }
										?> 
									<th class='text-center'><?php echo $alter_item_sales.'/'.$base_item_sales; ?></th>
							           </tr>
								<?php
								}
					
					?>
					
				    <tbody>
					<tfoot>
					<tr>
                        <th class='text-center'>Total Sales</th>
						<?php 
							$first_date     = date($fromdate);
							$total_item_alter_sales    = 0;
							$total_item_base_sales     = 0;
							while($first_date <= $last_date) 
							{
								$item_total_alter_sales = isset($total_alter_sales[$first_date]) ? $total_alter_sales[$first_date] : 0;
														$item_total_base_sales  = isset($total_base_sales[$first_date]) ? $total_base_sales[$first_date] : 0;
														$total_item_alter_sales += $item_total_alter_sales;
														$total_item_base_sales  += $item_total_base_sales;
													    ?>
													    <th><?php echo $item_total_alter_sales.'/'.$item_total_base_sales; ?></th>
											         <?php
								$first_date = date('Y-m-d', strtotime($first_date . ' +1 day'));
							}
                           ?>
                        <th class="text-center"><?php echo $total_item_alter_sales.'/'.$total_item_base_sales; ?> </th>
                    </tr>
					
					
					<tfoot>
			  </table>		
		<?php

     }

    public function get_subregion_quantityy_sales_report_pop($fromdate, $todate, $subregion)
	 {
	     /* echo $fromdate.' , '. $todate.' , '. $region;
		 exit; */		
			 $baseuom_id     = array(); 
			  $altuom_id     = array(); 
				$get_data1 = DB::table('tbl_unit_of_measurement')
				->select('tbl_unit_of_measurement.id',)
				->where('tbl_unit_of_measurement.uom_type','=',1)->get();
										
					foreach($get_data1 as $key=> $warehous)
					 {
							 //$agent_name[$warehous->id] = $warehous->warehouse_name;
						 $baseuom_id[]=$warehous->id;
					  }
					$get_data1 = DB::table('tbl_unit_of_measurement')
					->select('tbl_unit_of_measurement.id',)
				   ->where('tbl_unit_of_measurement.uom_type','=',2)->get();
					foreach($get_data1 as $key=> $warehous)
						{
						//$agent_name[$warehous->id] = $warehous->warehouse_name;
						 $altuom_id[]=$warehous->id;
					   }    
	
	          $agent_name     = array(); 
			 $agent_id     = array();
             $final_data = array();			 
			  $get_data1 = DB::table('tbl_sub_region')
			->select('tbl_sub_region.sub_region_code','tbl_sub_region.sub_region_name','tbl_sub_region.id')
			->where('tbl_sub_region.id','=',$subregion)					
			->get()->all();
				/* foreach($get_data1 as $key=> $region)
					{
					 $agent_name[] = $region->region_name;
					 $agent_id[]=$region->id;
				    } */
			$titlename =$get_data1[0]->sub_region_name;
			
			 $get_sales_material_wise = DB::select("SELECT 
			 SUM(IF(d.uom in (".implode(',',$baseuom_id)."), d.quantity, 0)) as base_quantity,
			 SUM(IF(d.uom in (".implode(',',$altuom_id)."), d.quantity, 0)) as alt_quantity, item.material_name,item.id,subregion_name.id as region_id,DATE(h.created_at) as created_date 
			 FROM `tbl_return_sales_details` as d
			 left join tbl_return_sales_header as h on d.header_id=h.id 
			 LEFT JOIN tbl_material_master as item on d.material_id=item.id
			 LEFT JOIN tbl_sub_region as subregion_name on h.subregion=subregion_name.id
													WHERE date(h.created_at) >= '".$fromdate."' AND  date(h.created_at) <= '".$todate."' AND subregion_name.id=".$subregion." 
													group by item.id,region_id,DATE(h.created_at)
                                                    ORDER BY DATE(h.created_at) DESC");
											/* $count=count($get_sales_material_wise); */
			                                //dd($get_sales_material_wise);
			 foreach($get_sales_material_wise as $row) 
			  {
				$final_data['item'][$row->id]  = $row->material_name;
				 if(isset($final_data['alter'][$row->region_id][$row->id]))
					{
					 $final_data['alter'][$row->created_date][$row->id]  += $row->alt_quantity;
                     $final_data['base'][$row->created_date][$row->id]   += $row->base_quantity;
					}
					else
					{
					$final_data['alter'][$row->created_date][$row->id]  = $row->alt_quantity;
                     $final_data['base'][$row->created_date][$row->id]   = $row->base_quantity;	
				    }
			 } 
			 //dd($final_data);
			$first_date     = date($fromdate);
			$last_date      = date($todate);
			$colspan        = date('d', strtotime($todate)) + 2; 
		?>
		
			 <table style="width: 100%;" id="example" class="table table-hover table-striped table-bordered">
					  <thead class="bg-secondary text-white"> 
                       <tr>
                        <th style="height: 56px;
								background: #6a737b;
								color: white;" colspan="<?php echo $colspan; ?> " class='text-center'><?php echo $titlename; ?></th>
                       </tr>					  
						 <tr style="height: 56px;
								background: #6a737b;
								color: white;">
								<th class="text-justify text-center">Material Name</th>
								<?php 
									while($first_date <= $last_date) {
      

									   ?> <th><?php echo date('F d, Y', strtotime($first_date)); ?></th>
									  <?php
									  
									  
									  
									   $first_date = date('Y-m-d', strtotime($first_date . ' +1 day'));   
                                    }
									?>
								<th class="text-justify text-center">Total Material Sales</th>
													  
						 </tr>
					</thead>
				    <tbody>
					
					<?php 
					    
						$total_alter_sales = array();
						$total_base_sales  = array();
						foreach($final_data['item'] as $item_id => $item_name) 
						{
							$total_item_alter   = 0;
								?>
								<tr>
								<td><?php echo $item_name; ?></td>
									<?php
									$first_date = date($fromdate);
									$alter_item_sales = 0;
									$base_item_sales  = 0;
									while($first_date <= $last_date)
									{
										
										if (!isset($total_alter_sales[$first_date])) 
										   {
											$total_alter_sales[$first_date] = 0;
											}
										if (!isset($total_base_sales[$first_date])) 
										   {
											$total_base_sales[$first_date] = 0;
										  }
										$alter_item_count = isset($final_data['alter'][$first_date][$item_id]) ? $final_data['alter'][$first_date][$item_id] : 0;
										$base_item_count = isset($final_data['base'][$first_date][$item_id]) ? $final_data['base'][$first_date][$item_id] : 0;
										$total_alter_sales[$first_date]   += $alter_item_count;
										$total_base_sales[$first_date]    += $base_item_count;
										$alter_item_sales  +=$alter_item_count;
										$base_item_sales +=$base_item_count;

													?>	
													
														<td class='text-center'><?php echo $alter_item_count.'/'.$base_item_count; ?></td>
									  <?php
									  
									   $first_date = date('Y-m-d', strtotime($first_date . ' +1 day'));
									     
                                    }
										?> 
									<th class='text-center'><?php echo $alter_item_sales.'/'.$base_item_sales; ?></th>
							           </tr>
								<?php
							}
					
					?>
					
				    <tbody>
					<tfoot>
					<tr>
                        <th class='text-center'>Total Sales</th>
						<?php 
							$first_date     = date($fromdate);
							$total_item_alter_sales    = 0;
							$total_item_base_sales     = 0;
							while($first_date <= $last_date) {
								$item_total_alter_sales = isset($total_alter_sales[$first_date]) ? $total_alter_sales[$first_date] : 0;
														$item_total_base_sales  = isset($total_base_sales[$first_date]) ? $total_base_sales[$first_date] : 0;
														$total_item_alter_sales += $item_total_alter_sales;
														$total_item_base_sales  += $item_total_base_sales;
													    ?>
													    <th><?php echo $item_total_alter_sales.'/'.$item_total_base_sales; ?></th>
											         <?php
								$first_date = date('Y-m-d', strtotime($first_date . ' +1 day'));
							}
                           ?>
                        <th class="text-center"><?php echo $total_item_alter_sales.'/'.$total_item_base_sales; ?> </th>
                    </tr>
					
					
					<tfoot>
			  </table>		
		<?php

	 }	

    public function get_warehouse_quantityy_sales_report_pop($fromdate, $todate, $warehous)
	 {
		/* echo $fromdate.' , '. $todate.' , '. $region;
		exit; */		
			 $baseuom_id     = array(); 
			  $altuom_id     = array(); 
				$get_data1 = DB::table('tbl_unit_of_measurement')
				->select('tbl_unit_of_measurement.id',)
				->where('tbl_unit_of_measurement.uom_type','=',1)->get();
										
					foreach($get_data1 as $key=> $warehouse)
					  {
							 //$agent_name[$warehous->id] = $warehous->warehouse_name;
						 $baseuom_id[]=$warehouse->id;
					  }
					$get_data1 = DB::table('tbl_unit_of_measurement')
					->select('tbl_unit_of_measurement.id',)
				   ->where('tbl_unit_of_measurement.uom_type','=',2)->get();
					foreach($get_data1 as $key=> $warehouse)
						{
						 //$agent_name[$warehous->id] = $warehous->warehouse_name;
						  $altuom_id[]=$warehouse->id;
					    }    
            
	         $agent_name     = array(); 
			 $agent_id     = array();
             $final_data = array();			 
			  $get_data1 = DB::table('tbl_warehouse')
			 ->select('tbl_warehouse.warehouse_code','tbl_warehouse.warehouse_name','tbl_warehouse.id')
			 ->where('tbl_warehouse.id','=',$warehous)					
			 ->get()->all();
				/* foreach($get_data1 as $key=> $region)
					{
					 $agent_name[] = $region->region_name;
					 $agent_id[]=$region->id;
				    } */
			 $titlename =$get_data1[0]->warehouse_name;
			
			 $get_sales_material_wise = DB::select("SELECT 
			 SUM(IF(d.uom in (".implode(',',$baseuom_id)."), d.quantity, 0)) as base_quantity,
			 SUM(IF(d.uom in (".implode(',',$altuom_id)."), d.quantity, 0)) as alt_quantity, item.material_name,item.id,warehouse_name.id as region_id,DATE(h.created_at) as created_date FROM `tbl_return_sales_details` as d
			 left join tbl_return_sales_header as h on d.header_id=h.id 
			 LEFT JOIN tbl_material_master as item on d.material_id=item.id
			 LEFT JOIN tbl_warehouse as warehouse_name on h.warehouse=warehouse_name.id
													WHERE date(h.created_at) >= '".$fromdate."' AND  date(h.created_at) <= '".$todate."' AND warehouse_name.id=".$warehous." 
													group by item.id,region_id,DATE(h.created_at)
                                                    ORDER BY DATE(h.created_at) DESC");
											/* $count=count($get_sales_material_wise); */
			                                //dd($get_sales_material_wise);
			  foreach($get_sales_material_wise as $row) 
			    {
				  $final_data['item'][$row->id]  = $row->material_name;
				   if(isset($final_data['alter'][$row->region_id][$row->id]))
					 {
					  $final_data['alter'][$row->created_date][$row->id]  += $row->alt_quantity;
                      $final_data['base'][$row->created_date][$row->id]   += $row->base_quantity;
					 }
				   else
					 {
					  $final_data['alter'][$row->created_date][$row->id]  = $row->alt_quantity;
                      $final_data['base'][$row->created_date][$row->id]   = $row->base_quantity;	
				     }
			    } 
			 //dd($final_data);
			 $first_date     = date($fromdate);
			 $last_date      = date($todate);
			 $colspan        = date('d', strtotime($todate)) + 2; 
		     ?>
		
			 <table style="width: 100%;" id="example" class="table table-hover table-striped table-bordered">
					  <thead class="bg-secondary text-white"> 
                       <tr>
                        <th style="height: 56px;
								background: #6a737b;
								color: white;" colspan="<?php echo $colspan; ?> " class='text-center'><?php echo $titlename; ?></th>
                       </tr>					  
					 	 <tr style="height: 56px;
								background: #6a737b;
								color: white;">
								<th class="text-justify text-center">Material Name</th>
								<?php 
									while($first_date <= $last_date)
									{
      

									   ?> <th><?php echo date('F d, Y', strtotime($first_date)); ?></th>
									  <?php
									  
									  
									  
									   $first_date = date('Y-m-d', strtotime($first_date . ' +1 day'));   
                                    }
									?>
								<th class="text-justify text-center">Total Material Sales</th>
													  
						 </tr>
					</thead>
				    <tbody>
					
					<?php 
					    
						$total_alter_sales = array();
						$total_base_sales  = array();
						foreach($final_data['item'] as $item_id => $item_name) 
						{
							$total_item_alter   = 0;
								?>
								<tr>
								<td><?php echo $item_name; ?></td>
									<?php
									$first_date = date($fromdate);
									$alter_item_sales = 0;
									$base_item_sales  = 0;
									while($first_date <= $last_date)
									{
										
										if (!isset($total_alter_sales[$first_date]))
											{
											 $total_alter_sales[$first_date] = 0;
											}
										if (!isset($total_base_sales[$first_date])) 
										  {
											$total_base_sales[$first_date] = 0;
										  }
										$alter_item_count = isset($final_data['alter'][$first_date][$item_id]) ? $final_data['alter'][$first_date][$item_id] : 0;
										$base_item_count = isset($final_data['base'][$first_date][$item_id]) ? $final_data['base'][$first_date][$item_id] : 0;
										$total_alter_sales[$first_date]   += $alter_item_count;
										$total_base_sales[$first_date]    += $base_item_count;
										$alter_item_sales  +=$alter_item_count;
										$base_item_sales +=$base_item_count;

													?>	
													
														<td class='text-center'><?php echo $alter_item_count.'/'.$base_item_count; ?></td>
									  <?php
									  
									   $first_date = date('Y-m-d', strtotime($first_date . ' +1 day'));
									     
                                    }
										?> 
									<th class='text-center'><?php echo $alter_item_sales.'/'.$base_item_sales; ?></th>
							           </tr>
								<?php
							}
					
					?>
					
				    <tbody>
					<tfoot>
					<tr>
                        <th class='text-center'>Total Sales</th>
						<?php 
							$first_date     = date($fromdate);
							$total_item_alter_sales    = 0;
							$total_item_base_sales     = 0;
							while($first_date <= $last_date) 
							{
								$item_total_alter_sales = isset($total_alter_sales[$first_date]) ? $total_alter_sales[$first_date] : 0;
														$item_total_base_sales  = isset($total_base_sales[$first_date]) ? $total_base_sales[$first_date] : 0;
														$total_item_alter_sales += $item_total_alter_sales;
														$total_item_base_sales  += $item_total_base_sales;
													    ?>
													    <th><?php echo $item_total_alter_sales.'/'.$item_total_base_sales; ?></th>
											         <?php
								$first_date = date('Y-m-d', strtotime($first_date . ' +1 day'));
							}
                           ?>
                        <th class="text-center"><?php echo $total_item_alter_sales.'/'.$total_item_base_sales; ?> </th>
                    </tr>
					
					
					<tfoot>
			  </table>		
		<?php

	 }		

 }
