<?php

namespace App\Http\Controllers;
use Illuminate\Support\Facades\DB;
use Illuminate\Http\Request;
use App\Models\SalesmanModel; 

class SurveysDataController extends Controller
 {
   public function list(Request $request)
	{ 
	
	    $current_date=date("Y-m-d");	
	    $where="";		
	    if(count($request->all()) < 1)
        {
		  $where .= " AND DATE_FORMAT(riheader.created_at, '%Y-%m-%d') between '".$current_date."' and '".$current_date."'"; 
	    }
	  
	    if($request->fromdate!='')
        {
	      $where .= " AND DATE_FORMAT(riheader.created_at, '%Y-%m-%d') between '".$request->fromdate."' and '".$request->todate."'"; 
         }
	    
		 if($request->salesman!='')
         {
            $where .= "AND salesman_id = '".$request->salesman."'";
         }  
	     $salesman =SalesmanModel::all()->sortByDesc('id')->where('status', '=', 'active');
	   
		 $get_data = DB::select("SELECT riheader.*,
		 surveys.survey_name,cust.customer_name,cust.customer_code,sales.salesman_name,salesman_code
		 FROM tbl_survey_answer_header as riheader
		 LEFT JOIN tbl_surveys as surveys on riheader.survey_id=surveys.id 
		 LEFT JOIN tbl_customer as cust on riheader.customer_id=cust.id 
		 LEFT JOIN tbl_salesman as sales on riheader.salesman_id=sales.id 
		 WHERE riheader.id IS NOT NULL ".$where." ORDER BY ID DESC ");
		//dd($get_data);
		
		return view('Merchandising.surveys_data_list',compact('get_data','salesman'));
	}
	
   public function view($id)
	{
		$get_data = DB::table('tbl_survey_answer_details')
		->leftjoin('tbl_questions', 'tbl_survey_answer_details.question_id', '=', 'tbl_questions.id')
		->leftjoin('tbl_survey_answer_header', 'tbl_survey_answer_details.header_id', '=', 'tbl_survey_answer_header.id')
		
		->select('tbl_survey_answer_details.*','tbl_questions.*','tbl_survey_answer_header.*')
		
		->where('tbl_survey_answer_header.id', '=', $id)
	   ->get();
	
		//dd($get_data);
		return view('Merchandising.surveys_data_view',compact('get_data'));
    }
 }
