<?php

namespace App\Http\Controllers;
use Illuminate\Http\Request;
use App\Models\VehicleBrandModel;
use Session;
use App\Models\ManageCodeModel;
class VehicleBrandController extends Controller
 {
   public function list()
    {		
		$get_data = VehicleBrandModel::all()->sortByDesc('id');
		
		return view('Parameters_Configuration.vehicle_brand_list',compact('get_data'));
    }
	
   public function add()
    {  
	   $result =VehicleBrandModel::get()->sortByDesc('id')->first();
	   if($result=='')
		 {
			$getcode = ManageCodeModel::where('id', 1)->first();
		 	$last_code = $getcode->vehicle_brand_code;
		 }
	   else
		   {
			 $getcode = $result->vehicle_brand_code; 
			 $last_code = ++$getcode; 
		   } 
       return view('Parameters_Configuration.vehicle_brand',compact('last_code'));
    }
	
   public function edit($id)
    {
	   $get_data=VehicleBrandModel::find($id);
	   $last_code = $get_data->vehicle_brand_code;

	   return view('Parameters_Configuration.vehicle_brand',compact('get_data','last_code'));
    }
	
   public function save(Request $request)
    {		
	   $data=new VehicleBrandModel;		
	   if($request->updated_id) 
		 {
			$data = VehicleBrandModel::find($request->updated_id);
			$data->vehicle_brand_code=$request->vehicle_brand_code;
			$data->vehicle_brand_name=$request->vehicle_brand_name;
			$data->updated_user= Session::get('user_id');
			$data->status=$request->status;
			$data->save();
			return redirect(route('vehicle_brand_list'))->with('successMessage','Vehicle Brand  Updated Successfully');
				
		 } else 
			 {
				
				$data->vehicle_brand_code=$request->vehicle_brand_code;
				$data->vehicle_brand_name=$request->vehicle_brand_name;
				$data->created_user= Session::get('user_id');
				$data->status=$request->status;
				$data->save();
				 return redirect(route('vehicle_brand_list'))->with('successMessage',' Vehicle Brand Added Successfully');

			 }	
    	
     }
 }
