<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class CreateSalesmanUnloadModelsTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('tbl_route_unload_header', function (Blueprint $table) {
            $table->id();
			$table->string('salesman_id',20);
			$table->string('route_id',20);
			$table->string('unload_time',20);
			$table->string('unload_code',20);
			$table->string('warehouse_id',20);
            $table->timestamps();
        });
		
		Schema::create('tbl_route_unload_details', function (Blueprint $table) {
            $table->id();
			$table->string('header_id',20);
			$table->string('material_id',20);
			$table->string('uom',20);
			$table->string('quantity',20);
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('tbl_route_unload_header','tbl_route_unload_details');
    }
}
