<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class CreateCompetitorManagementModelsTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('tbl_route_competitor', function (Blueprint $table) {
            $table->id();
			$table->string('route_id',20);
			$table->string('salesman_id',20);
			$table->string('warehouse_id',20);
			$table->string('company_name',20);
			$table->string('brand',20);
			$table->string('item_name',20);
			$table->string('price',20);
			$table->string('promotions',20);
			$table->string('notes',20);
			$table->string('complaint_images',500);
			$table->string('currency',20);
			
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('tbl_route_competitor');
    }
}
