<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class CreateOutletWarehouseModelsTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('tbl_outlet_warehouse', function (Blueprint $table) {
            $table->id();
			$table->string('warehouse_id',20);
			$table->string('material_category_id',20);
			$table->string('material_id',20);
			$table->string('uom_id',20);
			$table->string('new_stock',20);
		    $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('tbl_outlet_warehouse');
    }
}
