<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class CreateEmailConfigurationModelsTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('tbl_email_configuration', function (Blueprint $table) {
            $table->id();
			$table->string('email',100);
			$table->string('host_name',120);
			$table->string('port',120);
			$table->enum('authentication', ['true', 'false']); 
			$table->string('password',120);
			$table->enum('ntlm', ['true', 'false']);
			$table->string('domain',120);
			$table->string('username',120);
			$table->enum('use_ssl', ['true', 'false']);
			$table->string('tls',50);
            $table->timestamps(); 
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('tbl_email_configuration');
    }
}
