<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class CreatePlanogramModelsTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('tbl_planogram', function (Blueprint $table) {
             $table->integer('id');
			 $table->string('planogram_name',25);
			 $table->string('shelf_display_name',25);
			 $table->string('valid_from',25);
			 $table->string('valid_to',25);
			 $table->string('region',25);
			 $table->string('sub_region',25);
			 $table->string('customer',125);
			 $table->string('planogram_image1',2000)->nullable();
			 $table->string('planogram_image2',2000)->nullable();  
			 $table->enum('status', ['active', 'inactive']);  
			 $table->timestamps();   
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('tbl_planogram');
    }
}
