<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class CreateOutletStockWarehousesTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
	 
    public function up()
    {
        Schema::create('tbl_outlet_stock_warehouse', function (Blueprint $table) {
            $table->id();
			$table->integer('warehouse_id');
			$table->integer('outlet_warehouse_id');
			$table->integer('uom');
			$table->integer('material_id');
			$table->integer('qty');
			$table->integer('bad_qty');
			$table->integer('outlet_id');
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('tbl_outlet_stock_warehouse');
    }
}
