<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class CreateRouteVistitPlanModelsTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
   public function up()
    {
       Schema::create('tbl_route_visit_plan_header', function (Blueprint $table) {
            $table->integer('id');
			$table->integer('for_visit_plan');
			$table->integer('sales_area_id');
			$table->integer('route_id');
			$table->date('valid_from',20);
			$table->date('valid_to',20);
			$table->timestamps();
        });
		
		Schema::create('tbl_route_visit_plan_details', function (Blueprint $table) {
            $table->integer('id');
			$table->integer('header_id');
			$table->integer('customer_id');
			
			$table->enum('mon', ['1', '0'])->default(0); 
			$table->enum('tue', ['1', '0'])->default(0);
			$table->enum('wed', ['1', '0'])->default(0);
			$table->enum('thu', ['1', '0'])->default(0);
			$table->enum('fri', ['1', '0'])->default(0);
			$table->enum('sat', ['1', '0'])->default(0);
			$table->enum('sun', ['1', '0'])->default(0);
			$table->timestamps();
        });
    }


    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('tbl_route_visit_plan_details','tbl_route_visit_plan_header');
    }
}
