<?php

namespace Database\Seeders;

use Illuminate\Database\Seeder;
use Carbon\Carbon;
class DatabaseSeeder extends Seeder
{   
    public function run()
    {
        // \App\Models\User::factory(10)->create();
		
		//Master
		$this->call(tbl_companyseeder::class);
		$this->call(tbl_clientseeder::class);
		$this->call(tbl_customerseeder::class);
		$this->call(tbl_warehouseseeder::class);
		$this->call(tbl_vehicleseeder::class);
		$this->call(tbl_sales_areaseeder::class);
		$this->call(tbl_routeseeder::class);
		$this->call(tbl_salesmanseeder::class);
		$this->call(tbl_material_masterseeder::class);
		$this->call(tbl_pricing_planseeder::class);
		$this->call(tbl_bankseeder::class);
		$this->call(tbl_taxseeder::class);
		$this->call(tbl_discountseeder::class);
		$this->call(tbl_supplierseeder::class);
		$this->call(tbl_outletseeder::class);
		$this->call(tbl_trading_centerseeders::class);
		
		//System
		
		$this->call(tbl_company_typeseeder::class);
		$this->call(tbl_currency_typeseeder::class);
		$this->call(tbl_countryseeder::class);
		$this->call(tbl_cityseeder::class);
		$this->call(tbl_regionseeder::class);
		$this->call(tbl_sub_regionseeder::class);
		$this->call(tbl_customer_typeseeder::class);
		$this->call(tbl_customer_categoryseeder::class);
		$this->call(tbl_vehicle_brandseeder::class);
		$this->call(tbl_vehicle_typeseeder::class);
		$this->call(tbl_salesman_typeseeder::class);
		$this->call(tbl_material_categoryseeder::class);
		$this->call(tbl_brand_typeseeder::class);
		$this->call(tbl_expense_typeseeder::class);
		$this->call(tbl_discount_typeseeder::class);
		$this->call(tbl_sales_target_typeseeder::class);
		$this->call(tbl_locationseeder::class);
		$this->call(tbl_payment_termseeder::class);
		$this->call(tbl_expense_categoryseeder::class);
		$this->call(tbl_supplier_typeseeder::class);
		$this->call(tbl_unit_of_conversionseeder::class);
		$this->call(tbl_unit_of_measurementseeder::class);
		$this->call(tbl_manage_codeseeder::class);
		
		
    }
	
}
