<?php

namespace Database\Seeders;

use Illuminate\Database\Seeder;
use Illuminate\Support\Facades\DB;
use Carbon\Carbon;
class tbl_material_masterseeder extends Seeder
{  
    public function run()
    {
   $current = Carbon::now();

					DB::table('tbl_material_master')->insert(array(
					array(
					'company_id' => "001",
					'material_code' => 'MC0002',
					'material_name' => 'apple rusk',
					'uom' => '12',
					'unit_price' => '36',
					'material_category' => 'biscuit',
					'brand' => 'Unibic',					
					'bar_code' => '440',
					'material_image' => 'unibic.jpg',
					'net_weight' => '25',
					'packing_size' => '50',
					'shelf_life' => '41',
					'promotional_material' => '19',
					'erp_material_code' => '8',
					'alt_uom' => '20',
					'alt_packing_size' => '9',
					'alt_unit_price' => '9100',
					'created_user' => '1',
					'created_at' => $current,
					'status' => 'Active',
					),
					array(
					'company_id' => "002",
					'material_code' => 'MC0003',
					'material_name' => 'rusk',
					'uom' => '11',
					'unit_price' => '26',
					'material_category' => 'biscuit',
					'brand' => 'Uni',					
					'bar_code' => '44',
					'material_image' => 'unibi.jpg',
					'net_weight' => '15',
					'packing_size' => '40',
					'shelf_life' => '11',
					'promotional_material' => '29',
					'erp_material_code' => '7',
					'alt_uom' => '27',
					'alt_packing_size' => '5',
					'alt_unit_price' => '9140',
					'created_user' => '2',
					'created_at' => $current,
					'status' => 'inactive',
					)
					));
   }
}

