@include('theme_layout/header')
@include('theme_layout/nav')
 
<div class="app-main__outer">
 <div class="app-main__inner">
  <div class="app-page-title">
   <div class="page-title-wrapper">
    <div class="page-title-heading">
	 <div class="page-title-icon">
	  <i class="pe-7s-medal icon-gradient bg-tempting-azure">
	  </i>
	 </div>
	 
	    <div>Asset Master List
		  @if(Session::has('successMessage')) 
		  <input id="toster_id" type="hidden" value="{{ Session::get('successMessage') }}">		  
	      @endif 
	    </div>
    </div>
							
        <div class="page-title-actions"> 
         <div class="d-inline-block dropdown">
	      <div class="page-title-actions"> 
		   <div class="d-inline-block dropdown">
			<a href="{{route('asset_master')}}" class="mt-3 btn btn-primary btn-lg"> <i class="fa fa-plus fa-w-20"></i> Add Asset Master</a> 
		  </div>
	 </div> 
									
	    <div tabindex="-1" role="menu" aria-hidden="true" class="dropdown-menu dropdown-menu-right">
	     <ul class="nav flex-column">
		  <li class="nav-item">
		   <a class="nav-link">
		    <i class="nav-link-icon lnr-inbox"></i>
		     <span>
			  Inbox
		     </span>
		     <div class="ml-auto badge badge-pill badge-secondary">86</div>
		   </a>
		 </li>

		<li class="nav-item">
		 <a class="nav-link">
		  <i class="nav-link-icon lnr-book"></i>
		   <span>
			Book
		   </span>
		    <div class="ml-auto badge badge-pill badge-danger">5</div>
		 </a>
		</li>
		
		<li class="nav-item">
		 <a class="nav-link">
		  <i class="nav-link-icon lnr-picture"></i>
		   <span>
			Picture
		   </span>
		 </a>
		</li>
		
	    <li class="nav-item">
		 <a disabled class="nav-link disabled">
		  <i class="nav-link-icon lnr-file-empty"></i>
		   <span>
			File Disabled
		   </span>
		 </a>
	    </li>
       </ul>
      </div>
     </div>
    </div>
   </div>
  </div>          

	    <div class="main-card mb-3 card">
			<div class="card-body">

			<br><br>			
			<table style="width: 100%;" id="example" class="table table-hover table-striped table-bordered"> 
				<thead>
				<tr>			 
				<th class="text-justify text-left">Asset Code</th>
				<th class="text-justify text-left">Serial Number</th>
				<th class="text-justify text-left">Model Number</th>
				<th class="text-justify text-left">Supplier</th>
				<th class="text-justify text-left">Manufacturer</th>
				<th class="text-justify text-left">Status</th>

				<th style="width: 13%;">Action</th>  
				</tr>
				</thead>		
					<tbody>
						@foreach($get_data as $key => $data)
						<input name="qrcode" id="qrcode" value="{{$data->id}}" type="hidden">	 			

						<tr>
						<td class="font-weight-bold text-justify text-left">{{$data->asset_code}}</td>		

						<td class="font-weight-bold text-justify text-left">{{$data->serial_number}}</td>
						
						<td class="font-weight-bold text-justify text-left">{{$data->model_number}}</td>

						<td class="font-weight-bold text-justify text-left">{{$data->supplier_code}}-{{$data->supplier_name}}</td>

						<td class="font-weight-bold text-justify text-left">{{$data->manufacturer}}</td>

						<td class="font-weight-bold text-justify text-left">{{$data->status}}</td>

						
						<td>
							<div class="dropdown">
    						<button type="button" aria-haspopup="true" aria-expanded="false" data-toggle="dropdown" class="mb-2 mr-2 btn btn-outline-primary "><i class="fas fa-ellipsis-v"></i></button>
    						<ul class="dropdown-menu " style="min-width: 0px;" aria-labelledby="dropdownMenuButton1">
    						<a class="dropdown-item" class= "mb-2 mr-2 btn-hover-shine btn btn-shadow btn-success btn-sm" href=" {{ URL::to('asset_master/'.$data->id)}}"><i class="fas fa-edit" aria-hidden="true"> Edit</i> </a>
							<a class="dropdown-item" class= "mb-2 mr-2 btn-hover-shine btn btn-shadow btn-success btn-sm" href=" {{ URL::to('asset_master_view/'.$data->id)}}"><i class="fas fa-eye" aria-hidden="true"> View</i> </a>
							<a class="dropdown-item" class= "mb-2 mr-2 btn-hover-shine btn btn-shadow btn-success btn-sm code" href="" data-toggle="modal" data-target="#view{{$key}}"><i class="fas fa-qrcode qrcode" aria-hidden="true">  QR</i> </a>			
							</ul>
							</div>
						</td> 

						</tr>
						@endforeach
					
					</tbody>
			</table>
			</div> <!--card-body-->
        </div>  <!--main-card mb-3 card-->

        </div> <!--app-main__inner-->

		@foreach($get_data as $key=>$data)
			<div class="modal mt-5 fade"  id="view{{$key}}" role="dialog" abindex="-1" aria-labelledby="exampleModalLabel" aria-hidden="true">
				<div class="modal-dialog mt-5 " role="document">
				<div class="modal-content " > 
					<div class="modal-header">
					<h5 class="modal-title" id="exampleModalLabel">QR Code</h5>
						<button type="button" class="close" data-dismiss="modal" aria-label="Close">
						<span aria-hidden="true">&times;</span>
						</button>
					</div>
							
					<div class="modal-body">
						<div class="card-body d-flex justify-content-center">
								<?php
									$code = "Serial Number : $data->serial_number \nAsset Code : $data->asset_code \nAsset Number : $data->asset_number \nModel Number : $data->model_number ";  
								?>
								{!! QrCode::size(300)->generate($code) !!}
							
						</div>
					</div> <!--modal-body-->
					<div class="modal-footer">
					<button type="button" class="btn btn-default" data-dismiss="modal">Close</button>
					</div>
				</div> <!--modal-content-->
				</div> <!--modal-dialog mt-5-->
			</div> <!--modal fade mt-5-->
	  	@endforeach

      @include('theme_layout/footer')	 
<script>
var jq = $.noConflict();

jq(document).ready(function(){
	@if(Session::has('successMessage'))
	var toster=jq('#toster_id').val();
	if(toster!=''){
	   Swal.fire({ 
		 icon: 'success',
		 title: ''+toster,
		 showConfirmButton: false,
		 timer: 2000
		   })
	   }
	   {{ Session::forget('successMessage') }}  
   @endif   

});
</script>	

