@include('theme_layout/header')
@include('theme_layout/nav')

<div class="app-main__outer">
 <div class="app-main__inner">
  <div class="app-page-title">
   <div class="page-title-wrapper">
	<div class="page-title-heading">
	 <div class="page-title-icon">
	  <i class="pe-7s-graph text-success">
	  </i>
	 </div>       <!--page-title-icon-->
	 <div>  
		Export 
	 </div>
	</div>       <!--page-title-heading-->
	
	<div class="page-title-actions"> 
	 <div class="d-inline-block dropdown">
	   <a id="back" class="mt-3 btn btn-primary btn-lg text-white"> 
	   <i class="fa fa-arrow-left fa-w-20 text-white"></i> Back</a>
	   
	 </div>        <!--d-inline-block dropdown-->
	</div>         <!--page-title-actions-->
   </div>          <!--page-title-wrapper-->
  </div>           <!--app-page-title-->

  <div class="tab-content">
   <div class="tab-pane tabs-animation fade show active" id="tab-content-0" role="tabpanel">
	<div class="main-card mb-3 card">
	 <div class="card-body">
	 <h5 class="card-title"></h5>
	 <form action="{{ URL::to('export')}}" onsubmit="return checkForm(this);" method="post"> 
				{{ csrf_field() }}
	  <div class="form-group row">
	  <div class="col-md-4">
	  
		<div class="position-relative form-group">
		 <label for="select_menu" class="font-weight-bold">Menu</label> 
	     <select class="mb-2 form-control menudata" name="tbl_menu_data" id="tbl_menu_data" required>
              <option value=""></option>
			 @foreach($menu_data as $menu)
            <option value="{{$menu->id}}">{{ $menu->menu_name}}</option>
             @endforeach
          </select> 
      </div>
    </div>
          
	   <div class="col-md-4">
		<div class="position-relative form-group">
		 
		   <label  class="font-weight-bold ml-2" >Submenu
		   </label>
		 
		   <select class="mb-2 form-control submenudata" name="tbl_submenu_data" id="tbl_submenu_data" required>
            </select> 
          
		</div>       <!--position-relative form-group-->
	   </div>       <!--form-group row"-->
	   
	    <div class="col-md-4">
		<div class="position-relative form-group">
		 
		   <label  class="font-weight-bold ml-2" >Download Type
		   </label>
		 
		   <select class="mb-2 form-control"  name="download_type" id="download_type" required>  
		   <option value=""></option>
		   <option value="1">XLSX</option>
		   <option value="2">PDF</option>
            
          </select> 
		</div>       <!--position-relative form-group-->
	   </div>       <!--form-group row"-->
	   </div>
	   <div class="text-center">
	    <Button value="export" class=" mb-2 mr-2 btn-hover-shine btn btn-primary btn-lg font-weight-bold export" name="btnsubmit" id="export_button">Export</Button>  
      </div>
     </form>
    </div>       <!--card-body-->
   </div>       <!--main-card mb-3 card-->
  </div>        <!--tab-pane tabs-animation fade show active-->
 </div>       <!--tab-content-->
</div>       <!--app-main__inner-->

@include('theme_layout/footer')
<script >
 var jq = $.noConflict();
 function checkForm(form)
			{ 
		form.btnsubmit.disabled = true;
		return true;
			}

   jq(document).ready(function(){
	$('#tbl_menu_data').SumoSelect({ selectAll:true,search: true,triggerChangeCombined : true}); 
	
         $("#tbl_menu_data").change(function(){
		 var menu_id =  jq('#tbl_menu_data').val();
	     get_sub_menu(menu_id);
        });
		
		/* $("#tbl_submenu_data").change(function(){
		 var submenu_name =  jq('#tbl_submenu_data').val();
	     alert(submenu_name);
 
        }); */ 
		
	function get_sub_menu(menu_id)
     {
		 jq.ajax({
		      url: "{{ URL('submenu_name') }}" +"/" + menu_id,
              type:"GET",
          success:function(respons)
          {if(respons)
			{
				jq('#tbl_submenu_data').html(respons);  
                $('#tbl_submenu_data').SumoSelect({ selectAll:true,search: true,triggerChangeCombined : true});
	            $('#tbl_submenu_data')[0].sumo.reload();			  
			}
         
          }
       });
     } 
		 
	 
	}); 
	 
		</script>
