@include('theme_layout/header')
@include('theme_layout/nav')
<div class="app-main__outer">
 <div class="app-main__inner">
  <div class="app-page-title">
   <div class="page-title-wrapper">
	<div class="page-title-heading">
	 <div class="page-title-icon">
	  <i class="pe-7s-graph text-success">
	  </i>
	 </div> <!--page-title-icon-->
	 
        <div>  
		 {{ request()->route('id') ? 'Edit ' : 'Add ' }} 
		  Discount 
		</div>
    </div> <!--page-title-heading-->
	
        <div class="page-title-actions">
	     <div class="d-inline-block dropdown">
		  <a href="{{route('discount_list')}}" class="mt-3 btn btn-primary btn-lg"> <i class="fa fa-arrow-left fa-w-20"></i> Back</a>
	     </div>
	    </div> 
       </div>  <!--page-title-wrapper-->
     </div><!--app-page-title-->

    <div class="tab-content">
      <div class="tab-pane tabs-animation fade show active" id="tab-content-0" role="tabpanel">
       <div class="main-card mb-3 card">
       <div class="card-body">
       <form id="" class="" onsubmit="return checkForm(this);"  action="{{ route('discount_store') }}" method="post"> 
	    {{ csrf_field() }} 
		<div class="page-title-heading"><h4 style="text-decoration: underline;"> Discount  Details</h4></div>		
		
         <div class="form-row">
	      <div class="col-md-4">
	       <div class="position-relative form-group">
		   <label for="discount_code" class="ml-2 font-weight-bold">Discount Code</label><input maxlength="25" name="discount_code" id="discount_code" placeholder="" type="text" value="{{$last_code}}" readonly="readonly" class="form-control" autocomplete="off" required>
	        <input name="updated_id" id="updated_id" value="{{ request()->route('id') }}" type="hidden" autocomplete="off">
	      </div>
         </div>
			
	    <div class="col-md-4">
	     <div class="position-relative form-group">
		  <label for="discount_name" class="ml-2 font-weight-bold">Discount Name</label><input maxlength="20" name="discount_name" id="discount_name" placeholder="" type="text" value="{{ request()->route('id') ? $get_data->discount_name : '' }}" class="form-control" autocomplete="off" required>
	     </div>
	    </div>
		
		<div class="col-md-4">
		 <div class="position-relative form-group">
		  <label for="status" class="ml-2 font-weight-bold">Status</label>
		   <select class="mb-2 form-control" name="status" id="status" required >  
			@if(request()->route('id')) 
			 <option> </option>
			 <option {{ $get_data->status == 'active' ? 'selected' : '' }} value ="active">Active</option>
			 <option {{ $get_data->status == 'inactive' ? 'selected' : '' }} value="inactive">Inactive</option> 
			 @else 
			 <option> </option>
			 <option value ="active">Active</option>
			 <option value="inactive">Inactive</option>
			 @endif 
		   </select> 
		  </div>
	    </div>
		
	    <div class="col-md-4">
	     <div class="position-relative form-group">
		  <label for="discount_percentage" class="ml-2 font-weight-bold">From Date</label><input maxlength="25" name="from_date" id="from_date" placeholder=" " type="date" value="{{ request()->route('id') ? $get_data->from_date : '' }}" class="form-control" autocomplete="off" required >
	     </div>
	    </div>
		
		<div class="col-md-4">
	      <div class="position-relative form-group">
           <label for="discount_amount" class="ml-2 font-weight-bold">To Date</label><input maxlength="18" name="to_date" id="to_date" placeholder="" type="date" value="{{ request()->route('id') ? $get_data->to_date : '' }}" class="form-control" autocomplete="off" required>
	    </div>
	  </div>
	   </div><!--form-row-->
		<hr>
		
		<div class="page-title-heading"><h4 style="text-decoration: underline;"> Discount Based On</h4></div>
        			
	    <div class="form-row">
	     <div class="col-md-4">
	     <div class="position-relative form-group">
		 <label for="discount_amount" class="ml-2 font-weight-bold">Discount Based On</label>
	      <select {{ request()->route('id') ? 'disabled': '' }} class="mb-2 form-control" name="discount_on1" id="discount_on1" required> 
	       @if(request()->route('id'))
	        <option> </option>
	        <option {{ $get_data->discount_on == '1' ? 'selected' : '' }} value ="1">Categorise Wise</option>
	        <option {{ $get_data->discount_on == '2' ? 'selected' : '' }} value="2">Brand Wise</option>
	        <option {{ $get_data->discount_on == '3' ? 'selected' : '' }} value="3">Material Wise</option>
	      @else 
	        <option> </option>
	        <option value ="1"> Categorise Wise</option>
	        <option value="2">Brand Wise</option>
	        <option value="3">Material Wise</option>
	      @endif	
	     </select> 
		 <input maxlength="25" name="discount_on" id="discount_on" placeholder=" " type="hidden" value="{{ request()->route('id') ? $get_data->discount_on : '' }}" class="form-control" autocomplete="off" required >
        </div>
       </div> 
	  </div> <!--form-row-->
	
	
	<!--Category Starts-->
	
      <hr>
	<div class="page-title-heading" style="display:none" id="discount_applied_on"><h4 style="text-decoration: underline;"> Discount Applied On</h4></div>
	<div class="form-row" id="category_wise" style="display:none">
	 <div class="col-md-4">
	     <div class="position-relative form-group">
	      <label for="cat_distribution" class="ml-2 font-weight-bold">Distribution</label>
		  <select class="mb-2 form-control" name="cat_distribution" id="cat_distribution" {{ request()->route('id') ? '': 'required' }} >  
		@if(request()->route('id')) 
		 <option> </option>
		 <option {{ $get_data->cat_distribution == '1' ? 'selected' : '' }} value ="1">Distributor</option>
		 <option {{ $get_data->cat_distribution == '2' ? 'selected' : '' }} value="2">Route</option> 
		 <option {{ $get_data->cat_distribution == '3' ? 'selected' : '' }} value="3">Outlet</option> 
		 <option {{ $get_data->cat_distribution == '4' ? 'selected' : '' }} value="4">Key Account</option> 
		 @else 
		 <option> </option>
		 <option value ="1">  Distributor </option>
		 <option value ="2">  Route</option>
		 <option value ="3">  Outlet</option>
		 <option value ="4">  Key Account</option>
		 @endif 
	   </select> 
        </div>
       </div>
	 

 
       <div class="col-md-4" style="display:none" id="catwise_customer">
	     <div class="position-relative form-group">
	      <label for="cat_customer_segment" class="ml-2 font-weight-bold">Customer Segment</label>
		  <select class="mb-2 form-control" name="cat_customer_segment[]" id="cat_customer_segment"  multiple> 
		
		  @if(request()->route('id'))
			  @php $cust_segment= explode(",",$get_data->cat_customer_segment); @endphp
		  
		    @foreach($customer_category as $cust_cat)
		   <option @if(in_array($cust_cat->id, $cust_segment)) @php echo "selected"; @endphp @endif  value ="{{$cust_cat->id}}">{{$cust_cat->customer_category_code}} {{$cust_cat->customer_category_name}}</option>
				@endforeach					
			   @else 
	       @foreach($customer_category as $cust_cat)
	        
	        <option value ="{{$cust_cat->id}}"> {{$cust_cat->customer_category_code}}
			- {{$cust_cat->customer_category_name}}</option>
	        @endforeach
	      	@endif
	     </select> 
        </div>
       </div>
	 
	 
     <div class="col-md-4" style="display:none" id="catwise_region">
	     <div class="position-relative form-group">
	      <label for="cat_region" class="ml-2 font-weight-bold">Region</label>
		  <select class="mb-2 form-control" name="cat_region[]" id="cat_region" multiple> 
		
		  @if(request()->route('id'))
			  @php $cat_reg= explode(",",$get_data->cat_region); @endphp
			  @foreach($region as $reg)
		   <option @if(in_array($reg->id, $cat_reg)) @php echo "selected"; @endphp @endif  value ="{{$reg->id}}">{{$reg->region_code}} {{$reg->region_name}}</option>
				@endforeach					
			   @else 
	       @foreach($region as $reg)
	        
	        <option value ="{{$reg->id}}"> {{$reg->region_code}}
			- {{$reg->region_name}}</option>
	        @endforeach
	      	@endif
	     </select> 
        </div>
       </div>
	   <hr>
	   
	   
	   <div class="col-md-12">
	     <h4 style="text-decoration: underline;">Manage Discount</h4>
		</div>
	   <table class="table table-bordered" id="myTable">
		 <thead>
		  <tr>
			<th style="width:20%; text-align: center;">Category</th>
			<th style="width:15%; text-align: center;">Discount Type</th>
			<th style="width:15%; text-align: center;">Lower Range</th>
			<th style="width:20%; text-align: center;">Upper Range</th>
			<th style="width:25%; text-align: center;">Discount Value</th>
			<th style="width:; text-align: center;">Action</th>
          </tr>
		 </thead>
		 
		@if(request()->route('id'))	
			@php $i=0; @endphp
		 <tbody id="dynmic_row">
		 @if($get_category_details)
		 @foreach($get_category_details as $key =>  $details)	 
		  <tr id="row_{{$key}}">
			<td style="width: 30%;" id="mitem_{{$key}}" > 
			 <select type="text" id="get_category{{$key}}" name="get_category[]" class="form-control get_category"  >
			 <option value=""></option>
			@foreach($category as $category_name)
			 <option {{$details->category_id==$category_name->id ? 'selected':''}} value ="{{$category_name->id}}"> {{$category_name->category_name}}</option>
			 @endforeach
			 </select> 
			</td>
			<td id="discounttype_cat{{$key}}" style="width: 10%;">
			  <select  id="discount_type_cat{{$key}}" name="discount_type_cat[]" class="form-control" {{ request()->route('id') ? '': 'required' }} > 
		        <option> </option>
		        <option {{$details->discount_type==1 ? 'selected':''}} value ="1">Percentage</option>
		        <option {{$details->discount_type==2 ? 'selected':''}} value="2">Amount</option>
		      </select> 
			</td> 
			<td id="lowerrange_cat{{$key}}">
			 <input autocomplete="off" maxlength="11" value="{{$details->lower_range}}"  id="lower_range_cat{{$key}}" type="text" name="lower_range_cat[]" class="form-control quantity" onkeypress="return /^-?[0-9]*$/.test(this.value+event.key)" >
			<td id="upperrange_cat{{$key}}">
			 <input autocomplete="off"  maxlength="11" value="{{$details->upper_range}}"  id="upper_range_{{$key}}" type="text" name="upper_range_cat[]" class="form-control quantity" onkeypress="return /^-?[0-9]*$/.test(this.value+event.key)"  >
			</td> 
			<td id="discountvalue_cat{{$key}}">
			 <input autocomplete="off" maxlength="11"  value="{{$details->discount_value}}"  id="discount_value_cat{{$key}}" type="text" name="discount_value_cat[]" class="form-control quantity" onkeypress="return /^-?[0-9]*$/.test(this.value+event.key)"  >
			</td> 
			<td>
			 <button type="button" class="btn btn-danger font-weight-bold "  onclick="deleteRow(this,{{$key}})">
			  <i class="fa fa-trash" aria-hidden="true" ></i></button>
			</td> 
		   </tr>
		     @php $i=$key; @endphp
		   @endforeach
		   <input autocomplete="off"  value="{{$i}}"  id="new_index" type="hidden" name="new_index" class="form-control quantity" >
		  @endif 
	     </tbody> 
  
        @else			
		 <tbody id="dynmic_row">
		  <tr id="row_0">
			<td style="width: 30%;" id="mitem_1" > 
			 <select type="text" id="get_category_0" name="get_category[]" class="form-control get_category" {{ request()->route('id') ? '': 'required' }} >
			 <option value=""></option>
			@foreach($category as $category_name)
			 <option value ="{{$category_name->id}}">{{$category_name->category_name}}</option>
			 @endforeach
			 </select> 
			</td>
			<td id="discounttype_cat0" style="width: 10%;">
			  <select  id="discount_type_1" name="discount_type_cat[]" class="form-control" {{ request()->route('id') ? '': 'required' }} > 
		        <option> </option>
		        <option value ="1">Percentage</option>
		        <option value="2">Amount</option>
		      </select> 
			</td> 
			<td id="lowerrange_cat1">
			 <input autocomplete="off"  maxlength="11" value=""  id="lower_range_cat0" type="text" name="lower_range_cat[]" class="form-control quantity" onkeypress="return /^-?[0-9]*$/.test(this.value+event.key)" {{ request()->route('id') ? '': 'required' }} >
			<td id="upperrange_0">
			 <input autocomplete="off" maxlength="11" value=""  id="upper_range_cat0" type="text" name="upper_range_cat[]" class="form-control quantity" onkeypress="return /^-?[0-9]*$/.test(this.value+event.key)" {{ request()->route('id') ? '': 'required' }} >
			</td> 
			<td id="discountvalue_cat0">
			 <input autocomplete="off"  maxlength="11" value=""  id="discount_value_cat0" type="text" name="discount_value_cat[]" class="form-control quantity" onkeypress="return /^-?[0-9]*$/.test(this.value+event.key)" {{ request()->route('id') ? '': 'required' }} >
			</td> 
			<td>
			 <button type="button" class="btn btn-danger font-weight-bold "  onclick="deleteRow(this,0)">
			  <i class="fa fa-trash" aria-hidden="true" ></i></button>
			</td> 
		   </tr>
	      </tbody> 
		  
		 @endif 
        </table>
		<td>
			   <button type="button" class="btn btn-primary font-weight-bold text-white addRow">
			   <i class="fa fa-plus  text-white " aria-hidden="true" ></i> ADD</button>
		    </td> 
     


</div><!-- form row-->

<!--Category Ends-->

<!-- Brand Starts-->

<div class="form-row" id="brand_wise" style="display:none">
	<div class="col-md-4">
	     <div class="position-relative form-group">
	      <label for="brand_distribution" class="ml-2 font-weight-bold">Distribution</label>
		  <select class="mb-2 form-control" name="brand_distribution" id="brand_distribution"  {{ request()->route('id') ? '': 'required' }} >  
		@if(request()->route('id')) 
		 <option> </option>
		 <option {{ $get_data->brand_distribution == '1' ? 'selected' : '' }} value ="1">Distributor</option>
		 <option {{ $get_data->brand_distribution == '2' ? 'selected' : '' }} value="2">Route</option> 
		 <option {{ $get_data->brand_distribution == '3' ? 'selected' : '' }} value="3">Outlet</option> 
		 <option {{ $get_data->brand_distribution == '4' ? 'selected' : '' }} value="4">Key Account</option> 
		 @else 
		 <option> </option>
		 <option value ="1">Distributor</option>
		 <option value="2">Route</option>
		 <option value="3">Outlet</option>
		 <option value="4">Key Account</option>
		 @endif 
	   </select> 
        </div>
       </div>
	 


      <div class="col-md-4" style="display:none" id="brandwise_customer">
	     <div class="position-relative form-group">
	      <label for="brand_customer_segment" class="ml-2 font-weight-bold">Customer Segment</label>
		  <select class="mb-2 form-control" name="brand_customer_segment[]" id="brand_customer_segment"  multiple> 
		
		  @if(request()->route('id'))
			  @php $brand_cust_segment=explode(",",$get_data->brand_customer_segment); @endphp
 
           @foreach($customer_category as $cust_cat)
		   <option @if(in_array($cust_cat->id, $brand_cust_segment)) @php echo "selected"; @endphp @endif value ="{{$cust_cat->id}}">{{$cust_cat->customer_category_code}} {{$cust_cat->customer_category_name}}</option>
				@endforeach					
			   @else 
	       @foreach($customer_category as $cust_cat)
	        
	        <option value ="{{$cust_cat->id}}"> {{$cust_cat->customer_category_code}}
			- {{$cust_cat->customer_category_name}}</option>
	        @endforeach
	      	@endif
	     </select> 
        </div>
       </div>
	   
	   <div class="col-md-4" style="display:none" id="brandwise_region">
	     <div class="position-relative form-group">
	      <label for="brand_region" class="ml-2 font-weight-bold">Region</label>
		  <select class="mb-2 form-control" name="brand_region[]" id="brand_region"  multiple> 
		
		  @if(request()->route('id'))
			  @php $brand_region=explode(",",$get_data->brand_customer_segment); @endphp
			  @foreach($region as $reg)
		   <option @if(in_array($reg->id, $brand_region)) @php echo "selected"; @endphp @endif value ="{{$reg->id}}">{{$reg->region_code}} {{$reg->region_name}}</option>
				@endforeach					
			   @else 
	       @foreach($region as $reg)
	        
	        <option value ="{{$reg->id}}"> {{$reg->region_code}}
			- {{$reg->region_name}}</option>
	        @endforeach
	      	@endif
	     </select> 
        </div>
       </div>
	   
	   <hr>
	   <div class="col-md-12">
	    <div class="page-title-heading"><h4 style="text-decoration: underline;">Manage Discount</h4></div>
	   </div>
	   <table class="table table-bordered" id="myTable">
		 <thead>
		  <tr>
			<th style="width:20%; text-align: center;">Brand</th>
			<th style="width:15%; text-align: center;">Discount Type</th>
			<th style="width:15%; text-align: center;">Lower Range</th>
			<th style="width:20%; text-align: center;">Upper Range</th>
			<th style="width:25%; text-align: center;">Discount Value</th>
			<th style="width:; text-align: center;">Action</th>
          </tr>
		 </thead>
		 
		@if(request()->route('id'))	
			@php $i=0; @endphp
		 <tbody id="dynmic_row">
		 @if($get_brand_details)
		 @foreach($get_brand_details as $key =>  $details)	 
		  <tr id="row_{{$key}}">
			<td style="width: 30%;" id="mitem_{{$key}}" > 
			 <select type="text" id="get_brand_{{$key}}" name="get_brand[]" class="form-control get_material"  >
			 <option value=""></option>
			@foreach($brand as $brand_name)
			 <option {{$details->brand_id==$brand_name->id ? 'selected':''}} value ="{{$brand_name->id}}"> {{$brand_name->brand_name}}</option>
			 @endforeach
			 </select> 
			</td>
			<td id="discounttype_brand{{$key}}" style="width: 10%;">
			  <select  id="discount_type_brand{{$key}}" name="discount_type_brand[]" class="form-control" {{ request()->route('id') ? '': 'required' }} > 
		        <option> </option>
		        <option {{$details->discount_type==1 ? 'selected':''}} value ="1">Percentage</option>
		        <option {{$details->discount_type==2 ? 'selected':''}} value="2">Amount</option>
		      </select> 
			</td> 
			<td id="lowerrange_brand{{$key}}">
			 <input autocomplete="off" maxlength="11" value="{{$details->lower_range}}"  id="lower_range_brand{{$key}}" type="text" name="lower_range_brand[]" class="form-control quantity" onkeypress="return /^-?[0-9]*$/.test(this.value+event.key)" >
			<td id="upperrange_brand{{$key}}">
			 <input autocomplete="off"  maxlength="11" value="{{$details->upper_range}}"  id="upper_range_brand{{$key}}" type="text" name="upper_range_brand[]" class="form-control quantity" onkeypress="return /^-?[0-9]*$/.test(this.value+event.key)"  >
			</td> 
			<td id="discountvalue_brand{{$key}}">
			 <input autocomplete="off" maxlength="11"  value="{{$details->discount_value}}"  id="discount_value_brand{{$key}}" type="text" name="discount_value_brand[]" class="form-control quantity" onkeypress="return /^-?[0-9]*$/.test(this.value+event.key)"  >
			</td> 
			<td>
			 <button type="button" class="btn btn-danger font-weight-bold "  onclick="deleteRow(this,{{$key}})">
			  <i class="fa fa-trash" aria-hidden="true" ></i></button>
			</td> 
		   </tr>
		     @php $i=$key; @endphp
		   @endforeach
		   <input autocomplete="off"  value="{{$i}}"  id="new_index" type="hidden" name="new_index" class="form-control quantity" >
		  @endif 
	     </tbody> 
  
        @else			
		 <tbody id="dynmic_row">
		  <tr id="row_0">
			<td style="width: 30%;" id="mitem_1" > 
			 <select type="text" id="get_brand_0" name="get_brand[]" class="form-control get_brand" {{ request()->route('id') ? '': 'required' }} >
			 <option value=""></option>
			@foreach($brand as $brand_name)
			 <option value ="{{$brand_name->id}}">{{$brand_name->brand_name}}</option>
			 @endforeach
			 </select> 
			</td>
			<td id="discounttype_brand0" style="width: 10%;">
			  <select  id="discount_type_brand_0" name="discount_type_brand[]" class="form-control" {{ request()->route('id') ? '': 'required' }} > 
		        <option> </option>
		        <option value ="1">Percentage</option>
		        <option value="2">Amount</option>
		      </select> 
			</td> 
			<td id="lowerrange_brand0">
			 <input autocomplete="off"  maxlength="11" value=""  id="lower_range_brand0" type="text" name="lower_range_brand[]" class="form-control quantity" onkeypress="return /^-?[0-9]*$/.test(this.value+event.key)" {{ request()->route('id') ? '': 'required' }} >
			<td id="upperrange_brand0">
			 <input autocomplete="off" maxlength="11" value=""  id="upper_range_brand0" type="text" name="upper_range_brand[]" class="form-control quantity" onkeypress="return /^-?[0-9]*$/.test(this.value+event.key)" {{ request()->route('id') ? '': 'required' }} >
			</td> 
			<td id="discountvalue_brand0">
			 <input autocomplete="off"  maxlength="11" value=""  id="discount_value_brand0" type="text" name="discount_value_brand[]" class="form-control quantity" onkeypress="return /^-?[0-9]*$/.test(this.value+event.key)" {{ request()->route('id') ? '': 'required' }} >
			</td> 
			<td>
			 <button type="button" class="btn btn-danger font-weight-bold "  onclick="deleteRow(this,0)">
			  <i class="fa fa-trash" aria-hidden="true" ></i></button>
			</td> 
		   </tr>
	      </tbody> 
		  
		 @endif 
        </table>
		<td>
			   <button type="button" class="btn btn-primary font-weight-bold text-white addRow">
			   <i class="fa fa-plus  text-white " aria-hidden="true" ></i> ADD</button>
		    </td> 
	 


</div><!-- form row-->

<!--Brand Ends-->
<section>
<div class="form-row" id="product_wise" style="display:none">

<div class="col-md-4">
	     <div class="position-relative form-group">
	      <label for="brand_distribution" class="ml-2 font-weight-bold">Distribution</label>
		  <select class="mb-2 form-control" name="product_distribution" id="product_distribution"  {{ request()->route('id') ? '': 'required' }}>  
		@if(request()->route('id')) 
		 <option> </option>
		 <option {{ $get_data->product_distribution == '1' ? 'selected' : '' }} value ="1">Distributor</option>
		 <option {{ $get_data->product_distribution == '2' ? 'selected' : '' }} value="2">Route</option> 
		 <option {{ $get_data->product_distribution == '3' ? 'selected' : '' }} value="3">Outlet</option> 
		 <option {{ $get_data->product_distribution == '4' ? 'selected' : '' }} value="4">Key Account</option> 
		 @else 
		 <option> </option>
		 <option value ="1">Distributor</option>
		 <option value="2">Route</option>
		 <option value="3">Outlet</option>
		 <option value="4">Key Account</option>
		 @endif 
	   </select> 
        </div>
       </div>

 <div class="col-md-4" style="display:none" id="productwise_customer">
	     <div class="position-relative form-group">
	      <label for="brand_customer_segment" class="ml-2 font-weight-bold">Customer Segment</label>
		  <select class="mb-2 form-control" name="product_customer_segment[]" id="product_customer_segment"  multiple> 
		
		
		  @if(request()->route('id'))
			  @php $product_customer_segment=explode(",",$get_data->product_customer_segment); @endphp
 
             @foreach($customer_category as $cust_cat)
		   <option  @if(in_array($cust_cat->id, $product_customer_segment)) @php echo "selected"; @endphp @endif value ="{{$cust_cat->id}}">{{$cust_cat->customer_category_code}} {{$cust_cat->customer_category_name}}</option>
				@endforeach					
			   @else 
	       @foreach($customer_category as $cust_cat)
	        
	        <option value ="{{$cust_cat->id}}"> {{$cust_cat->customer_category_code}}
			- {{$cust_cat->customer_category_name}}</option>
	        @endforeach
	      	@endif
	     </select> 
        </div>
       </div>
	   
	   <div class="col-md-4" style="display:none" id="productwise_region">
	     <div class="position-relative form-group">
	      <label for="brand_region" class="ml-2 font-weight-bold">Region</label>
		  <select class="mb-2 form-control" name="product_region[]" id="product_region"  multiple> 
		
		  @if(request()->route('id'))
			   @php $product_region=explode(",",$get_data->product_region); @endphp
			  @foreach($region as $reg)
		   <option @if(in_array($reg->id, $product_region)) @php echo "selected"; @endphp @endif value ="{{$reg->id}}">{{$reg->region_code}} {{$reg->region_name}}</option>
				@endforeach					
			   @else 
	       @foreach($region as $reg)
	        
	        <option value ="{{$reg->id}}"> {{$reg->region_code}}
			- {{$reg->region_name}}</option>
	        @endforeach
	      	@endif
	     </select> 
        </div>
       </div>
	<hr> 
       <div class="col-md-12">
	    <div class="page-title-heading"><h4 style="text-decoration: underline;">Manage Discount</h4></div>
	   </div>

<table class="table table-bordered" id="myTable">
		 <thead>
		  <tr>
			<th style="width:20%; text-align: center;">Material</th>
			<th style="width:15%; text-align: center;">Discount Type</th>
			<th style="width:15%; text-align: center;">Lower Range</th>
			<th style="width:20%; text-align: center;">Upper Range</th>
			<th style="width:25%; text-align: center;">Discount Value</th>
			<th style="width:; text-align: center;">Action</th>
          </tr>
		 </thead>
		 
		@if(request()->route('id'))	
			@php $i=0; @endphp
		 <tbody id="dynmic_row">
		 @if($get_details)
		 @foreach($get_details as $key =>  $details)	 
		  <tr id="row_{{$key}}">
			<td style="width: 30%;" id="mitem_{{$key}}" > 
			 <select type="text" id="get_material_{{$key}}" name="material_name[]" class="form-control get_material"  >
			 <option value=""></option>
			@foreach($material as $material_name)
			 <option {{$details->material_id==$material_name->id ? 'selected':''}} value ="{{$material_name->id}}">{{$material_name->material_code}} - {{$material_name->material_name}}</option>
			 @endforeach
			 </select> 
			</td>
			<td id="discounttype_{{$key}}" style="width: 10%;">
			  <select  id="discount_type_{{$key}}" name="discount_type[]" class="form-control" {{ request()->route('id') ? '': 'required' }} > 
		        <option> </option>
		        <option {{$details->discount_type==1 ? 'selected':''}} value ="1">Percentage</option>
		        <option {{$details->discount_type==2 ? 'selected':''}} value="2">Amount</option>
		      </select> 
			</td> 
			<td id="lowerrange_{{$key}}">
			 <input autocomplete="off" maxlength="11" value="{{$details->lower_range}}"  id="lower_range_{{$key}}" type="text" name="lower_range[]" class="form-control quantity" onkeypress="return /^-?[0-9]*$/.test(this.value+event.key)" >
			<td id="upperrange_{{$key}}">
			 <input autocomplete="off"  maxlength="11" value="{{$details->upper_range}}"  id="upper_range_{{$key}}" type="text" name="upper_range[]" class="form-control quantity" onkeypress="return /^-?[0-9]*$/.test(this.value+event.key)"  >
			</td> 
			<td id="discountvalue_{{$key}}">
			 <input autocomplete="off" maxlength="11"  value="{{$details->discount_value}}"  id="discount_value_{{$key}}" type="text" name="discount_value[]" class="form-control quantity" onkeypress="return /^-?[0-9]*$/.test(this.value+event.key)"  >
			</td> 
			<td>
			 <button type="button" class="btn btn-danger font-weight-bold "  onclick="deleteRow(this,{{$key}})">
			  <i class="fa fa-trash" aria-hidden="true" ></i></button>
			</td> 
		   </tr>
		     @php $i=$key; @endphp
		   @endforeach
		   <input autocomplete="off"  value="{{$i}}"  id="new_index" type="hidden" name="new_index" class="form-control quantity" >
		  @endif 
	     </tbody> 
  
        @else			
		 <tbody id="dynmic_row">
		  <tr id="row_0">
			<td style="width: 30%;" id="mitem_1" > 
			 <select type="text" id="get_material_0" name="material_name[]" class="form-control get_material" {{ request()->route('id') ? '': 'required' }} >
			 <option value=""></option>
			@foreach($material as $material_name)
			 <option value ="{{$material_name->id}}">{{$material_name->material_code}} - {{$material_name->material_name}}</option>
			 @endforeach
			 </select> 
			</td>
			<td id="discounttype_0" style="width: 10%;">
			  <select  id="discount_type_1" name="discount_type[]" class="form-control" {{ request()->route('id') ? '': 'required' }} > 
		        <option> </option>
		        <option value ="1">Percentage</option>
		        <option value="2">Amount</option>
		      </select> 
			</td> 
			<td id="lowerrange_1">
			 <input autocomplete="off"  maxlength="11" value=""  id="lower_range_0" type="text" name="lower_range[]" class="form-control quantity" onkeypress="return /^-?[0-9]*$/.test(this.value+event.key)" {{ request()->route('id') ? '': 'required' }} >
			<td id="upperrange_0">
			 <input autocomplete="off" maxlength="11" value=""  id="upper_range_0" type="text" name="upper_range[]" class="form-control quantity" onkeypress="return /^-?[0-9]*$/.test(this.value+event.key)" {{ request()->route('id') ? '': 'required' }} >
			</td> 
			<td id="discountvalue_0">
			 <input autocomplete="off"  maxlength="11" value=""  id="discount_value_0" type="text" name="discount_value[]" class="form-control quantity" onkeypress="return /^-?[0-9]*$/.test(this.value+event.key)" {{ request()->route('id') ? '': 'required' }} >
			</td> 
			<td>
			 <button type="button" class="btn btn-danger font-weight-bold "  onclick="deleteRow(this,0)">
			  <i class="fa fa-trash" aria-hidden="true" ></i></button>
			</td> 
		   </tr>
	      </tbody> 
		  
		 @endif 
        </table>
		<td>
			   <button type="button" class="btn btn-primary font-weight-bold text-white addRow">
			   <i class="fa fa-plus  text-white " aria-hidden="true" ></i> ADD</button>
		    </td> 

</div><!-- form row-->
 </section>

		

	<div class="form-row">
	  <div class="col-md-5"></div>
	   @if(request()->route('id'))
		<button name="btnsubmit" type="submit" class="mt-3 btn btn-primary btn-lg">Update</button>
		 @else 
		 <button name="btnsubmit" type="submit" class="mt-3 btn btn-primary btn-lg submit">Save</button>
		 @endif
		 <div class="col-md-0.5"></div>
		
		 </div>
		 </form>
	
		 
	    </div> <!--card-body-->
	   </div> <!--main-card mb-3 card-->
       </div> <!--tab-pane tabs-animation fade show active-->
      </div> <!--tab-content-->
     </div><!--app-main__inner-->
     @include('theme_layout/footer')
    </div><!--app-main__outer--> 
	
<script>
     var jq = $.noConflict();
	  function checkForm(form)
  {
     
    form.btnsubmit.disabled = true;
    return true;
  }
      jq(document).ready(function(){
		 
$('#product_customer_segment').SumoSelect({ selectAll:true,search: true,triggerChangeCombined : true});
$('#product_region').SumoSelect({ selectAll:true,search: true,triggerChangeCombined : true});
$('#customer_category').SumoSelect({ selectAll:true,search: true,triggerChangeCombined : true});
$('#customer_type').SumoSelect({ selectAll:true,search: true,triggerChangeCombined : true});
$('#discount_on1').SumoSelect({ selectAll:true,search: true,triggerChangeCombined : true}); 
$('#distributor').SumoSelect({ selectAll:true,search: true,triggerChangeCombined : true});		
$('#cat_customer_segment').SumoSelect({ selectAll:true,search: true,triggerChangeCombined : true});	
$('#brand_customer_segment').SumoSelect({ selectAll:true,search: true,triggerChangeCombined : true});	
$('#cat_categories').SumoSelect({ selectAll:true,search: true,triggerChangeCombined : true});		
$('#brand_categories').SumoSelect({ selectAll:true,search: true,triggerChangeCombined : true});		
$('#cat_discount_type').SumoSelect({ selectAll:true,search: true,triggerChangeCombined : true});
$('#brand_discount_type').SumoSelect({selectAll:true,search: true,triggerChangeCombined :true});		
$('#discount_on').SumoSelect({ selectAll:true,search: true,triggerChangeCombined : true});				
 $('#cat_distribution').SumoSelect({ selectAll:true,search: true,triggerChangeCombined : true});	 
$('#brand_distribution').SumoSelect({ selectAll:true,search: true,triggerChangeCombined : true});		
$('#status').SumoSelect({ selectAll:true,search: true,triggerChangeCombined : true});		
$('#cat_region').SumoSelect({ selectAll:true,search: true,triggerChangeCombined : true});		
$('#brand_region').SumoSelect({ selectAll:true,search: true,triggerChangeCombined : true});		
$('.get_material').SumoSelect({ selectAll:true,search: true,triggerChangeCombined : true});
$('.get_category').SumoSelect({ selectAll:true,search: true,triggerChangeCombined : true});
$('.get_brand').SumoSelect({ selectAll:true,search: true,triggerChangeCombined : true});
$('#product_distribution').SumoSelect({ selectAll:true,search: true,triggerChangeCombined : true});

@if(request()->route('id'))
	var discount_on = jq('#discount_on').val();
    var cat_distribution = jq('#cat_distribution').val();
	var brand_distribution = jq('#brand_distribution').val();
	var product_distribution = jq('#product_distribution').val();
	
		 if(discount_on== 1)
		 {
			 jq('#category_wise').show()
			 jq('#brand_wise').hide()
			 jq('#product_wise').hide()
			 
		 }
		 else if(discount_on== 2)
		 {
			 jq('#category_wise').hide()
			 jq('#brand_wise').show()
			 jq('#product_wise').hide()
			 
		 }
		 else
		 {
			 jq('#category_wise').hide()
			 jq('#brand_wise').hide()
			 jq('#product_wise').show()
			 
		 }
		 
		if(discount_on== 1 && cat_distribution==2)
		{
		   jq('#catwise_customer').show();
		   jq('#catwise_region').show();
		}
      else if(discount_on== 2 && brand_distribution==2)
	   {
		  jq('#brandwise_customer').show();
		  jq('#brandwise_region').show();  
	   }
	   else if(discount_on== 3 && product_distribution==2)
	   {
		    jq('#productwise_customer').show();
			jq('#productwise_region').show();  
	   }
	
@endif

$("#discount_on1").change(function(){
	   $("#discount_applied_on").show();
			
		var discount_on = jq('#discount_on1').val();
		jq('#discount_on').val(discount_on);
		$("#discount_on1").prop("disabled", true);
		 if(discount_on== 1)
		 {
			 jq('#category_wise').show()
			 jq('#brand_wise').empty()
			 jq('#product_wise').empty()
			 
		 }
		 else if(discount_on== 2)
		 {
			 jq('#category_wise').empty()
			 jq('#brand_wise').show()
			 jq('#product_wise').empty()
			 
		 }
		 else
		 {
			 jq('#category_wise').empty()
			 jq('#brand_wise').empty()
			 jq('#product_wise').show()
			 
		 }
		
		});
		
	$("#cat_distribution").change(function(){
		var cat_distribution = jq('#cat_distribution').val();
		
		     if(cat_distribution==2)
			 {
				  
				 jq('#catwise_customer').show();
				 jq('#catwise_region').show();
				 
				 jq('#cat_customer_segment').attr("required","required");
		         jq('#cat_region').attr("required","required");
			 }
			 else
			 {
				 jq('#catwise_customer').hide();
				 jq('#catwise_region').hide();
				 
				 jq('#cat_customer_segment').removeAttr('required'); 
		         jq('#cat_region').removeAttr('required');
			 }
	});	
	
	$("#brand_distribution").change(function(){
		var brand_distribution = jq('#brand_distribution').val();
		     if(brand_distribution==2)
			 {
				 jq('#brandwise_customer').show();
				 jq('#brandwise_region').show();
				 
				 jq('#brand_customer_segment').attr("required","required");
		         jq('#brand_region').attr("required","required");
		
		     }
			 else
			 {
				 jq('#brandwise_customer').hide();
				 jq('#brandwise_region').hide();
				 
				 jq('#brand_customer_segment').removeAttr('required'); 
		         jq('#brand_region').removeAttr('required');
			 }
	});
	
	$("#product_distribution").change(function(){
		var product_distribution = jq('#product_distribution').val();
		     if(product_distribution==2)
			 {
				 jq('#productwise_customer').show();
				 jq('#productwise_region').show();
				 
				  jq('#product_customer_segment').attr("required","required");
		          jq('#product_region').attr("required","required");
			 }
			 else
			 {
				 jq('#productwise_customer').hide();
				 jq('#productwise_region').hide();
				 
				   jq('#product_customer_segment').removeAttr('required'); 
		           jq('#product_region').removeAttr('required');
			 }
	});
		
 }); 


       @if(request()->route('id'))
		          var new_index = jq('#new_index').val();
			      var i=parseInt(new_index);
				
            jq('.addRow').on('click',function(){
				   i++;
				  addRow(i);
            });				
		
		@else
		  var i=0;
		    jq('.addRow').on('click',function(){
				 i++;
				 addRow(i);
			});	 
        @endif	
		
		
 function addRow(value){
	   
	 
		var discount_on= jq('#discount_on').val();
		
		if(discount_on==1)
		{
		var tr='<tr id="row_'+value+'">'+
		'<td style="width: 15%;" id="mitem_'+value+'"><select type="text" id="get_category_'+value+'" name="get_category[]" class="form-control get_category" required></td>'+

		'<td id="discounttype_cat'+value+'" style="width: 10%;"><select type="text" id="discount_type_cat'+value+'" name="discount_type_cat[]" class="form-control" required><option value="1">Percentage</option><option value="1">Amount</option></select> </td>'+

		'<td id="lowerrange_cat'+value+'"><input autocomplete="off" type="text" maxlength="11" value="" id="lower_range_cat'+value+'" name="lower_range_cat[]" class="form-control quantity" onkeypress="return /^-?[0-9]*$/.test(this.value+event.key)" required></td>'+

		'<td id="upperrange_cat'+value+'"><input autocomplete="off" type="text" maxlength="11" value="" id="upper_range_cat'+value+'" name="upper_range_cat[]" class="form-control quantity" onkeypress="return /^-?[0-9]*$/.test(this.value+event.key)" required></td>'+


		'<td id="discountvalue_cat'+value+'"><input autocomplete="off" type="text" maxlength="11" value="" id="discount_value_cat'+value+'" name="discount_value_cat[]" class="form-control quantity" onkeypress="return /^-?[0-9]*$/.test(this.value+event.key)" required></td>'+


		' <td><button type="button" class="btn btn-danger font-weight-bold " onclick="deleteRow(this,'+value+')"><i class="fa fa-trash" aria-hidden="true" ></i></button></td>'+
		'</tr>';
		jq('#dynmic_row').append(tr);
		
		 get_category(value);
		
		}
		else if(discount_on==2)
		{ 
		var tr='<tr id="row_'+value+'">'+
		'<td style="width: 15%;" id="mitem_'+value+'"><select type="text" id="get_brand_'+value+'" name="get_brand[]" class="form-control get_brand" required></td>'+

		'<td id="discounttype_brand'+value+'" style="width: 10%;"><select type="text" id="discount_type_brand'+value+'" name="discount_type_brand[]" class="form-control" required><option value="1">Percentage</option><option value="1">Amount</option></select> </td>'+

		'<td id="lowerrange_brand'+value+'"><input autocomplete="off" type="text" maxlength="11" value="" id="lower_range_brand'+value+'" name="lower_range_brand[]" class="form-control quantity" onkeypress="return /^-?[0-9]*$/.test(this.value+event.key)" required></td>'+

		'<td id="upperrange_brand'+value+'"><input autocomplete="off" type="text" maxlength="11" value="" id="upper_range_'+value+'" name="upper_range_brand[]" class="form-control quantity" onkeypress="return /^-?[0-9]*$/.test(this.value+event.key)" required></td>'+


		'<td id="discountvalue_brand'+value+'"><input autocomplete="off" type="text" maxlength="11" value="" id="discount_value_brand_'+value+'" name="discount_value_brand[]" class="form-control quantity" onkeypress="return /^-?[0-9]*$/.test(this.value+event.key)" required></td>'+


		' <td><button type="button" class="btn btn-danger font-weight-bold " onclick="deleteRow(this,'+value+')"><i class="fa fa-trash" aria-hidden="true" ></i></button></td>'+
		'</tr>';
		
		jq('#dynmic_row').append(tr);
		
		 get_brand(value);
		
		}
		
		else if(discount_on==3)
		{
		var tr='<tr id="row_'+value+'">'+
		'<td style="width: 15%;" id="mitem_'+value+'"><select type="text" id="get_material_'+value+'" name="material_name[]" class="form-control get_material" required></td>'+

		'<td id="discounttype_'+value+'" style="width: 10%;"><select type="text" id="discount_type_'+value+'" name="discount_type[]" class="form-control" required><option value="1">Percentage</option><option value="1">Amount</option></select> </td>'+

		'<td id="lowerrange_'+value+'"><input autocomplete="off" type="text" maxlength="11" value="" id="lower_range_'+value+'" name="lower_range[]" class="form-control quantity" onkeypress="return /^-?[0-9]*$/.test(this.value+event.key)" required></td>'+

		'<td id="upperrange_'+value+'"><input autocomplete="off" type="text" maxlength="11" value="" id="upper_range_'+value+'" name="upper_range[]" class="form-control quantity" onkeypress="return /^-?[0-9]*$/.test(this.value+event.key)" required></td>'+


		'<td id="discountvalue_'+value+'"><input autocomplete="off" type="text" maxlength="11" value="" id="discount_value_'+value+'" name="discount_value[]" class="form-control quantity" onkeypress="return /^-?[0-9]*$/.test(this.value+event.key)" required></td>'+


		' <td><button type="button" class="btn btn-danger font-weight-bold " onclick="deleteRow(this,'+value+')"><i class="fa fa-trash" aria-hidden="true" ></i></button></td>'+
		'</tr>';
		jq('#dynmic_row').append(tr);
		  get_material(value);
		
		}

		

		

		
		};

<!--get_material_name-->

		function get_category(value){
			
		jq.ajax({
		url: "{{ URL('get_discount_category/') }}",
		type:"GET",

		success:function(respons){
		
		if(respons)
		{
		jq('#get_category_'+value+'').html(respons);
		 $('#get_category_'+value+'').SumoSelect({ selectAll:true,search: true,triggerChangeCombined : true});
		 $('#get_category_'+value+'')[0].sumo.reload(); 
		}
		 }
		  });
		 }
		 
	   function get_brand(value){
			
		jq.ajax({
		url: "{{ URL('get_discount_brand/') }}",
		type:"GET",

		success:function(respons){
		
		if(respons)
		{
		jq('#get_brand_'+value+'').html(respons);
		 $('#get_brand_'+value+'').SumoSelect({ selectAll:true,search: true,triggerChangeCombined : true});
		 $('#get_brand_'+value+'')[0].sumo.reload(); 
		}
		 }
		  });
		 }
		 
		 function get_material(value){
			
		jq.ajax({
		url: "{{ URL('get_material1/') }}",
		type:"GET",

		success:function(respons){
		
		if(respons)
		{
		jq('#get_material_'+value+'').html(respons);
		 $('#get_material_'+value+'').SumoSelect({ selectAll:true,search: true,triggerChangeCombined : true});
		 $('#get_material_'+value+'')[0].sumo.reload(); 
		}
		 }
		  });
		 }

<!-- Deleting row-->
		function deleteRow(r,row) {
          
		if(row==0){
			Swal.fire({
				  icon: 'error',
				  title: 'You Can Not Remove First Row!',
				})
		
		  }
		else{

		var i = r.parentNode.parentNode.rowIndex;
		document.getElementById("myTable").deleteRow(i);
		}
		calculate();
		}

 
</script>