@include('theme_layout/header')
@include('theme_layout/nav')
<div class="app-main__outer"> 
 <div class="app-main__inner">
  <div class="app-page-title">
   <div class="page-title-wrapper">
    <div class="page-title-heading">
     <div class="page-title-icon">
	  <i class="pe-7s-graph text-success">
	  </i>
	 </div> <!--page-title-icon-->
	
        <div>
	     {{ request()->route('id') ? 'Edit ' : 'Add ' }} Outlet</div>
        </div> <!--page-title-heading-->
		
        <div class="page-title-actions"> 
	     <div class="d-inline-block dropdown">
		  <a href="{{route('outlet_list')}}" class="mt-3 btn btn-primary btn-lg"> <i class="fa fa-arrow-left fa-w-20"></i> Back</a> 
	     </div>
        </div>
   </div> <!--page-title-wrapper-->
  </div> <!--app-page-title-->
					
        <div class="tab-content">
         <div class="tab-pane tabs-animation fade show active" id="tab-content-0" role="tabpanel">
          <div class="main-card mb-3 card">
           <div class="card-body"><h5 class="card-title"></h5>
            <form id="" class="" onsubmit="return checkForm(this);" action="{{ route('outlet_store') }}" method="post">
            {{ csrf_field() }}
              <div class="form-row">
	           <div class="col-md-4">
		        <div class="position-relative form-group">
		         <label for="exampleEmail11" class="ml-2 font-weight-bold">Outlet Code</label><input maxlength="100" name="outlet_code" id="outlet_code" placeholder="" type="text" value="{{$last_code }}" readonly="readonly" class="form-control" autocomplete="off" required> 
		         <input name="updated_id" id="updated_id" value="{{ request()->route('id') }}" autocomplete="off" type="hidden">
	            </div>
	           </div> 
	
		<div class="col-md-4">
		  <div class="position-relative form-group">
			<label for="outlet_name" class="ml-2 font-weight-bold">Outlet Name</label><input maxlength="100" name="outlet_name" id="outlet_name" placeholder="" type="text" value="{{ request()->route('id') ? $get_data->outlet_name : '' }}" class="form-control" autocomplete="off" required>
		  </div>
		</div>
		
		<div class="col-md-4">
			<div class="position-relative form-group">
			 <label for="contact_persion" class="ml-2 font-weight-bold">Contact Person</label><input maxlength="100" name="contact_persion" id="contact_persion" placeholder="" type="text" value="{{ request()->route('id') ? $get_data->contact_persion : '' }}" class="form-control" autocomplete="off" required>
		   </div>
		  </div>   
		</div>    <!--form-row-->
	
		<div class="form-row">
		 <div class="col-md-4">
			<div class="position-relative form-group">
			<label for="contact_number" class="ml-2 font-weight-bold">Contact Number</label><input required type="text" name="contact_number" maxlength="15" id="myinput" value="{{ request()->route('id') ? $get_data->contact_number : '' }}" class="form-control"  onkeypress="return isNumberKey(event)" autocomplete="off" />
		  </div>
		</div> 
	
		<div class="col-md-4">
		 <div class="position-relative form-group">
		  <label class="font-weight-bold ml-2" for="country" class="">Country</label><select class="mb-2 form-control" name="country" id="country1" required> 
		   @if(request()->route('id')) 
			@foreach($country as $countryname)
			 <option {{$get_data->country_id == $countryname->id ? 'selected' : '' }} value ="{{$countryname->id}}">{{$countryname->country_code}} - {{$countryname->country_name}}</option>
			@endforeach 
		   @else 
			 <option value=""> </option>
			@foreach($country as $countryname)
			 <option value ="{{$countryname->id}}">{{$countryname->country_code}} - {{$countryname->country_name}}</option>
			@endforeach
		   @endif 
		  </select>
		 </div>
		</div> <!--col-md-4-->

	   <div class="col-md-4">
		<div class="position-relative form-group">
		 <label for="city" class="ml-2    font-weight-bold">City</label>
		  @if(request()->route('id'))  
		   <input name="country_id" id="country_id" value="{{ request()->route('id') ? $get_data->country_id : '' }}" type="hidden" autocomplete="off"> 
		   <input name="city_id" id="city_id" value="{{ request()->route('id') ? $get_data->city_id : '' }}" type="hidden" autocomplete="off"> 
		   <select class="mb-2 form-control" name="city" id="cityadd" required > 
		   </select> 
		  @else 
		   <select class="mb-2 form-control" name="city" id="cityadd" required > 
		   </select>	
		  @endif 
		   </div>
		  </div>
		</div>     <!--form-row-->
	
		<div class="form-row">
		 <div class="col-md-4">
		  <div class="position-relative form-group">
		  <label for="address" class="ml-2 font-weight-bold">Address</label><input maxlength="120" name="address" id="address" placeholder="" type="text" value="{{ request()->route('id') ? $get_data->address : '' }}" class="form-control" autocomplete="off" required >
		 </div>
		</div>
		
	<div class="col-md-4">
	  <div class="position-relative form-group">
       <label class="font-weight-bold ml-2" for="sales_area_name" class="">Distributor</label><select name="distibutor" id="distibutor" type="text" class="form-control" required >
	   <option> </option>
	   @if(request()->route('id'))  
		 @foreach($distibutor as $distibutor)
		  <option {{$get_data->distibutor_id == $distibutor->id ? 'selected' : '' }} value ="{{$distibutor->id}}">{{$distibutor->customer_code}} - {{$distibutor->customer_name}}</option>
		 @endforeach 
		@else 
		 @foreach($distibutor as $distibutor)
            <option value="{{$distibutor->id}}">
             {{$distibutor->customer_code}} - {{$distibutor->customer_name}}
            </option>
             @endforeach     
          @endif 
	   </select>
	  </div>
	</div>
       @if(request()->route('id')) 
	    <input name="" id="distibutor_id" value="{{ request()->route('id') ? $get_data-> distibutor_id:'' }}" type="hidden" autocomplete="off">									 
	    <input name="city_id" id="warehouse_id" value="{{ request()->route('id') ?   $get_data->warehouse_id : '' }}" type="hidden" autocomplete="off">
	  @endif
		<div class="col-md-4">
		 <div class="position-relative form-group">
		   <label class="font-weight-bold ml-2" for="warehouse_name" class="">Warehouse  </label><select class="mb-2 form-control" name="warehouse_name" id="warehouse_name"  required > 
		   </select>
		  </div>
		</div>

		<div class="col-md-4">
		 <div class="position-relative form-group">
		  <label for="status" class="ml-2 font-weight-bold">Status</label>
			<select class="mb-2 form-control" name="status" id="status" required >  
			 @if(request()->route('id'))   
			  <option> </option>
			  <option {{ $get_data->status == 'active' ? 'selected' : '' }} value ="active">Active</option>
			  <option {{ $get_data->status == 'inactive' ? 'selected' : '' }} value="inactive">Inactive</option>
			 @else 
			  <option> </option>
			  <option value ="active">Active</option>
			  <option value="inactive">Inactive</option>
			 @endif	 
			</select> 
		   </div>
		  </div> <!--col-md-4-->
		</div>      <!--form-row-->
										  
                                     
		<div class="form-row">
		 <div class="col-md-5"></div>
		  @if(request()->route('id'))
		   <button name="btnsubmit" class="mt-3 btn btn-primary btn-lg">Update</button>
			<div class="col-md-0.5"></div>
		  @else
			<button name="btnsubmit" class="mt-3 btn btn-primary btn-lg submit">Save</button>
		  @endif
			<div class="col-md-0.5"></div>
			<a href="{{route('outlet_list')}}" class="mt-3 btn btn-danger  btn-lg">Cancel</a>
			</form>
			</div>
		   </div> <!--card-body-->
		  </div> <!--main-card mb-3 card-->
		</div> <!--tab-pane tabs-animation fade show active-->		
	 @include('theme_layout/footer') 
<script>
     var jq = $.noConflict();
	 function checkForm(form)
  {
     
    form.btnsubmit.disabled = true;
    return true;
  }



	 function isNumberKey(evt)
			{
				var charCode = (evt.which) ? evt.which : evt.keyCode;
				if (charCode != 46 && charCode > 31 
				&& (charCode < 48 || charCode > 57))
				return false;
				return true;
			}  
       jq(document).ready(function(){
		  
		 $('#warehouse_name').SumoSelect({ selectAll:true,search: true,triggerChangeCombined : true});
		 $('#distibutor').SumoSelect({ selectAll:true,search: true,triggerChangeCombined : true});
	     $('#country1').SumoSelect({ selectAll:true,search: true,triggerChangeCombined : true});
		 
		 @if(request()->route('id'))
			  var distibutor =  jq('#distibutor_id').val();
			  var edit_id =  jq('#warehouse_id').val();
			  get_warehouse_1(distibutor,edit_id);
	    @endif
	   
	      var country = '';
	       jq("#country1").click(function(){
		   var country =  jq('#country1').val();
		  var city ='0';
         get_city(country, city);
 
        });
		
		$("#distibutor").change(function(){
		   
		  var distibutor =  jq('#distibutor').val();
		  //alert(sales_area_name);  
		  
			var edit_id=0;
           get_warehouse_1(distibutor,edit_id);
	   });
	   
	   
	   function get_warehouse_1(distibutor,edit_id)
		{ 
		 //alert(city);
		 jq.ajax({
		      url: "{{ URL('get_outlet_warehouse_12') }}" +"/" + distibutor+"/"+edit_id,
              type:"GET",
              
          success:function(respons)
          {
            
				jq('#warehouse_name').html(respons);
				 $('#warehouse_name').SumoSelect({ selectAll:true,search: true,triggerChangeCombined : true});
	            $('#warehouse_name')[0].sumo.reload();
		  }
       });
     }
		
	
    if(country =='') {
	    var country_id =  jq('#country_id').val();
		 var city_id =  jq('#city_id').val();
		 if(!country_id=='')
		 {
			get_city(country_id, city_id);
		} 
	}  
	 
	 

    function get_city(country_id, city)
       {
		  //alert(city);
		   jq.ajax({
		     url: "{{ URL('outlet/get_country/') }}" +"/" + country_id +'/'+city,
              type:"GET",
              success:function(respons)
           {
             if(respons)
			{
				jq('#cityadd').html(respons);
				$('#cityadd').SumoSelect({ selectAll:true,search: true,triggerChangeCombined : true});
	            $('#cityadd')[0].sumo.reload();
			}
         
           }
        });
      }	
    });
 
    </script>  