@include('theme_layout/header')
@include('theme_layout/nav')	
<div class="app-main__outer"> 
<div class="app-main__inner">
 <div class="app-page-title">
  <div class="page-title-wrapper">
   <div class="page-title-heading">
	<div class="page-title-icon">
	 <i class="pe-7s-graph text-success">
	 </i>
	</div> <!--page-title-icon-->
	
	    <div> {{ request()->route('id') ? 'Edit ' : 'Add ' }} Tax </div>
	     </div>
	      <div class="page-title-actions"> 
	       <div class="d-inline-block dropdown">
	        <a href="{{route('taxation_list')}}" class="mt-3 btn btn-primary btn-lg"> 
			 <i class="fa fa-arrow-left fa-w-20"></i> Back</a> 
	       </div>
	      </div> 
   </div> <!--page-title-wrapper-->
  </div>  <!--app-page-title-->          
					 
		<div class="tab-content">
		 <div class="tab-pane tabs-animation fade show active" id="tab-content-0" role="tabpanel">
		  <div class="main-card mb-3 card">
		   <div class="card-body">
		    <form id="" class="" onsubmit="return checkForm(this);" action="{{ route('taxation_store') }}" method="post"> 
			 {{ csrf_field() }}
			  <div class="form-row"> 
			   <div class="col-md-4">
			    <div class="position-relative form-group">
		        <label for="tax_code" class="ml-2 font-weight-bold">Tax Code </label>
				 <input maxlength="30" name="tax_code" id="tax_code" placeholder="" type="text" value="{{$last_code}}" readonly="readonly" class="form-control" autocomplete="off" required>
	           </div>
	         </div> 
					
		<div class="col-md-4">
		  <div class="position-relative form-group">
			<label for="tax_name" class="ml-2 font-weight-bold">Tax Name</label>
			 <input maxlength="100" name="tax_name" id="tax_name" placeholder="" type="text" value="{{ request()->route('id') ? $get_data->tax_name : '' }}" class="form-control" autocomplete="off" required>
		  </div>
		</div>
												
		<div class="col-md-4">
		 <div class="position-relative form-group">
		  <label for="tax_percentage" class="ml-2 font-weight-bold">Tax Percentage</label>
		  <input maxlength="100" name="tax_percentage" id="tax_percentage" placeholder="" type="text" value="{{ request()->route('id') ? $get_data->tax_percentage : '' }}"  class="form-control" autocomplete="off" required onkeypress="return isNumber(event);">
		 </div>
		</div>
	   </div> <!--form-row-->
											
		<div class="form-row">
		 <div class="col-md-4">
		  <div class="position-relative form-group">
			<label for="tax_amount" class="ml-2 font-weight-bold">Tax Amount</label><input maxlength="18" name="tax_amount" id="tax_amount" placeholder=" " type="text" value="{{ request()->route('id') ? $get_data->tax_amount : '' }}"  class="form-control" autocomplete="off" required onkeypress="return isNumber(event);" onkeypress="return isNumber(event);" >  
			 <input name="updated_id" id="updated_id" value="{{ request()->route('id') }}" type="hidden">
		   </div>
		</div>
											
		<div class="col-md-4">
	     <div class="position-relative form-group">
	      <label for="status" class="ml-2 font-weight-bold">Status</label>
		   <select class="mb-2 form-control" name="status" id="status" required >  
		    @if(request()->route('id'))  
		     <option> </option>
		     <option {{ $get_data->status == 'active' ? 'selected' : '' }} value ="active">Active</option>
		     <option {{ $get_data->status == 'inactive' ? 'selected' : '' }} value="inactive">Inactive</option> 
		    @else 
		     <option> </option>
		     <option value ="active">Active</option>
		     <option value="inactive">Inactive</option>
		    @endif 
		   </select> 
		  </div>
		 </div> 
		</div>       <!--form-row-->

		<div class="form-row">
	     <div class="col-md-5"></div>
	      @if(request()->route('id'))
	       <button name="btnsubmit" type="submit" class="mt-3 btn btn-primary btn-lg"> Update</button>
	      @else 
	       <button  name="btnsubmit" type="submit"  class="mt-3 btn btn-primary btn-lg">Save</button>
	      @endif
	       <div class="col-md-0.5"></div>
	        <a href="{{route('taxation_list')}}" class="mt-3 btn btn-danger  btn-lg">Cancel</a>
	       </div>
		  </form>
		 </div>    <!--card-body-->
	    </div>    <!--main-card mb-3 card-->
      </div>     <!--tab-pane tabs-animation fade show active-->
     </div>     <!---tab-content-->
    </div>       <!--app-main__inner-->
  @include('theme_layout/footer')
 <script>
function checkForm(form)
  {
     
    form.btnsubmit.disabled = true;
    return true;
  }
</script>