@include('theme_layout/header')
@include('theme_layout/nav')	
<div class="app-main__outer"> 
 <div class="app-main__inner">
  <div class="app-page-title">
   <div class="page-title-wrapper">
    <div class="page-title-heading">
     <div class="page-title-icon">
      <i class="pe-7s-graph text-success">
      </i>
     </div>
	 
         <div> 
	      {{ request()->route('id') ? 'Edit ' : 'Add ' }} 
	       Users
         </div>

    </div>
							
		<div class="page-title-actions"> 
		 <div class="d-inline-block dropdown">
		  <a href="{{route('user_list')}}" class="mt-3 btn btn-primary btn-lg text-white">
		  <i class="fa fa-arrow-left fa-w-20"></i> Back</a> 
		 </div>
		</div> 
   </div>
  </div>            
						 
		<div class="tab-content">
	     <div class="tab-pane tabs-animation fade show active" id="tab-content-0" role="tabpanel">
		  <div class="main-card mb-3 card">
		   <div class="card-body">
		    <form id="" class="" onsubmit="return checkForm(this);" action="{{ route('user_store') }}" method="post"  enctype="multipart/form-data">
		     {{ csrf_field() }}
		      <div class="mb-3 card">	
		       <div class="card-header card-header-tab-animation">
		        <ul class="nav nav-justified">
		         <li class="nav-item">
				  <a data-toggle="tab" href="#tab-eg115-0" class="active nav-link"> User Infromation</a></li>
			     <li class="nav-item">
				  <a data-toggle="tab" href="#tab-eg115-1" class="nav-link">Business Territory</a></li>
		         <li class="nav-item">
				  <a data-toggle="tab" href="#tab-eg115-2" class="nav-link">Block</a></li>
		        </ul>
		       </div>
											 
		<div class="card-body">	
		 <div class="tab-content">	
		  <div class="tab-pane active" id="tab-eg115-0" role="tabpanel">									  
		   <div class="form-row">
	        <div class="col-md-4">
		     <div class="position-relative form-group">
		      <label class="font-weight-bold ml-2" for="user_role" class="">User Role</label>
			  <select class="mb-2 form-control" name="user_role" id="user_role" required >
			   @if(request()->route('id')) 
			    @foreach($user_role as $user_rolename)
			     <option {{$get_data->user_role == $user_rolename->id ? 'selected' : '' }} value ="{{$user_rolename->id}}">{{$user_rolename->role_code}} - {{$user_rolename->role_name}}</option>
			    @endforeach
			   @else 
			     <option value=""> </option>
			    @foreach($user_role as $user_rolename)
			     <option  value ="{{$user_rolename->id}}">{{$user_rolename->role_code}} - {{$user_rolename->role_name}}</option>
			    @endforeach 
			   @endif 
			 </select>
			</div>
		   </div> <!1--col-md-4-->
											
	    <div class="col-md-4">
		 <div class="position-relative form-group">
		 <label for="user_code" class="ml-2 font-weight-bold">User Code</label>
		 <input maxlength="30" name="user_code" id="user_code" placeholder=" " type="text" value="{{$last_code}}" readonly="readonly" class="form-control" autocomplete="off" required>
		  <input name="updated_id" id="updated_id" value="{{ request()->route('id') }}"  type="hidden" autocomplete="off">
		 </div>
	    </div>
		
	    <div class="col-md-4">
		 <div class="position-relative form-group">
		 <label for="user_name" class="ml-2 font-weight-bold">First Name</label>
		 <input maxlength="50" name="first_name" id="first_name" placeholder="" type="text" value="{{ request()->route('id') ? $get_data->first_name : '' }}" class="form-control" autocomplete="off" required>
		 </div>
	    </div>
      </div> <!--form-row-->
	  
        <div class="form-row">	
	     <div class="col-md-4">
		  <div class="position-relative form-group">
		  <label for="last_name" class="ml-2 font-weight-bold">Last Name</label>
		  <input maxlength="50" name="last_name" id="last_name" placeholder="" type="text" value="{{ request()->route('id') ? $get_data->last_name : '' }}" class="form-control" autocomplete="off" required>
		 </div>
	    </div>
											
	    <div class="col-md-4">
		 <div class="position-relative form-group">
		 <label for="user_name" class="ml-2 font-weight-bold">User Name</label>
		 <input maxlength="50" name="user_name" id="user_name" placeholder="" type="text" value="{{ request()->route('id') ? $get_data->user_name : '' }}" class="form-control" autocomplete="off" required>
		</div>
	   </div>
	
	    <div class="col-md-4">
		 <div class="position-relative form-group">
		 <label for="user_password" class="ml-2 font-weight-bold">User Password</label>
		 <input maxlength="30" name="user_password" id="user_password" placeholder="" type="password" value="{{ request()->route('id') ? $get_data->user_password : '' }}" class="form-control" autocomplete="off" required></div>
	     </div> 
       </div> <!--form-row-->

        <div class="form-row"> 
	     <div class="col-md-4">
		  <div class="position-relative form-group"><label for="address" class="ml-2 font-weight-bold">Address</label><input  name="address" id="address" placeholder="" type="text" value="{{ request()->route('id') ? $get_data->address : '' }}" class="form-control" autocomplete="off" required>
		 </div>
	    </div>
	
	    <div class="col-md-4">
		 <div class="position-relative form-group">
		 <label for="city" class="ml-2 font-weight-bold">City</label>
		 <input maxlength="50" name="city" id="city" placeholder="" type="text" value="{{ request()->route('id') ? $get_data->city : '' }}" class="form-control" autocomplete="off" required>
		 </div>
	    </div>
	
	
	<div class="col-md-4">
	  <div class="position-relative form-group">
	   <label for="zip" class="ml-2 font-weight-bold">Zip</label>
	    <input maxlength="50" name="zip" id="zip" placeholder="" type="text" value="{{ request()->route('id') ? $get_data->zip : '' }}" class="form-control" autocomplete="off" required>
	  </div>
	</div>																						
   </div> <!--form-row-->
   
        <div class="form-row">											
	     <div class="col-md-4">
		  <div class="position-relative form-group"><label for="email" class="ml-2 font-weight-bold">Email</label><input maxlength="50" name="email" id="email" placeholder="" type="email" value="{{ request()->route('id') ? $get_data->email : '' }}" class="form-control" autocomplete="off" required>
		 </div>
	    </div>
	
	    <div class="col-md-4">
		 <div class="position-relative form-group">
		  <label for="contact_no" class="ml-2 font-weight-bold">Contact No.</label>
		   <input type="text" name="contact_no" maxlength="15" id="myinput" value="{{ request()->route('id') ? $get_data->contact_no : '' }}" class="form-control" autocomplete="off" onkeypress="return isNumberKey(event)"></div>
	    </div>
	
	    @php
		 $img= request()->route('id');
		@endphp	 
	      @if($img!='')
           <div class="col-md-4">
		    <div class="position-relative form-group"><label for="user_profile_pic" class="ml-2 font-weight-bold">User Profile Photo</label>
		     <img src="{{asset('storage/app/'.$get_data->user_profile_pic)}}" alt="" height="80px" width="70px" class="ml-4">
		     <input maxlength="250" name="user_profile_pic" id="user_profile_pic" placeholder="" type="file"  class="form-control" autocomplete="off"></div>
	       </div> 
		  @else
	       <div class="col-md-4">
		   <div class="position-relative form-group"><label for="user_profile_pic" class="ml-2 font-weight-bold">User Profile Photo</label><input maxlength="250" name="user_profile_pic" id="user_profile_pic" placeholder="" type="file"  class="form-control" autocomplete="off" required>
		 </div>
	   </div>
		@endif 	
       </div> <!--form-row-->

        <div class="form-row">   
	     <div class="col-md-4">
		  <div class="position-relative form-group">
		   <label for="company_name" class="ml-2 font-weight-bold">Company Name</label>
		    <select class="mb-2 form-control" name="company_name" id="company_name" required >  
			 @if(request()->route('id')) 
		      @foreach($company_name as $comp)
		       <option {{$get_data->company_name == $comp->id ? 'selected' : '' }} value ="{{$comp->id}}">{{$comp->company_code}} - {{$comp->company_name}}</option>
		      @endforeach 
		     @else 
		       <option value=""> </option>
		      @foreach($company_name as $comp)
		       <option  value ="{{$comp->id}}">{{$comp->company_code}} - {{$comp->company_name}}</option>
		      @endforeach 
		     @endif	 
		    </select> 
	       </div> <!--position-relative form-group-->
	     </div> <!--col-md-4--> 
		 
	    <div class="col-md-4">
		 <div class="position-relative form-group"><label for="status" class="ml-2 font-weight-bold">Status</label>
		  <select class="mb-2 form-control" name="status" id="status" required >  
		   @if(request()->route('id')) 
		    <option> </option>
		    <option {{ $get_data->status == 'active' ? 'selected' : '' }} value ="active">Active</option>
		    <option {{ $get_data->status == 'inactive' ? 'selected' : '' }} value="inactive">Inactive</option> 
		  @else 
		    <option> </option>
		    <option value ="active">Active</option>
		    <option value="inactive">Inactive</option>
		  @endif	 
		</select> 
	   </div>
	 </div> <!--col-md-4-->
    </div> <!--form-row-->
   </div> <!--tab-pane active-->
   
		<div style="height:300px;" class="tab-pane" id="tab-eg115-1" role="tabpanel">
		 <div class="form-row"> 	
		  <div class="col-md-4">
		   <div class="position-relative form-group"><label class="font-weight-bold ml-2" for="region" class="">Region</label>
			<select class="mb-2 form-control" name="region"  id="region" required>  
		     @if(request()->route('id'))  
		      @foreach($region as $regionname)
		       <option {{$get_data->region == $regionname->id ? 'selected' : '' }} value ="{{$regionname->id}}">{{$regionname->region_code}} - {{$regionname->region_name}}</option>
		      @endforeach 
		     @else 
		       <option value=""> </option>
		      @foreach($region as $regionname)
		       <option value ="{{$regionname->id}}">{{$regionname->region_code}} - {{$regionname->region_name}}</option>
		      @endforeach
		     @endif   
		    </select></div>
	      </div> <!--col-md-4-->
	
	    <div class="col-md-4">
		 <div style="display:none" id="sub_region_div"class="position-relative form-group"><label class="font-weight-bold ml-2" for="sub_region" class="">Sub Region</label> 
		  @if(request()->route('id'))  
		   <input name="region_id" id="region_id" value="{{ request()->route('id') ? $get_data->region : '' }}" type="hidden"> 
		   <input name="sub_region_id" id="sub_region_id" value="{{ request()->route('id') ? $get_data->sub_region : '' }}" type="hidden"> 
		   <select class="mb-2 form-control subrgion" name="sub_region[]" id="subregionadd" multiple required > 
		   </select> 
		 @else 
		   <select  class="mb-2 form-control subrgion" multiple name="sub_region[]" id="subregionadd" required > 
		   </select>	
		 @endif   
		</div>
       </div> <!--col-md-4-->
	 
        <div class="col-md-4">
		 <div style="display:none" id="warehouse_div" class="position-relative form-group"><label class="font-weight-bold ml-2" for="sub_region" class="">
		  Warehouse </label> 
		   @if(request()->route('id'))  
		    <input name="sub_region_id" id="sub_region_id" value="{{ request()->route('id') ? $get_data->sub_region : '' }}" type="hidden"> 
		    <input name="distribution" id="distribution_id" value="{{ request()->route('id') ? $get_data->warehouse : '' }}" type="hidden"> 
		    <select  class="mb-2 form-control subrgion" name="warehouse_name[]" id="distributionadd" multiple required > 
		    </select> 
		  @else 
		    <select  class="mb-2 form-control subrgion"  name="warehouse_name[]" id="distributionadd" multiple required > 
		   </select>	
		  @endif   
		</div>
       </div> <!--col-md-4-->   
      </div> <!--form-row-->	
     </div> <!--tab-pane-->
	 
        <div class="tab-pane" id="tab-eg115-2" role="tabpanel">
	     <div class="form-row">
		  <div class="col-md-4">
		    <div class="position-relative form-group"><label for="block_from" class="ml-2 font-weight-bold">Block From</label><input maxlength="30" name="block_from" id="block_from" placeholder="" type="date" value="{{ request()->route('id') ? $get_data->block_from : '' }}" class="form-control" autocomplete="off"></div>
		  </div>
		  
		 <div class="col-md-4">
		  <div class="position-relative form-group"><label for="block_to" class="ml-2 font-weight-bold">Block To
		  </label>
		  <input maxlength="30" name="block_to" id="block_to" placeholder="" type="date" value="{{ request()->route('id') ? $get_data->block_to : '' }}" class="form-control" autocomplete="off">
	      </div>
		 </div> 
	    </div> <!--form-row-->											
       </div> <!--tab-pane-->
      </div> <!--tab-content-->
     </div> <!--card-body-->
    </div> <!--mb-3 card-->
	
		<div class="form-row">
		 <div class="col-md-5"></div>
		  @if(request()->route('id'))
		   <button name="btnsubmit" class="mt-3 btn btn-primary btn-lg">Update</button>
		  @else 
		   <button name="btnsubmit" type="submit" class="mt-3 btn btn-primary btn-lg">Save</button>
		  @endif
		   <div class="col-md-0.5"></div>
		   <a href="{{route('user_list')}}" class="mt-3 btn btn-danger  btn-lg">Cancel</a>
		  </div>
		 </form>
		</div> <!--card-body-->
       </div>  <!--main-card mb-3 card-->
      </div> <!--tab-pane tabs-animation fade show active-->
     </div> <!--tab-content-->
    </div> <!--app-main__inner-->
  @include('theme_layout/footer')
   
 <script>

   var jq = $.noConflict();
   function checkForm(form)
  {
     
    form.btnsubmit.disabled = true;
    return true;
  }
function isNumberKey(evt)
			{
				var charCode = (evt.which) ? evt.which : evt.keyCode;
				if (charCode != 46 && charCode > 31 
				&& (charCode < 48 || charCode > 57))
				return false;
				return true;
			}  
   jq(document).ready(function(){
	   $('#region').SumoSelect({ selectAll:true,search: true,triggerChangeCombined : true});
	   $('#user_role').SumoSelect({ selectAll:true,search: true,triggerChangeCombined : true});
	   $('#company_name').SumoSelect({ selectAll:true,search: true,triggerChangeCombined : true});
	        
	   var region = '';
	   jq("#region").click(function(){
		 var region =  jq('#region').val();
		 var subregion ='0';
		 //alert(region);
        get_sub_region(region, subregion);
 
     });
	 
	 if(region =='') 
	 {
		 
	    var region_id =  jq('#region_id').val();
		 var sub_region_id =  jq('#sub_region_id').val();
		 
		 if(!region_id=='')
		 {
			 get_sub_region(region_id, sub_region_id);
		 } 
	 }  
	 
	 
	 var subregionadd = '';
	   jq('#subregionadd').click(function(){
		 var subregionadd =  jq(this).val();
		 var distibutors ='0';
		
        get_distibutors(subregionadd, distibutors);
     });
	 
	 
	 
	 if(subregionadd =='') 
	 {
		 
	    var sub_region_id =  jq('#sub_region_id').val();
		 var distribution_id =  jq('#distribution_id').val();
		 
		 if(!sub_region_id=='')
		 {
			
			 get_distibutors(sub_region_id, distribution_id);
		 } 
	 } 
	 

  function get_sub_region(region, subregion)
     { 
		 jq.ajax({
		      url: "{{ URL('user/get_subregion/') }}" +"/" + region +'/'+subregion,
              type:"GET",
              
          success:function(respons)
          { 
				$('#sub_region_div').show();
				$('#subregionadd').html(respons);
				 $('#subregionadd').SumoSelect({ selectAll:true,search: true,triggerChangeCombined : true});
                        $('#subregionadd')[0].sumo.reload();
          }
       });
     }	
	 
	 function get_distibutors(subregion,distibutors)
     {
		 
		 jq.ajax({
		      url: "{{ URL('user/get_distibutors/') }}" +"/" + subregion +'/'+distibutors,
              type:"GET",
              
          success:function(respons)
          {
            
				      $('#warehouse_div').show();
				      $('#distributionadd').html(respons);
				      $('#distributionadd').SumoSelect({ selectAll:true,search: true,triggerChangeCombined : true});
                        $('#distributionadd')[0].sumo.reload();
			
          }
       });
     }
	
});

 
		
</script>	 