@include('theme_layout/header')
@include('theme_layout/nav')

<div class="app-main__outer"> 
 <div class="app-main__inner">
  <div class="app-page-title">
   <div class="page-title-wrapper">
    <div class="page-title-heading">
     <div class="page-title-icon">
      <i class="pe-7s-graph text-success">
      </i>
     </div>     <!--page-title-icon-->

     <div>  
		{{ request()->route('id') ? 'Edit ' : 'Add ' }}
		Surveys
	 </div>      
	</div>     <!--page-title-heading-->

	<div class="page-title-actions"> 
	 <div class="d-inline-block dropdown">
	 
	  <a href="{{route('surveys_list')}}" class="mt-3 btn btn-primary btn-lg text-white"> 
	  <i class="fa fa-arrow-left fa-w-20"></i> Back</a>
	  
	 </div>     <!--d-inline-block dropdown-->
	</div>     <!--page-title-actions-->
   </div>     <!--page-title-wrapper-->
  </div>     <!--app-page-title-->            

  <div class="tab-content">
   <div class="tab-pane tabs-animation fade show active" id="tab-content-0" role="tabpanel">
	<div class="main-card mb-3 card">
	 <div class="card-body">
	 <form class="" action="{{ route('surveys_store') }}" method="post" enctype="multipart/form-data" onsubmit="return checkForm(this);">
	   {{ csrf_field() }}
	  <div class="form-row">
	   <div class="col-md-4">
	    <div class="position-relative form-group">
		
		 <label  class="font-weight-bold ml-2" for="survey_name" class="">Survey Name</label>
		 <input autocomplete="off" maxlength="20" name="survey_name" id="survey_name" value="{{ request()->route('id') ? $get_data->survey_name : '' }}"  type="text" class="form-control" required  >
		 <input autocomplete="off" name="updated_id" id="updated_id" value="{{ request()->route('id') }}" type="hidden">
		 
		</div>     <!--position-relative form-group-->
	   </div>     <!--col-md-4-->
	   
	   <div class="col-md-4  date position-relative form-group" id="myDatepicker4">
	   
	    <label for="date" class="font-weight-bold ml-2">From Date :</label> 
		<input autocomplete="off" type="date" class="form-control" name="fromdate" id="date" value="{{ request()->route('id') ? $get_data->from_date : '' }}" autocomplete="off" required>
		
	   </div>     <!--col-md-4  date position-relative form-group-->
		
	   <div class="col-md-4  date position-relative form-group" id="myDatepicker5">
	   
		<label for="date" class="font-weight-bold ml-2">To Date :</label>  
		<input autocomplete="off" type="date" class="form-control" name="todate"  id="todate"  value="{{ request()->route('id') ? $get_data->to_date : '' }}" autocomplete="off" required>
		
	   </div>     <!--col-md-4  date position-relative form-group-->
	  </div>     <!--form-row-->

	  <div class="form-row">
	  
	   <div class="col-md-5"></div>
		@if(request()->route('id'))
		<button type="submit" class="mt-3 btn btn-primary btn-lg" name="btnsubmit">Update</button>
		@else 
		<button type="submit" class="mt-3 btn btn-primary btn-lg" name="btnsubmit">Create Survey</button>
		@endif
		<div class="col-md-0.5"></div>
		<a href="{{route('surveys_list')}}" class="mt-3 btn btn-danger  btn-lg">Cancel</a>
		
	  </div>     <!--form-row-->
	 </form>
	 </div>     <!--card-body-->
	</div>      <!--main-card mb-3 card-->
   </div>      <!--tab-pane tabs-animation fade show active-->
  </div>     <!--tab-content-->
 </div>     <!--app-main__inner-->
@include('theme_layout/footer')
<script>
	function checkForm(form)
			{ 
		form.btnsubmit.disabled = true;
		return true;
			}
</script>

