@include('theme_layout/header')
@include('theme_layout/nav')

<div class="app-main__outer">
 <div class="app-main__inner">
  <div class="app-page-title">
   <div class="page-title-wrapper">
    <div class="page-title-heading">
     <div class="page-title-icon">
	  <i class="pe-7s-graph text-success">
	  </i>
	 </div>     <!--page-title-icon-->
	 <div>View Answer </div>
    </div>

	<div class="page-title-actions"> 
	 <div class="d-inline-block dropdown">
	  <a href="{{route('surveys_data_list')}}" class="mt-3 btn btn-primary btn-lg text-white"> 
	  <i class="fa fa-arrow-left fa-w-20"></i> Back</a> 
	 </div>     <!--d-inline-block dropdown-->
	</div>     <!--page-title-actions-->
   </div>     <!--page-title-wrapper-->
  </div>       <!--app-page-title-->          

  <div class="tab-content">
   <div class="tab-pane tabs-animation fade show active" id="tab-content-0" role="tabpanel">
	<div class="main-card mb-3 card">
	 <div class="card-body">
	 <form class="" >
	   @foreach($get_data as $data)
	  <div class="form-row">
	   <div class="col-md-6">
		<div class="position-relative form-group">
		 <label for="question" class="">Question</label>
		 <input readonly="readonly" name="question" id="question" placeholder="" value="{{$data->question}}" type="text" class="form-control">
	    </div>     <!--position-relative form-group-->
	   </div>     <!--col-md-6"-->
	   
	   <div class="col-md-6">
		<div class="position-relative form-group">
		 <label for="answer" class="">Answer</label>
		 <input readonly="readonly" name="answer" id="answer" placeholder="Vehicle Number" value="{{$data->answer}}" type="text" class="form-control">
		</div>     <!--position-relative form-group-->
	   </div>     <!--col-md-6-->
	  </div>     <!--form-row-->
	 @endforeach
	  </form>
	 </div>     <!--card-body-->
	</div>      <!--main-card mb-3 card-->
   </div>     <!--tab-pane tabs-animation fade show active-->
  </div>      <!--tab-content-->
 </div>     <!--app-main__inner-->
</div>    <!--app-main__outer-->
</div>   
@include('theme_layout/footer')



                

