@include('theme_layout/header')
@include('theme_layout/nav')
<div class="app-main__outer">
 <div class="app-main__inner">
  <div class="app-page-title">
   <div class="page-title-wrapper">
	<div class="page-title-heading">
	 <div class="page-title-icon">
	 
	   <i class="pe-7s-medal icon-gradient bg-tempting-azure">
	   </i>
	   
     </div>     <!--page-title-icon-->
	 
	 <div>Stock Transfer Report  
	    @if(Session::has('successMessage')) 
		  <input id="toster_id" type="hidden" value="{{ Session::get('successMessage') }}">		  
		 @endif
		
     </div>     
	</div>     <!--page-title-heading-->

	<div class="page-title-actions"> 
	 <div class="d-inline-block dropdown">
	 
	  <div class="page-title-actions">  </div>
	  
	 <div tabindex="-1" role="menu" aria-hidden="true" class="dropdown-menu dropdown-menu-right">
	    <ul class="nav flex-column">
		<li class="nav-item">
		<a class="nav-link">
		<i class="nav-link-icon lnr-inbox"></i>
			<span>
				Inbox
			</span>
	  <div class="ml-auto badge badge-pill badge-secondary">86</div>
		</a>
		</li>
		<li class="nav-item">
		<a class="nav-link">
		<i class="nav-link-icon lnr-book"></i>
			<span>
				Book
			</span>
	  <div class="ml-auto badge badge-pill badge-danger">5</div>
		</a>
		</li>
		<li class="nav-item">
		<a class="nav-link">
		<i class="nav-link-icon lnr-picture"></i>
			<span>
				Picture
			</span>
		</a>
		</li>
		<li class="nav-item">
		<a disabled class="nav-link disabled">
		<i class="nav-link-icon lnr-file-empty"></i>
			<span>
				File Disabled
			</span>
		</a>
		</li>
		</ul>
	  </div>     <!--dropdown-menu dropdown-menu-right-->
	 </div>     <!--d-inline-block dropdown-->
    </div>     <!--page-title-actions-->
   </div>     <!--page-title-wrapper-->
  </div>       <!--app-page-title-->    
 
  <div class="main-card mb-3 card">
   <div class="card-body">
<!-- date filte-->
   <form method="get" action="{{ route('stock_transfer_report_list') }}" >
   <div class="form-row">
	<div class="col-md-4  date position-relative form-group" id="myDatepicker4">
	
	 <label for="select_warehouse" class="font-weight-bold ml-2"> From Date</label>
	 <input type="date" class="form-control" name="fromdate" id="fromdate" value="<?php if(isset($_GET['fromdate'])) echo $_GET['fromdate']; else echo date("Y-m-d"); ?>" autocomplete="off">
	 
	</div>     <!--col-md-4  date position-relative form-group-->

	<div class="col-md-4  date position-relative form-group" id="myDatepicker5">
	
	   <label for="select_warehouse" class="font-weight-bold ml-2"> To Date</label>
	   <input type="date" class="form-control" name="todate"  id="todate"  value="<?php if(isset($_GET['todate'])) echo $_GET['todate']; else echo date("Y-m-d"); ?>" autocomplete="off">
	   
    </div>     <!--col-md-4  date position-relative form-group-->
	
	<div class="col-md-4" >
	 <div class="position-relative form-group">
	  <label for="select_warehouse" class="">Outlet Warehouse</label> 
	  <select class="mb-2 form-control" name="transfer_warehouse" id="transfer_warehouse" required >
			@if(isset($_GET['transfer_warehouse']))
			@foreach($get_data1 as $outlet_name)
      <option {{$_GET['transfer_warehouse'] == $outlet_name->id ? 'selected' : '' }} value="{{$outlet_name->id}}">{{$outlet_name->outlet_code}} - {{$outlet_name->outlet_name}}</option>
			@endforeach
		    @else
	  <option value=""> </option>
			@foreach($get_data1 as $outlet_name)
	  <option value="{{$outlet_name->id}}">{{$outlet_name->outlet_code}} - {{$outlet_name->outlet_name}}</option>
		    @endforeach
			@endif
	  </select>
	 </div>      <!--position-relative form-group-->
	  
	  <input  name="warehouse_id12" id="warehouse_id12"  type="hidden" class="form-control" value=""  required  autocomplete="off">
	</div>      <!--col-md-4-->
   </div>      <!--form-row--> 
   
   <div class="form-row">
    <div class="col-md-12 text-center"> 
	
	 <button id="submit" class="mt-3 btn btn-primary btn-lg">Search</button>
	 
	</div>	     <!--col-md-12 text-center-->
   </div>	     <!--form-row-->								 
   </form>
		<br><br>
	<table style="width: 100%;" id="example" class="table table-hover table-striped table-bordered">

     <thead> 	
      <tr>
	   <th class="text-justify text-left">Date</th>
	   <th class="text-justify text-left">From Warehouse</th>
	   <th class="text-justify text-left">To Outlet Warehouse</th>
	   <th>Status</th>
	   <th style="width: 13%;">Action</th>  
      </tr>
     </thead>
     
	 <tbody>
        @foreach($get_data as $key=>$data)
        @php 
        $row = date("d M Y ", strtotime($data->created_at));
		@endphp 
	  <tr>
		<td class="font-weight-bold text-justify text-left">{{$row}}</td>
		<td class="font-weight-bold text-justify text-left">{{$data->warehouse_code}} - {{ucfirst($data->warehouse_name)}}</td>
		<td class="font-weight-bold text-justify text-left">{{$data->outlet_code}} - {{ucfirst($data->outlet_name)}}</td>
		<td class="font-weight-bold text-capitalize  text-dark">{{$data->status}}</td>   
    	<td> 
		<div class="dropdown"> 
					<button type="button" aria-haspopup="true" aria-expanded="false" data-toggle="dropdown" class="mb-2 mr-2 btn btn-outline-primary "><i class="fas fa-ellipsis-v"></i></button>
					<ul class="dropdown-menu " style="min-width: 0px;" aria-labelledby="dropdownMenuButton1">
					<a class="dropdown-item"  class= "mb-2  btn-hover-shine btn btn-shadow btn-success btn-lg "data-target="#myModal" title="view"   onclick="my_function({{$data->id}})"><i class="fas fa-eye" aria-hidden="true"> View</i></a> 
					
					 </ul>
				  </div> 
		 <!-- <a class= "mb-2 mr-2 btn-hover-shine btn btn-shadow btn-success btn-lg" data-toggle="modal" data-target="#myModal" title="view"   onclick="my_function({{$data->id}})" >
		  <i class="fas fa-eye" aria-hidden="true"></i>  </a> -->
		</td>
	  </tr>
		@endforeach
	 </tbody>

    </table>
   </div>      <!--card-body-->

   <div class="modal fade mt-5"  id="myModal" tabindex="-1" role="dialog" aria-labelledby="exampleModalLabel" aria-hidden="true" >
    <div class="modal-dialog mt-5 "  role="document">
     <div class="modal-content " >
	  <div class="modal-header">
	  
		<h5 class="modal-title" id="exampleModalLabel">Stock Tranfer Report View</h5>
		<button type="button" class="close" data-dismiss="modal" aria-label="Close">
		<span aria-hidden="true">&times;</span>
		</button>
		
	  </div>     <!--modal-header-->
	
	  <div class="modal-body"> 
	   <div class="form-row" >
		<div class="col-md-12"  id="updatestock">
		 <div class="card-header">
		 
		  <ul class="nav nav-justified" id="material_cat_ul">
			@foreach($material_category as $key=>$data) 
		  <li class="nav-item category_id" value="{{$key}}" id="{{$data->id}}">
		  <a data-toggle="tab" id="item_li_add{{$data->id}}"  href="#warehouse_id{{$key}}" class="nav-link nav-pills">{{$data->category_name}}</a>
	      </li> 
			@endforeach                                       
		  </ul>
		  
		 </div>     <!--card-header-->
		 
		 <div class="card-body" id="">
		  <div class="tab-content">
		  
			@foreach($material_category as $key=>$data)
		   <div class="tab-pane active" id="warehouse_id{{$key}}" role="tabpanel"></div>		
			@endforeach  
			
		  </div>      <!--tab-content-->
		 </div>     <!--card-body-->
		</div>     <!--col-md-12-->
	   </div>      <!--form-row--> 
	  </div>     <!--modal-body-->
     </div>     <!--modal-content-->
    </div>     <!--modal-dialog mt-5-->
   </div>     <!--modal fade mt-5-->
  </div>     <!--main-card mb-3 card-->
 </div>     <!--app-main__inner-->

@include('theme_layout/footer')	


<script>

	var jq = $.noConflict();
jq(document).ready(function(){
	   
	   @if(Session::has('successMessage'))
			var toster=jq('#toster_id').val();
			if(toster!=''){
			Swal.fire({
			 
			icon: 'success',
			title: ''+toster,
			showConfirmButton: false,
			timer: 2000
			})
			}
			
			{{ Session::forget('successMessage') }}
			
		@endif
	$('#transfer_warehouse').SumoSelect({ selectAll:true,search: true,triggerChangeCombined : true});
	
	
	
		function my_function(id){
	
	jq('#warehouse_id12').val(id);

		var stock=  jq('ul#material_cat_ul li:first').attr('id');
	if(stock) {
		var material_id = stock;
		var inc =  jq('ul#material_cat_ul li:first').attr('value');
		var warehouse_id11= jq('#warehouse_id12').val();

		get_warehouse(material_id,inc,warehouse_id11);

		jq('#item_li_add' + stock).addClass( "active show" );

		} 
		}
	jq(".category_id").click(function(){

	material_id= jq(this).attr('id');


		var inc=jq(this).attr('value');
		var warehouse_id11= jq('#warehouse_id12').val();
	get_warehouse(material_id,inc,warehouse_id11);
	});
	
	function get_warehouse(material_id,inc,warehouse_id11){

		jq.ajax({
		url: "{{ URL('outlet_transfer_material_detalis2/') }}" +"/" + material_id+'/'+warehouse_id11,
		type:"GET",

		success:function(respons)
		{
		if(respons)
		{
		
		jq('#warehouse_id'+inc+'').html(respons);

		}
	}
	});
	}

	var fromdate = jq('#fromdate').val();
	var todate = jq('#todate').val();

	//alert(fromdate);
	//  get_datefilter(fromdate,todate);
	
		jq("#warehouse_stock1").change(function(){
	var warehouse = jq('#warehouse_stock1').val();
		get_route(warehouse);

	});
	<!--get_material_price-->
	function get_route(warehouse){

		jq.ajax({
		url: "{{ URL('get_routename_filter/') }}"+"/" +warehouse,       
		type:"GET",

		success:function(respons)
	{
		if(respons)
	{

		jq('#routename').html(respons);
	}
	}
	});
	}
	
	function get_datefilter(fromdate,todate){
	
		jq.ajax({
		url: "{{ URL('salesman_invoice_list/') }}",       
		type:"GET",
		data:{fromdate:fromdate,
		todate:todate
		},
		success:function(respons)
		{
		if(respons)
		{
		jq('#example').html(respons);
		}
	}
	});
	}
	
	});
</script>			
 