@include('theme_layout/header')
@include('theme_layout/nav')

<div class="app-main__outer">
 <div class="app-main__inner">
  <div class="app-page-title">
   <div class="page-title-wrapper">
    <div class="page-title-heading">
	
     <div class="page-title-icon">
      <i class="pe-7s-graph text-success">
      </i>
	 </div>     <!--page-title-icon-->
	 
	<div>Outlet Stock Tranafer Report View 
	</div>
	
	</div>     <!--page-title-heading-->

	<div class="page-title-actions"> 
	 <div class="d-inline-block dropdown">
	 
	   <a href="{{route('stock_transfer_report_list')}}" class="mt-3 btn btn-primary btn-lg text-white"> 
	   <i class="fa fa-arrow-left fa-w-20"></i> Back</a> 
	   
	 </div>     <!--d-inline-block dropdown-->
	</div>     <!--page-title-actions-->
   </div>     <!--page-title-wrapper-->
  </div>         <!--app-page-title-->        

  <div class="tab-content">
   <div class="tab-pane tabs-animation fade show active" id="tab-content-0" role="tabpanel">
	<div class="main-card mb-3 card">
	 <div class="card-body">
	  <div class="form-row">
	   <div class="col-md-6" >
	    <div class="position-relative form-group">
		
		 <label for="select_warehouse" class=""> Warehouse</label> 
	     <input readonly maxlength="20"  name="warehouse_id" id="warehouse"  type="text" class="form-control" value="{{$header_details[0]->warehouse_code}} - {{$header_details[0]->warehouse_name}}">
	    
		</div>     <!--position-relative form-group-->
	   </div>     <!--col-md-6-->
	   
	   <div class="col-md-6" >
	    <div class="position-relative form-group">
		
		 <label for="select_warehouse" class=""> Outlet Warehouse</label> 
	     <input readonly maxlength="20"  name="warehouse_transfer" id="warehouse_transfer"  type="text" class="form-control" value="{{$header_details[0]->outlet_code}} - {{$header_details[0]->outlet_name}}"   >
	     <input  maxlength="20"  name="warehouse_id12" id="warehouse_id12"  type="hidden" class="form-control" value="{{request()->route('view')}}"  required >
		 
    	</div>     <!--position-relative form-group-->
	   </div>     <!--col-md-6-->
	  </div>	     <!--form-row-->	

	   <input  name="warehouse_id12" id="warehouse_id12"  type="hidden" class="form-control" value="{{request()->route('view')}}"  required > 
	  
	  <div class="form-row" >
	   <div class="col-md-12"  id="updatestock">
	    <div class="card-header">
		
		 <ul class="nav nav-justified" id="material_cat_ul">
		  @foreach($material_category as $key=> $data) 
		 <li class="nav-item category_id" value="{{$key}}" id="{{$data->id}}">
		 <a data-toggle="tab" id="item_li_add{{$data->id}}"  href="#warehouse_id{{$key}}" class="nav-link nav-pills">{{$data->category_name}}</a>
		 </li> 
		  @endforeach                                       
		 </ul>
		 
		</div>     <!--card-header-->
		
		<div class="card-body" id="">
		 <div class="tab-content">
		 
		    @foreach($material_category as $key=> $data)
		  <div class="tab-pane active" id="warehouse_id{{$key}}" role="tabpanel"></div>		
			@endforeach 
			
	     </div>      <!--tab-content-->
	    </div>     <!--card-body-->
	   </div>     <!--col-md-12-->
	  </div>      <!--form-row-->
	 </div>     <!--card-body-->
	</div>      <!--main-card mb-3 card-->
   </div>      <!--tab-pane tabs-animation fade show active-->
  </div>     <!--tab-content-->
 </div>      <!--app-main__inner-->
 
@include('theme_layout/footer')

</div>     <!--app-main__outer-->

<script src="http://ajax.googleapis.com/ajax/libs/jquery/1.9.1/jquery.min.js"></script>

 <script>

	var jq = $.noConflict();

	jq(document).ready(function(){
	var repeat= new Array();

	var stock=  jq('ul#material_cat_ul li:first').attr('id');

	if(stock) {

	var material_id = stock;

	var inc =  jq('ul#material_cat_ul li:first').attr('value');

	if(repeat[inc]==material_id){

	}
	else
	{
		var warehouse_id11= jq('#warehouse_id12').val();
		get_warehouse(material_id,inc,warehouse_id11);
	}

	jq('#item_li_add' + stock).addClass( "active show" );

	} 
	
	jq(".category_id").click(function(){
		material_id= jq(this).attr('id');

	var inc=jq(this).attr('value');

	if(repeat[inc]==material_id){
	
	}
	else
	{
		var warehouse_id11= jq('#warehouse_id12').val();

		get_warehouse(material_id,inc,warehouse_id11);
	}
	});
	
	function get_warehouse(material_id,inc,warehouse_id11){

	jq.ajax({
	url: "{{ URL('outlet_transfer_material_detalis/') }}" +"/" + material_id+'/'+warehouse_id11,
	type:"GET",

	success:function(respons)
	{
	if(respons)
	{
	jq('#warehouse_id'+inc+'').html(respons);

	repeat[inc]=material_id;
	}
	}
	});
	}
	});
	</script>		