@include('theme_layout/header')
@include('theme_layout/nav')


<div class="app-main__outer">
 <div class="app-main__inner">
  <div class="app-page-title">
   <div class="page-title-wrapper">
    <div class="page-title-heading">
          
     <div class="page-title-icon">
      <i class="pe-7s-medal icon-gradient bg-tempting-azure"></i>
     </div>
          
     <div> Good Receipt Note List   
       @if(Session::has('successMessage')) 
		  <input id="toster_id" type="hidden" value="{{ Session::get('successMessage') }}">		  
		 @endif
     </div> <!-- end Delivery Order  -->
    </div>  <!-- end page-title-heading -->
                            
     <div class="page-title-actions">
      <div class="d-inline-block dropdown">
       <div class="page-title-actions">
        <div class="d-inline-block dropdown">
         <a href="{{route('good_receipt_note')}}" class="mt-3 btn btn-primary btn-lg">
         <i class="fa fa-plus fa-w-20"></i>
         Add Good Receipt Note
         </a>
        </div>   <!--d-inline-block dropdown-->
       </div>  <!-- end page title action --> 
          
       <div tabindex="-1" role="menu" aria-hidden="true" class="dropdown-menu dropdown-menu-right">
           
        <ul class="nav flex-column">
        <li class="nav-item">
        <a class="nav-link">
        <i class="nav-link-icon lnr-inbox"></i>
          <span>Inbox</span>
                    
        <div class="ml-auto badge badge-pill badge-secondary">86</div>
                
        </a>
        </li>
              
        <li class="nav-item">
        <a class="nav-link">
        <i class="nav-link-icon lnr-book"></i>
          <span>Book</span>
                    
        <div class="ml-auto badge badge-pill badge-danger">5</div>
                
        </a>
        </li>
                
        <li class="nav-item">
        <a class="nav-link">
        <i class="nav-link-icon lnr-picture"></i>
          <span>Picture</span>
        </a>
        </li>
                
        <li class="nav-item">
        <a disabled class="nav-link disabled">
        <i class="nav-link-icon lnr-file-empty"></i>
         <span>File Disabled</span>
        </a>
        </li>
        </ul>
       </div>   <!-- end table index drop down -->
      
      </div>    <!--d-inline-block dropdown-->
     </div>      <!-- end page title action --> 
    </div>   <!--page-title-wrapper-->
   </div>      <!--app-page-title-->        
 
   <div class="main-card mb-3 card">
    <div class="card-body">
    <!-- date filte-->
     <form method="get" action="{{ route('good_receipt_note_list') }}">
     
	 <div class="form-row">
      <div class="col-md-4  date position-relative form-group" id="myDatepicker4">
       <label for="select_warehouse" class="font-weight-bold ml-2"> From Date</label>
       <input type="date" class="form-control" name="fromdate" id="fromdate" value="<?php if(isset($_GET['fromdate'])) echo $_GET['fromdate']; else echo date("Y-m-d"); ?>" autocomplete="off">
      </div>
      
      <div class="col-md-4  date position-relative form-group" id="myDatepicker5">
       <label for="select_warehouse" class="font-weight-bold ml-2"> To Date</label>
        <input type="date" class="form-control" name="todate"  id="todate"  value="<?php if(isset($_GET['todate'])) echo $_GET['todate']; else echo date("Y-m-d"); ?>" autocomplete="off">
      </div>
	  <div class="col-md-4" >
       <div class="position-relative form-group">
         <label for="select_warehouse" class="font-weight-bold ml-2">Supplier</label> 
		  <select class="mb-2 form-control" name="supplier" id="customer_id">
		@if(isset($_GET['supplier']))
			  
		  @foreach($distibutor as $distibutor_name)
		   <option value=""> </option>
           <option {{$_GET['supplier'] == $distibutor_name->id ? 'selected' : '' }} value="{{$distibutor_name->id}}">{{$distibutor_name->supplier_code}} - {{$distibutor_name->supplier_name}}</option>
          @endforeach
		@else
		   <option value=""> </option>
          @foreach($distibutor as $distibutor_name)
           <option value="{{$distibutor_name->id}}">{{$distibutor_name->supplier_code}} - {{$distibutor_name->supplier_name}}</option>
          @endforeach
		@endif	  
          </select>
       </div>    <!--position-relative form-group-->
      </div>
	  
	  
     </div>   <!-- end row -->
 
     <div class="form-row">
  
      <div class="col-md-12 text-center">
	  
       <button id="submit" class="mt-3 btn btn-primary btn-lg">Search</button>
       
      </div>  
 
     </div>      <!-- end row -->                

     </form>

	  <input maxlength="125" name="url_warehouse" id="url_warehouse"  type="hidden" value="<?php if(isset($_GET['supplier']) && isset($_GET['warehouse']) && $_GET['warehouse']!=''){echo $_GET['warehouse']; } else{echo "0";} ?>" class="form-control" autocomplete="off" required>
       <br><br>

      <table style="width: 100%;" id="example" class="table table-hover table-striped table-bordered">
       <thead>
        <tr>
         
        <th class="text-justify text-left">GRN Code</th>
		<th class="text-justify text-left">Supplier</th>
        <th class="text-justify text-left">GRN Value</th>
        <th class="text-justify text-left">Order Code</th>
        <th>Action</th> 
        </tr>
       </thead>

       <tbody>
        @foreach($get_data as $data)
		<tr>
        @php
        $row1 = date("d M Y g:i a", strtotime($data->created_at));
        $space=" ";
        @endphp
        <td class="font-weight-bold text-justify text-left">{{$data->grn_code}}</td>  
        <td class="font-weight-bold text-justify text-left">{{$data->supplier_code}} - {{ucfirst($data->supplier_name)}}</td>
        <td class="font-weight-bold text-justify text-left">{{number_format($data->total_grn_value,2)}}  {{$data->currency_notation }}    </td>
        <td class="font-weight-bold text-justify text-left">{{$data->purchase_order_number }}  </td>
        <td>
           
        <div class="dropdown">
        <button type="button" aria-haspopup="true" aria-expanded="false" data-toggle="dropdown" class="mb-2 mr-2 btn btn-outline-primary "><i class="fas fa-ellipsis-v"></i></button>
        <ul class="dropdown-menu " style="min-width: 0px;" aria-labelledby="dropdownMenuButton1">
        <a class="dropdown-item" class= "mb-2 mr-2 btn-hover-shine btn btn-shadow btn-success btn-lg" href=" {{ URL::to('good_receipt_note_view/'.$data->id)}}">
          <i class="fas fa-eye" aria-hidden="true" > View</i> 
          </a>
		  <a class="dropdown-item" class= "mb-2 mr-2 btn-hover-shine btn btn-shadow btn-success btn-lg" href=" {{ URL::to('good_receipt_note_export/'.$data->id)}}"><i class="fas fa-download" aria-hidden="true"> Export</i> </a> 
			
			<a class="dropdown-item" class= "mb-2 mr-2 btn-hover-shine btn btn-shadow btn-success btn-lg" href=" {{ URL::to('good_receipt_note_export_pdf/'.$data->id)}}"><i class="fas fa-download" aria-hidden="true"> PDF</i> </a> 
        </ul>
        </div>
          
        </td> 
        </tr>
      
        @endforeach
       </tbody>
    
       <tfoot>
    
       </tfoot>
      </table>
    </div>      <!--card body-->
   </div>    <!--main-card mb-3 card-->
  </div>     <!--app-main__inner-->
        
@include('theme_layout/footer') 
  
<script>

    var jq = $.noConflict();
    jq(document).ready(function(){
		
		@if(Session::has('successMessage'))
			var toster=jq('#toster_id').val();
			if(toster!=''){
			Swal.fire({
			 
			icon: 'success',
			title: ''+toster,
			showConfirmButton: false,
			timer: 2000
			})
			}
			
			{{ Session::forget('successMessage') }}
		@endif
		
		$('#customer_id').SumoSelect({ selectAll:true,search: true,triggerChangeCombined : true});
		
		<?php if(isset($_GET['supplier'])){?> 
		var customer_id = jq('#customer_id').val(); 
		  
		//get_warehouse(customer_id); <?php } ?>
	
        var fromdate = jq('#fromdate').val();
        var todate = jq('#todate').val();
   //alert(fromdate);
   //  get_datefilter(fromdate,todate);
   
       $("#customer_id").change(function(){
       var customer_id = jq('#customer_id').val();
   
    $('#customer_id').SumoSelect({ selectAll:true,search: true,triggerChangeCombined : true});
	$('#customer_id')[0].sumo.reload();    
        
     //get_warehouse(customer_id); 
    });
    
  <!--get_material_price-->
 // function get_warehouse(warehouse,url_warehouse){
	
    // jq.ajax({
    // url: "{{ URL('get_route_warehousename_filter_delivery') }}"+"/" +warehouse+"/"+url_warehouse,       
    // type:"GET",
    // success:function(respons)
    // {
           // jq('#warehouse_id').html(respons);
		   // $('#warehouse_id').SumoSelect({ selectAll:true,search: true,triggerChangeCombined : true});
		   // $('#warehouse_id')[0].sumo.reload();  
        
    // }
   // });
 // }
   
  function get_datefilter(fromdate,todate)
   {
      jq.ajax({
      url: "{{ URL('salesman_invoice_list/') }}",       
      type:"GET",
      data:{fromdate:fromdate,
      todate:todate
   },
  success:function(respons)
  {
    if(respons)
    {
        jq('#example').html(respons);
    }
   }
  });
 } 
});   
</script>     
          