@include('theme_layout/header')
@include('theme_layout/nav')
 
<div class="app-main__outer">
 <div class="app-main__inner">
  <div class="app-page-title">
   <div class="page-title-wrapper">
	<div class="page-title-heading">
     <div class="page-title-icon">
	 
	   <i class="pe-7s-medal icon-gradient bg-tempting-azure">
	   </i>
	   
	 </div>     <!--page-title-icon-->
     
	 <div>Purchase Order List
	    @if(Session::has('successMessage'))
			<input id="toster_id" type="hidden" value="{{Session::get('successMessage')}}">		  
		@endif
	 </div>     
	</div>     <!--page-title-heading-->

	<div class="page-title-actions"> 
	 <div class="d-inline-block dropdown">
	  <div class="page-title-actions"> 
	   <div class="d-inline-block dropdown">
	   
		 <a href="{{route('purchase_order')}}" class="mt-3 btn btn-primary btn-lg">
		 <i class="fa fa-plus fa-w-20"></i> Add Purchase Order</a> 
		 
	   </div>     <!--d-inline-block dropdown-->
	  </div>      <!--page-title-actions-->
		 
	  <div tabindex="-1" role="menu" aria-hidden="true" class="dropdown-menu dropdown-menu-right">
	   <ul class="nav flex-column">
	   <li class="nav-item">
	   <a class="nav-link">
	   <i class="nav-link-icon lnr-inbox"></i>
		<span>
			Inbox
		</span>
	   
	   <div class="ml-auto badge badge-pill badge-secondary">86</div>
	   
	   </a>
	   </li>
	   <li class="nav-item">
	   <a class="nav-link">
	   <i class="nav-link-icon lnr-book"></i>
	    <span>
			Book
		</span>
	   
	   <div class="ml-auto badge badge-pill badge-danger">5</div>
	   
	   </a>
       </li>
	   <li class="nav-item">
	   <a class="nav-link">
	   <i class="nav-link-icon lnr-picture"></i>
		<span>
			Picture
		</span>
	   </a>
	   </li>
	   <li class="nav-item">
       <a disabled class="nav-link disabled">
	   <i class="nav-link-icon lnr-file-empty"></i>
	    <span>
			File Disabled
		</span>
	   </a>
	   </li>
       </ul>
      </div>     <!--dropdown-menu dropdown-menu-right-->
	 </div>     <!--d-inline-block dropdown-->
	</div>      <!--page-title-actions-->
   </div>     <!--page-title-wrapper-->
  </div>           <!--app-page-title-->

  <div class="main-card mb-3 card">
   <div class="card-body">
   
	<form method="get" action="{{ route('purchase_order_list') }}" >
	
	<div class="form-row"> 
	 <div class="col-md-4  date position-relative form-group" id="myDatepicker4">
	 
	   <label for="select_warehouse" class="font-weight-bold ml-2"> From Date</label>
	   <input type="date" class="form-control" name="fromdate" id="fromdate" value="<?php if(isset($_GET['fromdate'])) echo $_GET['fromdate']; else echo date("Y-m-d"); ?>" autocomplete="off">
	   
	 </div>     <!---->
	 
	 <div class="col-md-4  date position-relative form-group" id="myDatepicker5">
	 
	   <label for="select_warehouse" class="font-weight-bold ml-2"> To Date</label>
	   <input type="date" class="form-control" name="todate"  id="todate"  value="<?php if(isset($_GET['todate'])) echo $_GET['todate']; else echo date("Y-m-d"); ?>" autocomplete="off">
		 
	 </div> 

      <div class="col-md-4" >
	  <div class="position-relative form-group">
	   <label for="select_warehouse" class="font-weight-bold ml-2"> Supplier</label> 
	   <select class="mb-2 form-control" name="supplier_name" id="supplier_id" >
		  
		 @if(isset($_GET['supplier_name']))
	   <option value=""> </option>
	     @foreach($supplier_name as $supplier)
	   <option {{$_GET['supplier_name'] == $supplier->id ? 'selected' : ''}} value="{{$supplier->id}}">{{$supplier->supplier_code}} - {{$supplier->supplier_name}}</option>
		 @endforeach
		 @else
	   <option value=""> </option>
		 @foreach($supplier_name as $supplier)
	   <option value="{{$supplier->id}}">{{$supplier->supplier_code}} - {{$supplier->supplier_name}}  </option>
		 @endforeach
		 @endif	  
	   </select>
	  </div>       <!--position-relative form-group-->
	 </div> 
	 
	</div>       <!--form-row-->
	
		 
	
	<div class="form-row">
	 <div class="col-md-12 text-center"> 
	 
	  <button id="submit" class="mt-3 btn btn-primary btn-lg">Search</button>
							
     </div>	     
    </div>	     <!--form-row-->								 
    </form>
					
	 <input maxlength="125" name="url_route" id="url_route"  type="hidden" value="<?php if(isset($_GET['warehouse']) && isset($_GET['route']) && $_GET['route']!=''){echo $_GET['route']; } else{echo "0";} ?>" class="form-control" autocomplete="off" required>
						  <br><br>
     <table style="width: 100%;" id="example" class="table table-hover table-striped table-bordered">
	  <thead> 
	   <tr>
		 <th class="text-justify text-left">Supplier </th>
		 <th class="text-justify text-left">Purchase Order Code</th>
		 <th class="text-justify text-left">Delivery Date</th>
		 <th class="text-justify text-left">Invoice Total</th>
		 <th>Action</th> 
	   </tr>
	  </thead>
								
	  <tbody>
		    @foreach($get_data as $data)
	   <tr>
			@php
			 
			$row1 = date("d M Y g:i a", strtotime($data->delivery_date));
			$space=" ";
			@endphp
	  
		<td class="font-weight-bold text-justify text-left">{{$data->supplier_code}} - {{ucfirst($data->supplier_name)}}</td>
		<td class="font-weight-bold text-justify text-left">{{$data->purchase_order_number}} </td>
		<td class="font-weight-bold text-justify text-left">{{$row1}}</td>
		<td class="font-weight-bold text-justify text-left">{{$data->currency_notation }} {{ $space}} {{number_format($data->total_invoice_value,2)}}</td> 
		<td >
									
		<div class="dropdown">
    	<button type="button" aria-haspopup="true" aria-expanded="false" data-toggle="dropdown" class="mb-2 mr-2 btn btn-outline-primary "><i class="fas fa-ellipsis-v"></i></button>
    	<ul class="dropdown-menu " style="min-width: 0px;" aria-labelledby="dropdownMenuButton1">
    		<a class="dropdown-item" class= "mb-2 mr-2 btn-hover-shine btn btn-shadow btn-success btn-lg" href=" {{ URL::to('purchase_order_view/'.$data->id)}}"><i class="fas fa-eye" aria-hidden="true"> View</i> </a> 
			
			
			<a class="dropdown-item" class= "mb-2 mr-2 btn-hover-shine btn btn-shadow btn-success btn-lg" href=" {{ URL::to('purchase_export/'.$data->id)}}"><i class="fas fa-download" aria-hidden="true"> Export</i> </a> 
			
			<a class="dropdown-item" class= "mb-2 mr-2 btn-hover-shine btn btn-shadow btn-success btn-lg" href=" {{ URL::to('purchase_export_pdf/'.$data->id)}}"><i class="fas fa-download" aria-hidden="true"> PDF</i> </a> 
			
			@if($data->is_grn==0)
           		<button class="dropdown-item" value="{{$data->id}}" data-toggle="modal" data-target="#myModal" id="closed" style="background-color:red;color: white;" class="btn get_edit_id">
			   	<i data-toggle="tooltip" data-placement="top" class="pe-7s-close-circle" aria-hidden="true"> Close!</i></button>
		  	@endif
		</ul>
		</div>
		</td>  
       </tr>
	@endforeach
	
	    <!--start reson	-->			
	    <div class="modal fade mt-5"  id="myModal" tabindex="-1" role="dialog" aria-labelledby="exampleModalLabel" aria-hidden="true" >
       <div class="modal-dialog mt-5 "  role="document">
        <div class="modal-content " >
         <div class="modal-header">
          
          <h5 class="modal-title" id="exampleModalLabel">Reason </h5>
		  <button type="button" class="close" data-dismiss="modal" aria-label="Close">
            <span aria-hidden="true">&times;</span>
          </button>
         
		 </div>      <!--modal-header-->
		 
		 <div class="modal-body" id=""> 
		<!--start region form-->
                                
		  <div class="container" id="region_body_id">
		  
		  <form  action="{{ route('get_cancel_purchase_order') }}" method="post">
		   
			{{ csrf_field() }}
		   <div class="form-row">
            <div class="col-md-12">
             <div class="position-relative form-group">  
              <input type="hidden" value="" id="close_id" name="close_id">
		      <label for="region_name" class="ml-2 font-weight-bold">Write Reason for Closing Purchase  Order</label>
			  <Textarea maxlength="120" name="reason_type" id="reson_name" placeholder="" type="text" value="" class="form-control"></Textarea>
			 
			 </div>      <!--position-relative form-group-->
            </div>      <!--col-md-12-->
           </div> 
		   <!--form-row-->  
		   								
		   <div class="form-row">
            <div class="col-md-5"></div> 
			
			<button href=" " id="submit"  data-toggle="modal" data-target="#myModal" class="mt-3 btn btn-primary btn-lg">Save</button>
										 
			<div class="col-md-0.5"></div>
			
			<a href="{{route('purchase_order_list')}} " class="mt-3 btn btn-danger  btn-lg">Cancel</a>
			
		   </div>      <!--form-row-->
		  </form>
	  
		  </div>	       <!--container-->
                  <!--end  region form-->   										 
         </div>      <!--modal-body-->
        </div>      <!--modal-content-->
       </div>      <!--modal-dialog mt-5-->
      </div >      <!--modal fade mt-5-->
		
		  
	  </tbody>

     </table>
	 
	
	 
	</div>     <!--card-body-->
   </div>     <!--main-card mb-3 card-->
  </div>     <!--app-main__inner-->
  
@include('theme_layout/footer')	
<script src="https://ajax.googleapis.com/ajax/libs/jquery/3.5.1/jquery.min.js"></script>
<script>
$(document).ready(function(){
  $("#closed").click(function(){
	    var reson=$('#closed').val();
		//alert(reson);
		jq('#close_id').val(reson);
    
  });
});
</script>				
  <script>

       var jq = $.noConflict();
   jq(document).ready(function(){
	 /*   $('[data-toggle="tooltip"]').tooltip();  */ 
	  @if(Session::has('successMessage'))  
		  //alert(toster_id);
			var toster = jq('#toster_id').val();
			if(toster!=''){
			Swal.fire({
			
				icon: 'success',
				title: ''+toster,
				showConfirmButton: false,
				timer: 2000
				})
		     }
		 {{ Session::forget('successMessage') }} 
     @endif
	$('#supplier_id').SumoSelect({ selectAll:true,search: true,triggerChangeCombined : true});
	
   var fromdate = jq('#fromdate').val();
   var todate = jq('#todate').val();
   
     
   
		$("#closeForm_save").submit(function (e) {
	      e.preventDefault() 
            let formData = new FormData($('#closeForm_save')[0])
           $.ajax({
                url: "{{ URL('get_cancel_purchase_order/') }}" +"/" + reson_name+'/'+reson,
			    data: formData,
                processData: false,
				contentType: false,
                type: 'POST',
				 
				success:function(data) {
					 
                  }
				  
            }); 
        });  
		
		 
	 
    
function get_datefilter(fromdate,todate){

    jq.ajax({
    url: "{{ URL('purchase_order_list/') }}",       
    type:"GET",
    data:{fromdate:fromdate,
    todate:todate },
    success:function(respons){
    
            if(respons){
            
              jq('#example').html(respons);
            }
         }
       });
     } 
});

</script> 	
    		  