@include('theme_layout/header')
@include('theme_layout/nav')

<div class="app-main__outer">
 <div class="app-main__inner">
  <div class="app-page-title">
   <div class="page-title-wrapper">
    <div class="page-title-heading">
                   
     <div class="page-title-icon">
       <i class="pe-7s-graph text-success"></i>
     </div>
      <div>Add Vendor Payment</div>
    </div>  <!--page-title-heading-->
            
    <div class="page-title-actions">
                
     <div class="d-inline-block dropdown">
	   <a id="back" class="mt-3 btn btn-primary btn-lg text-white"> 
		<i class="fa fa-arrow-left fa-w-20 text-white"></i> 
        Back
	   </a>
     </div>  <!--page-title-actions-->
    </div>   <!--page-title-actions-->
   </div>   <!--page-title-wrapper-->
  </div>    <!--page-title-title-->        
	
  <div class="tab-content">
   <div class="tab-pane tabs-animation fade show active" id="tab-content-0" role="tabpanel">
    <div class="main-card mb-3 card">
     <div class="card-body"><h5 class="card-title"></h5>
	   <form id="material_form" onsubmit="return checkForm(this);" class="" action="{{ route('vendor_payment_store') }}" method="post">
	    {{ csrf_field() }}
		
         <div class="form-group row">
		  <div class="col-md-4">	
		   <div class="position-relative form-group">
			  <label  class="font-weight-bold ml-2" for="supplier" class="">Supplier</label>
			  <select class="mb-2 form-control" name="supplier" id="supplier" required > 
				<option  value=""></option>
					@if(request()->route('supplier_id'))

						@foreach($suppliers as $supplier)
							<option {{request()->route('supplier_id')==$supplier->id ? 'selected' : ''}} value="{{$supplier->id}}"> {{ $supplier->supplier_name}}
						</option>	
						@endforeach

					@else

						@foreach($suppliers as $supplier)
							<option value="{{$supplier->id}}" >{{ $supplier->supplier_name}}
						</option>	
						@endforeach
					@endif
				
			  </select>
		   </div>   <!--position-relative form-group-->
		  </div>   
							
		  <div class="col-md-4">	
		   <div class="position-relative form-group">
		    <label  class="font-weight-bold ml-2" for="total_outstanding" class="">Total Outstanding </label>
			 <input  class="mb-2 form-control" name="total_outstanding" value="{{request()->route('supplier_id') ? $total_outstanding: ''}}" id="total_outstanding" autocomplete="off"> 
		   </div>    <!--position-relative form-group-->
		  </div>
		  		 
					         
		  <div class="col-md-4">
		   <div class="position-relative form-group">
			  <label  class="font-weight-bold ml-2" for="collection_type" class="">Payment Type</label>
			 <select class="mb-2 form-control" name="collection_type" id="collection_type" required> 
			   <option  value=""></option>
			   <option  value="1">Cash</option>
			   <option  value="2">Cheque</option>
			   <option  value="3">Transfer</option>
			   
			  </select>
		   </div>   <!--position-relative form-group-->
		  </div>
		 </div>   <!--form-group row-->
							
		 <div style="display:none;" class="form-group row" id="cheque">					
		  <div class="col-md-4">
		   <div class="position-relative form-group">
			  <label  class="font-weight-bold ml-2" for="cheque_number" class="">Cheque Number:</label>
			 <input maxlength="20" class="mb-2 form-control" name="cheque_number" value="" id="cheque_number" autocomplete="off">
		   </div>   <!--position-relative form-group-->
		  </div>
								
		  <div class="col-md-4">
		   <div class="position-relative form-group">
			  <label  class="font-weight-bold ml-2" for="cheque_date" class="">Cheque Date:</label>
			  <input maxlength="20" class="mb-2 form-control" type="date" name="cheque_date" value="" id="cheque_date" autocomplete="off"> 
		   </div>   <!--position-relative form-group-->
		  </div>
		 </div>			
		 
		 <div style="display:none;" class="form-group row" id="transfer">
		  <div class="col-md-4">	
		   <div class="position-relative form-group">
			  <label  class="font-weight-bold ml-2" for="bank_name" class="">Bank Name: </label>
			 <input maxlength="70" class="mb-2 form-control" name="bank_name" value="" id="bank_name" autocomplete="off"> 
		   </div>  <!--position-relative form-group-->
		  </div>	
		  
      	  <div class="col-md-4">
		   <div class="position-relative form-group">
			  <label class="font-weight-bold ml-2" for="account_number" class="">Account Number:</label>
			 
			  <input maxlength="30" class="mb-2 form-control" name="account_number" value="" id="account_number" autocomplete="off"> 
			
		   </div>  <!--position-relative form-group-->
	      </div>				
		  
		  <div class="col-md-4">
		   <div class="position-relative form-group">
			  <label  class="font-weight-bold ml-2" for="branch_name" class="">Branch Name:
			  </label>
			  <input maxlength="20" class="mb-2 form-control" name="branch_name" value="" id="branch_name" autocomplete="off"> 
			  <input class="mb-2 form-control" value="" type="hidden" name="collection_number" value="" id="collection_number" autocomplete="off"> 
		   </div>  <!--position-relative form-group-->
		  </div>
		 </div>
							
		 <div class="mb-5" >
		  <h5>
		   <p class="font-weight-bold float-right mr-5">
			<bold>Colletion Code:   #{{$last_code}}</bold>
		   </p>
		  </h5>
         </div>   
		 
		 <!--  add row -->
	     <!--for distributor-->
		 
         <div id="distributor_table" class="panel panel-footer" >
          <table class="table table-bordered" id="myTable">
           <thead>
            <tr>
			<th style="width:15%; text-align: center;">Invoice Code</th>
			<th style="width:13%; text-align: center;">Supplier</th>
			<th style="width:10%; text-align: center;">Date</th>
			<th style="width:10%; text-align: center;">Outstanding Amount</th>
			<th style="width:10%; text-align: center;">Paid Amount</th>
			<th style="width:10%; text-align: center;">Paid Now</th>
			</tr>
		   </thead>
		   
		   <tbody id="dynmic_row">
		  
		   	@if(request()->route('supplier_id'))
			   @foreach($total_outstanding_details as $key => $details )
				
			   <tr id="row_0">
				
			   <td id="">
				<label  style="text-align:center;"  class="linvoice_number font-weight-bold ml-2 " id="" for="comment"> {{$details->invoice_number}}
				</label>
				

				<input  value="{{$details->invoice_number}}"  id="" type="hidden" name="invoice_number[]" class="form-control invoice_number" autocomplete="off">
				<input  value="{{$details->invoice_id}}"  id="" type="hidden" name="grn_id[]" class="form-control invoice_number" autocomplete="off">
				<input  value="{{$details->id}}"  id="" type="hidden" name="out_id[]" class="form-control out_id" autocomplete="off"> 
				<input  value="{{$details->supplier_id}}"  id="" type="hidden" name="supplier_id[]" class="form-control invoice_number" autocomplete="off">
				<input  value="{{$details->invoice_amount}}"  id="" type="hidden" name="total_outstanding[]" class="form-control invoice_number" autocomplete="off">
				<input  value="{{$details->due_date}}"  id="" type="hidden" name="due_date[]" class="form-control invoice_number" autocomplete="off">
				<input  value="{{$last_code}}"  id="collection_number" type="hidden" name="collection_number" class="form-control invoice_number" autocomplete="off">

			</td>
									
			   <td id="">
				<label   class="lnurration font-weight-bold ml-2 " id="lnurr" for="comment">  {{$details->supplier_name}}
				</label>
				 
				<!-- <input value=""  id="nurr" type="hidden" name="lnurration[]" class="form-control nurration" autocomplete="off"> -->
			   </td>
									
			   
									
			   <td id="">
				<label   class="loutstanding_balance font-weight-bold ml-2 " id="loutstanding_balance" for="comment"> {{$details->due_date}}
				</label>
					  
				<!-- <input value=""  id="outstanding_balance" type="hidden" name="outstanding_balance[]" class="form-control outstanding_balance" autocomplete="off"> -->
			   </td>

			   <td id="">
					<label   class="outstanding_balance font-weight-bold ml-2 " id="outstanding_balance" for="comment"> {{number_format($details->amount_outstanding,2)}}
					</label>
					<input value="{{$details->amount_outstanding}}"  id="outstanding_{{$key}}" type="hidden" name="outstanding[]" class="form-control outstanding" autocomplete="off">

			   </td>

			   <td id="">
					<label   class="outstanding_balance font-weight-bold ml-2 " id="outstanding_balance" for="comment"> {{number_format($details->amount_paid,2)}}
					</label>
					<input value="{{$details->amount_paid}}"  id="outstanding_{{$key}}" type="hidden" name="paid_ammount[]" class="form-control outstanding" autocomplete="off">

			   </td>

			   <td id="">

			   <input value="0"  id="paid_now_{{$key}}" type="" name="paid_now[]" onblur="amount({{$key}})" class="form-control paid_now" autocomplete="off">

			   </td>

			   </tr>
				@endforeach
				@endif
				  <input value="" id="warehouse" type="hidden" name="warehouse"  class="form-control" autocomplete="off">
			
		   </tbody>
		  </table>
		 </div>  
                  <!--  End add row -->	

	     <div class="container " style="width: 100%;">
	      <div class="row ">
	       <div class="col-md-5 ml-5"></div>
		   
	
			 <button id="submit" name="btnsubmit" class="mt-3 btn btn-primary btn-lg">Save</button>
			
			 <a href="{{route('vendor_payment_list')}}" class="mt-3 btn btn-danger ml-2  btn-lg">Cancel</a>   
		  </div>
				  
		 </div>
	    </form>
	   </div>
	  </div>
	 </div>
	</div>
   </div>
 
@include('theme_layout/footer')

<script>
	var jq = $.noConflict();
		function checkForm(form)
			{ 
		form.btnsubmit.disabled = true;
		return true;
			}
jq(document).ready(function(){
	
	jq("#back").click(function(){
		window.history.back();
	})
})

function amount(key) {
      var outstanding1=jq('#outstanding_'+key+'').val();
      var paid_now1=jq('#paid_now_'+key+'').val();
				// alert("i");
	   if(Number(paid_now1)>Number(outstanding1))
		 {
			 Swal.fire({
				  icon: 'error',
				  title: 'You Can Not Enter Amount Greater Than Outstanding!',
				})
		    
	       document.getElementById("submit").disabled = true;
		 }
		 else
		 {
		  document.getElementById("submit").disabled = false;
	     }
        }
		
jq(document).ready(function(){
	var outstanding=jq('#total_outstanding').val();
	if(outstanding<1)
	{
		document.getElementById("submit").disabled = true;
	}

$("#supplier").change(function(){
  var supplier = jq('#supplier').val();
  location.replace("{{ URL('supplier_outstanding_details/') }}"+"/"+supplier);;
});

$("#collection_type").change(function(){
    var collection_type = jq('#collection_type').val();
		if(collection_type=='2'){
			jq('#cheque').show();
			jq('#transfer').hide();
			jq(".paid_now"). prop('readonly', false);			  
		}
		if(collection_type=='3') {
			jq('#transfer').show();
			jq('#cheque').hide();
			jq(".paid_now"). prop('readonly', false);
		}
		
		if(collection_type=='1')
		{
			jq('#transfer').hide();  
			jq('#cheque').hide();
			jq(".paid_now"). prop('readonly', false);
		}
		
		if(collection_type=='4')
		{
			jq('#transfer').hide();  
			jq('#cheque').hide();
			jq(".paid_now"). prop('readonly', true);
		}
		  
});

});

</script>
 