@include('theme_layout/header')
@include('theme_layout/nav')
 <div class="app-main__outer">
  <div class="app-main__inner">
   <div class="app-page-title">
   <div class="page-title-wrapper">
    <div class="page-title-heading">
     <div class="page-title-icon">
	 <i class="pe-7s-medal icon-gradient bg-tempting-azure">
	 </i>
     </div>
     <div>Route Performance Report List
	    @php 
		  $year='';
		  $month='';
		  $region1='';
		  $sub_region='';
		  
		  $performance_chart='';
		@endphp
		  @if(Session::has('year'))
		  
			@php 
			  $year  = Session::get('year');
			  $month = Session::get('month');                               
			  $region1 = Session::get('region');
			  $sub_region = Session::get('sub_region');
			 
			  $performance_chart = Session::get('get_data_chart');
			@endphp
		  @endif	
     </div>
    </div>

    <div class="page-title-actions"> 
     <div class="d-inline-block dropdown">
      <div class="page-title-actions"> 
      </div>
	  
        <div tabindex="-1" role="menu" aria-hidden="true" class="dropdown-menu  dropdown-menu-right">
         <ul class="nav flex-column">
          <li class="nav-item">
           <a class="nav-link">
            <i class="nav-link-icon lnr-inbox"></i>
             <span>
	          Inbox
             </span>
             <div class="ml-auto badge badge-pill badge-secondary">86</div>
           </a>
          </li>
	
        <li class="nav-item">
         <a class="nav-link">
          <i class="nav-link-icon lnr-book"></i>
           <span>
	        Book
           </span>
           <div class="ml-auto badge badge-pill badge-danger">5</div>
         </a>
        </li>
	
        <li class="nav-item">
         <a class="nav-link">
          <i class="nav-link-icon lnr-picture"></i>
           <span>
	        Picture
           </span>
         </a>
        </li>
   
        <li class="nav-item">
         <a disabled class="nav-link disabled">
          <i class="nav-link-icon lnr-file-empty"></i>
           <span>
	        File Disabled
           </span>
         </a>
        </li>
       </ul>
      </div>
     </div>
    </div>
   </div>
  </div>         <!--app-page-title-->

        <div class="main-card mb-3 card">
         <div class="card-body">
          <div class="form-row">
           <div class="col-md-6" >
            <div class="position-relative form-group">
		     <label for="select_warehouse" class="font-weight-bold ml-2">Year</label> <select class="mb-2 form-control" name="year" id="year" required >
	          <option  value=""></option>
		       <option @if($year!='') {{$year=='2021' ? 'selected':''}} @endif  value="2021">2021</option>
	            <option @if($year!='') {{$year=='2020' ? 'selected':''}} @endif    value="2020">2020</option>
	             <option @if($year!='') {{$year=='2019' ? 'selected':''}} @endif   value="2019">2019</option>
	              <option @if($year!='') {{$year=='2018' ? 'selected':''}} @endif  value="2018">2018</option>
	               <option @if($year!='') {{$year=='2017' ? 'selected':''}} @endif  value="2017">2017</option>
	              </select> 
	             </div>
                </div>
	 	 									
        <div class="col-md-6" >
         <div class="position-relative form-group"><label for="select_warehouse" class="font-weight-bold ml-2">Month</label> <select class="mb-2 form-control" name="month" id="month" >
          <option  value=""></option>
		   <option  @if($month!='') {{$month=='0' ? 'selected':''}} @endif value="0">All</option>
            <option @if($month!='') {{$month=='1' ? 'selected':''}} @endif value ="1">January</option>
             <option  @if($month!='') {{$month=='2' ? 'selected':''}} @endif value ="2">February</option>
              <option  @if($month!='') {{$month=='3' ? 'selected':''}} @endif value="3">March</option>
               <option @if($month!='') {{$month=='4' ? 'selected':''}} @endif value="4">April</option>
                <option @if($month!='') {{$month=='5' ? 'selected':''}} @endif value="5">May</option>
                 <option  @if($month!='') {{$month=='6' ? 'selected':''}} @endif value="6">June</option>
                  <option  @if($month!='') {{$month=='7' ? 'selected':''}} @endif value="7">July</option>
                   <option @if($month!='') {{$month=='8' ? 'selected':''}} @endif value="8">August</option>
                    <option  @if($month!='') {{$month=='9' ? 'selected':''}} @endif value="9">September</option>
                     <option @if($month!='') {{$month=='10' ? 'selected':''}} @endif value="10">October</option>
                      <option @if($month!='') {{$month=='11' ? 'selected':''}} @endif value="11">November</option>
                       <option   @if($month!='') {{$month=='12' ? 'selected':''}} @endif value="12">December</option>
                        </select> 
                      </div>
                     </div>
                    </div>

        <div class="form-row">
         <div class="col-md-6">
	      <label  class="font-weight-bold ml-2" for="region" class="">Region</label>
		   <select class="mb-2 form-control" name="region" id="region" > 
		    <option value=""></option>
		     <option value="0" data-value="{{$regId}}">Select All</option>
		   	  @foreach($region as $region_name)
			   <option value="{{$region_name->id}}" >{{ $region_name->region_code}}- {{$region_name->region_name}}</option> 	
			  @endforeach
		     </select> 
	        </div>
											
	    <div class="col-md-6">
	     <label  class="font-weight-bold " for="region" class=""> Sub Region</label> 
		  <select class="mb-2 form-control" name="sub_region" id="sub_region" > 
		 </select>
	    </div>
       </div>	
	   
	    <div class="form-row">
	     <div class="col-md-12 text-center"> 
	      <button id="submit" class="mt-3 btn btn-primary btn-lg">Search</button>
	     </div>	
        </div>									 
 				 	
        <div id="row"  class="form-row ">
	     <div class="col-md-6  float-left"> 
		  <button id="submit" data-toggle="modal" data-target="#myModal" class="mt-3 btn btn-primary btn-lg" >Performance Chart</button>
		 </div>
		 
		<div class="col-md-6 form-row  "> 
		 <a href="{{ URL::to('route_performance_report_export/'.$year.'/'.$month.'/'.$region1.'/'.$sub_region)}}" id="export" style="margin-left:316px;" class="mt-3 btn btn-primary btn-lg">Export CSV</a>
	     <a href="{{ URL::to('route_performance_report_exportpdf/'.$year.'/'.$month.'/'.$region1.'/'.$sub_region)}}" id="export" style="margin-left:36px;" class="mt-3 btn btn-primary btn-lg" >Export PDF</a>
	    </div>
       </div>
  	   <br>
         <table style="width: 100%;"  id="example" class="table table-hover table-striped table-bordered">
          <thead> 
	       <tr>
	        <th class="text-justify text-left">Route</th>
	        <th class="text-justify text-left">Warehouse</th>
	        <th class="text-justify text-left">Sales Amt</th>
	        <th class="text-justify text-left">Sales Qty</th>
	       </tr>
          </thead>
           <tbody id="report_data">
	        @if(Session::has('get_data1'))
			 @php $get_data = Session::get('get_data1');

             @endphp
              @foreach($get_data as $details)							
	          <tr data-toggle="modal" data-target="#myModal_sales" onclick="total_sales({{$details->route_id}},{{$year}},{{$month}},{{$region1}}, {{$sub_region}})">
	            <td class="font-weight-bold text-justify text-left">{{ $details->route_name}} </td>
	            <td class="font-weight-bold text-justify text-left">{{ $details->warehouse_code}} - {{ $details->warehouse_name}}</td>
	            <td class="font-weight-bold text-justify text-left">{{ $details->total_invoice}}</td>
		        <td class="font-weight-bold text-justify text-left">{{$details->qty}}</td>
	           </tr>
              @endforeach 
            @endif								   
          </tbody>
         </table>
					 
		<!--start modal-->
		<div class="modal fade mt-5"  id="myModal" tabindex="-1" role="dialog" aria-labelledby="exampleModalLabel" aria-hidden="true" >
		 <div class="modal-dialog mt-5 "  role="document">
		  <div class="modal-content " style="width: 149%;" >
		   <div class="modal-header">
		    <h5 class="modal-title" id="exampleModalLabel">Performance Chart</h5>
		     <button type="button" class="close" data-dismiss="modal" aria-label="Close">
		      <span aria-hidden="true">&times;</span>
		     </button>
		    </div>
			
		<div class="modal-body" id=""  style="height:930px;"> 
		 <!--start region form-->
          <div class="container" id="region_body_id" style="height:442px; !important">
		   <div class="form-row">
		    <div class="col-xl-6">
		     <div class="main-card mb-3 card" style="width:681px;">
		      <div class="card-body" style="height: px;">
		       <!-- <h5 class="card-title">Total Customer Category</h5>-->
			    <div id="route_performance_wise" style="height: 390px; width: 100%;"></div>
		       </div>
		      </div> 
		     </div>
		    <br>
		  </div> 
		  
		<div class="form-row">
		 <div class="col-xl-6">
		  <div class="main-card mb-3 card" style="width:681px;">
		   <div class="card-body" style="height: px;">
		    <!-- <h5 class="card-title">Total Customer Category</h5>-->
			<div id="route_performance_wise_pie_chart" style="height: 390px; width: 100%;"></div>
		   </div>
		  </div> 
		 </div>
		</div>
	   </div>	 
 	  <!--end  region form-->   										 
	 </div>
	</div>
   </div>
  </div >

		<!--End modal-->
  	<div class="modal fade mt-5"  id="myModal_sales" tabindex="-1" role="dialog" aria-labelledby="exampleModalLabel" aria-hidden="true" >
     <div class="modal-dialog mt-5 "  role="document">
      <div class="modal-content " >
	   <div class="modal-header">
	    <h5 class="modal-title" id="exampleModalLabel">Total Sales</h5>
	    <h5 id="route_name" style="margin: 5px 0px 2px 174px;" id="exampleModalLabel"></h5>
	     <button type="button" class="close" data-dismiss="modal" aria-label="Close">
		   <span aria-hidden="true">&times;</span>
		  </button>
	     </div>
		 
	    <div class="modal-body" id="sales_body_id"> 
	     <!--start region form-->
	      <!--end  region form-->   										 
	     </div>
        </div>
       </div>
      </div>
     </div> 
    </div> 
   </div> 
 @include('theme_layout/footer')	 
  <script>

var jq = $.noConflict();
 function total_sales(route_id,year,month,region1,sub_region)
  {
	  //alert(sub_region);
	get_route_data(route_id,year,month,region1,sub_region);
	get_route_name(route_id);
  }
	
   jq(document).ready(function(){
    $('#year').SumoSelect({ selectAll:true,search: true,triggerChangeCombined : true});
    $('#month').SumoSelect({ selectAll:true,search: true,triggerChangeCombined : true});
    $('#region').SumoSelect({ selectAll:true,search: true,triggerChangeCombined : true});
     /* $("#region").change(function(){
		//for sub region 
	  var sub_region = jq('#region').val();
        get_subregion(sub_region);
      });   */
       $("#region").change(function(){
        var region_value = jq('#region').val();
        
        if(region_value == 0){

        var element = $(this).find('option:selected'); 
        var sub_region = element.attr("data-value");

        }else{

            var sub_region = jq('#region').val();
        }
		//alert(sub_region);
        get_subregion(sub_region);
        });
    jq("#submit").click(function(){
	 var year = jq('#year').val();
	 var month = jq('#month').val();
	 var region = jq('#region').val();
	 var sub_region = jq('#sub_region').val();
	  
	  get_report(year,month,region,sub_region);
       
	   });  
    
 function get_report(year,month,region,sub_region)
  {
	jq.ajax({
     url: "{{ URL('route_performance_report/') }}",         
     type:"GET",
	  data:{
	   year:year, 
	   month:month,
	   region:region,
	   sub_region:sub_region
	    }, 
	      success:function(respons)
           {
		      location.replace("{{ URL('get_route_performance/') }}"); 
		      @php
			   Session::forget('get_data1');
		      @endphp
		   } 
		});
  }  
   
 }); 
 function get_subregion(sub_region)
  {
    jq.ajax({
     url: "{{ URL('get_route_performance_subregion/') }}"+"/" +sub_region,       
     type:"GET",
     success:function(respons)
      {
		if(respons)
		{
		  jq('#sub_region').html(respons);
			$('#sub_region').SumoSelect({ selectAll:true,search: true,triggerChangeCombined : true});
		    $('#sub_region')[0].sumo.reload(); 
		 }
	  }
		});
  }
	 
 function get_route_data(route_id,year,month,region1,sub_region)
  {
     //alert(route_id);
 	jq.ajax({
	  url: "{{ URL('get_route_month_sales/') }}"+"/" +route_id +"/" +year  +"/" +month  +"/" +region1 +"/" +sub_region,       
	  type:"GET",
	   success:function(respons)
	    {
	   	 jq('#sales_body_id').html(respons); 
		 
	    }
	   });
  }
function get_route_name(route_id)
   {
    jq.ajax({
    url: "{{ URL('get_route_name_month_sale/') }}"+"/" +route_id,       
    type:"GET",
    success:function(respons)
     {
	  jq('#route_name').html(respons);
	 
     }
    });
   }
	
</script>
<?php if($performance_chart!='')
 {   
?>	route_performance_wise_pie_chart 
<script type="text/javascript" src="{{ url('../public/js/canvasjs.min.js')}}"></script> 
<script>     
	var chart = new CanvasJS.Chart("route_performance_wise", {
	 animationEnabled: true,
	 theme: "light2", // "light1", "light2", "dark1", "dark2"
	 title:{
		text: "Top 10 Route Performance"
	  },
	 axisY: {
		title: ""
	  },
	 data: [{        
		type: "column",  
		showInLegend: true, 
		legendMarkerColor: "grey",
		dataPoints: <?php echo json_encode($performance_chart, JSON_NUMERIC_CHECK); ?>
	  }]
   });
  chart.render();
 //pie chart
   var chart = new CanvasJS.Chart("route_performance_wise_pie_chart", {
	animationEnabled: true,
	exportEnabled: true,
	title:{
		text: ""
	},
	subtitles: [{
		text: "Top 10 Route Performance"
	}],
	data:[{
		type: "pie",
		showInLegend: "true",
		legendText: "{label}",
		indexLabelFontSize: 16,
		indexLabel: "{label} - #percent%",
		yValueFormatString: "#,##0",
		dataPoints: <?php echo json_encode($performance_chart, JSON_NUMERIC_CHECK); ?> 
	}]
 });
chart.render();
<?php
 }
?>
  
</script>			
    			