@include('theme_layout/header')
@include('theme_layout/nav')

<div class="app-main__outer">
 <div class="app-main__inner">
  <div class="app-page-title">
   <div class="page-title-wrapper">
    <div class="page-title-heading">
                   
     <div class="page-title-icon">
       <i class="pe-7s-graph text-success"></i>
     </div>
      <div>Add Route Collection</div>
    </div>  <!--page-title-heading-->
            
    <div class="page-title-actions"> 
     <div class="d-inline-block dropdown">
	   <a id="back" class="mt-3 btn btn-primary btn-lg text-white"> 
		<i class="fa fa-arrow-left fa-w-20 text-white"></i>Back</a>
     </div>  <!--page-title-actions-->
    </div>   <!--page-title-actions-->
   </div>   <!--page-title-wrapper-->
  </div>    <!--page-title-title-->        
	
  <div class="tab-content">
   <div class="tab-pane tabs-animation fade show active" id="tab-content-0" role="tabpanel">
    <div class="main-card mb-3 card">
     <div class="card-body"><h5 class="card-title"></h5>
	   <form id="material_form" class="" action="{{ route('route_collection_store') }}" method="post" onsubmit="return checkForm(this);">
	    {{ csrf_field() }}
		
         <div class="form-group row">
		  <div class="col-md-4">	
		   <div class="position-relative form-group">
			  <label  class="font-weight-bold ml-2" for="route" class="">Route</label>
		
			<select class="mb-2 form-control country1" name="route" id="routename" required >  
			<option value=""> </option>
			@if(request()->route('route_id'))
			 @foreach($route as $routename)
			<option {{request()->route('route_id')==$routename->id ? 'selected' : ''}} value ="{{$routename->id}}">{{$routename->route_code}} - {{$routename->route_name}}</option>
			@endforeach 
			
			@else
					
				 @foreach($route as $routename)
				   <option value="{{$routename->id}}" >{{ $routename->route_code}} - {{$routename->route_name}}
				   </option>	
				 @endforeach
			@endif  
			
			</select>
		   </div>   <!--position-relative form-group-->
		  </div>   
							
		  <div class="col-md-4">
		   <div class="position-relative form-group">
			  <label  class="font-weight-bold ml-2" for="Trading_center" class="">Trading Center </label>
			 <select class="mb-2 form-control" name="trading_type" id="trading_add" required > 
			  
			 @if(request()->route('route_id'))
			  @foreach($trading as $trading_name)
				<option {{request()->route('trading_id')==$trading_name->id ? 'selected' : ''}} value="{{$trading_name->id}}" > {{$trading_name->trading_center_code}} - {{$trading_name->trading_name}}
				</option>
			  @endforeach 
			 @endif 
			 
			   </select>
			
		   </div>  <!--position-relative form-group-->
		  </div>
		   <div class="col-md-4">
		   <div class="position-relative form-group">
			  <label  class="font-weight-bold ml-2" for="customer_type" class="">Customer </label>
			 <select class="mb-2 form-control" name="customer_type" id="customer_add" required > 
			  
			 @if(request()->route('trading_id'))
			  @foreach($customer as $customer_type_name)
				<option {{request()->route('cus_id')==$customer_type_name->id ? 'selected' : ''}} value="{{$customer_type_name->id}}" > {{$customer_type_name->customer_code}} - {{$customer_type_name->customer_name}}
				</option>
			  @endforeach 
			 @endif 
			 
			   </select>
			
			
		   </div>  <!--position-relative form-group-->
		  </div>
		    
		  </div>
		  
		  <div class="form-group row">
		  <div class="col-md-4">	
		   <div class="position-relative form-group">
		    <label  class="font-weight-bold ml-2" for="outstanding" class="">Total Outstanding </label>
			 <input  class="mb-2 form-control" name="total_outstanding" value="{{request()->route('route_id')?  $total_outstanding: ''}}" id="total_outstanding" autocomplete="off"> 
		   </div>    <!--position-relative form-group-->
		  </div>
		  
		  <div class="col-md-4">
		   <div class="position-relative form-group">
			  <label  class="font-weight-bold ml-2" for="collection_type" class="">Collection Type</label>
			 <select class="mb-2 form-control" name="collection_type" id="collection_type" required> 
			   <option  value=""></option>
			   <option  value="1">Cash</option>
			   <option  value="2">Cheque</option>
			   <option  value="3">Transfer</option>
			  </select>
		   </div>   <!--position-relative form-group-->
		  </div>
		  </div>
		
							
		 <div style="display:none;" class="form-group row" id="cheque">					
		  <div class="col-md-4">
		   <div class="position-relative form-group">
			  <label  class="font-weight-bold ml-2" for="cheque_number" class="">Cheque Number:</label>
			 <input maxlength="20" class="mb-2 form-control" name="cheque_number" value="" id="cheque_number" autocomplete="off">
		   </div>   <!--position-relative form-group-->
		  </div>
								
		  <div class="col-md-4">
		   <div class="position-relative form-group">
			  <label  class="font-weight-bold ml-2" for="cheque_date" class="">Cheque Date:</label>
			  <input maxlength="20" class="mb-2 form-control" type="date" name="cheque_date" value="" id="cheque_date" autocomplete="off"> 
		   </div>   <!--position-relative form-group-->
		  </div>
		 </div>			
		 
		 <div style="display:none;" class="form-group row" id="transfer">
		  <div class="col-md-4">	
		   <div class="position-relative form-group">
			  <label  class="font-weight-bold ml-2" for="bank_name" class="">Bank Name: </label>
			 <input maxlength="70" class="mb-2 form-control" name="bank_name" value="" id="bank_name" autocomplete="off"> 
		   </div>  <!--position-relative form-group-->
		  </div>	
		  
      	  <div class="col-md-4">
		   <div class="position-relative form-group">
			  <label class="font-weight-bold ml-2" for="account_number" class="">Account Number:</label>
			 
			  <input maxlength="30" class="mb-2 form-control" name="account_number" value="" id="account_number" autocomplete="off"> 
			
		   </div>  <!--position-relative form-group-->
	      </div>				
		  
		  <div class="col-md-4">
		   <div class="position-relative form-group">
			  <label  class="font-weight-bold ml-2" for="branch_name" class="">Branch Name:
			  </label>
			  <input maxlength="20" class="mb-2 form-control" name="branch_name" value="" id="branch_name" autocomplete="off"> 
			  <input class="mb-2 form-control" value="" type="hidden" name="collection_number" value="" id="collection_number" autocomplete="off"> 
		   </div>  <!--position-relative form-group-->
		  </div>
		 </div>
							
						
		 <div class="mb-5" >
		  <h5>
		   <p class="font-weight-bold float-right mr-5">
			<bold>Route Collection Code: #{{$last_code}}</bold>
		   </p>
		  </h5>
         </div>      
		 
		 <!--  add row -->
	     <!--for distributor-->
		 
         <div id="distributor_table" class="panel panel-footer" >
          <table class="table table-bordered" id="myTable">
           <thead>
            <tr>
			<th style="width:15%; text-align: center;">Invoice Code</th>
			<th style="width:13%; text-align: center;">Invoice Date</th>
			<th style="width:10%; text-align: center;">Customer</th>
			<th style="width:10%; text-align: center;">Trading</th>
			<th style="width:10%; text-align: center;">Outstanding</th>
			<th style="width:10%; text-align: center;">Paid Amount</th>
			<th style="width:10%; text-align: center;">Paid Now</th>
			</tr>
		   </thead>
		   
		   <tbody id="dynmic_row">
		  
		@if(request()->route('trading_id'))	
			 @foreach($outstanding1 as $key=> $details )
			
			   <tr id="row_0">
				
			   <td id="pitem_{{$key}}">
				<label  style="text-align:center;"  class="linvoice_number font-weight-bold ml-2 " id="linvoice_number_{{$key}}" for="comment"> {{$details->invoice_number}}  
				</label>
				 
				<input  value="{{$details->invoice_number}}"  id="invoice_number_{{$key}}" type="hidden" name="invoice_number[]" class="form-control invoice_number" autocomplete="off">
				<input  value="{{$details->id}}"  id="out_id{{$key}}" type="hidden" name="out_id[]" class="form-control out_id" autocomplete="off">
			   </td>
									
			   <td id="ditem_{{$key}}">
				<label   class="lnurration font-weight-bold ml-2 " id="lnurration_{{$key}}" for="comment">     {{$details->invoice_date}} 
				</label>
				 
				<input value="{{$details->invoice_date}}"  id="nurration_{{$key}}" type="hidden" name="lnurration[]" class="form-control nurration" autocomplete="off">
			   </td>
			   
			   <td id="ditem_{{$key}}">
				<label   class="lnurration font-weight-bold ml-2 " id="lnurration_{{$key}}" for="comment">     {{$details->customer_code}}-{{$details->customer_name}} 
				</label>
				 
				<input value="{{$details->invoice_date}}"  id="nurration_{{$key}}" type="hidden" name="lnurration[]" class="form-control nurration" autocomplete="off">
			   </td>
			   
			   <td id="ditem_{{$key}}">
				<label   class="lnurration font-weight-bold ml-2 " id="lnurration_{{$key}}" for="comment">     {{$details->trading_center_code}}-{{$details->trading_name}} 
				</label>
				 
				<input value="{{$details->invoice_date}}"  id="nurration_{{$key}}" type="hidden" name="lnurration[]" class="form-control nurration" autocomplete="off">
			   </td>
			   
									
			   <td id="vitem_{{$key}}">
				<label  class="loutstanding font-weight-bold ml-2" id="loutstanding_{{$key}}" for="comment">{{$details->amount_outsatnding}}
				</label>
				
				<td id="vitem_{{$key}}">
				<label  class="loutstanding font-weight-bold ml-2" id="loutstanding_{{$key}}" for="comment">{{$details->amount_paid}}
				</label>
					 
				<input value="{{$details->amount_outsatnding}}"  id="outstanding_{{$key}}" type="hidden" name="outstanding[]" class="form-control outstanding" autocomplete="off">
				<input value="{{$details->invoice_id}}"  id="invoice_id_{{$key}}" type="hidden" name="invoice_id[]" class="form-control invoice_id" autocomplete="off">
				
				<input value="{{$details->total_invoice_amount}}"  id="invoice_id_{{$key}}" type="hidden" name="total_invoice_amount[]" class="form-control invoice_id" autocomplete="off">
			   </td>
			   		
			   <td id="naitem_{{$key}}">
				<input value="0"  id="paid_now_{{$key}}" name="paid_now[]" onChange="amount({{$key}})" class="form-control paid_now" autocomplete="off">
			   </td>
			</tr>
				@endforeach
				 @if(count($outstanding1)>0)
					 
				  <input value="{{$outstanding1[0]->route_id}}" id="warehouse" type="hidden" name="warehouse"  class="form-control" autocomplete="off">
				 @endif
				@endif
		   </tbody>
		  </table>
		 </div>  
                  <!--  End add row -->	

	     <div class="container " style="width: 100%;">
	      <div class="row ">
	       <div class="col-md-5 ml-5"></div>
		   
		   @if(request()->route('id'))
			<!--<button class="mt-3 btn btn-primary btn-lg">Update</button>
						-->
			@else
			 <button id="submit" class="mt-3 btn btn-primary btn-lg" name="btnsubmit">Save</button>
			@endif
			 <a href="{{route('company_colletion_list')}}" class="mt-3 btn btn-danger ml-2  btn-lg">Cancel</a>   
		  </div>
				  
		 </div>
	    </form>
	   </div>
	  </div>
	 </div>
	</div>
   </div>
 
@include('theme_layout/footer')
        
<script> 

function checkForm(form)
			{ 
		form.btnsubmit.disabled = true;
		return true;
			}


  var jq = $.noConflict();
   jq(document).ready(function(){
	   jq("#back").click(function(){
		   window.history.back();
	   })
   $('#customer_add').SumoSelect({ selectAll:true,search: true,triggerChangeCombined : true});
$('#trading_add').SumoSelect({ selectAll:true,search: true,triggerChangeCombined : true});  			              
$('#routename').SumoSelect({ selectAll:true,search: true,triggerChangeCombined : true}); 			              
 // var jq = $.noConflict();
	function amount(key) {
      var outstanding1=jq('#outstanding_'+key+'').val();
      var paid_now1=jq('#paid_now_'+key+'').val();
				// alert("i");
	   if(Number(paid_now1)>Number(outstanding1)) 
		 {
			 Swal.fire({
				  icon: 'error',
				  title: 'You Can Not Enter Amount Greater Than Outstanding!',
				})
		    
	       document.getElementById("submit").disabled = true;
		 }
		 else
		 {
		  document.getElementById("submit").disabled = false;
	     }
        }
		
		jq(document).ready(function(){
	      var outstanding=jq('#total_outstanding').val();
		   if(outstanding<1)
		   {
			 document.getElementById("submit").disabled = true;
		   }
		
$("#routename").change(function(){
  var route = jq('#routename').val();
  get_trading(route);
        });
			
$("#trading_add").change(function(){
  var route = jq('#trading_add').val();
  get_customer(route);
        });	
		
		 
$("#collection_type").change(function(){
    var collection_type = jq('#collection_type').val();
	  if(collection_type=='2'){
	   jq('#cheque').show();
	   jq('#transfer').hide();
       jq(".paid_now"). prop('readonly', false);			  
		}
		 if(collection_type=='3') {
			jq('#transfer').show();
			jq('#cheque').hide();
			jq(".paid_now"). prop('readonly', false);
		      }
		  
		 if(collection_type=='1')
		  {
			  jq('#transfer').hide();  
			  jq('#cheque').hide();
			  jq(".paid_now"). prop('readonly', false);
		  }
		  
		 if(collection_type=='4')
		  {
			  jq('#transfer').hide();  
			  jq('#cheque').hide();
		      jq(".paid_now"). prop('readonly', true);
		  }
		  
        }); 
		
$("#customer_add").change(function(){
   var route = jq('#routename').val();
   var customer = jq('#customer_add').val();
   var trading = jq('#trading_add').val();
   location.replace("{{ URL('route_collection') }}"+"/"+route+"/"+trading+"/"+customer);
        
    });
	


	function get_trading(route_id){
		jq.ajax({
		url: "{{ URL('route_collection/get_trading/') }}"+"/" +route_id,       
        type:"GET",
        success:function(respons)
        {
              if(respons){
				jq('#trading_add').html(respons);
				$('#trading_add').SumoSelect({ selectAll:true,search: true,triggerChangeCombined : true});
				
                $('#trading_add')[0].sumo.reload();
				 }
        }
          });
        }

function get_customer(route_id){
		jq.ajax({
		url: "{{ URL('route_collection/get_customer/') }}"+"/" +route_id,       
        type:"GET",
        success:function(respons)
        {
              if(respons){
				jq('#customer_add').html(respons);
				$('#customer_add').SumoSelect({ selectAll:true,search: true,triggerChangeCombined : true});
				
                $('#customer_add')[0].sumo.reload();
				 }
        }
          });
        } 
		// end of get customer function
		
 function get_outstanding(customer_add){

	jq.ajax({
	url: "{{ URL('route_collection/get_outstanding') }}"+"/" +customer_add,       
    type:"GET",
    success:function(respons){

	if(respons){
		jq('#outstanding').val(respons);
		$('#outstanding').SumoSelect({ selectAll:true,search: true,triggerChangeCombined : true});
	 
	 $('#outstanding')[0].sumo.reload();
				}
              }
           });
         }    // end of get outstanding function
	 });
	 });
	
</script>	