@include('theme_layout/header')
@include('theme_layout/nav')

<div class="app-main__outer"> 
 <div class="app-main__inner">
  <div class="app-page-title">
   <div class="page-title-wrapper">
    <div class="page-title-heading">
	 <div class="page-title-icon">
	  <i class="pe-7s-graph text-success">
	  </i>
	 </div>
	 <div>  
		{{ request()->route('id') ? 'Edit ' : 'Add ' }} 
		Update Stock 
	 </div>
	</div>

	<div class="page-title-actions"> 
	 <div class="d-inline-block dropdown">
		<a href="{{route('stock_adjust_list')}}" class="mb-2 mr-2 btn-icon btn-square btn btn-secondary btn-lg"> 
		<i class="fa fa-arrow-left fa-w-20"></i> Back</a>
	 </div>
	</div>
   </div>
  </div>            

  <div class="tab-content">
    <div class="tab-pane tabs-animation fade show active" id="tab-content-0" role="tabpanel">
	 <div class="main-card mb-3 card">
	  <div class="card-body">
	  <h5 class="card-title"></h5> 
	  <form onsubmit="return checkForm(this);" id="material_form" class="" action="{{ route('stock_adjust_store') }}" method="post">
	  {{ csrf_field() }}

	  <div class="form-row"> 
	   <div class="col-md-4">
		<div class="position-relative form-group ">
		 <label class="font-weight-bold ml-2" for="warehouse_name" class="">Warehouse</label>
		 <select class="mb-2 form-control country1" name="warehouse_name" id="warehouse_id" required >  
		 <option value=""> </option>
		 @foreach($warehouse as $warehousename)
		 <option value ="{{$warehousename->id}}">{{$warehousename->warehouse_code}} - {{$warehousename->warehouse_name}}</option>
		 @endforeach 
		 </select>
		</div>
	   </div> 
	  	  
      <div id="remarkdive" class="col-md-4">
		<div class="position-relative form-group">
		<label class="font-weight-bold ml-2"  for="comment" class="">Remark*</label><input  autocomplete="off" maxlength="200" value="" name="remark" id="remark"  type="text" class="form-control" value="" required>
	   </div>
	 </div>
	 
    <div class="col-md-4">
	  <div class="position-relative form-group">
	  <label  class="font-weight-bold" for="customer_type" class=""> Date</label>
	  <input autocomplete="off" type="date" id="adjust_date" name="adjust_date" class="form-control">
	  </div>
     </div>
    </div>
	
    <section> 
     <div class="panel panel-footer" >
       <table class="table table-bordered" id="myTable">
        <thead>
         <tr>
         <th style="width:20%; text-align: center;">Material Name</th>
          <th style="width:13%; text-align: center;">UOM</th>
         <th style="width:10%; text-align: center;">Available Qty</th>
        <th style="width:13%; text-align: center;">Adjust Quantity</th>
      <th style="width:10%; text-align: center;">Balance Quantity</th>
     <th style="width:12%; text-align: center;">Total</th>  -->   
    <th>Action</th> 
    </tr>
   </thead>

   <tbody id="dynmic_row">
    <tr id="row_0">
     <td style="width: 15%;" id="mitem_0" > 
        <select type="text" id="get_material_0" name="material_name[]" class="form-control" required="">
        <option value=""></option>
        @foreach($material as $material_name)
        <option value ="{{$material_name->id}}">{{$material_name->material_code}} - {{$material_name->material_name}}</option>
        @endforeach
        </select> 
     </td>

    <td id="uitem_0" style="width: 10%;">
      <select  id="uom_0" name="uom[]" class="form-control"> <option value=""></option> </select> 
       </td>
       <td id="pitem_0">
        <label   class="lprice font-weight-bold ml-4 " id="lprice_0" for="comment">     </label>
        <input autocomplete="off" value=""  id="price_0" type="hidden" name="price[]" class="form-control price"> 
         </td>
        <td id="qitem_0"> 
        <input autocomplete="off" value=""  id="qty_0" type="text" name="quantity[]" class="form-control quantity" required="">
        </td>
         <td id="ditem_0">
          <label   class="ldiscount font-weight-bold ml-4 " id="ldiscount_0" for="comment">     </label>
          <input autocomplete="off" value=""  id="discount_0" type="hidden" name="discount[]" class="form-control discount"> 
          </td> 
          <td><button type="button" class="btn btn-danger font-weight-bold "  onclick="deleteRow(this,0)"><i class="fa fa-trash" aria-hidden="true" ></i></button></td>
          </tr> 
          </tbody> 
         </table>
        <td>
       <button type="button" class="btn btn-primary font-weight-bold text-white addRow"><i class="fa fa-plus  text-white " aria-hidden="true" ></i> ADD</button>
      </td>
    </div>
  </section>

    <div class="container " style="width: 100%;">
      <br>
        <br>
         <div class="row ">
	      <div class="col-md-5 ml-5"></div>
	       @if(request()->route('id'))
	       @else
	      <button id="submit" name="btnsubmit" class="mt-3 btn btn-primary btn-lg">Save</button>
	      @endif
	     <a href="{{route('salesman_invoice_list')}}" class="mt-3 btn btn-danger ml-2  btn-lg">Cancel</a>  
       </div>
      </div>
     </form>
    </div>    <!--card-body-->
   </div>     <!--main-card mb-3 card-->
  </div>      <!--tab-pane tabs-animation fade show active-->
  </div>     <!--tab-content-->
</div>       <!--app-main__inner-->

@include('theme_layout/footer')

<script>

   var jq = $.noConflict(); 
	function checkForm(form)
			{ 
		form.btnsubmit.disabled = true;
		return true;
			}
   jq(document).ready(function(){
	   
	   $('#get_material_0').SumoSelect({ selectAll:true,search: true,triggerChangeCombined : true});
	   $('#warehouse_id').SumoSelect({ selectAll:true,search: true,triggerChangeCombined : true});
	   $('#type').SumoSelect({ selectAll:true,search: true,triggerChangeCombined : true});
  
   <!--Trading Center-->
   remarkdive
   var routename = '';
	   jq("#routename").change(function(){
		
		
   var routename =  jq('#routename').val();
    
	 //alert(routename);
	  var res = routename.split("-");
        document.getElementById("warehouse_id").value = res[1];
        document.getElementById("route_id1").value = res[0];
        get_trading(res[0]);
     });
	 
  jq("#type").click(function(){
	var type =  jq('#type').val();
       if(type=='others')
	   {
		    jq('#remarkdive').show();
			jq('#remark').val("");
		   jq('#remark').attr('required', true); 
	   }
	   
	   else{
		   jq('#remarkdive').hide();
			jq('#remark').val("no remark");
	    }
     });
	
    function get_trading(route_id){
				 
		 jq.ajax({
		      url: "{{ URL('saleman_invoice/get_trading/') }}" +"/" + route_id,
              type:"GET",
              
          success:function(respons)
          {
            if(respons)
			{
				jq('#trading_add').html(respons);
			}
         
          }
       });
     }
	 
	  <!-- get customer -->
	
	 jq("#trading_add").change(function(){
		
		
        var trading_id =  jq('#trading_add').val();
	        
           get_getcustomer(trading_id);
     });
	 
	 function get_getcustomer(trading_id){
				 
		 jq.ajax({
		      url: "{{ URL('saleman_invoice/get_customer/') }}" +"/" + trading_id,
              type:"GET",
              
          success:function(respons)
          {
            if(respons)
			{
				jq('#customer_add').html(respons);
			}
         
           }
        });
      }

    });
    <!--row calculation-->
     jq('tbody').delegate('.quantity,.price,.adjs_type','keyup',function(){
	 //var gst=18;
	 //var per=100;
        var tr=jq(this).parent().parent();
        var quantity=tr.find('.quantity').val();
		var adjs_type=tr.find('.adjs_type').val();
		
		//alert(quantity);
		if(quantity=='')
		{
			reset_value();
			function reset_value(){
		
		      tr.find('.total').val('');
              tr.find('.gross').val('');
		      tr.find('.vat').val('');
		      tr.find('.net_amount').val('');
			  tr.find('.ltotal').text('');
              tr.find('.lvat').text('');
			  tr.find('.lnet_amount').text('');
			  tr.find('.discount').text('');
  			  
		      //tr.find('.price').val('');
		     }
		
	    }
	else{
	  var quantity1=tr.find('.quantity').val();
       var price1=tr.find('.price').val();
		var balance_qty=0;
		var balance_qty=parseInt(price1) + parseInt(quantity1);  
		 //alert(balance_qty);  
		tr.find('.discount').val(balance_qty);
		tr.find('.ldiscount').text(balance_qty);   
		}
	
    });
	
    <!-- reset value-->
	
	
     <!--total calculation-->
   
     <!--end calculation	-->	
     <!--add row	-->	
	var i=0;
    jq('.addRow').on('click',function(){
		i++;
        addRow(i);
     });
	
   <!--getting material of first row-->		
	jq('#get_material_0').click(function(){
		 var material_id1 =  jq('#get_material_0').val();
	      
		   var row=0;
		   
		   //alert(material_id1);
		   get_material_details(material_id1,row);
		   
		   setTimeout(function(){
              var uom_id =  jq('#uom_0').val();  
			    var warehouse_id=jq('#warehouse_id').val();
                   				   
			   get_material_price(warehouse_id,material_id1,uom_id,row);
           
                }, 1000);
				reset_value1(row);
     });
	 
	 jq('#adjs_type_0').change(function(){
		 var row=0;
		       reset_value12(row);
		       
             });
	 
    <!--getting material of first row-->		 
	   jq('#uom_0').change(function(){
		 var row=0;
		       var uom_id =  jq('#uom_0').val();
			   var warehouse_id=jq('#warehouse_id').val();
			   
			   var material_id =  jq('#get_material_0').val();
			 
			   get_material_price(warehouse_id,material_id,uom_id,row);
			    reset_value1(row);
			   
             });  
	
    function addRow(value){
        var tr='<tr id="row_'+value+'">'+
        '<td style="width: 15%;" id="mitem_"><select type="text" id="get_material_'+value+'"  name="material_name[]" class="form-control get_material" required=""></td>'+
		
        '<td id="uitem_'+value+'" style="width: 10%;"><select type="text" id="uom_'+value+'" name="uom[]" class="form-control"><option value=""></option></select> </td>'+
		'<td id="pitem_'+value+'"><label class="lprice font-weight-bold ml-4 " id="lprice_'+value+'" for="comment">     </label><input autocomplete="off" readonly type="hidden" value="" id="price_'+value+'" name="price[]" class="form-control price"></td>'+
		
        '<td id="qitem_'+value+'"><input autocomplete="off" type="text" value="" id="qty_'+value+'" name="quantity[]" class="form-control quantity" required=""></td>'+
		
        
		
        ' <td id="ditem_'+value+'"><label   class="ldiscount font-weight-bold ml-4 " id="ldiscount_'+value+'" for="comment">     </label><input autocomplete="off" readonly type="hidden" value="" id="discount_'+value+'" name="discount[]" class="form-control discount"></td>'+
		
		
        ' <td><button type="button" class="btn btn-danger font-weight-bold "  onclick="deleteRow(this,'+value+')"><i class="fa fa-trash" aria-hidden="true" ></i></button></td>'+
        '</tr>';
        jq('#dynmic_row').append(tr);
		
		<!--getting material name-->
		    get_material(value);
			
		<!--getting material uom-->	
		     jq('#get_material_'+value+'').click(function(){
		       var material_id =  jq('#get_material_'+value+'').val();
			   
			   
			   get_material_details(material_id,value);
			   
			    setTimeout(function(){
                   var uom_id =  jq('#uom_'+value+'').val();  
				    var warehouse_id=jq('#warehouse_id').val();
                 				   
				   get_material_price(warehouse_id,material_id,uom_id,value);
           
                }, 1000);
				
				 reset_value1(value);
             });
			 <!--getting material price-->	
			 jq('#uom_'+value+'').change(function(){
		       var uom_id =  jq('#uom_'+value+'').val();
			    var warehouse_id=jq('#warehouse_id').val();
			   var material_id =  jq('#get_material_'+value+'').val();
			   get_material_price(warehouse_id,material_id,uom_id,value);
			   
			   reset_value1(value);
			   
             });
			 
			 jq('#adjs_type_'+value+'').change(function(){
		       reset_value12(value);
		       
             });
		
    };	
   <!--end add row	-->
     <!--get_material_uom-->
	 function get_material_details(material_id1,row)
	     {
				 
		 jq.ajax({
		      url: "{{ URL('get_material_detailsUom2/') }}"+"/" +material_id1+'/'+row,
              type:"GET",
              
          success:function(respons)
          {
            if(respons)
			{
				jq('#uom_'+row+'').html(respons);
			 }
          
           }
        });
     }
	 
	    <!--get_material_price-->
	 function get_material_price(warehouse_id,material_id1,uom_id,row)
	     {
			
		 jq.ajax({
		      url: "{{ URL('get_material_price2/') }}"+"/" +warehouse_id+'/'+material_id1+"/"+uom_id,       
              type:"GET",
              
          success:function(respons)
          {
            if(respons)
			{
				
				 document.getElementById('price_'+row+'').value =respons;
                  
				    document.getElementById('lprice_'+row+'').innerHTML  = respons;
				
			 }
         
           }
        });
     }
	
	<!--get_material_name-->
	function get_material(value)
     {
				 
		 jq.ajax({
		      url: "{{ URL('get_material_stock_adjustment/') }}",
              type:"GET",
              
          success:function(respons)
          {
            if(respons)
			{
				jq('#get_material_'+value+'').html(respons);
				$('#get_material_'+value+'').SumoSelect({ selectAll:true,search: true,  triggerChangeCombined : true});
                    $('#get_material_'+value+'')[0].sumo.reload();
			}
         
          }
       });
     }
	 
	 <!-- reseting Value-->
    	 function reset_value1(row){
		        document.getElementById('price_'+row+'').value ='';
		        document.getElementById('qty_'+row+'').value ='';
		        document.getElementById('discount_'+row+'').value ='';
		        
		        <!--for lebel-->
				document.getElementById('lprice_'+row+'').innerHTML='';
		        document.getElementById('ldiscount_'+row+'').innerHTML=''
		        
				
		     }
			 function reset_value12(row){
		        
		        document.getElementById('qty_'+row+'').value ='';
		        document.getElementById('discount_'+row+'').value ='';
		        
		        document.getElementById('ldiscount_'+row+'').innerHTML=''
		        
				
		     }
	 
    <!-- Deleting row-->
     function deleteRow(r,row) {
	 
        if(row==0){
            alert("you can not remove first row");
        }
		else{
       //calculate();

         var i = r.parentNode.parentNode.rowIndex;
        document.getElementById("myTable").deleteRow(i);
		}
     }
		
    </script>  	
