@include('theme_layout/header')
@include('theme_layout/nav')
	
<div class="app-main__outer" > 
 <div class="app-main__inner">
  
  <div class="app-page-title">
   <div class="page-title-wrapper">
	<div class="page-title-heading">
	 <div class="page-title-icon">
	  <i class="pe-7s-graph text-success">
	  </i>
	 </div>
	 
		<div>Warehouse Stock List 
		</div>
	</div> 
   </div>
  </div>            
		
		<div class="tab-content">
		 <div class="tab-pane tabs-animation fade show active" id="tab-content-0" role="tabpanel">
		  <div class="main-card mb-3 card">
		   <div class="card-body"> 
		    <div class="form-group row">
			
		     <div class="col-md-4" >
		      <div class="position-relative form-group">
		         <label for="select_warehouse" class="font-weight-bold"> Warehouse <span class="text-danger"> *</span></label> 
	   
	    <select class="mb-2 form-control" name="warehouse" id="warehouse_stock"  >
	    @if(isset($_GET['warehouse']))
	     @foreach($get_data as $warehouse_name)
	      <option value=""> </option>
		  <option {{$_GET['warehouse'] == $warehouse_name->id ? 'selected' : '' }} value="{{$warehouse_name->id}}">{{$warehouse_name->warehouse_code}} - {{$warehouse_name->warehouse_name}}</option>
	     @endforeach
        @else
	      <option > </option>
	     @foreach($get_data as $warehouse_name)
		  <option value="{{$warehouse_name->id}}">{{$warehouse_name->warehouse_code}} - {{$warehouse_name->warehouse_name}}</option>
	     @endforeach
	    @endif  
	   </select> 
    </div>
   </div>
   
		<div class="col-md-4" >
	     <div class="position-relative form-group">
		  
		   <label for="select_warehouse" class="font-weight-bold">Material Type <span class="text-danger">*</span></label> 
	   
	     <select class="mb-2 form-control" name="material_type" id="material_type"  >
	      @if(isset($_GET['material_type']))
	       @foreach($material_type as $material_type)
	        <option value=""> </option>
		     <option {{$_GET['material_type'] == $material_type->id ? 'selected' : '' }} value="{{$material_type->id}}">{{$material_type->type_code}} - {{$material_type->type}}</option>
	      @endforeach
         @else
	        <option > </option>
	      @foreach($material_type as $material_type)
		    <option value="{{$material_type->id}}">{{$material_type->type_code}} - {{$material_type->type}}</option>
	      @endforeach
         @endif	  
	    </select> 
	 
     </div>
    </div> <!--col-md-6-->
	
	  <div class="col-md-4" >
	      <div class="position-relative form-group">
		     <label for="select_warehouse" class="font-weight-bold">Material Category:</label> 
		 <select class="mb-2 form-control" name="material_category" id="material_category"  >
	      @if(isset($_GET['material_category']))
		   @foreach($material_category as $material_category)
		    <option value=""> </option>
			<option {{$_GET['material_category'] == $material_category->id ? 'selected' : '' }} value="{{$material_category->id}}">{{$material_category->category_code}} - {{$material_category->category_name}}</option>
		   @endforeach	  
	      @endif	  
		 </select> 
	 </div> <!--position-relative form-group-->
	</div> <!--col-md-6-->
	
   </div>  <!--form-group row--> 
							  
	    <div class="form-group row">
		
	    <div class="col-md-4" >
	     <div class="position-relative form-group">
		    <label for="select_warehouse" class="font-weight-bold">Material:</label> 
		 <select class="mb-2 form-control" name="material" id="material" >
		  @if(isset($_GET['material']))
		   @foreach($material as $material)
		    <option value=""> </option>
			<option {{$_GET['material'] == $material->id ? 'selected' : '' }} value="{{$material->id}}">{{$material->material_code}} - {{$material->material_name}}</option>
		   @endforeach 
	      @endif		  
		</select> 
	 </div> <!--position-relative form-group-->
	</div> <!--col-md-6-->
	
	 <div class="col-md-4" >
	      <div class="position-relative form-group">
		     <label for="select_warehouse " class="font-weight-bold">Distributor:</label> 
		 <input readonly type="text" name="distibutor" id="distibutor" value="" class="form-control" />
	 </div> <!--position-relative form-group-->
	</div>	 <!--col-md-6--> 
	
   </div>  <!--form-group row-->
   
	    <div class="form-group row">	  
	     
   </div> <!--form-group row-->
    
	    <div class="form-row">
	     <div class="col-md-12 text-center">
		  <button id="submit" class="btn btn-primary mr-2 mb-2 block-element-btn-example">
                                                    Filter</button> 
		 <div id="filter_loder" style="display:none;width:60px;height:80px;border:0px solid black;position:absolute;top:40%;left:40%;padding:3px;"><img src='https://www.w3schools.com/jquery/demo_wait.gif' width="64" height="64" />
		 </div>  
		 </div>  
	    </div>
		<br> 
		<br>
		<br> 
	 <div id="filter_loder" class="main-card mb-3 card element-block-example" > 
	    <table id="example"  class="table table-hover table-striped table-bordered">  
	     <thead >  
		  <tr>
		   <th style="width:25%;" class="text-justify text-left">Material</th>
		   <th style="width:25%;" class="text-justify text-left">Unit</th>
		   <th style="width:20%;" class="text-justify text-left">Quantity</th>
		   <th style="width:20%;" class="text-justify text-left">Bad Quantity</th>
		  </tr> 
	     </thead> 
	      <tbody class="element-block-example" id="warehouse_details_get_data">			
	   </tbody> 
	   </div>
	</table> 
		<br>
		 </div> 				 
	    <!--Accourdion tab for Route Warehouse-->
		 <div class="form-row " id="accordion1" style="display:none">	 	 
		  </div>
	       <!--tab-->	   
	        <!--Accourdion tab for outlet Warehouse-->
		     <div class="form-row" id="accordion2" style="display:none">		 
		   </div>
	     <!--tab-->	
		
        </div> <!--card-body-->
       </div> <!--main-card mb-3 card-->
      
      </div>  <!--tab-pane tabs-animation fade show active-->
     </div> <!--tab-content-->
    </div> <!--app-main__inner-->
   @include('theme_layout/footer')
<script>

   var jq = $.noConflict();
  
   jq(document).ready(function(){
	   
	    $(document).ajaxStart(function(){
    $("#filter_loder").css("display", "block");
  });
  $(document).ajaxComplete(function(){
    $("#filter_loder").css("display", "none");
  });
  $("button").click(function(){
    $("#filter_loder").load("button");
  });
	   
	  
	   $('#warehouse_stock').SumoSelect({ selectAll:true,search: true,triggerChangeCombined : true});
	   $('#material_type').SumoSelect({ selectAll:true,search: true,triggerChangeCombined : true});
	 /*   $('#material_category').SumoSelect({ selectAll:true,search: true,triggerChangeCombined : true}); */
	   /* $('#material').SumoSelect({ selectAll:true,search: true,triggerChangeCombined : true}); */
	   
	   $("#material_type").change(function(){
		var  material_type=  jq('#material_type').val();
		 get_material_cat(material_type);
        });
		
		$("#warehouse_stock").change(function(){
		   
		   var warehouse =  jq('#warehouse_stock').val();
		   get_distibutor(warehouse);
 
         });
		
		$("#material_category").change(function(){
		var  material=  jq('#material_category').val();
		/* alert(material); */
		 get_material(material);
        });
		
		//for route warehouse accordion
		jq(document).on('click', ".route_warehouse12", function() {
			 
           var route_warehouse= jq(this).attr('id');
           var inc=jq(this).attr('value');
		   var parent_warehouse=jq('#warehouse_stock').val();
			 if (jq('#icon'+inc+'').hasClass("fa fa-plus") == true) {
                   jq('#icon'+inc+'').removeClass("fa fa-plus");
                   jq('#icon'+inc+'').addClass("fa fa-minus");
                } else {
					 jq('#icon'+inc+'').removeClass("fa fa-minus");
					 jq('#icon'+inc+'').addClass("fa fa-plus");
                   
                    
                }
			//alert(route_warehouse+' '+inc+' '+parent_warehouse);  
		   get_rout_warehouse_data(parent_warehouse,route_warehouse,inc);   
		}); 
		
		//for outlet warehouse accordion
		jq(document).on('click', ".outlet_warehouse12", function() {
			 
           var outlet_warehouse= jq(this).attr('id');
		   
           var inc=jq(this).attr('value');
		   var parent_warehouse=jq('#warehouse_stock').val();
			 if (jq('#icon'+inc+'').hasClass("fa fa-plus") == true) {
                   jq('#icon'+inc+'').removeClass("fa fa-plus");
                   jq('#icon'+inc+'').addClass("fa fa-minus");
                } else {
					 jq('#icon'+inc+'').removeClass("fa fa-minus");
					 jq('#icon'+inc+'').addClass("fa fa-plus");
                   
                    
                }
			
		   get_outlet_warehouse_data(parent_warehouse,outlet_warehouse,inc);   
		});
		
  jq("#submit").click(function(){
	    
    var warehouse = jq('#warehouse_stock').val();
    var material_type= jq('#material_type').val();
	if(warehouse!='' && material_type!='')
	{
			var material_category= jq('#material_category').val();
			var material= jq('#material').val();
		   
			
			if(material_category=='' || material_type==null)
			  {
				  material_category='s';
			  }
			
			 if(material=='' || material==null)
			  {
				  material='s';
			  }
			
			  
			get_warehouse_details(warehouse,material_type,material_category,material); 
			get_route_warehouse_details(warehouse); 
			get_outlet_warehouse_details(warehouse); 
	}
  else
    {

	   Swal.fire({
			 
			 icon: 'error',
			 title: 'Warehouse and Material Type Both are Mandatory Field',
			 showConfirmButton: false,
			 timer: 2000
			 })
    }	  
   });	
	 
	 
	 function get_material_cat(material_type)
     {
		 //alert(city);
		 jq.ajax({
		      url: "{{ URL('stock_view_get_mat_cat/') }}" +"/" + material_type,
              type:"GET",
              
          success:function(respons)
          {
            if(respons)
			{
				jq('#material_category').html(respons);
				$('#material_category').SumoSelect({ selectAll:true,search: true,triggerChangeCombined : true});
	            $('#material_category')[0].sumo.reload();
			}
         
          }
       });
     }
	 
	 
	 function get_rout_warehouse_data(parent_warehouse,route_warehouse,inc)
      {
		 
       jq.ajax({
       url: "{{ URL('get_route_warehouse_stock_data/') }}" +"/"+ parent_warehouse+'/'+route_warehouse,
       type:"GET",
       success:function(respons)
       {
       
          jq('#route_warehouse_details'+inc+'').html(respons);
		
       }
      });
     }
	 
	 function get_outlet_warehouse_data(parent_warehouse,route_warehouse,inc)
      {
		
       jq.ajax({
       url: "{{ URL('get_outlet_warehouse_stock_data/') }}" +"/"+ parent_warehouse+'/'+route_warehouse,
       type:"GET",
       success:function(respons)
       {
       
          jq('#outlet_warehouse_details'+inc+'').html(respons);
		
       }
      });
     }
	 
	 
	 
	 function get_material(material)
     {
		 //alert(city);
		 jq.ajax({
		      url: "{{ URL('stock_view_get_material/') }}" +"/" + material,
              type:"GET",
              
          success:function(respons)
          {
            if(respons)
			{
				jq('#material').html(respons);
				$('#material').SumoSelect({ selectAll:true,search: true,triggerChangeCombined : true});
	            $('#material')[0].sumo.reload();
			}
         
          }
       });
     }
	 
	<!--Getting warehouse details here--> 
	 
	 function get_warehouse_details(warehouse,material_type,material_cat,material)
     {
		 //alert(city);
		 jq.ajax({
		      url: "{{ URL('get_warehouse_stock_warehouse_details/') }}" +"/" + warehouse+"/" +material_type+"/" + material_cat+"/"+ material,
              type:"GET",
              
          success:function(respons)
          {
            
				jq('#warehouse_details_get_data').html(respons);
				
				jq('#warehouse_details_get').show();
			
         
          }
       });
     }
	 
	 
	 
	 function get_route_warehouse_details(warehouse)
     {
		 //alert(city);
		 jq.ajax({
		      url: "{{ URL('get_route_warehouse_details/') }}" +"/" + warehouse,
              type:"GET",
              
          success:function(respons)
          {
            
				 jq('#accordion1').html(respons);
				jq('#accordion1').show(); 
			
         
          }
       });
     }
	 
	 
	 function get_distibutor(warehouse)
     {
		 //alert(city);
		 jq.ajax({
		      url: "{{ URL('get_distibutor_warehouse_stock_view/') }}" +"/" + warehouse,
              type:"GET",
              
          success:function(respons)
          {
            
				 jq('#distibutor').val(respons);
				  
			
         
          }
       });
     }
	 
	  function get_outlet_warehouse_details(warehouse)
     {
		 //alert(city);
		 jq.ajax({
		      url: "{{ URL('get_outlet_warehouse_details/') }}" +"/" + warehouse,
              type:"GET",
              
          success:function(respons)
          {
            
				 jq('#accordion2').html(respons);
				 jq('#accordion2').show(); 
			
         
          }
       });
     }
    
    
	

 });

        
</script>       