@include('theme_layout/header')
@include('theme_layout/nav')
	
<div class="app-main__outer"> 
 <div class="app-main__inner">
  <div class="app-page-title">
   <div class="page-title-wrapper">
	<div class="page-title-heading">
	 <div class="page-title-icon">
	  <i class="pe-7s-graph text-success">
	  </i>
	 </div> <!--page-title-icon-->
	 
	   <div>View Warehouse 
	   </div>
	</div> <!--page-title-heading-->
			
		<div class="page-title-actions">
		 <div class="d-inline-block dropdown">
		  <a id="back" class="mt-3 btn btn-primary btn-lg text-white"> <i class="fa fa-arrow-left fa-w-20 text-white"></i> Back</a>
		 </div>
		</div> 
   </div>   <!--page-title-wrapper-->
  </div>  <!-- app-page-title-->          
	 
		<div class="tab-content">
	     <div class="tab-pane tabs-animation fade show active" id="tab-content-0" role="tabpanel">
		  <div class="main-card mb-3 card">
		   <div class="card-body">
		    <form class="">
		     <div class="form-row">
		      <div class="col-md-4">
		       <div class="position-relative form-group"><label for="distributor" class="font-weight-bold ml-2"> Warehouse</label><input readonly="readonly" name="distributor" id="distributor" value="{{ $get_data->warehouse_code}} - {{ $get_data->warehouse_name}}" type="text" class="form-control"></div>
		      </div>
			  
		<div class="col-md-4">
		 <div class="position-relative form-group"><label for="distributor" class="font-weight-bold ml-2">Warehouse Type</label><input readonly="readonly" name="distributor" id="distributor" value="{{$get_data->warehouse_type == 0 ? "Company Warehouse" : ($get_data->warehouse_type == 1 ? "Distibutor Warehouse" : ($get_data->warehouse_type == 2 ? "Route Warehouse" : "Outlet Warehouse"))}}" type="text" class="form-control"></div>
		</div>
		
	    @if($get_data->id!='1')	
		 @if($get_data->warehouse_type=='2') 		 
		  <div class="col-md-4">
			<div class="position-relative form-group"><label for="distributor" class="font-weight-bold ml-2">Route</label><input readonly="readonly" name="distributor" id="distributor" value="{{$get_data->route_code}} - {{$get_data->route_name}}" type="text" class="form-control"></div>
		  </div>
		
		 @else
		 @if($get_data->warehouse_type=='3')  
		  <div class="col-md-4">
		  <div class="position-relative form-group"><label for="distributor" class="font-weight-bold ml-2">Outlet</label><input readonly="readonly" name="distributor" id="distributor" value="{{$get_data->outlet_code}} - {{$get_data->outlet_name}}" type="text" class="form-control"></div>
		  </div>
		 @endif							 	  
		@endif
		
	    <div class="col-md-4">
		 <div class="position-relative form-group"><label for="distributor" class="font-weight-bold ml-2">Distributor</label><input readonly="readonly" name="distributor" id="distributor" value="{{$get_data->customer_code}} - {{$get_data->customer_name}}" type="text" class="form-control"></div>
	    </div>
					 
	    <div class="col-md-4">
		 <div class="position-relative form-group"><label for="region" class="font-weight-bold ml-2">Region</label><input  readonly="readonly" class="mb-2 form-control" name="region" id="region" value="{{$get_data->region_name}}"> 
		 </div>
	    </div>
		
	    <div class="col-md-4">
		 <div class="position-relative form-group"><label for="sub_region" class="font-weight-bold ml-2">Sub Region</label><input readonly="readonly" class="mb-2 form-control" name="sub_region" id="sub_region" value="{{$get_data->sub_region_name}}"> 
		 </div>
	    </div>
        @endif	
		
	    <div class="col-md-4">
		 <div class="position-relative form-group"><label for="customer" class="font-weight-bold ml-2">Address</label><input  readonly="readonly" class="mb-2 form-control" name="customer" id="customer" value="{{$get_data->address}}"> 
		 </div>
	    </div> 
		
	    <div class="col-md-4">
		 <div class="position-relative form-group"><label for="contact_no" class="font-weight-bold ml-2">Status</label><input readonly="readonly" name="Status" id="Status" placeholder="Contact No." value="{{$get_data->status}}" type="text" class="form-control"></div>
	     </div>
        </form>
       </div> <!--form-row-->
      </div>  <!--card-body-->
     </div>  <!--main-card mb-3 card-->
    </div> <!--tab-pane tabs-animation fade show active-->
  </div> <!--tab-content-->
 @include('theme_layout/footer')
</div> <!--app-main__inner-->
 <script>
   var jq = $.noConflict();
   jq(document).ready(function(){
	   
	   jq("#back").click(function(){
		   window.history.back();
	   })

   })
</script> 