@include('theme_layout/header')
@include('theme_layout/nav')
<div class="app-main__outer">               
 <div class="app-main__inner">
  <div class="app-page-title">
   <div class="page-title-wrapper">
    <div class="page-title-heading">
	 <div class="page-title-icon">
	  <i class="pe-7s-graph text-success">
	  </i>
	 </div>
	 
	    <div>  
		 {{ request()->route('id') ? 'Edit ' : 'Add ' }}
		 Material Type
	    </div>					 		   
    </div>
	
		<div class="page-title-actions">                                
		 <div class="d-inline-block dropdown">
		  <a href="{{route('type_list')}}" class="mt-3 btn btn-primary btn-lg"> <i class="fa fa-arrow-left fa-w-20"></i> Back</a>                                  
		 </div>
		</div>   
   </div>
  </div>  

		<div class="tab-content">
		 <div class="tab-pane tabs-animation fade show active" id="tab-content-0" role="tabpanel">
		  <div class="main-card mb-3 card">
		   <div class="card-body">
			<form  id="" class="" onsubmit="return checkForm(this);"
 action="{{ route('type_store') }}" method="post">
			{{ csrf_field() }}
			 <div class="form-row">
			  <div class="col-md-4">
			   <div class="position-relative form-group"><label class="font-weight-bold ml-2" for="type_code" class="">Material Type Code</label><input maxlength="100" name="type_code" id="type_code"  type="text" class="form-control" value="{{$last_code}}" readonly required>							
			   </div>
			  </div>
			  
		<div class="col-md-4">
		 <div class="position-relative form-group">
		  <label class="font-weight-bold ml-2" for="type" class="">Material Type</label> <input maxlength="100" name="type" id="type"  type="text" class="form-control" value="{{ request()->route('id') ? $get_data->type : '' }}"   required>
		 </div>
		</div>
		
		<div class="col-md-4">
		 <div class="position-relative form-group"><label class="font-weight-bold ml-2" for="material_code" class="">Material Code</label> <input maxlength="100" name="material_code" id="material_code"  type="text" class="form-control" value="{{ request()->route('id') ? $get_data->material_code : '' }}"   required>
		  <input name="updated_id" id="updated_id" value="{{ request()->route('id') }}"  type="hidden">   
		 </div>
	    </div>
												
	    <div class="col-md-4">
		 <div class="position-relative form-group"><label for="status" class="ml-2 font-weight-bold">Status</label>
		  <select class="mb-2 form-control" name="status" id="status" required > 
		   @if(request()->route('id')) 												
		    <option> </option>
		    <option {{ $get_data->status == 'active' ? 'selected' : '' }} value ="active">Active</option>
		    <option {{ $get_data->status == 'inactive' ? 'selected' : '' }} value="inactive">Inactive</option>
		   @else 
		    <option> </option>
		    <option value ="active">Active</option>
		    <option value="inactive">Inactive</option>
		   @endif												
		 </select>
	    </div>
	   </div>	 
      </div>		
										   									
		<div class="form-row">
		 <div class="col-md-5"></div>
		  @if(request()->route('id'))
		   <button name="btnsubmit" class="mt-3 btn btn-primary btn-lg">Update</button>
		  @else 
		   <button name="btnsubmit" type="submit" class="mt-3 btn btn-primary btn-lg">Save</button>
		  @endif
		   <div class="col-md-0.5"></div>
		    <a href="{{route('type_list')}}" class="mt-3 btn btn-danger  btn-lg">Cancel</a>
		</div>
       </form>
      </div>
     </div>                            
    </div>                         
   </div>
  </div>              
@include('theme_layout/footer')
				
<script>
function checkForm(form)
  {
     
    form.btnsubmit.disabled = true;
    return true;
  }

</script>