<?php
use Illuminate\Support\Facades\Route;
use App\Http\Controllers\DashboardController;
use App\Http\Controllers\VehicleController;
use App\Http\Controllers\ClientController;  
use App\Http\Controllers\CompanyController;
use App\Http\Controllers\RegionController;
use App\Http\Controllers\CustomerController;
use App\Http\Controllers\WarehouseController;
use App\Http\Controllers\SalesAreaController;
use App\Http\Controllers\RouteController;
use App\Http\Controllers\SalesmanController;
use App\Http\Controllers\BankController;
use App\Http\Controllers\DiscountController;
use App\Http\Controllers\MaterialMasterController;
use App\Http\Controllers\PricingPlanController;
use App\Http\Controllers\SalesTargetController;
use App\Http\Controllers\TaxationController;
use App\Http\Controllers\UserController;
use App\Http\Controllers\StockAdjustController;
use App\Http\Controllers\CompanyTypeController;
use App\Http\Controllers\CurrencyController;
use App\Http\Controllers\CountryController;
use App\Http\Controllers\CityController;
use App\Http\Controllers\SubRegionController;
use App\Http\Controllers\CustomerTypeController;
use App\Http\Controllers\CustomerCategoryController;
use App\Http\Controllers\VehicleBrandController;
use App\Http\Controllers\VehicleTypeController;
use App\Http\Controllers\SalesmanTypeController;
use App\Http\Controllers\UnitOfMeasurementController;
use App\Http\Controllers\UnitConversionController;
use App\Http\Controllers\MaterialCategoryController;
use App\Http\Controllers\SalesTargetTypeController;
use App\Http\Controllers\DiscountTypeController;
use App\Http\Controllers\ExpenseTypeController;
use App\Http\Controllers\UserRoleController;
use App\Http\Controllers\BrandTypeController;
use App\Http\Controllers\AnalyticsController;
use App\Http\Controllers\LocationController;
use App\Http\Controllers\PaymentTermController;
use App\Http\Controllers\ExpenseCategoryController;
use App\Http\Controllers\OutletController;
use App\Http\Controllers\SupplierController;
use App\Http\Controllers\ManageCodeController;
use App\Http\Controllers\TradingCenterController;
use App\Http\Controllers\SupplierTypeController;
use App\Http\Controllers\LoginController;
use App\Http\Controllers\SalesmanInvoiceController;
use App\Http\Controllers\SalesmanUnloadController;
use App\Http\Controllers\SalesmanLoadController;
use App\Http\Controllers\ReturnSalesController;
use App\Http\Controllers\OutstandingController;
use App\Http\Controllers\CreditCollectionController;
use App\Http\Controllers\SalesmanTargetController;
use App\Http\Controllers\SalesOrderController;
use App\Http\Controllers\RouteExpensesController;
use App\Http\Controllers\CompanyExpensesController;
use App\Http\Controllers\CompetitorManagementController;
use App\Http\Controllers\CompanyDeliveryController;
use App\Http\Controllers\SurveysController;
use App\Http\Controllers\QuestionsController;
use App\Http\Controllers\SurveysDataController;
use App\Http\Controllers\CompanyInvoiceController;
use App\Http\Controllers\CompanyCreditNoteController;
use App\Http\Controllers\CompanyColletionController;
use App\Http\Controllers\CompanyOutstandingController;
use App\Http\Controllers\CompanyStockTransferController;
use App\Http\Controllers\OutletExpenseController;
use App\Http\Controllers\OutletStockTransferController;
use App\Http\Controllers\CounterSalesController;
use App\Http\Controllers\OutletStockReportController;
use App\Http\Controllers\OutletStockTransferReportController;
use App\Http\Controllers\DataSetupController;
use App\Http\Controllers\DeviceConfigurationController;
use App\Http\Controllers\EmailConfigurationController;
use App\Http\Controllers\CustomerVisitPlanController;
use App\Http\Controllers\SalesReportController;
use App\Http\Controllers\UserPermissionController;
use App\Http\Controllers\SalesHierarchyController;
use App\Http\Controllers\AdvancePaymentController;
use App\Http\Controllers\SalesmanPerformanceController;
use App\Http\Controllers\RoutePerformanceController;
use App\Http\Controllers\MaterialPerformanceController;
use App\Http\Controllers\ReturnReportController;
use App\Http\Controllers\StockVisibilityController;
use App\Http\Controllers\PendingOrderController;
use App\Http\Controllers\CompanyOutstandingReportController;
use App\Http\Controllers\RouteOutstandingController;
use App\Http\Controllers\CompanyExpensesReportController;
use App\Http\Controllers\RouteExpensesReportController;
use App\Http\Controllers\TypeController;
use App\Http\Controllers\ShelfDisplayController;
use App\Http\Controllers\PlanogramController;
use App\Http\Controllers\PlanogramPostController;
use App\Http\Controllers\CommissionRangeController;
use App\Http\Controllers\AssetTrackingController;
use App\Http\Controllers\AssetPostController;
use App\Http\Controllers\PromotionController;
use App\Http\Controllers\PromotionalPostController;
use App\Http\Controllers\AssignInventoryController;
use App\Http\Controllers\WarehoueStockController;
use App\Http\Controllers\ReasonController;
use App\Http\Controllers\BTStructureController; 
use App\Http\Controllers\ImportExportController;  
use App\Http\Controllers\CompanySalesReportController; 
use App\Http\Controllers\AsignMaterialController;
use App\Http\Controllers\CompanyReturnReportController;
use App\Http\Controllers\CreditNoteReportController;
use App\Http\Controllers\RouteReturnSalesReportController;
use App\Http\Controllers\OutletSalesReportController;
use App\Http\Controllers\CompanyCustomerStatementReportController;
use App\Http\Controllers\RouteMaterialPerformanceController;
use App\Http\Controllers\MaterialCategoryNewController;
use App\Http\Controllers\OutletExpenseReportController;
use App\Http\Controllers\OutletReturnsSales;
use App\Http\Controllers\PendingCutomerController;
use App\Http\Controllers\PendingCustomerReportController;
use App\Http\Controllers\OutletReturnSalesReportController;
use App\Http\Controllers\RouteOrderController;
use App\Http\Controllers\RouteDeliveryController;
use App\Http\Controllers\RouteExchangeController;
use App\Http\Controllers\VendorPaymentController;
use App\Http\Controllers\PurchaseOrderController;
use App\Http\Controllers\GoodReceiptNoteController;
use App\Http\Controllers\PurchaseOutstandingController;
use App\Http\Controllers\PurchaseInvoiceVerificationController;
use App\Http\Controllers\PlanogramPostGalleryController;
use App\Http\Controllers\AssetPostGalleryController;
use App\Http\Controllers\AssetCategoryController;
use App\Http\Controllers\AssetMasterController;
use App\Http\Controllers\TrackAssetReportController; 
use App\Http\Controllers\ComplaintController;
use App\Http\Controllers\CompetitorController;
use App\Http\Controllers\DistributionOrgStructureController;
use App\Http\Controllers\TripReportController;
use App\Http\Controllers\DeviceEnrollmentController;
use App\Http\Controllers\DeviceAllotmentController;
use App\Http\Controllers\ReturnOrderController;


/*
|--------------------------------------------------------------------------
| Web Routes
|--------------------------------------------------------------------------
|
| Here is where you can register web routes for your application. These
| routes are loaded by the RouteServiceProvider within a group which
| contains the "web" middleware group. Now create something great!
|
*/

/*Route::get('/', function () {
    return view('login');
});
*/

//login Controller
Route::get('/', [LoginController::class, 'login'])->name('login');
Route::get('/logout', [LoginController::class, 'logout'])->name('logout');
Route::post('/authenticate', [LoginController::class, 'index'])->name('authenticate');

//Dashboard URL
Route::get('dashboard', [DashboardController::class, 'index'])->name('dashboard');
Route::get('/analytics', [AnalyticsController::class, 'indexa'])->name('analytics');
Route::get('/dashboard_variation', [DashboardController::class, 'indexB'])->name('dashboard_variation');
Route::get('/fetch_data_material', [DashboardController::class, 'fetch_material'])->name('fetch_data_material');
Route::get('/fetch_data_salesman', [DashboardController::class, 'fetch_salesman'])->name('fetch_data_salesman');
Route::get('/fetch_data_route', [DashboardController::class, 'fetch_route'])->name('fetch_data_route'); 
Route::get('/fetch_data_customer', [DashboardController::class, 'fetch_customer'])->name('fetch_data_customer');  

//Master->Client
Route::get('/client', [ClientController::class, 'add'])->name('client');
Route::get('/client/{id}', [ClientController::class, 'edit'])->name('client_form_edit');
Route::get('/client_list', [ClientController::class, 'list'])->name('client_list');
Route::post('/client_store', [ClientController::class, 'save'])->name('client_store');
 



//Master->Trading Center

Route::get('/trading_center', [TradingCenterController::class, 'add'])->name('trading_center');
Route::get('/trading_center/{id}', [TradingCenterController::class, 'edit'])->name('trading_center_edit');
Route::get('/trading_center_list', [TradingCenterController::class, 'list'])->name('trading_center_list');
Route::post('/trading_center_store', [TradingCenterController::class, 'save'])->name('trading_center_store');
Route::get('/trading_center_view/{id}', [DiscountController::class, 'view'])->name('trading_center_view');

//Master->Company
Route::get('/company', [CompanyController::class, 'add'])->name('company');
Route::get('/company/{id}', [CompanyController::class, 'edit'])->name('company_edit');
Route::get('/company_view/{view_id}', [CompanyController::class, 'view'])->name('company_view');
Route::get('/company_list', [CompanyController::class, 'list'])->name('company_list');
Route::post('/company_store', [CompanyController::class, 'save'])->name('company_store');
Route::get('/company/get_country/{id}/{city_id}', [CompanyController::class, 'get_country'])->name('get_country');

//Master->Region
Route::get('/region/{id}', [RegionController::class, 'region_edit'])->name('region_edit');
Route::get('/region', [RegionController::class, 'region'])->name('region_name');
Route::get('/region_list', [RegionController::class, 'region_list'])->name('region_list');
 
//Master->customer
Route::get('/customer', [CustomerController::class, 'add'])->name('customer_name');
Route::get('/customer/{id}', [CustomerController::class, 'edit'])->name('customer_edit');
Route::get('/customer_view/{id}', [CustomerController::class, 'view'])->name('customer_view');
Route::get('/customer_list', [CustomerController::class, 'list'])->name('customer_list');
Route::post('/customer_store', [CustomerController::class, 'save'])->name('customer_store');
Route::get('/customer/get_country/{id}/{city_id}', [CustomerController::class, 'get_country'])->name('get_country');
Route::get('/customer/get_subregion/{id}/{subregion_id}', [CustomerController::class, 'get_subregion'])->name('get_subregion');
Route::get('/customer/get_route_region/{id}', [CustomerController::class, 'get_region'])->name('get_route_region');
Route::get('/customer/get_trading/{id}/{trading_id}', [CustomerController::class, 'get_trading'])->name('get_trading');
Route::get('customer/get_customer_category/{id}/{customer_category_id}', [CustomerController::class, 'get_customer_category'])->name('get_customer_category'); 

//Master->warehoouse
Route::get('/warehouse', [WarehouseController::class, 'add'])->name('warehouse_name');
Route::get('/warehouse/{id}', [WarehouseController::class, 'edit'])->name('warehouse_edit');
Route::get('/warehouse_view/{id}', [WarehouseController::class, 'view'])->name('warehouse_view');
Route::get('/warehouse_list', [WarehouseController::class, 'list'])->name('warehouse_list');
Route::post('/warehouse_store', [WarehouseController::class, 'save'])->name('warehouse_store');
Route::post('/warehouse_stock_store', [WarehouseController::class, 'stock_save'])->name('warehouse_stock_store');
Route::get('/warehouse_stock', [WarehouseController::class, 'warehousestock'])->name('warehouse_stock');
Route::get('/warehouse_detalis/{id}', [WarehouseController::class, 'get_wareouse'])->name('warehouse_detalis');
Route::get('/get_warehouse_region_filter/{region_id}/{url_region}', [WarehouseController::class, 'get_warehouse_region_filter'])->name('get_warehouse_region_filter');
Route::get('/get_warehouse_customer_filter/{subregion_id}/{url_customer}', [WarehouseController::class, 'get_warehouse_customer_filter'])->name('get_warehouse_customer_filter');
Route::get('/warehouse_view_detalis/{id}', [WarehouseController::class, 'get_wareouse_view'])->name('get_warehouse_view');
Route::get('/getwarehouse_route/{id}/{route_id}', [WarehouseController::class, 'getwarehouse_route'])->name('getwarehouse_route');
Route::get('/check_route_exist/{id}', [WarehouseController::class, 'check_route_exist'])->name('check_route_exist');
Route::get('/getwarehouse_outlet/{id}/{route_id}', [WarehouseController::class, 'getwarehouse_outlet'])->name('getwarehouse_outlet');
Route::get('/check_outlet_exist/{id}', [WarehouseController::class, 'check_outlet_exist'])->name('check_outlet_exist');

//Master->Warehouse Stock
Route::get('/warehouse_stock_view', [WarehoueStockController::class, 'warehousestock_view'])->name('warehouse_stock_view');
Route::get('/stock_view_get_mat_cat/{id}', [WarehoueStockController::class, 'stock_view_get_mat_cat'])->name('stock_view_get_mat_cat');
Route::get('/stock_view_get_material/{id}', [WarehoueStockController::class, 'stock_view_get_material'])->name('stock_view_get_material');
Route::get('/get_warehouse_stock_warehouse_details/{warehoouseid}/{materialtype_id}/{material_cat_id}/{material_id}', [WarehoueStockController::class, 'get_warehouse_stock_warehouse_details'])->name('get_warehouse_stock_warehouse_details');
Route::get('/get_route_warehouse_details/{warehoouseid}', [WarehoueStockController::class, 'get_route_warehouse_details'])->name('get_route_warehouse_details');
Route::get('/get_outlet_warehouse_details/{warehoouseid}', [WarehoueStockController::class, 'get_outlet_warehouse_details'])->name('get_outlet_warehouse_details');
Route::get('/get_route_warehouse_stock_data/{warehoouseid}/{route_warehouse_id}', [WarehoueStockController::class, 'get_route_warehouse_stock_data'])->name('get_route_warehouse_stock_data');
Route::get('/get_outlet_warehouse_stock_data/{warehoouseid}/{route_warehouse_id}', [WarehoueStockController::class, 'get_outlet_warehouse_stock_data'])->name('get_outlet_warehouse_stock_data');
Route::get('/get_distibutor_warehouse_stock_view/{warehoouseid}', [WarehoueStockController::class, 'get_distibutor_warehouse_stock_view'])->name('get_distibutor_warehouse_stock_view');

//Master->vehicle
Route::get('/vehicle', [VehicleController::class, 'add'])->name('vehicle_name');
Route::get('/vehicle/{id}', [VehicleController::class, 'edit'])->name('vehicle_edit');
Route::get('/vehicle_list', [VehicleController::class, 'list'])->name('vehicle_list');
Route::get('/vehicle_view/{id}', [VehicleController::class, 'vehicle_view'])->name('vehicle_view');
Route::post('/vehicle_store', [VehicleController::class, 'save'])->name('vehicle_store');

//Master->Sales_area
Route::get('/sales_area', [SalesAreaController::class, 'add'])->name('sales_area');
Route::get('/sales_area/{id}', [SalesAreaController::class, 'edit'])->name('sales_area_edit');
Route::get('/sales_area_view/{id}', [SalesAreaController::class, 'view'])->name('sales_area_view');
Route::get('/sales_area_list', [SalesAreaController::class, 'list'])->name('sales_area_list');
Route::post('/sales_area_store', [SalesAreaController::class, 'save'])->name('sales_area_store');
Route::get('/get_warehouse_region/{id}', [SalesAreaController::class, 'get_region'])->name('get_warehouse_region');
Route::get('/get_warehouse_sub_region/{id}', [SalesAreaController::class, 'get_sub_region'])->name('get_warehouse_sub_region');
Route::get('/get_region_edit/{id}', [SalesAreaController::class, 'get_region_edit'])->name('get_region_edit');
Route::get('/get_sub_region_edit/{id}', [SalesAreaController::class, 'get_sub_region_edit'])->name('get_sub_region_edit'); 

//Master->route
Route::get('/route', [RouteController::class, 'add'])->name('route_name');
Route::get('/route/{id}', [RouteController::class, 'edit'])->name('route_edit');
Route::get('/route_view/{id}', [RouteController::class, 'view'])->name('route_view');
Route::get('/route_list', [RouteController::class, 'list'])->name('route_list');
Route::post('/route_store', [RouteController::class, 'save'])->name('route_store');

Route::get('/get_warehouse_1/{id}/{edit_id}', [RouteController::class, 'get_warehouse_details'])->name('get_warehouse_1'); 
Route::get('/get_warehouse_edit/{id}', [RouteController::class, 'get_warehouse_edit'])->name('get_warehouse_edit'); 
Route::get('/get_salesarea_1/{id}/{edit_id}', [RouteController::class, 'get_salesarea_details'])->name('get_salesarea_1'); 
Route::get('/get_salesarea_edit/{id}', [RouteController::class, 'get_salesarea_edit'])->name('get_salesarea_edit'); 
Route::get('/get_vehicle_1/{id}/{edit_id}', [RouteController::class, 'get_vehicle_details'])->name('get_vehicle_1'); 


//master salesman
Route::get('/salesman', [SalesmanController::class, 'add'])->name('salesman_name');
Route::get('/salesman/{id}', [SalesmanController::class, 'edit'])->name('salesman_edit');
Route::get('/salesman_view/{id}', [SalesmanController::class, 'view'])->name('salesman_view');
Route::get('/salesman_list', [SalesmanController::class, 'list'])->name('salesman_list');
Route::post('/salesman_store', [SalesmanController::class, 'save'])->name('salesman_store');
//Route::post('/salesman_store', [SalesmanController::class, 'imagestore'])->name('salesman_store');
Route::get('/get_warehouse_2/{id}', [SalesmanController::class, 'get_warehouse'])->name('get_warehouse_2');
Route::get('/get_warehouse_2_edit/{id}', [SalesmanController::class, 'get_warehouse_edit'])->name('get_warehouse_2_edit');  

//master material
Route::get('/material_master/{id}', [MaterialMasterController::class, 'edit'])->name('material_master_edit');
Route::get('/material_master', [MaterialMasterController::class, 'add'])->name('material_master');
Route::get('/material_master_list', [MaterialMasterController::class, 'list'])->name('material_master_list');
Route::get('/material_master_view/{id}', [MaterialMasterController::class, 'view'])->name('material_master_view');
Route::post('/material_master_store', [MaterialMasterController::class, 'save'])->name('material_master_store');
Route::get('/getUom', [MaterialMasterController::class, 'getUom'])->name('getUom');
Route::get('/get_material_code/{id}',[MaterialMasterController::class, 'get_material_code'])->name('get_material_code');
Route::get('/get_material_category/{id}',[MaterialMasterController::class, 'get_material_category'])->name('get_material_category');
Route::get('/get_material_cat/{id}/{edit}',[MaterialMasterController::class, 'get_material_cat'])->name('get_material_cat');
Route::get('/get_material_brand/{id}/{edit}',[MaterialMasterController::class, 'get_material_brand'])->name('get_material_brand');

// Master Pricing plan
Route::get('/pricing_plan', [PricingPlanController::class, 'add'])->name('pricing_plan');
Route::get('/pricing_plan_edit/{id}', [PricingPlanController::class, 'edit'])->name('pricing_plan_edit');
Route::get('/pricing_plan_list', [PricingPlanController::class, 'list'])->name('pricing_plan_list');
Route::post('/pricing_plan_store', [PricingPlanController::class, 'save'])->name('pricing_plan_store');     
Route::get('/pricing_plan_details/{id}', [PricingPlanController::class, 'pricing_plan_details'])->name('pricing_plan_details');
Route::get('/edit_details/{id}/{pricing_id}', [PricingPlanController::class, 'edit_details'])->name('edit_details');
Route::get('/pricing_plan_view/{id}', [PricingPlanController::class, 'view'])->name('pricing_plan_view'); 
Route::get('/pricing_plan_material_detailsUom2/{id}/{row}', [PricingPlanController::class, 'pricing_plan_material_detailsUom2'])->name('pricing_plan_material_detailsUom2');
Route::get('/get_material_price2/{id}/{val}', [PricingPlanController::class, 'get_material_price2'])->name('get_material_price2');
Route::get('/get_material_alt_packing_size1/{id}/{val}', [PricingPlanController::class, 'get_material_alt_packing_size1'])->name('get_material_alt_packing_size1');
Route::get('/get_material2', [PricingPlanController::class, 'get_material2'])->name('get_material2');
Route::get('/get_approved1/{id}', [PricingPlanController::class, 'get_approved1'])->name('get_approved');
Route::get('/get_cancel_load1/{material_category_id}/{id}', [PricingPlanController::class, 'get_cancel_load1'])->name('get_cancel_load1');

//master bank
Route::get('/bank', [BankController::class, 'add'])->name('bank');
Route::get('/bank/{id}', [BankController::class, 'edit'])->name('bank_edit');
Route::get('/bank_view/{id}', [BankController::class, 'view'])->name('bank_view');
Route::get('/bank_list', [BankController::class, 'list'])->name('bank_list');
Route::post('/bank_store', [BankController::class, 'save'])->name('bank_store');
Route::get('/bank/get_country/{id}/{city_id}', [BankController::class, 'get_country'])->name('get_country');

//master user
Route::get('/user', [UserController::class, 'add'])->name('user');
Route::get('/user/{id}', [UserController::class, 'edit'])->name('user_edit');
Route::get('/user_view/{id}', [UserController::class, 'view'])->name('user_view');
Route::get('/user_list', [UserController::class, 'list'])->name('user_list');
Route::post('/user_store', [UserController::class, 'save'])->name('user_store');
Route::get('/user/get_subregion/{id}/{subregion_id}', [UserController::class, 'get_subregion'])->name('user_get_subregion');
Route::get('/user/get_distibutors/{id}/{distibutors_id}', [UserController::class, 'get_distibutors'])->name('get_distibutors');

//master user permission
Route::get('/user_permission', [UserPermissionController::class, 'add'])->name('user_permission');
Route::get('/user_permission_get_submenu/{id}/{role}', [UserPermissionController::class, 'get_submenu'])->name('get_submenu');
Route::post('/user_permission_store', [UserPermissionController::class, 'save'])->name('user_permission_store');       

//master tax
Route::get('/taxation/{id}', [TaxationController::class, 'edit'])->name('taxation_edit');
Route::get('/taxation_view/{id}', [TaxationController::class, 'view'])->name('taxation_view');
Route::get('/taxation', [TaxationController::class, 'add'])->name('taxation');
Route::get('/taxation_list', [TaxationController::class, 'list'])->name('taxation_list');
Route::post('/taxation_store', [TaxationController::class, 'save'])->name('taxation_store');

// master discount
Route::get('/discount', [DiscountController::class, 'add'])->name('discount');
Route::get('/discount/{id}', [DiscountController::class, 'edit'])->name('discount_edit');
Route::get('/discount_view/{id}', [DiscountController::class, 'view'])->name('discount_view');
Route::get('/discount_list', [DiscountController::class, 'list'])->name('discount_list');
Route::post('/discount_store', [DiscountController::class, 'save'])->name('discount_store');

Route::get('/get_discount_brand', [DiscountController::class, 'get_discount_brand'])->name('get_discount_brand');
Route::get('/get_discount_category', [DiscountController::class, 'get_discount_category'])->name('get_discount_category');

// master outlet
Route::get('/outlet_list', [OutletController::class, 'list'])->name('outlet_list');
Route::get('/outlet', [OutletController::class, 'add'])->name('outlet');
Route::get('/outlet/{id}', [OutletController::class, 'edit'])->name('outlet_list_edit');
Route::get('/outlet_view/{id}', [OutletController::class, 'view'])->name('outlet_view');
Route::post('/outlet_store', [OutletController::class, 'save'])->name('outlet_store');
Route::get('/outlet/get_country/{id}/{city_id}', [OutletController::class, 'get_country'])->name('get_country');


Route::get('/get_outlet_warehouse_12/{distibutor}/{edit_id}', [OutletController::class, 'get_outlet_warehouse_12'])->name('get_outlet_warehouse_12');

//master supplier
Route::get('/supplier', [SupplierController::class, 'add'])->name('supplier');
Route::get('/supplier_view/{id}', [SupplierController::class, 'view'])->name('supplier_view');
Route::get('/supplier_list', [SupplierController::class, 'list'])->name('supplier_list');
Route::get('/supplier/{id}', [SupplierController::class, 'edit'])->name('supplier_edit');
Route::post('/supplier_store', [SupplierController::class, 'save'])->name('supplier_store');
Route::get('/supplier/get_country/{id}/{city_id}', [SupplierController::class, 'get_country'])->name('get_country');

//master Data Setup
Route::get('/data_setup', [DataSetupController::class, 'add'])->name('data_setup');
//Route::get('/data_setup', [DataSetupController::class, 'edit'])->name('data_setup');
Route::get('/get_subregion/{id}', [DataSetupController::class, 'get_subregion'])->name('get_subregion');
Route::get('/get_subregion/{id}', [DataSetupController::class, 'get_subregion'])->name('get_subregion');
Route::get('/get_sales_area/{id}', [DataSetupController::class, 'get_sales_area'])->name('get_sales_area1');
Route::get('/get_routename/{id}', [DataSetupController::class, 'get_routename'])->name('get_routename');
Route::get('/get_trading_date/{id}', [DataSetupController::class, 'get_trading_date'])->name('get_trading_date');
Route::post('/save_region', [DataSetupController::class, 'save_region'])->name('save_region');
Route::post('/save_subregion', [DataSetupController::class, 'save_subregion'])->name('save_subregion');
Route::post('/save_route_data', [DataSetupController::class, 'save_route_data'])->name('save_route_data');
Route::post('/save_sales_area', [DataSetupController::class, 'save_sales_area'])->name('save_sales_area');
Route::post('/save_tradding_data', [DataSetupController::class, 'save_tradding_data'])->name('save_tradding_data');
Route::get('/get_subregion_form', [DataSetupController::class, 'get_subregion_form'])->name('get_subregion_form');
Route::get('/get_sales_area_form_body', [DataSetupController::class, 'get_sales_area_form_body'])->name('get_sales_area_form_body');
Route::get('/get_route_form_body', [DataSetupController::class, 'get_route_form_body'])->name('get_route_form_body');
Route::get('/get_tradding_form_body', [DataSetupController::class, 'get_tradding_form_body'])->name('get_tradding_form_body');
Route::get('/edit_region_form/{id}', [DataSetupController::class, 'edit_region_form'])->name('edit_region_form');
Route::get('/edit_subregion_form/{id}', [DataSetupController::class, 'edit_subregion_form'])->name('edit_subregion_form');
Route::get('/edit_sales_area_form_body/{id}', [DataSetupController::class, 'edit_sales_area_form_body'])->name('edit_sales_area_form_body');      
Route::get('/edit_route_form_body/{id}', [DataSetupController::class, 'edit_route_form_body'])->name('edit_route_form_body'); 
Route::get('/edit_tradding_form_body/{id}', [DataSetupController::class, 'edit_tradding_form_body'])->name('edit_tradding_form_body');
Route::get('/move_subregion_form/{id}/{region}', [DataSetupController::class, 'move_subregion_form'])->name('move_subregion_form');   
Route::get('/move_sales_area_form/{id}/{subregion}', [DataSetupController::class, 'move_sales_area_form'])->name('move_sales_area_form');   
Route::get('/move_route_form/{id}/{sales_area}', [DataSetupController::class, 'move_route_form'])->name('move_route_form');   
Route::get('/move_trading_form/{id}/{route_name}', [DataSetupController::class, 'move_trading_form'])->name('move_trading_form');

// Master -> Warehouse
Route::get('/get_category2/{id}', [WarehouseController::class, 'get_category_details1'])->name('get_category2');
Route::get('/get_category4/{id}', [WarehouseController::class, 'get_category_details4'])->name('get_category4');
Route::get('/warehouse_detalis3/{id}/{warehouse_id}',[WarehouseController::class, 'warehouse_material_details3'])->name('warehouse_detalis3');
Route::get('/warehouse_detalis4/{id}/{warehouse_id}',[WarehouseController::class, 'warehouse_material_details4'])->name('warehouse_detalis4');
Route::get('/check_distibutor_exist/{id}',[WarehouseController::class, 'check_distibutor_exist'])->name('check_distibutor_exist');
Route::get('/get_distibutor_region/{id}',[WarehouseController::class, 'get_distibutor_region'])->name('get_distibutor_region');
Route::get('/get_distibutor_region_subregion/{id}',[WarehouseController::class, 'get_distibutor_region_subregion'])->name('get_distibutor_region_subregion');

//Master Configuration -> Customer Visit Plan
Route::get('/customer_visit_plan', [CustomerVisitPlanController::class, 'add'])->name('customer_visit_plan');

Route::post('/customer_visit_plan_filter', [CustomerVisitPlanController::class, 'addfilter'])->name('customer_visit_plan_filter');

Route::get('/edit_route_visit_plan/{route_id}', [CustomerVisitPlanController::class, 'edit'])->name('edit_route_visit_plan');

Route::get('/customer_visit_plan_list', [CustomerVisitPlanController::class, 'list'])->name('customer_visit_plan_list');
Route::get('/customer_visit_plan/get_route/{id}', [CustomerVisitPlanController::class, 'get_route'])->name('get_route');
Route::get('/customer_visit_plan/get_route_selected/{id}/{route}', [CustomerVisitPlanController::class, 'get_route_selected'])->name('get_route_selected');


Route::post('/customer_visit_plan_store', [CustomerVisitPlanController::class, 'save'])->name('customer_visit_plan_store');       

//System-> CompanyType
Route::get('/company_type_list', [CompanyTypeController::class, 'list'])->name('company_type_list');
Route::get('/company_type', [CompanyTypeController::class, 'add'])->name('company_type');
Route::get('/company_type/{id}', [CompanyTypeController::class, 'edit'])->name('company_type_list_edit');
Route::post('/company_type_store', [CompanyTypeController::class, 'save'])->name('company_type_store');

//System-> Currency
Route::get('/currency_type_list', [CurrencyController::class, 'list'])->name('currency_type_list');
Route::get('/currency_type', [CurrencyController::class, 'add'])->name('currency_type');
Route::get('/currency_type/{id}', [CurrencyController::class, 'edit'])->name('currency_type_edit');
Route::post('/currency_type_store', [CurrencyController::class, 'save'])->name('currency_type_store');

//System-> Country
Route::get('/country_type_list', [CountryController::class, 'list'])->name('country_type_list');
Route::get('/country_type', [CountryController::class, 'add'])->name('country_type');
Route::get('/country_type/{id}', [CountryController::class, 'edit'])->name('country_type_edit');
Route::post('/country_type_store', [CountryController::class, 'save'])->name('country_type_store');

//System-> Reason
Route::get('/reason_list', [ReasonController::class, 'list'])->name('reason_list');
Route::get('/reason', [ReasonController::class, 'add'])->name('reason');
Route::get('/reason/{id}', [ReasonController::class, 'edit'])->name('reason_edit');
Route::post('/reason_store', [ReasonController::class, 'save'])->name('reason_store');

//Commission Range
Route::get('/commission_range_list', [CommissionRangeController::class, 'list'])->name('commission_range_list');
Route::get('/commission_range_type', [CommissionRangeController::class, 'add'])->name('commission_range_type');
Route::get('/commission_range_type/{id}', [CommissionRangeController::class, 'edit'])->name('commission_range_edit');
Route::post('/commission_range_store', [CommissionRangeController::class, 'save'])->name('commission_range_store');

//System->city
Route::get('/city_list', [CityController::class, 'list'])->name('city_list');
Route::get('/city_type', [CityController::class, 'add'])->name('city_type');
Route::get('/city_type/{id}', [CityController::class, 'edit'])->name('city_type_edit');
Route::post('/city_type_store', [CityController::class, 'save'])->name('city_type_store');

//system->region
Route::get('/region_list', [RegionController::class, 'list'])->name('region_list');
Route::get('/region_type', [RegionController::class, 'add'])->name('region_type');
Route::get('/region_type/{id}', [RegionController::class, 'edit'])->name('region_type_edit');
Route::post('/region_type_store', [RegionController::class, 'save'])->name('region_type_store');

//system->sub region
Route::get('/subregion_list', [SubRegionController::class, 'list'])->name('subregion_list');
Route::get('/subregion_type', [SubRegionController::class, 'add'])->name('subregion_type');
Route::get('/subregion_type/{id}', [SubRegionController::class, 'edit'])->name('subregion_type_edit');
Route::post('/sub_region_store', [SubRegionController::class, 'save'])->name('sub_region_store');

//system->customer type
Route::get('/distributor_list', [CustomerTypeController::class, 'list'])->name('distributor_list');
Route::get('/distributor', [CustomerTypeController::class, 'add'])->name('distributor');
Route::get('/distributor/{id}', [CustomerTypeController::class, 'edit'])->name('distributor_edit');
Route::post('/distributor_store', [CustomerTypeController::class, 'save'])->name('distributor_store');

//system->customer category 
Route::get('/customer_category_list', [CustomerCategoryController::class, 'list'])->name('customer_category_list');
Route::get('/customer_category_type', [CustomerCategoryController::class, 'add'])->name('customer_category_type');
Route::get('/customer_category_type/{id}', [CustomerCategoryController::class, 'edit'])->name('customer_category_type_edit');
Route::post('/customer_category_store', [CustomerCategoryController::class, 'save'])->name('customer_category_store'); 

//system->asset category 
Route::get('/asset_category_list', [AssetCategoryController::class, 'list'])->name('asset_category_list');
Route::get('/asset_category', [AssetCategoryController::class, 'add'])->name('asset_category');
Route::get('/asset_category/{id}', [AssetCategoryController::class, 'edit'])->name('asset_category_edit');
Route::post('/asset_category_store', [AssetCategoryController::class, 'save'])->name('asset_category_store'); 
   
//system->vehicle  brand
Route::get('/vehicle_brand_list', [VehicleBrandController::class, 'list'])->name('vehicle_brand_list');
Route::get('/vehicle_brand_type', [VehicleBrandController::class, 'add'])->name('vehicle_brand_type');
Route::get('/vehicle_brand_type/{id}', [VehicleBrandController::class, 'edit'])->name('vehicle_brand_type_edit');
Route::post('/vehicle_brand_type_store', [VehicleBrandController::class, 'save'])->name('vehicle_brand_type_store');

//system->vehicle type
Route::get('/vehicle_type_list', [VehicleTypeController::class, 'list'])->name('vehicle_type_list');
Route::get('/vehicle_type', [VehicleTypeController::class, 'add'])->name('vehicle_type');
Route::get('/vehicle_type/{id}', [VehicleTypeController::class, 'edit'])->name('vehicle_type_edit');

Route::post('/vehicle_type_store', [VehicleTypeController::class, 'save'])->name('vehicle_type_store');

//system ->salesman type
Route::get('/salesman_type_list', [SalesmanTypeController::class, 'list'])->name('salesman_type_list');
Route::get('/salesman_type', [SalesmanTypeController::class, 'add'])->name('salesman_type');
Route::get('/salesman_type/{id}', [SalesmanTypeController::class, 'edit'])->name('salesman_type_edit');
Route::post('/salesman_type_store', [SalesmanTypeController::class, 'save'])->name('salesman_type_store');

//system ->Uom
Route::get('/unit_of_measurement_list', [UnitOfMeasurementController::class, 'list'])->name('unit_of_measurement_list');
Route::get('/unit_of_measurement_type', [UnitOfMeasurementController::class, 'add'])->name('unit_of_measurement_type');
Route::get('/unit_of_measurement/{id}', [UnitOfMeasurementController::class, 'edit'])->name('unit_of_measurement_edit');
Route::post('/unit_of_measurement_store', [UnitOfMeasurementController::class, 'save'])->name('unit_of_measurement_store');

//system->unit conversion
Route::get('/unit_conversion_list', [UnitConversionController::class, 'list'])->name('unit_conversion_list');
Route::get('/unit_conversion_type', [UnitConversionController::class, 'add'])->name('unit_conversion_type');
Route::get('/unit_conversion/{id}', [UnitConversionController::class, 'edit'])->name('unit_conversion_edit');
Route::post('/unit_of_conversion_store', [UnitConversionController::class, 'save'])->name('unit_of_conversion_store');

//system->material category
Route::get('/material_category_list', [MaterialCategoryController::class, 'list'])->name('material_category_list');
Route::get('/material_category_type', [MaterialCategoryController::class, 'add'])->name('material_category_type');
Route::get('/material_category/{id}', [MaterialCategoryController::class, 'edit'])->name('material_category_edit');
Route::post('/material_category_store', [MaterialCategoryController::class, 'save'])->name('material_category_store');

//system->Type
Route::get('/type_list', [TypeController::class, 'list'])->name('type_list');
Route::get('/type_system', [TypeController::class, 'add'])->name('type_system');
Route::get('/type/{id}', [TypeController::class, 'edit'])->name('type');
Route::post('/type_store', [TypeController::class, 'save'])->name('type_store');

//system->sales target type
Route::get('/sales_target_type_list', [SalesTargetTypeController::class, 'list'])->name('sales_target_type_list');
Route::get('/sales_target_type', [SalesTargetTypeController::class, 'add'])->name('sales_target_type');
Route::get('/sales_target_type/{id}', [SalesTargetTypeController::class, 'edit'])->name('sales_target_type_edit');
Route::post('/sales_target_type_store', [SalesTargetTypeController::class, 'save'])->name('sales_target_type_store');

//system->discount type
Route::get('/discount_type_list', [DiscountTypeController::class, 'list'])->name('discount_type_list');
Route::get('/discount_type', [DiscountTypeController::class, 'add'])->name('discount_type');
Route::get('/discount_type/{id}', [DiscountTypeController::class, 'edit'])->name('discount_type_edit');
Route::post('/discount_type_store', [DiscountTypeController::class, 'save'])->name('discount_type_store');

//system ->expense type
Route::get('/expense_type_list', [ExpenseTypeController::class, 'list'])->name('expense_type_list');
Route::get('/expense_type', [ExpenseTypeController::class, 'add'])->name('expense_type');
Route::get('/expense_type/{id}', [ExpenseTypeController::class, 'edit'])->name('expense_type_edit');
Route::post('/expense_type_store', [ExpenseTypeController::class, 'save'])->name('expense_type_store');

//system->user role

Route::get('/user_role_list', [UserRoleController::class, 'list'])->name('user_role_list');
Route::get('/user_role', [UserRoleController::class, 'add'])->name('user_role');
Route::get('/user_role/{id}', [UserRoleController::class, 'edit'])->name('user_role_edit');
Route::post('/user_role_store', [UserRoleController::class, 'save'])->name('user_role_store');

//system ->brand type
Route::get('/brand_type_list', [BrandTypeController::class, 'list'])->name('brand_type_list');
Route::get('/brand_type', [BrandTypeController::class, 'add'])->name('brand_type');
Route::get('/brand_type/{id}', [BrandTypeController::class, 'edit'])->name('brand_type_edit');
Route::post('/brand_type_store', [BrandTypeController::class, 'save'])->name('brand_type_store');

// system->location
Route::get('/location_list', [LocationController::class, 'list'])->name('location_list');
Route::get('/location', [LocationController::class, 'add'])->name('location');
Route::get('/location/{id}', [LocationController::class, 'edit'])->name('location_edit');
Route::post('/location_store', [LocationController::class, 'save'])->name('location_store');

//system->payment term
Route::get('/payment_term', [PaymentTermController::class, 'add'])->name('payment_term');
Route::get('/payment_term/{id}', [PaymentTermController::class, 'edit'])->name('payment_term_edit');
Route::get('/payment_term_list', [PaymentTermController::class, 'list'])->name('payment_term_list');
Route::post('/payment_term_store', [PaymentTermController::class, 'save'])->name('payment_term_store');

//system ->expense_category
Route::get('/expense_category_list', [ExpenseCategoryController::class, 'list'])->name('expense_category_list');
Route::get('/expense_category_type', [ExpenseCategoryController::class, 'add'])->name('expense_category_type');
Route::get('/expense_category_edit/{id}',[ExpenseCategoryController::class, 'edit'])->name('expense_category_edit');
Route::post('/expense_category_store', [ExpenseCategoryController::class, 'save'])->name('expense_category_store');

//Manage Code
Route::get('/manage_code', [ManageCodeController::class, 'manage_code'])->name('manage_code'); 
Route::post('/manage_code_store', [ManageCodeController::class, 'save'])->name('manage_code_store');

//System-> SupplierType
Route::get('/supplier_type_list', [SupplierTypeController::class, 'list'])->name('supplier_type_list');
Route::get('/supplier_type', [SupplierTypeController::class, 'add'])->name('supplier_type');
Route::get('/supplier_type/{id}', [SupplierTypeController::class, 'edit'])->name('supplier_type_list_edit');
Route::post('/supplier_type_store', [SupplierTypeController::class, 'save'])->name('supplier_type_store');

//system->material category new
Route::get('/material_category_new_list', [MaterialCategoryNewController::class, 'list'])->name('material_category_new_list');
Route::get('/material_category_new_type', [MaterialCategoryNewController::class, 'add'])->name('material_category_new_type');
Route::get('/material_category_new/{id}', [MaterialCategoryNewController::class, 'edit'])->name('material_category_new_edit');
Route::post('/material_category_new_store', [MaterialCategoryNewController::class, 'save'])->name('material_category_new_store');

//Route Transaction-> invoice
Route::get('/salesman_invoice_list', [SalesmanInvoiceController::class, 'list'])->name('salesman_invoice_list');
Route::get('/salesman_invoice', [SalesmanInvoiceController::class, 'add'])->name('salesman_invoice');
Route::get('/material_detalis/{id}', [SalesmanInvoiceController::class, 'material_detalis'])->name('material_detalis');
Route::post('/salesman_invoice_store', [SalesmanInvoiceController::class, 'save'])->name('salesman_invoice_store');
Route::get('/saleman_invoice/get_trading/{id}', [SalesmanInvoiceController::class, 'get_trading'])->name('get_trading');
Route::get('/saleman_invoice/salesman/{id}', [SalesmanInvoiceController::class, 'salesman'])->name('salesman');
Route::get('/get_material', [SalesmanInvoiceController::class, 'get_material'])->name('get_material');
Route::get('/get_material_detailsUom/{id}/{row}', [SalesmanInvoiceController::class, 'get_material_detailsUom'])->name('get_material_detailsUom');
Route::get('/get_material_price/{warehouse}/{id}/{val}', [SalesmanInvoiceController::class, 'get_material_price'])->name('get_material_price');
Route::get('/check_availbl_stock/{warehouse}/{id}/{val}', [SalesmanInvoiceController::class, 'check_availbl_stock'])->name('check_availbl_stock');
Route::get('/get_material_alt_packing_size/{id}/{val}', [SalesmanInvoiceController::class, 'get_material_alt_packing_size'])->name('get_material_alt_packing_size');
Route::get('/salesman_invoice_view/{id}', [SalesmanInvoiceController::class, 'view'])->name('salesman_invoice_view');
Route::get('/saleman_invoice/get_customer/{id}', [SalesmanInvoiceController::class, 'get_customer'])->name('get_customer');
Route::get('/get_routename_filter_for_salesInvoice/{id}/{url_route}', [SalesmanInvoiceController::class, 'get_routename_filter'])->name('get_routename_filter');
Route::get('/get_material_vat/{id}', [SalesmanInvoiceController::class, 'get_material_vat'])->name('get_material_vat');
Route::get('/route_invoice_export/{id}', [SalesmanInvoiceController::class, 'route_invoice_export'])->name('route_invoice_export');
Route::get('/route_invoice_pdf/{id}', [SalesmanInvoiceController::class, 'route_invoice_pdf'])->name('route_invoice_pdf');

// Route Transaction-> Return Sales
Route::get('/return_sales_list', [ReturnSalesController::class, 'list'])->name('return_sales_list');
Route::get('/return_sales', [ReturnSalesController::class, 'add'])->name('return_sales');
Route::get('/return_sales_view/{id}', [ReturnSalesController::class, 'view'])->name('return_sales_view');
Route::get('/return_sales_export/{id}', [ReturnSalesController::class, 'return_sales_export'])->name('return_sales_export');
Route::get('/return_sales_pdf/{id}', [ReturnSalesController::class, 'return_sales_pdf'])->name('return_sales_pdf');
Route::get('/get_material_return_alt_packing_size/{id}/{val}', [ReturnSalesController::class, 'get_material_return_alt_packing_size'])->name('get_material_return_alt_packing_size');
//Route::get('/material_detalis/{id}', [ReturnSalesController::class, 'material_detalis'])->name('material_detalis');
Route::post('/return_sales_store', [ReturnSalesController::class, 'save'])->name('return_sales_store');
Route::get('/return_sales/get_trading/{id}', [ReturnSalesController::class, 'get_trading'])->name('return_sales_get_trading');
Route::get('/return_sales/salesman_return/{id}', [ReturnSalesController::class, 'salesman_return'])->name('salesman_return');
Route::get('/return_sales_get_material', [ReturnSalesController::class, 'get_material'])->name('return_sales_get_material');
Route::get('/return_sales_detailsUom/{id}/{row}', [ReturnSalesController::class, 'get_material_detailsUom'])->name('return_sales_detailsUom');
Route::get('/return_sales_material_price/{id}/{val}', [ReturnSalesController::class, 'get_material_price'])->name('return_sales_material_price');
Route::get('/return_sales/get_customer/{id}', [ReturnSalesController::class, 'get_customer'])->name('get_customer');
Route::get('/get_resion/{id}', [ReturnSalesController::class, 'get_resion'])->name('get_resion');
Route::get('/get_material_vat_return_sales/{id}', [ReturnSalesController::class, 'get_material_vat'])->name('get_material_vat_return_sales');
//Route::get('/get_routename_filter/{id}', [ReturnSalesController::class, 'get_routename_filter'])->name('get_routename_filter');
Route::get('/get_return_filter/{id}/{url_return}', [ReturnSalesController::class, 'get_return_filter'])->name('get_return_filter');  
    
//Route Transaction-> Salesman Unload
Route::get('/salesman_unload_list', [SalesmanUnloadController::class, 'list'])->name('salesman_unload_list');
//Route::get('/salesman_unload', [SalesmanUnloadController::class, 'add'])->name('salesman_unload');
Route::get('/salesman_unload_view/{id}', [SalesmanUnloadController::class, 'view'])->name('salesman_unload_view');
Route::get('/get_filter_data/{date}/{todate}', [SalesmanUnloadController::class, 'get_filter_data'])->name('get_filter_data');
Route::get('/get_route_filter/{id}/{url_route}', [SalesmanUnloadController::class, 'get_route_filter'])->name('get_route_filter');
Route::get('/salesman_unloadexcelexport/{id}', [SalesmanUnloadController::class, 'export'])->name('salesman_unloadexcelexport');
Route::get('/salesman_unloadpdfexport/{id}', [SalesmanUnloadController::class, 'exportpdf'])->name('salesman_unloadpdfexport');


//Route Transaction-> Salesman Load
Route::get('/salesman_load_list', [SalesmanLoadController::class, 'list'])->name('salesman_load_list');
Route::get('/salesman_load', [SalesmanLoadController::class, 'add'])->name('salesman_load');
Route::get('/saleman_load/get_salesman/{id}', [SalesmanLoadController::class, 'get_salesman'])->name('get_salesman');
Route::get('/salesman_load_view/{id}', [SalesmanLoadController::class, 'view'])->name('salesman_load_view');
Route::post('/salesman_load_store', [SalesmanLoadController::class, 'save'])->name('salesman_load_store');
Route::post('/salesman_load_modified', [SalesmanLoadController::class, 'salesman_load_modified'])->name('salesman_load_modified');
Route::get('/get_load_material_alt_packing_size/{id}/{val}', [SalesmanLoadController::class, 'get_material_alt_packing_size'])->name('get_load_material_alt_packing_size');
Route::get('/get_approved/{id}', [SalesmanLoadController::class, 'get_approved'])->name('get_approved');
Route::post('/get_cancel_load', [SalesmanLoadController::class, 'get_cancel_load'])->name('get_cancel_load');
//Route::get('/get_filter_data/{date}/{todate}', [SalesmanLoadController::class, 'get_filter_data'])->name('get_filter_data');
Route::get('/get_material_detailsUom1/{id}/{row}', [SalesmanLoadController::class, 'get_material_detailsUom1'])->name('get_material_detailsUom1');
Route::get('/get_material_price1/{id}/{val}', [SalesmanLoadController::class, 'get_material_price1'])->name('get_material_price1');
Route::get('/get_material1', [SalesmanLoadController::class, 'get_material1'])->name('get_material1');
Route::get('/get_material_vat_salesman_load/{id}', [SalesmanLoadController::class, 'get_material_vat'])->name('get_material_vat_salesman_load');
Route::get('/get_route_filter/{id}/{url_route}', [SalesmanLoadController::class, 'get_route_filter'])->name('get_route_filter');  

Route::get('/get_route_warehouse_for_salesman_load/{id}', [SalesmanLoadController::class, 'get_route_warehouse'])->name('get_route_warehouse');  


Route::get('/salesmanloadexcelexport/{id}', [SalesmanLoadController::class, 'salesmanloadexcelexport'])->name('salesmanloadexcelexport'); 

Route::get('/salesmanloadpdfexport/{id}', [SalesmanLoadController::class, 'salesmanloadpdfexport'])->name('salesmanloadpdfexport'); 






// Route Transaction->OutStanding
Route::get('/outstanding_list', [OutstandingController::class, 'outstanding_view'])->name('outstanding_list');
Route::get('/get_routename_filter1/{id}/{url_route}', [OutstandingController::class, 'get_routename_filter'])->name('get_routename_filter1');
Route::get('/get_salesman_filter_for_route_outstanding/{id}/{url_salesman}', [OutstandingController::class, 'get_salesman_filter'])->name('get_salesman_filter_for_route_outstanding');

//Route Transaction-> Credit Collection
Route::get('/credit_collection_list', [CreditCollectionController::class, 'list'])->name('credit_collection_list');
Route::get('/credit_collection_view/{id}', [CreditCollectionController::class, 'view'])->name('credit_collection_view');
Route::get('/route_collection_export/{id}', [CreditCollectionController::class, 'route_collection_export'])->name('route_collection_export');
Route::get('/route_collection_pdf/{id}', [CreditCollectionController::class, 'route_collection_pdf'])->name('route_collection_pdf');

Route::post('/route_collection_store', [CreditCollectionController::class, 'route_collection_save'])->name('route_collection_store');

Route::get('route_collection', [CreditCollectionController::class, 'add'])->name('route_collection');
Route::get('route_collection/get_trading/{route_id}', [CreditCollectionController::class, 'get_trading'])->name('route_collection/get_trading');

Route::get('route_collection/get_customer/{trading_add}', [CreditCollectionController::class, 'get_customer'])->name('route_collection/get_customer');

Route::get('route_collection/{route_id}/{trading_id}/{cus_id}', [CreditCollectionController::class, 'get_outstanding'])->name('route_collection/get_outstanding');

//Route Transaction-> Salesman Target
Route::get('/salesman_target', [SalesmanTargetController::class, 'add'])->name('salesman_target');
Route::get('/get_routename_filter2/{id}', [SalesmanTargetController::class, 'get_routename_filter'])->name('get_routename_filter2');
Route::get('/salesman_target_view/{id}', [SalesmanTargetController::class, 'view'])->name('salesman_target_view');
Route::post('/salesman_target_store', [SalesmanTargetController::class, 'save'])->name('salesman_target_store');
Route::get('/salesman_target_list', [SalesmanTargetController::class, 'list'])->name('salesman_target_list');
Route::get('/salesman_target/{id}',[SalesmanTargetController::class, 'edit'])->name('salesman_target_edit');
Route::get('/get_commission', [SalesmanTargetController::class, 'get_commission'])->name('get_commission');

//Company Transaction-> Sales Order
Route::get('/sales_order_list', [SalesOrderController::class, 'list'])->name('sales_order_list');
Route::get('/sales_order', [SalesOrderController::class, 'add'])->name('sales_order');
Route::get('/sales_order_edit/{id}', [SalesOrderController::class, 'edit'])->name('sales_order_edit');
Route::post('/sales_order_store', [SalesOrderController::class, 'save'])->name('sales_order_store');
Route::get('/company_get_material', [SalesOrderController::class, 'get_material'])->name('company_get_material');
Route::get('/company_get_material_detailsUom/{id}/{row}', [SalesOrderController::class, 'get_material_detailsUom1'])->name('company_get_material_detailsUom');
Route::get('/company_get_material_price/{id}/{val}', [SalesOrderController::class, 'get_material_price'])->name('company_get_material_price');
Route::get('/sales_order_view/{id}', [SalesOrderController::class, 'view'])->name('company_sales_order_view');
Route::get('/order_get_customer/{id}', [SalesOrderController::class, 'sales_order_get_customer'])->name('order_get_customer');
Route::get('/order_get_customer_tin/{id}', [SalesOrderController::class, 'order_get_customer_tin'])->name('order_get_customer_tin');
Route::get('/order_get_warehouse/{id}', [SalesOrderController::class, 'order_get_warehouse'])->name('order_get_warehouse');
Route::get('/order_get_resion/{id}', [SalesOrderController::class, 'get_resion'])->name('order_get_resion');
Route::post('/sales_order_update', [SalesOrderController::class, 'sales_order_update'])->name('sales_order_update');
Route::get('/salesorderexport/{id}', [SalesOrderController::class, 'export'])->name('salesorderexport');
Route::get('/salesorderexport_pdf/{id}', [SalesOrderController::class, 'sale_order_pdf'])->name('salesorderexport_pdf');


Route::get('/company_get_material_excise/{id}', [SalesOrderController::class, 'company_get_material_excise'])->name('company_get_material_excise');
Route::get('/get_return_code/{id}', [SalesOrderController::class, 'get_return_code'])->name('get_return_code');
Route::get('/get_sales_order_material_alt_packing_size/{id}/{val}', [SalesOrderController::class, 'get_material_alt_packing_size'])->name('get_material_alt_packing_size');
Route::get('/company_get_material_vat/{id}', [SalesOrderController::class, 'company_get_material_vat'])->name('company_get_material_vat');
Route::get('/get_warehousename_filter/{id}/{url_warehouse}', [SalesOrderController::class, 'get_warehousename_filter'])->name('get_warehousename_filter');


//Company Transaction-> Return Order
Route::get('/return_order_list', [ReturnOrderController::class, 'list'])->name('return_order_list');
Route::get('/return_order', [ReturnOrderController::class, 'add'])->name('return_order');
Route::get('/return_order_edit/{id}', [ReturnOrderController::class, 'edit'])->name('return_order_edit');
Route::get('/return_order_view/{id}', [ReturnOrderController::class, 'view'])->name('company_return_order_view');
Route::get('/return_order_get_customer/{id}', [ReturnOrderController::class, 'get_customer'])->name('order_get_customer');
Route::get('/return_order_get_customer_tin/{id}', [ReturnOrderController::class, 'get_customer_tin'])->name('return_order_get_customer_tin');
Route::get('/return_order_get_warehouse/{id}', [ReturnOrderController::class, 'get_warehouse'])->name('return_order_get_warehouse');
Route::get('/return_order_get_resion/{id}', [ReturnOrderController::class, 'get_resions'])->name('return_order_get_resion');
Route::get('/return_get_material', [ReturnOrderController::class, 'get_materials'])->name('return_get_material');
Route::get('/return_get_material_detailsUom/{id}/{row}', [ReturnOrderController::class, 'get_material_detailsUom1'])->name('return_get_material_detailsUom');
Route::get('/return_get_material_price/{id}/{val}', [ReturnOrderController::class, 'get_material_price'])->name('return_get_material_price');
Route::get('/return_get_material_alt_packing_size/{id}/{val}', [ReturnOrderController::class, 'material_alt_packing_size'])->name('return_get_material_alt_packing_size');
Route::get('/get_return_warehouse_filter/{id}/{url_warehouse}', [ReturnOrderController::class, 'get_list_warehouse'])->name('get_return_warehouse_filter');


Route::post('/return_order_store', [ReturnOrderController::class, 'save'])->name('return_order_store');



//Company Transaction-> Company Delivery
Route::get('/delivery_list', [CompanyDeliveryController::class, 'list'])->name('delivery_list');
Route::get('/delivery_order', [CompanyDeliveryController::class, 'add'])->name('delivery_order');
Route::post('/sales_delivery_store', [CompanyDeliveryController::class, 'save'])->name('sales_delivery_store');
Route::get('/delivery_get_material', [CompanyDeliveryController::class, 'get_material'])->name('delivery_get_material');
Route::get('/deliver_get_material_detailsUom/{id}/{row}', [CompanyDeliveryController::class, 'get_material_detailsUom1'])->name('deliver_get_material_detailsUom');
Route::get('/delivery_get_material_price/{id}/{val}', [CompanyDeliveryController::class, 'get_material_price'])->name('delivery_get_material_price');
Route::get('/get_delevery_material_alt_packing_size/{id}/{val}', [CompanyDeliveryController::class, 'get_material_alt_packing_size'])->name('get_delevery_material_alt_packing_size');
Route::get('/delivery_view/{id}', [CompanyDeliveryController::class, 'view'])->name('delivery_view');
Route::get('/get_order_number/{id}', [CompanyDeliveryController::class, 'get_order_number'])->name('get_order_number');
Route::get('/delivery_order/{id}/{return}', [CompanyDeliveryController::class, 'get_order_number_details'])->name('get_order_number_details');
//Route::get('/order_get_warehouse/{id}', [SalesOrderController::class, 'order_get_warehouse'])->name('order_get_warehouse');
//Route::get('/order_get_resion/{id}', [SalesOrderController::class, 'get_resion'])->name('order_get_resion');
Route::get('/delevery_get_material_excise/{id}', [CompanyDeliveryController::class, 'company_get_material_excise'])->name('delevery_get_material_excise');
Route::get('/delevery_get_material_vat/{id}', [CompanyDeliveryController::class, 'company_get_material_vat'])->name('delevery_get_material_vat');
Route::get('/get_warehousename_filter_delivery/{id}/{warehoouse_name_filter}', [CompanyDeliveryController::class, 'get_warehousename_filter_delivery'])->name('get_warehousename_filter_delivery');
Route::get('/get_return_code_delevery/{id}', [CompanyDeliveryController::class, 'get_return_code_delevery'])->name('get_return_code_delevery');

Route::get('/deliveryexport/{id}', [CompanyDeliveryController::class, 'deliver_export'])->name('deliveryexport');
Route::get('/deliveryexport_pdf/{id}', [CompanyDeliveryController::class, 'deliver_export_pdf'])->name('deliveryexport_pdf');

//Route Transaction-> Route Delivery
Route::get('/route_delivery_list', [RouteDeliveryController::class, 'list'])->name('route_delivery_list');
Route::get('/route_delivery', [RouteDeliveryController::class, 'add'])->name('route_delivery');
Route::post('/route_sales_delivery_store', [RouteDeliveryController::class, 'save'])->name('route_sales_delivery_store');
Route::get('/route_delivery_get_material', [RouteDeliveryController::class, 'get_material'])->name('route_delivery_get_material');
Route::get('/route_deliver_get_material_detailsUom/{id}/{row}', [RouteDeliveryController::class, 'get_material_detailsUom1'])->name('route_deliver_get_material_detailsUom');
Route::get('/route_delivery_get_material_price/{id}/{val}', [RouteDeliveryController::class, 'get_material_price'])->name('route_delivery_get_material_price');
Route::get('/get_route_delevery_material_alt_packing_size/{id}/{val}', [RouteDeliveryController::class, 'get_material_alt_packing_size'])->name('get_route_delevery_material_alt_packing_size');
Route::get('/route_delivery_view/{id}', [RouteDeliveryController::class, 'view'])->name('route_delivery_view');
Route::get('/get_route_order_number/{id}', [RouteDeliveryController::class, 'get_order_number'])->name('get_route_order_number');
Route::get('/get_route_return_number/{id}', [RouteDeliveryController::class, 'get_return_number'])->name('get_route_return_number');
Route::get('/route_delivery_order/{id}/{return}', [RouteDeliveryController::class, 'get_order_number_details'])->name('get_order_number_details');
//Route::get('/route_order_get_warehouse/{id}', [SalesOrderController::class, 'order_get_warehouse'])->name('route_order_get_warehouse');
//Route::get('/route_order_get_resion/{id}', [SalesOrderController::class, 'get_resion'])->name('route_order_get_resion');
Route::get('/route_delevery_get_material_excise/{id}', [RouteDeliveryController::class, 'company_get_material_excise'])->name('route_delevery_get_material_excise');
Route::get('/route_delevery_get_material_vat/{id}', [RouteDeliveryController::class, 'company_get_material_vat'])->name('route_delevery_get_material_vat');
Route::get('/get_route_warehousename_filter_delivery/{id}/{warehoouse_name_filter}', [RouteDeliveryController::class, 'get_warehousename_filter_delivery'])->name('get_route_warehousename_filter_delivery');
Route::get('/get_route_return_code_delevery/{id}', [RouteDeliveryController::class, 'get_return_code_delevery'])->name('get_route_return_code_delevery'); 
Route::get('/route_delivery_export/{id}', [RouteDeliveryController::class, 'route_delivery_export'])->name('route_delivery_export'); 
Route::get('/route_delivery_pdf/{id}', [RouteDeliveryController::class, 'route_delivery_pdf'])->name('route_delivery_pdf'); 

 
//Company Transaction-> Company Invoice
Route::get('/company_invoice_list', [CompanyInvoiceController::class, 'list'])->name('company_invoice_list');
Route::get('/company_invoice', [CompanyInvoiceController::class, 'add'])->name('company_invoice');
Route::post('/company_invoice_store', [CompanyInvoiceController::class, 'save'])->name('company_invoice_store');
Route::get('/invoice_view/{id}', [CompanyInvoiceController::class, 'view'])->name('invoice_view');
Route::get('/get_delivery_number/{id}', [CompanyInvoiceController::class, 'get_delivery_number'])->name('get_delivery_number');
Route::get('/company_details/{id}/{return}', [CompanyInvoiceController::class, 'get_delivery_number_details'])->name('company_details');
Route::get('/get_routename_filter_invoice/{id}/{warehouse_filter}', [CompanyInvoiceController::class, 'get_routename_filter_invoice'])->name('get_routename_filter_invoice');

Route::get('/salesinvoiceexport/{id}', [CompanyInvoiceController::class, 'sales_invoice_export'])->name('salesinvoiceexport');
Route::get('/salesinvoiceexport_pdf/{id}', [CompanyInvoiceController::class, 'sales_invoice_export_pdf'])->name('salesinvoiceexport_pdf');

//Company Transaction-> Company Colletion
Route::get('/company_colletion_list', [CompanyColletionController::class, 'list'])->name('company_colletion_list');
Route::get('/company_colletion', [CompanyColletionController::class, 'add'])->name('company_colletion');
Route::post('/company_colletion_store', [CompanyColletionController::class, 'save'])->name('company_colletion_store');
Route::get('/company_collection_view/{id}', [CompanyColletionController::class, 'view'])->name('company_collection_view'); 
Route::get('/get_outstanding/{id}', [CompanyColletionController::class, 'get_outstanding'])->name('get_outstanding');
Route::get('/outstanding_details/{dis_id}/{cust_id}', [CompanyColletionController::class, 'outstanding_details'])->name('outstanding_details');
Route::get('/get_routename_filter_collection/{id}/{warehouse_filter}', [CompanyColletionController::class, 'get_routename_filter_collection'])->name('get_routename_filter_collection');


Route::get('/companycollectionexport/{id}', [CompanyColletionController::class, 'company_collection_export'])->name('companycollectionexport');
Route::get('/companycollectionexport_pdf/{id}', [CompanyColletionController::class, 'company_collection_export_pdf'])->name('companycollectionexport_pdf');

//Company Transaction-> Company Stock Transfer
Route::get('/company_stock_transfer_list', [CompanyStockTransferController::class, 'list'])->name('company_stock_transfer_list');
Route::get('/company_stock_transfer', [CompanyStockTransferController::class, 'add'])->name('company_stock_transfer');
Route::get('/warehouse_detalis1/{id}', [CompanyStockTransferController::class, 'warehouse_material_details'])->name('warehouse_detalis1');
Route::get('/get_category/{id}', [CompanyStockTransferController::class, 'get_category_details'])->name('get_category');
Route::get('/company_stock_transfer_export/{id}', [CompanyStockTransferController::class, 'company_stock_transfer_export'])->name('company_stock_transfer_export');
Route::get('/company_stock_transfer_pdf/{id}', [CompanyStockTransferController::class, 'company_stock_transfer_pdf'])->name('company_stock_transfer_pdf');
Route::get('/warehouse_material_detalis/{id}/{warehouse_id11}', [CompanyStockTransferController::class, 'get_wareouse'])->name('get_warehouse');
Route::get('/transfer_material_detalis/{id}/{header_id}', [CompanyStockTransferController::class, 'get_transfer_details'])->name('transfer_material_detalis');
Route::post('/stock_transfer_save', [CompanyStockTransferController::class, 'save'])->name('stock_transfer_save');
Route::get('/company_transfer_stock_view/{view}', [CompanyStockTransferController::class, 'view'])->name('company_transfer_stock_view');
Route::get('/get_transfer_warehouse_list/{id}', [CompanyStockTransferController::class, 'get_transfer_warehouse_list'])->name('get_transfer_warehouse_list');
Route::get('/get_transfer_material_price2/{id}/{val}/{uom}/{reason_type}', [CompanyStockTransferController::class, 'get_material_price'])->name('get_transfer_material_price2');
Route::get('/get_transfer_material_detailsUom2/{id}/{row}', [CompanyStockTransferController::class, 'get_material_detailsUom'])->name('get_transfer_material_detailsUom2');
Route::get('company_stock_transfer/get_reason/{route}', [CompanyStockTransferController::class, 'get_reason'])->name('company_stock_transfer/get_reason');  



//Company Transaction-> Company OutStanding
Route::get('/company_outstanding_list', [CompanyOutstandingController::class, 'list'])->name('company_outstanding_list');
Route::get('/get_routename_filter4/{id}', [CompanyOutstandingController::class, 'get_route'])->name('get_routename_filter4');
Route::get('/get_warehousename_filter_outstaning/{id}/{warehouse_url}', [CompanyOutstandingController::class, 'get_warehousename_filter_outstaning'])->name('get_warehousename_filter_outstaning');

//Company Advance Payment Controller
Route::get('/advance_payment_list', [AdvancePaymentController::class, 'list'])->name('advance_payment_list');
Route::get('/advance_payment', [AdvancePaymentController::class, 'add'])->name('advance_payment');
Route::post('/advance_payment_store', [AdvancePaymentController::class, 'save'])->name('advance_payment_store');
Route::get('/advance_payment/{id}',[AdvancePaymentController::class, 'edit'])->name('advance_payment_edit');
Route::get('/advance_payment_view/{id}',[AdvancePaymentController::class, 'view'])->name('advance_payment_view');
Route::get('/order_get_company_bank/{id}',[AdvancePaymentController::class, 'get_bank_name'])->name('order_get_company_bank');
Route::get('/get_company_bank_branch/{id}',[AdvancePaymentController::class, 'get_bank_branch'])->name('get_company_bank_branch');
Route::get('/get_company_bank_ac/{id}',[AdvancePaymentController::class, 'get_bank_ac'])->name('get_company_bank_ac');
Route::get('/get_distributor_bankname/{id}',[AdvancePaymentController::class, 'get_disti_ac_name'])->name('get_distributor_bankname');
Route::get('/get_distributor_bankac/{id}',[AdvancePaymentController::class, 'get_disti_ac_no'])->name('get_distributor_bankac');

//Route Transaction-> Expenses
Route::get('/route_expenses_list', [RouteExpensesController::class, 'list'])->name('route_expenses_list'); 
Route::get('/route_expenses', [RouteExpensesController::class, 'add'])->name('route_expenses');
Route::post('/expenses_store', [RouteExpensesController::class, 'save'])->name('expenses_store');
Route::get('/route_expenses/{id}',[RouteExpensesController::class, 'edit'])->name('route_expenses_edit'); 
Route::get('/get_salesman_name_filter/{id}', [RouteExpensesController::class, 'get_salesman_name_filter'])->name('get_salesman_name_filter');
Route::get('/get_salesman_filter_for_expensesList/{id}/{url_salesman}', [RouteExpensesController::class, 'get_salesman_filter'])->name('get_salesman_filter_for_expensesList'); 

//Company Transaction-> Expenses
Route::get('/company_expenses_list', [CompanyExpensesController::class, 'list'])->name('company_expenses_list');
Route::get('/company_expenses', [CompanyExpensesController::class, 'add'])->name('company_expenses');
Route::post('/company_expenses_store', [CompanyExpensesController::class, 'save'])->name('company_expenses_store');
Route::get('/company_expenses/{id}',[CompanyExpensesController::class, 'edit'])->name('company_expenses_edit');
Route::get('/company_expenses_view/{id}',[CompanyExpensesController::class, 'view'])->name('company_expenses_view');
Route::get('/get_warehousename_filter_expense/{id}/{warehouse_url}', [CompanyExpensesController::class, 'get_warehousename_filter_expense'])->name('get_warehousename_filter_expense');

//Route Transaction-> Competitor Management
Route::get('/competitor_management_list', [CompetitorManagementController::class, 'list'])->name('competitor_management_list'); 
Route::get('/get_salesman_filter/{id}/{url_salesman}', [CompetitorManagementController::class, 'get_salesman_filter'])->name('get_salesman_filter');
Route::get('/get_routename_filter/{id}/{url_route}', [CompetitorManagementController::class, 'get_routename_filter'])->name('get_routename_filter');
  
//Route Transaction-> Surveys
Route::get('/surveys_list', [SurveysController::class, 'list'])->name('surveys_list');
Route::get('/surveys', [SurveysController::class, 'add'])->name('surveys');
Route::post('/surveys_store', [SurveysController::class, 'save'])->name('surveys_store');
Route::get('/surveys/{id}',[SurveysController::class, 'edit'])->name('surveys_edit');
Route::get('/questions_list/{id}', [QuestionsController::class, 'list'])->name('questions_list');
Route::post('/questions_store', [QuestionsController::class, 'save'])->name('questions_store');
Route::get('/questions/{id}', [QuestionsController::class, 'add'])->name('questions');
Route::get('/questions_edit/{id}/{survey_id}',[QuestionsController::class, 'edit'])->name('questions_edit');

//Route Transaction-> Surveys Data
Route::get('/surveys_data_list', [SurveysDataController::class, 'list'])->name('surveys_data_list');
Route::get('/surveys_data_view/{id}', [SurveysDataController::class, 'view'])->name('surveys_data_view');

//Route Transaction->Pending Customer 
Route::get('/pending_customer_list', [PendingCutomerController::class, 'list'])->name('pending_customer_list');
Route::get('/pending_customer1_list/{region}/{subregion}/{warehouse}/{fromdate}/{todate}/{approval_status}', [PendingCutomerController::class, 'pending_customer_list'])->name('pending_customer1_list');
 Route::get('/pending_customer_view/{id}', [PendingCutomerController::class, 'view'])->name('pending_customer_view');
Route::get('/get_pending_subregion/{id}', [PendingCutomerController::class, 'get_subregion_data'])->name('get_pending_subregion'); 
Route::get('/get_pending_warehouse/{id}', [PendingCutomerController::class, 'get_warehouse_data'])->name('get_pending_warehouse');



//Company -> Credit Note
Route::get('/company_credit_note_list', [CompanyCreditNoteController::class, 'list'])->name('company_credit_note_list');
Route::get('/company_credit_note', [CompanyCreditNoteController::class, 'add'])->name('company_credit_note');
Route::post('/company_credit_note_store', [CompanyCreditNoteController::class, 'save'])->name('company_credit_note_store');
Route::get('/company_details2/{id}/{return}', [CompanyCreditNoteController::class, 'get_delivery_number_details2'])->name('company_details2');
Route::get('/get_delivery_number2/{id}', [CompanyCreditNoteController::class, 'get_delivery_number2'])->name('get_delivery_number2');
Route::get('/company_credit_note_view/{id}', [CompanyCreditNoteController::class, 'view'])->name('company_credit_note_view');
Route::get('/get_warehousename_filter_credit_note/{id}/{warehouse_url}', [CompanyCreditNoteController::class, 'get_warehousename_filter_credit_note'])->name('get_warehousename_filter_credit_note');
Route::get('/credit_report_exportpdf/{id}', [CompanyCreditNoteController::class, 'credit_report_exportpdf'])->name('credit_report_exportpdf'); 
   
 Route::get('/companycreditexport/{id}', [CompanyCreditNoteController::class, 'company_credit_export'])->name('companycreditexport');
Route::get('/companycreditexport_pdf/{id}', [CompanyCreditNoteController::class, 'company_credit_export_pdf'])->name('companycreditexport_pdf'); 
 
//Outlet Transaction-> Expenses
Route::get('/outlet_expenses_list', [OutletExpenseController::class, 'list'])->name('outlet_expenses_list');
Route::get('/outlet_expenses', [OutletExpenseController::class, 'add'])->name('outlet_expenses');
Route::post('/outlet_expenses_store', [OutletExpenseController::class, 'save'])->name('outlet_expenses_store');
Route::get('/outlet_expenses/{id}',[OutletExpenseController::class, 'edit'])->name('outlet_expenses_edit');
Route::get('/outlet_expenses_view/{id}',[OutletExpenseController::class, 'view'])->name('outlet_expenses_view');

//Outlet Transaction-> Outlet Stock Transfer
Route::get('/outlet_stock_transfer_list', [OutletStockTransferController::class, 'list'])->name('outlet_stock_transfer_list');
Route::get('/outlet_stock_transfer', [OutletStockTransferController::class, 'add'])->name('outlet_stock_transfer');
Route::get('/get_category1/{id}', [OutletStockTransferController::class, 'get_category_details'])->name('get_category1');
Route::get('/warehouse_material_detalis1/{id}/{warehouse_id11}', [OutletStockTransferController::class, 'get_wareouse'])->name('warehouse_material_detalis1');
Route::post('/outlet_stock_transfer_save', [OutletStockTransferController::class, 'save'])->name('outlet_stock_transfer_save');
Route::get('/outlet_transfer_stock_view/{view}', [OutletStockTransferController::class, 'view'])->name('outlet_transfer_stock_view');
Route::get('/get_outlet_distibutor_warehouse_list/{id}', [OutletStockTransferController::class, 'get_outlet_distibutor_warehouse_list'])->name('get_outlet_distibutor_warehouse_list');
Route::get('/get_outlet_transfer_warehouse_list/{id}', [OutletStockTransferController::class, 'get_outlet_transfer_warehouse_list'])->name('get_outlet_transfer_warehouse_list');
Route::get('/outlet_transfer_material_detalis/{id}/{header_id}', [OutletStockTransferController::class, 'get_transfer_details'])->name('transfer_material_detalis');
Route::get('outlet_stock_transfer/get_reason/{route}', [OutletStockTransferController::class, 'get_reason'])->name('outlet_stock_transfer/get_reason'); 

Route::get('/outlet_stock_transfer_export/{id}', [OutletStockTransferController::class, 'outlet_stock_transfer_export'])->name('outlet_stock_transfer_export');

Route::get('/stock_transfer_export_pdf/{id}', [OutletStockTransferController::class, 'stock_transfer_export_pdf'])->name('stock_transfer_export_pdf');


//Outlet Transaction-> Outlet Stock Report
Route::get('/outlet_stock_report', [OutletStockReportController::class, 'add'])->name('outlet_stock_report');
Route::get('/transfer_get_category1/{id}', [OutletStockReportController::class, 'get_category_details'])->name('transfer_get_category1');
Route::get('/outlet_warehouse_material_detalis1/{id}/{warehouse_id11}', [OutletStockReportController::class, 'get_wareouse'])->name('outlet_warehouse_material_detalis1');
Route::get('/outlet_transfer_report_export/{id}', [OutletStockReportController::class, 'outlet_transfer_report_export'])->name('outlet_transfer_report_export');


//Outlet Transaction-> Outlet Stock Transfer Report
Route::get('/stock_transfer_report_list/', [OutletStockTransferReportController::class, 'list'])->name('stock_transfer_report_list');
Route::get('/outlet_transfer_material_detalis2/{id}/{warehouse_id11}', [OutletStockTransferReportController::class, 'get_transfer_details'])->name('outlet_transfer_material_detalis2');
Route::get('/stock_transfer_report_view/{view}', [OutletStockTransferReportController::class, 'view'])->name('stock_transfer_report_view');

//Outlet Transaction-> Counter Sales
Route::get('/counter_sales_list', [CounterSalesController::class, 'list'])->name('counter_sales_list');

Route::get('/counter_sales_material_detailsUom2/{id}/{row}', [CounterSalesController::class, 'get_material_detailsUom'])->name('get_material_detailsUom2'); 
Route::get('/counter_sales', [CounterSalesController::class, 'add'])->name('counter_sales');
Route::post('/counter_sales_store', [CounterSalesController::class, 'save'])->name('counter_sales_store');
Route::get('/counter_sales_view/{id}', [CounterSalesController::class, 'view'])->name('counter_sales_view');
Route::get('/get_counter_material_alt_packing_size/{id}/{val}', [CounterSalesController::class, 'get_material_alt_packing_size'])->name('get_counter_material_alt_packing_size');
Route::get('/get_material_outlet_vat/{id}', [CounterSalesController::class, 'material_vat'])->name('get_material_outlet_vat');
Route::get('/get_material_price_outlet/{uom}/{mat}', [CounterSalesController::class, 'get_material_price_outlet'])->name('get_material_price_outlet');

Route::get('/get_counter_sells_outlet_warehouse_list/{distibutor}', [CounterSalesController::class, 'get_counter_sells_outlet_warehouse_list'])->name('get_counter_sells_outlet_warehouse_list');

Route::get('/get_outlet_warehouse_of_warehouse/{warehouse}', [CounterSalesController::class, 'get_outlet_warehouse_of_warehouse'])->name('get_outlet_warehouse_of_warehouse');
Route::get('/counter_sales_export/{id}', [CounterSalesController::class, 'counter_sales_export'])->name('counter_sales_export');

Route::get('/counter_sales_pdf/{id}', [CounterSalesController::class, 'counter_sales_pdf'])->name('counter_sales_pdf');


//Purchase Transaction -> Vendor Payment

Route::get('/vendor_payment_list', [VendorPaymentController::class, 'list'])->name('vendor_payment_list');
Route::get('/vendor_payment', [VendorPaymentController::class, 'add'])->name('vendor_payment');
Route::get('/vendor_payment_view/{id}', [VendorPaymentController::class, 'view'])->name('vendor_payment_view');
Route::post('/vendor_payment_store', [VendorPaymentController::class, 'save'])->name('vendor_payment_store');
Route::get('/supplier_outstanding_details/{supplier_id}', [VendorPaymentController::class, 'outstanding_details'])->name('supplier_outstanding_details');
Route::get('/vendor_outstanding', [PurchaseOutstandingController::class, 'list'])->name('vendor_outstanding');

Route::get('/vendor_payment_export/{id}', [VendorPaymentController::class, 'vendor_payment_export'])->name('vendor_payment_export');
Route::get('/vendor_payment_export_pdf/{id}', [VendorPaymentController::class, 'vendor_payment_export_pdf'])->name('vendor_payment_export_pdf'); 
 
//Purchase Transanction -> Invoice Verification

Route::get('/invoice_verification_list',[PurchaseInvoiceVerificationController::class, 'list'])->name('invoice_verification_list');  
Route::get('/invoice_verification',[PurchaseInvoiceVerificationController::class, 'add'])->name('invoice_verification');
Route::get('/invoice_verification_view/{id}',[PurchaseInvoiceVerificationController::class, 'view'])->name('invoice_verification_view');

  

Route::post('/invoice_verification_store', [PurchaseInvoiceVerificationController::class, 'save'])->name('invoice_verification_store');
Route::get('/get_purchase_order/{id}/{purchase_id}',[PurchaseInvoiceVerificationController::class, 'get_purchase_order'])->name('get_purchase_order');
Route::get('/get_purchase_grn/{id}/{grn_id}',[PurchaseInvoiceVerificationController::class, 'get_purchase_grn'])->name('get_purchase_grn');

Route::get('/invoice_verification_export/{id}', [PurchaseInvoiceVerificationController::class, 'invoice_verification_export'])->name('invoice_verification_export');
Route::get('/invoice_verification_export_pdf/{id}', [PurchaseInvoiceVerificationController::class, 'invoice_verification_export_pdf'])->name('invoice_verification_export_pdf');



//Enterprise Configuration -> Device Configuration
Route::post('/device_configuration_store', [DeviceConfigurationController::class, 'save'])->name('device_configuration_store');
Route::get('/device_configuration', [DeviceConfigurationController::class, 'add'])->name('device_configuration');

Route::get('/listning', [DeviceConfigurationController::class, 'listning'])->name('listning');
 
//Enterprise Configuration ->Email Configuration 
Route::post('/email_configuration_store', [EmailConfigurationController::class, 'save'])->name('email_configuration_store');
Route::get('/email_configuration', [EmailConfigurationController::class, 'add'])->name('email_configuration');

//Report -> Sales Report
Route::get('/sales_report_list', [SalesReportController::class, 'list'])->name('sales_report_list'); 
Route::get('/get_sales_subregion/{region}', [SalesReportController::class, 'get_sales_subregion'])->name('get_sales_subregion'); 
Route::get('/get_sales_warehouse/{sub_region}', [SalesReportController::class, 'get_sales_warehouse'])->name('get_sales_warehouse');
Route::get('/get_route_sales/{warehouse}', [SalesReportController::class, 'get_route_sales'])->name('get_route_sales'); 
Route::get('/get_salesman/{id}', [SalesReportController::class, 'get_salesman_data'])->name('get_salesman'); 
Route::get('/get_return_sales_report_pop/{fromdate}/{todate}/{region}', [SalesReportController::class, 'get_return_sales_report_pop'])->name('get_return_sales_report_pop');
Route::get('/get_route_regionreturn_quntity_sales_report_pop/{fromdate}/{todate}/{region}', [SalesReportController::class, 'get_regionreturn_quntity_sales_report_pop'])->name('get_route_regionreturn_quntity_sales_report_pop');
Route::get('/get_subregionreturn_sales_report_pop/{fromdate}/{todate}/{subregion}', [SalesReportController::class, 'get_subregionreturn_sales_report_pop'])->name('get_subregionreturn_sales_report_pop'); 
Route::get('/get_route_subregionreturn_quantity_sales_report_pop/{fromdate}/{todate}/{subregion}', [SalesReportController::class, 'get_subregionreturn_quantity_sales_report_pop'])->name('get_route_subregionreturn_quantity_sales_report_pop'); 
Route::get('/get_warehousereturn_sales_report_pop/{fromdate}/{todate}/{warehouse}', [SalesReportController::class, 'get_warehousereturn_sales_report_pop'])->name('get_warehousereturn_sales_report_pop'); 
Route::get('/get_route_warehousereturn_quantity_sales_report_pop/{fromdate}/{todate}/{warehouse}', [SalesReportController::class, 'get_warehousereturn_quantity_sales_report_pop'])->name('get_route_warehousereturn_quantity_sales_report_pop');
  
Route::get('/get_routereturn_sales_report_pop/{fromdate}/{todate}/{route}', [SalesReportController::class, 'get_routereturn_sales_report_pop'])->name('get_routereturn_sales_report_pop'); 
Route::get('/get_route_routereturn_quantity_sales_report_pop/{fromdate}/{todate}/{route}', [SalesReportController::class, 'get_routereturn_quantity_sales_report_pop'])->name('get_route_routereturn_quantity_sales_report_pop');
 
Route::get('/get_route_materialwise_quntity_sales_report_pop/{fromdate}/{todate}/{warehouse}/{material}/{reprt_selection}/{slug}', [SalesReportController::class, 'get_route_materialwise_quntity_sales_report_pop'])->name('get_route_materialwise_quntity_sales_report_pop'); 

Route::get('/get_return_sales_report/{report_with}/{region}/{subregion}/{warehouse}/{route}/{fromdate}/{todate}', [SalesReportController::class, 'get_sales_report'])->name('get_return_sales_report');

Route::post('/sales_report_exportpdf1/', [SalesReportController::class, 'sales_report_exportpdf1'])->name('sales_report_exportpdf1'); 

//Report -> Return Report
Route::get('/return_report_list', [ReturnReportController::class, 'list'])->name('return_report_list'); 
Route::get('/get_return_subregion/{id}', [ReturnReportController::class, 'get_return_subregion'])->name('get_return_subregion'); 
Route::get('/get_return_warehouse/{id}', [ReturnReportController::class, 'get_return_warehouse'])->name('get_return_warehouse');
Route::get('/get_region_return_report_pop/{fromdate}/{todate}/{region}', [ReturnReportController::class, 'get_region_return_report_pop'])->name('get_region_return_report_pop');
Route::get('/get_region_quntityy_sales_report_pop/{fromdate}/{todate}/{region}', [ReturnReportController::class, 'get_region_quntityy_sales_report_pop'])->name('get_region_quntityy_sales_report_pop');
Route::get('/get_subregion_return_report_pop/{fromdate}/{todate}/{subregion}', [ReturnReportController::class, 'get_subregion_return_report_pop'])->name('get_subregion_return_report_pop'); 
Route::get('/get_subregion_quantityy_sales_report_pop/{fromdate}/{todate}/{subregion}', [ReturnReportController::class, 'get_subregion_quantityy_sales_report_pop'])->name('get_subregion_quantityy_sales_report_pop'); 
Route::get('/get_warehouse_return_report_pop/{fromdate}/{todate}/{warehouse}', [ReturnReportController::class, 'get_warehouse_return_report_pop'])->name('get_warehouse_return_report_pop'); 
Route::get('/get_warehouse_quantityy_sales_report_pop/{fromdate}/{todate}/{warehouse}', [ReturnReportController::class, 'get_warehouse_quantityy_sales_report_pop'])->name('get_warehouse_quantityy_sales_report_pop'); 
Route::get('/get_return_report/{report_with}/{region}/{subregion}/{warehouse}/{fromdate}/{todate}', [ReturnReportController::class, 'get_return_report'])->name('get_return_report');

//Report -> Salesman Performance Report
Route::get('/get_salesman_performance', [SalesmanPerformanceController::class, 'get_salesman_performance'])->name('get_salesman_performance'); 
Route::get('/get_salesman_performance_report', [SalesmanPerformanceController::class, 'salesman_performance'])->name('get_salesman_performance_report');
Route::get('/saleman_performance_report_export/{year}/{month}/{region}/{subregion}', [SalesmanPerformanceController::class, 'saleman_performance_report_export'])->name('saleman_performance_report_export');  
Route::get('/saleman_performance_report_exportpdf/{year}/{month}/{region}/{subregion}', [SalesmanPerformanceController::class, 'saleman_performance_report_exportpdf'])->name('saleman_performance_report_exportpdf'); 
Route::get('/get_salesman_month_sales/{salesman_id}/{year}/{month}/{region}/{subregion}', [SalesmanPerformanceController::class, 'get_salesman_month_sales'])->name('get_salesman_month_sales');
Route::get('/get_salesman_name_month_sale/{route_id}', [SalesmanPerformanceController::class, 'get_salesman_name_month_sale'])->name('get_salesman_name_month_sale');
Route::get('/get_sales_performance_subregion/{id}', [SalesmanPerformanceController::class, 'get_subregion_data'])->name('get_sales_performance_subregion');


//Report -> Route Performance Report
Route::get('/get_route_performance', [RoutePerformanceController::class, 'get_route_performance'])->name('get_route_performance'); 
Route::get('/route_performance_report', [RoutePerformanceController::class, 'route_performance'])->name('route_performance_report'); 
Route::get('/route_performance_report_export/{year}/{month}/{region}/{subregion}', [RoutePerformanceController::class, 'route_performance_report_export'])->name('route_performance_report_export'); 
Route::get('/route_performance_report_exportpdf/{year}/{month}/{region}/{subregion}', [RoutePerformanceController::class, 'route_performance_report_exportpdf'])->name('route_performance_report_exportpdf');
Route::get('/get_route_month_sales/{route_id}/{year}/{month}/{region1}/{sub_region}', [RoutePerformanceController::class, 'get_route_month_sales'])->name('get_route_month_sales');
Route::get('/get_route_name_month_sale/{route_id}', [RoutePerformanceController::class, 'get_route_name_month_sale'])->name('get_route_name_month_sale');
Route::get('/get_route_performance_subregion/{id}', [RoutePerformanceController::class, 'get_subregion_data'])->name('get_route_performance_subregion');

//Report -> Material Performance Report
Route::get('/get_material_performance', [MaterialPerformanceController::class, 'get_material_performance'])->name('get_material_performance'); 
Route::get('/get_material_performance_report', [MaterialPerformanceController::class, 'material_performance'])->name('get_material_performance_report'); 
Route::get('/material_performance_report_export/{year}/{month}', [MaterialPerformanceController::class, 'material_performance_report_export'])->name('material_performance_report_export'); 
Route::get('/material_performance_report_exportpdf/{year}/{month}', [MaterialPerformanceController::class, 'material_performance_report_exportpdf'])->name('material_performance_report_exportpdf');
 
//Report ->Route Material Performance Report
Route::get('/get_route_material_performance', [RouteMaterialPerformanceController::class, 'get_material_performance'])->name('get_route_material_performance'); 
Route::get('/get_route_material_performance_report', [RouteMaterialPerformanceController::class, 'material_performance'])->name('get_route_material_performance_report'); 
Route::get('/material_performance_report_export/{year}/{month}', [RouteMaterialPerformanceController::class, 'material_performance_report_export'])->name('material_performance_report_export'); 
Route::get('/material_performance_report_exportpdf/{year}/{month}', [RouteMaterialPerformanceController::class, 'material_performance_report_exportpdf'])->name('material_performance_report_exportpdf');

//Report -> Stock Visibility Report
Route::get('/stock_visibility_list', [StockVisibilityController::class, 'list'])->name('stock_visibility_list'); 
Route::get('/get_stock_visibility_subregion/{id}', [StockVisibilityController::class, 'get_stock_visibility_subregion'])->name('get_stock_visibility_subregion'); 
Route::get('/get_stock_visibility_warehouse/{id}', [StockVisibilityController::class, 'get_stock_visibility_warehouse'])->name('get_stock_visibility_warehouse');
Route::get('/get_stock_visibility_report/{region}/{subregion}/{warehouse}/{fromdate}/{todate}', [StockVisibilityController::class, 'get_stock_report'])->name('get_stock_visibility_report');

//Report -> Pending Order Report
Route::get('/pending_order_list', [PendingOrderController::class, 'list'])->name('pending_order_list'); 
Route::get('/get_pendig_order_subregion/{id}', [PendingOrderController::class, 'get_pendig_order_subregion'])->name('get_pendig_order_subregion'); 
Route::get('/get_pendig_order_warehouse/{id}', [PendingOrderController::class, 'get_pendig_order_warehouse'])->name('get_pendig_order_warehouse');
Route::get('/get_pending_order_report/{region}/{subregion}/{warehouse}/{fromdate}/{todate}', [PendingOrderController::class, 'get_pending_order_report'])->name('get_pending_order_report');
Route::post('/get_pending_order_reportxls/', [PendingOrderController::class, 'get_pending_order_reportxls'])->name('get_pending_order_reportxls');

//Report -> Company outstanding Report
Route::get('/get_company_outstanding_list', [CompanyOutstandingReportController::class, 'list'])->name('get_company_outstanding_list'); 
Route::get('/get_company_outstanding_subregion/{id}', [CompanyOutstandingReportController::class, 'get_company_outstanding_subregion'])->name('get_company_outstanding_subregion'); 
Route::get('/get_company_outstanding_warehouse/{id}', [CompanyOutstandingReportController::class, 'get_company_outstanding_warehouse'])->name('get_company_outstanding_warehouse');
Route::get('/get_company_outstanding_report/{region}/{subregion}/{warehouse}/{fromdate}/{todate}', [CompanyOutstandingReportController::class, 'get_company_outstanding_report'])->name('get_company_outstanding_report');
Route::post('/get_company_outstanding_reportxls/', [CompanyOutstandingReportController::class, 'get_company_outstanding_reportxls'])->name('get_company_outstanding_reportxls');

//Report -> Route outstanding Report
Route::get('/get_route_report_outstanding_list', [RouteOutstandingController::class, 'list'])->name('get_route_report_outstanding_list'); 
Route::get('/get_route_report_outstanding_subregion/{id}', [RouteOutstandingController::class, 'get_route_report_outstanding_subregion'])->name('get_route_report_outstanding_subregion'); 
Route::get('/get_route_report_outstanding_warehouse/{id}', [RouteOutstandingController::class, 'get_route_report_outstanding_warehouse'])->name('get_route_report_outstanding_warehouse');
Route::get('/get_route_report_outstanding_route/{id}', [RouteOutstandingController::class, 'get_route_report_outstanding_route'])->name('get_route_report_outstanding_route');
Route::get('/get_route_report_outstanding_salesman/{id}', [RouteOutstandingController::class, 'get_route_report_outstanding_salesman'])->name('get_route_report_outstanding_salesman');
Route::get('/get_route_outstanding_report/{region}/{subregion}/{warehouse}/{route}/{salesman}/{fromdate}/{todate}', [RouteOutstandingController::class, 'get_route_outstanding_report'])->name('get_route_outstanding_report');
Route::post('/get_route_outstanding_reportxls/', [RouteOutstandingController::class, 'get_route_outstanding_reportxls'])->name('get_route_outstanding_reportxls');

//Report -> Company Expenses Report
Route::get('/get_company_expenses_list', [CompanyExpensesReportController::class, 'list'])->name('get_company_expenses_list'); 
Route::get('/get_company_expenses_subregion/{id}', [CompanyExpensesReportController::class, 'get_company_expenses_subregion'])->name('get_company_expenses_subregion'); 
Route::get('/get_company_expenses_warehouse/{id}', [CompanyExpensesReportController::class, 'get_company_expenses_warehouse'])->name('get_company_expenses_warehouse');
Route::get('/get_company_expenses_report/{region}/{subregion}/{warehouse}/{expenses}/{fromdate}/{todate}', [CompanyExpensesReportController::class, 'get_company_expenses_report'])->name('get_company_expenses_report');
Route::post('/get_company_expenses_reportxls/', [CompanyExpensesReportController::class, 'get_company_expenses_reportxls'])->name('get_company_expenses_reportxls');

//Report -> Outlet Expenses Report
Route::get('/get_outlet_expenses_list', [OutletExpenseReportController::class, 'list'])->name('get_outlet_expenses_list'); 
Route::get('/get_outlet_expenses_subregion/{id}', [OutletExpenseReportController::class, 'get_outlet_expenses_subregion'])->name('get_outlet_expenses_subregion'); 
Route::get('/get_outlet_expenses_warehouse/{id}', [OutletExpenseReportController::class, 'get_outlet_expenses_warehouse'])->name('get_outlet_expenses_warehouse');
Route::get('/get_outlet_expenses_report/{region}/{subregion}/{warehouse}/{expenses}/{fromdate}/{todate}', [OutletExpenseReportController::class, 'get_outlet_expenses_report'])->name('get_outlet_expenses_report');
Route::post('/get_outlet_expenses_reportxls/', [OutletExpenseReportController::class, 'get_outlet_expenses_reportxls'])->name('get_outlet_expenses_reportxls');


//Report -> Route Expenses Report
Route::get('/get_route_expenses_list', [RouteExpensesReportController::class, 'list'])->name('get_route_expenses_list'); 
Route::get('/get_route_expenses_subregion/{id}', [RouteExpensesReportController::class, 'get_route_expenses_subregion'])->name('get_route_expenses_subregion'); 
Route::get('/get_route_expenses_warehouse/{id}', [RouteExpensesReportController::class, 'get_route_expenses_warehouse'])->name('get_route_expenses_warehouse');
Route::get('/get_route_expenses_route/{id}', [RouteExpensesReportController::class, 'get_route_expenses_route'])->name('get_route_expenses_route');
Route::get('/get_route_expenses_salesman/{id}', [RouteExpensesReportController::class, 'get_route_expenses_salesman'])->name('get_route_expenses_salesman');
Route::get('/get_route_expenses_report/{region}/{subregion}/{warehouse}/{route}/{salesman}/{expenses}/{fromdate}/{todate}', [RouteExpensesReportController::class, 'get_route_expenses_report'])->name('get_route_expenses_report');
Route::post('/get_route_expenses_reportxls/', [RouteExpensesReportController::class, 'get_route_expenses_reportxls'])->name('get_route_expenses_reportxls');

//Report -> Trip Report
Route::get('/trip_report_list', [TripReportController::class, 'list'])->name('trip_report_list'); 
Route::get('/get_trip_subregion/{region}', [TripReportController::class, 'get_trip_subregion'])->name('get_trip_subregion');
Route::get('/get_trip_distributor/{sub_region}', [TripReportController::class, 'get_trip_distributor'])->name('get_trip_distributor'); 
Route::get('/get_trip_route/{distributor}', [TripReportController::class, 'get_trip_route'])->name('get_trip_route');
Route::get('/get_trip_report_list/{fromdate}/{todate}/{region}/{sub_region}/{distributor}/{route}', [TripReportController::class, 'get_trip_report_list'])->name('get_trip_report_list');





//Master->sales_hierarchy
Route::get('/sales_hierarchy', [SalesHierarchyController::class, 'add'])->name('sales_hierarchy');
Route::get('/sales_hierarchy/{id}', [SalesHierarchyController::class, 'edit'])->name('sales_hierarchy_form_edit');
Route::get('/sales_hierarchy_list', [SalesHierarchyController::class, 'list'])->name('sales_hierarchy_list');
Route::post('/sales_hierarchy_store', [SalesHierarchyController::class, 'save'])->name('sales_hierarchy_store');
Route::get('/sales_organization_view', [SalesHierarchyController::class, 'graph'])->name('sales_organization_view');
Route::get('/sales_hierarchy_del/{id}', [SalesHierarchyController::class, 'sales_hierarchy_del'])->name('sales_hierarchy_del'); 
 

//Report -> Company Sales Report 
Route::get('/company_sales_report_list', [CompanySalesReportController::class, 'list'])->name('company_sales_report_list'); 
/* Route::get('/get_subregion_datas/{region}', [CompanySalesReportController::class, 'get_subregion_datas'])->name('get_subregion_datas'); 
Route::get('/get_warehouse_datas/{sub_region}', [CompanySalesReportController::class, 'get_warehouse_datas'])->name('get_warehouse_datas');  */
 
 Route::get('/get_company_sales_subregion/{region}', [CompanySalesReportController::class, 'get_subregion_data'])->name('get_company_sales_subregion'); 
Route::get('/get_company_sales_warehouse/{sub_region}', [CompanySalesReportController::class, 'get_warehouse_data'])->name('get_company_sale_warehouse'); 
Route::get('/get_company_route/{id}', [CompanySalesReportController::class, 'get_route_data'])->name('get_company_route');  
Route::get('/get_company_salesman/{id}', [CompanySalesReportController::class, 'get_salesman_data'])->name('get_company_salesman'); 
Route::get('/get_company_return_sales_report_pop/{fromdate}/{todate}/{region}', [CompanySalesReportController::class, 'get_return_sales_report_pop'])->name('get_company_return_sales_report_pop');
Route::get('/get_company_regionreturn_quntity_sales_report_pop/{fromdate}/{todate}/{region}', [CompanySalesReportController::class, 'get_regionreturn_quntity_sales_report_pop'])->name('get_company_regionreturn_quntity_sales_report_pop');
Route::get('/get_company_subregionreturn_sales_report_pop/{fromdate}/{todate}/{subregion}', [CompanySalesReportController::class, 'get_subregionreturn_sales_report_pop'])->name('get_subregionreturn_sales_report_pop'); 
Route::get('/get_company_subregionreturn_quantity_sales_report_pop/{fromdate}/{todate}/{subregion}', [CompanySalesReportController::class, 'get_subregionreturn_quantity_sales_report_pop'])->name('get_company_subregionreturn_quantity_sales_report_pop'); 
Route::get('/get_company_materialwise_quntity_sales_report_pop/{fromdate}/{todate}/{warehouse}/{material}/{reprt_selection}/{slug}', [CompanySalesReportController::class, 'get_company_materialwise_quntity_sales_report_pop'])->name('get_company_materialwise_quntity_sales_report_pop');
Route::get('/get_company_warehousereturn_sales_report_pop/{fromdate}/{todate}/{warehouse}', [CompanySalesReportController::class, 'get_warehousereturn_sales_report_pop'])->name('get_company_warehousereturn_sales_report_pop');  
Route::get('/get_company_warehousereturn_quantity_sales_report_pop/{fromdate}/{todate}/{warehouse}', [CompanySalesReportController::class, 'get_warehousereturn_quantity_sales_report_pop'])->name('get_warehousereturn_quantity_sales_report_pop'); 


Route::get('/get_company_return_sales_report/{report_with}/{region}/{subregion}/{warehouse}/{fromdate}/{todate}', [CompanySalesReportController::class, 'get_sales_report'])->name('get_company_return_sales_report');


Route::post('/sales_report_exportpdf/', [CompanySalesReportController::class, 'sales_report_exportpdf'])->name('sales_report_exportpdf'); 

//Report -> Outlet Report Sales Report 
Route::get('/outlet_return_sales_report', [OutletReturnSalesReportController::class, 'list'])->name('outlet_return_sales_report'); 
Route::get('/get_outlet_sales_subregion1/{id}', [OutletReturnSalesReportController::class, 'get_subregion_data'])->name('get_outlet_sales_subregion'); 
Route::get('/get_outlet_sales_warehouse1/{id}', [OutletReturnSalesReportController::class, 'get_warehouse_data'])->name('get_outlet_sales_warehouse1');
Route::get('/get_outlet_route/{id}', [OutletReturnSalesReportController::class, 'get_route_data'])->name('get_outlet_route'); 
Route::get('/get_outlet_salesman/{id}', [OutletReturnSalesReportController::class, 'get_salesman_data'])->name('get_outlet_salesman'); 
Route::get('/get_outlet_return_sales_report_pop3/{fromdate}/{todate}/{region}', [OutletReturnSalesReportController::class, 'get_return_sales_report_pop'])->name('get_outlet_return_sales_report_pop3');
Route::get('/get_outlet_regionreturn_quntity_sales_report_pop3/{fromdate}/{todate}/{region}', [OutletReturnSalesReportController::class, 'get_regionreturn_quntity_sales_report_pop'])->name('get_outlet_regionreturn_quntity_sales_report_pop3');
Route::get('/get_outlet_subregionreturn_sales_report_pop3/{fromdate}/{todate}/{subregion}', [OutletReturnSalesReportController::class, 'get_subregionreturn_sales_report_pop'])->name('get_outlet_subregionreturn_sales_report_pop3'); 
Route::get('/get_outlet_subregionreturn_quantity_sales_report_pop3/{fromdate}/{todate}/{subregion}', [OutletReturnSalesReportController::class, 'get_subregionreturn_quantity_sales_report_pop'])->name('get_outlet_subregionreturn_quantity_sales_report_pop3'); 
Route::get('/get_outlet_materialwise_quntity_sales_report_pop3/{fromdate}/{todate}/{warehouse}/{material}/{reprt_selection}/{slug}', [OutletReturnSalesReportController::class, 'get_company_materialwise_quntity_sales_report_pop'])->name('get_outlet_materialwise_quntity_sales_report_pop3');
Route::get('/get_outlet_warehousereturn_sales_report_pop3/{fromdate}/{todate}/{warehouse}', [OutletReturnSalesReportController::class, 'get_warehousereturn_sales_report_pop'])->name('get_outlet_warehousereturn_sales_report_pop3');  
Route::get('/get_outlet_warehousereturn_quantity_sales_report_pop3/{fromdate}/{todate}/{warehouse}', [OutletReturnSalesReportController::class, 'get_warehousereturn_quantity_sales_report_pop'])->name('get_warehousereturn_quantity_sales_report_pop'); 
Route::get('/get_oulet_return_sales_report1/{report_with}/{region}/{subregion}/{warehouse}/{fromdate}/{todate}', [OutletReturnSalesReportController::class, 'get_sales_report'])->name('get_oulet_return_sales_report1');
Route::post('/sales_outlet_report_exportpdf3/', [OutletReturnSalesReportController::class, 'sales_report_exportpdf'])->name('sales_outlet_report_exportpdf3'); 
  

//Report -> Company Customer Statement Report
Route::get('/company_customer_statement_report_list', [CompanyCustomerStatementReportController::class, 'list'])->name('company_customer_statement_report_list'); 
Route::get('/get_company_customer_statement_subregion/{id}', [CompanyCustomerStatementReportController::class, 'get_subregion_data'])->name('get_company_customer_statement_subregion'); 
Route::get('/get_company_customer_statement_warehouse/{id}', [CompanyCustomerStatementReportController::class, 'get_warehouse_data'])->name('get_company_customer_statement_warehouse');

Route::get('/get_company_customer_statement_region_report_pop/{fromdate}/{todate}/{region}', [CompanyCustomerStatementReportController::class, 'get_return_sales_report_pop'])->name('get_company_customer_statement_region_report_pop');
Route::get('/get_company_customer_statement_region_quntity_report_pop/{fromdate}/{todate}/{region}', [CompanyCustomerStatementReportController::class, 'get_regionreturn_quntity_sales_report_pop'])->name('get_company_customer_statement_region_quntity_report_pop');
Route::get('/get_company_customer_statement_subregion_report_pop/{fromdate}/{todate}/{subregion}', [CompanyCustomerStatementReportController::class, 'get_subregionreturn_sales_report_pop'])->name('get_company_customer_statement_subregion_report_pop'); 
Route::get('/get_company_customer_statement_subregion_quantity_sales_report_pop/{fromdate}/{todate}/{subregion}', [CompanyCustomerStatementReportController::class, 'get_subregionreturn_quantity_sales_report_pop'])->name('get_company_customer_statement_subregion_quantity_sales_report_pop'); 
Route::get('/get_company_customer_statement_materialwise_quntity_sales_report_pop/{fromdate}/{todate}/{warehouse}/{material}/{slug}', [CompanyCustomerStatementReportController::class, 'get_company_materialwise_quntity_sales_report_pop'])->name('get_company_customer_statement_materialwise_quntity_sales_report_pop');
Route::get('/get_company_customer_statement_warehouse_report_pop/{fromdate}/{todate}/{warehouse}', [CompanyCustomerStatementReportController::class, 'get_warehousereturn_sales_report_pop'])->name('get_company_customer_statement_warehouse_report_pop');  
Route::get('/get_company_customer_statement_warehouse_quantity_report_pop/{fromdate}/{todate}/{warehouse}', [CompanyCustomerStatementReportController::class, 'get_warehousereturn_quantity_sales_report_pop'])->name('get_company_customer_statement_warehouse_quantity_report_pop'); 
Route::get('/get_company_customer_statement_report/{region}/{subregion}/{warehouse}/{fromdate}/{todate}', [CompanyCustomerStatementReportController::class, 'get_sales_report'])->name('get_company_customer_statement_report');
Route::post('/sales_company_report_exportpdf/', [CompanyCustomerStatementReportController::class, 'sales_report_exportpdf'])->name('sales_company_report_exportpdf'); 


//Report -> Company Return Sales Report
Route::get('/company_return_sales_report_list', [CompanyReturnReportController::class, 'list'])->name('company_return_sales_report_list'); 
Route::get('/get_company_return_sales_subregion/{region}', [CompanyReturnReportController::class, 'get_subregion_data'])->name('get_company_return_sales_subregion'); 
Route::get('/get_company_return_sales_warehouse/{id}', [CompanyReturnReportController::class, 'get_warehouse_data'])->name('get_company_return_sales_warehouse');
Route::get('/get_return_company_route/{id}', [CompanyReturnReportController::class, 'get_route_data'])->name('get_return_company_route'); 
Route::get('/get_return_company_salesman/{id}', [CompanyReturnReportController::class, 'get_salesman_data'])->name('get_return_company_salesman'); 
Route::get('/get_company_return_sales_report_pop2/{fromdate}/{todate}/{region}/{return_type}/{reason_type}', [CompanyReturnReportController::class, 'get_return_sales_report_pop'])->name('get_company_return_sales_report_pop2');
Route::get('/get_company_regionreturn_quntity_sales_report_pop2/{fromdate}/{todate}/{region}/{return_type}/{reason_type}', [CompanyReturnReportController::class, 'get_regionreturn_quntity_sales_report_pop'])->name('get_company_regionreturn_quntity_sales_report_pop2');
Route::get('/get_company_subregionreturn_sales_report_pop2/{fromdate}/{todate}/{subregion}/{return_type}/{reason_type}', [CompanyReturnReportController::class, 'get_subregionreturn_sales_report_pop'])->name('get_company_subregionreturn_sales_report_pop2'); 
Route::get('/get_company_subregionreturn_quantity_sales_report_pop2/{fromdate}/{todate}/{subregion}/{return_type}/{reason_type}', [CompanyReturnReportController::class, 'get_subregionreturn_quantity_sales_report_pop'])->name('get_company_subregionreturn_quantity_sales_report_pop2'); 
Route::get('/get_company_materialwise_quntity_sales_report_pop2/{fromdate}/{todate}/{warehouse}/{material}/{reprt_selection}/{slug}/{return_type}/{reason_type}', [CompanyReturnReportController::class, 'get_company_materialwise_quntity_sales_report_pop'])->name('get_company_materialwise_quntity_sales_report_pop2');
Route::get('/get_company_warehousereturn_sales_report_pop2/{fromdate}/{todate}/{warehouse}/{return_type}/{reason_type}', [CompanyReturnReportController::class, 'get_warehousereturn_sales_report_pop'])->name('get_company_warehousereturn_sales_report_pop2');  
Route::get('/get_company_warehousereturn_quantity_sales_report_pop2/{fromdate}/{todate}/{warehouse}/{return_type}/{reason_type}', [CompanyReturnReportController::class, 'get_warehousereturn_quantity_sales_report_pop'])->name('get_warehousereturn_quantity_sales_report_pop2'); 
Route::get('/get_company_return_sales_report2/{report_with}/{region}/{subregion}/{warehouse}/{return_type}/{return_reason}/{fromdate}/{todate}', [CompanyReturnReportController::class, 'get_sales_report'])->name('get_company_return_sales_report2');
Route::post('/sales_company_report_exportpdf2/', [CompanyReturnReportController::class, 'sales_report_exportpdf'])->name('sales_company_report_exportpdf');
Route::get('/get_return_type_for_company/{id}', [CompanyReturnReportController::class, 'get_return_type_for_company'])->name('get_return_type_for_company'); 
 
//Report -> Route Return Sales Report
Route::get('/route_return_sales_report_list', [RouteReturnSalesReportController::class, 'list'])->name('route_return_sales_report_list');  
Route::get('/get_route_return_sales_subregion/{sub_region}', [RouteReturnSalesReportController::class, 'get_subregion_data'])->name('get_route_return_sales_subregion'); 
Route::get('/get_route_return_sales_warehouse/{id}', [RouteReturnSalesReportController::class, 'get_warehouse_data'])->name('get_route_return_sales_warehouse');
Route::get('/get_route_return_sales/{id}', [RouteReturnSalesReportController::class, 'get_route_data'])->name('get_route_return_sales');   
Route::get('/get_route_return_sales_report_pop2/{fromdate}/{todate}/{region}/{return_type}/{reason_type}', [RouteReturnSalesReportController::class, 'get_return_sales_report_pop'])->name('get_route_return_sales_report_pop2');
Route::get('/get_route_regionreturn_quntity_sales_report_pop2/{fromdate}/{todate}/{region}/{return_type}/{reason_type}', [RouteReturnSalesReportController::class, 'get_regionreturn_quntity_sales_report_pop'])->name('get_route_regionreturn_quntity_sales_report_pop2');
Route::get('/get_route_subregionreturn_sales_report_pop2/{fromdate}/{todate}/{subregion}/{return_type}/{reason_type}', [RouteReturnSalesReportController::class, 'get_subregionreturn_sales_report_pop'])->name('get_route_subregionreturn_sales_report_pop2'); 
Route::get('/get_route_subregionreturn_quantity_sales_report_pop2/{fromdate}/{todate}/{subregion}/{return_type}/{reason_type}', [RouteReturnSalesReportController::class, 'get_subregionreturn_quantity_sales_report_pop'])->name('get_route_subregionreturn_quantity_sales_report_pop2'); 
Route::get('/get_route_materialwise_quntity_sales_report_pop2/{fromdate}/{todate}/{warehouse}/{material}/{reprt_selection}/{slug}/{return_type}/{reason_type}', [RouteReturnSalesReportController::class, 'get_company_materialwise_quntity_sales_report_pop'])->name('get_route_materialwise_quntity_sales_report_pop2');
Route::get('/get_route_warehousereturn_sales_report_pop2/{fromdate}/{todate}/{warehouse}/{return_type}/{reason_type}', [RouteReturnSalesReportController::class, 'get_warehousereturn_sales_report_pop'])->name('get_route_warehousereturn_sales_report_pop2');  
Route::get('/get_route_routereturn_sales_report_pop2/{fromdate}/{todate}/{route}/{return_type}/{reason_type}', [RouteReturnSalesReportController::class, 'get_routereturn_sales_report_pop'])->name('get_route_routereturn_sales_report_pop2');  
Route::get('/get_route_routereturn_quantity_sales_report_pop2/{fromdate}/{todate}/{route}/{return_type}/{reason_type}', [RouteReturnSalesReportController::class, 'get_routereturn_quantity_sales_report_pop'])->name('get_route_routereturn_quantity_sales_report_pop2');  
Route::get('/get_route_warehousereturn_quantity_sales_report_pop2/{fromdate}/{todate}/{warehouse}/{return_type}/{reason_type}', [RouteReturnSalesReportController::class, 'get_warehousereturn_quantity_sales_report_pop'])->name('get_route_warehousereturn_quantity_sales_report_pop2'); 
Route::get('/get_route_return_sales_report2/{report_with}/{region}/{subregion}/{warehouse}/{route}/{return_type}/{return_reason}/{fromdate}/{todate}', [RouteReturnSalesReportController::class, 'get_sales_report'])->name('get_route_return_sales_report2');
Route::post('/sales_route_report_exportpdf2/', [RouteReturnSalesReportController::class, 'sales_report_exportpdf'])->name('sales_route_report_exportpdf2');
Route::get('/get_return_type_for_route/{id}', [RouteReturnSalesReportController::class, 'get_return_type_for_company'])->name('get_return_type_for_route'); 


//Report -> Company Credit Note Sales Report
Route::get('/credit_note_report_list', [CreditNoteReportController::class, 'list'])->name('credit_note_report_list'); 
Route::get('/get_company_credit_note_sales_subregion/{id}', [CreditNoteReportController::class, 'get_subregion_data'])->name('get_company_credit_note_sales_subregion'); 
Route::get('/get_company_credit_note_sales_warehouse/{id}', [CreditNoteReportController::class, 'get_warehouse_data'])->name('get_company_credit_note_sales_warehouse');
Route::get('/get_credit_note_company_route/{id}', [CreditNoteReportController::class, 'get_route_data'])->name('get_credit_note_company_route'); 
Route::get('/get_credit_note_company_salesman/{id}', [CreditNoteReportController::class, 'get_salesman_data'])->name('get_credit_note_company_salesman'); 
Route::get('/get_company_return_sales_report_pop3/{fromdate}/{todate}/{region}', [CreditNoteReportController::class, 'get_return_sales_report_pop'])->name('get_company_return_sales_report_pop3');
Route::get('/get_company_regionreturn_quntity_sales_report_pop3/{fromdate}/{todate}/{region}', [CreditNoteReportController::class, 'get_regionreturn_quntity_sales_report_pop'])->name('get_company_regionreturn_quntity_sales_report_pop3');
Route::get('/get_company_subregionreturn_sales_report_pop3/{fromdate}/{todate}/{subregion}', [CreditNoteReportController::class, 'get_subregionreturn_sales_report_pop'])->name('get_company_subregionreturn_sales_report_pop3'); 
Route::get('/get_company_subregionreturn_quantity_sales_report_pop3/{fromdate}/{todate}/{subregion}', [CreditNoteReportController::class, 'get_subregionreturn_quantity_sales_report_pop'])->name('get_company_subregionreturn_quantity_sales_report_pop3'); 
Route::get('/get_company_materialwise_quntity_sales_report_pop3/{fromdate}/{todate}/{warehouse}/{material}/{reprt_selection}/{slug}', [CreditNoteReportController::class, 'get_company_materialwise_quntity_sales_report_pop'])->name('get_company_materialwise_quntity_sales_report_pop3');
Route::get('/get_company_warehousereturn_sales_report_pop3/{fromdate}/{todate}/{warehouse}', [CreditNoteReportController::class, 'get_warehousereturn_sales_report_pop'])->name('get_company_warehousereturn_sales_report_pop3');  
Route::get('/get_company_warehousereturn_quantity_sales_report_pop3/{fromdate}/{todate}/{warehouse}', [CreditNoteReportController::class, 'get_warehousereturn_quantity_sales_report_pop'])->name('get_company_warehousereturn_quantity_sales_report_pop3'); 
Route::get('/get_company_return_sales_report3/{report_with}/{region}/{subregion}/{warehouse}/{fromdate}/{todate}', [CreditNoteReportController::class, 'get_sales_report'])->name('get_company_return_sales_report3');
Route::post('/sales_company_report_exportpdf3/', [CreditNoteReportController::class, 'sales_report_exportpdf'])->name('sales_company_report_exportpdf');
  
 

///stock management->adjustment
Route::get('/stock_adjust', [StockAdjustController::class, 'add'])->name('stock_adjust');
Route::get('/get_material_of_warehouse/{id}', [StockAdjustController::class, 'get_material_of_warehouse'])->name('get_material_of_warehouse');
Route::get('/get_material_price2/{id}/{val}/{uom}/{reason}', [StockAdjustController::class, 'get_material_price'])->name('get_material_price2');
Route::get('/get_material_detailsUom2/{id}/{row}', [StockAdjustController::class, 'get_material_detailsUom'])->name('get_material_detailsUom2'); 
Route::get('/get_material_stock_adjustment', [StockAdjustController::class, 'get_material'])->name('get_material_stock_adjustment'); 
Route::post('/stock_adjust_store', [StockAdjustController::class, 'save'])->name('stock_adjust_store');
Route::get('/stock_adjust_list', [StockAdjustController::class, 'list'])->name('stock_adjust_list');  
Route::get('/stock_adjust_view/{id}', [StockAdjustController::class, 'view'])->name('stock_adjust_view'); 
Route::get('stock_adjust/get_reason/{route}', [StockAdjustController::class, 'get_reason'])->name('stock_adjust/get_reason'); 
Route::get('stock_adjust_excelexport/{id}', [StockAdjustController::class, 'export'])->name('stock_adjust_excelexport'); 
Route::get('stock_adjust_pdfexport/{id}', [StockAdjustController::class, 'pdfexport'])->name('stock_adjust_pdfexport'); 

//Merchandising -> Shelf Display
Route::get('/shelf_display', [ShelfDisplayController::class, 'add'])->name('shelf_display');
Route::post('/shelf_display_store', [ShelfDisplayController::class, 'save'])->name('shelf_display_store');
Route::get('/shelf_display/get_subregion/{id}/{subregion_id}', [ShelfDisplayController::class, 'get_subregion'])->name('get_subregion');
Route::get('/shelf_display/{id}', [ShelfDisplayController::class, 'edit'])->name('shelf_display_edit');
Route::get('/shelf_display_view/{id}', [ShelfDisplayController::class, 'view'])->name('shelf_display_view');
Route::get('/shelf_display_list', [ShelfDisplayController::class, 'list'])->name('shelf_display_list');
Route::get('/shelf_display/get_customer1/{id}/{customer_id}', [ShelfDisplayController::class, 'get_customer1'])->name('get_customer1');      

//Merchandising -> Planogram Post
Route::get('/planogram_post_list', [PlanogramPostController::class, 'list'])->name('planogram_post_list');
Route::post('/planogram_post_store', [PlanogramPostController::class, 'save'])->name('planogram_post_store');

//Merchandising -> Planogram
Route::get('/planogram', [PlanogramController::class, 'add'])->name('planogram'); 
Route::post('/planogram_store', [PlanogramController::class, 'save'])->name('planogram_store');
Route::get('/planogram/get_shelf_display/{id}/{shelf_display_id}', [PlanogramController::class, 'get_shelf_display'])->name('get_shelf_display');
Route::get('/planogram_list', [PlanogramController::class, 'list'])->name('planogram_list');
Route::get('/planogram_view/{id}', [PlanogramController::class, 'view'])->name('planogram_view');
Route::get('/planogram/{id}', [PlanogramController::class, 'edit'])->name('planogram_edit');
Route::get('planogram/get_customer/{id}', [PlanogramController::class, 'get_customer'])->name('get_customer');
Route::get('/planogram/get_subregion/{id}/{subregion_id}', [PlanogramController::class, 'get_subregion'])->name('get_subregion');

//Merchandising -> Asset tracking
Route::get('/asset_tracking', [AssetTrackingController::class, 'add'])->name('asset_tracking'); 
Route::post('/asset_tracking_store/', [AssetTrackingController::class, 'save'])->name('asset_tracking_store');
Route::get('/asset_tracking/get_subregion/{id}/{subregion_id}', [AssetTrackingController::class, 'get_subregion'])->name('get_subregion');
Route::get('asset_tracking/get_customer/{id}/{customer_id}', [AssetTrackingController::class, 'get_customer'])->name('get_customer');
Route::get('/asset_tracking_list', [AssetTrackingController::class, 'list'])->name('asset_tracking_list');
Route::get('/asset_tracking_view/{id}', [AssetTrackingController::class, 'view'])->name('asset_tracking_view');
Route::get('/asset_tracking/{id}', [AssetTrackingController::class, 'edit'])->name('asset_tracking_edit'); 

//Merchandising -> Asset Post
Route::get('/asset_post_list', [AssetPostController::class, 'list'])->name('asset_post_list');
Route::post('/asset_post_store', [AssetPostController::class, 'save'])->name('asset_post_store');
Route::get('/get_customername_filter/{route_id}/{cust_id}', [AssetPostController::class, 'get_customername_filter'])->name('get_customername_filter');

Route::get('/asset_gallery_list', [AssetPostGalleryController::class, 'gallery_list'])->name('asset_gallery_list');
 

//Merchandising -> Promotion
Route::get('/promotion', [PromotionController::class, 'add'])->name('promotion');
Route::post('/promotion_store', [PromotionController::class, 'save'])->name('promotion_store');
Route::get('/promotion_list', [PromotionController::class, 'list'])->name('promotion_list');
Route::get('/promotion_view/{id}', [PromotionController::class, 'view'])->name('promotion_view');
Route::get('/promotion/{id}', [PromotionController::class, 'edit'])->name('promotion_edit');

//Merchandising -> Promotional Post
Route::get('/promotional_post_list', [PromotionalPostController::class, 'list'])->name('promotional_post_list');
Route::post('/promotional_post_store', [PromotionalPostController::class, 'save'])->name('promotional_post_store');
Route::get('/get_customername_promotional_filter/{route_id}/{cust_id}', [PromotionalPostController::class, 'get_customername_promotional_filter'])->name('get_customername_promotional_filter');

//Merchandising -> Assign Inventory 
Route::get('/assign_inventory', [AssignInventoryController::class, 'add'])->name('assign_inventory');
Route::get('/get_material_detailsUom3/{id}/{row}', [AssignInventoryController::class, 'get_material_detailsUom3'])->name('get_material_detailsUom3');
/* Route::get('/get_material', [AssignInventoryController::class, 'get_material1'])->name('get_material1'); */
Route::get('/get_material_details1', [AssignInventoryController::class, 'get_material_details1'])->name('get_material_details1');
Route::post('/assign_inventory_store', [AssignInventoryController::class, 'save'])->name('assign_inventory_store');
Route::get('/assign_inventory_list', [AssignInventoryController::class, 'list'])->name('assign_inventory_list');
Route::get('/assign_inventory_view/{id}', [AssignInventoryController::class, 'view'])->name('assign_inventory_view');
Route::get('/assign_inventory_edit/{id}', [AssignInventoryController::class, 'edit'])->name('assign_inventory_edit');
Route::get('/get_material_detailsUom4/{id}/{row}', [AssignInventoryController::class, 'get_material_detailsUom4'])->name('get_material_detailsUom4');


//Merchandising -> Assign Material
Route::get('/assign_material', [AsignMaterialController::class, 'add'])->name('assign_material');
Route::get('/merchandising/get_shelf_display1/{id}/{shelf_display_id}', [AsignMaterialController::class, 'get_shelf_display1'])->name('get_shelf_display1');
Route::get('Merchandising/get_customer/{id}/{customer_id}', [AsignMaterialController::class, 'get_customer'])->name('get_customer');
Route::get('/get_material_detailsUom3/{id}/{row}', [AsignMaterialController::class, 'get_material_detailsUom3'])->name('get_material_detailsUom3');
Route::get('/get_material2/{brand_id}', [AsignMaterialController::class, 'get_material2'])->name('get_material2');
Route::get('/get_material_f/{brand_id}', [AsignMaterialController::class, 'get_material_f'])->name('get_material_f');

Route::post('/assign_material_store', [AsignMaterialController::class, 'save'])->name('assign_material_store');
Route::get('/assign_material_list', [AsignMaterialController::class, 'list'])->name('assign_material_list');
Route::get('/assign_material_edit/{id}', [AsignMaterialController::class, 'edit'])->name('assign_material_edit');
Route::get('/assign_material_view/{id}', [AsignMaterialController::class, 'view'])->name('assign_material_view');

 //Report -> outlet Sales Report
Route::get('/outlet_sales_report_list', [OutletSalesReportController::class, 'list'])->name('outlet_sales_report_list'); 
Route::get('/get_outlet_sales_subregion/{id}', [OutletSalesReportController::class, 'get_subregion_data'])->name('get_company_sales_subregion'); 
Route::get('/get_outlet_sales_warehouse/{id}', [OutletSalesReportController::class, 'get_warehouse_data'])->name('get_company_sale_warehouse');
Route::get('/get_outlet_return_sales_report/{report_with}/{region}/{subregion}/{warehouse}/{fromdate}/{todate}', [OutletSalesReportController::class, 'get_sales_report'])->name('get_outlet_return_sales_report');
Route::get('/get_outlet_return_sales_report_pop/{fromdate}/{todate}/{region}', [OutletSalesReportController::class, 'get_return_sales_report_pop'])->name('get_outlet_return_sales_report_pop');
Route::get('/get_outlet_regionreturn_quntity_sales_report_pop/{fromdate}/{todate}/{region}', [OutletSalesReportController::class, 'get_regionreturn_quntity_sales_report_pop'])->name('get_outlet_regionreturn_quntity_sales_report_pop');
Route::get('/get_outlet_subregionreturn_sales_report_pop/{fromdate}/{todate}/{subregion}', [OutletSalesReportController::class, 'get_subregionreturn_sales_report_pop'])->name('get_outlet_subregionreturn_sales_report_pop'); 
Route::get('/get_outlet_subregionreturn_quantity_sales_report_pop/{fromdate}/{todate}/{subregion}', [OutletSalesReportController::class, 'get_subregionreturn_quantity_sales_report_pop'])->name('get_outlet_subregionreturn_quantity_sales_report_pop'); 
Route::get('/get_outlet_materialwise_quntity_sales_report_pop/{fromdate}/{todate}/{warehouse}/{material}/{reprt_selection}/{slug}', [OutletSalesReportController::class, 'get_company_materialwise_quntity_sales_report_pop'])->name('get_outlet_materialwise_quntity_sales_report_pop');
Route::get('/get_outlet_warehousereturn_sales_report_pop/{fromdate}/{todate}/{warehouse}', [OutletSalesReportController::class, 'get_warehousereturn_sales_report_pop'])->name('get_outlet_warehousereturn_sales_report_pop');  
Route::get('/get_outlet_warehousereturn_quantity_sales_report_pop/{fromdate}/{todate}/{warehouse}', [OutletSalesReportController::class, 'get_warehousereturn_quantity_sales_report_pop'])->name('get_outlet_warehousereturn_quantity_sales_report_pop'); 

Route::get('/bt_structure', [BTStructureController::class, 'add'])->name('bt_structure');


Route::get('/bt_structure_view', [BTStructureController::class, 'graph'])->name('bt_structure_view');

Route::get('/bt_structure_list', [BTStructureController::class, 'list'])->name('bt_structure_list');

Route::post('/btstructure_store', [BTStructureController::class, 'save'])->name('btstructure_store');

Route::get('/bt_structure/{id}', [BTStructureController::class, 'edit'])->name('bt_structure_form_edit');
Route::get('/bt_structure_del/{id}', [BTStructureController::class, 'bt_del'])->name('bt_structure_del'); 


Route::get('/export_data', [ImportExportController::class, 'export_data'])->name('export_data');   
Route::get('/submenu_name/{menu_id}',[ImportExportController::class, 'get_submenu'])->name('submenu_name');  
Route::post('/export',[ImportExportController::class, 'export'])->name('export');  
 
 
//Pending Customer report   
 Route::get('/pending_customer_report', [PendingCustomerReportController::class, 'report'])->name('pending_customer_list_report');
Route::get('/pending_customer_report/{region}/{subregion}/{warehouse}/{fromdate}/{todate}/{approval_status}', [PendingCustomerReportController::class, 'pending_customer_report'])->name('pending_customer_report');
Route::get('/get_pendingcustomer_subregion/{id}', [PendingCustomerReportController::class, 'get_subregion_data'])->name('get_pending_subregion'); 
Route::get('/get_pendingcustomer_warehouse/{id}', [PendingCustomerReportController::class, 'get_warehouse_data'])->name('get_pending_warehouse');  
    
Route::get('/outlet_return_sales', [OutletReturnsSales::class, 'add'])->name('outlet_return_sales');
Route::get('/outlet_return_sales_list', [OutletReturnsSales::class, 'list'])->name('outlet_return_sales_list');

/*  Route::get('/get_outlet_returnsales_warehouse_list/{distibutor_id}', [OutletReturnsSales::class, 'get_outlet_returnsales_warehouse_list'])->name('get_outlet_returnsales_warehouse_list');   */ 
 
/* Route::get('/get_outlet_returnsales_warehouse_of_warehouse/{warehouse}', [OutletReturnsSales::class, 'get_outlet_returnsales_warehouse_of_warehouse'])->name('get_outlet_returnsales_warehouse_of_warehouse');   */

Route::get('/get_counter_sells_outlet_warehouse_list/', [OutletReturnsSales::class, 'get_warehouse'])->name('get_counter_sells_outlet_warehouse_list');
Route::get('/get_outlet_return_warehouse_of_warehouse/{id}', [OutletReturnsSales::class, 'get_outlet_return_warehouse_of_warehouse'])->name('get_outlet_return_warehouse_of_warehouse'); 
Route::get('/outlet_return_sales_get_material', [OutletReturnsSales::class, 'get_material'])->name('outlet_return_sales_get_material');
Route::get('/outlet_return_sales_detailsUom/{id}/{row}', [OutletReturnsSales::class, 'get_material_detailsUom'])->name('outlet_return_sales_detailsUom');
Route::get('/outlet_return_sales_material_price/{id}/{val}', [OutletReturnsSales::class, 'get_material_price'])->name('outlet_return_sales_material_price');
Route::get('/outlet_get_resion/{id}', [OutletReturnsSales::class, 'get_resion'])->name('outlet_get_resion');
Route::get('/outlet_get_material_vat_return_sales/{id}', [OutletReturnsSales::class, 'get_material_vat'])->name('outlet_get_material_vat_return_sales');
Route::post('/outlet_return_sales_store', [OutletReturnsSales::class, 'save'])->name('outlet_return_sales_store'); 
Route::get('/get_outletreturn_filter/{id}/{url_return}', [OutletReturnsSales::class, 'get_return_filter'])->name('get_outletreturn_filter');  
Route::get('/outlet_return_sales_view/{id}', [OutletReturnsSales::class, 'view'])->name('outlet_return_sales_view');   
Route::get('/outlet_return_sales_export/{id}', [OutletReturnsSales::class, 'outlet_return_sales_export'])->name('outlet_return_sales_export');   
Route::get('/outlet_return_sales_pdf/{id}', [OutletReturnsSales::class, 'outlet_return_sales_pdf'])->name('outlet_return_sales_pdf');   

//Route Order
Route::get('/route_order_list', [RouteOrderController::class, 'list'])->name('route_order_list');
Route::post('/route_order_store', [RouteOrderController::class, 'save'])->name('route_order_store');
Route::get('/route_order_view/{id}', [RouteOrderController::class, 'view'])->name('route_order_view');
Route::get('/route_order_export/{id}', [RouteOrderController::class, 'export'])->name('route_order_export');
Route::get('/route_order_pdf_export/{id}', [RouteOrderController::class, 'exportpdf'])->name('route_order_pdf_export');

Route::get('/route_order', [RouteOrderController::class, 'add'])->name('route_order');
Route::get('/route_order_material_detalis/{id}', [RouteOrderController::class, 'material_detalis'])->name('route_order_material_detalis');

Route::get('/route_order/route_order_trading/{id}', [RouteOrderController::class, 'get_trading'])->name('route_order_trading');
Route::get('/route_order/salesman_order/{id}', [RouteOrderController::class, 'salesman_order'])->name('salesman_order');
Route::get('/route_order_material', [RouteOrderController::class, 'get_material'])->name('route_order_material');
Route::get('/route_order_material_detailsUom/{id}/{row}', [RouteOrderController::class, 'get_material_detailsUom'])->name('route_order_material_detailsUom');
Route::get('/route_order_material_price/{warehouse}/{id}/{val}', [RouteOrderController::class, 'get_material_price'])->name('route_order_material_price');
Route::get('/route_order_check_availbl_stock/{warehouse}/{id}/{val}', [RouteOrderController::class, 'check_availbl_stock'])->name('route_order_check_availbl_stock');
Route::get('/route_order_material_alt_packing_size/{id}/{val}', [RouteOrderController::class, 'get_material_alt_packing_size'])->name('route_order_material_alt_packing_size');
Route::get('/route_order/route_order_customer/{id}', [RouteOrderController::class, 'get_customer'])->name('route_order_customer');
Route::get('/route_order_routename_filter/{id}/{url_route}', [RouteOrderController::class, 'get_routename_filter'])->name('route_order_routename_filter');
Route::get('/route_order_material_vat/{id}', [RouteOrderController::class, 'get_material_vat'])->name('route_order_material_vat');
//Route Exchange 
Route::get('/route_exchange_list', [RouteExchangeController::class, 'list'])->name('route_exchange_list');
Route::get('/route_exchange_view/{id}', [RouteExchangeController::class, 'view'])->name('route_exchange_view');
Route::get('/get_route_exchange_filter/{id}/{url_route}', [RouteExchangeController::class, 'get_return_filter'])->name('get_route_exchange_filter');
Route::get('/route_exchange_excel/{id}', [RouteExchangeController::class, 'routeexchangeexcelexport'])->name('route_exchange_excel');
Route::get('/route_exchange_pdf/{id}', [RouteExchangeController::class, 'routeexchangepdfexport'])->name('route_exchange_pdf');


//Purchase Transaction 

Route::get('/purchase_order', [PurchaseOrderController::class, 'add'])->name('purchase_order');
Route::post('/purchase_store_order', [PurchaseOrderController::class, 'save'])->name('purchase_store_order');
Route::get('/purchase_order_list', [PurchaseOrderController::class, 'list'])->name('purchase_order_list');
Route::get('/purchase_order_view/{id}', [PurchaseOrderController::class, 'view'])->name('purchase_order_view');
Route::post('/get_cancel_purchase_order/', [PurchaseOrderController::class, 'close_pop'])->name('get_cancel_purchase_order');

Route::get('/purchaseorder_get_tin_no/{id}', [PurchaseOrderController::class, 'order_get_supplier_tin'])->name('purchaseorder_get_tin_no');

Route::get('/purchase_material_alt_packing_size/{id}/{val}', [PurchaseOrderController::class, 'get_material_alt_packing_size'])->name('purchase_material_alt_packing_size');
Route::get('/purchase_material_vat/{id}', [PurchaseOrderController::class, 'material_vat'])->name('purchase_material_vat');
 Route::get('/purchase_material_price/{uom}/{mat}', [PurchaseOrderController::class, 'get_material_price'])->name('purchase_material_price');
 Route::get('/purchase_material_detailsUom/{id}/{row}', [PurchaseOrderController::class, 'get_material_detailsUom'])->name('purchase_material_detailsUom');
 
  Route::get('/purchase_export/{id}', [PurchaseOrderController::class, 'purchase_export'])->name('purchase_export');
  
  Route::get('/purchase_export_pdf/{id}', [PurchaseOrderController::class, 'purchase_export_pdf'])->name('purchase_export_pdf');

//GRN

Route::get('/good_receipt_note', [GoodReceiptNoteController::class, 'add'])->name('good_receipt_note');
Route::get('/good_receipt_note_list/', [GoodReceiptNoteController::class, 'list'])->name('good_receipt_note_list');
Route::get('/good_receipt_note_view/{id}', [GoodReceiptNoteController::class, 'view'])->name('good_receipt_note_view');
Route::post('/good_receipt_note_store/', [GoodReceiptNoteController::class, 'save'])->name('good_receipt_note_store');
Route::get('/get_good_receipt_note_order/{id}', [GoodReceiptNoteController::class, 'get_order_number'])->name('get_good_receipt_note_order');
Route::get('/good_receipt_note/{id}/{order}', [GoodReceiptNoteController::class, 'get_order_number_details'])->name('good_receipt_note_delivery');
Route::get('/good_receipt_note_price/{id}/{val}', [GoodReceiptNoteController::class, 'get_material_price'])->name('good_receipt_note_price');
Route::get('/good_receipt_note_material/', [GoodReceiptNoteController::class, 'get_material'])->name('good_receipt_note_material');
Route::get('/good_receipt_note_get_material_detailsUom/{id}/{row}', [GoodReceiptNoteController::class, 'get_material_detailsUom1'])->name('good_receipt_note_get_material_detailsUom');
Route::get('/get_good_receipt_note_material_alt_packing_size/{id}/{val}', [GoodReceiptNoteController::class, 'get_material_alt_packing_size'])->name('get_good_receipt_note_material_alt_packing_size');
Route::get('/get_good_receipt_note_return_code_delevery/{id}', [GoodReceiptNoteController::class, 'get_good_receipt_note_return_code_delevery'])->name('get_good_receipt_note_return_code_delevery');

Route::get('/good_receipt_note_export/{id}', [GoodReceiptNoteController::class, 'good_receipt_note_export'])->name('good_receipt_note_export'); 
Route::get('/good_receipt_note_export_pdf/{id}', [GoodReceiptNoteController::class, 'good_receipt_note_export_pdf'])->name('good_receipt_note_export_pdf');
    	
//Planogram_Post_Gallery

	Route::get('/planogram_gallery_list/', [PlanogramPostGalleryController::class, 'gallerylist'])->name('planogram_gallery_list');
	
//Competitor 
 Route::get('/competitor_list', [CompetitorController::class, 'list'])->name('competitor_list');
 
//complaint 

 Route::get('/complaint_list', [ComplaintController::class, 'list'])->name('complaint_list');
 
 Route::post('/complaint_store', [ComplaintController::class, 'save'])->name('complaint_store');
 
 
 Route::post('/assign_complaint_store', [ComplaintController::class, 'complaint_save'])->name('assign_complaint_store');
 
 Route::post('/assign_complaint_store1', [ComplaintController::class, 'complaint_save1'])->name('assign_complaint_store1');
 
  Route::get('/get_feedbak_details_complaint_type/{feedback_id}', [ComplaintController::class, 'get_feedbak_details_complaint_type'])->name('get_feedbak_details_complaint_type');


// Asset Master

Route::get('/asset_master', [AssetMasterController::class, 'add'])->name('asset_master');
Route::get('/asset_master/{id}', [AssetMasterController::class, 'edit'])->name('asset_master/{id}');
Route::post('/asset_master_save', [AssetMasterController::class, 'save'])->name('asset_master_save');
Route::get('/asset_master_list', [AssetMasterController::class, 'list'])->name('asset_master_list');
Route::get('/asset_master_view/{id}', [AssetMasterController::class, 'view'])->name('asset_master_view');

//Track Asset
Route::get('/track_asset_report_list',[TrackAssetReportController::class,'list'])->name('track_asset_report_list');




// Distribotion Organization Structure

		Route::get('/distribution_org_structure_list', [DistributionOrgStructureController::class, 'list'])->name('distribution_org_structure_list'); 
		
		Route::get('/distribution_org_structure', [DistributionOrgStructureController::class, 'add'])->name('distribution_org_structure');
		
		Route::post('/distribution_org_structure_store', [DistributionOrgStructureController::class, 'save'])->name('distribution_org_structure_store');
		
		Route::get('/distribution_org_structure/{id}', [DistributionOrgStructureController::class, 'edit'])->name('distribution_org_structure_form_edit');
		
		Route::get('/distribution_org_structure_del/{id}', [DistributionOrgStructureController::class, 'do_del'])->name('distribution_org_structure_del');
		
		Route::get('/distribution_org_structure_view', [DistributionOrgStructureController::class, 'graph'])->name('distribution_org_structure_view');
		
		// device management-
		
		Route::get('/device_enrollment_list',[DeviceEnrollmentController::class,'list'])->name('device_enrollment_list');
		
		Route::get('/device_enrollment', [DeviceEnrollmentController::class,'add'])->name('device_enrollment_add');
		
		Route::get('/device_enrollment_view/{id}', [DeviceEnrollmentController::class,'view'])->name('device_enrollment_view');
		
		Route::get('/device_enrollment/{id}', [DeviceEnrollmentController::class,'edit'])->name('device_enrollment');
	
	Route::post('/device_enrollment_store',[DeviceEnrollmentController::class,'save'])->name('device_enrollment_store');
		
		
		
		
		
		// DeviceAllotment
		Route::get('/device_allotment_list',[DeviceAllotmentController::class,'list'])->name('device_allotment_list');
		
        Route::get('/device_allotment',[DeviceAllotmentController::class,'add'])->name('device_allotment_name');
		 Route::post('/device_allotment_store',[DeviceAllotmentController::class,'save'])->name('device_allotment_store');
		 
		  Route::get('/device_allotment_view/{id}',[DeviceAllotmentController::class,'view'])->name('device_allotment_view');
		  Route::get('/device_allotment/{id}', [DeviceAllotmentController::class, 'edit'])->name('device_allotment');
		  
		  Route::get('/user_name/{user_id}/{user_name}', [DeviceAllotmentController::class, 'get_username'])->name('user_name');
		
  