<?php echo $__env->make('theme_layout/header', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>
<?php echo $__env->make('theme_layout/nav', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>
<div class="app-main__outer"> 
 <div class="app-main__inner">
  <div class="app-page-title">
   <div class="page-title-wrapper">
    <div class="page-title-heading">
     <div class="page-title-icon">
	  <i class="pe-7s-graph text-success">
	  </i>
	 </div> <!--page-title-icon-->
	
        <div>
	     <?php echo e(request()->route('id') ? 'Edit ' : 'Add '); ?> Outlet</div>
        </div> <!--page-title-heading-->
		
        <div class="page-title-actions"> 
	     <div class="d-inline-block dropdown">
		  <a href="<?php echo e(route('outlet_list')); ?>" class="mt-3 btn btn-primary btn-lg"> <i class="fa fa-arrow-left fa-w-20"></i> Back</a> 
	     </div>
        </div>
   </div> <!--page-title-wrapper-->
  </div> <!--app-page-title-->
					
        <div class="tab-content">
         <div class="tab-pane tabs-animation fade show active" id="tab-content-0" role="tabpanel">
          <div class="main-card mb-3 card">
           <div class="card-body"><h5 class="card-title"></h5>
            <form id="" class="" onsubmit="return checkForm(this);" action="<?php echo e(route('outlet_store')); ?>" method="post">
            <?php echo e(csrf_field()); ?>

              <div class="form-row">
	           <div class="col-md-4">
		        <div class="position-relative form-group">
		         <label for="exampleEmail11" class="ml-2 font-weight-bold">Outlet Code</label><input maxlength="100" name="outlet_code" id="outlet_code" placeholder="" type="text" value="<?php echo e($last_code); ?>" readonly="readonly" class="form-control" autocomplete="off" required> 
		         <input name="updated_id" id="updated_id" value="<?php echo e(request()->route('id')); ?>" autocomplete="off" type="hidden">
	            </div>
	           </div> 
	
		<div class="col-md-4">
		  <div class="position-relative form-group">
			<label for="outlet_name" class="ml-2 font-weight-bold">Outlet Name</label><input maxlength="100" name="outlet_name" id="outlet_name" placeholder="" type="text" value="<?php echo e(request()->route('id') ? $get_data->outlet_name : ''); ?>" class="form-control" autocomplete="off" required>
		  </div>
		</div>
		
		<div class="col-md-4">
			<div class="position-relative form-group">
			 <label for="contact_persion" class="ml-2 font-weight-bold">Contact Person</label><input maxlength="100" name="contact_persion" id="contact_persion" placeholder="" type="text" value="<?php echo e(request()->route('id') ? $get_data->contact_persion : ''); ?>" class="form-control" autocomplete="off" required>
		   </div>
		  </div>   
		</div>    <!--form-row-->
	
		<div class="form-row">
		 <div class="col-md-4">
			<div class="position-relative form-group">
			<label for="contact_number" class="ml-2 font-weight-bold">Contact Number</label><input required type="text" name="contact_number" maxlength="15" id="myinput" value="<?php echo e(request()->route('id') ? $get_data->contact_number : ''); ?>" class="form-control"  onkeypress="return isNumberKey(event)" autocomplete="off" />
		  </div>
		</div> 
	
		<div class="col-md-4">
		 <div class="position-relative form-group">
		  <label class="font-weight-bold ml-2" for="country" class="">Country</label><select class="mb-2 form-control" name="country" id="country1" required> 
		   <?php if(request()->route('id')): ?> 
			<?php $__currentLoopData = $country; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $countryname): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
			 <option <?php echo e($get_data->country_id == $countryname->id ? 'selected' : ''); ?> value ="<?php echo e($countryname->id); ?>"><?php echo e($countryname->country_code); ?> - <?php echo e($countryname->country_name); ?></option>
			<?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?> 
		   <?php else: ?> 
			 <option value=""> </option>
			<?php $__currentLoopData = $country; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $countryname): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
			 <option value ="<?php echo e($countryname->id); ?>"><?php echo e($countryname->country_code); ?> - <?php echo e($countryname->country_name); ?></option>
			<?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
		   <?php endif; ?> 
		  </select>
		 </div>
		</div> <!--col-md-4-->

	   <div class="col-md-4">
		<div class="position-relative form-group">
		 <label for="city" class="ml-2    font-weight-bold">City</label>
		  <?php if(request()->route('id')): ?>  
		   <input name="country_id" id="country_id" value="<?php echo e(request()->route('id') ? $get_data->country_id : ''); ?>" type="hidden" autocomplete="off"> 
		   <input name="city_id" id="city_id" value="<?php echo e(request()->route('id') ? $get_data->city_id : ''); ?>" type="hidden" autocomplete="off"> 
		   <select class="mb-2 form-control" name="city" id="cityadd" required > 
		   </select> 
		  <?php else: ?> 
		   <select class="mb-2 form-control" name="city" id="cityadd" required > 
		   </select>	
		  <?php endif; ?> 
		   </div>
		  </div>
		</div>     <!--form-row-->
	
		<div class="form-row">
		 <div class="col-md-4">
		  <div class="position-relative form-group">
		  <label for="address" class="ml-2 font-weight-bold">Address</label><input maxlength="120" name="address" id="address" placeholder="" type="text" value="<?php echo e(request()->route('id') ? $get_data->address : ''); ?>" class="form-control" autocomplete="off" required >
		 </div>
		</div>
		
	<div class="col-md-4">
	  <div class="position-relative form-group">
       <label class="font-weight-bold ml-2" for="sales_area_name" class="">Distributor</label><select name="distibutor" id="distibutor" type="text" class="form-control" required >
	   <option> </option>
	   <?php if(request()->route('id')): ?>  
		 <?php $__currentLoopData = $distibutor; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $distibutor): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
		  <option <?php echo e($get_data->distibutor_id == $distibutor->id ? 'selected' : ''); ?> value ="<?php echo e($distibutor->id); ?>"><?php echo e($distibutor->customer_code); ?> - <?php echo e($distibutor->customer_name); ?></option>
		 <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?> 
		<?php else: ?> 
		 <?php $__currentLoopData = $distibutor; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $distibutor): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
            <option value="<?php echo e($distibutor->id); ?>">
             <?php echo e($distibutor->customer_code); ?> - <?php echo e($distibutor->customer_name); ?>

            </option>
             <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>     
          <?php endif; ?> 
	   </select>
	  </div>
	</div>
       <?php if(request()->route('id')): ?> 
	    <input name="" id="distibutor_id" value="<?php echo e(request()->route('id') ? $get_data-> distibutor_id:''); ?>" type="hidden" autocomplete="off">									 
	    <input name="city_id" id="warehouse_id" value="<?php echo e(request()->route('id') ?   $get_data->warehouse_id : ''); ?>" type="hidden" autocomplete="off">
	  <?php endif; ?>
		<div class="col-md-4">
		 <div class="position-relative form-group">
		   <label class="font-weight-bold ml-2" for="warehouse_name" class="">Warehouse  </label><select class="mb-2 form-control" name="warehouse_name" id="warehouse_name"  required > 
		   </select>
		  </div>
		</div>

		<div class="col-md-4">
		 <div class="position-relative form-group">
		  <label for="status" class="ml-2 font-weight-bold">Status</label>
			<select class="mb-2 form-control" name="status" id="status" required >  
			 <?php if(request()->route('id')): ?>   
			  <option> </option>
			  <option <?php echo e($get_data->status == 'active' ? 'selected' : ''); ?> value ="active">Active</option>
			  <option <?php echo e($get_data->status == 'inactive' ? 'selected' : ''); ?> value="inactive">Inactive</option>
			 <?php else: ?> 
			  <option> </option>
			  <option value ="active">Active</option>
			  <option value="inactive">Inactive</option>
			 <?php endif; ?>	 
			</select> 
		   </div>
		  </div> <!--col-md-4-->
		</div>      <!--form-row-->
										  
                                     
		<div class="form-row">
		 <div class="col-md-5"></div>
		  <?php if(request()->route('id')): ?>
		   <button name="btnsubmit" class="mt-3 btn btn-primary btn-lg">Update</button>
			<div class="col-md-0.5"></div>
		  <?php else: ?>
			<button name="btnsubmit" class="mt-3 btn btn-primary btn-lg submit">Save</button>
		  <?php endif; ?>
			<div class="col-md-0.5"></div>
			<a href="<?php echo e(route('outlet_list')); ?>" class="mt-3 btn btn-danger  btn-lg">Cancel</a>
			</form>
			</div>
		   </div> <!--card-body-->
		  </div> <!--main-card mb-3 card-->
		</div> <!--tab-pane tabs-animation fade show active-->		
	 <?php echo $__env->make('theme_layout/footer', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?> 
<script>
     var jq = $.noConflict();
	 function checkForm(form)
  {
     
    form.btnsubmit.disabled = true;
    return true;
  }



	 function isNumberKey(evt)
			{
				var charCode = (evt.which) ? evt.which : evt.keyCode;
				if (charCode != 46 && charCode > 31 
				&& (charCode < 48 || charCode > 57))
				return false;
				return true;
			}  
       jq(document).ready(function(){
		  
		 $('#warehouse_name').SumoSelect({ selectAll:true,search: true,triggerChangeCombined : true});
		 $('#distibutor').SumoSelect({ selectAll:true,search: true,triggerChangeCombined : true});
	     $('#country1').SumoSelect({ selectAll:true,search: true,triggerChangeCombined : true});
		 
		 <?php if(request()->route('id')): ?>
			  var distibutor =  jq('#distibutor_id').val();
			  var edit_id =  jq('#warehouse_id').val();
			  get_warehouse_1(distibutor,edit_id);
	    <?php endif; ?>
	   
	      var country = '';
	       jq("#country1").click(function(){
		   var country =  jq('#country1').val();
		  var city ='0';
         get_city(country, city);
 
        });
		
		$("#distibutor").change(function(){
		   
		  var distibutor =  jq('#distibutor').val();
		  //alert(sales_area_name);  
		  
			var edit_id=0;
           get_warehouse_1(distibutor,edit_id);
	   });
	   
	   
	   function get_warehouse_1(distibutor,edit_id)
		{ 
		 //alert(city);
		 jq.ajax({
		      url: "<?php echo e(URL('get_outlet_warehouse_12')); ?>" +"/" + distibutor+"/"+edit_id,
              type:"GET",
              
          success:function(respons)
          {
            
				jq('#warehouse_name').html(respons);
				 $('#warehouse_name').SumoSelect({ selectAll:true,search: true,triggerChangeCombined : true});
	            $('#warehouse_name')[0].sumo.reload();
		  }
       });
     }
		
	
    if(country =='') {
	    var country_id =  jq('#country_id').val();
		 var city_id =  jq('#city_id').val();
		 if(!country_id=='')
		 {
			get_city(country_id, city_id);
		} 
	}  
	 
	 

    function get_city(country_id, city)
       {
		  //alert(city);
		   jq.ajax({
		     url: "<?php echo e(URL('outlet/get_country/')); ?>" +"/" + country_id +'/'+city,
              type:"GET",
              success:function(respons)
           {
             if(respons)
			{
				jq('#cityadd').html(respons);
				$('#cityadd').SumoSelect({ selectAll:true,search: true,triggerChangeCombined : true});
	            $('#cityadd')[0].sumo.reload();
			}
         
           }
        });
      }	
    });
 
    </script>  <?php /**PATH /var/www/html/van_sales_system/resources/views/Master_Configuration/outlet.blade.php ENDPATH**/ ?>