<?php echo $__env->make('theme_layout/header', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>
<?php echo $__env->make('theme_layout/nav', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>



<div class="app-main__outer">
 <div class="app-main__inner">
  <div class="app-page-title">
   <div class="page-title-wrapper">
    <div class="page-title-heading">
	 <div class="page-title-icon">
	 
		<i class="pe-7s-medal icon-gradient bg-tempting-azure">
		</i>
		
	 </div>     <!--page-title-icon-->
	 
	 <div>   Sales Organization Structure List
		 <?php if(Session::has('successMessage')): ?> 
		  <input id="toster_id" type="hidden" value="<?php echo e(Session::get('successMessage')); ?>">		  
		 <?php endif; ?>                           
	 </div>
    
	</div>     <!--page-title-heading-->
    
	<div class="page-title-actions">                               
     <div class="d-inline-block dropdown">
	  <div class="page-title-actions">                                 
	   <div class="d-inline-block dropdown">
	   
		<a href="<?php echo e(route('sales_hierarchy')); ?>" class="mt-3 btn btn-primary btn-lg"> 
		<i class="fa fa-plus fa-w-20"></i> Add Sales Organization Structure</a>
		
	   </div>     <!--d-inline-block dropdown-->
	  </div>      <!--page-title-actions-->
	  
	  <div tabindex="-1" role="menu" aria-hidden="true" class="dropdown-menu dropdown-menu-right">
		<ul class="nav flex-column">
		<li class="nav-item">
		<a class="nav-link">
		<i class="nav-link-icon lnr-inbox"></i>
			<span>
				Inbox
			</span>
		<div class="ml-auto badge badge-pill badge-secondary">86</div>
		</a>
		</li>
		<li class="nav-item">
		<a class="nav-link">
		<i class="nav-link-icon lnr-book"></i>
			<span>
				Book
			</span>
		<div class="ml-auto badge badge-pill badge-danger">5</div>
		</a>
		</li>
		<li class="nav-item">
		<a class="nav-link">
		<i class="nav-link-icon lnr-picture"></i>
			<span>
				Picture 
			</span>
		</a>
		</li>
		<li class="nav-item">
		<a disabled class="nav-link disabled">
		<i class="nav-link-icon lnr-file-empty"></i>
			<span>
					File Disabled
			</span>
		</a>
		</li>
		</ul>
		
	   </div>     <!--dropdown-menu dropdown-menu-right-->
	  </div>     <!--d-inline-block dropdown-->
     </div>     <!--page-title-actions-->
    </div>     <!--page-title-wrapper-->
   </div>      <!--app-page-title--> 
	

   <div class="main-card mb-3 card">
    <div class="card-body">

	 <table style="width: 100%;" id="example" class="table table-hover table-striped table-bordered">
      <thead>
	   <tr>                                    
		<th style="width: 1%;">S.No.</th> 
		<th class="text-left">Name</th>
		<th class="text-left">Parent</th>
		<th>Action</th>                                   
	   </tr>
      </thead>
	  
	  <tbody>
		<?php if($count=1): ?>

		<?php $__currentLoopData = $get_data; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $data): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
		
	   <tr> 
		<td><b><?php echo e($count++); ?></td> 
		<td class="font-weight-bold  text-left"><?php echo e(ucfirst($data->name)); ?></td>
		<td class="font-weight-bold  text-left"><?php echo e(ucfirst($data->parent)); ?></td>	 
		<td>	
			<div class="dropdown">
					<button type="button" aria-haspopup="true" aria-expanded="false" data-toggle="dropdown" class="mb-2 mr-2 btn btn-outline-primary "><i class="fas fa-ellipsis-v"></i></button>
					<ul class="dropdown-menu " style="min-width: 0px;" aria-labelledby="dropdownMenuButton1">
					<a class="dropdown-item"  class= "mb-2  btn-hover-shine btn btn-shadow btn-success btn-lg " href=" <?php echo e(URL::to('sales_hierarchy/'.$data->id)); ?>"><i class="fas fa-edit" aria-hidden="true"> Edit</i></a> 
					 <a value="<?php echo e($data->id); ?>" style="padding: 24px;" class= "mb-2 mr-2 btn-hover-shine font-weight-bold delet_hierarchy" >
					<i class="fa fa-trash" aria-hidden="true" > Delete</i> </a>  
					   
					</ul>
				  </div> 
				</td>    		
			   </tr>	
		
		<?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
		
		<?php endif; ?>
		
      </tbody>
      <tfoot>                               
      </tfoot>
     </table>
	 
    </div>     <!--card-body-->
   </div>       <!--main-card mb-3 card-->   
  </div>     <!--app-main__inner-->		

  <div id="myModal" class="modal fade" role="dialog" style="margin-top: 10%; margin-left: 6%;">
   <div class="modal-dialog modal-lg">


   </div>     <!--modal-dialog modal-lg-->	
  </div>     <!--modal fade-->
  
<?php echo $__env->make('theme_layout/footer', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>

<script>

	 var jq = $.noConflict();
   jq(document).ready(function(){  
	  
<?php if(Session::has('successMessage')): ?>
var toster=jq('#toster_id').val();
if(toster!=''){
	Swal.fire({
	    
	  icon: 'success',
	  title: ''+toster,
	  showConfirmButton: false,
	  timer: 2000
		})
	}
	
	<?php echo e(Session::forget('successMessage')); ?>

	
<?php endif; ?>
   $(".delet_hierarchy").click(function(){
	   deleteRow(this);
     var del_id=jq(this).attr('value');
	 
			 Swal.fire({
					  title: 'Are you sure?',
					  icon: 'warning',
					  showCancelButton: true,
					  confirmButtonColor: '#3085d6',
					  cancelButtonColor: '#d33',
					  confirmButtonText: 'Yes, delete it!'
						}).then((result) => {
							if (result.isConfirmed) {
						    delete_record(del_id,this);
				 
							Swal.fire(
							  'Deleted!',
							  'Record has been deleted.',
							  'success'
							)
						  }
						  
						})
	  });

   });
   
   function delete_record(delete_id,h){
		 $.ajax({
              url: "<?php echo e(URL('sales_hierarchy_del/')); ?>"+"/" + delete_id,
              type:"GET",
              
          success:function(respons)
          {
			  deleteRow(h);
			  location.reload();
			  
          }
       }); 
     }
	 
	 
function deleteRow(r) {
  var i = r.parentNode.parentNode.rowIndex;
  document.getElementById("example").deleteRow(i);
}
   
	
</script>
	



<?php /**PATH /var/www/html/van_sales_system/resources/views/Parameters_Configuration/sales_hierarchy_list.blade.php ENDPATH**/ ?>