<?php echo $__env->make('theme_layout/header', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>
<?php echo $__env->make('theme_layout/nav', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>
<div class="app-main__outer"> 
   <div class="app-main__inner">
    <div class="app-page-title">
     <div class="page-title-wrapper">
      <div class="page-title-heading">
	   <div class="page-title-icon">
	    <i class="pe-7s-graph text-success">
	    </i>
	   </div> <!--page-title-icon--> 
	    <div>  
	     Edit Route Visit Plan
		  <?php if(Session::has('successMessage')): ?> 
		  <input id="toster_id" type="hidden" value="<?php echo e(Session::get('successMessage')); ?>">		  
		 <?php endif; ?> 
	    </div>
      </div>
	  
	    <div class="page-title-actions">
			<div class="d-inline-block dropdown">
				<a href="<?php echo e(route('customer_visit_plan_list')); ?>" class="mt-3 btn btn-primary btn-lg text-white"> <i class="fa fa-arrow-left fa-w-20"></i> Back</a>                                  
			</div>
	    </div>
      </div> <!--page-title-wrapper-->
    </div> <!--app-page-title-->           
					 
        <div class="tab-content">
         <div class="tab-pane tabs-animation fade show active" id="tab-content-0" role="tabpanel">
          <div class="main-card mb-3 card">
           <div class="card-body"><h5 class="card-title"></h5> 
            <form method="get" id="example1" action="<?php echo e(route('customer_visit_plan')); ?>" >
             <?php echo e(csrf_field()); ?>

			  <div class="form-row">
			<div class="col-md-4">
		   <div class="position-relative form-group">
			<label for="valid_from" class="ml-2 font-weight-bold">Valid From</label>
			 
			  <input type="date" class="form-control" name="valid_from" id="valid_from" value="<?php echo e($get_data_header->valid_from); ?>" autocomplete="off" disabled>
		  </div>
		</div>
		
		<div class="col-md-4">
		   <div class="position-relative form-group">
			<label for="valid_to" class="ml-2 font-weight-bold">Valid To</label>
			 <input type="date" class="form-control" name="valid_to" id="valid_to" value="<?php echo e($get_data_header->valid_to); ?>" autocomplete="off" disabled>
		   </div>
		</div>
		
		<div class="col-md-4">
		   <div class="position-relative form-group">
			<label for="for_visit_plan" class="ml-2 font-weight-bold">For Visit Plan</label>
			<select maxlength="25" name="for_visit_plan" id="for_visit_plan" class="form-control" autocomplete="off" required disabled>
			<option value=""></option>
			<option <?php echo e($get_data_header->for_visit_plan== '1'? 'selected':''); ?> value="1">Salesman</option>
			<option <?php echo e($get_data_header->for_visit_plan== '2' ? 'selected':''); ?> value="2">Merchandiser</option>
			</select> 
		  </div>
		</div>
		
       </div>
		
              <div class="form-row">
               <div class="col-md-4">
	            <div class="position-relative form-group ">
	             <label class="font-weight-bold ml-2" for="salesarea" class="">Sales Area</label><select class="mb-2 form-control country1" name="salesarea" id="salesarea" required disabled>  
	              <option value=""> </option>
	               <?php $__currentLoopData = $salesarea; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $salesareaname): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
	                <option <?php echo e($get_data_header->sales_area_id==$salesareaname->id ? 'selected':''); ?> value ="<?php echo e($salesareaname->id); ?>"><?php echo e($salesareaname->sales_area_code); ?> - <?php echo e($salesareaname->sales_area_name); ?></option>
	               <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
	             </select>	
	            </div>
	           </div> 
			   
	
	     <div class="col-md-4">
	      <div class="position-relative form-group ">
	       <label class="font-weight-bold ml-2" for="route" class="">Route</label>
		    <select class="mb-2 form-control" name="route" id="route_add" required disabled>
			<option value=""> </option>
	               <?php $__currentLoopData = $route; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $route): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
	                <option <?php echo e($get_data_header->route_id==$route->id ? 'selected':''); ?> value ="<?php echo e($route->id); ?>"><?php echo e($route->route_code); ?> - <?php echo e($route->route_name); ?></option>
	               <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
		   </select>	
	      </div>
         </div>
		 
	
        
       </div>
      </form>
 
	    <form method="post" action="<?php echo e(route('customer_visit_plan_store')); ?>" class="form-horizontal" enctype= "multipart/form-data" >
	     <?php echo e(csrf_field()); ?>

		 
		 <input type="hidden" class="form-control" name="valid_from" id="valid_from" value="<?php echo e($get_data_header->valid_from); ?>" autocomplete="off">
		 
		 <input type="hidden" class="form-control" name="updated_id" id="valid_from" value="<?php echo e($get_data_header->id); ?>" autocomplete="off">
		 
		 <input type="hidden" class="form-control" name="valid_to" id="valid_to" value="<?php echo e($get_data_header->valid_to); ?>" autocomplete="off">
		 
		 <input type="hidden" class="form-control" name="for_visit_plan" id="for_visit_plan" value="<?php echo e($get_data_header->for_visit_plan); ?>" autocomplete="off">
		 
		 <input type="hidden" class="form-control" name="sales_area" id="sales_area" value="<?php echo e($get_data_header->sales_area_id); ?>" autocomplete="off">
		 
		 <input type="hidden" class="form-control" name="route_id" id="route_id" value="<?php echo e($get_data_header->route_id); ?>" autocomplete="off">
		 
		 
	      <table style="width: 100%; "  class="table table-hover table-striped table-bordered for-checkbox" id="assign_customer"> 
	       <thead>
            <tr>
	         <th>Customer</th>
	         <th>Customer Contact</th> 
	         <th><input type="checkbox" class="selectallboxmon" id="mon">
	          <label class="label ml-2" for="mon">Mon</label></th>
		     <th><input type="checkbox" class="selectallboxtue" id="tue">
		      <label class="label ml-2" for="tue">Tue</label></th>
			 <th><input type="checkbox" class="selectallboxwed" id="wed">
			  <label class="label ml-2" for="wed">Wed</label></th>
			 <th><input type="checkbox" class="selectallboxthu" id="thu">
			  <label class="label ml-2" for="thu">Thu</label></th>
			 <th><input type="checkbox" class="selectallboxfri" id="fri">
			  <label class="label ml-2" for="fri">Fri</label></th>
			 <th><input type="checkbox" class="selectallboxsat" id="sat">
		      <label class="label ml-2" for="sat">Sat</label></th>
		     <th><input type="checkbox" class="selectallboxsun" id="sun">
	          <label class="label ml-2" for="sun">Sun</label></th>				
            </tr>
           </thead>
	
	    
		 
	       <tbody>
	        <?php
	         $count=0;
	        ?>
	         <?php $__currentLoopData = $get_data; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $data): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
		    <?php 
	         $count=1;
	        ?>
		     <tr>
		      <td class="font-weight-bold text-justify text-left"><?php echo e($data->customer_code); ?> - <?php echo e($data->customer_name); ?></td>
		       <input type="hidden" value="<?php echo e($data->customer_name); ?>" name="customer_name[]" id="cust_name" autocomplete="off">
		       <input type="hidden" value="<?php echo e($data->customer_id); ?>" name="cust_id[]" id="cust_name" autocomplete="off">
		       <input type="hidden" value="<?php echo e($data->contact_no); ?>" name="customer_contact_no[]" id="cust_contact_no" autocomplete="off">
		      <td class="font-weight-bold text-justify text-left"><?php echo e($data->contact_no); ?></td>
		      <td>
			   <input class="selectallmon" value="1" <?php echo e($data->mon==1? 'checked':''); ?> type="checkbox" name="monseq[<?php echo e($data->customer_id); ?>]" id="mon" autocomplete="off">
		      </td>
		       <td>
			    <input class="selectalltue" <?php echo e($data->tue==1? 'checked':''); ?> value="1" type="checkbox" name="tueseq[<?php echo e($data->customer_id); ?>]" id="tue" autocomplete="off">
		       </td>
		       <td>
			    <input class="selectallwed" <?php echo e($data->wed==1? 'checked':''); ?> value="1"  type="checkbox" name="wedseq[<?php echo e($data->customer_id); ?>]" id="wed" autocomplete="off">
		        </td>
		        <td>
			     <input class="selectallthu" <?php echo e($data->thu==1? 'checked':''); ?> value="1" type="checkbox" name="thuseq[<?php echo e($data->customer_id); ?>]" id="thu" autocomplete="off">
		        </td>
		        <td>
			     <input class="selectallfri" <?php echo e($data->fri==1? 'checked':''); ?> value="1" type="checkbox" name="friseq[<?php echo e($data->customer_id); ?>]" id="fri" autocomplete="off">
		        </td>
		        <td>
			     <input class="selectallsat" <?php echo e($data->sat==1? 'checked':''); ?> value="1" type="checkbox" name="satseq[<?php echo e($data->customer_id); ?>]" id="sat" autocomplete="off">
		        </td>
		        <td>
			     <input class="selectallsun" <?php echo e($data->sun==1? 'checked':''); ?> value="1" type="checkbox" name="sunseq[<?php echo e($data->customer_id); ?>]" id="sun" autocomplete="off">
		        </td>
		       </tr>
	          <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
	         </tbody>
	        
           </table>
            
             <center> <button <?php if($count==0): ?> <?php echo 'disabled'; ?> <?php endif; ?> type="submit"  class="mt-3 btn btn-primary btn-lg" id="assign_customer">Update Visiting Plan</button> </center>
            
           </form>  
		  </div>      <!--card-body-->
	     </div>       <!--main-card mb-3 card-->
        </div>       <!--tab-pane tabs-animation fade show active-->
       </div>         <!--tab-content-->
      </div>            <!--app-main__inner-->	 
    <?php echo $__env->make('theme_layout/footer', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>
 <script>
     var jq = $.noConflict(); 

      jq(document).ready(function(){
		  function get_datefilter(valid_from,valid_to){
    jq.ajax({
    url: "<?php echo e(URL('customer_visit_plan/')); ?>",       
    type:"GET",
    data:{valid_from:valid_from,
    valid_to:valid_to,
	},
    success:function(respons){
    
            if(respons){
            
              jq('#example1').html(respons);
            }
         }
       });
     } 
	  
/* $(function() {
    var visitPlan = localStorage.getItem("visitPlan");
    if(visitPlan != null) {
        $("select[name=for_visit_plan]").val(visitPlan);
    }

    $("select[name=for_visit_plan]").on("change", function() {
        localStorage.setItem("visitPlan", $(this).val());
    });
}) */
 
    var n = document.getElementById("for_visit_plan");
    /* save */
    var s = function(){localStorage.setItem("for_visit_plan", n.value);}
    /* retrieve (only on page load) */
    if(window.localStorage){ n.value = localStorage.getItem("for_visit_plan");}
    /* autosave onchange and every 500ms and when you close the window */
    n.onchange = s();
    setInterval( s, 50);
    window.onunload = s();
 




	    <?php if(Session::has('successMessage')): ?>
			var toster=jq('#toster_id').val();
			if(toster!=''){
			Swal.fire({
			position: 'top',
			icon: 'success',
			title: ''+toster,
			showConfirmButton: false,
			timer: 2000
			})
			}
			
		<?php endif; ?>
	
	
	
       $('#salesarea').SumoSelect({ selectAll:true,search: true,triggerChangeCombined : true});

        <!--Sales Area-->


         var salesarea = '';
          var salesarea = jq('#salesarea').val();
           var route_name = jq('#route_name').val();   
         
        

      jq(".selectallboxmon").change(function () {

             jq(".selectallmon").prop('checked', jq(this).prop("checked"));

          });

          jq(".selectallboxtue").change(function () {

              jq(".selectalltue").prop('checked', jq(this).prop("checked"));

          });

           jq(".selectallboxwed").change(function () {

             jq(".selectallwed").prop('checked', jq(this).prop("checked"));

          });

          jq(".selectallboxthu").change(function () {

            jq(".selectallthu").prop('checked', jq(this).prop("checked"));

          });

          jq(".selectallboxfri").change(function () {

              jq(".selectallfri").prop('checked', jq(this).prop("checked"));

          });

          jq(".selectallboxsat").change(function () {

              $(".selectallsat").prop('checked', jq(this).prop("checked"));

          });

          jq(".selectallboxsun").change(function () {

             jq(".selectallsun").prop('checked', jq(this).prop("checked"));

          });

       });
	   
	    

 </script> 
 
  <?php /**PATH /var/www/html/van_sales_system/resources/views/Route_Configuration/customer_visit_plan_edit.blade.php ENDPATH**/ ?>