<?php echo $__env->make('theme_layout/header', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>
<?php echo $__env->make('theme_layout/nav', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>
	
<div class="app-main__outer"> 
     <div class="app-main__inner">
       <div class="app-page-title">
        <div class="page-title-wrapper">
         <div class="page-title-heading">
         <div class="page-title-icon">
	     <i class="pe-7s-graph text-success">
	     </i>
         </div>
         <div>  
	     <?php echo e(request()->route('id') ? 'Edit ' : 'Add '); ?> 
		 Trading Center 
      </div>
    </div>
	
	
	<div class="page-title-actions">
	   <div class="d-inline-block dropdown">
	    <a href="<?php echo e(route('trading_center_list')); ?>" class="mt-3 btn btn-primary btn-lg"> <i class="fa fa-arrow-left fa-w-20"></i> Back</a> 
		 </div>
	     </div>
       </div>
    </div>            
					 
    <div class="tab-content">
     <div class="tab-pane tabs-animation fade show active" id="tab-content-0" role="tabpanel">
      <div class="main-card mb-3 card">
       <div class="card-body">
	    <form id="" class="" onsubmit="return checkForm(this);" action="<?php echo e(route('trading_center_store')); ?>" method="post">
		<?php echo e(csrf_field()); ?>

		<div class="form-row">
		<div class="col-md-4">
		<div class="position-relative form-group">
		<label class="font-weight-bold ml-2" for="trading_center_code" class="">Trading Center Code</label><input maxlength="20" name="trading_center_code" id="trading_center_code"  type="text" class="form-control" value="<?php echo e($last_code); ?>" readonly="readonly" required> 
	  </div>
	</div>
											 
    <div class="col-md-4">
	 <div class="position-relative form-group">
	   <label class="font-weight-bold ml-2" for="trading_name" class="">Trading Name</label><input maxlength="100" name="trading_name" id="trading_name"  type="text" class="form-control" value="<?php echo e(request()->route('id') ? $get_data->trading_name : ''); ?>" autocomplete="off" required> 
	   <input name="updated_id" id="updated_id" value="<?php echo e(request()->route('id')); ?>" type="hidden" autocomplete="off">
	  </div>
	</div> 
											
    <div class="col-md-4">
     <div class="position-relative form-group">
	 <label class="font-weight-bold ml-2" for="route_code" class="">Route </label><select class="mb-2 form-control" name="route_id" id="route_code" required> 
      <?php if(request()->route('id')): ?> 
	  <?php $__currentLoopData = $route; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $routename): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
	   <option <?php echo e($get_data->route_code == $routename->id ? 'selected' : ''); ?> value ="<?php echo e($routename->id); ?>"><?php echo e($routename->route_code); ?> - <?php echo e($routename->route_name); ?></option>
	   <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
        <?php else: ?> 
        <option value=""> </option>
        <?php $__currentLoopData = $route; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $routename): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
       <option value ="<?php echo e($routename->id); ?>"><?php echo e($routename->route_code); ?> - <?php echo e($routename->route_name); ?></option>
       <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
       <?php endif; ?> 
      </select>
	  </div> 
     </div>
    </div>	      <!--form-row-->

	
    <div class="form-row">
     <div class="col-md-4">
	  <div class="position-relative form-group">
	   <label for="status" class="ml-2 font-weight-bold">Status</label>
		 <select class="mb-2 form-control" name="status" id="status" required >  
		  <?php if(request()->route('id')): ?>  
		  <option> </option>
		  <option <?php echo e($get_data->status == 'active' ? 'selected' : ''); ?> value ="active">Active</option>
		  <option <?php echo e($get_data->status == 'inactive' ? 'selected' : ''); ?> value="inactive">Inactive</option> 
		  <?php else: ?> 
		  <option> </option>
		  <option value ="active">Active</option>
		  <option value="inactive">Inactive</option>
		  <?php endif; ?>	 
		  </select> 
	    </div>
	  </div> 
    </div>
									
	<div class="form-row">
	 <div class="col-md-5"></div>
	  <?php if(request()->route('id')): ?>
	   <button name="btnsubmit" class="mt-3 btn btn-primary btn-lg">Update</button>
	    <?php else: ?> 
	     <button  name="btnsubmit" type="submit" class="mt-3 btn btn-primary btn-lg">Save</button>
	     <?php endif; ?>
	      <div class="col-md-0.5"></div>
	      <a href="<?php echo e(route('trading_center_list')); ?>" class="mt-3 btn btn-danger  btn-lg">Cancel</a>
	      </div>
         </form>
        </div>       <!--card-body-->
        </div>       <!--main-card mb-3 card-->
       </div>        <!--tab-pane tabs-animation fade show active-->
      </div>          <!--tab-content-->
    </div>            <!--app-main__inner-->

    <?php echo $__env->make('theme_layout/footer', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>


    <script>

     var jq = $.noConflict();
	 function checkForm(form)
  {
     
    form.btnsubmit.disabled = true;
    return true;
  }
      jq(document).ready(function(){
	    $('#route_code').SumoSelect({ selectAll:true,search: true,triggerChangeCombined : true});
		 
   
                
        });
     </script><?php /**PATH /var/www/html/van_sales_system/resources/views/Master_Configuration/trading_center.blade.php ENDPATH**/ ?>